"use strict";

// Capture the output of this into a variable, if you want
//(function(Module, args) {
//  Module = Module || {};
//  args = args || [];

// Runs much faster, for some reason
this['Module'] = {};
var args = arguments;
  
// === Auto-generated preamble library stuff ===

//========================================
// Runtime code shared with compiler
//========================================

var Runtime = {
  stackAlloc: function stackAlloc(size) { var ret = STACKTOP; assert(size > 0, "Trying to allocate 0"); _memset(STACKTOP, 0, size); STACKTOP += size;STACKTOP = Math.ceil(STACKTOP/4)*4;; assert(STACKTOP < STACK_ROOT + STACK_MAX, "Ran out of stack"); return ret; },
  staticAlloc: function staticAlloc(size) { var ret = STATICTOP; assert(size > 0, "Trying to allocate 0"); STATICTOP += size;STATICTOP = Math.ceil(STATICTOP/4)*4;; return ret; },
  alignMemory: function alignMemory(size,quantum) { var ret = size = Math.ceil(size/(quantum ? quantum : 4))*(quantum ? quantum : 4);; return ret; },
  isNumberType: function (type) {
    return type in Runtime.INT_TYPES || type in Runtime.FLOAT_TYPES;
  },
  isPointerType: function isPointerType(type) {
  return pointingLevels(type) > 0;
},
  isStructType: function isStructType(type) {
  if (isPointerType(type)) return false;
  if (new RegExp(/^\[\d+\ x\ (.*)\]/g).test(type)) return true; // [15 x ?] blocks. Like structs
  // See comment in isStructPointerType()
  return !Runtime.isNumberType(type) && type[0] == '%';
},
  INT_TYPES: {"i1":0,"i8":0,"i16":0,"i32":0,"i64":0},
  FLOAT_TYPES: {"float":0,"double":0},
  getNativeFieldSize: function getNativeFieldSize(field, alone) {
  if (4 == 1) return 1;
  var size = {
    '_i1': 1,
    '_i8': 1,
    '_i16': 2,
    '_i32': 4,
    '_i64': 8,
    "_float": 4,
    "_double": 8
  }['_'+field]; // add '_' since float&double confuse closure compiler as keys
  if (!size) {
    size = 4; // A pointer
  }
  if (!alone) size = Math.max(size, 4);
  return size;
},
  dedup: function dedup(items, ident) {
  var seen = {};
  if (ident) {
    return items.filter(function(item) {
      if (seen[item[ident]]) return false;
      seen[item[ident]] = true;
      return true;
    });
  } else {
    return items.filter(function(item) {
      if (seen[item]) return false;
      seen[item] = true;
      return true;
    });
  }
},
  set: function set() {
  var args = typeof arguments[0] === 'object' ? arguments[0] : arguments;
  var ret = {};
  for (var i = 0; i < args.length; i++) {
    ret[args[i]] = 0;
  }
  return ret;
},
  calculateStructAlignment: function calculateStructAlignment(type) {
    type.flatSize = 0;
    type.alignSize = 0;
    var diffs = [];
    var prev = -1;
    type.flatIndexes = type.fields.map(function(field) {
      var size, alignSize;
      if (Runtime.isNumberType(field) || Runtime.isPointerType(field)) {
        size = Runtime.getNativeFieldSize(field, true); // pack char; char; in structs, also char[X]s.
        alignSize = size;
      } else if (Runtime.isStructType(field)) {
        size = Types.types[field].flatSize;
        alignSize = Types.types[field].alignSize;
      } else {
        dprint('Unclear type in struct: ' + field + ', in ' + type.name_);
        assert(0);
      }
      alignSize = type.packed ? 1 : Math.min(alignSize, 4);
      type.alignSize = Math.max(type.alignSize, alignSize);
      var curr = Runtime.alignMemory(type.flatSize, alignSize); // if necessary, place this on aligned memory
      type.flatSize = curr + size;
      if (prev >= 0) {
        diffs.push(curr-prev);
      }
      prev = curr;
      return curr;
    });
    type.flatSize = Runtime.alignMemory(type.flatSize, type.alignSize);
    if (diffs.length == 0) {
      type.flatFactor = type.flatSize;
    } else if (Runtime.dedup(diffs).length == 1) {
      type.flatFactor = diffs[0];
    }
    type.needsFlattening = (type.flatFactor != 1);
    return type.flatIndexes;
  },
  __dummy__: 0
}



var CorrectionsMonitor = {
  MAX_ALLOWED: 0, // Infinity,
  corrections: 0,
  sigs: {},

  note: function(type) {
    var sig = type + '|' + new Error().stack;
    if (!this.sigs[sig]) {
      print('Correction: ' + sig);
      this.sigs[sig] = 0;
    }
    this.sigs[sig]++;
    this.corrections++;
    if (this.corrections >= this.MAX_ALLOWED) abort('\n\nToo many corrections!');
  }
};


//========================================
// Debugging tools - Mathop overflows
//========================================
function CHECK_OVERFLOW(value, bits) {
  if (value === Infinity || value === -Infinity || Math.abs(value) >= Math.pow(2, bits)) {
    CorrectionsMonitor.note('Overflow');
  }
  return value;
}



//========================================
// Runtime essentials
//========================================

function __globalConstructor__() {
}

var __THREW__ = false; // Used in checking for thrown exceptions.

var __ATEXIT__ = [];

var ABORT = false;

var undef = 0;

function abort(text) {
  print(text + ':\n' + (new Error).stack);
  ABORT = true;
  throw "Assertion: " + text;
}

function assert(condition, text) {
  if (!condition) {
    abort('Assertion failed: ' + text);
  }
}

// Creates a pointer for a certain slab and a certain address in that slab.
// If just a slab is given, will allocate room for it and copy it there. In
// other words, do whatever is necessary in order to return a pointer, that
// points to the slab (and possibly position) we are given.

var ALLOC_NORMAL = 0; // Tries to use _malloc()
var ALLOC_STACK = 1; // Lives for the duration of the current function call
var ALLOC_STATIC = 2; // Cannot be freed

function Pointer_make(slab, pos, allocator) {
  pos = pos ? pos : 0;
  assert(pos === 0); // TODO: remove 'pos'
  if (slab === HEAP) return pos;
  var size = slab.length;

  var i;
  for (i = 0; i < size; i++) {
    if (slab[i] === undefined) {
      throw 'Invalid element in slab at ' + new Error().stack; // This can be caught, and you can try again to allocate later, see globalFuncs in run()
    }
  }

  // Finalize
  var ret = [_malloc, Runtime.stackAlloc, Runtime.staticAlloc][allocator ? allocator : ALLOC_STATIC](Math.max(size, 1));

  for (i = 0; i < size; i++) {
    var curr = slab[i];

    if (typeof curr === 'function') {
      curr = Runtime.getFunctionIndex(curr);
    }

    HEAP[ret+i]=curr;
  }

  return ret;
}
Module['Pointer_make'] = Pointer_make;

function Pointer_stringify(ptr) {
  var ret = "";
  var i = 0;
  var t;
  while (1) {
    t = String.fromCharCode(HEAP[ptr+i]);
    if (t == "\0") { break; } else {}
    ret += t;
    i += 1;
  }
  return ret;
}

// Memory management

var PAGE_SIZE = 4096;
function alignMemoryPage(x) {
  return Math.ceil(x/PAGE_SIZE)*PAGE_SIZE;
}

var HEAP, IHEAP, FHEAP;
var STACK_ROOT, STACKTOP, STACK_MAX;
var STATICTOP;

var HAS_TYPED_ARRAYS = false;
var TOTAL_MEMORY = 50*1024*1024;

function __initializeRuntime__() {
  {
    // Without this optimization, Chrome is slow. Sadly, the constant here needs to be tweaked depending on the code being run...
    var FAST_MEMORY = TOTAL_MEMORY/32;
    IHEAP = FHEAP = HEAP = new Array(FAST_MEMORY);
    for (var i = 0; i < FAST_MEMORY; i++) {
      IHEAP[i] = FHEAP[i] = 0; // We do *not* use HEAP[i]=0; here, since this is done just to optimize runtime speed
    }
  }

  var base = intArrayFromString('(null)'); // So printing %s of NULL gives '(null)'
                                           // Also this ensures we leave 0 as an invalid address, 'NULL'
  for (var i = 0; i < base.length; i++) {
    HEAP[i]=base[i];
  }

  Module['HEAP'] = HEAP;
  Module['IHEAP'] = IHEAP;
  Module['FHEAP'] = FHEAP;

  STACK_ROOT = STACKTOP = alignMemoryPage(10);
  var TOTAL_STACK = 1024*1024; // XXX: Changing this value can lead to bad perf on v8!
  STACK_MAX = STACK_ROOT + TOTAL_STACK;

  STATICTOP = alignMemoryPage(STACK_MAX);
}

function __shutdownRuntime__() {
  while( __ATEXIT__.length > 0) {
    var func = __ATEXIT__.pop();
    if (typeof func === 'number') {
      func = FUNCTION_TABLE[func];
    }
    func();
  }
}


// Copies a list of num items on the HEAP into a
// a normal JavaScript array of numbers
function Array_copy(ptr, num) {
  // TODO: In the SAFE_HEAP case, do some reading here, for debugging purposes - currently this is an 'unnoticed read'.
  {
    return IHEAP.slice(ptr, ptr+num);
  }
}

function String_len(ptr) {
  var i = 0;
  while (HEAP[ptr+i]) i++; // Note: should be |!= 0|, technically. But this helps catch bugs with undefineds
  return i;
}

// Copies a C-style string, terminated by a zero, from the HEAP into
// a normal JavaScript array of numbers
function String_copy(ptr, addZero) {
  var len = String_len(ptr);
  if (addZero) len++;
  var ret = Array_copy(ptr, len);
  if (addZero) ret[len-1] = 0;
  return ret;
}

// Tools

var PRINTBUFFER = '';
function __print__(text) {
  if (text === null) {
    // Flush
    print(PRINTBUFFER);
    PRINTBUFFER = '';
    return;
  }
  // We print only when we see a '\n', as console JS engines always add
  // one anyhow.
  PRINTBUFFER = PRINTBUFFER + text;
  var endIndex;
  while ((endIndex = PRINTBUFFER.indexOf('\n')) != -1) {
    print(PRINTBUFFER.substr(0, endIndex));
    PRINTBUFFER = PRINTBUFFER.substr(endIndex + 1);
  }
}

function jrint(label, obj) { // XXX manual debugging
  if (!obj) {
    obj = label;
    label = '';
  } else
    label = label + ' : ';
  print(label + JSON.stringify(obj));
}

// This processes a JS string into a C-line array of numbers, 0-terminated.
// For LLVM-originating strings, see parser.js:parseLLVMString function
function intArrayFromString(stringy) {
  var ret = [];
  var t;
  var i = 0;
  while (i < stringy.length) {
    ret.push(stringy.charCodeAt(i));
    i = i + 1;
  }
  ret.push(0);
  return ret;
}
Module['intArrayFromString'] = intArrayFromString;

function intArrayToString(array) {
  var ret = '';
  for (var i = 0; i < array.length; i++) {
    ret += String.fromCharCode(array[i]);
  }
  return ret;
}

var unSign = function unSign(value, bits, ignore) {
  if (value >= 0) return value;
  return bits <= 32 ? 2*Math.abs(1 << (bits-1)) + value // Need some trickery, since if bits == 32, we are right at the limit of the bits JS uses in bitshifts
                    : Math.pow(2, bits)         + value;
  // TODO: clean up previous line
}
var reSign = function reSign(value, bits, ignore) {
  if (value <= 0) return value;
  var half = bits <= 32 ? Math.abs(1 << (bits-1)) // abs is needed if bits == 32
                        : Math.pow(2, bits-1);
  if (value >= half) {
    value = -2*half + value; // Cannot bitshift half, as it may be at the limit of the bits JS uses in bitshifts
  }
  return value;
}

// === Body ===



var $struct_BITMAPFILEHEADER_t___SIZE = 16; // %struct.BITMAPFILEHEADER_t
  var $struct_BITMAPFILEHEADER_t___FLATTENER = [0,4,8,10,12];
var $struct_BITMAPINFOHEADER_t___SIZE = 40; // %struct.BITMAPINFOHEADER_t
  var $struct_BITMAPINFOHEADER_t___FLATTENER = [0,4,8,12,14,16,20,24,28,32,36];
var $struct_DIR___SIZE = 0; // %struct.DIR
  var $struct_DIR___FLATTENER = [];
var $struct_FILE___SIZE = 148; // %struct.FILE
  var $struct_FILE___FLATTENER = [0,4,8,12,16,20,24,28,32,36,40,44,48,52,56,60,64,68,70,71,72,76,84,88,92,96,100,104,108];
var $struct_TIFF___SIZE = 0; // %struct.TIFF
  var $struct_TIFF___FLATTENER = [];
var $struct__IO_FILE___SIZE = 148; // %struct._IO_FILE
  var $struct__IO_FILE___FLATTENER = [0,4,8,12,16,20,24,28,32,36,40,44,48,52,56,60,64,68,70,71,72,76,84,88,92,96,100,104,108];
var $struct__IO_marker___SIZE = 12; // %struct._IO_marker
  
var $struct___jmp_buf_tag___SIZE = 156; // %struct.__jmp_buf_tag
  var $struct___jmp_buf_tag___FLATTENER = [0,24,28];
var $struct___sigset_t___SIZE = 128; // %struct.__sigset_t
  
var $struct_dircnt_t___SIZE = 8; // %struct.dircnt_t
  
var $struct_dirent___SIZE = 268; // %struct.dirent
  var $struct_dirent___FLATTENER = [0,4,8,10,11];
var $struct_dwt_t___SIZE = 16; // %struct.dwt_t
  
var $struct_img_fol_t___SIZE = 12; // %struct.img_fol_t
  var $struct_img_fol_t___FLATTENER = [0,4,8,9];
var $struct_internal_state___SIZE = 4; // %struct.internal_state
  
var $struct_j2k_prog_order_t___SIZE = 8; // %struct.j2k_prog_order_t
  
var $struct_opj_bio_t___SIZE = 20; // %struct.opj_bio_t
  
var $struct_opj_cinfo_t___SIZE = 28; // %struct.opj_cinfo_t
  
var $struct_opj_cio_t___SIZE = 28; // %struct.opj_cio_t
  
var $struct_opj_codestream_info_t___SIZE = 92; // %struct.opj_codestream_info_t
  var $struct_opj_codestream_info_t___FLATTENER = [0,8,12,16,20,24,28,32,36,40,44,48,52,56,60,64,68,72,76,80,84,88];
var $struct_opj_common_struct_t___SIZE = 28; // %struct.opj_common_struct_t
  
var $struct_opj_cp_t___SIZE = 116; // %struct.opj_cp_t
  var $struct_opj_cp_t___FLATTENER = [0,4,8,12,16,17,20,24,28,32,36,40,44,48,52,56,60,64,68,72,76,80,84,88,92,96,100,104,108,112];
var $struct_opj_cparameters_t___SIZE = 18692; // %struct.opj_cparameters_t
  var $struct_opj_cparameters_t___FLATTENER = [0,4,8,12,16,20,24,28,32,36,40,44,48,4784,4788,4792,5192,5592,5596,5600,5604,5608,5612,5616,5620,5624,5756,5888,9984,14080,14084,18180,18184,18188,18192,18196,18200,18204,18208,18212,18276,18340,18404,18468,18532,18536,18540,18544,18548,18612,18676,18680,18684,18688,18689,18690];
var $struct_opj_dec_mstabent_t___SIZE = 12; // %struct.opj_dec_mstabent_t
  
var $struct_opj_dinfo_t___SIZE = 28; // %struct.opj_dinfo_t
  
var $struct_opj_dparameters_t___SIZE = 8224; // %struct.opj_dparameters_t
  var $struct_opj_dparameters_t___FLATTENER = [0,4,8,4104,8200,8204,8208,8212,8216,8220];
var $struct_opj_event_mgr_t___SIZE = 12; // %struct.opj_event_mgr_t
  
var $struct_opj_image_cmptparm_t___SIZE = 36; // %struct.opj_image_cmptparm_t
  
var $struct_opj_image_comp_t___SIZE = 48; // %struct.opj_image_comp_t
  
var $struct_opj_image_t___SIZE = 36; // %struct.opj_image_t
  
var $struct_opj_j2k_t___SIZE = 76; // %struct.opj_j2k_t
  
var $struct_opj_jp2_box_t___SIZE = 12; // %struct.opj_jp2_box_t
  
var $struct_opj_jp2_cdef_info_t___SIZE = 6; // %struct.opj_jp2_cdef_info_t
  
var $struct_opj_jp2_cdef_t___SIZE = 8; // %struct.opj_jp2_cdef_t
  
var $struct_opj_jp2_cmap_comp_t___SIZE = 4; // %struct.opj_jp2_cmap_comp_t
  var $struct_opj_jp2_cmap_comp_t___FLATTENER = [0,2,3];
var $struct_opj_jp2_color_t___SIZE = 20; // %struct.opj_jp2_color_t
  
var $struct_opj_jp2_comps_t___SIZE = 12; // %struct.opj_jp2_comps_t
  
var $struct_opj_jp2_pclr_t___SIZE = 20; // %struct.opj_jp2_pclr_t
  var $struct_opj_jp2_pclr_t___FLATTENER = [0,4,8,12,16,18];
var $struct_opj_jp2_t___SIZE = 80; // %struct.opj_jp2_t
  
var $struct_opj_jpt_msg_header_t___SIZE = 28; // %struct.opj_jpt_msg_header_t
  
var $struct_opj_marker_info_t___SIZE = 12; // %struct.opj_marker_info_t
  
var $struct_opj_mqc_state_t___SIZE = 16; // %struct.opj_mqc_state_t
  
var $struct_opj_mqc_t___SIZE = 104; // %struct.opj_mqc_t
  var $struct_opj_mqc_t___FLATTENER = [0,4,8,12,16,20,24,100];
var $struct_opj_packet_info_t___SIZE = 20; // %struct.opj_packet_info_t
  
var $struct_opj_pi_comp_t___SIZE = 16; // %struct.opj_pi_comp_t
  
var $struct_opj_pi_iterator_t___SIZE = 232; // %struct.opj_pi_iterator_t
  var $struct_opj_pi_iterator_t___FLATTENER = [0,4,8,12,16,20,24,28,32,36,40,44,192,196,200,204,208,212,216,220,224,228];
var $struct_opj_pi_resolution_t___SIZE = 16; // %struct.opj_pi_resolution_t
  
var $struct_opj_poc_t___SIZE = 148; // %struct.opj_poc_t
  var $struct_opj_poc_t___FLATTENER = [0,4,8,12,16,20,24,28,32,36,40,48,52,56,60,64,68,72,76,80,84,88,92,96,100,104,108,112,116,120,124,128,132,136,140,144];
var $struct_opj_raw_t___SIZE = 28; // %struct.opj_raw_t
  
var $struct_opj_stepsize_t___SIZE = 8; // %struct.opj_stepsize_t
  
var $struct_opj_t1_t___SIZE = 40; // %struct.opj_t1_t
  
var $struct_opj_t2_t___SIZE = 12; // %struct.opj_t2_t
  
var $struct_opj_tccp_t___SIZE = 1076; // %struct.opj_tccp_t
  var $struct_opj_tccp_t___FLATTENER = [0,4,8,12,16,20,24,28,804,808,812,944];
var $struct_opj_tcd_band_t___SIZE = 32; // %struct.opj_tcd_band_t
  
var $struct_opj_tcd_cblk_dec_t___SIZE = 44; // %struct.opj_tcd_cblk_dec_t
  
var $struct_opj_tcd_cblk_enc_t___SIZE = 48; // %struct.opj_tcd_cblk_enc_t
  
var $struct_opj_tcd_image_t___SIZE = 12; // %struct.opj_tcd_image_t
  
var $struct_opj_tcd_layer_t___SIZE = 20; // %struct.opj_tcd_layer_t
  var $struct_opj_tcd_layer_t___FLATTENER = [0,4,8,16];
var $struct_opj_tcd_pass_t___SIZE = 20; // %struct.opj_tcd_pass_t
  var $struct_opj_tcd_pass_t___FLATTENER = [0,4,12,16];
var $struct_opj_tcd_precinct_t___SIZE = 36; // %struct.opj_tcd_precinct_t
  
var $struct_opj_tcd_resolution_t___SIZE = 124; // %struct.opj_tcd_resolution_t
  
var $struct_opj_tcd_seg_t___SIZE = 28; // %struct.opj_tcd_seg_t
  
var $struct_opj_tcd_t___SIZE = 56; // %struct.opj_tcd_t
  
var $struct_opj_tcd_tile_t___SIZE = 840; // %struct.opj_tcd_tile_t
  var $struct_opj_tcd_tile_t___FLATTENER = [0,4,8,12,16,20,24,28,36,836];
var $struct_opj_tcd_tilecomp_t___SIZE = 32; // %struct.opj_tcd_tilecomp_t
  
var $struct_opj_tcp_t___SIZE = 5588; // %struct.opj_tcp_t
  var $struct_opj_tcp_t___FLATTENER = [0,4,8,12,16,20,420,424,428,5164,5168,5172,5176,5180,5184,5584];
var $struct_opj_tgt_node_t___SIZE = 16; // %struct.opj_tgt_node_t
  
var $struct_opj_tgt_tree_t___SIZE = 16; // %struct.opj_tgt_tree_t
  
var $struct_opj_tile_info_t___SIZE = 572; // %struct.opj_tile_info_t
  var $struct_opj_tile_info_t___FLATTENER = [0,4,8,12,16,20,152,284,416,548,552,556,564,568];
var $struct_opj_tp_info_t___SIZE = 20; // %struct.opj_tp_info_t
  
var $struct_option___SIZE = 16; // %struct.option
  
var $struct_option_t___SIZE = 16; // %struct.option_t
  
var $struct_png_color___SIZE = 3; // %struct.png_color
  
var $struct_png_color_16___SIZE = 10; // %struct.png_color_16
  
var $struct_png_color_8___SIZE = 5; // %struct.png_color_8
  
var $struct_png_info___SIZE = 288; // %struct.png_info
  var $struct_png_info___FLATTENER = [0,4,8,12,16,20,22,24,25,26,27,28,29,30,31,32,40,44,48,52,56,60,68,76,80,90,100,104,108,112,116,120,124,128,132,136,140,144,148,152,156,160,164,168,172,176,180,181,184,188,192,196,200,204,208,212,216,220,224,232,240,244,248,252,256,260,264,268,272,276,280,284];
var $struct_png_row_info___SIZE = 12; // %struct.png_row_info
  var $struct_png_row_info___FLATTENER = [0,4,8,9,10,11];
var $struct_png_sPLT_entry___SIZE = 10; // %struct.png_sPLT_entry
  
var $struct_png_sPLT_t___SIZE = 16; // %struct.png_sPLT_t
  
var $struct_png_struct___SIZE = 744; // %struct.png_struct
  var $struct_png_struct___FLATTENER = [0,156,160,164,168,172,176,180,184,188,192,193,196,200,204,208,264,268,272,276,280,284,288,292,296,300,304,308,312,316,320,324,328,332,336,340,344,348,360,364,368,372,374,376,381,382,383,384,385,386,387,388,389,390,391,392,394,396,400,404,414,424,428,432,436,440,444,448,452,456,460,464,468,472,477,484,488,500,504,508,512,516,520,524,528,532,536,540,544,548,552,556,560,564,568,572,576,580,584,588,592,596,597,600,604,608,612,616,620,624,628,632,636,640,644,646,648,650,652,656,660,661,664,668,672,676,680,684,688,692,696,700,704,708,712,732,736,740];
var $struct_png_text___SIZE = 16; // %struct.png_text
  
var $struct_png_time___SIZE = 8; // %struct.png_time
  var $struct_png_time___FLATTENER = [0,2,3,4,5,6];
var $struct_png_unknown_chunk___SIZE = 20; // %struct.png_unknown_chunk
  var $struct_png_unknown_chunk___FLATTENER = [0,8,12,16];
var $struct_raw_cparameters_t___SIZE = 20; // %struct.raw_cparameters_t
  
var $struct_tga_header___SIZE = 18; // %struct.tga_header
  var $struct_tga_header___FLATTENER = [0,1,2,3,5,7,8,10,12,14,16,17];
var $struct_tiff_infoheader_t___SIZE = 20; // %struct.tiff_infoheader_t
  var $struct_tiff_infoheader_t___FLATTENER = [0,4,8,12,14,16,18];
var $struct_timeval___SIZE = 8; // %struct.timeval
  
var $struct_timezone___SIZE = 8; // %struct.timezone
  
var $struct_v4dwt_t___SIZE = 16; // %struct.v4dwt_t
  
var $struct_z_stream___SIZE = 56; // %struct.z_stream
  
var $union_anon___SIZE = 4; // %union.anon
  
var $union_v4___SIZE = 16; // %union.v4
  
var _stdout;
var __str;
var __str1;
var __str2;
var __str3;
var __str4;
var __str5;
var __str6;
var __str7;
var __str8;
var __str9;
var __str10;
var __str11;
var __str12;
var __str13;
var __str14;
var __str15;
var __str16;
var __str17;
var __str18;
var __str19;
var __str20;
var __str21;
var __str22;
var __str23;
var __str24;
var __str25;
var __str26;
var __str27;
var __str28;
var __str29;
var __str30;
var __str31;
var __str32;
var _stderr;
var __str33;
var __str34;
var __str35;
var __str36;
var _extension_4152;
var __str37;
var __str38;
var __str39;
var __str40;
var __str41;
var __str42;
var __str43;
var __str44;
var __str45;
var __str46;
var __str47;
var __str48;
var __str49;
var __str50;
var _format_4153;
var __str51;
var __str52;
var __str53;
var __str54;
var __str55;
var _C_43_4255;
var __str56;
var __str57;
var __str58;
var __str59;
var __str60;
var __str61;
var __str62;
var __str63;
var __str64;
var __str65;
var __str66;
var __str67;
var __str68;
var __str69;
var __str70;
var __str71;
var __str72;
var __str73;
var __str74;
var __str75;
var __str76;
var __str77;
var __str78;
var __str79;
var __str80;
var __str81;
var __str82;
var __str83;
var __str84;
var __str85;
var __str186;
var __str287;
var _dwt_alpha;
var _dwt_beta;
var _dwt_gamma;
var _dwt_delta;
var _K;
var _c13318;
var _dwt_norms;
var _dwt_norms_real;
var __str388;
var __str589;
var _j2k_prog_order_list;
var __str690;
var __str1791;
var _j2k_dec_mstab;
var __str2892;
var __str3993;
var __str494;
var __str510;
var __str611;
var __str795;
var __str896;
var __str997;
var _last_5146;
var __str1498;
var __str115;
var __str216;
var __str317;
var __str418;
var __str519;
var __str620;
var __str721;
var __str822;
var __str923;
var __str1099;
var __str11100;
var __str12101;
var __str13102;
var __str1424;
var __str15103;
var __str16104;
var __str25105;
var _mct_norms;
var _mct_norms_real;
var _mqc_states;
var __str29106;
var __str130;
var __str31107;
var __str132;
var __str233;
var __str334;
var __str435;
var _lut_ctxno_zc;
var _lut_ctxno_sc;
var _lut_spb;
var _lut_nmsedec_sig;
var _lut_nmsedec_sig0;
var _lut_nmsedec_ref;
var _lut_nmsedec_ref0;
var _mod_5300;
var __str43108;
var __str144;
var __str245;
var __str346;
var __str50109;
var __str151;
var __str252;
var __str353;
var __str454;
var __str555;
var __str656;
var __str757;
var __str858;
var __str959;
var __str1060;
var __str1161;
var __str1262;
var __str1363;
var __str1464;
var __str1565;
var __str1666;
var __str1767;
var __str18110;
var __str19111;
var __str20112;
var __str21113;
var __str22114;
var __str23115;
var __str24116;
var __str26117;
var __str127;
var __str228;
var __str329;
var __str430;
var __str531;
var __str632;
var __str733;
var __str834;
var __str935;
var __str1036;
var __str1137;
var __str1238;
var __str1339;
var __str1440;
var __str1541;
var __str1642;
var __str1743;
var __str1844;
var __str1945;
var __str2046;
var __str2147;
var __str2248;
var __str2349;
var __str2450;
var __str2551;
var __str2652;
var __str27118;
var __str2853;
var __str2954;
var __str30119;
var __str3155;
var __str32120;
var __str56121;
var __str157;
var __str258;
var __str359;
var __str460;
var __str561;
var __str662;
var __str763;
var __str864;
var __str965;
var __str1066;
var __str1167;
var __str1268;
var __str1369;
var __str1470;
var __str1571;
var __str1672;
var __str1773;
var __str1874;
var __str1975;
var __str2076;
var __str2177;
var __str2278;
var __str2379;
var __str2480;
var __str2581;
var __str2682;
var __str2783;
var __str2884;
var __str2985;
var __str3086;
var __str3187;
var __str3288;
var __str33122;
var __str34123;
var __str35124;
var __str36125;
var __str37126;
var __str38127;
var __str3989;
var __str40128;
var __str41129;
var __str42130;
var __str4390;
var __str44131;
var __str45132;
var __str46133;
var __str47134;
var __str48135;
var __str49136;
var __str5091;
var __str51137;
var __str52138;
var __str53139;
var __str54140;
var __str55141;
var __str5692;
var __str57142;
var __str58143;
var __str59144;
var __str60145;
var __str61146;
var __str96;
var __str197;
var _opterr;
var _optind;
var _optreset;
var _place_2550;
var __str98;
var _optopt;
var __str199;
var _optarg;
var __str2100;
var __str3101;
var __str4102;
var __str5103;
var __str6104;
var _lastidx_2650;
var _lastofs_2651;
var __str7105;
var _fwrite=function _fwrite (ptr, size, count, stream) {
      _STDIO.write(stream, ptr, size*count);
      return count;
    }
  var _STDIO={"streams":{},"filenames":{},"counter":1,"SEEK_SET":0,"SEEK_CUR":1,"SEEK_END":2, init: function () {
        try {
          _stdin = Pointer_make([0], null, ALLOC_STATIC);
          IHEAP[_stdin] = this.prepare('<<stdin>>');
        } catch(e){} // stdin/out/err may not exist if not needed
        try {
          _stdout = Pointer_make([0], null, ALLOC_STATIC);
          IHEAP[_stdout] = this.prepare('<<stdout>>', null, true);
        } catch(e){}
        try {
          _stderr = Pointer_make([0], null, ALLOC_STATIC);
          IHEAP[_stderr] = this.prepare('<<stderr>>', null, true);
        } catch(e){}
      }, prepare: function (filename, data, print_) {
        var stream = this.counter++;
        this.streams[stream] = {
          filename: filename,
          data: data ? data : [],
          position: 0,
          eof: 0,
          error: 0,
          print: print_ // true for stdout and stderr - we print when receiving data for them
        };
        this.filenames[filename] = stream;
        return stream;
      }, open: function (filename) {
        var stream = _STDIO.filenames[filename];
        if (!stream) return -1; // assert(false, 'No information for file: ' + filename);
        var info = _STDIO.streams[stream];
        info.position = info.error = info.eof = 0;
        return stream;
      }, read: function (stream, ptr, size) {
        var info = _STDIO.streams[stream];
        if (!info) return -1;
        for (var i = 0; i < size; i++) {
          if (info.position >= info.data.length) {
            info.eof = 1;
            return 0; // EOF
          }
          HEAP[ptr]=info.data[info.position];
          info.position++;
          ptr++;
        }
        return size;
      }, write: function (stream, ptr, size) {
        var info = _STDIO.streams[stream];
        if (!info) return -1;
        if (info.print) {
          __print__(intArrayToString(Array_copy(ptr, size)));
        } else {
          for (var i = 0; i < size; i++) {
            info.data[info.position] = HEAP[ptr];
            info.position++;
            ptr++;
          }
        }
        return size;
      } }
var _fputc=function _fputc (chr, stream) {
      if (!_fputc.ptr) _fputc.ptr = _malloc(1);
      HEAP[_fputc.ptr]=chr;
      _STDIO.write(stream, _fputc.ptr, 1);
    }
  
// stub for _llvm_dbg_declare
var _opendir=function _opendir (pname) {
      return 0;
    }
var _fprintf=function _fprintf () {
      var stream = arguments[0];
      var args = Array.prototype.slice.call(arguments, 1);
      var ptr = __formatString.apply(null, args);
      _STDIO.write(stream, ptr, String_len(ptr));
    }
  var __formatString=function __formatString () {
      function isFloatArg(type) {
        return String.fromCharCode(type) in Runtime.set('f', 'e', 'g');
      }
      var cStyle = false;
      var textIndex = arguments[0];
      var argIndex = 1;
      if (textIndex < 0) {
        cStyle = true;
        textIndex = -textIndex;
        argIndex = arguments[1];
      } else {
        var _arguments = arguments;
      }
      function getNextArg(type) {
        var ret;
        if (!cStyle) {
          ret = _arguments[argIndex];
          argIndex++;
        } else {
          if (isFloatArg(type)) {
            ret = HEAP[argIndex];
          } else {
            ret = HEAP[argIndex];
          }
          argIndex += type === 'l'.charCodeAt(0) ? 8 : 4; // XXX hardcoded native sizes
        }
        return ret;
      }
  
      var ret = [];
      var curr, next, currArg;
      while(1) {
        curr = HEAP[textIndex];
        if (curr === 0) break;
        next = HEAP[textIndex+1];
        if (curr == '%'.charCodeAt(0)) {
          // Handle very very simply formatting, namely only %.X[f|d|u|etc.]
          var precision = -1;
          if (next == '.'.charCodeAt(0)) {
            textIndex++;
            precision = 0;
            while(1) {
              var precisionChr = HEAP[textIndex+1];
              if (!(precisionChr >= '0'.charCodeAt(0) && precisionChr <= '9'.charCodeAt(0))) break;
              precision *= 10;
              precision += precisionChr - '0'.charCodeAt(0);
              textIndex++;
            }
            next = HEAP[textIndex+1];
          }
          if (next == 'l'.charCodeAt(0)) {
            textIndex++;
            next = HEAP[textIndex+1];
          }
          if (isFloatArg(next)) {
            next = 'f'.charCodeAt(0); // no support for 'e'
          }
          if (['d', 'i', 'u', 'p', 'f'].indexOf(String.fromCharCode(next)) != -1) {
            var currArg;
            var argText;
            currArg = getNextArg(next);
            argText = String(+currArg); // +: boolean=>int
            if (next == 'u'.charCodeAt(0)) {
              argText = String(unSign(currArg, 32));
            } else if (next == 'p'.charCodeAt(0)) {
              argText = '0x' + currArg.toString(16);
            } else {
              argText = String(+currArg); // +: boolean=>int
            }
            if (precision >= 0) {
              if (isFloatArg(next)) {
                var dotIndex = argText.indexOf('.');
                if (dotIndex == -1 && next == 'f'.charCodeAt(0)) {
                  dotIndex = argText.length;
                  argText += '.';
                }
                argText += '00000000000'; // padding
                argText = argText.substr(0, dotIndex+1+precision);
              } else {
                while (argText.length < precision) {
                  argText = '0' + argText;
                }
              }
            }
            argText.split('').forEach(function(chr) {
              ret.push(chr.charCodeAt(0));
            });
            textIndex += 2;
          } else if (next == 's'.charCodeAt(0)) {
            ret = ret.concat(String_copy(getNextArg(next)));
            textIndex += 2;
          } else if (next == 'c'.charCodeAt(0)) {
            ret = ret.concat(getNextArg(next));
            textIndex += 2;
          } else {
            ret.push(next);
            textIndex += 2; // not sure what to do with this %, so print it
          }
        } else {
          ret.push(curr);
          textIndex += 1;
        }
      }
      return Pointer_make(ret.concat(0), 0, ALLOC_STACK); // NB: Stored on the stack
      //var len = ret.length+1;
      //var ret = Pointer_make(ret.concat(0), 0, ALLOC_STACK); // NB: Stored on the stack
      //STACKTOP -= len; // XXX horrible hack. we rewind the stack, to 'undo' the alloc we just did.
      //                 // the point is that this works if nothing else allocs on the stack before
      //                 // the string is read, which should be true - it is very transient, see the *printf* functions below.
      //return ret;
    }
  
  
var _strcmp=function _strcmp (px, py) {
      return _strncmp(px, py, TOTAL_MEMORY);
    }
  var _strncmp=function _strncmp (px, py, n) {
      var i = 0;
      while (i < n) {
        var x = HEAP[px+i];
        var y = HEAP[py+i];
        if (x == y && x == 0) return 0;
        if (x == 0) return -1;
        if (y == 0) return 1;
        if (x == y) {
          i ++;
          continue;
        } else {
          return x > y ? 1 : -1;
        }
      }
      return 0;
    }
// stub for _readdir
var _strcpy=function _strcpy (pdest, psrc) {
      var i = 0;
      do {
        HEAP[pdest+i]=HEAP[psrc+i];
        i ++;
      } while (HEAP[psrc+i-1] != 0);
    }
var _strrchr=function _strrchr (ptr, chr) {
      var ptr2 = ptr + Pointer_stringify(ptr).length; // TODO: use strlen, but need dependencies system
      do {
        if (HEAP[ptr2] == chr) return ptr2;
        ptr2--;
      } while (ptr2 >= ptr);
      return 0;
    }
var _strncasecmp=function _strncasecmp (px, py, n) {
      var i = 0;
      while (i < n) {
        var x = _tolower(HEAP[px+i]);
        var y = _tolower(HEAP[py+i]);
        if (x == y && x == 0) return 0;
        if (x == 0) return -1;
        if (y == 0) return 1;
        if (x == y) {
          i ++;
          continue;
        } else {
          return x > y ? 1 : -1;
        }
      }
      return 0;
    }
  var _tolower=function _tolower (chr) {
      if (chr >= 'A'.charCodeAt(0) && chr <= 'Z'.charCodeAt(0)) {
        return chr - 'A'.charCodeAt(0) + 'a'.charCodeAt(0);
      }
      return chr;
    }
var _llvm_memcpy_p0i8_p0i8_i32=function (dest, src, num, idunno) {
      var curr;
      for (var i = 0; i < num; i++) {
        // TODO: optimize for the typed arrays case
        // || 0, since memcpy sometimes copies uninitialized areas XXX: Investigate why initializing alloc'ed memory does not fix that too
        IHEAP[dest+i] = IHEAP[src+i]; FHEAP[dest+i] = FHEAP[src+i]; ;
      }
    }
  var _undefined=undefined
var _sprintf=function _sprintf () {
      var str = arguments[0];
      var args = Array.prototype.slice.call(arguments, 1);
      _strcpy(str, __formatString.apply(null, args)); // not terribly efficient
    }
  
  
var _strncpy=function _strncpy (pdest, psrc, num) {
      var padding = false, curr;
      for (var i = 0; i < num; i++) {
        curr = padding ? 0 : HEAP[psrc+i];
        HEAP[pdest+i]=curr;
        padding = padding || HEAP[psrc+i] == 0;
      }
    }
// stub for _strtok
var _strcat=function _strcat (pdest, psrc) {
      var len = Pointer_stringify(pdest).length; // TODO: use strlen, but need dependencies system
      var i = 0;
      do {
        HEAP[pdest+len+i]=HEAP[psrc+i];
        i ++;
      } while (HEAP[psrc+i-1] != 0);
      return pdest;
    }
// stub for ___01__isoc99_sscanf_
var _strlen=function _strlen (ptr) {
      return String_len(ptr);
    }
var _malloc=function staticAlloc(size) { var ret = STATICTOP; assert(size > 0, "Trying to allocate 0"); STATICTOP += size;STATICTOP = Math.ceil(STATICTOP/4)*4;; return ret; }
var _llvm_memset_p0i8_i32=function (ptr, value, num) {
      for (var i = 0; i < num; i++) {
        HEAP[ptr+i]=value;
      }
    }
  
var _fopen=function _fopen (filename, mode) {
      filename = Pointer_stringify(filename);
      mode = Pointer_stringify(mode);
      if (mode.indexOf('r') >= 0) {
        return _STDIO.open(filename);
      } else if (mode.indexOf('w') >= 0) {
        return _STDIO.prepare(filename);
      } else {
        return assert(false, 'fopen with odd params: ' + mode);
      }
    }
  
var _fseek=function _fseek (stream, offset, whence) {
      var info = _STDIO.streams[stream];
      if (whence === _STDIO.SEEK_CUR) {
        offset += info.position;
      } else if (whence === _STDIO.SEEK_END) {
        offset += info.data.length;
      }
      info.position = offset;
      info.eof = 0;
      return 0;
    }
  
var _ftell=function _ftell (stream) {
      return _STDIO.streams[stream].position;
    }
  
var _fread=function _fread (ptr, size, count, stream) {
      var info = _STDIO.streams[stream];
      for (var i = 0; i < count; i++) {
        if (info.position + size > info.data.length) {
          info.eof = 1;
          return i;
        }
        _STDIO.read(stream, ptr, size);
        ptr += size;
      }
      return count;
    }
  
var _fclose=function _fclose (stream) {
      return 0;
    }
  
var _free=function _free (){}
var _floor=Math.floor
var _memalign=function _memalign (boundary, size) {
      // leaks, and even returns an invalid pointer. Horrible hack... but then, this is a deprecated function...
      var ret = Runtime.staticAlloc(size + boundary);
      return ret + boundary - (ret % boundary);
    }
// stub for _llvm_va_start
var _vsprintf=function _vsprintf (dst, src, ptr) {
      _strcpy(dst, __formatString(-src, ptr));
    }
  
  
// stub for _llvm_va_end
var _calloc=function _calloc (n, s) {
      var ret = _malloc(n*s);
      _memset(ret, 0, n*s);
      return ret;
    }
  
var _realloc=function _realloc (ptr, size) {
      // Very simple, inefficient implementation - if you use a real malloc, best to use
      // a real realloc with it
      if (!size) {
        if (ptr) _free(ptr);
        return 0;
      }
      var ret = _malloc(size);
      if (ptr) {
        _memcpy(ret, ptr, size); // might be some invalid reads
        _free(ptr);
      }
      return ret;
    }
  var _memcpy=function _memcpy (dest, src, num, idunno) {
      var curr;
      for (var i = 0; i < num; i++) {
        // TODO: optimize for the typed arrays case
        // || 0, since memcpy sometimes copies uninitialized areas XXX: Investigate why initializing alloc'ed memory does not fix that too
        IHEAP[dest+i] = IHEAP[src+i]; FHEAP[dest+i] = FHEAP[src+i]; ;
      }
    }
var _gettimeofday=function _gettimeofday (ptr) {
      // %struct.timeval = type { i32, i32 }
      var indexes = Runtime.calculateStructAlignment({ fields: ['i32', 'i32'] });
      var now = Date.now();
      HEAP[ptr+indexes[0]]=Math.floor(now/1000); // seconds
      HEAP[ptr+indexes[1]]=Math.floor((now-1000*Math.floor(now/1000))*1000); // microseconds
      return 0;
    }
var _puts=function _puts (p) {
      __print__(Pointer_stringify(p) + '\n');
    }
var _llvm_pow_f64=Math.pow
var _ceil=Math.ceil
// stub for _lrintf
var __IO_getc=function (file) {
      return -1; // EOF
    }
  
var _printf=function _printf () {
      __print__(Pointer_stringify(__formatString.apply(null, arguments)));
    }
  
// stub for ___01__isoc99_fscanf_
// stub for _fgetc
// stub for _TIFFOpen
// stub for _TIFFSetField
// stub for _TIFFStripSize
// stub for __TIFFmalloc
// stub for _TIFFWriteEncodedStrip
// stub for _TIFFNumberOfStrips
// stub for __TIFFfree
// stub for _TIFFClose
// stub for _TIFFGetField
// stub for _TIFFReadEncodedStrip
var _memcmp=function _memcmp (p1, p2, num) {
      for (var i = 0; i < num; i++) {
        var v1 = HEAP[p1+i];
        var v2 = HEAP[p2+i];
        if (v1 != v2) return v1 > v2 ? 1 : -1;
      }
      return 0;
    }
// stub for _png_create_read_struct
// stub for _png_create_info_struct
var __setjmp=function __setjmp (env) {
      // XXX print('WARNING: setjmp() not really implemented, will fail if longjmp() is actually called');
      return 0;
    }
// stub for _png_init_io
// stub for _png_set_sig_bytes
// stub for _png_read_info
// stub for _png_get_IHDR
// stub for _png_set_expand
// stub for _png_get_valid
// stub for _png_set_gray_to_rgb
// stub for _png_get_gAMA
// stub for _png_set_gamma
// stub for _png_read_update_info
// stub for _png_get_pHYs
// stub for _png_get_color_type
// stub for _png_get_bit_depth
// stub for _png_get_rowbytes
// stub for _png_read_image
// stub for _png_destroy_read_struct
// stub for _png_create_write_struct
// stub for _png_set_compression_level
// stub for _png_set_sBIT
// stub for _png_set_IHDR
// stub for _png_write_info
// stub for _png_set_packing
// stub for _png_write_row
// stub for _png_write_end
// stub for _png_destroy_write_struct
// stub for _remove
var _strchr=function _strchr (ptr, chr) {
      ptr--;
      do {
        ptr++;
        var val = HEAP[ptr];
        if (val == chr) return ptr;
      } while (val);
      return 0;
    }
var _memset=function _memset (ptr, value, num) {
      for (var i = 0; i < num; i++) {
        HEAP[ptr+i]=value;
      }
    }



  function _decode_help_display() {
    ;
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $0=HEAP[_stdout]; //@line 89 "src.c"
        var $1=$0; //@line 89 "src.c"
        var $2=_fwrite(CHECK_OVERFLOW((__str)&4294967295, 32), 1, 28, $1); //@line 89 "src.c"
        var $3=HEAP[_stdout]; //@line 90 "src.c"
        var $4=$3; //@line 90 "src.c"
        var $5=_fwrite(CHECK_OVERFLOW((__str1)&4294967295, 32), 1, 58, $4); //@line 90 "src.c"
        var $6=HEAP[_stdout]; //@line 93 "src.c"
        var $7=$6; //@line 93 "src.c"
        var $8=_fwrite(CHECK_OVERFLOW((__str2)&4294967295, 32), 1, 46, $7); //@line 93 "src.c"
        var $9=HEAP[_stdout]; //@line 99 "src.c"
        var $10=$9; //@line 99 "src.c"
        var $11=_fputc(10, $10); //@line 99 "src.c"
        var $12=HEAP[_stdout]; //@line 100 "src.c"
        var $13=$12; //@line 100 "src.c"
        var $14=_fputc(10, $13); //@line 100 "src.c"
        var $15=HEAP[_stdout]; //@line 101 "src.c"
        var $16=$15; //@line 101 "src.c"
        var $17=_fwrite(CHECK_OVERFLOW((__str3)&4294967295, 32), 1, 11, $16); //@line 101 "src.c"
        var $18=HEAP[_stdout]; //@line 102 "src.c"
        var $19=$18; //@line 102 "src.c"
        var $20=_fwrite(CHECK_OVERFLOW((__str4)&4294967295, 32), 1, 28, $19); //@line 102 "src.c"
        var $21=HEAP[_stdout]; //@line 103 "src.c"
        var $22=$21; //@line 103 "src.c"
        var $23=_fwrite(CHECK_OVERFLOW((__str5)&4294967295, 32), 1, 11, $22); //@line 103 "src.c"
        var $24=HEAP[_stdout]; //@line 104 "src.c"
        var $25=$24; //@line 104 "src.c"
        var $26=_fwrite(CHECK_OVERFLOW((__str6)&4294967295, 32), 1, 37, $25); //@line 104 "src.c"
        var $27=HEAP[_stdout]; //@line 105 "src.c"
        var $28=$27; //@line 105 "src.c"
        var $29=_fwrite(CHECK_OVERFLOW((__str7)&4294967295, 32), 1, 56, $28); //@line 105 "src.c"
        var $30=HEAP[_stdout]; //@line 106 "src.c"
        var $31=$30; //@line 106 "src.c"
        var $32=_fwrite(CHECK_OVERFLOW((__str8)&4294967295, 32), 1, 77, $31); //@line 106 "src.c"
        var $33=HEAP[_stdout]; //@line 107 "src.c"
        var $34=$33; //@line 107 "src.c"
        var $35=_fwrite(CHECK_OVERFLOW((__str9)&4294967295, 32), 1, 23, $34); //@line 107 "src.c"
        var $36=HEAP[_stdout]; //@line 108 "src.c"
        var $37=$36; //@line 108 "src.c"
        var $38=_fwrite(CHECK_OVERFLOW((__str10)&4294967295, 32), 1, 60, $37); //@line 108 "src.c"
        var $39=HEAP[_stdout]; //@line 109 "src.c"
        var $40=$39; //@line 109 "src.c"
        var $41=_fwrite(CHECK_OVERFLOW((__str11)&4294967295, 32), 1, 72, $40); //@line 109 "src.c"
        var $42=HEAP[_stdout]; //@line 110 "src.c"
        var $43=$42; //@line 110 "src.c"
        var $44=_fwrite(CHECK_OVERFLOW((__str12)&4294967295, 32), 1, 39, $43); //@line 110 "src.c"
        var $45=HEAP[_stdout]; //@line 111 "src.c"
        var $46=$45; //@line 111 "src.c"
        var $47=_fwrite(CHECK_OVERFLOW((__str13)&4294967295, 32), 1, 25, $46); //@line 111 "src.c"
        var $48=HEAP[_stdout]; //@line 112 "src.c"
        var $49=$48; //@line 112 "src.c"
        var $50=_fwrite(CHECK_OVERFLOW((__str14)&4294967295, 32), 1, 13, $49); //@line 112 "src.c"
        var $51=HEAP[_stdout]; //@line 113 "src.c"
        var $52=$51; //@line 113 "src.c"
        var $53=_fwrite(CHECK_OVERFLOW((__str15)&4294967295, 32), 1, 75, $52); //@line 113 "src.c"
        var $54=HEAP[_stdout]; //@line 114 "src.c"
        var $55=$54; //@line 114 "src.c"
        var $56=_fwrite(CHECK_OVERFLOW((__str16)&4294967295, 32), 1, 61, $55); //@line 114 "src.c"
        var $57=HEAP[_stdout]; //@line 115 "src.c"
        var $58=$57; //@line 115 "src.c"
        var $59=_fwrite(CHECK_OVERFLOW((__str17)&4294967295, 32), 1, 71, $58); //@line 115 "src.c"
        var $60=HEAP[_stdout]; //@line 116 "src.c"
        var $61=$60; //@line 116 "src.c"
        var $62=_fwrite(CHECK_OVERFLOW((__str18)&4294967295, 32), 1, 71, $61); //@line 116 "src.c"
        var $63=HEAP[_stdout]; //@line 117 "src.c"
        var $64=$63; //@line 117 "src.c"
        var $65=_fwrite(CHECK_OVERFLOW((__str19)&4294967295, 32), 1, 72, $64); //@line 117 "src.c"
        var $66=HEAP[_stdout]; //@line 118 "src.c"
        var $67=$66; //@line 118 "src.c"
        var $68=_fwrite(CHECK_OVERFLOW((__str20)&4294967295, 32), 1, 77, $67); //@line 118 "src.c"
        var $69=HEAP[_stdout]; //@line 119 "src.c"
        var $70=$69; //@line 119 "src.c"
        var $71=_fwrite(CHECK_OVERFLOW((__str21)&4294967295, 32), 1, 33, $70); //@line 119 "src.c"
        var $72=HEAP[_stdout]; //@line 120 "src.c"
        var $73=$72; //@line 120 "src.c"
        var $74=_fwrite(CHECK_OVERFLOW((__str22)&4294967295, 32), 1, 21, $73); //@line 120 "src.c"
        var $75=HEAP[_stdout]; //@line 121 "src.c"
        var $76=$75; //@line 121 "src.c"
        var $77=_fwrite(CHECK_OVERFLOW((__str23)&4294967295, 32), 1, 69, $76); //@line 121 "src.c"
        var $78=HEAP[_stdout]; //@line 122 "src.c"
        var $79=$78; //@line 122 "src.c"
        var $80=_fwrite(CHECK_OVERFLOW((__str24)&4294967295, 32), 1, 69, $79); //@line 122 "src.c"
        var $81=HEAP[_stdout]; //@line 123 "src.c"
        var $82=$81; //@line 123 "src.c"
        var $83=_fwrite(CHECK_OVERFLOW((__str25)&4294967295, 32), 1, 68, $82); //@line 123 "src.c"
        var $84=HEAP[_stdout]; //@line 124 "src.c"
        var $85=$84; //@line 124 "src.c"
        var $86=_fwrite(CHECK_OVERFLOW((__str26)&4294967295, 32), 1, 63, $85); //@line 124 "src.c"
        var $87=HEAP[_stdout]; //@line 125 "src.c"
        var $88=$87; //@line 125 "src.c"
        var $89=_fwrite(CHECK_OVERFLOW((__str27)&4294967295, 32), 1, 42, $88); //@line 125 "src.c"
        var $90=HEAP[_stdout]; //@line 126 "src.c"
        var $91=$90; //@line 126 "src.c"
        var $92=_fwrite(CHECK_OVERFLOW((__str28)&4294967295, 32), 1, 69, $91); //@line 126 "src.c"
        var $93=HEAP[_stdout]; //@line 127 "src.c"
        var $94=$93; //@line 127 "src.c"
        var $95=_fwrite(CHECK_OVERFLOW((__str29)&4294967295, 32), 1, 74, $94); //@line 127 "src.c"
        var $96=HEAP[_stdout]; //@line 128 "src.c"
        var $97=$96; //@line 128 "src.c"
        var $98=_fwrite(CHECK_OVERFLOW((__str30)&4294967295, 32), 1, 17, $97); //@line 128 "src.c"
        var $99=HEAP[_stdout]; //@line 129 "src.c"
        var $100=$99; //@line 129 "src.c"
        var $101=_fwrite(CHECK_OVERFLOW((__str31)&4294967295, 32), 1, 7, $100); //@line 129 "src.c"
        var $102=HEAP[_stdout]; //@line 130 "src.c"
        var $103=$102; //@line 130 "src.c"
        var $104=_fwrite(CHECK_OVERFLOW((__str32)&4294967295, 32), 1, 52, $103); //@line 130 "src.c"
        var $105=HEAP[_stdout]; //@line 131 "src.c"
        var $106=$105; //@line 131 "src.c"
        var $107=_fputc(10, $106); //@line 131 "src.c"
        var $108=HEAP[_stdout]; //@line 142 "src.c"
        var $109=$108; //@line 142 "src.c"
        var $110=_fputc(10, $109); //@line 142 "src.c"
        __label__ = 0; break; //@line 143 "src.c"
      case 0: // $return
        ;
        return; //@line 143 "src.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _get_num_images($imgdirpath) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $imgdirpath_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $dir=__stackBase__+12;
        var $content=__stackBase__+16;
        var $num_images=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$imgdirpath_addr]=$imgdirpath;
        HEAP[$num_images]=0; //@line 150 "src.c"
        var $1=HEAP[$imgdirpath_addr]; //@line 154 "src.c"
        var $2=_opendir($1); //@line 154 "src.c"
        HEAP[$dir]=$2; //@line 154 "src.c"
        var $3=HEAP[$dir]; //@line 155 "src.c"
        var $4=($3)==0; //@line 155 "src.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 155 "src.c"
      case 0: // $bb
        var $5=HEAP[_stderr]; //@line 156 "src.c"
        var $6=HEAP[$imgdirpath_addr]; //@line 156 "src.c"
        var $7=_fprintf($5, CHECK_OVERFLOW((__str33)&4294967295, 32), $6); //@line 156 "src.c"
        HEAP[$0]=0; //@line 157 "src.c"
        __label__ = 2; break; //@line 157 "src.c"
      case 1: // $bb1
        __label__ = 3; break; //@line 157 "src.c"
      case 6: // $bb2
        var $8=HEAP[$content]; //@line 161 "src.c"
        var $9=CHECK_OVERFLOW(($8+11)&4294967295, 32); //@line 161 "src.c"
        var $10=CHECK_OVERFLOW(($9)&4294967295, 32); //@line 161 "src.c"
        var $11=_strcmp(CHECK_OVERFLOW((__str34)&4294967295, 32), $10); //@line 161 "src.c"
        var $12=($11)==0; //@line 161 "src.c"
        if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 161 "src.c"
      case 4: // $bb3
        var $13=HEAP[$content]; //@line 161 "src.c"
        var $14=CHECK_OVERFLOW(($13+11)&4294967295, 32); //@line 161 "src.c"
        var $15=CHECK_OVERFLOW(($14)&4294967295, 32); //@line 161 "src.c"
        var $16=_strcmp(CHECK_OVERFLOW((__str35)&4294967295, 32), $15); //@line 161 "src.c"
        var $17=($16)==0; //@line 161 "src.c"
        if ($17) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 161 "src.c"
      case 5: // $bb4
        var $18=HEAP[$num_images]; //@line 163 "src.c"
        var $19=CHECK_OVERFLOW((($18) + 1)&4294967295, 32); //@line 163 "src.c"
        HEAP[$num_images]=$19; //@line 163 "src.c"
        __label__ = 3; break; //@line 163 "src.c"
      case 3: // $bb5
        var $20=HEAP[$dir]; //@line 160 "src.c"
        var $21=_readdir($20); //@line 160 "src.c"
        HEAP[$content]=$21; //@line 160 "src.c"
        var $22=HEAP[$content]; //@line 160 "src.c"
        var $23=($22)!=0; //@line 160 "src.c"
        if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 160 "src.c"
      case 7: // $bb6
        var $24=HEAP[$num_images]; //@line 165 "src.c"
        HEAP[$0]=$24; //@line 165 "src.c"
        __label__ = 2; break; //@line 165 "src.c"
      case 2: // $bb7
        var $25=HEAP[$0]; //@line 157 "src.c"
        HEAP[$retval]=$25; //@line 157 "src.c"
        __label__ = 8; break; //@line 157 "src.c"
      case 8: // $return
        var $retval8=HEAP[$retval]; //@line 157 "src.c"
        STACKTOP = __stackBase__;
        return $retval8; //@line 157 "src.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _load_images($dirptr, $imgdirpath) {
    var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 28);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $dirptr_addr=__stackBase__;
        var $imgdirpath_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $dir=__stackBase__+16;
        var $content=__stackBase__+20;
        var $i=__stackBase__+24;
        var $_alloca_point_=0;
        HEAP[$dirptr_addr]=$dirptr;
        HEAP[$imgdirpath_addr]=$imgdirpath;
        HEAP[$i]=0; //@line 171 "src.c"
        var $1=HEAP[$imgdirpath_addr]; //@line 175 "src.c"
        var $2=_opendir($1); //@line 175 "src.c"
        HEAP[$dir]=$2; //@line 175 "src.c"
        var $3=HEAP[$dir]; //@line 176 "src.c"
        var $4=($3)==0; //@line 176 "src.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 176 "src.c"
      case 0: // $bb
        var $5=HEAP[_stderr]; //@line 177 "src.c"
        var $6=HEAP[$imgdirpath_addr]; //@line 177 "src.c"
        var $7=_fprintf($5, CHECK_OVERFLOW((__str33)&4294967295, 32), $6); //@line 177 "src.c"
        HEAP[$0]=1; //@line 178 "src.c"
        __label__ = 2; break; //@line 178 "src.c"
      case 1: // $bb1
        var $8=HEAP[_stderr]; //@line 180 "src.c"
        var $9=$8; //@line 180 "src.c"
        var $10=_fwrite(CHECK_OVERFLOW((__str36)&4294967295, 32), 1, 27, $9); //@line 180 "src.c"
        __label__ = 3; break; //@line 180 "src.c"
      case 6: // $bb2
        var $11=HEAP[$content]; //@line 184 "src.c"
        var $12=CHECK_OVERFLOW(($11+11)&4294967295, 32); //@line 184 "src.c"
        var $13=CHECK_OVERFLOW(($12)&4294967295, 32); //@line 184 "src.c"
        var $14=_strcmp(CHECK_OVERFLOW((__str34)&4294967295, 32), $13); //@line 184 "src.c"
        var $15=($14)==0; //@line 184 "src.c"
        if ($15) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 184 "src.c"
      case 4: // $bb3
        var $16=HEAP[$content]; //@line 184 "src.c"
        var $17=CHECK_OVERFLOW(($16+11)&4294967295, 32); //@line 184 "src.c"
        var $18=CHECK_OVERFLOW(($17)&4294967295, 32); //@line 184 "src.c"
        var $19=_strcmp(CHECK_OVERFLOW((__str35)&4294967295, 32), $18); //@line 184 "src.c"
        var $20=($19)==0; //@line 184 "src.c"
        if ($20) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 184 "src.c"
      case 5: // $bb4
        var $21=HEAP[$content]; //@line 187 "src.c"
        var $22=CHECK_OVERFLOW(($21+11)&4294967295, 32); //@line 187 "src.c"
        var $23=CHECK_OVERFLOW(($22)&4294967295, 32); //@line 187 "src.c"
        var $24=HEAP[$dirptr_addr]; //@line 187 "src.c"
        var $25=CHECK_OVERFLOW(($24+4)&4294967295, 32); //@line 187 "src.c"
        var $26=HEAP[$25]; //@line 187 "src.c"
        var $27=HEAP[$i]; //@line 187 "src.c"
        var $28=CHECK_OVERFLOW(($26+4*$27)&4294967295, 32); //@line 187 "src.c"
        var $29=HEAP[$28]; //@line 187 "src.c"
        var $30=_strcpy($29, $23); //@line 187 "src.c"
        var $31=HEAP[$i]; //@line 188 "src.c"
        var $32=CHECK_OVERFLOW((($31) + 1)&4294967295, 32); //@line 188 "src.c"
        HEAP[$i]=$32; //@line 188 "src.c"
        __label__ = 3; break; //@line 188 "src.c"
      case 3: // $bb5
        var $33=HEAP[$dir]; //@line 183 "src.c"
        var $34=_readdir($33); //@line 183 "src.c"
        HEAP[$content]=$34; //@line 183 "src.c"
        var $35=HEAP[$content]; //@line 183 "src.c"
        var $36=($35)!=0; //@line 183 "src.c"
        if ($36) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 183 "src.c"
      case 7: // $bb6
        HEAP[$0]=0; //@line 190 "src.c"
        __label__ = 2; break; //@line 190 "src.c"
      case 2: // $bb7
        var $37=HEAP[$0]; //@line 178 "src.c"
        HEAP[$retval]=$37; //@line 178 "src.c"
        __label__ = 8; break; //@line 178 "src.c"
      case 8: // $return
        var $retval8=HEAP[$retval]; //@line 178 "src.c"
        STACKTOP = __stackBase__;
        return $retval8; //@line 178 "src.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _get_file_format($filename) {
    var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 20);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $filename_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $i=__stackBase__+12;
        var $ext=__stackBase__+16;
        var $_alloca_point_=0;
        HEAP[$filename_addr]=$filename;
        var $1=HEAP[$filename_addr]; //@line 197 "src.c"
        var $2=_strrchr($1, 46); //@line 197 "src.c"
        HEAP[$ext]=$2; //@line 197 "src.c"
        var $3=HEAP[$ext]; //@line 198 "src.c"
        var $4=($3)==0; //@line 198 "src.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 198 "src.c"
      case 0: // $bb
        HEAP[$0]=-1; //@line 199 "src.c"
        __label__ = 2; break; //@line 199 "src.c"
      case 1: // $bb1
        var $5=HEAP[$ext]; //@line 200 "src.c"
        var $6=CHECK_OVERFLOW(($5+1)&4294967295, 32); //@line 200 "src.c"
        HEAP[$ext]=$6; //@line 200 "src.c"
        var $7=HEAP[$ext]; //@line 201 "src.c"
        var $8=($7)!=0; //@line 201 "src.c"
        if ($8) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 201 "src.c"
      case 3: // $bb2
        HEAP[$i]=0; //@line 202 "src.c"
        __label__ = 5; break; //@line 202 "src.c"
      case 8: // $bb3
        var $9=HEAP[$i]; //@line 203 "src.c"
        var $10=CHECK_OVERFLOW((_extension_4152+$9*4)&4294967295, 32); //@line 203 "src.c"
        var $11=HEAP[$10]; //@line 203 "src.c"
        var $12=HEAP[$ext]; //@line 203 "src.c"
        var $13=_strncasecmp($12, $11, 3); //@line 203 "src.c"
        var $14=($13)==0; //@line 203 "src.c"
        if ($14) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 203 "src.c"
      case 6: // $bb4
        var $15=HEAP[$i]; //@line 204 "src.c"
        var $16=CHECK_OVERFLOW((_format_4153+$15*4)&4294967295, 32); //@line 204 "src.c"
        var $17=HEAP[$16]; //@line 204 "src.c"
        HEAP[$0]=$17; //@line 204 "src.c"
        __label__ = 2; break; //@line 204 "src.c"
      case 7: // $bb5
        var $18=HEAP[$i]; //@line 202 "src.c"
        var $19=CHECK_OVERFLOW((($18) + 1)&4294967295, 32); //@line 202 "src.c"
        HEAP[$i]=$19; //@line 202 "src.c"
        __label__ = 5; break; //@line 202 "src.c"
      case 5: // $bb6
        var $20=HEAP[$i]; //@line 202 "src.c"
        var $21=($20) <= 13; //@line 202 "src.c"
        if ($21) { __label__ = 8; break; } else { __label__ = 4; break; } //@line 202 "src.c"
      case 4: // $bb7
        HEAP[$0]=-1; //@line 209 "src.c"
        __label__ = 2; break; //@line 209 "src.c"
      case 2: // $bb8
        var $22=HEAP[$0]; //@line 199 "src.c"
        HEAP[$retval]=$22; //@line 199 "src.c"
        __label__ = 9; break; //@line 199 "src.c"
      case 9: // $return
        var $retval9=HEAP[$retval]; //@line 199 "src.c"
        STACKTOP = __stackBase__;
        return $retval9; //@line 199 "src.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _get_next_file($imageno, $dirptr, $img_fol, $parameters) {
    var __stackBase__  = STACKTOP; STACKTOP += 20508; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 20508);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $imageno_addr=__stackBase__;
        var $dirptr_addr=__stackBase__+4;
        var $img_fol_addr=__stackBase__+8;
        var $parameters_addr=__stackBase__+12;
        var $retval=__stackBase__+16;
        var $0=__stackBase__+20;
        var $image_filename=__stackBase__+24;
        var $infilename=__stackBase__+4120;
        var $outfilename=__stackBase__+8216;
        var $temp_ofname=__stackBase__+12312;
        var $temp_p=__stackBase__+16408;
        var $temp1=__stackBase__+16412;
        var $_alloca_point_=0;
        HEAP[$imageno_addr]=$imageno;
        HEAP[$dirptr_addr]=$dirptr;
        HEAP[$img_fol_addr]=$img_fol;
        HEAP[$parameters_addr]=$parameters;
        var $temp11=$temp1; //@line 214 "src.c"
        _llvm_memcpy_p0i8_p0i8_i32($temp11, CHECK_OVERFLOW((__str51)&4294967295, 32), 4096, 1, 0); //@line 214 "src.c"
        var $1=HEAP[$dirptr_addr]; //@line 216 "src.c"
        var $2=CHECK_OVERFLOW(($1+4)&4294967295, 32); //@line 216 "src.c"
        var $3=HEAP[$2]; //@line 216 "src.c"
        var $4=HEAP[$imageno_addr]; //@line 216 "src.c"
        var $5=CHECK_OVERFLOW(($3+4*$4)&4294967295, 32); //@line 216 "src.c"
        var $6=HEAP[$5]; //@line 216 "src.c"
        var $image_filename2=$image_filename; //@line 216 "src.c"
        var $7=_strcpy($image_filename2, $6); //@line 216 "src.c"
        var $8=HEAP[_stderr]; //@line 217 "src.c"
        var $9=HEAP[$imageno_addr]; //@line 217 "src.c"
        var $image_filename3=$image_filename; //@line 217 "src.c"
        var $10=_fprintf($8, CHECK_OVERFLOW((__str52)&4294967295, 32), $9, $image_filename3); //@line 217 "src.c"
        var $image_filename4=$image_filename; //@line 218 "src.c"
        var $11=_get_file_format($image_filename4); //@line 218 "src.c"
        var $12=HEAP[$parameters_addr]; //@line 218 "src.c"
        var $13=CHECK_OVERFLOW(($12+8200)&4294967295, 32); //@line 218 "src.c"
        HEAP[$13]=$11; //@line 218 "src.c"
        var $14=HEAP[$parameters_addr]; //@line 219 "src.c"
        var $15=CHECK_OVERFLOW(($14+8200)&4294967295, 32); //@line 219 "src.c"
        var $16=HEAP[$15]; //@line 219 "src.c"
        var $17=($16)==-1; //@line 219 "src.c"
        if ($17) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 219 "src.c"
      case 0: // $bb
        HEAP[$0]=1; //@line 220 "src.c"
        __label__ = 2; break; //@line 220 "src.c"
      case 1: // $bb5
        var $18=HEAP[$img_fol_addr]; //@line 221 "src.c"
        var $19=CHECK_OVERFLOW(($18)&4294967295, 32); //@line 221 "src.c"
        var $20=HEAP[$19]; //@line 221 "src.c"
        var $infilename6=$infilename; //@line 221 "src.c"
        var $image_filename7=$image_filename; //@line 221 "src.c"
        var $21=_sprintf($infilename6, CHECK_OVERFLOW((__str53)&4294967295, 32), $20, $image_filename7); //@line 221 "src.c"
        var $22=HEAP[$parameters_addr]; //@line 222 "src.c"
        var $23=CHECK_OVERFLOW(($22+8)&4294967295, 32); //@line 222 "src.c"
        var $24=CHECK_OVERFLOW(($23)&4294967295, 32); //@line 222 "src.c"
        var $infilename8=$infilename; //@line 222 "src.c"
        var $25=_strncpy($24, $infilename8, 4096); //@line 222 "src.c"
        var $image_filename9=$image_filename; //@line 225 "src.c"
        var $26=_strtok($image_filename9, CHECK_OVERFLOW((__str34)&4294967295, 32)); //@line 225 "src.c"
        var $temp_ofname10=$temp_ofname; //@line 225 "src.c"
        var $27=_strcpy($temp_ofname10, $26); //@line 225 "src.c"
        __label__ = 3; break; //@line 225 "src.c"
      case 4: // $bb11
        var $temp_ofname12=$temp_ofname; //@line 227 "src.c"
        var $temp113=$temp1; //@line 227 "src.c"
        var $28=_strcat($temp_ofname12, $temp113); //@line 227 "src.c"
        var $temp114=$temp1; //@line 228 "src.c"
        var $29=HEAP[$temp_p]; //@line 228 "src.c"
        var $30=_sprintf($temp114, CHECK_OVERFLOW((__str54)&4294967295, 32), $29); //@line 228 "src.c"
        __label__ = 3; break; //@line 228 "src.c"
      case 3: // $bb15
        var $31=_strtok(0, CHECK_OVERFLOW((__str34)&4294967295, 32)); //@line 226 "src.c"
        HEAP[$temp_p]=$31; //@line 226 "src.c"
        var $32=HEAP[$temp_p]; //@line 226 "src.c"
        var $33=($32)!=0; //@line 226 "src.c"
        if ($33) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 226 "src.c"
      case 5: // $bb16
        var $34=HEAP[$img_fol_addr]; //@line 230 "src.c"
        var $35=CHECK_OVERFLOW(($34+9)&4294967295, 32); //@line 230 "src.c"
        var $36=HEAP[$35]; //@line 230 "src.c"
        var $37=($36)==1; //@line 230 "src.c"
        if ($37) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 230 "src.c"
      case 6: // $bb17
        var $38=HEAP[$img_fol_addr]; //@line 231 "src.c"
        var $39=CHECK_OVERFLOW(($38+4)&4294967295, 32); //@line 231 "src.c"
        var $40=HEAP[$39]; //@line 231 "src.c"
        var $41=HEAP[$img_fol_addr]; //@line 231 "src.c"
        var $42=CHECK_OVERFLOW(($41)&4294967295, 32); //@line 231 "src.c"
        var $43=HEAP[$42]; //@line 231 "src.c"
        var $outfilename18=$outfilename; //@line 231 "src.c"
        var $temp_ofname19=$temp_ofname; //@line 231 "src.c"
        var $44=_sprintf($outfilename18, CHECK_OVERFLOW((__str55)&4294967295, 32), $43, $temp_ofname19, $40); //@line 231 "src.c"
        var $45=HEAP[$parameters_addr]; //@line 232 "src.c"
        var $46=CHECK_OVERFLOW(($45+4104)&4294967295, 32); //@line 232 "src.c"
        var $47=CHECK_OVERFLOW(($46)&4294967295, 32); //@line 232 "src.c"
        var $outfilename20=$outfilename; //@line 232 "src.c"
        var $48=_strncpy($47, $outfilename20, 4096); //@line 232 "src.c"
        __label__ = 7; break; //@line 232 "src.c"
      case 7: // $bb21
        HEAP[$0]=0; //@line 234 "src.c"
        __label__ = 2; break; //@line 234 "src.c"
      case 2: // $bb22
        var $49=HEAP[$0]; //@line 220 "src.c"
        HEAP[$retval]=$49; //@line 220 "src.c"
        __label__ = 8; break; //@line 220 "src.c"
      case 8: // $return
        var $retval23=HEAP[$retval]; //@line 220 "src.c"
        var $retval2324=((($retval23)) & 255); //@line 220 "src.c"
        STACKTOP = __stackBase__;
        return $retval2324; //@line 220 "src.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _parse_cmdline_decoder($argc, $argv, $parameters, $img_fol, $indexfilename) {
    var __stackBase__  = STACKTOP; STACKTOP += 146; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 146);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $argc_addr=__stackBase__;
        var $argv_addr=__stackBase__+4;
        var $parameters_addr=__stackBase__+8;
        var $img_fol_addr=__stackBase__+12;
        var $indexfilename_addr=__stackBase__+16;
        var $retval=__stackBase__+20;
        var $0=__stackBase__+24;
        var $totlen=__stackBase__+28;
        var $long_option=__stackBase__+32;
        var $optlist=__stackBase__+64;
        var $c=__stackBase__+76;
        var $infile=__stackBase__+80;
        var $outfile=__stackBase__+84;
        var $outformat=__stackBase__+88;
        var $of=__stackBase__+138;
        var $index=__stackBase__+142;
        var $_alloca_point_=0;
        HEAP[$argc_addr]=$argc;
        HEAP[$argv_addr]=$argv;
        HEAP[$parameters_addr]=$parameters;
        HEAP[$img_fol_addr]=$img_fol;
        HEAP[$indexfilename_addr]=$indexfilename;
        var $1=CHECK_OVERFLOW(($long_option)&4294967295, 32); //@line 244 "src.c"
        var $2=CHECK_OVERFLOW(($1)&4294967295, 32); //@line 244 "src.c"
        var $3=HEAP[CHECK_OVERFLOW((_C_43_4255)&4294967295, 32)]; //@line 244 "src.c"
        HEAP[$2]=$3; //@line 244 "src.c"
        var $4=CHECK_OVERFLOW(($1+4)&4294967295, 32); //@line 244 "src.c"
        var $5=HEAP[CHECK_OVERFLOW((_C_43_4255+4)&4294967295, 32)]; //@line 244 "src.c"
        HEAP[$4]=$5; //@line 244 "src.c"
        var $6=CHECK_OVERFLOW(($1+8)&4294967295, 32); //@line 244 "src.c"
        var $7=HEAP[CHECK_OVERFLOW((_C_43_4255+8)&4294967295, 32)]; //@line 244 "src.c"
        HEAP[$6]=$7; //@line 244 "src.c"
        var $8=CHECK_OVERFLOW(($1+12)&4294967295, 32); //@line 244 "src.c"
        var $9=HEAP[CHECK_OVERFLOW((_C_43_4255+12)&4294967295, 32)]; //@line 244 "src.c"
        HEAP[$8]=$9; //@line 244 "src.c"
        var $10=CHECK_OVERFLOW(($long_option+16)&4294967295, 32); //@line 244 "src.c"
        var $11=CHECK_OVERFLOW(($10)&4294967295, 32); //@line 244 "src.c"
        var $12=HEAP[CHECK_OVERFLOW((_C_43_4255+16)&4294967295, 32)]; //@line 244 "src.c"
        HEAP[$11]=$12; //@line 244 "src.c"
        var $13=CHECK_OVERFLOW(($10+4)&4294967295, 32); //@line 244 "src.c"
        var $14=HEAP[CHECK_OVERFLOW((_C_43_4255+16+4)&4294967295, 32)]; //@line 244 "src.c"
        HEAP[$13]=$14; //@line 244 "src.c"
        var $15=CHECK_OVERFLOW(($10+8)&4294967295, 32); //@line 244 "src.c"
        var $16=HEAP[CHECK_OVERFLOW((_C_43_4255+16+8)&4294967295, 32)]; //@line 244 "src.c"
        HEAP[$15]=$16; //@line 244 "src.c"
        var $17=CHECK_OVERFLOW(($10+12)&4294967295, 32); //@line 244 "src.c"
        var $18=HEAP[CHECK_OVERFLOW((_C_43_4255+16+12)&4294967295, 32)]; //@line 244 "src.c"
        HEAP[$17]=$18; //@line 244 "src.c"
        var $optlist1=$optlist; //@line 253 "src.c"
        _llvm_memcpy_p0i8_p0i8_i32($optlist1, CHECK_OVERFLOW((__str58)&4294967295, 32), 12, 1, 0); //@line 253 "src.c"
        HEAP[$totlen]=32; //@line 254 "src.c"
        var $19=HEAP[$img_fol_addr]; //@line 255 "src.c"
        var $20=CHECK_OVERFLOW(($19+9)&4294967295, 32); //@line 255 "src.c"
        HEAP[$20]=0; //@line 255 "src.c"
        __label__ = 0; break; //@line 255 "src.c"
      case 0: // $bb
        var $21=HEAP[$argc_addr]; //@line 257 "src.c"
        var $22=HEAP[$argv_addr]; //@line 257 "src.c"
        var $optlist2=$optlist; //@line 257 "src.c"
        var $long_option3=$long_option; //@line 257 "src.c"
        var $23=HEAP[$totlen]; //@line 257 "src.c"
        var $24=_getopt_long($21, $22, $optlist2, $long_option3, $23); //@line 257 "src.c"
        HEAP[$c]=$24; //@line 257 "src.c"
        var $25=HEAP[$c]; //@line 258 "src.c"
        var $26=($25)==-1; //@line 258 "src.c"
        if ($26) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 258 "src.c"
      case 2: // $bb4
        var $27=HEAP[$c]; //@line 260 "src.c"
        if ($27 == 79) {
          __label__ = 18; break;
        }
        else if ($27 == 104) {
          __label__ = 19; break;
        }
        else if ($27 == 105) {
          __label__ = 20; break;
        }
        else if ($27 == 108) {
          __label__ = 21; break;
        }
        else if ($27 == 111) {
          __label__ = 22; break;
        }
        else if ($27 == 114) {
          __label__ = 23; break;
        }
        else if ($27 == 120) {
          __label__ = 24; break;
        }
        else if ($27 == 121) {
          __label__ = 25; break;
        }
        else {
        __label__ = 26; break;
        }
        
      case 20: // $bb5
        var $28=HEAP[_optarg]; //@line 263 "src.c"
        HEAP[$infile]=$28; //@line 263 "src.c"
        var $29=HEAP[$infile]; //@line 264 "src.c"
        var $30=_get_file_format($29); //@line 264 "src.c"
        var $31=HEAP[$parameters_addr]; //@line 264 "src.c"
        var $32=CHECK_OVERFLOW(($31+8200)&4294967295, 32); //@line 264 "src.c"
        HEAP[$32]=$30; //@line 264 "src.c"
        var $33=HEAP[$parameters_addr]; //@line 265 "src.c"
        var $34=CHECK_OVERFLOW(($33+8200)&4294967295, 32); //@line 265 "src.c"
        var $35=HEAP[$34]; //@line 265 "src.c"
        if ($35 == 0) {
          __label__ = 27; break;
        }
        else if ($35 == 1) {
          __label__ = 27; break;
        }
        else if ($35 == 2) {
          __label__ = 27; break;
        }
        else {
        __label__ = 28; break;
        }
        
      case 27: // $bb6
        var $36=HEAP[$parameters_addr]; //@line 276 "src.c"
        var $37=CHECK_OVERFLOW(($36+8)&4294967295, 32); //@line 276 "src.c"
        var $38=CHECK_OVERFLOW(($37)&4294967295, 32); //@line 276 "src.c"
        var $39=HEAP[$infile]; //@line 276 "src.c"
        var $40=_strncpy($38, $39, 4095); //@line 276 "src.c"
        __label__ = 3; break; //@line 276 "src.c"
      case 28: // $bb7
        var $41=HEAP[_stderr]; //@line 271 "src.c"
        var $42=HEAP[$infile]; //@line 271 "src.c"
        var $43=_fprintf($41, CHECK_OVERFLOW((__str59)&4294967295, 32), $42); //@line 271 "src.c"
        HEAP[$0]=1; //@line 274 "src.c"
        __label__ = 4; break; //@line 274 "src.c"
      case 22: // $bb8
        var $44=HEAP[_optarg]; //@line 284 "src.c"
        HEAP[$outfile]=$44; //@line 284 "src.c"
        var $45=HEAP[$outfile]; //@line 285 "src.c"
        var $46=_get_file_format($45); //@line 285 "src.c"
        var $47=HEAP[$parameters_addr]; //@line 285 "src.c"
        var $48=CHECK_OVERFLOW(($47+8204)&4294967295, 32); //@line 285 "src.c"
        HEAP[$48]=$46; //@line 285 "src.c"
        var $49=HEAP[$parameters_addr]; //@line 286 "src.c"
        var $50=CHECK_OVERFLOW(($49+8204)&4294967295, 32); //@line 286 "src.c"
        var $51=HEAP[$50]; //@line 286 "src.c"
        if ($51 == 10) {
          __label__ = 29; break;
        }
        else if ($51 == 11) {
          __label__ = 29; break;
        }
        else if ($51 == 12) {
          __label__ = 29; break;
        }
        else if ($51 == 14) {
          __label__ = 29; break;
        }
        else if ($51 == 15) {
          __label__ = 29; break;
        }
        else if ($51 == 16) {
          __label__ = 29; break;
        }
        else if ($51 == 17) {
          __label__ = 29; break;
        }
        else {
        __label__ = 30; break;
        }
        
      case 29: // $bb9
        var $52=HEAP[$parameters_addr]; //@line 299 "src.c"
        var $53=CHECK_OVERFLOW(($52+4104)&4294967295, 32); //@line 299 "src.c"
        var $54=CHECK_OVERFLOW(($53)&4294967295, 32); //@line 299 "src.c"
        var $55=HEAP[$outfile]; //@line 299 "src.c"
        var $56=_strncpy($54, $55, 4095); //@line 299 "src.c"
        __label__ = 3; break; //@line 299 "src.c"
      case 30: // $bb10
        var $57=HEAP[_stderr]; //@line 296 "src.c"
        var $58=HEAP[$outfile]; //@line 296 "src.c"
        var $59=_fprintf($57, CHECK_OVERFLOW((__str60)&4294967295, 32), $58); //@line 296 "src.c"
        HEAP[$0]=1; //@line 297 "src.c"
        __label__ = 4; break; //@line 297 "src.c"
      case 18: // $bb11
        var $60=HEAP[_optarg]; //@line 308 "src.c"
        HEAP[$of]=$60; //@line 308 "src.c"
        var $outformat12=$outformat; //@line 309 "src.c"
        var $61=HEAP[$of]; //@line 309 "src.c"
        var $62=_sprintf($outformat12, CHECK_OVERFLOW((__str54)&4294967295, 32), $61); //@line 309 "src.c"
        var $63=HEAP[$img_fol_addr]; //@line 310 "src.c"
        var $64=CHECK_OVERFLOW(($63+9)&4294967295, 32); //@line 310 "src.c"
        HEAP[$64]=1; //@line 310 "src.c"
        var $outformat13=$outformat; //@line 311 "src.c"
        var $65=_get_file_format($outformat13); //@line 311 "src.c"
        var $66=HEAP[$parameters_addr]; //@line 311 "src.c"
        var $67=CHECK_OVERFLOW(($66+8204)&4294967295, 32); //@line 311 "src.c"
        HEAP[$67]=$65; //@line 311 "src.c"
        var $68=HEAP[$parameters_addr]; //@line 312 "src.c"
        var $69=CHECK_OVERFLOW(($68+8204)&4294967295, 32); //@line 312 "src.c"
        var $70=HEAP[$69]; //@line 312 "src.c"
        if ($70 == 10) {
          __label__ = 31; break;
        }
        else if ($70 == 11) {
          __label__ = 32; break;
        }
        else if ($70 == 12) {
          __label__ = 33; break;
        }
        else if ($70 == 14) {
          __label__ = 34; break;
        }
        else if ($70 == 15) {
          __label__ = 35; break;
        }
        else if ($70 == 16) {
          __label__ = 36; break;
        }
        else if ($70 == 17) {
          __label__ = 37; break;
        }
        else {
        __label__ = 38; break;
        }
        
      case 32: // $bb14
        var $71=HEAP[$img_fol_addr]; //@line 314 "src.c"
        var $72=CHECK_OVERFLOW(($71+4)&4294967295, 32); //@line 314 "src.c"
        HEAP[$72]=CHECK_OVERFLOW((__str37)&4294967295, 32); //@line 314 "src.c"
        __label__ = 5; break; //@line 314 "src.c"
      case 31: // $bb15
        var $73=HEAP[$img_fol_addr]; //@line 317 "src.c"
        var $74=CHECK_OVERFLOW(($73+4)&4294967295, 32); //@line 317 "src.c"
        HEAP[$74]=CHECK_OVERFLOW((__str40)&4294967295, 32); //@line 317 "src.c"
        __label__ = 5; break; //@line 317 "src.c"
      case 33: // $bb16
        var $75=HEAP[$img_fol_addr]; //@line 320 "src.c"
        var $76=CHECK_OVERFLOW(($75+4)&4294967295, 32); //@line 320 "src.c"
        HEAP[$76]=CHECK_OVERFLOW((__str41)&4294967295, 32); //@line 320 "src.c"
        __label__ = 5; break; //@line 320 "src.c"
      case 34: // $bb17
        var $77=HEAP[$img_fol_addr]; //@line 323 "src.c"
        var $78=CHECK_OVERFLOW(($77+4)&4294967295, 32); //@line 323 "src.c"
        HEAP[$78]=CHECK_OVERFLOW((__str42)&4294967295, 32); //@line 323 "src.c"
        __label__ = 5; break; //@line 323 "src.c"
      case 35: // $bb18
        var $79=HEAP[$img_fol_addr]; //@line 326 "src.c"
        var $80=CHECK_OVERFLOW(($79+4)&4294967295, 32); //@line 326 "src.c"
        HEAP[$80]=CHECK_OVERFLOW((__str43)&4294967295, 32); //@line 326 "src.c"
        __label__ = 5; break; //@line 326 "src.c"
      case 36: // $bb19
        var $81=HEAP[$img_fol_addr]; //@line 329 "src.c"
        var $82=CHECK_OVERFLOW(($81+4)&4294967295, 32); //@line 329 "src.c"
        HEAP[$82]=CHECK_OVERFLOW((__str43)&4294967295, 32); //@line 329 "src.c"
        __label__ = 5; break; //@line 329 "src.c"
      case 37: // $bb20
        var $83=HEAP[$img_fol_addr]; //@line 332 "src.c"
        var $84=CHECK_OVERFLOW(($83+4)&4294967295, 32); //@line 332 "src.c"
        HEAP[$84]=CHECK_OVERFLOW((__str45)&4294967295, 32); //@line 332 "src.c"
        __label__ = 5; break; //@line 332 "src.c"
      case 38: // $bb21
        var $85=HEAP[_stderr]; //@line 335 "src.c"
        var $outformat22=$outformat; //@line 335 "src.c"
        var $86=_fprintf($85, CHECK_OVERFLOW((__str60)&4294967295, 32), $outformat22); //@line 335 "src.c"
        HEAP[$0]=1; //@line 336 "src.c"
        __label__ = 4; break; //@line 336 "src.c"
      case 5: // $bb23
        __label__ = 3; break; //@line 336 "src.c"
      case 23: // $bb24
        var $87=HEAP[$parameters_addr]; //@line 347 "src.c"
        var $88=CHECK_OVERFLOW(($87)&4294967295, 32); //@line 347 "src.c"
        var $89=HEAP[_optarg]; //@line 347 "src.c"
        var $90=___01__isoc99_sscanf_($89, CHECK_OVERFLOW((__str61)&4294967295, 32), $88); //@line 347 "src.c"
        __label__ = 3; break; //@line 347 "src.c"
      case 21: // $bb25
        var $91=HEAP[$parameters_addr]; //@line 356 "src.c"
        var $92=CHECK_OVERFLOW(($91+4)&4294967295, 32); //@line 356 "src.c"
        var $93=HEAP[_optarg]; //@line 356 "src.c"
        var $94=___01__isoc99_sscanf_($93, CHECK_OVERFLOW((__str61)&4294967295, 32), $92); //@line 356 "src.c"
        __label__ = 3; break; //@line 356 "src.c"
      case 19: // $bb26
        _decode_help_display(); //@line 363 "src.c"
        HEAP[$0]=1; //@line 364 "src.c"
        __label__ = 4; break; //@line 364 "src.c"
      case 25: // $bb27
        var $95=HEAP[_optarg]; //@line 370 "src.c"
        var $96=_strlen($95); //@line 370 "src.c"
        var $97=CHECK_OVERFLOW((($96) + 1)&4294967295, 32); //@line 370 "src.c"
        var $98=_malloc($97); //@line 370 "src.c"
        var $99=HEAP[$img_fol_addr]; //@line 370 "src.c"
        var $100=CHECK_OVERFLOW(($99)&4294967295, 32); //@line 370 "src.c"
        HEAP[$100]=$98; //@line 370 "src.c"
        var $101=HEAP[_optarg]; //@line 371 "src.c"
        var $102=HEAP[$img_fol_addr]; //@line 371 "src.c"
        var $103=CHECK_OVERFLOW(($102)&4294967295, 32); //@line 371 "src.c"
        var $104=HEAP[$103]; //@line 371 "src.c"
        var $105=_strcpy($104, $101); //@line 371 "src.c"
        var $106=HEAP[$img_fol_addr]; //@line 372 "src.c"
        var $107=CHECK_OVERFLOW(($106+8)&4294967295, 32); //@line 372 "src.c"
        HEAP[$107]=1; //@line 372 "src.c"
        __label__ = 3; break; //@line 372 "src.c"
      case 24: // $bb28
        var $108=HEAP[_optarg]; //@line 378 "src.c"
        HEAP[$index]=$108; //@line 378 "src.c"
        var $109=HEAP[$indexfilename_addr]; //@line 379 "src.c"
        var $110=HEAP[$index]; //@line 379 "src.c"
        var $111=_strncpy($109, $110, 4096); //@line 379 "src.c"
        __label__ = 3; break; //@line 379 "src.c"
      case 26: // $bb29
        var $112=HEAP[_optarg]; //@line 457 "src.c"
        var $113=HEAP[_stderr]; //@line 457 "src.c"
        var $114=HEAP[$c]; //@line 457 "src.c"
        var $115=_fprintf($113, CHECK_OVERFLOW((__str62)&4294967295, 32), $114, $112); //@line 457 "src.c"
        __label__ = 3; break; //@line 457 "src.c"
      case 3: // $bb30
        __label__ = 0; break; //@line 457 "src.c"
      case 1: // $bb31
        var $116=HEAP[$img_fol_addr]; //@line 463 "src.c"
        var $117=CHECK_OVERFLOW(($116+8)&4294967295, 32); //@line 463 "src.c"
        var $118=HEAP[$117]; //@line 463 "src.c"
        var $119=($118)==1; //@line 463 "src.c"
        if ($119) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 463 "src.c"
      case 6: // $bb32
        var $120=HEAP[$parameters_addr]; //@line 464 "src.c"
        var $121=CHECK_OVERFLOW(($120+8)&4294967295, 32); //@line 464 "src.c"
        var $122=CHECK_OVERFLOW(($121)&4294967295, 32); //@line 464 "src.c"
        var $123=HEAP[$122]; //@line 464 "src.c"
        var $124=($123)!=0; //@line 464 "src.c"
        if ($124) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 464 "src.c"
      case 8: // $bb33
        var $125=HEAP[_stderr]; //@line 465 "src.c"
        var $126=$125; //@line 465 "src.c"
        var $127=_fwrite(CHECK_OVERFLOW((__str63)&4294967295, 32), 1, 57, $126); //@line 465 "src.c"
        HEAP[$0]=1; //@line 466 "src.c"
        __label__ = 4; break; //@line 466 "src.c"
      case 9: // $bb34
        var $128=HEAP[$img_fol_addr]; //@line 468 "src.c"
        var $129=CHECK_OVERFLOW(($128+9)&4294967295, 32); //@line 468 "src.c"
        var $130=HEAP[$129]; //@line 468 "src.c"
        var $131=($130)==0; //@line 468 "src.c"
        if ($131) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 468 "src.c"
      case 10: // $bb35
        var $132=HEAP[_stderr]; //@line 469 "src.c"
        var $133=$132; //@line 469 "src.c"
        var $134=_fwrite(CHECK_OVERFLOW((__str64)&4294967295, 32), 1, 62, $133); //@line 469 "src.c"
        var $135=HEAP[_stderr]; //@line 470 "src.c"
        var $136=$135; //@line 470 "src.c"
        var $137=_fwrite(CHECK_OVERFLOW((__str65)&4294967295, 32), 1, 82, $136); //@line 470 "src.c"
        HEAP[$0]=1; //@line 471 "src.c"
        __label__ = 4; break; //@line 471 "src.c"
      case 11: // $bb36
        var $138=HEAP[$parameters_addr]; //@line 473 "src.c"
        var $139=CHECK_OVERFLOW(($138+4104)&4294967295, 32); //@line 473 "src.c"
        var $140=CHECK_OVERFLOW(($139)&4294967295, 32); //@line 473 "src.c"
        var $141=HEAP[$140]; //@line 473 "src.c"
        var $142=($141)!=0; //@line 473 "src.c"
        if ($142) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 473 "src.c"
      case 12: // $bb37
        var $143=HEAP[_stderr]; //@line 474 "src.c"
        var $144=$143; //@line 474 "src.c"
        var $145=_fwrite(CHECK_OVERFLOW((__str66)&4294967295, 32), 1, 57, $144); //@line 474 "src.c"
        HEAP[$0]=1; //@line 475 "src.c"
        __label__ = 4; break; //@line 475 "src.c"
      case 13: // $bb38
        __label__ = 14; break; //@line 475 "src.c"
      case 7: // $bb39
        var $146=HEAP[$parameters_addr]; //@line 478 "src.c"
        var $147=CHECK_OVERFLOW(($146+8)&4294967295, 32); //@line 478 "src.c"
        var $148=CHECK_OVERFLOW(($147)&4294967295, 32); //@line 478 "src.c"
        var $149=HEAP[$148]; //@line 478 "src.c"
        var $150=($149)==0; //@line 478 "src.c"
        if ($150) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 478 "src.c"
      case 16: // $bb40
        var $151=HEAP[$parameters_addr]; //@line 478 "src.c"
        var $152=CHECK_OVERFLOW(($151+4104)&4294967295, 32); //@line 478 "src.c"
        var $153=CHECK_OVERFLOW(($152)&4294967295, 32); //@line 478 "src.c"
        var $154=HEAP[$153]; //@line 478 "src.c"
        var $155=($154)==0; //@line 478 "src.c"
        if ($155) { __label__ = 15; break; } else { __label__ = 14; break; } //@line 478 "src.c"
      case 15: // $bb41
        var $156=HEAP[$argv_addr]; //@line 479 "src.c"
        var $157=CHECK_OVERFLOW(($156)&4294967295, 32); //@line 479 "src.c"
        var $158=HEAP[$157]; //@line 479 "src.c"
        var $159=HEAP[_stderr]; //@line 479 "src.c"
        var $160=_fprintf($159, CHECK_OVERFLOW((__str67)&4294967295, 32), $158); //@line 479 "src.c"
        var $161=HEAP[$argv_addr]; //@line 480 "src.c"
        var $162=CHECK_OVERFLOW(($161)&4294967295, 32); //@line 480 "src.c"
        var $163=HEAP[$162]; //@line 480 "src.c"
        var $164=HEAP[_stderr]; //@line 480 "src.c"
        var $165=_fprintf($164, CHECK_OVERFLOW((__str68)&4294967295, 32), $163); //@line 480 "src.c"
        HEAP[$0]=1; //@line 481 "src.c"
        __label__ = 4; break; //@line 481 "src.c"
      case 14: // $bb42
        HEAP[$0]=0; //@line 485 "src.c"
        __label__ = 4; break; //@line 485 "src.c"
      case 4: // $bb43
        var $166=HEAP[$0]; //@line 274 "src.c"
        HEAP[$retval]=$166; //@line 274 "src.c"
        __label__ = 17; break; //@line 274 "src.c"
      case 17: // $return
        var $retval44=HEAP[$retval]; //@line 274 "src.c"
        STACKTOP = __stackBase__;
        return $retval44; //@line 274 "src.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _error_callback($msg, $client_data) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $msg_addr=__stackBase__;
        var $client_data_addr=__stackBase__+4;
        var $stream=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$msg_addr]=$msg;
        HEAP[$client_data_addr]=$client_data;
        var $0=HEAP[$client_data_addr]; //@line 494 "src.c"
        var $1=$0; //@line 494 "src.c"
        HEAP[$stream]=$1; //@line 494 "src.c"
        var $2=HEAP[$stream]; //@line 495 "src.c"
        var $3=HEAP[$msg_addr]; //@line 495 "src.c"
        var $4=_fprintf($2, CHECK_OVERFLOW((__str69)&4294967295, 32), $3); //@line 495 "src.c"
        __label__ = 0; break; //@line 496 "src.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 496 "src.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _warning_callback($msg, $client_data) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $msg_addr=__stackBase__;
        var $client_data_addr=__stackBase__+4;
        var $stream=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$msg_addr]=$msg;
        HEAP[$client_data_addr]=$client_data;
        var $0=HEAP[$client_data_addr]; //@line 501 "src.c"
        var $1=$0; //@line 501 "src.c"
        HEAP[$stream]=$1; //@line 501 "src.c"
        var $2=HEAP[$stream]; //@line 502 "src.c"
        var $3=HEAP[$msg_addr]; //@line 502 "src.c"
        var $4=_fprintf($2, CHECK_OVERFLOW((__str70)&4294967295, 32), $3); //@line 502 "src.c"
        __label__ = 0; break; //@line 503 "src.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 503 "src.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _info_callback($msg, $client_data) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $msg_addr=__stackBase__;
        var $client_data_addr=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$msg_addr]=$msg;
        HEAP[$client_data_addr]=$client_data;
        var $0=HEAP[_stdout]; //@line 509 "src.c"
        var $1=HEAP[$msg_addr]; //@line 509 "src.c"
        var $2=_fprintf($0, CHECK_OVERFLOW((__str71)&4294967295, 32), $1); //@line 509 "src.c"
        __label__ = 0; break; //@line 510 "src.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 510 "src.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _main($argc, $argv) {
    var __stackBase__  = STACKTOP; STACKTOP += 12495; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12495);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $argc_addr=__stackBase__;
        var $argv_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $parameters=__stackBase__+16;
        var $img_fol=__stackBase__+8240;
        var $event_mgr=__stackBase__+8252;
        var $image=__stackBase__+8264;
        var $fsrc=__stackBase__+8268;
        var $src=__stackBase__+8272;
        var $file_length=__stackBase__+8276;
        var $num_images=__stackBase__+8280;
        var $i=__stackBase__+8284;
        var $imageno=__stackBase__+8288;
        var $dirptr=__stackBase__+8292;
        var $dinfo=__stackBase__+8296;
        var $cio=__stackBase__+8300;
        var $cstr_info=__stackBase__+8304;
        var $indexfilename=__stackBase__+8396;
        var $bSuccess=__stackBase__+12492;
        var $bSuccess41=__stackBase__+12493;
        var $bSuccess52=__stackBase__+12494;
        var $_alloca_point_=0;
        HEAP[$argc_addr]=$argc;
        HEAP[$argv_addr]=$argv;
        HEAP[$image]=0; //@line 518 "src.c"
        HEAP[$fsrc]=0; //@line 519 "src.c"
        HEAP[$src]=0; //@line 520 "src.c"
        HEAP[$dinfo]=0; //@line 525 "src.c"
        HEAP[$cio]=0; //@line 526 "src.c"
        var $event_mgr1=$event_mgr; //@line 531 "src.c"
        _llvm_memset_p0i8_i32($event_mgr1, 0, 12, 1, 0); //@line 531 "src.c"
        var $1=CHECK_OVERFLOW(($event_mgr)&4294967295, 32); //@line 532 "src.c"
        HEAP[$1]=2; //@line 532 "src.c"
        var $2=CHECK_OVERFLOW(($event_mgr+4)&4294967295, 32); //@line 533 "src.c"
        HEAP[$2]=4; //@line 533 "src.c"
        var $3=CHECK_OVERFLOW(($event_mgr+8)&4294967295, 32); //@line 534 "src.c"
        HEAP[$3]=6; //@line 534 "src.c"
        _opj_set_default_decoder_parameters($parameters); //@line 537 "src.c"
        var $4=CHECK_OVERFLOW(($indexfilename)&4294967295, 32); //@line 540 "src.c"
        HEAP[$4]=0; //@line 540 "src.c"
        var $img_fol2=$img_fol; //@line 541 "src.c"
        _llvm_memset_p0i8_i32($img_fol2, 0, 12, 1, 0); //@line 541 "src.c"
        var $5=HEAP[$argc_addr]; //@line 544 "src.c"
        var $6=HEAP[$argv_addr]; //@line 544 "src.c"
        var $indexfilename3=$indexfilename; //@line 544 "src.c"
        var $7=_parse_cmdline_decoder($5, $6, $parameters, $img_fol, $indexfilename3); //@line 544 "src.c"
        var $8=($7)==1; //@line 544 "src.c"
        if ($8) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 544 "src.c"
      case 0: // $bb
        HEAP[$0]=1; //@line 545 "src.c"
        __label__ = 2; break; //@line 545 "src.c"
      case 1: // $bb4
        var $9=CHECK_OVERFLOW(($img_fol+8)&4294967295, 32); //@line 549 "src.c"
        var $10=HEAP[$9]; //@line 549 "src.c"
        var $11=($10)==1; //@line 549 "src.c"
        if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 549 "src.c"
      case 3: // $bb5
        var $12=CHECK_OVERFLOW(($img_fol)&4294967295, 32); //@line 550 "src.c"
        var $13=HEAP[$12]; //@line 550 "src.c"
        var $14=_get_num_images($13); //@line 550 "src.c"
        HEAP[$num_images]=$14; //@line 550 "src.c"
        var $15=_malloc(8); //@line 552 "src.c"
        var $16=$15; //@line 552 "src.c"
        HEAP[$dirptr]=$16; //@line 552 "src.c"
        var $17=HEAP[$dirptr]; //@line 553 "src.c"
        var $18=($17)!=0; //@line 553 "src.c"
        if ($18) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 553 "src.c"
      case 5: // $bb6
        var $19=HEAP[$num_images]; //@line 554 "src.c"
        var $20=CHECK_OVERFLOW((($19) * 4096)&4294967295, 32); //@line 554 "src.c"
        var $21=_malloc($20); //@line 554 "src.c"
        var $22=HEAP[$dirptr]; //@line 554 "src.c"
        var $23=CHECK_OVERFLOW(($22)&4294967295, 32); //@line 554 "src.c"
        HEAP[$23]=$21; //@line 554 "src.c"
        var $24=HEAP[$num_images]; //@line 555 "src.c"
        var $25=CHECK_OVERFLOW((($24) * 4)&4294967295, 32); //@line 555 "src.c"
        var $26=_malloc($25); //@line 555 "src.c"
        var $27=$26; //@line 555 "src.c"
        var $28=HEAP[$dirptr]; //@line 555 "src.c"
        var $29=CHECK_OVERFLOW(($28+4)&4294967295, 32); //@line 555 "src.c"
        HEAP[$29]=$27; //@line 555 "src.c"
        var $30=HEAP[$dirptr]; //@line 557 "src.c"
        var $31=CHECK_OVERFLOW(($30)&4294967295, 32); //@line 557 "src.c"
        var $32=HEAP[$31]; //@line 557 "src.c"
        var $33=($32)==0; //@line 557 "src.c"
        if ($33) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 557 "src.c"
      case 7: // $bb7
        HEAP[$0]=1; //@line 558 "src.c"
        __label__ = 2; break; //@line 558 "src.c"
      case 8: // $bb8
        HEAP[$i]=0; //@line 560 "src.c"
        __label__ = 9; break; //@line 560 "src.c"
      case 10: // $bb9
        var $34=HEAP[$dirptr]; //@line 561 "src.c"
        var $35=CHECK_OVERFLOW(($34+4)&4294967295, 32); //@line 561 "src.c"
        var $36=HEAP[$35]; //@line 561 "src.c"
        var $37=HEAP[$dirptr]; //@line 561 "src.c"
        var $38=CHECK_OVERFLOW(($37)&4294967295, 32); //@line 561 "src.c"
        var $39=HEAP[$38]; //@line 561 "src.c"
        var $40=HEAP[$i]; //@line 561 "src.c"
        var $41=CHECK_OVERFLOW((($40) * 4096)&4294967295, 32); //@line 561 "src.c"
        var $42=CHECK_OVERFLOW(($39+$41)&4294967295, 32); //@line 561 "src.c"
        var $43=HEAP[$i]; //@line 561 "src.c"
        var $44=CHECK_OVERFLOW(($36+4*$43)&4294967295, 32); //@line 561 "src.c"
        HEAP[$44]=$42; //@line 561 "src.c"
        var $45=HEAP[$i]; //@line 560 "src.c"
        var $46=CHECK_OVERFLOW((($45) + 1)&4294967295, 32); //@line 560 "src.c"
        HEAP[$i]=$46; //@line 560 "src.c"
        __label__ = 9; break; //@line 560 "src.c"
      case 9: // $bb10
        var $47=HEAP[$i]; //@line 560 "src.c"
        var $48=HEAP[$num_images]; //@line 560 "src.c"
        var $49=($47) < ($48); //@line 560 "src.c"
        if ($49) { __label__ = 10; break; } else { __label__ = 6; break; } //@line 560 "src.c"
      case 6: // $bb11
        var $50=CHECK_OVERFLOW(($img_fol)&4294967295, 32); //@line 564 "src.c"
        var $51=HEAP[$50]; //@line 564 "src.c"
        var $52=HEAP[$dirptr]; //@line 564 "src.c"
        var $53=_load_images($52, $51); //@line 564 "src.c"
        var $54=($53)==1; //@line 564 "src.c"
        if ($54) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 564 "src.c"
      case 11: // $bb12
        HEAP[$0]=1; //@line 565 "src.c"
        __label__ = 2; break; //@line 565 "src.c"
      case 12: // $bb13
        var $55=HEAP[$num_images]; //@line 567 "src.c"
        var $56=($55)==0; //@line 567 "src.c"
        if ($56) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 567 "src.c"
      case 13: // $bb14
        var $57=HEAP[_stdout]; //@line 568 "src.c"
        var $58=$57; //@line 568 "src.c"
        var $59=_fwrite(CHECK_OVERFLOW((__str72)&4294967295, 32), 1, 16, $58); //@line 568 "src.c"
        HEAP[$0]=1; //@line 569 "src.c"
        __label__ = 2; break; //@line 569 "src.c"
      case 14: // $bb15
        __label__ = 15; break; //@line 569 "src.c"
      case 4: // $bb16
        HEAP[$num_images]=1; //@line 572 "src.c"
        __label__ = 15; break; //@line 572 "src.c"
      case 15: // $bb17
        HEAP[$imageno]=0; //@line 576 "src.c"
        __label__ = 16; break; //@line 576 "src.c"
      case 78: // $bb18
        HEAP[$image]=0; //@line 577 "src.c"
        var $60=HEAP[_stderr]; //@line 578 "src.c"
        var $61=$60; //@line 578 "src.c"
        var $62=_fputc(10, $61); //@line 578 "src.c"
        var $63=CHECK_OVERFLOW(($img_fol+8)&4294967295, 32); //@line 580 "src.c"
        var $64=HEAP[$63]; //@line 580 "src.c"
        var $65=($64)==1; //@line 580 "src.c"
        if ($65) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 580 "src.c"
      case 17: // $bb19
        var $66=HEAP[$imageno]; //@line 581 "src.c"
        var $67=HEAP[$dirptr]; //@line 581 "src.c"
        var $68=_get_next_file($66, $67, $img_fol, $parameters); //@line 581 "src.c"
        var $69=($68)!=0; //@line 581 "src.c"
        if ($69) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 581 "src.c"
      case 19: // $bb20
        var $70=HEAP[_stderr]; //@line 582 "src.c"
        var $71=$70; //@line 582 "src.c"
        var $72=_fwrite(CHECK_OVERFLOW((__str73)&4294967295, 32), 1, 17, $71); //@line 582 "src.c"
        __label__ = 20; break; //@line 582 "src.c"
      case 18: // $bb21
        var $73=CHECK_OVERFLOW(($parameters+8)&4294967295, 32); //@line 589 "src.c"
        var $74=CHECK_OVERFLOW(($73)&4294967295, 32); //@line 589 "src.c"
        var $75=_fopen($74, CHECK_OVERFLOW((__str74)&4294967295, 32)); //@line 589 "src.c"
        HEAP[$fsrc]=$75; //@line 589 "src.c"
        var $76=HEAP[$fsrc]; //@line 590 "src.c"
        var $77=($76)==0; //@line 590 "src.c"
        if ($77) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 590 "src.c"
      case 21: // $bb22
        var $78=HEAP[_stderr]; //@line 591 "src.c"
        var $79=CHECK_OVERFLOW(($parameters+8)&4294967295, 32); //@line 591 "src.c"
        var $80=CHECK_OVERFLOW(($79)&4294967295, 32); //@line 591 "src.c"
        var $81=_fprintf($78, CHECK_OVERFLOW((__str75)&4294967295, 32), $80); //@line 591 "src.c"
        HEAP[$0]=1; //@line 592 "src.c"
        __label__ = 2; break; //@line 592 "src.c"
      case 22: // $bb23
        var $82=HEAP[$fsrc]; //@line 594 "src.c"
        var $83=_fseek($82, 0, 2); //@line 594 "src.c"
        var $84=HEAP[$fsrc]; //@line 595 "src.c"
        var $85=_ftell($84); //@line 595 "src.c"
        HEAP[$file_length]=$85; //@line 595 "src.c"
        var $86=HEAP[$fsrc]; //@line 596 "src.c"
        var $87=_fseek($86, 0, 0); //@line 596 "src.c"
        var $88=HEAP[$file_length]; //@line 597 "src.c"
        var $89=_malloc($88); //@line 597 "src.c"
        HEAP[$src]=$89; //@line 597 "src.c"
        var $90=HEAP[$file_length]; //@line 598 "src.c"
        var $91=HEAP[$src]; //@line 598 "src.c"
        var $92=HEAP[$fsrc]; //@line 598 "src.c"
        var $93=_fread($91, 1, $90, $92); //@line 598 "src.c"
        var $94=HEAP[$fsrc]; //@line 599 "src.c"
        var $95=_fclose($94); //@line 599 "src.c"
        var $96=CHECK_OVERFLOW(($parameters+8200)&4294967295, 32); //@line 604 "src.c"
        var $97=HEAP[$96]; //@line 604 "src.c"
        if ($97 == 0) {
          __label__ = 81; break;
        }
        else if ($97 == 1) {
          __label__ = 82; break;
        }
        else if ($97 == 2) {
          __label__ = 83; break;
        }
        else {
        __label__ = 84; break;
        }
        
      case 81: // $bb24
        var $98=_opj_create_decompress(0); //@line 610 "src.c"
        HEAP[$dinfo]=$98; //@line 610 "src.c"
        var $99=HEAP[_stderr]; //@line 613 "src.c"
        var $100=HEAP[$dinfo]; //@line 613 "src.c"
        var $101=$99; //@line 613 "src.c"
        var $102=_opj_set_event_mgr($100, $event_mgr, $101); //@line 613 "src.c"
        var $103=HEAP[$dinfo]; //@line 616 "src.c"
        _opj_setup_decoder($103, $parameters); //@line 616 "src.c"
        var $104=HEAP[$dinfo]; //@line 619 "src.c"
        var $105=HEAP[$src]; //@line 619 "src.c"
        var $106=HEAP[$file_length]; //@line 619 "src.c"
        var $107=_opj_cio_open($104, $105, $106); //@line 619 "src.c"
        HEAP[$cio]=$107; //@line 619 "src.c"
        var $108=CHECK_OVERFLOW(($indexfilename)&4294967295, 32); //@line 622 "src.c"
        var $109=HEAP[$108]; //@line 622 "src.c"
        var $110=($109)!=0; //@line 622 "src.c"
        if ($110) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 622 "src.c"
      case 23: // $bb25
        var $111=HEAP[$dinfo]; //@line 623 "src.c"
        var $112=HEAP[$cio]; //@line 623 "src.c"
        var $113=_opj_decode_with_info($111, $112, $cstr_info); //@line 623 "src.c"
        HEAP[$image]=$113; //@line 623 "src.c"
        __label__ = 25; break; //@line 623 "src.c"
      case 24: // $bb26
        var $114=HEAP[$dinfo]; //@line 625 "src.c"
        var $115=HEAP[$cio]; //@line 625 "src.c"
        var $116=_opj_decode($114, $115); //@line 625 "src.c"
        HEAP[$image]=$116; //@line 625 "src.c"
        __label__ = 25; break; //@line 625 "src.c"
      case 25: // $bb27
        var $117=HEAP[$image]; //@line 626 "src.c"
        var $118=($117)==0; //@line 626 "src.c"
        if ($118) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 626 "src.c"
      case 26: // $bb28
        var $119=HEAP[_stderr]; //@line 627 "src.c"
        var $120=$119; //@line 627 "src.c"
        var $121=_fwrite(CHECK_OVERFLOW((__str76)&4294967295, 32), 1, 47, $120); //@line 627 "src.c"
        var $122=HEAP[$dinfo]; //@line 628 "src.c"
        _opj_destroy_decompress($122); //@line 628 "src.c"
        var $123=HEAP[$cio]; //@line 629 "src.c"
        _opj_cio_close($123); //@line 629 "src.c"
        HEAP[$0]=1; //@line 630 "src.c"
        __label__ = 2; break; //@line 630 "src.c"
      case 27: // $bb29
        var $124=HEAP[$cio]; //@line 634 "src.c"
        _opj_cio_close($124); //@line 634 "src.c"
        var $125=CHECK_OVERFLOW(($indexfilename)&4294967295, 32); //@line 637 "src.c"
        var $126=HEAP[$125]; //@line 637 "src.c"
        var $127=($126)!=0; //@line 637 "src.c"
        if ($127) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 637 "src.c"
      case 28: // $bb30
        var $indexfilename31=$indexfilename; //@line 639 "src.c"
        var $128=_write_index_file($cstr_info, $indexfilename31); //@line 639 "src.c"
        var $129=((($128)) & 255); //@line 639 "src.c"
        HEAP[$bSuccess]=$129; //@line 639 "src.c"
        var $130=HEAP[$bSuccess]; //@line 640 "src.c"
        var $131=($130)!=0; //@line 640 "src.c"
        if ($131) { __label__ = 30; break; } else { __label__ = 29; break; } //@line 640 "src.c"
      case 30: // $bb32
        var $132=HEAP[_stderr]; //@line 641 "src.c"
        var $133=$132; //@line 641 "src.c"
        var $134=_fwrite(CHECK_OVERFLOW((__str77)&4294967295, 32), 1, 28, $133); //@line 641 "src.c"
        __label__ = 29; break; //@line 641 "src.c"
      case 29: // $bb33
        __label__ = 31; break; //@line 641 "src.c"
      case 82: // $bb34
        var $135=_opj_create_decompress(2); //@line 652 "src.c"
        HEAP[$dinfo]=$135; //@line 652 "src.c"
        var $136=HEAP[_stderr]; //@line 655 "src.c"
        var $137=HEAP[$dinfo]; //@line 655 "src.c"
        var $138=$136; //@line 655 "src.c"
        var $139=_opj_set_event_mgr($137, $event_mgr, $138); //@line 655 "src.c"
        var $140=HEAP[$dinfo]; //@line 658 "src.c"
        _opj_setup_decoder($140, $parameters); //@line 658 "src.c"
        var $141=HEAP[$dinfo]; //@line 661 "src.c"
        var $142=HEAP[$src]; //@line 661 "src.c"
        var $143=HEAP[$file_length]; //@line 661 "src.c"
        var $144=_opj_cio_open($141, $142, $143); //@line 661 "src.c"
        HEAP[$cio]=$144; //@line 661 "src.c"
        var $145=CHECK_OVERFLOW(($indexfilename)&4294967295, 32); //@line 664 "src.c"
        var $146=HEAP[$145]; //@line 664 "src.c"
        var $147=($146)!=0; //@line 664 "src.c"
        if ($147) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 664 "src.c"
      case 32: // $bb35
        var $148=HEAP[$dinfo]; //@line 665 "src.c"
        var $149=HEAP[$cio]; //@line 665 "src.c"
        var $150=_opj_decode_with_info($148, $149, $cstr_info); //@line 665 "src.c"
        HEAP[$image]=$150; //@line 665 "src.c"
        __label__ = 34; break; //@line 665 "src.c"
      case 33: // $bb36
        var $151=HEAP[$dinfo]; //@line 667 "src.c"
        var $152=HEAP[$cio]; //@line 667 "src.c"
        var $153=_opj_decode($151, $152); //@line 667 "src.c"
        HEAP[$image]=$153; //@line 667 "src.c"
        __label__ = 34; break; //@line 667 "src.c"
      case 34: // $bb37
        var $154=HEAP[$image]; //@line 668 "src.c"
        var $155=($154)==0; //@line 668 "src.c"
        if ($155) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 668 "src.c"
      case 35: // $bb38
        var $156=HEAP[_stderr]; //@line 669 "src.c"
        var $157=$156; //@line 669 "src.c"
        var $158=_fwrite(CHECK_OVERFLOW((__str76)&4294967295, 32), 1, 47, $157); //@line 669 "src.c"
        var $159=HEAP[$dinfo]; //@line 670 "src.c"
        _opj_destroy_decompress($159); //@line 670 "src.c"
        var $160=HEAP[$cio]; //@line 671 "src.c"
        _opj_cio_close($160); //@line 671 "src.c"
        HEAP[$0]=1; //@line 672 "src.c"
        __label__ = 2; break; //@line 672 "src.c"
      case 36: // $bb39
        var $161=HEAP[$cio]; //@line 676 "src.c"
        _opj_cio_close($161); //@line 676 "src.c"
        var $162=CHECK_OVERFLOW(($indexfilename)&4294967295, 32); //@line 679 "src.c"
        var $163=HEAP[$162]; //@line 679 "src.c"
        var $164=($163)!=0; //@line 679 "src.c"
        if ($164) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 679 "src.c"
      case 37: // $bb40
        var $indexfilename42=$indexfilename; //@line 681 "src.c"
        var $165=_write_index_file($cstr_info, $indexfilename42); //@line 681 "src.c"
        var $166=((($165)) & 255); //@line 681 "src.c"
        HEAP[$bSuccess41]=$166; //@line 681 "src.c"
        var $167=HEAP[$bSuccess41]; //@line 682 "src.c"
        var $168=($167)!=0; //@line 682 "src.c"
        if ($168) { __label__ = 39; break; } else { __label__ = 38; break; } //@line 682 "src.c"
      case 39: // $bb43
        var $169=HEAP[_stderr]; //@line 683 "src.c"
        var $170=$169; //@line 683 "src.c"
        var $171=_fwrite(CHECK_OVERFLOW((__str77)&4294967295, 32), 1, 28, $170); //@line 683 "src.c"
        __label__ = 38; break; //@line 683 "src.c"
      case 38: // $bb44
        __label__ = 31; break; //@line 683 "src.c"
      case 83: // $bb45
        var $172=_opj_create_decompress(1); //@line 694 "src.c"
        HEAP[$dinfo]=$172; //@line 694 "src.c"
        var $173=HEAP[_stderr]; //@line 697 "src.c"
        var $174=HEAP[$dinfo]; //@line 697 "src.c"
        var $175=$173; //@line 697 "src.c"
        var $176=_opj_set_event_mgr($174, $event_mgr, $175); //@line 697 "src.c"
        var $177=HEAP[$dinfo]; //@line 700 "src.c"
        _opj_setup_decoder($177, $parameters); //@line 700 "src.c"
        var $178=HEAP[$dinfo]; //@line 703 "src.c"
        var $179=HEAP[$src]; //@line 703 "src.c"
        var $180=HEAP[$file_length]; //@line 703 "src.c"
        var $181=_opj_cio_open($178, $179, $180); //@line 703 "src.c"
        HEAP[$cio]=$181; //@line 703 "src.c"
        var $182=CHECK_OVERFLOW(($indexfilename)&4294967295, 32); //@line 706 "src.c"
        var $183=HEAP[$182]; //@line 706 "src.c"
        var $184=($183)!=0; //@line 706 "src.c"
        if ($184) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 706 "src.c"
      case 40: // $bb46
        var $185=HEAP[$dinfo]; //@line 707 "src.c"
        var $186=HEAP[$cio]; //@line 707 "src.c"
        var $187=_opj_decode_with_info($185, $186, $cstr_info); //@line 707 "src.c"
        HEAP[$image]=$187; //@line 707 "src.c"
        __label__ = 42; break; //@line 707 "src.c"
      case 41: // $bb47
        var $188=HEAP[$dinfo]; //@line 709 "src.c"
        var $189=HEAP[$cio]; //@line 709 "src.c"
        var $190=_opj_decode($188, $189); //@line 709 "src.c"
        HEAP[$image]=$190; //@line 709 "src.c"
        __label__ = 42; break; //@line 709 "src.c"
      case 42: // $bb48
        var $191=HEAP[$image]; //@line 710 "src.c"
        var $192=($191)==0; //@line 710 "src.c"
        if ($192) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 710 "src.c"
      case 43: // $bb49
        var $193=HEAP[_stderr]; //@line 711 "src.c"
        var $194=$193; //@line 711 "src.c"
        var $195=_fwrite(CHECK_OVERFLOW((__str76)&4294967295, 32), 1, 47, $194); //@line 711 "src.c"
        var $196=HEAP[$dinfo]; //@line 712 "src.c"
        _opj_destroy_decompress($196); //@line 712 "src.c"
        var $197=HEAP[$cio]; //@line 713 "src.c"
        _opj_cio_close($197); //@line 713 "src.c"
        HEAP[$0]=1; //@line 714 "src.c"
        __label__ = 2; break; //@line 714 "src.c"
      case 44: // $bb50
        var $198=HEAP[$cio]; //@line 718 "src.c"
        _opj_cio_close($198); //@line 718 "src.c"
        var $199=CHECK_OVERFLOW(($indexfilename)&4294967295, 32); //@line 721 "src.c"
        var $200=HEAP[$199]; //@line 721 "src.c"
        var $201=($200)!=0; //@line 721 "src.c"
        if ($201) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 721 "src.c"
      case 45: // $bb51
        var $indexfilename53=$indexfilename; //@line 723 "src.c"
        var $202=_write_index_file($cstr_info, $indexfilename53); //@line 723 "src.c"
        var $203=((($202)) & 255); //@line 723 "src.c"
        HEAP[$bSuccess52]=$203; //@line 723 "src.c"
        var $204=HEAP[$bSuccess52]; //@line 724 "src.c"
        var $205=($204)!=0; //@line 724 "src.c"
        if ($205) { __label__ = 47; break; } else { __label__ = 46; break; } //@line 724 "src.c"
      case 47: // $bb54
        var $206=HEAP[_stderr]; //@line 725 "src.c"
        var $207=$206; //@line 725 "src.c"
        var $208=_fwrite(CHECK_OVERFLOW((__str77)&4294967295, 32), 1, 28, $207); //@line 725 "src.c"
        __label__ = 46; break; //@line 725 "src.c"
      case 46: // $bb55
        __label__ = 31; break; //@line 725 "src.c"
      case 84: // $bb56
        var $209=HEAP[_stderr]; //@line 732 "src.c"
        var $210=$209; //@line 732 "src.c"
        var $211=_fwrite(CHECK_OVERFLOW((__str78)&4294967295, 32), 1, 16, $210); //@line 732 "src.c"
        __label__ = 20; break; //@line 732 "src.c"
      case 31: // $bb57
        var $212=HEAP[$src]; //@line 737 "src.c"
        _free($212); //@line 737 "src.c"
        HEAP[$src]=0; //@line 738 "src.c"
        var $213=HEAP[$image]; //@line 740 "src.c"
        var $214=CHECK_OVERFLOW(($213+20)&4294967295, 32); //@line 740 "src.c"
        var $215=HEAP[$214]; //@line 740 "src.c"
        var $216=($215)==3; //@line 740 "src.c"
        if ($216) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 740 "src.c"
      case 48: // $bb58
        var $217=HEAP[$image]; //@line 742 "src.c"
        _color_sycc_to_rgb($217); //@line 742 "src.c"
        __label__ = 49; break; //@line 742 "src.c"
      case 49: // $bb59
        var $218=HEAP[$image]; //@line 745 "src.c"
        var $219=CHECK_OVERFLOW(($218+28)&4294967295, 32); //@line 745 "src.c"
        var $220=HEAP[$219]; //@line 745 "src.c"
        var $221=($220)!=0; //@line 745 "src.c"
        if ($221) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 745 "src.c"
      case 50: // $bb60
        var $222=HEAP[$image]; //@line 751 "src.c"
        var $223=CHECK_OVERFLOW(($222+28)&4294967295, 32); //@line 751 "src.c"
        var $224=HEAP[$223]; //@line 751 "src.c"
        _free($224); //@line 751 "src.c"
        var $225=HEAP[$image]; //@line 752 "src.c"
        var $226=CHECK_OVERFLOW(($225+28)&4294967295, 32); //@line 752 "src.c"
        HEAP[$226]=0; //@line 752 "src.c"
        var $227=HEAP[$image]; //@line 752 "src.c"
        var $228=CHECK_OVERFLOW(($227+32)&4294967295, 32); //@line 752 "src.c"
        HEAP[$228]=0; //@line 752 "src.c"
        __label__ = 51; break; //@line 752 "src.c"
      case 51: // $bb61
        var $229=CHECK_OVERFLOW(($parameters+8204)&4294967295, 32); //@line 757 "src.c"
        var $230=HEAP[$229]; //@line 757 "src.c"
        if ($230 == 10) {
          __label__ = 85; break;
        }
        else if ($230 == 11) {
          __label__ = 86; break;
        }
        else if ($230 == 12) {
          __label__ = 87; break;
        }
        else if ($230 == 14) {
          __label__ = 88; break;
        }
        else if ($230 == 15) {
          __label__ = 89; break;
        }
        else if ($230 == 16) {
          __label__ = 90; break;
        }
        else if ($230 == 17) {
          __label__ = 91; break;
        }
        else {
        __label__ = 92; break;
        }
        
      case 85: // $bb62
        var $231=HEAP[$image]; //@line 759 "src.c"
        var $232=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 759 "src.c"
        var $233=CHECK_OVERFLOW(($232)&4294967295, 32); //@line 759 "src.c"
        var $234=_imagetopnm($231, $233); //@line 759 "src.c"
        var $235=($234)!=0; //@line 759 "src.c"
        if ($235) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 759 "src.c"
      case 52: // $bb63
        var $236=HEAP[_stdout]; //@line 760 "src.c"
        var $237=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 760 "src.c"
        var $238=CHECK_OVERFLOW(($237)&4294967295, 32); //@line 760 "src.c"
        var $239=_fprintf($236, CHECK_OVERFLOW((__str79)&4294967295, 32), $238); //@line 760 "src.c"
        __label__ = 54; break; //@line 760 "src.c"
      case 53: // $bb64
        var $240=HEAP[_stdout]; //@line 763 "src.c"
        var $241=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 763 "src.c"
        var $242=CHECK_OVERFLOW(($241)&4294967295, 32); //@line 763 "src.c"
        var $243=_fprintf($240, CHECK_OVERFLOW((__str80)&4294967295, 32), $242); //@line 763 "src.c"
        __label__ = 54; break; //@line 763 "src.c"
      case 54: // $bb65
        __label__ = 55; break; //@line 763 "src.c"
      case 86: // $bb66
        var $244=HEAP[$image]; //@line 768 "src.c"
        var $245=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 768 "src.c"
        var $246=CHECK_OVERFLOW(($245)&4294967295, 32); //@line 768 "src.c"
        var $247=_imagetopgx($244, $246); //@line 768 "src.c"
        var $248=($247)!=0; //@line 768 "src.c"
        if ($248) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 768 "src.c"
      case 56: // $bb67
        var $249=HEAP[_stdout]; //@line 769 "src.c"
        var $250=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 769 "src.c"
        var $251=CHECK_OVERFLOW(($250)&4294967295, 32); //@line 769 "src.c"
        var $252=_fprintf($249, CHECK_OVERFLOW((__str79)&4294967295, 32), $251); //@line 769 "src.c"
        __label__ = 58; break; //@line 769 "src.c"
      case 57: // $bb68
        var $253=HEAP[_stdout]; //@line 772 "src.c"
        var $254=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 772 "src.c"
        var $255=CHECK_OVERFLOW(($254)&4294967295, 32); //@line 772 "src.c"
        var $256=_fprintf($253, CHECK_OVERFLOW((__str80)&4294967295, 32), $255); //@line 772 "src.c"
        __label__ = 58; break; //@line 772 "src.c"
      case 58: // $bb69
        __label__ = 55; break; //@line 772 "src.c"
      case 87: // $bb70
        var $257=HEAP[$image]; //@line 777 "src.c"
        var $258=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 777 "src.c"
        var $259=CHECK_OVERFLOW(($258)&4294967295, 32); //@line 777 "src.c"
        var $260=_imagetobmp($257, $259); //@line 777 "src.c"
        var $261=($260)!=0; //@line 777 "src.c"
        if ($261) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 777 "src.c"
      case 59: // $bb71
        var $262=HEAP[_stdout]; //@line 778 "src.c"
        var $263=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 778 "src.c"
        var $264=CHECK_OVERFLOW(($263)&4294967295, 32); //@line 778 "src.c"
        var $265=_fprintf($262, CHECK_OVERFLOW((__str79)&4294967295, 32), $264); //@line 778 "src.c"
        __label__ = 61; break; //@line 778 "src.c"
      case 60: // $bb72
        var $266=HEAP[_stdout]; //@line 781 "src.c"
        var $267=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 781 "src.c"
        var $268=CHECK_OVERFLOW(($267)&4294967295, 32); //@line 781 "src.c"
        var $269=_fprintf($266, CHECK_OVERFLOW((__str80)&4294967295, 32), $268); //@line 781 "src.c"
        __label__ = 61; break; //@line 781 "src.c"
      case 61: // $bb73
        __label__ = 55; break; //@line 781 "src.c"
      case 88: // $bb74
        var $270=HEAP[$image]; //@line 786 "src.c"
        var $271=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 786 "src.c"
        var $272=CHECK_OVERFLOW(($271)&4294967295, 32); //@line 786 "src.c"
        var $273=_imagetotif($270, $272); //@line 786 "src.c"
        var $274=($273)!=0; //@line 786 "src.c"
        if ($274) { __label__ = 62; break; } else { __label__ = 63; break; } //@line 786 "src.c"
      case 62: // $bb75
        var $275=HEAP[_stdout]; //@line 787 "src.c"
        var $276=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 787 "src.c"
        var $277=CHECK_OVERFLOW(($276)&4294967295, 32); //@line 787 "src.c"
        var $278=_fprintf($275, CHECK_OVERFLOW((__str79)&4294967295, 32), $277); //@line 787 "src.c"
        __label__ = 64; break; //@line 787 "src.c"
      case 63: // $bb76
        var $279=HEAP[_stdout]; //@line 790 "src.c"
        var $280=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 790 "src.c"
        var $281=CHECK_OVERFLOW(($280)&4294967295, 32); //@line 790 "src.c"
        var $282=_fprintf($279, CHECK_OVERFLOW((__str80)&4294967295, 32), $281); //@line 790 "src.c"
        __label__ = 64; break; //@line 790 "src.c"
      case 64: // $bb77
        __label__ = 55; break; //@line 790 "src.c"
      case 89: // $bb78
        var $283=HEAP[$image]; //@line 795 "src.c"
        var $284=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 795 "src.c"
        var $285=CHECK_OVERFLOW(($284)&4294967295, 32); //@line 795 "src.c"
        var $286=_imagetoraw($283, $285); //@line 795 "src.c"
        var $287=($286)!=0; //@line 795 "src.c"
        if ($287) { __label__ = 65; break; } else { __label__ = 66; break; } //@line 795 "src.c"
      case 65: // $bb79
        var $288=HEAP[_stdout]; //@line 796 "src.c"
        var $289=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 796 "src.c"
        var $290=CHECK_OVERFLOW(($289)&4294967295, 32); //@line 796 "src.c"
        var $291=_fprintf($288, CHECK_OVERFLOW((__str81)&4294967295, 32), $290); //@line 796 "src.c"
        __label__ = 67; break; //@line 796 "src.c"
      case 66: // $bb80
        var $292=HEAP[_stdout]; //@line 799 "src.c"
        var $293=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 799 "src.c"
        var $294=CHECK_OVERFLOW(($293)&4294967295, 32); //@line 799 "src.c"
        var $295=_fprintf($292, CHECK_OVERFLOW((__str82)&4294967295, 32), $294); //@line 799 "src.c"
        __label__ = 67; break; //@line 799 "src.c"
      case 67: // $bb81
        __label__ = 55; break; //@line 799 "src.c"
      case 90: // $bb82
        var $296=HEAP[$image]; //@line 804 "src.c"
        var $297=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 804 "src.c"
        var $298=CHECK_OVERFLOW(($297)&4294967295, 32); //@line 804 "src.c"
        var $299=_imagetotga($296, $298); //@line 804 "src.c"
        var $300=($299)!=0; //@line 804 "src.c"
        if ($300) { __label__ = 68; break; } else { __label__ = 69; break; } //@line 804 "src.c"
      case 68: // $bb83
        var $301=HEAP[_stdout]; //@line 805 "src.c"
        var $302=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 805 "src.c"
        var $303=CHECK_OVERFLOW(($302)&4294967295, 32); //@line 805 "src.c"
        var $304=_fprintf($301, CHECK_OVERFLOW((__str83)&4294967295, 32), $303); //@line 805 "src.c"
        __label__ = 70; break; //@line 805 "src.c"
      case 69: // $bb84
        var $305=HEAP[_stdout]; //@line 808 "src.c"
        var $306=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 808 "src.c"
        var $307=CHECK_OVERFLOW(($306)&4294967295, 32); //@line 808 "src.c"
        var $308=_fprintf($305, CHECK_OVERFLOW((__str82)&4294967295, 32), $307); //@line 808 "src.c"
        __label__ = 70; break; //@line 808 "src.c"
      case 70: // $bb85
        __label__ = 55; break; //@line 808 "src.c"
      case 91: // $bb86
        var $309=HEAP[$image]; //@line 813 "src.c"
        var $310=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 813 "src.c"
        var $311=CHECK_OVERFLOW(($310)&4294967295, 32); //@line 813 "src.c"
        var $312=_imagetopng($309, $311); //@line 813 "src.c"
        var $313=($312)!=0; //@line 813 "src.c"
        if ($313) { __label__ = 71; break; } else { __label__ = 72; break; } //@line 813 "src.c"
      case 71: // $bb87
        var $314=HEAP[_stdout]; //@line 814 "src.c"
        var $315=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 814 "src.c"
        var $316=CHECK_OVERFLOW(($315)&4294967295, 32); //@line 814 "src.c"
        var $317=_fprintf($314, CHECK_OVERFLOW((__str84)&4294967295, 32), $316); //@line 814 "src.c"
        __label__ = 73; break; //@line 814 "src.c"
      case 72: // $bb88
        var $318=HEAP[_stdout]; //@line 817 "src.c"
        var $319=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 817 "src.c"
        var $320=CHECK_OVERFLOW(($319)&4294967295, 32); //@line 817 "src.c"
        var $321=_fprintf($318, CHECK_OVERFLOW((__str82)&4294967295, 32), $320); //@line 817 "src.c"
        __label__ = 73; break; //@line 817 "src.c"
      case 73: // $bb89
        __label__ = 55; break; //@line 817 "src.c"
      case 92: // $bb90
        var $322=HEAP[_stderr]; //@line 825 "src.c"
        var $323=CHECK_OVERFLOW(($parameters+4104)&4294967295, 32); //@line 825 "src.c"
        var $324=CHECK_OVERFLOW(($323)&4294967295, 32); //@line 825 "src.c"
        var $325=_fprintf($322, CHECK_OVERFLOW((__str79)&4294967295, 32), $324); //@line 825 "src.c"
        __label__ = 55; break; //@line 825 "src.c"
      case 55: // $bb91
        var $326=HEAP[$dinfo]; //@line 829 "src.c"
        var $327=($326)!=0; //@line 829 "src.c"
        if ($327) { __label__ = 74; break; } else { __label__ = 75; break; } //@line 829 "src.c"
      case 74: // $bb92
        var $328=HEAP[$dinfo]; //@line 830 "src.c"
        _opj_destroy_decompress($328); //@line 830 "src.c"
        __label__ = 75; break; //@line 830 "src.c"
      case 75: // $bb93
        var $329=CHECK_OVERFLOW(($indexfilename)&4294967295, 32); //@line 833 "src.c"
        var $330=HEAP[$329]; //@line 833 "src.c"
        var $331=($330)!=0; //@line 833 "src.c"
        if ($331) { __label__ = 76; break; } else { __label__ = 77; break; } //@line 833 "src.c"
      case 76: // $bb94
        _opj_destroy_cstr_info($cstr_info); //@line 834 "src.c"
        __label__ = 77; break; //@line 834 "src.c"
      case 77: // $bb95
        var $332=HEAP[$image]; //@line 836 "src.c"
        _opj_image_destroy($332); //@line 836 "src.c"
        __label__ = 20; break; //@line 836 "src.c"
      case 20: // $bb96
        var $333=HEAP[$imageno]; //@line 576 "src.c"
        var $334=CHECK_OVERFLOW((($333) + 1)&4294967295, 32); //@line 576 "src.c"
        HEAP[$imageno]=$334; //@line 576 "src.c"
        __label__ = 16; break; //@line 576 "src.c"
      case 16: // $bb97
        var $335=HEAP[$imageno]; //@line 576 "src.c"
        var $336=HEAP[$num_images]; //@line 576 "src.c"
        var $337=($335) < ($336); //@line 576 "src.c"
        if ($337) { __label__ = 78; break; } else { __label__ = 79; break; } //@line 576 "src.c"
      case 79: // $bb98
        HEAP[$0]=0; //@line 839 "src.c"
        __label__ = 2; break; //@line 839 "src.c"
      case 2: // $bb99
        var $338=HEAP[$0]; //@line 545 "src.c"
        HEAP[$retval]=$338; //@line 545 "src.c"
        __label__ = 80; break; //@line 545 "src.c"
      case 80: // $return
        var $retval100=HEAP[$retval]; //@line 545 "src.c"
        STACKTOP = __stackBase__;
        return $retval100; //@line 545 "src.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  Module["_main"] = _main;

  function _bio_byteout($bio) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $bio_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $iftmp_0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$bio_addr]=$bio;
        var $1=HEAP[$bio_addr]; //@line 76 "bio.c"
        var $2=CHECK_OVERFLOW(($1+12)&4294967295, 32); //@line 76 "bio.c"
        var $3=HEAP[$2]; //@line 76 "bio.c"
        var $4=($3) << 8; //@line 76 "bio.c"
        var $5=($4) & 65535; //@line 76 "bio.c"
        var $6=HEAP[$bio_addr]; //@line 76 "bio.c"
        var $7=CHECK_OVERFLOW(($6+12)&4294967295, 32); //@line 76 "bio.c"
        HEAP[$7]=$5; //@line 76 "bio.c"
        var $8=HEAP[$bio_addr]; //@line 77 "bio.c"
        var $9=CHECK_OVERFLOW(($8+12)&4294967295, 32); //@line 77 "bio.c"
        var $10=HEAP[$9]; //@line 77 "bio.c"
        var $11=($10)==65280; //@line 77 "bio.c"
        if ($11) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 77 "bio.c"
      case 0: // $bb
        HEAP[$iftmp_0]=7; //@line 77 "bio.c"
        __label__ = 2; break; //@line 77 "bio.c"
      case 1: // $bb1
        HEAP[$iftmp_0]=8; //@line 77 "bio.c"
        __label__ = 2; break; //@line 77 "bio.c"
      case 2: // $bb2
        var $12=HEAP[$bio_addr]; //@line 77 "bio.c"
        var $13=CHECK_OVERFLOW(($12+16)&4294967295, 32); //@line 77 "bio.c"
        var $14=HEAP[$iftmp_0]; //@line 77 "bio.c"
        HEAP[$13]=$14; //@line 77 "bio.c"
        var $15=HEAP[$bio_addr]; //@line 78 "bio.c"
        var $16=CHECK_OVERFLOW(($15+8)&4294967295, 32); //@line 78 "bio.c"
        var $17=HEAP[$16]; //@line 78 "bio.c"
        var $18=HEAP[$bio_addr]; //@line 78 "bio.c"
        var $19=CHECK_OVERFLOW(($18+4)&4294967295, 32); //@line 78 "bio.c"
        var $20=HEAP[$19]; //@line 78 "bio.c"
        var $21=($17) >= ($20); //@line 78 "bio.c"
        if ($21) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 78 "bio.c"
      case 3: // $bb3
        HEAP[$0]=1; //@line 79 "bio.c"
        __label__ = 5; break; //@line 79 "bio.c"
      case 4: // $bb4
        var $22=HEAP[$bio_addr]; //@line 81 "bio.c"
        var $23=CHECK_OVERFLOW(($22+8)&4294967295, 32); //@line 81 "bio.c"
        var $24=HEAP[$23]; //@line 81 "bio.c"
        var $25=HEAP[$bio_addr]; //@line 81 "bio.c"
        var $26=CHECK_OVERFLOW(($25+12)&4294967295, 32); //@line 81 "bio.c"
        var $27=HEAP[$26]; //@line 81 "bio.c"
        var $28=($27) >>> 8; //@line 81 "bio.c"
        var $29=((($28)) & 255); //@line 81 "bio.c"
        HEAP[$24]=$29; //@line 81 "bio.c"
        var $30=CHECK_OVERFLOW(($24+1)&4294967295, 32); //@line 81 "bio.c"
        var $31=HEAP[$bio_addr]; //@line 81 "bio.c"
        var $32=CHECK_OVERFLOW(($31+8)&4294967295, 32); //@line 81 "bio.c"
        HEAP[$32]=$30; //@line 81 "bio.c"
        HEAP[$0]=0; //@line 82 "bio.c"
        __label__ = 5; break; //@line 82 "bio.c"
      case 5: // $bb5
        var $33=HEAP[$0]; //@line 79 "bio.c"
        HEAP[$retval]=$33; //@line 79 "bio.c"
        __label__ = 6; break; //@line 79 "bio.c"
      case 6: // $return
        var $retval6=HEAP[$retval]; //@line 79 "bio.c"
        STACKTOP = __stackBase__;
        return $retval6; //@line 79 "bio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _bio_bytein($bio) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $bio_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $iftmp_1=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$bio_addr]=$bio;
        var $1=HEAP[$bio_addr]; //@line 86 "bio.c"
        var $2=CHECK_OVERFLOW(($1+12)&4294967295, 32); //@line 86 "bio.c"
        var $3=HEAP[$2]; //@line 86 "bio.c"
        var $4=($3) << 8; //@line 86 "bio.c"
        var $5=($4) & 65535; //@line 86 "bio.c"
        var $6=HEAP[$bio_addr]; //@line 86 "bio.c"
        var $7=CHECK_OVERFLOW(($6+12)&4294967295, 32); //@line 86 "bio.c"
        HEAP[$7]=$5; //@line 86 "bio.c"
        var $8=HEAP[$bio_addr]; //@line 87 "bio.c"
        var $9=CHECK_OVERFLOW(($8+12)&4294967295, 32); //@line 87 "bio.c"
        var $10=HEAP[$9]; //@line 87 "bio.c"
        var $11=($10)==65280; //@line 87 "bio.c"
        if ($11) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 87 "bio.c"
      case 0: // $bb
        HEAP[$iftmp_1]=7; //@line 87 "bio.c"
        __label__ = 2; break; //@line 87 "bio.c"
      case 1: // $bb1
        HEAP[$iftmp_1]=8; //@line 87 "bio.c"
        __label__ = 2; break; //@line 87 "bio.c"
      case 2: // $bb2
        var $12=HEAP[$bio_addr]; //@line 87 "bio.c"
        var $13=CHECK_OVERFLOW(($12+16)&4294967295, 32); //@line 87 "bio.c"
        var $14=HEAP[$iftmp_1]; //@line 87 "bio.c"
        HEAP[$13]=$14; //@line 87 "bio.c"
        var $15=HEAP[$bio_addr]; //@line 88 "bio.c"
        var $16=CHECK_OVERFLOW(($15+8)&4294967295, 32); //@line 88 "bio.c"
        var $17=HEAP[$16]; //@line 88 "bio.c"
        var $18=HEAP[$bio_addr]; //@line 88 "bio.c"
        var $19=CHECK_OVERFLOW(($18+4)&4294967295, 32); //@line 88 "bio.c"
        var $20=HEAP[$19]; //@line 88 "bio.c"
        var $21=($17) >= ($20); //@line 88 "bio.c"
        if ($21) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 88 "bio.c"
      case 3: // $bb3
        HEAP[$0]=1; //@line 89 "bio.c"
        __label__ = 5; break; //@line 89 "bio.c"
      case 4: // $bb4
        var $22=HEAP[$bio_addr]; //@line 91 "bio.c"
        var $23=CHECK_OVERFLOW(($22+12)&4294967295, 32); //@line 91 "bio.c"
        var $24=HEAP[$23]; //@line 91 "bio.c"
        var $25=HEAP[$bio_addr]; //@line 91 "bio.c"
        var $26=CHECK_OVERFLOW(($25+8)&4294967295, 32); //@line 91 "bio.c"
        var $27=HEAP[$26]; //@line 91 "bio.c"
        var $28=HEAP[$27]; //@line 91 "bio.c"
        var $29=($28); //@line 91 "bio.c"
        var $30=($24) | ($29); //@line 91 "bio.c"
        var $31=HEAP[$bio_addr]; //@line 91 "bio.c"
        var $32=CHECK_OVERFLOW(($31+12)&4294967295, 32); //@line 91 "bio.c"
        HEAP[$32]=$30; //@line 91 "bio.c"
        var $33=CHECK_OVERFLOW(($27+1)&4294967295, 32); //@line 91 "bio.c"
        var $34=HEAP[$bio_addr]; //@line 91 "bio.c"
        var $35=CHECK_OVERFLOW(($34+8)&4294967295, 32); //@line 91 "bio.c"
        HEAP[$35]=$33; //@line 91 "bio.c"
        HEAP[$0]=0; //@line 92 "bio.c"
        __label__ = 5; break; //@line 92 "bio.c"
      case 5: // $bb5
        var $36=HEAP[$0]; //@line 89 "bio.c"
        HEAP[$retval]=$36; //@line 89 "bio.c"
        __label__ = 6; break; //@line 89 "bio.c"
      case 6: // $return
        var $retval6=HEAP[$retval]; //@line 89 "bio.c"
        STACKTOP = __stackBase__;
        return $retval6; //@line 89 "bio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _bio_putbit($bio, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $bio_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$bio_addr]=$bio;
        HEAP[$b_addr]=$b;
        var $0=HEAP[$bio_addr]; //@line 96 "bio.c"
        var $1=CHECK_OVERFLOW(($0+16)&4294967295, 32); //@line 96 "bio.c"
        var $2=HEAP[$1]; //@line 96 "bio.c"
        var $3=($2)==0; //@line 96 "bio.c"
        if ($3) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 96 "bio.c"
      case 0: // $bb
        var $4=HEAP[$bio_addr]; //@line 97 "bio.c"
        var $5=_bio_byteout($4); //@line 97 "bio.c"
        __label__ = 1; break; //@line 97 "bio.c"
      case 1: // $bb1
        var $6=HEAP[$bio_addr]; //@line 99 "bio.c"
        var $7=CHECK_OVERFLOW(($6+16)&4294967295, 32); //@line 99 "bio.c"
        var $8=HEAP[$7]; //@line 99 "bio.c"
        var $9=CHECK_OVERFLOW((($8) - 1)&4294967295, 32); //@line 99 "bio.c"
        var $10=HEAP[$bio_addr]; //@line 99 "bio.c"
        var $11=CHECK_OVERFLOW(($10+16)&4294967295, 32); //@line 99 "bio.c"
        HEAP[$11]=$9; //@line 99 "bio.c"
        var $12=HEAP[$bio_addr]; //@line 100 "bio.c"
        var $13=CHECK_OVERFLOW(($12+12)&4294967295, 32); //@line 100 "bio.c"
        var $14=HEAP[$13]; //@line 100 "bio.c"
        var $15=HEAP[$bio_addr]; //@line 100 "bio.c"
        var $16=CHECK_OVERFLOW(($15+16)&4294967295, 32); //@line 100 "bio.c"
        var $17=HEAP[$16]; //@line 100 "bio.c"
        var $18=HEAP[$b_addr]; //@line 100 "bio.c"
        var $19=($18) << ($17); //@line 100 "bio.c"
        var $20=($14) | ($19); //@line 100 "bio.c"
        var $21=HEAP[$bio_addr]; //@line 100 "bio.c"
        var $22=CHECK_OVERFLOW(($21+12)&4294967295, 32); //@line 100 "bio.c"
        HEAP[$22]=$20; //@line 100 "bio.c"
        __label__ = 2; break; //@line 101 "bio.c"
      case 2: // $return
        STACKTOP = __stackBase__;
        return; //@line 101 "bio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _bio_getbit($bio) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $bio_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$bio_addr]=$bio;
        var $1=HEAP[$bio_addr]; //@line 104 "bio.c"
        var $2=CHECK_OVERFLOW(($1+16)&4294967295, 32); //@line 104 "bio.c"
        var $3=HEAP[$2]; //@line 104 "bio.c"
        var $4=($3)==0; //@line 104 "bio.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 104 "bio.c"
      case 0: // $bb
        var $5=HEAP[$bio_addr]; //@line 105 "bio.c"
        var $6=_bio_bytein($5); //@line 105 "bio.c"
        __label__ = 1; break; //@line 105 "bio.c"
      case 1: // $bb1
        var $7=HEAP[$bio_addr]; //@line 107 "bio.c"
        var $8=CHECK_OVERFLOW(($7+16)&4294967295, 32); //@line 107 "bio.c"
        var $9=HEAP[$8]; //@line 107 "bio.c"
        var $10=CHECK_OVERFLOW((($9) - 1)&4294967295, 32); //@line 107 "bio.c"
        var $11=HEAP[$bio_addr]; //@line 107 "bio.c"
        var $12=CHECK_OVERFLOW(($11+16)&4294967295, 32); //@line 107 "bio.c"
        HEAP[$12]=$10; //@line 107 "bio.c"
        var $13=HEAP[$bio_addr]; //@line 108 "bio.c"
        var $14=CHECK_OVERFLOW(($13+12)&4294967295, 32); //@line 108 "bio.c"
        var $15=HEAP[$14]; //@line 108 "bio.c"
        var $16=HEAP[$bio_addr]; //@line 108 "bio.c"
        var $17=CHECK_OVERFLOW(($16+16)&4294967295, 32); //@line 108 "bio.c"
        var $18=HEAP[$17]; //@line 108 "bio.c"
        var $19=($15) >>> ($18); //@line 108 "bio.c"
        var $20=($19) & 1; //@line 108 "bio.c"
        HEAP[$0]=$20; //@line 108 "bio.c"
        var $21=HEAP[$0]; //@line 108 "bio.c"
        HEAP[$retval]=$21; //@line 108 "bio.c"
        __label__ = 2; break; //@line 108 "bio.c"
      case 2: // $return
        var $retval2=HEAP[$retval]; //@line 108 "bio.c"
        STACKTOP = __stackBase__;
        return $retval2; //@line 108 "bio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _bio_create() {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $retval=__stackBase__;
        var $0=__stackBase__+4;
        var $bio=__stackBase__+8;
        var $_alloca_point_=0;
        var $1=_malloc(20); //@line 118 "bio.c"
        var $2=$1; //@line 118 "bio.c"
        HEAP[$bio]=$2; //@line 118 "bio.c"
        var $3=HEAP[$bio]; //@line 119 "bio.c"
        HEAP[$0]=$3; //@line 119 "bio.c"
        var $4=HEAP[$0]; //@line 119 "bio.c"
        HEAP[$retval]=$4; //@line 119 "bio.c"
        __label__ = 0; break; //@line 119 "bio.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 119 "bio.c"
        STACKTOP = __stackBase__;
        return $retval1; //@line 119 "bio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _bio_destroy($bio) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $bio_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$bio_addr]=$bio;
        var $0=HEAP[$bio_addr]; //@line 123 "bio.c"
        var $1=($0)!=0; //@line 123 "bio.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 123 "bio.c"
      case 0: // $bb
        var $2=HEAP[$bio_addr]; //@line 124 "bio.c"
        var $3=$2; //@line 124 "bio.c"
        _free($3); //@line 124 "bio.c"
        __label__ = 1; break; //@line 124 "bio.c"
      case 1: // $bb1
        __label__ = 2; break; //@line 126 "bio.c"
      case 2: // $return
        STACKTOP = __stackBase__;
        return; //@line 126 "bio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _bio_numbytes($bio) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $bio_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$bio_addr]=$bio;
        var $1=HEAP[$bio_addr]; //@line 129 "bio.c"
        var $2=CHECK_OVERFLOW(($1+8)&4294967295, 32); //@line 129 "bio.c"
        var $3=HEAP[$2]; //@line 129 "bio.c"
        var $4=($3); //@line 129 "bio.c"
        var $5=HEAP[$bio_addr]; //@line 129 "bio.c"
        var $6=CHECK_OVERFLOW(($5)&4294967295, 32); //@line 129 "bio.c"
        var $7=HEAP[$6]; //@line 129 "bio.c"
        var $8=($7); //@line 129 "bio.c"
        var $9=CHECK_OVERFLOW((($4) - ($8))&4294967295, 32); //@line 129 "bio.c"
        HEAP[$0]=$9; //@line 129 "bio.c"
        var $10=HEAP[$0]; //@line 129 "bio.c"
        HEAP[$retval]=$10; //@line 129 "bio.c"
        __label__ = 0; break; //@line 129 "bio.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 129 "bio.c"
        STACKTOP = __stackBase__;
        return $retval1; //@line 129 "bio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _bio_init_enc($bio, $bp, $len) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $bio_addr=__stackBase__;
        var $bp_addr=__stackBase__+4;
        var $len_addr=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$bio_addr]=$bio;
        HEAP[$bp_addr]=$bp;
        HEAP[$len_addr]=$len;
        var $0=HEAP[$bio_addr]; //@line 133 "bio.c"
        var $1=CHECK_OVERFLOW(($0)&4294967295, 32); //@line 133 "bio.c"
        var $2=HEAP[$bp_addr]; //@line 133 "bio.c"
        HEAP[$1]=$2; //@line 133 "bio.c"
        var $3=HEAP[$bp_addr]; //@line 134 "bio.c"
        var $4=HEAP[$len_addr]; //@line 134 "bio.c"
        var $5=CHECK_OVERFLOW(($3+$4)&4294967295, 32); //@line 134 "bio.c"
        var $6=HEAP[$bio_addr]; //@line 134 "bio.c"
        var $7=CHECK_OVERFLOW(($6+4)&4294967295, 32); //@line 134 "bio.c"
        HEAP[$7]=$5; //@line 134 "bio.c"
        var $8=HEAP[$bio_addr]; //@line 135 "bio.c"
        var $9=CHECK_OVERFLOW(($8+8)&4294967295, 32); //@line 135 "bio.c"
        var $10=HEAP[$bp_addr]; //@line 135 "bio.c"
        HEAP[$9]=$10; //@line 135 "bio.c"
        var $11=HEAP[$bio_addr]; //@line 136 "bio.c"
        var $12=CHECK_OVERFLOW(($11+12)&4294967295, 32); //@line 136 "bio.c"
        HEAP[$12]=0; //@line 136 "bio.c"
        var $13=HEAP[$bio_addr]; //@line 137 "bio.c"
        var $14=CHECK_OVERFLOW(($13+16)&4294967295, 32); //@line 137 "bio.c"
        HEAP[$14]=8; //@line 137 "bio.c"
        __label__ = 0; break; //@line 138 "bio.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 138 "bio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _bio_init_dec($bio, $bp, $len) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $bio_addr=__stackBase__;
        var $bp_addr=__stackBase__+4;
        var $len_addr=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$bio_addr]=$bio;
        HEAP[$bp_addr]=$bp;
        HEAP[$len_addr]=$len;
        var $0=HEAP[$bio_addr]; //@line 141 "bio.c"
        var $1=CHECK_OVERFLOW(($0)&4294967295, 32); //@line 141 "bio.c"
        var $2=HEAP[$bp_addr]; //@line 141 "bio.c"
        HEAP[$1]=$2; //@line 141 "bio.c"
        var $3=HEAP[$bp_addr]; //@line 142 "bio.c"
        var $4=HEAP[$len_addr]; //@line 142 "bio.c"
        var $5=CHECK_OVERFLOW(($3+$4)&4294967295, 32); //@line 142 "bio.c"
        var $6=HEAP[$bio_addr]; //@line 142 "bio.c"
        var $7=CHECK_OVERFLOW(($6+4)&4294967295, 32); //@line 142 "bio.c"
        HEAP[$7]=$5; //@line 142 "bio.c"
        var $8=HEAP[$bio_addr]; //@line 143 "bio.c"
        var $9=CHECK_OVERFLOW(($8+8)&4294967295, 32); //@line 143 "bio.c"
        var $10=HEAP[$bp_addr]; //@line 143 "bio.c"
        HEAP[$9]=$10; //@line 143 "bio.c"
        var $11=HEAP[$bio_addr]; //@line 144 "bio.c"
        var $12=CHECK_OVERFLOW(($11+12)&4294967295, 32); //@line 144 "bio.c"
        HEAP[$12]=0; //@line 144 "bio.c"
        var $13=HEAP[$bio_addr]; //@line 145 "bio.c"
        var $14=CHECK_OVERFLOW(($13+16)&4294967295, 32); //@line 145 "bio.c"
        HEAP[$14]=0; //@line 145 "bio.c"
        __label__ = 0; break; //@line 146 "bio.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 146 "bio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _bio_write($bio, $v, $n) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $bio_addr=__stackBase__;
        var $v_addr=__stackBase__+4;
        var $n_addr=__stackBase__+8;
        var $i=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$bio_addr]=$bio;
        HEAP[$v_addr]=$v;
        HEAP[$n_addr]=$n;
        var $0=HEAP[$n_addr]; //@line 150 "bio.c"
        var $1=CHECK_OVERFLOW((($0) - 1)&4294967295, 32); //@line 150 "bio.c"
        HEAP[$i]=$1; //@line 150 "bio.c"
        __label__ = 0; break; //@line 150 "bio.c"
      case 1: // $bb
        var $2=HEAP[$v_addr]; //@line 151 "bio.c"
        var $3=HEAP[$i]; //@line 151 "bio.c"
        var $4=($2) >> ($3); //@line 151 "bio.c"
        var $5=($4) & 1; //@line 151 "bio.c"
        var $6=HEAP[$bio_addr]; //@line 151 "bio.c"
        _bio_putbit($6, $5); //@line 151 "bio.c"
        var $7=HEAP[$i]; //@line 150 "bio.c"
        var $8=CHECK_OVERFLOW((($7) - 1)&4294967295, 32); //@line 150 "bio.c"
        HEAP[$i]=$8; //@line 150 "bio.c"
        __label__ = 0; break; //@line 150 "bio.c"
      case 0: // $bb1
        var $9=HEAP[$i]; //@line 150 "bio.c"
        var $10=($9) >= 0; //@line 150 "bio.c"
        if ($10) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 150 "bio.c"
      case 2: // $bb2
        __label__ = 3; break; //@line 153 "bio.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 153 "bio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _bio_read($bio, $n) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $bio_addr=__stackBase__;
        var $n_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $i=__stackBase__+16;
        var $v=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$bio_addr]=$bio;
        HEAP[$n_addr]=$n;
        HEAP[$v]=0; //@line 157 "bio.c"
        var $1=HEAP[$n_addr]; //@line 158 "bio.c"
        var $2=CHECK_OVERFLOW((($1) - 1)&4294967295, 32); //@line 158 "bio.c"
        HEAP[$i]=$2; //@line 158 "bio.c"
        __label__ = 0; break; //@line 158 "bio.c"
      case 1: // $bb
        var $3=HEAP[$bio_addr]; //@line 159 "bio.c"
        var $4=_bio_getbit($3); //@line 159 "bio.c"
        var $5=HEAP[$i]; //@line 159 "bio.c"
        var $6=($4) << ($5); //@line 159 "bio.c"
        var $7=HEAP[$v]; //@line 159 "bio.c"
        var $8=CHECK_OVERFLOW((($6) + ($7))&4294967295, 32); //@line 159 "bio.c"
        HEAP[$v]=$8; //@line 159 "bio.c"
        var $9=HEAP[$i]; //@line 158 "bio.c"
        var $10=CHECK_OVERFLOW((($9) - 1)&4294967295, 32); //@line 158 "bio.c"
        HEAP[$i]=$10; //@line 158 "bio.c"
        __label__ = 0; break; //@line 158 "bio.c"
      case 0: // $bb1
        var $11=HEAP[$i]; //@line 158 "bio.c"
        var $12=($11) >= 0; //@line 158 "bio.c"
        if ($12) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 158 "bio.c"
      case 2: // $bb2
        var $13=HEAP[$v]; //@line 161 "bio.c"
        HEAP[$0]=$13; //@line 161 "bio.c"
        var $14=HEAP[$0]; //@line 161 "bio.c"
        HEAP[$retval]=$14; //@line 161 "bio.c"
        __label__ = 3; break; //@line 161 "bio.c"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 161 "bio.c"
        STACKTOP = __stackBase__;
        return $retval3; //@line 161 "bio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _bio_flush($bio) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $bio_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$bio_addr]=$bio;
        var $1=HEAP[$bio_addr]; //@line 165 "bio.c"
        var $2=CHECK_OVERFLOW(($1+16)&4294967295, 32); //@line 165 "bio.c"
        HEAP[$2]=0; //@line 165 "bio.c"
        var $3=HEAP[$bio_addr]; //@line 166 "bio.c"
        var $4=_bio_byteout($3); //@line 166 "bio.c"
        var $5=($4)!=0; //@line 166 "bio.c"
        if ($5) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 166 "bio.c"
      case 0: // $bb
        HEAP[$0]=1; //@line 167 "bio.c"
        __label__ = 2; break; //@line 167 "bio.c"
      case 1: // $bb1
        var $6=HEAP[$bio_addr]; //@line 169 "bio.c"
        var $7=CHECK_OVERFLOW(($6+16)&4294967295, 32); //@line 169 "bio.c"
        var $8=HEAP[$7]; //@line 169 "bio.c"
        var $9=($8)==7; //@line 169 "bio.c"
        if ($9) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 169 "bio.c"
      case 3: // $bb2
        var $10=HEAP[$bio_addr]; //@line 170 "bio.c"
        var $11=CHECK_OVERFLOW(($10+16)&4294967295, 32); //@line 170 "bio.c"
        HEAP[$11]=0; //@line 170 "bio.c"
        var $12=HEAP[$bio_addr]; //@line 171 "bio.c"
        var $13=_bio_byteout($12); //@line 171 "bio.c"
        var $14=($13)!=0; //@line 171 "bio.c"
        if ($14) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 171 "bio.c"
      case 5: // $bb3
        HEAP[$0]=1; //@line 172 "bio.c"
        __label__ = 2; break; //@line 172 "bio.c"
      case 4: // $bb4
        HEAP[$0]=0; //@line 175 "bio.c"
        __label__ = 2; break; //@line 175 "bio.c"
      case 2: // $bb5
        var $15=HEAP[$0]; //@line 167 "bio.c"
        HEAP[$retval]=$15; //@line 167 "bio.c"
        __label__ = 6; break; //@line 167 "bio.c"
      case 6: // $return
        var $retval6=HEAP[$retval]; //@line 167 "bio.c"
        STACKTOP = __stackBase__;
        return $retval6; //@line 167 "bio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _bio_inalign($bio) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $bio_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$bio_addr]=$bio;
        var $1=HEAP[$bio_addr]; //@line 179 "bio.c"
        var $2=CHECK_OVERFLOW(($1+16)&4294967295, 32); //@line 179 "bio.c"
        HEAP[$2]=0; //@line 179 "bio.c"
        var $3=HEAP[$bio_addr]; //@line 180 "bio.c"
        var $4=CHECK_OVERFLOW(($3+12)&4294967295, 32); //@line 180 "bio.c"
        var $5=HEAP[$4]; //@line 180 "bio.c"
        var $6=($5) & 255; //@line 180 "bio.c"
        var $7=($6)==255; //@line 180 "bio.c"
        if ($7) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 180 "bio.c"
      case 0: // $bb
        var $8=HEAP[$bio_addr]; //@line 181 "bio.c"
        var $9=_bio_bytein($8); //@line 181 "bio.c"
        var $10=($9)!=0; //@line 181 "bio.c"
        if ($10) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 181 "bio.c"
      case 2: // $bb1
        HEAP[$0]=1; //@line 182 "bio.c"
        __label__ = 4; break; //@line 182 "bio.c"
      case 3: // $bb2
        var $11=HEAP[$bio_addr]; //@line 184 "bio.c"
        var $12=CHECK_OVERFLOW(($11+16)&4294967295, 32); //@line 184 "bio.c"
        HEAP[$12]=0; //@line 184 "bio.c"
        __label__ = 1; break; //@line 184 "bio.c"
      case 1: // $bb3
        HEAP[$0]=0; //@line 186 "bio.c"
        __label__ = 4; break; //@line 186 "bio.c"
      case 4: // $bb4
        var $13=HEAP[$0]; //@line 182 "bio.c"
        HEAP[$retval]=$13; //@line 182 "bio.c"
        __label__ = 5; break; //@line 182 "bio.c"
      case 5: // $return
        var $retval5=HEAP[$retval]; //@line 182 "bio.c"
        STACKTOP = __stackBase__;
        return $retval5; //@line 182 "bio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_cio_open($cinfo, $buffer, $length) {
    var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 28);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cinfo_addr=__stackBase__;
        var $buffer_addr=__stackBase__+4;
        var $length_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $0=__stackBase__+16;
        var $cp=__stackBase__+20;
        var $cio=__stackBase__+24;
        var $_alloca_point_=0;
        HEAP[$cinfo_addr]=$cinfo;
        HEAP[$buffer_addr]=$buffer;
        HEAP[$length_addr]=$length;
        HEAP[$cp]=0; //@line 37 "cio.c"
        var $1=_malloc(28); //@line 38 "cio.c"
        var $2=$1; //@line 38 "cio.c"
        HEAP[$cio]=$2; //@line 38 "cio.c"
        var $3=HEAP[$cio]; //@line 39 "cio.c"
        var $4=($3)==0; //@line 39 "cio.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 39 "cio.c"
      case 0: // $bb
        HEAP[$0]=0; //@line 39 "cio.c"
        __label__ = 2; break; //@line 39 "cio.c"
      case 1: // $bb1
        var $5=HEAP[$cio]; //@line 40 "cio.c"
        var $6=CHECK_OVERFLOW(($5)&4294967295, 32); //@line 40 "cio.c"
        var $7=HEAP[$cinfo_addr]; //@line 40 "cio.c"
        HEAP[$6]=$7; //@line 40 "cio.c"
        var $8=HEAP[$buffer_addr]; //@line 41 "cio.c"
        var $9=($8)==0; //@line 41 "cio.c"
        if ($9) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 41 "cio.c"
      case 4: // $bb2
        var $10=HEAP[$length_addr]; //@line 41 "cio.c"
        var $11=($10)==0; //@line 41 "cio.c"
        if ($11) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 41 "cio.c"
      case 5: // $bb3
        var $12=HEAP[$cio]; //@line 43 "cio.c"
        var $13=CHECK_OVERFLOW(($12+4)&4294967295, 32); //@line 43 "cio.c"
        HEAP[$13]=1; //@line 43 "cio.c"
        var $14=HEAP[$cio]; //@line 44 "cio.c"
        var $15=CHECK_OVERFLOW(($14+8)&4294967295, 32); //@line 44 "cio.c"
        var $16=HEAP[$buffer_addr]; //@line 44 "cio.c"
        HEAP[$15]=$16; //@line 44 "cio.c"
        var $17=HEAP[$cio]; //@line 45 "cio.c"
        var $18=CHECK_OVERFLOW(($17+12)&4294967295, 32); //@line 45 "cio.c"
        var $19=HEAP[$length_addr]; //@line 45 "cio.c"
        HEAP[$18]=$19; //@line 45 "cio.c"
        __label__ = 6; break; //@line 45 "cio.c"
      case 3: // $bb4
        var $20=HEAP[$buffer_addr]; //@line 47 "cio.c"
        var $21=($20)!=0; //@line 47 "cio.c"
        if ($21) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 47 "cio.c"
      case 8: // $bb5
        var $22=HEAP[$length_addr]; //@line 47 "cio.c"
        var $23=($22)!=0; //@line 47 "cio.c"
        if ($23) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 47 "cio.c"
      case 9: // $bb6
        var $24=HEAP[$cinfo_addr]; //@line 47 "cio.c"
        var $25=($24)==0; //@line 47 "cio.c"
        if ($25) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 47 "cio.c"
      case 10: // $bb7
        var $26=HEAP[$cio]; //@line 49 "cio.c"
        var $27=CHECK_OVERFLOW(($26+4)&4294967295, 32); //@line 49 "cio.c"
        HEAP[$27]=2; //@line 49 "cio.c"
        var $28=HEAP[$cinfo_addr]; //@line 50 "cio.c"
        var $29=CHECK_OVERFLOW(($28+12)&4294967295, 32); //@line 50 "cio.c"
        var $30=HEAP[$29]; //@line 50 "cio.c"
        if ($30 == 0) {
          __label__ = 15; break;
        }
        else if ($30 == 2) {
          __label__ = 16; break;
        }
        else {
        __label__ = 17; break;
        }
        
      case 15: // $bb8
        var $31=HEAP[$cinfo_addr]; //@line 52 "cio.c"
        var $32=CHECK_OVERFLOW(($31+16)&4294967295, 32); //@line 52 "cio.c"
        var $33=HEAP[$32]; //@line 52 "cio.c"
        var $34=$33; //@line 52 "cio.c"
        var $35=CHECK_OVERFLOW(($34+64)&4294967295, 32); //@line 52 "cio.c"
        var $36=HEAP[$35]; //@line 52 "cio.c"
        HEAP[$cp]=$36; //@line 52 "cio.c"
        __label__ = 11; break; //@line 52 "cio.c"
      case 16: // $bb9
        var $37=HEAP[$cinfo_addr]; //@line 55 "cio.c"
        var $38=CHECK_OVERFLOW(($37+20)&4294967295, 32); //@line 55 "cio.c"
        var $39=HEAP[$38]; //@line 55 "cio.c"
        var $40=$39; //@line 55 "cio.c"
        var $41=CHECK_OVERFLOW(($40+4)&4294967295, 32); //@line 55 "cio.c"
        var $42=HEAP[$41]; //@line 55 "cio.c"
        var $43=CHECK_OVERFLOW(($42+64)&4294967295, 32); //@line 55 "cio.c"
        var $44=HEAP[$43]; //@line 55 "cio.c"
        HEAP[$cp]=$44; //@line 55 "cio.c"
        __label__ = 11; break; //@line 55 "cio.c"
      case 17: // $bb10
        var $45=HEAP[$cio]; //@line 58 "cio.c"
        var $46=$45; //@line 58 "cio.c"
        _free($46); //@line 58 "cio.c"
        HEAP[$0]=0; //@line 59 "cio.c"
        __label__ = 2; break; //@line 59 "cio.c"
      case 11: // $bb11
        var $47=HEAP[$cp]; //@line 61 "cio.c"
        var $48=CHECK_OVERFLOW(($47+8)&4294967295, 32); //@line 61 "cio.c"
        var $49=HEAP[$48]; //@line 61 "cio.c"
        var $50=($49); //@line 61 "cio.c"
        var $51=($50) * 0.1625; //@line 61 "cio.c"
        var $52=($51) + 2000; //@line 61 "cio.c"
        var $53=Math.floor(($52)); //@line 61 "cio.c"
        var $54=HEAP[$cio]; //@line 61 "cio.c"
        var $55=CHECK_OVERFLOW(($54+12)&4294967295, 32); //@line 61 "cio.c"
        HEAP[$55]=$53; //@line 61 "cio.c"
        var $56=HEAP[$cio]; //@line 62 "cio.c"
        var $57=CHECK_OVERFLOW(($56+12)&4294967295, 32); //@line 62 "cio.c"
        var $58=HEAP[$57]; //@line 62 "cio.c"
        var $59=_malloc($58); //@line 62 "cio.c"
        var $60=HEAP[$cio]; //@line 62 "cio.c"
        var $61=CHECK_OVERFLOW(($60+8)&4294967295, 32); //@line 62 "cio.c"
        HEAP[$61]=$59; //@line 62 "cio.c"
        var $62=HEAP[$cio]; //@line 63 "cio.c"
        var $63=CHECK_OVERFLOW(($62+8)&4294967295, 32); //@line 63 "cio.c"
        var $64=HEAP[$63]; //@line 63 "cio.c"
        var $65=($64)==0; //@line 63 "cio.c"
        if ($65) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 63 "cio.c"
      case 12: // $bb12
        var $66=HEAP[$cio]; //@line 64 "cio.c"
        var $67=CHECK_OVERFLOW(($66)&4294967295, 32); //@line 64 "cio.c"
        var $68=HEAP[$67]; //@line 64 "cio.c"
        var $69=_opj_event_msg($68, 1, CHECK_OVERFLOW((__str85)&4294967295, 32)); //@line 64 "cio.c"
        var $70=HEAP[$cio]; //@line 65 "cio.c"
        var $71=$70; //@line 65 "cio.c"
        _free($71); //@line 65 "cio.c"
        HEAP[$0]=0; //@line 66 "cio.c"
        __label__ = 2; break; //@line 66 "cio.c"
      case 13: // $bb13
        __label__ = 6; break; //@line 66 "cio.c"
      case 7: // $bb14
        var $72=HEAP[$cio]; //@line 70 "cio.c"
        var $73=$72; //@line 70 "cio.c"
        _free($73); //@line 70 "cio.c"
        HEAP[$0]=0; //@line 71 "cio.c"
        __label__ = 2; break; //@line 71 "cio.c"
      case 6: // $bb15
        var $74=HEAP[$cio]; //@line 75 "cio.c"
        var $75=CHECK_OVERFLOW(($74+8)&4294967295, 32); //@line 75 "cio.c"
        var $76=HEAP[$75]; //@line 75 "cio.c"
        var $77=HEAP[$cio]; //@line 75 "cio.c"
        var $78=CHECK_OVERFLOW(($77+16)&4294967295, 32); //@line 75 "cio.c"
        HEAP[$78]=$76; //@line 75 "cio.c"
        var $79=HEAP[$cio]; //@line 76 "cio.c"
        var $80=CHECK_OVERFLOW(($79+8)&4294967295, 32); //@line 76 "cio.c"
        var $81=HEAP[$80]; //@line 76 "cio.c"
        var $82=HEAP[$cio]; //@line 76 "cio.c"
        var $83=CHECK_OVERFLOW(($82+12)&4294967295, 32); //@line 76 "cio.c"
        var $84=HEAP[$83]; //@line 76 "cio.c"
        var $85=CHECK_OVERFLOW(($81+$84)&4294967295, 32); //@line 76 "cio.c"
        var $86=HEAP[$cio]; //@line 76 "cio.c"
        var $87=CHECK_OVERFLOW(($86+20)&4294967295, 32); //@line 76 "cio.c"
        HEAP[$87]=$85; //@line 76 "cio.c"
        var $88=HEAP[$cio]; //@line 77 "cio.c"
        var $89=CHECK_OVERFLOW(($88+8)&4294967295, 32); //@line 77 "cio.c"
        var $90=HEAP[$89]; //@line 77 "cio.c"
        var $91=HEAP[$cio]; //@line 77 "cio.c"
        var $92=CHECK_OVERFLOW(($91+24)&4294967295, 32); //@line 77 "cio.c"
        HEAP[$92]=$90; //@line 77 "cio.c"
        var $93=HEAP[$cio]; //@line 79 "cio.c"
        HEAP[$0]=$93; //@line 79 "cio.c"
        __label__ = 2; break; //@line 79 "cio.c"
      case 2: // $bb16
        var $94=HEAP[$0]; //@line 39 "cio.c"
        HEAP[$retval]=$94; //@line 39 "cio.c"
        __label__ = 14; break; //@line 39 "cio.c"
      case 14: // $return
        var $retval17=HEAP[$retval]; //@line 39 "cio.c"
        STACKTOP = __stackBase__;
        return $retval17; //@line 39 "cio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_cio_close($cio) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cio_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$cio_addr]=$cio;
        var $0=HEAP[$cio_addr]; //@line 83 "cio.c"
        var $1=($0)!=0; //@line 83 "cio.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 83 "cio.c"
      case 0: // $bb
        var $2=HEAP[$cio_addr]; //@line 84 "cio.c"
        var $3=CHECK_OVERFLOW(($2+4)&4294967295, 32); //@line 84 "cio.c"
        var $4=HEAP[$3]; //@line 84 "cio.c"
        var $5=($4)==2; //@line 84 "cio.c"
        if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 84 "cio.c"
      case 2: // $bb1
        var $6=HEAP[$cio_addr]; //@line 86 "cio.c"
        var $7=CHECK_OVERFLOW(($6+8)&4294967295, 32); //@line 86 "cio.c"
        var $8=HEAP[$7]; //@line 86 "cio.c"
        _free($8); //@line 86 "cio.c"
        __label__ = 3; break; //@line 86 "cio.c"
      case 3: // $bb2
        var $9=HEAP[$cio_addr]; //@line 89 "cio.c"
        var $10=$9; //@line 89 "cio.c"
        _free($10); //@line 89 "cio.c"
        __label__ = 1; break; //@line 89 "cio.c"
      case 1: // $bb3
        __label__ = 4; break; //@line 91 "cio.c"
      case 4: // $return
        STACKTOP = __stackBase__;
        return; //@line 91 "cio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _cio_tell($cio) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cio_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$cio_addr]=$cio;
        var $1=HEAP[$cio_addr]; //@line 100 "cio.c"
        var $2=CHECK_OVERFLOW(($1+24)&4294967295, 32); //@line 100 "cio.c"
        var $3=HEAP[$2]; //@line 100 "cio.c"
        var $4=($3); //@line 100 "cio.c"
        var $5=HEAP[$cio_addr]; //@line 100 "cio.c"
        var $6=CHECK_OVERFLOW(($5+16)&4294967295, 32); //@line 100 "cio.c"
        var $7=HEAP[$6]; //@line 100 "cio.c"
        var $8=($7); //@line 100 "cio.c"
        var $9=CHECK_OVERFLOW((($4) - ($8))&4294967295, 32); //@line 100 "cio.c"
        HEAP[$0]=$9; //@line 100 "cio.c"
        var $10=HEAP[$0]; //@line 100 "cio.c"
        HEAP[$retval]=$10; //@line 100 "cio.c"
        __label__ = 0; break; //@line 100 "cio.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 100 "cio.c"
        STACKTOP = __stackBase__;
        return $retval1; //@line 100 "cio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _cio_seek($cio, $pos) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cio_addr=__stackBase__;
        var $pos_addr=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$cio_addr]=$cio;
        HEAP[$pos_addr]=$pos;
        var $0=HEAP[$cio_addr]; //@line 109 "cio.c"
        var $1=CHECK_OVERFLOW(($0+16)&4294967295, 32); //@line 109 "cio.c"
        var $2=HEAP[$1]; //@line 109 "cio.c"
        var $3=HEAP[$pos_addr]; //@line 109 "cio.c"
        var $4=CHECK_OVERFLOW(($2+$3)&4294967295, 32); //@line 109 "cio.c"
        var $5=HEAP[$cio_addr]; //@line 109 "cio.c"
        var $6=CHECK_OVERFLOW(($5+24)&4294967295, 32); //@line 109 "cio.c"
        HEAP[$6]=$4; //@line 109 "cio.c"
        __label__ = 0; break; //@line 110 "cio.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 110 "cio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _cio_numbytesleft($cio) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cio_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$cio_addr]=$cio;
        var $1=HEAP[$cio_addr]; //@line 116 "cio.c"
        var $2=CHECK_OVERFLOW(($1+20)&4294967295, 32); //@line 116 "cio.c"
        var $3=HEAP[$2]; //@line 116 "cio.c"
        var $4=($3); //@line 116 "cio.c"
        var $5=HEAP[$cio_addr]; //@line 116 "cio.c"
        var $6=CHECK_OVERFLOW(($5+24)&4294967295, 32); //@line 116 "cio.c"
        var $7=HEAP[$6]; //@line 116 "cio.c"
        var $8=($7); //@line 116 "cio.c"
        var $9=CHECK_OVERFLOW((($4) - ($8))&4294967295, 32); //@line 116 "cio.c"
        HEAP[$0]=$9; //@line 116 "cio.c"
        var $10=HEAP[$0]; //@line 116 "cio.c"
        HEAP[$retval]=$10; //@line 116 "cio.c"
        __label__ = 0; break; //@line 116 "cio.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 116 "cio.c"
        STACKTOP = __stackBase__;
        return $retval1; //@line 116 "cio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _cio_getbp($cio) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cio_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$cio_addr]=$cio;
        var $1=HEAP[$cio_addr]; //@line 123 "cio.c"
        var $2=CHECK_OVERFLOW(($1+24)&4294967295, 32); //@line 123 "cio.c"
        var $3=HEAP[$2]; //@line 123 "cio.c"
        HEAP[$0]=$3; //@line 123 "cio.c"
        var $4=HEAP[$0]; //@line 123 "cio.c"
        HEAP[$retval]=$4; //@line 123 "cio.c"
        __label__ = 0; break; //@line 123 "cio.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 123 "cio.c"
        STACKTOP = __stackBase__;
        return $retval1; //@line 123 "cio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _cio_byteout($cio, $v) {
    var __stackBase__  = STACKTOP; STACKTOP += 13; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 13);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cio_addr=__stackBase__;
        var $v_addr=__stackBase__+4;
        var $retval=__stackBase__+5;
        var $0=__stackBase__+9;
        var $_alloca_point_=0;
        HEAP[$cio_addr]=$cio;
        HEAP[$v_addr]=$v;
        var $1=HEAP[$cio_addr]; //@line 130 "cio.c"
        var $2=CHECK_OVERFLOW(($1+24)&4294967295, 32); //@line 130 "cio.c"
        var $3=HEAP[$2]; //@line 130 "cio.c"
        var $4=HEAP[$cio_addr]; //@line 130 "cio.c"
        var $5=CHECK_OVERFLOW(($4+20)&4294967295, 32); //@line 130 "cio.c"
        var $6=HEAP[$5]; //@line 130 "cio.c"
        var $7=($3) >= ($6); //@line 130 "cio.c"
        if ($7) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 130 "cio.c"
      case 0: // $bb
        var $8=HEAP[$cio_addr]; //@line 131 "cio.c"
        var $9=CHECK_OVERFLOW(($8)&4294967295, 32); //@line 131 "cio.c"
        var $10=HEAP[$9]; //@line 131 "cio.c"
        var $11=_opj_event_msg($10, 1, CHECK_OVERFLOW((__str186)&4294967295, 32)); //@line 131 "cio.c"
        HEAP[$0]=0; //@line 132 "cio.c"
        __label__ = 2; break; //@line 132 "cio.c"
      case 1: // $bb1
        var $12=HEAP[$cio_addr]; //@line 134 "cio.c"
        var $13=CHECK_OVERFLOW(($12+24)&4294967295, 32); //@line 134 "cio.c"
        var $14=HEAP[$13]; //@line 134 "cio.c"
        var $15=HEAP[$v_addr]; //@line 134 "cio.c"
        HEAP[$14]=$15; //@line 134 "cio.c"
        var $16=CHECK_OVERFLOW(($14+1)&4294967295, 32); //@line 134 "cio.c"
        var $17=HEAP[$cio_addr]; //@line 134 "cio.c"
        var $18=CHECK_OVERFLOW(($17+24)&4294967295, 32); //@line 134 "cio.c"
        HEAP[$18]=$16; //@line 134 "cio.c"
        HEAP[$0]=1; //@line 135 "cio.c"
        __label__ = 2; break; //@line 135 "cio.c"
      case 2: // $bb2
        var $19=HEAP[$0]; //@line 132 "cio.c"
        HEAP[$retval]=$19; //@line 132 "cio.c"
        __label__ = 3; break; //@line 132 "cio.c"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 132 "cio.c"
        STACKTOP = __stackBase__;
        return $retval3; //@line 132 "cio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _cio_bytein($cio) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cio_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$cio_addr]=$cio;
        var $1=HEAP[$cio_addr]; //@line 142 "cio.c"
        var $2=CHECK_OVERFLOW(($1+24)&4294967295, 32); //@line 142 "cio.c"
        var $3=HEAP[$2]; //@line 142 "cio.c"
        var $4=HEAP[$cio_addr]; //@line 142 "cio.c"
        var $5=CHECK_OVERFLOW(($4+20)&4294967295, 32); //@line 142 "cio.c"
        var $6=HEAP[$5]; //@line 142 "cio.c"
        var $7=($3) >= ($6); //@line 142 "cio.c"
        if ($7) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 142 "cio.c"
      case 0: // $bb
        var $8=HEAP[$cio_addr]; //@line 143 "cio.c"
        var $9=CHECK_OVERFLOW(($8+20)&4294967295, 32); //@line 143 "cio.c"
        var $10=HEAP[$9]; //@line 143 "cio.c"
        var $11=HEAP[$cio_addr]; //@line 143 "cio.c"
        var $12=CHECK_OVERFLOW(($11+24)&4294967295, 32); //@line 143 "cio.c"
        var $13=HEAP[$12]; //@line 143 "cio.c"
        var $14=HEAP[$cio_addr]; //@line 143 "cio.c"
        var $15=CHECK_OVERFLOW(($14+16)&4294967295, 32); //@line 143 "cio.c"
        var $16=HEAP[$15]; //@line 143 "cio.c"
        var $17=HEAP[$cio_addr]; //@line 143 "cio.c"
        var $18=CHECK_OVERFLOW(($17)&4294967295, 32); //@line 143 "cio.c"
        var $19=HEAP[$18]; //@line 143 "cio.c"
        var $20=_opj_event_msg($19, 1, CHECK_OVERFLOW((__str287)&4294967295, 32), Pointer_make([$16,0,0,0,$13,0,0,0,$10,0,0,0], 0, ALLOC_STACK)); //@line 143 "cio.c"
        HEAP[$0]=0; //@line 144 "cio.c"
        __label__ = 2; break; //@line 144 "cio.c"
      case 1: // $bb1
        var $21=HEAP[$cio_addr]; //@line 146 "cio.c"
        var $22=CHECK_OVERFLOW(($21+24)&4294967295, 32); //@line 146 "cio.c"
        var $23=HEAP[$22]; //@line 146 "cio.c"
        var $24=HEAP[$23]; //@line 146 "cio.c"
        var $25=($24); //@line 146 "cio.c"
        HEAP[$0]=$25; //@line 146 "cio.c"
        var $26=CHECK_OVERFLOW(($23+1)&4294967295, 32); //@line 146 "cio.c"
        var $27=HEAP[$cio_addr]; //@line 146 "cio.c"
        var $28=CHECK_OVERFLOW(($27+24)&4294967295, 32); //@line 146 "cio.c"
        HEAP[$28]=$26; //@line 146 "cio.c"
        __label__ = 2; break; //@line 146 "cio.c"
      case 2: // $bb2
        var $29=HEAP[$0]; //@line 144 "cio.c"
        HEAP[$retval]=$29; //@line 144 "cio.c"
        __label__ = 3; break; //@line 144 "cio.c"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 144 "cio.c"
        var $retval34=((($retval3)) & 255); //@line 144 "cio.c"
        STACKTOP = __stackBase__;
        return $retval34; //@line 144 "cio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _cio_write($cio, $v, $n) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cio_addr=__stackBase__;
        var $v_addr=__stackBase__+4;
        var $n_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $0=__stackBase__+16;
        var $i=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$cio_addr]=$cio;
        HEAP[$v_addr]=$v;
        HEAP[$n_addr]=$n;
        var $1=HEAP[$n_addr]; //@line 157 "cio.c"
        var $2=CHECK_OVERFLOW((($1) - 1)&4294967295, 32); //@line 157 "cio.c"
        HEAP[$i]=$2; //@line 157 "cio.c"
        __label__ = 0; break; //@line 157 "cio.c"
      case 4: // $bb
        var $3=HEAP[$i]; //@line 158 "cio.c"
        var $4=($3) << 3; //@line 158 "cio.c"
        var $5=HEAP[$v_addr]; //@line 158 "cio.c"
        var $6=($5) >>> ($4); //@line 158 "cio.c"
        var $7=((($6)) & 255); //@line 158 "cio.c"
        var $8=($7); //@line 158 "cio.c"
        var $9=HEAP[$cio_addr]; //@line 158 "cio.c"
        var $10=((($8)) & 255); //@line 158 "cio.c"
        var $11=_cio_byteout($9, $10); //@line 158 "cio.c"
        var $12=($11)==0; //@line 158 "cio.c"
        if ($12) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 158 "cio.c"
      case 1: // $bb1
        HEAP[$0]=0; //@line 159 "cio.c"
        __label__ = 3; break; //@line 159 "cio.c"
      case 2: // $bb2
        var $13=HEAP[$i]; //@line 157 "cio.c"
        var $14=CHECK_OVERFLOW((($13) - 1)&4294967295, 32); //@line 157 "cio.c"
        HEAP[$i]=$14; //@line 157 "cio.c"
        __label__ = 0; break; //@line 157 "cio.c"
      case 0: // $bb3
        var $15=HEAP[$i]; //@line 157 "cio.c"
        var $16=($15) >= 0; //@line 157 "cio.c"
        if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 157 "cio.c"
      case 5: // $bb4
        var $17=HEAP[$n_addr]; //@line 161 "cio.c"
        HEAP[$0]=$17; //@line 161 "cio.c"
        __label__ = 3; break; //@line 161 "cio.c"
      case 3: // $bb5
        var $18=HEAP[$0]; //@line 159 "cio.c"
        HEAP[$retval]=$18; //@line 159 "cio.c"
        __label__ = 6; break; //@line 159 "cio.c"
      case 6: // $return
        var $retval6=HEAP[$retval]; //@line 159 "cio.c"
        STACKTOP = __stackBase__;
        return $retval6; //@line 159 "cio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _cio_read($cio, $n) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cio_addr=__stackBase__;
        var $n_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $i=__stackBase__+16;
        var $v=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$cio_addr]=$cio;
        HEAP[$n_addr]=$n;
        HEAP[$v]=0; //@line 174 "cio.c"
        var $1=HEAP[$n_addr]; //@line 175 "cio.c"
        var $2=CHECK_OVERFLOW((($1) - 1)&4294967295, 32); //@line 175 "cio.c"
        HEAP[$i]=$2; //@line 175 "cio.c"
        __label__ = 0; break; //@line 175 "cio.c"
      case 1: // $bb
        var $3=HEAP[$cio_addr]; //@line 176 "cio.c"
        var $4=_cio_bytein($3); //@line 176 "cio.c"
        var $5=($4); //@line 176 "cio.c"
        var $6=HEAP[$i]; //@line 176 "cio.c"
        var $7=($6) << 3; //@line 176 "cio.c"
        var $8=($5) << ($7); //@line 176 "cio.c"
        var $9=HEAP[$v]; //@line 176 "cio.c"
        var $10=CHECK_OVERFLOW((($8) + ($9))&4294967295, 32); //@line 176 "cio.c"
        HEAP[$v]=$10; //@line 176 "cio.c"
        var $11=HEAP[$i]; //@line 175 "cio.c"
        var $12=CHECK_OVERFLOW((($11) - 1)&4294967295, 32); //@line 175 "cio.c"
        HEAP[$i]=$12; //@line 175 "cio.c"
        __label__ = 0; break; //@line 175 "cio.c"
      case 0: // $bb1
        var $13=HEAP[$i]; //@line 175 "cio.c"
        var $14=($13) >= 0; //@line 175 "cio.c"
        if ($14) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 175 "cio.c"
      case 2: // $bb2
        var $15=HEAP[$v]; //@line 178 "cio.c"
        HEAP[$0]=$15; //@line 178 "cio.c"
        var $16=HEAP[$0]; //@line 178 "cio.c"
        HEAP[$retval]=$16; //@line 178 "cio.c"
        __label__ = 3; break; //@line 178 "cio.c"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 178 "cio.c"
        STACKTOP = __stackBase__;
        return $retval3; //@line 178 "cio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _cio_skip($cio, $n) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cio_addr=__stackBase__;
        var $n_addr=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$cio_addr]=$cio;
        HEAP[$n_addr]=$n;
        var $0=HEAP[$cio_addr]; //@line 187 "cio.c"
        var $1=CHECK_OVERFLOW(($0+24)&4294967295, 32); //@line 187 "cio.c"
        var $2=HEAP[$1]; //@line 187 "cio.c"
        var $3=HEAP[$n_addr]; //@line 187 "cio.c"
        var $4=CHECK_OVERFLOW(($2+$3)&4294967295, 32); //@line 187 "cio.c"
        var $5=HEAP[$cio_addr]; //@line 187 "cio.c"
        var $6=CHECK_OVERFLOW(($5+24)&4294967295, 32); //@line 187 "cio.c"
        HEAP[$6]=$4; //@line 187 "cio.c"
        __label__ = 0; break; //@line 188 "cio.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 188 "cio.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _dwt_deinterleave_h($a, $b, $dn, $sn, $cas) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $dn_addr=__stackBase__+8;
        var $sn_addr=__stackBase__+12;
        var $cas_addr=__stackBase__+16;
        var $i=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        HEAP[$dn_addr]=$dn;
        HEAP[$sn_addr]=$sn;
        HEAP[$cas_addr]=$cas;
        HEAP[$i]=0; //@line 166 "dwt.c"
        __label__ = 0; break; //@line 166 "dwt.c"
      case 1: // $bb
        var $0=HEAP[$i]; //@line 166 "dwt.c"
        var $1=CHECK_OVERFLOW((($0) * 2)&4294967295, 32); //@line 166 "dwt.c"
        var $2=HEAP[$cas_addr]; //@line 166 "dwt.c"
        var $3=CHECK_OVERFLOW((($1) + ($2))&4294967295, 32); //@line 166 "dwt.c"
        var $4=HEAP[$a_addr]; //@line 166 "dwt.c"
        var $5=CHECK_OVERFLOW(($4+4*$3)&4294967295, 32); //@line 166 "dwt.c"
        var $6=HEAP[$5]; //@line 166 "dwt.c"
        var $7=HEAP[$b_addr]; //@line 166 "dwt.c"
        var $8=HEAP[$i]; //@line 166 "dwt.c"
        var $9=CHECK_OVERFLOW(($7+4*$8)&4294967295, 32); //@line 166 "dwt.c"
        HEAP[$9]=$6; //@line 166 "dwt.c"
        var $10=HEAP[$i]; //@line 166 "dwt.c"
        var $11=CHECK_OVERFLOW((($10) + 1)&4294967295, 32); //@line 166 "dwt.c"
        HEAP[$i]=$11; //@line 166 "dwt.c"
        __label__ = 0; break; //@line 166 "dwt.c"
      case 0: // $bb1
        var $12=HEAP[$i]; //@line 166 "dwt.c"
        var $13=HEAP[$sn_addr]; //@line 166 "dwt.c"
        var $14=($12) < ($13); //@line 166 "dwt.c"
        if ($14) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 166 "dwt.c"
      case 2: // $bb2
        HEAP[$i]=0; //@line 167 "dwt.c"
        __label__ = 3; break; //@line 167 "dwt.c"
      case 4: // $bb3
        var $15=HEAP[$sn_addr]; //@line 167 "dwt.c"
        var $16=HEAP[$i]; //@line 167 "dwt.c"
        var $17=CHECK_OVERFLOW((($15) + ($16))&4294967295, 32); //@line 167 "dwt.c"
        var $18=HEAP[$i]; //@line 167 "dwt.c"
        var $19=CHECK_OVERFLOW((($18) * 2)&4294967295, 32); //@line 167 "dwt.c"
        var $20=CHECK_OVERFLOW((($19) + 1)&4294967295, 32); //@line 167 "dwt.c"
        var $21=HEAP[$cas_addr]; //@line 167 "dwt.c"
        var $22=CHECK_OVERFLOW((($20) - ($21))&4294967295, 32); //@line 167 "dwt.c"
        var $23=HEAP[$a_addr]; //@line 167 "dwt.c"
        var $24=CHECK_OVERFLOW(($23+4*$22)&4294967295, 32); //@line 167 "dwt.c"
        var $25=HEAP[$24]; //@line 167 "dwt.c"
        var $26=HEAP[$b_addr]; //@line 167 "dwt.c"
        var $27=CHECK_OVERFLOW(($26+4*$17)&4294967295, 32); //@line 167 "dwt.c"
        HEAP[$27]=$25; //@line 167 "dwt.c"
        var $28=HEAP[$i]; //@line 167 "dwt.c"
        var $29=CHECK_OVERFLOW((($28) + 1)&4294967295, 32); //@line 167 "dwt.c"
        HEAP[$i]=$29; //@line 167 "dwt.c"
        __label__ = 3; break; //@line 167 "dwt.c"
      case 3: // $bb4
        var $30=HEAP[$i]; //@line 167 "dwt.c"
        var $31=HEAP[$dn_addr]; //@line 167 "dwt.c"
        var $32=($30) < ($31); //@line 167 "dwt.c"
        if ($32) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 167 "dwt.c"
      case 5: // $bb5
        __label__ = 6; break; //@line 168 "dwt.c"
      case 6: // $return
        STACKTOP = __stackBase__;
        return; //@line 168 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _dwt_deinterleave_v($a, $b, $dn, $sn, $x, $cas) {
    var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 28);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $dn_addr=__stackBase__+8;
        var $sn_addr=__stackBase__+12;
        var $x_addr=__stackBase__+16;
        var $cas_addr=__stackBase__+20;
        var $i=__stackBase__+24;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        HEAP[$dn_addr]=$dn;
        HEAP[$sn_addr]=$sn;
        HEAP[$x_addr]=$x;
        HEAP[$cas_addr]=$cas;
        HEAP[$i]=0; //@line 175 "dwt.c"
        __label__ = 0; break; //@line 175 "dwt.c"
      case 1: // $bb
        var $0=HEAP[$i]; //@line 175 "dwt.c"
        var $1=HEAP[$x_addr]; //@line 175 "dwt.c"
        var $2=CHECK_OVERFLOW((($0) * ($1))&4294967295, 32); //@line 175 "dwt.c"
        var $3=HEAP[$i]; //@line 175 "dwt.c"
        var $4=CHECK_OVERFLOW((($3) * 2)&4294967295, 32); //@line 175 "dwt.c"
        var $5=HEAP[$cas_addr]; //@line 175 "dwt.c"
        var $6=CHECK_OVERFLOW((($4) + ($5))&4294967295, 32); //@line 175 "dwt.c"
        var $7=HEAP[$a_addr]; //@line 175 "dwt.c"
        var $8=CHECK_OVERFLOW(($7+4*$6)&4294967295, 32); //@line 175 "dwt.c"
        var $9=HEAP[$8]; //@line 175 "dwt.c"
        var $10=HEAP[$b_addr]; //@line 175 "dwt.c"
        var $11=CHECK_OVERFLOW(($10+4*$2)&4294967295, 32); //@line 175 "dwt.c"
        HEAP[$11]=$9; //@line 175 "dwt.c"
        var $12=HEAP[$i]; //@line 175 "dwt.c"
        var $13=CHECK_OVERFLOW((($12) + 1)&4294967295, 32); //@line 175 "dwt.c"
        HEAP[$i]=$13; //@line 175 "dwt.c"
        __label__ = 0; break; //@line 175 "dwt.c"
      case 0: // $bb1
        var $14=HEAP[$i]; //@line 175 "dwt.c"
        var $15=HEAP[$sn_addr]; //@line 175 "dwt.c"
        var $16=($14) < ($15); //@line 175 "dwt.c"
        if ($16) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 175 "dwt.c"
      case 2: // $bb2
        HEAP[$i]=0; //@line 176 "dwt.c"
        __label__ = 3; break; //@line 176 "dwt.c"
      case 4: // $bb3
        var $17=HEAP[$sn_addr]; //@line 176 "dwt.c"
        var $18=HEAP[$i]; //@line 176 "dwt.c"
        var $19=CHECK_OVERFLOW((($17) + ($18))&4294967295, 32); //@line 176 "dwt.c"
        var $20=HEAP[$x_addr]; //@line 176 "dwt.c"
        var $21=CHECK_OVERFLOW((($19) * ($20))&4294967295, 32); //@line 176 "dwt.c"
        var $22=HEAP[$i]; //@line 176 "dwt.c"
        var $23=CHECK_OVERFLOW((($22) * 2)&4294967295, 32); //@line 176 "dwt.c"
        var $24=CHECK_OVERFLOW((($23) + 1)&4294967295, 32); //@line 176 "dwt.c"
        var $25=HEAP[$cas_addr]; //@line 176 "dwt.c"
        var $26=CHECK_OVERFLOW((($24) - ($25))&4294967295, 32); //@line 176 "dwt.c"
        var $27=HEAP[$a_addr]; //@line 176 "dwt.c"
        var $28=CHECK_OVERFLOW(($27+4*$26)&4294967295, 32); //@line 176 "dwt.c"
        var $29=HEAP[$28]; //@line 176 "dwt.c"
        var $30=HEAP[$b_addr]; //@line 176 "dwt.c"
        var $31=CHECK_OVERFLOW(($30+4*$21)&4294967295, 32); //@line 176 "dwt.c"
        HEAP[$31]=$29; //@line 176 "dwt.c"
        var $32=HEAP[$i]; //@line 176 "dwt.c"
        var $33=CHECK_OVERFLOW((($32) + 1)&4294967295, 32); //@line 176 "dwt.c"
        HEAP[$i]=$33; //@line 176 "dwt.c"
        __label__ = 3; break; //@line 176 "dwt.c"
      case 3: // $bb4
        var $34=HEAP[$i]; //@line 176 "dwt.c"
        var $35=HEAP[$dn_addr]; //@line 176 "dwt.c"
        var $36=($34) < ($35); //@line 176 "dwt.c"
        if ($36) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 176 "dwt.c"
      case 5: // $bb5
        __label__ = 6; break; //@line 177 "dwt.c"
      case 6: // $return
        STACKTOP = __stackBase__;
        return; //@line 177 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _dwt_interleave_h($h, $a) {
    var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 20);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $h_addr=__stackBase__;
        var $a_addr=__stackBase__+4;
        var $ai=__stackBase__+8;
        var $bi=__stackBase__+12;
        var $i=__stackBase__+16;
        var $_alloca_point_=0;
        HEAP[$h_addr]=$h;
        HEAP[$a_addr]=$a;
        var $0=HEAP[$a_addr]; //@line 183 "dwt.c"
        HEAP[$ai]=$0; //@line 183 "dwt.c"
        var $1=HEAP[$h_addr]; //@line 184 "dwt.c"
        var $2=CHECK_OVERFLOW(($1)&4294967295, 32); //@line 184 "dwt.c"
        var $3=HEAP[$2]; //@line 184 "dwt.c"
        var $4=HEAP[$h_addr]; //@line 184 "dwt.c"
        var $5=CHECK_OVERFLOW(($4+12)&4294967295, 32); //@line 184 "dwt.c"
        var $6=HEAP[$5]; //@line 184 "dwt.c"
        var $7=CHECK_OVERFLOW(($3+4*$6)&4294967295, 32); //@line 184 "dwt.c"
        HEAP[$bi]=$7; //@line 184 "dwt.c"
        var $8=HEAP[$h_addr]; //@line 185 "dwt.c"
        var $9=CHECK_OVERFLOW(($8+8)&4294967295, 32); //@line 185 "dwt.c"
        var $10=HEAP[$9]; //@line 185 "dwt.c"
        HEAP[$i]=$10; //@line 185 "dwt.c"
        __label__ = 0; break; //@line 185 "dwt.c"
      case 1: // $bb
        var $11=HEAP[$ai]; //@line 187 "dwt.c"
        var $12=HEAP[$11]; //@line 187 "dwt.c"
        var $13=HEAP[$bi]; //@line 187 "dwt.c"
        HEAP[$13]=$12; //@line 187 "dwt.c"
        var $14=HEAP[$ai]; //@line 187 "dwt.c"
        var $15=CHECK_OVERFLOW(($14+4)&4294967295, 32); //@line 187 "dwt.c"
        HEAP[$ai]=$15; //@line 187 "dwt.c"
        var $16=HEAP[$bi]; //@line 188 "dwt.c"
        var $17=CHECK_OVERFLOW(($16+8)&4294967295, 32); //@line 188 "dwt.c"
        HEAP[$bi]=$17; //@line 188 "dwt.c"
        __label__ = 0; break; //@line 188 "dwt.c"
      case 0: // $bb1
        var $18=HEAP[$i]; //@line 186 "dwt.c"
        var $19=CHECK_OVERFLOW((($18) - 1)&4294967295, 32); //@line 186 "dwt.c"
        HEAP[$i]=$19; //@line 186 "dwt.c"
        var $20=HEAP[$i]; //@line 186 "dwt.c"
        var $21=($20)!=-1; //@line 186 "dwt.c"
        if ($21) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 186 "dwt.c"
      case 2: // $bb2
        var $22=HEAP[$h_addr]; //@line 190 "dwt.c"
        var $23=CHECK_OVERFLOW(($22+8)&4294967295, 32); //@line 190 "dwt.c"
        var $24=HEAP[$23]; //@line 190 "dwt.c"
        var $25=HEAP[$a_addr]; //@line 190 "dwt.c"
        var $26=CHECK_OVERFLOW(($25+4*$24)&4294967295, 32); //@line 190 "dwt.c"
        HEAP[$ai]=$26; //@line 190 "dwt.c"
        var $27=HEAP[$h_addr]; //@line 191 "dwt.c"
        var $28=CHECK_OVERFLOW(($27)&4294967295, 32); //@line 191 "dwt.c"
        var $29=HEAP[$28]; //@line 191 "dwt.c"
        var $30=CHECK_OVERFLOW(($29+4)&4294967295, 32); //@line 191 "dwt.c"
        var $31=HEAP[$h_addr]; //@line 191 "dwt.c"
        var $32=CHECK_OVERFLOW(($31+12)&4294967295, 32); //@line 191 "dwt.c"
        var $33=HEAP[$32]; //@line 191 "dwt.c"
        var $34=CHECK_OVERFLOW((0 - ($33))&4294967295, 32); //@line 191 "dwt.c"
        var $35=CHECK_OVERFLOW(($30+4*$34)&4294967295, 32); //@line 191 "dwt.c"
        HEAP[$bi]=$35; //@line 191 "dwt.c"
        var $36=HEAP[$h_addr]; //@line 192 "dwt.c"
        var $37=CHECK_OVERFLOW(($36+4)&4294967295, 32); //@line 192 "dwt.c"
        var $38=HEAP[$37]; //@line 192 "dwt.c"
        HEAP[$i]=$38; //@line 192 "dwt.c"
        __label__ = 3; break; //@line 192 "dwt.c"
      case 4: // $bb3
        var $39=HEAP[$ai]; //@line 194 "dwt.c"
        var $40=HEAP[$39]; //@line 194 "dwt.c"
        var $41=HEAP[$bi]; //@line 194 "dwt.c"
        HEAP[$41]=$40; //@line 194 "dwt.c"
        var $42=HEAP[$ai]; //@line 194 "dwt.c"
        var $43=CHECK_OVERFLOW(($42+4)&4294967295, 32); //@line 194 "dwt.c"
        HEAP[$ai]=$43; //@line 194 "dwt.c"
        var $44=HEAP[$bi]; //@line 195 "dwt.c"
        var $45=CHECK_OVERFLOW(($44+8)&4294967295, 32); //@line 195 "dwt.c"
        HEAP[$bi]=$45; //@line 195 "dwt.c"
        __label__ = 3; break; //@line 195 "dwt.c"
      case 3: // $bb4
        var $46=HEAP[$i]; //@line 193 "dwt.c"
        var $47=CHECK_OVERFLOW((($46) - 1)&4294967295, 32); //@line 193 "dwt.c"
        HEAP[$i]=$47; //@line 193 "dwt.c"
        var $48=HEAP[$i]; //@line 193 "dwt.c"
        var $49=($48)!=-1; //@line 193 "dwt.c"
        if ($49) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 193 "dwt.c"
      case 5: // $bb5
        __label__ = 6; break; //@line 197 "dwt.c"
      case 6: // $return
        STACKTOP = __stackBase__;
        return; //@line 197 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _dwt_interleave_v($v, $a, $x) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $v_addr=__stackBase__;
        var $a_addr=__stackBase__+4;
        var $x_addr=__stackBase__+8;
        var $ai=__stackBase__+12;
        var $bi=__stackBase__+16;
        var $i=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$v_addr]=$v;
        HEAP[$a_addr]=$a;
        HEAP[$x_addr]=$x;
        var $0=HEAP[$a_addr]; //@line 203 "dwt.c"
        HEAP[$ai]=$0; //@line 203 "dwt.c"
        var $1=HEAP[$v_addr]; //@line 204 "dwt.c"
        var $2=CHECK_OVERFLOW(($1)&4294967295, 32); //@line 204 "dwt.c"
        var $3=HEAP[$2]; //@line 204 "dwt.c"
        var $4=HEAP[$v_addr]; //@line 204 "dwt.c"
        var $5=CHECK_OVERFLOW(($4+12)&4294967295, 32); //@line 204 "dwt.c"
        var $6=HEAP[$5]; //@line 204 "dwt.c"
        var $7=CHECK_OVERFLOW(($3+4*$6)&4294967295, 32); //@line 204 "dwt.c"
        HEAP[$bi]=$7; //@line 204 "dwt.c"
        var $8=HEAP[$v_addr]; //@line 205 "dwt.c"
        var $9=CHECK_OVERFLOW(($8+8)&4294967295, 32); //@line 205 "dwt.c"
        var $10=HEAP[$9]; //@line 205 "dwt.c"
        HEAP[$i]=$10; //@line 205 "dwt.c"
        __label__ = 0; break; //@line 205 "dwt.c"
      case 1: // $bb
        var $11=HEAP[$ai]; //@line 207 "dwt.c"
        var $12=HEAP[$11]; //@line 207 "dwt.c"
        var $13=HEAP[$bi]; //@line 207 "dwt.c"
        HEAP[$13]=$12; //@line 207 "dwt.c"
        var $14=HEAP[$bi]; //@line 208 "dwt.c"
        var $15=CHECK_OVERFLOW(($14+8)&4294967295, 32); //@line 208 "dwt.c"
        HEAP[$bi]=$15; //@line 208 "dwt.c"
        var $16=HEAP[$ai]; //@line 209 "dwt.c"
        var $17=HEAP[$x_addr]; //@line 209 "dwt.c"
        var $18=CHECK_OVERFLOW(($16+4*$17)&4294967295, 32); //@line 209 "dwt.c"
        HEAP[$ai]=$18; //@line 209 "dwt.c"
        __label__ = 0; break; //@line 209 "dwt.c"
      case 0: // $bb1
        var $19=HEAP[$i]; //@line 206 "dwt.c"
        var $20=CHECK_OVERFLOW((($19) - 1)&4294967295, 32); //@line 206 "dwt.c"
        HEAP[$i]=$20; //@line 206 "dwt.c"
        var $21=HEAP[$i]; //@line 206 "dwt.c"
        var $22=($21)!=-1; //@line 206 "dwt.c"
        if ($22) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 206 "dwt.c"
      case 2: // $bb2
        var $23=HEAP[$v_addr]; //@line 211 "dwt.c"
        var $24=CHECK_OVERFLOW(($23+8)&4294967295, 32); //@line 211 "dwt.c"
        var $25=HEAP[$24]; //@line 211 "dwt.c"
        var $26=HEAP[$x_addr]; //@line 211 "dwt.c"
        var $27=CHECK_OVERFLOW((($25) * ($26))&4294967295, 32); //@line 211 "dwt.c"
        var $28=HEAP[$a_addr]; //@line 211 "dwt.c"
        var $29=CHECK_OVERFLOW(($28+4*$27)&4294967295, 32); //@line 211 "dwt.c"
        HEAP[$ai]=$29; //@line 211 "dwt.c"
        var $30=HEAP[$v_addr]; //@line 212 "dwt.c"
        var $31=CHECK_OVERFLOW(($30)&4294967295, 32); //@line 212 "dwt.c"
        var $32=HEAP[$31]; //@line 212 "dwt.c"
        var $33=CHECK_OVERFLOW(($32+4)&4294967295, 32); //@line 212 "dwt.c"
        var $34=HEAP[$v_addr]; //@line 212 "dwt.c"
        var $35=CHECK_OVERFLOW(($34+12)&4294967295, 32); //@line 212 "dwt.c"
        var $36=HEAP[$35]; //@line 212 "dwt.c"
        var $37=CHECK_OVERFLOW((0 - ($36))&4294967295, 32); //@line 212 "dwt.c"
        var $38=CHECK_OVERFLOW(($33+4*$37)&4294967295, 32); //@line 212 "dwt.c"
        HEAP[$bi]=$38; //@line 212 "dwt.c"
        var $39=HEAP[$v_addr]; //@line 213 "dwt.c"
        var $40=CHECK_OVERFLOW(($39+4)&4294967295, 32); //@line 213 "dwt.c"
        var $41=HEAP[$40]; //@line 213 "dwt.c"
        HEAP[$i]=$41; //@line 213 "dwt.c"
        __label__ = 3; break; //@line 213 "dwt.c"
      case 4: // $bb3
        var $42=HEAP[$ai]; //@line 215 "dwt.c"
        var $43=HEAP[$42]; //@line 215 "dwt.c"
        var $44=HEAP[$bi]; //@line 215 "dwt.c"
        HEAP[$44]=$43; //@line 215 "dwt.c"
        var $45=HEAP[$bi]; //@line 216 "dwt.c"
        var $46=CHECK_OVERFLOW(($45+8)&4294967295, 32); //@line 216 "dwt.c"
        HEAP[$bi]=$46; //@line 216 "dwt.c"
        var $47=HEAP[$ai]; //@line 217 "dwt.c"
        var $48=HEAP[$x_addr]; //@line 217 "dwt.c"
        var $49=CHECK_OVERFLOW(($47+4*$48)&4294967295, 32); //@line 217 "dwt.c"
        HEAP[$ai]=$49; //@line 217 "dwt.c"
        __label__ = 3; break; //@line 217 "dwt.c"
      case 3: // $bb4
        var $50=HEAP[$i]; //@line 214 "dwt.c"
        var $51=CHECK_OVERFLOW((($50) - 1)&4294967295, 32); //@line 214 "dwt.c"
        HEAP[$i]=$51; //@line 214 "dwt.c"
        var $52=HEAP[$i]; //@line 214 "dwt.c"
        var $53=($52)!=-1; //@line 214 "dwt.c"
        if ($53) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 214 "dwt.c"
      case 5: // $bb5
        __label__ = 6; break; //@line 219 "dwt.c"
      case 6: // $return
        STACKTOP = __stackBase__;
        return; //@line 219 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _dwt_encode_1($a, $dn, $sn, $cas) {
    var __stackBase__  = STACKTOP; STACKTOP += 84; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 84);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $dn_addr=__stackBase__+4;
        var $sn_addr=__stackBase__+8;
        var $cas_addr=__stackBase__+12;
        var $iftmp_15=__stackBase__+16;
        var $iftmp_14=__stackBase__+20;
        var $iftmp_13=__stackBase__+24;
        var $iftmp_12=__stackBase__+28;
        var $iftmp_11=__stackBase__+32;
        var $iftmp_10=__stackBase__+36;
        var $iftmp_9=__stackBase__+40;
        var $iftmp_8=__stackBase__+44;
        var $iftmp_7=__stackBase__+48;
        var $iftmp_6=__stackBase__+52;
        var $iftmp_5=__stackBase__+56;
        var $iftmp_4=__stackBase__+60;
        var $iftmp_3=__stackBase__+64;
        var $iftmp_2=__stackBase__+68;
        var $iftmp_1=__stackBase__+72;
        var $iftmp_0=__stackBase__+76;
        var $i=__stackBase__+80;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$dn_addr]=$dn;
        HEAP[$sn_addr]=$sn;
        HEAP[$cas_addr]=$cas;
        var $0=HEAP[$cas_addr]; //@line 228 "dwt.c"
        var $1=($0)==0; //@line 228 "dwt.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 228 "dwt.c"
      case 0: // $bb
        var $2=HEAP[$dn_addr]; //@line 229 "dwt.c"
        var $3=($2) > 0; //@line 229 "dwt.c"
        if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 229 "dwt.c"
      case 3: // $bb1
        var $4=HEAP[$sn_addr]; //@line 229 "dwt.c"
        var $5=($4) > 1; //@line 229 "dwt.c"
        if ($5) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 229 "dwt.c"
      case 2: // $bb2
        HEAP[$i]=0; //@line 230 "dwt.c"
        __label__ = 5; break; //@line 230 "dwt.c"
      case 18: // $bb3
        var $6=HEAP[$i]; //@line 230 "dwt.c"
        var $7=CHECK_OVERFLOW((($6) * 2)&4294967295, 32); //@line 230 "dwt.c"
        var $8=CHECK_OVERFLOW((($7) + 1)&4294967295, 32); //@line 230 "dwt.c"
        var $9=HEAP[$i]; //@line 230 "dwt.c"
        var $10=CHECK_OVERFLOW((($9) * 2)&4294967295, 32); //@line 230 "dwt.c"
        var $11=CHECK_OVERFLOW((($10) + 1)&4294967295, 32); //@line 230 "dwt.c"
        var $12=HEAP[$a_addr]; //@line 230 "dwt.c"
        var $13=CHECK_OVERFLOW(($12+4*$11)&4294967295, 32); //@line 230 "dwt.c"
        var $14=HEAP[$13]; //@line 230 "dwt.c"
        var $15=HEAP[$i]; //@line 230 "dwt.c"
        var $16=($15) < 0; //@line 230 "dwt.c"
        if ($16) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 230 "dwt.c"
      case 6: // $bb4
        var $17=HEAP[$a_addr]; //@line 230 "dwt.c"
        var $18=CHECK_OVERFLOW(($17)&4294967295, 32); //@line 230 "dwt.c"
        var $19=HEAP[$18]; //@line 230 "dwt.c"
        HEAP[$iftmp_0]=$19; //@line 230 "dwt.c"
        __label__ = 8; break; //@line 230 "dwt.c"
      case 7: // $bb5
        var $20=HEAP[$i]; //@line 230 "dwt.c"
        var $21=HEAP[$sn_addr]; //@line 230 "dwt.c"
        var $22=($20) >= ($21); //@line 230 "dwt.c"
        if ($22) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 230 "dwt.c"
      case 9: // $bb6
        var $23=HEAP[$sn_addr]; //@line 230 "dwt.c"
        var $24=CHECK_OVERFLOW((($23) * 2)&4294967295, 32); //@line 230 "dwt.c"
        var $25=CHECK_OVERFLOW((($24) + -2)&4294967295, 32); //@line 230 "dwt.c"
        var $26=HEAP[$a_addr]; //@line 230 "dwt.c"
        var $27=CHECK_OVERFLOW(($26+4*$25)&4294967295, 32); //@line 230 "dwt.c"
        var $28=HEAP[$27]; //@line 230 "dwt.c"
        HEAP[$iftmp_1]=$28; //@line 230 "dwt.c"
        __label__ = 11; break; //@line 230 "dwt.c"
      case 10: // $bb7
        var $29=HEAP[$i]; //@line 230 "dwt.c"
        var $30=CHECK_OVERFLOW((($29) * 2)&4294967295, 32); //@line 230 "dwt.c"
        var $31=HEAP[$a_addr]; //@line 230 "dwt.c"
        var $32=CHECK_OVERFLOW(($31+4*$30)&4294967295, 32); //@line 230 "dwt.c"
        var $33=HEAP[$32]; //@line 230 "dwt.c"
        HEAP[$iftmp_1]=$33; //@line 230 "dwt.c"
        __label__ = 11; break; //@line 230 "dwt.c"
      case 11: // $bb8
        var $34=HEAP[$iftmp_1]; //@line 230 "dwt.c"
        HEAP[$iftmp_0]=$34; //@line 230 "dwt.c"
        __label__ = 8; break; //@line 230 "dwt.c"
      case 8: // $bb9
        var $35=HEAP[$i]; //@line 230 "dwt.c"
        var $36=CHECK_OVERFLOW((($35) + 1)&4294967295, 32); //@line 230 "dwt.c"
        var $37=($36) < 0; //@line 230 "dwt.c"
        if ($37) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 230 "dwt.c"
      case 12: // $bb10
        var $38=HEAP[$a_addr]; //@line 230 "dwt.c"
        var $39=CHECK_OVERFLOW(($38)&4294967295, 32); //@line 230 "dwt.c"
        var $40=HEAP[$39]; //@line 230 "dwt.c"
        HEAP[$iftmp_2]=$40; //@line 230 "dwt.c"
        __label__ = 14; break; //@line 230 "dwt.c"
      case 13: // $bb11
        var $41=HEAP[$i]; //@line 230 "dwt.c"
        var $42=CHECK_OVERFLOW((($41) + 1)&4294967295, 32); //@line 230 "dwt.c"
        var $43=HEAP[$sn_addr]; //@line 230 "dwt.c"
        var $44=($42) >= ($43); //@line 230 "dwt.c"
        if ($44) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 230 "dwt.c"
      case 15: // $bb12
        var $45=HEAP[$sn_addr]; //@line 230 "dwt.c"
        var $46=CHECK_OVERFLOW((($45) * 2)&4294967295, 32); //@line 230 "dwt.c"
        var $47=CHECK_OVERFLOW((($46) + -2)&4294967295, 32); //@line 230 "dwt.c"
        var $48=HEAP[$a_addr]; //@line 230 "dwt.c"
        var $49=CHECK_OVERFLOW(($48+4*$47)&4294967295, 32); //@line 230 "dwt.c"
        var $50=HEAP[$49]; //@line 230 "dwt.c"
        HEAP[$iftmp_3]=$50; //@line 230 "dwt.c"
        __label__ = 17; break; //@line 230 "dwt.c"
      case 16: // $bb13
        var $51=HEAP[$i]; //@line 230 "dwt.c"
        var $52=CHECK_OVERFLOW((($51) + 1)&4294967295, 32); //@line 230 "dwt.c"
        var $53=CHECK_OVERFLOW((($52) * 2)&4294967295, 32); //@line 230 "dwt.c"
        var $54=HEAP[$a_addr]; //@line 230 "dwt.c"
        var $55=CHECK_OVERFLOW(($54+4*$53)&4294967295, 32); //@line 230 "dwt.c"
        var $56=HEAP[$55]; //@line 230 "dwt.c"
        HEAP[$iftmp_3]=$56; //@line 230 "dwt.c"
        __label__ = 17; break; //@line 230 "dwt.c"
      case 17: // $bb14
        var $57=HEAP[$iftmp_3]; //@line 230 "dwt.c"
        HEAP[$iftmp_2]=$57; //@line 230 "dwt.c"
        __label__ = 14; break; //@line 230 "dwt.c"
      case 14: // $bb15
        var $58=HEAP[$iftmp_0]; //@line 230 "dwt.c"
        var $59=HEAP[$iftmp_2]; //@line 230 "dwt.c"
        var $60=CHECK_OVERFLOW((($58) + ($59))&4294967295, 32); //@line 230 "dwt.c"
        var $61=($60) >> 1; //@line 230 "dwt.c"
        var $62=CHECK_OVERFLOW((($14) - ($61))&4294967295, 32); //@line 230 "dwt.c"
        var $63=HEAP[$a_addr]; //@line 230 "dwt.c"
        var $64=CHECK_OVERFLOW(($63+4*$8)&4294967295, 32); //@line 230 "dwt.c"
        HEAP[$64]=$62; //@line 230 "dwt.c"
        var $65=HEAP[$i]; //@line 230 "dwt.c"
        var $66=CHECK_OVERFLOW((($65) + 1)&4294967295, 32); //@line 230 "dwt.c"
        HEAP[$i]=$66; //@line 230 "dwt.c"
        __label__ = 5; break; //@line 230 "dwt.c"
      case 5: // $bb16
        var $67=HEAP[$i]; //@line 230 "dwt.c"
        var $68=HEAP[$dn_addr]; //@line 230 "dwt.c"
        var $69=($67) < ($68); //@line 230 "dwt.c"
        if ($69) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 230 "dwt.c"
      case 19: // $bb17
        HEAP[$i]=0; //@line 231 "dwt.c"
        __label__ = 20; break; //@line 231 "dwt.c"
      case 33: // $bb18
        var $70=HEAP[$i]; //@line 231 "dwt.c"
        var $71=CHECK_OVERFLOW((($70) * 2)&4294967295, 32); //@line 231 "dwt.c"
        var $72=HEAP[$i]; //@line 231 "dwt.c"
        var $73=CHECK_OVERFLOW((($72) * 2)&4294967295, 32); //@line 231 "dwt.c"
        var $74=HEAP[$a_addr]; //@line 231 "dwt.c"
        var $75=CHECK_OVERFLOW(($74+4*$73)&4294967295, 32); //@line 231 "dwt.c"
        var $76=HEAP[$75]; //@line 231 "dwt.c"
        var $77=HEAP[$i]; //@line 231 "dwt.c"
        var $78=CHECK_OVERFLOW((($77) - 1)&4294967295, 32); //@line 231 "dwt.c"
        var $79=($78) < 0; //@line 231 "dwt.c"
        if ($79) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 231 "dwt.c"
      case 21: // $bb19
        var $80=HEAP[$a_addr]; //@line 231 "dwt.c"
        var $81=CHECK_OVERFLOW(($80+4)&4294967295, 32); //@line 231 "dwt.c"
        var $82=HEAP[$81]; //@line 231 "dwt.c"
        HEAP[$iftmp_4]=$82; //@line 231 "dwt.c"
        __label__ = 23; break; //@line 231 "dwt.c"
      case 22: // $bb20
        var $83=HEAP[$i]; //@line 231 "dwt.c"
        var $84=CHECK_OVERFLOW((($83) - 1)&4294967295, 32); //@line 231 "dwt.c"
        var $85=HEAP[$dn_addr]; //@line 231 "dwt.c"
        var $86=($84) >= ($85); //@line 231 "dwt.c"
        if ($86) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 231 "dwt.c"
      case 24: // $bb21
        var $87=HEAP[$dn_addr]; //@line 231 "dwt.c"
        var $88=CHECK_OVERFLOW((($87) * 2)&4294967295, 32); //@line 231 "dwt.c"
        var $89=CHECK_OVERFLOW((($88) + -1)&4294967295, 32); //@line 231 "dwt.c"
        var $90=HEAP[$a_addr]; //@line 231 "dwt.c"
        var $91=CHECK_OVERFLOW(($90+4*$89)&4294967295, 32); //@line 231 "dwt.c"
        var $92=HEAP[$91]; //@line 231 "dwt.c"
        HEAP[$iftmp_5]=$92; //@line 231 "dwt.c"
        __label__ = 26; break; //@line 231 "dwt.c"
      case 25: // $bb22
        var $93=HEAP[$i]; //@line 231 "dwt.c"
        var $94=CHECK_OVERFLOW((($93) * 2)&4294967295, 32); //@line 231 "dwt.c"
        var $95=CHECK_OVERFLOW((($94) + -1)&4294967295, 32); //@line 231 "dwt.c"
        var $96=HEAP[$a_addr]; //@line 231 "dwt.c"
        var $97=CHECK_OVERFLOW(($96+4*$95)&4294967295, 32); //@line 231 "dwt.c"
        var $98=HEAP[$97]; //@line 231 "dwt.c"
        HEAP[$iftmp_5]=$98; //@line 231 "dwt.c"
        __label__ = 26; break; //@line 231 "dwt.c"
      case 26: // $bb23
        var $99=HEAP[$iftmp_5]; //@line 231 "dwt.c"
        HEAP[$iftmp_4]=$99; //@line 231 "dwt.c"
        __label__ = 23; break; //@line 231 "dwt.c"
      case 23: // $bb24
        var $100=HEAP[$i]; //@line 231 "dwt.c"
        var $101=($100) < 0; //@line 231 "dwt.c"
        if ($101) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 231 "dwt.c"
      case 27: // $bb25
        var $102=HEAP[$a_addr]; //@line 231 "dwt.c"
        var $103=CHECK_OVERFLOW(($102+4)&4294967295, 32); //@line 231 "dwt.c"
        var $104=HEAP[$103]; //@line 231 "dwt.c"
        HEAP[$iftmp_6]=$104; //@line 231 "dwt.c"
        __label__ = 29; break; //@line 231 "dwt.c"
      case 28: // $bb26
        var $105=HEAP[$i]; //@line 231 "dwt.c"
        var $106=HEAP[$dn_addr]; //@line 231 "dwt.c"
        var $107=($105) >= ($106); //@line 231 "dwt.c"
        if ($107) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 231 "dwt.c"
      case 30: // $bb27
        var $108=HEAP[$dn_addr]; //@line 231 "dwt.c"
        var $109=CHECK_OVERFLOW((($108) * 2)&4294967295, 32); //@line 231 "dwt.c"
        var $110=CHECK_OVERFLOW((($109) + -1)&4294967295, 32); //@line 231 "dwt.c"
        var $111=HEAP[$a_addr]; //@line 231 "dwt.c"
        var $112=CHECK_OVERFLOW(($111+4*$110)&4294967295, 32); //@line 231 "dwt.c"
        var $113=HEAP[$112]; //@line 231 "dwt.c"
        HEAP[$iftmp_7]=$113; //@line 231 "dwt.c"
        __label__ = 32; break; //@line 231 "dwt.c"
      case 31: // $bb28
        var $114=HEAP[$i]; //@line 231 "dwt.c"
        var $115=CHECK_OVERFLOW((($114) * 2)&4294967295, 32); //@line 231 "dwt.c"
        var $116=CHECK_OVERFLOW((($115) + 1)&4294967295, 32); //@line 231 "dwt.c"
        var $117=HEAP[$a_addr]; //@line 231 "dwt.c"
        var $118=CHECK_OVERFLOW(($117+4*$116)&4294967295, 32); //@line 231 "dwt.c"
        var $119=HEAP[$118]; //@line 231 "dwt.c"
        HEAP[$iftmp_7]=$119; //@line 231 "dwt.c"
        __label__ = 32; break; //@line 231 "dwt.c"
      case 32: // $bb29
        var $120=HEAP[$iftmp_7]; //@line 231 "dwt.c"
        HEAP[$iftmp_6]=$120; //@line 231 "dwt.c"
        __label__ = 29; break; //@line 231 "dwt.c"
      case 29: // $bb30
        var $121=HEAP[$iftmp_4]; //@line 231 "dwt.c"
        var $122=HEAP[$iftmp_6]; //@line 231 "dwt.c"
        var $123=CHECK_OVERFLOW((($121) + ($122))&4294967295, 32); //@line 231 "dwt.c"
        var $124=CHECK_OVERFLOW((($123) + 2)&4294967295, 32); //@line 231 "dwt.c"
        var $125=($124) >> 2; //@line 231 "dwt.c"
        var $126=CHECK_OVERFLOW((($76) + ($125))&4294967295, 32); //@line 231 "dwt.c"
        var $127=HEAP[$a_addr]; //@line 231 "dwt.c"
        var $128=CHECK_OVERFLOW(($127+4*$71)&4294967295, 32); //@line 231 "dwt.c"
        HEAP[$128]=$126; //@line 231 "dwt.c"
        var $129=HEAP[$i]; //@line 231 "dwt.c"
        var $130=CHECK_OVERFLOW((($129) + 1)&4294967295, 32); //@line 231 "dwt.c"
        HEAP[$i]=$130; //@line 231 "dwt.c"
        __label__ = 20; break; //@line 231 "dwt.c"
      case 20: // $bb31
        var $131=HEAP[$i]; //@line 231 "dwt.c"
        var $132=HEAP[$sn_addr]; //@line 231 "dwt.c"
        var $133=($131) < ($132); //@line 231 "dwt.c"
        if ($133) { __label__ = 33; break; } else { __label__ = 4; break; } //@line 231 "dwt.c"
      case 4: // $bb32
        __label__ = 34; break; //@line 231 "dwt.c"
      case 1: // $bb33
        var $134=HEAP[$sn_addr]; //@line 234 "dwt.c"
        var $135=($134)!=0; //@line 234 "dwt.c"
        if ($135) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 234 "dwt.c"
      case 36: // $bb34
        var $136=HEAP[$dn_addr]; //@line 234 "dwt.c"
        var $137=($136)!=1; //@line 234 "dwt.c"
        if ($137) { __label__ = 35; break; } else { __label__ = 37; break; } //@line 234 "dwt.c"
      case 37: // $bb35
        var $138=HEAP[$a_addr]; //@line 235 "dwt.c"
        var $139=CHECK_OVERFLOW(($138)&4294967295, 32); //@line 235 "dwt.c"
        var $140=HEAP[$139]; //@line 235 "dwt.c"
        var $141=CHECK_OVERFLOW((($140) * 2)&4294967295, 32); //@line 235 "dwt.c"
        var $142=HEAP[$a_addr]; //@line 235 "dwt.c"
        var $143=CHECK_OVERFLOW(($142)&4294967295, 32); //@line 235 "dwt.c"
        HEAP[$143]=$141; //@line 235 "dwt.c"
        __label__ = 34; break; //@line 235 "dwt.c"
      case 35: // $bb36
        HEAP[$i]=0; //@line 237 "dwt.c"
        __label__ = 38; break; //@line 237 "dwt.c"
      case 51: // $bb37
        var $144=HEAP[$i]; //@line 237 "dwt.c"
        var $145=CHECK_OVERFLOW((($144) * 2)&4294967295, 32); //@line 237 "dwt.c"
        var $146=HEAP[$i]; //@line 237 "dwt.c"
        var $147=CHECK_OVERFLOW((($146) * 2)&4294967295, 32); //@line 237 "dwt.c"
        var $148=HEAP[$a_addr]; //@line 237 "dwt.c"
        var $149=CHECK_OVERFLOW(($148+4*$147)&4294967295, 32); //@line 237 "dwt.c"
        var $150=HEAP[$149]; //@line 237 "dwt.c"
        var $151=HEAP[$i]; //@line 237 "dwt.c"
        var $152=($151) < 0; //@line 237 "dwt.c"
        if ($152) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 237 "dwt.c"
      case 39: // $bb38
        var $153=HEAP[$a_addr]; //@line 237 "dwt.c"
        var $154=CHECK_OVERFLOW(($153+4)&4294967295, 32); //@line 237 "dwt.c"
        var $155=HEAP[$154]; //@line 237 "dwt.c"
        HEAP[$iftmp_8]=$155; //@line 237 "dwt.c"
        __label__ = 41; break; //@line 237 "dwt.c"
      case 40: // $bb39
        var $156=HEAP[$i]; //@line 237 "dwt.c"
        var $157=HEAP[$sn_addr]; //@line 237 "dwt.c"
        var $158=($156) >= ($157); //@line 237 "dwt.c"
        if ($158) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 237 "dwt.c"
      case 42: // $bb40
        var $159=HEAP[$sn_addr]; //@line 237 "dwt.c"
        var $160=CHECK_OVERFLOW((($159) * 2)&4294967295, 32); //@line 237 "dwt.c"
        var $161=CHECK_OVERFLOW((($160) + -1)&4294967295, 32); //@line 237 "dwt.c"
        var $162=HEAP[$a_addr]; //@line 237 "dwt.c"
        var $163=CHECK_OVERFLOW(($162+4*$161)&4294967295, 32); //@line 237 "dwt.c"
        var $164=HEAP[$163]; //@line 237 "dwt.c"
        HEAP[$iftmp_9]=$164; //@line 237 "dwt.c"
        __label__ = 44; break; //@line 237 "dwt.c"
      case 43: // $bb41
        var $165=HEAP[$i]; //@line 237 "dwt.c"
        var $166=CHECK_OVERFLOW((($165) * 2)&4294967295, 32); //@line 237 "dwt.c"
        var $167=CHECK_OVERFLOW((($166) + 1)&4294967295, 32); //@line 237 "dwt.c"
        var $168=HEAP[$a_addr]; //@line 237 "dwt.c"
        var $169=CHECK_OVERFLOW(($168+4*$167)&4294967295, 32); //@line 237 "dwt.c"
        var $170=HEAP[$169]; //@line 237 "dwt.c"
        HEAP[$iftmp_9]=$170; //@line 237 "dwt.c"
        __label__ = 44; break; //@line 237 "dwt.c"
      case 44: // $bb42
        var $171=HEAP[$iftmp_9]; //@line 237 "dwt.c"
        HEAP[$iftmp_8]=$171; //@line 237 "dwt.c"
        __label__ = 41; break; //@line 237 "dwt.c"
      case 41: // $bb43
        var $172=HEAP[$i]; //@line 237 "dwt.c"
        var $173=CHECK_OVERFLOW((($172) - 1)&4294967295, 32); //@line 237 "dwt.c"
        var $174=($173) < 0; //@line 237 "dwt.c"
        if ($174) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 237 "dwt.c"
      case 45: // $bb44
        var $175=HEAP[$a_addr]; //@line 237 "dwt.c"
        var $176=CHECK_OVERFLOW(($175+4)&4294967295, 32); //@line 237 "dwt.c"
        var $177=HEAP[$176]; //@line 237 "dwt.c"
        HEAP[$iftmp_10]=$177; //@line 237 "dwt.c"
        __label__ = 47; break; //@line 237 "dwt.c"
      case 46: // $bb45
        var $178=HEAP[$i]; //@line 237 "dwt.c"
        var $179=CHECK_OVERFLOW((($178) - 1)&4294967295, 32); //@line 237 "dwt.c"
        var $180=HEAP[$sn_addr]; //@line 237 "dwt.c"
        var $181=($179) >= ($180); //@line 237 "dwt.c"
        if ($181) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 237 "dwt.c"
      case 48: // $bb46
        var $182=HEAP[$sn_addr]; //@line 237 "dwt.c"
        var $183=CHECK_OVERFLOW((($182) * 2)&4294967295, 32); //@line 237 "dwt.c"
        var $184=CHECK_OVERFLOW((($183) + -1)&4294967295, 32); //@line 237 "dwt.c"
        var $185=HEAP[$a_addr]; //@line 237 "dwt.c"
        var $186=CHECK_OVERFLOW(($185+4*$184)&4294967295, 32); //@line 237 "dwt.c"
        var $187=HEAP[$186]; //@line 237 "dwt.c"
        HEAP[$iftmp_11]=$187; //@line 237 "dwt.c"
        __label__ = 50; break; //@line 237 "dwt.c"
      case 49: // $bb47
        var $188=HEAP[$i]; //@line 237 "dwt.c"
        var $189=CHECK_OVERFLOW((($188) * 2)&4294967295, 32); //@line 237 "dwt.c"
        var $190=CHECK_OVERFLOW((($189) + -1)&4294967295, 32); //@line 237 "dwt.c"
        var $191=HEAP[$a_addr]; //@line 237 "dwt.c"
        var $192=CHECK_OVERFLOW(($191+4*$190)&4294967295, 32); //@line 237 "dwt.c"
        var $193=HEAP[$192]; //@line 237 "dwt.c"
        HEAP[$iftmp_11]=$193; //@line 237 "dwt.c"
        __label__ = 50; break; //@line 237 "dwt.c"
      case 50: // $bb48
        var $194=HEAP[$iftmp_11]; //@line 237 "dwt.c"
        HEAP[$iftmp_10]=$194; //@line 237 "dwt.c"
        __label__ = 47; break; //@line 237 "dwt.c"
      case 47: // $bb49
        var $195=HEAP[$iftmp_8]; //@line 237 "dwt.c"
        var $196=HEAP[$iftmp_10]; //@line 237 "dwt.c"
        var $197=CHECK_OVERFLOW((($195) + ($196))&4294967295, 32); //@line 237 "dwt.c"
        var $198=($197) >> 1; //@line 237 "dwt.c"
        var $199=CHECK_OVERFLOW((($150) - ($198))&4294967295, 32); //@line 237 "dwt.c"
        var $200=HEAP[$a_addr]; //@line 237 "dwt.c"
        var $201=CHECK_OVERFLOW(($200+4*$145)&4294967295, 32); //@line 237 "dwt.c"
        HEAP[$201]=$199; //@line 237 "dwt.c"
        var $202=HEAP[$i]; //@line 237 "dwt.c"
        var $203=CHECK_OVERFLOW((($202) + 1)&4294967295, 32); //@line 237 "dwt.c"
        HEAP[$i]=$203; //@line 237 "dwt.c"
        __label__ = 38; break; //@line 237 "dwt.c"
      case 38: // $bb50
        var $204=HEAP[$i]; //@line 237 "dwt.c"
        var $205=HEAP[$dn_addr]; //@line 237 "dwt.c"
        var $206=($204) < ($205); //@line 237 "dwt.c"
        if ($206) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 237 "dwt.c"
      case 52: // $bb51
        HEAP[$i]=0; //@line 238 "dwt.c"
        __label__ = 53; break; //@line 238 "dwt.c"
      case 66: // $bb52
        var $207=HEAP[$i]; //@line 238 "dwt.c"
        var $208=CHECK_OVERFLOW((($207) * 2)&4294967295, 32); //@line 238 "dwt.c"
        var $209=CHECK_OVERFLOW((($208) + 1)&4294967295, 32); //@line 238 "dwt.c"
        var $210=HEAP[$i]; //@line 238 "dwt.c"
        var $211=CHECK_OVERFLOW((($210) * 2)&4294967295, 32); //@line 238 "dwt.c"
        var $212=CHECK_OVERFLOW((($211) + 1)&4294967295, 32); //@line 238 "dwt.c"
        var $213=HEAP[$a_addr]; //@line 238 "dwt.c"
        var $214=CHECK_OVERFLOW(($213+4*$212)&4294967295, 32); //@line 238 "dwt.c"
        var $215=HEAP[$214]; //@line 238 "dwt.c"
        var $216=HEAP[$i]; //@line 238 "dwt.c"
        var $217=($216) < 0; //@line 238 "dwt.c"
        if ($217) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 238 "dwt.c"
      case 54: // $bb53
        var $218=HEAP[$a_addr]; //@line 238 "dwt.c"
        var $219=CHECK_OVERFLOW(($218)&4294967295, 32); //@line 238 "dwt.c"
        var $220=HEAP[$219]; //@line 238 "dwt.c"
        HEAP[$iftmp_12]=$220; //@line 238 "dwt.c"
        __label__ = 56; break; //@line 238 "dwt.c"
      case 55: // $bb54
        var $221=HEAP[$i]; //@line 238 "dwt.c"
        var $222=HEAP[$dn_addr]; //@line 238 "dwt.c"
        var $223=($221) >= ($222); //@line 238 "dwt.c"
        if ($223) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 238 "dwt.c"
      case 57: // $bb55
        var $224=HEAP[$dn_addr]; //@line 238 "dwt.c"
        var $225=CHECK_OVERFLOW((($224) * 2)&4294967295, 32); //@line 238 "dwt.c"
        var $226=CHECK_OVERFLOW((($225) + -2)&4294967295, 32); //@line 238 "dwt.c"
        var $227=HEAP[$a_addr]; //@line 238 "dwt.c"
        var $228=CHECK_OVERFLOW(($227+4*$226)&4294967295, 32); //@line 238 "dwt.c"
        var $229=HEAP[$228]; //@line 238 "dwt.c"
        HEAP[$iftmp_13]=$229; //@line 238 "dwt.c"
        __label__ = 59; break; //@line 238 "dwt.c"
      case 58: // $bb56
        var $230=HEAP[$i]; //@line 238 "dwt.c"
        var $231=CHECK_OVERFLOW((($230) * 2)&4294967295, 32); //@line 238 "dwt.c"
        var $232=HEAP[$a_addr]; //@line 238 "dwt.c"
        var $233=CHECK_OVERFLOW(($232+4*$231)&4294967295, 32); //@line 238 "dwt.c"
        var $234=HEAP[$233]; //@line 238 "dwt.c"
        HEAP[$iftmp_13]=$234; //@line 238 "dwt.c"
        __label__ = 59; break; //@line 238 "dwt.c"
      case 59: // $bb57
        var $235=HEAP[$iftmp_13]; //@line 238 "dwt.c"
        HEAP[$iftmp_12]=$235; //@line 238 "dwt.c"
        __label__ = 56; break; //@line 238 "dwt.c"
      case 56: // $bb58
        var $236=HEAP[$i]; //@line 238 "dwt.c"
        var $237=CHECK_OVERFLOW((($236) + 1)&4294967295, 32); //@line 238 "dwt.c"
        var $238=($237) < 0; //@line 238 "dwt.c"
        if ($238) { __label__ = 60; break; } else { __label__ = 61; break; } //@line 238 "dwt.c"
      case 60: // $bb59
        var $239=HEAP[$a_addr]; //@line 238 "dwt.c"
        var $240=CHECK_OVERFLOW(($239)&4294967295, 32); //@line 238 "dwt.c"
        var $241=HEAP[$240]; //@line 238 "dwt.c"
        HEAP[$iftmp_14]=$241; //@line 238 "dwt.c"
        __label__ = 62; break; //@line 238 "dwt.c"
      case 61: // $bb60
        var $242=HEAP[$i]; //@line 238 "dwt.c"
        var $243=CHECK_OVERFLOW((($242) + 1)&4294967295, 32); //@line 238 "dwt.c"
        var $244=HEAP[$dn_addr]; //@line 238 "dwt.c"
        var $245=($243) >= ($244); //@line 238 "dwt.c"
        if ($245) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 238 "dwt.c"
      case 63: // $bb61
        var $246=HEAP[$dn_addr]; //@line 238 "dwt.c"
        var $247=CHECK_OVERFLOW((($246) * 2)&4294967295, 32); //@line 238 "dwt.c"
        var $248=CHECK_OVERFLOW((($247) + -2)&4294967295, 32); //@line 238 "dwt.c"
        var $249=HEAP[$a_addr]; //@line 238 "dwt.c"
        var $250=CHECK_OVERFLOW(($249+4*$248)&4294967295, 32); //@line 238 "dwt.c"
        var $251=HEAP[$250]; //@line 238 "dwt.c"
        HEAP[$iftmp_15]=$251; //@line 238 "dwt.c"
        __label__ = 65; break; //@line 238 "dwt.c"
      case 64: // $bb62
        var $252=HEAP[$i]; //@line 238 "dwt.c"
        var $253=CHECK_OVERFLOW((($252) + 1)&4294967295, 32); //@line 238 "dwt.c"
        var $254=CHECK_OVERFLOW((($253) * 2)&4294967295, 32); //@line 238 "dwt.c"
        var $255=HEAP[$a_addr]; //@line 238 "dwt.c"
        var $256=CHECK_OVERFLOW(($255+4*$254)&4294967295, 32); //@line 238 "dwt.c"
        var $257=HEAP[$256]; //@line 238 "dwt.c"
        HEAP[$iftmp_15]=$257; //@line 238 "dwt.c"
        __label__ = 65; break; //@line 238 "dwt.c"
      case 65: // $bb63
        var $258=HEAP[$iftmp_15]; //@line 238 "dwt.c"
        HEAP[$iftmp_14]=$258; //@line 238 "dwt.c"
        __label__ = 62; break; //@line 238 "dwt.c"
      case 62: // $bb64
        var $259=HEAP[$iftmp_12]; //@line 238 "dwt.c"
        var $260=HEAP[$iftmp_14]; //@line 238 "dwt.c"
        var $261=CHECK_OVERFLOW((($259) + ($260))&4294967295, 32); //@line 238 "dwt.c"
        var $262=CHECK_OVERFLOW((($261) + 2)&4294967295, 32); //@line 238 "dwt.c"
        var $263=($262) >> 2; //@line 238 "dwt.c"
        var $264=CHECK_OVERFLOW((($215) + ($263))&4294967295, 32); //@line 238 "dwt.c"
        var $265=HEAP[$a_addr]; //@line 238 "dwt.c"
        var $266=CHECK_OVERFLOW(($265+4*$209)&4294967295, 32); //@line 238 "dwt.c"
        HEAP[$266]=$264; //@line 238 "dwt.c"
        var $267=HEAP[$i]; //@line 238 "dwt.c"
        var $268=CHECK_OVERFLOW((($267) + 1)&4294967295, 32); //@line 238 "dwt.c"
        HEAP[$i]=$268; //@line 238 "dwt.c"
        __label__ = 53; break; //@line 238 "dwt.c"
      case 53: // $bb65
        var $269=HEAP[$i]; //@line 238 "dwt.c"
        var $270=HEAP[$sn_addr]; //@line 238 "dwt.c"
        var $271=($269) < ($270); //@line 238 "dwt.c"
        if ($271) { __label__ = 66; break; } else { __label__ = 34; break; } //@line 238 "dwt.c"
      case 34: // $bb66
        __label__ = 67; break; //@line 241 "dwt.c"
      case 67: // $return
        STACKTOP = __stackBase__;
        return; //@line 241 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _dwt_decode_1_($a, $dn, $sn, $cas) {
    var __stackBase__  = STACKTOP; STACKTOP += 84; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 84);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $dn_addr=__stackBase__+4;
        var $sn_addr=__stackBase__+8;
        var $cas_addr=__stackBase__+12;
        var $iftmp_31=__stackBase__+16;
        var $iftmp_30=__stackBase__+20;
        var $iftmp_29=__stackBase__+24;
        var $iftmp_28=__stackBase__+28;
        var $iftmp_27=__stackBase__+32;
        var $iftmp_26=__stackBase__+36;
        var $iftmp_25=__stackBase__+40;
        var $iftmp_24=__stackBase__+44;
        var $iftmp_23=__stackBase__+48;
        var $iftmp_22=__stackBase__+52;
        var $iftmp_21=__stackBase__+56;
        var $iftmp_20=__stackBase__+60;
        var $iftmp_19=__stackBase__+64;
        var $iftmp_18=__stackBase__+68;
        var $iftmp_17=__stackBase__+72;
        var $iftmp_16=__stackBase__+76;
        var $i=__stackBase__+80;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$dn_addr]=$dn;
        HEAP[$sn_addr]=$sn;
        HEAP[$cas_addr]=$cas;
        var $0=HEAP[$cas_addr]; //@line 249 "dwt.c"
        var $1=($0)==0; //@line 249 "dwt.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 249 "dwt.c"
      case 0: // $bb
        var $2=HEAP[$dn_addr]; //@line 250 "dwt.c"
        var $3=($2) > 0; //@line 250 "dwt.c"
        if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 250 "dwt.c"
      case 3: // $bb1
        var $4=HEAP[$sn_addr]; //@line 250 "dwt.c"
        var $5=($4) > 1; //@line 250 "dwt.c"
        if ($5) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 250 "dwt.c"
      case 2: // $bb2
        HEAP[$i]=0; //@line 251 "dwt.c"
        __label__ = 5; break; //@line 251 "dwt.c"
      case 18: // $bb3
        var $6=HEAP[$i]; //@line 251 "dwt.c"
        var $7=CHECK_OVERFLOW((($6) * 2)&4294967295, 32); //@line 251 "dwt.c"
        var $8=HEAP[$i]; //@line 251 "dwt.c"
        var $9=CHECK_OVERFLOW((($8) * 2)&4294967295, 32); //@line 251 "dwt.c"
        var $10=HEAP[$a_addr]; //@line 251 "dwt.c"
        var $11=CHECK_OVERFLOW(($10+4*$9)&4294967295, 32); //@line 251 "dwt.c"
        var $12=HEAP[$11]; //@line 251 "dwt.c"
        var $13=HEAP[$i]; //@line 251 "dwt.c"
        var $14=CHECK_OVERFLOW((($13) - 1)&4294967295, 32); //@line 251 "dwt.c"
        var $15=($14) < 0; //@line 251 "dwt.c"
        if ($15) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 251 "dwt.c"
      case 6: // $bb4
        var $16=HEAP[$a_addr]; //@line 251 "dwt.c"
        var $17=CHECK_OVERFLOW(($16+4)&4294967295, 32); //@line 251 "dwt.c"
        var $18=HEAP[$17]; //@line 251 "dwt.c"
        HEAP[$iftmp_16]=$18; //@line 251 "dwt.c"
        __label__ = 8; break; //@line 251 "dwt.c"
      case 7: // $bb5
        var $19=HEAP[$i]; //@line 251 "dwt.c"
        var $20=CHECK_OVERFLOW((($19) - 1)&4294967295, 32); //@line 251 "dwt.c"
        var $21=HEAP[$dn_addr]; //@line 251 "dwt.c"
        var $22=($20) >= ($21); //@line 251 "dwt.c"
        if ($22) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 251 "dwt.c"
      case 9: // $bb6
        var $23=HEAP[$dn_addr]; //@line 251 "dwt.c"
        var $24=CHECK_OVERFLOW((($23) * 2)&4294967295, 32); //@line 251 "dwt.c"
        var $25=CHECK_OVERFLOW((($24) + -1)&4294967295, 32); //@line 251 "dwt.c"
        var $26=HEAP[$a_addr]; //@line 251 "dwt.c"
        var $27=CHECK_OVERFLOW(($26+4*$25)&4294967295, 32); //@line 251 "dwt.c"
        var $28=HEAP[$27]; //@line 251 "dwt.c"
        HEAP[$iftmp_17]=$28; //@line 251 "dwt.c"
        __label__ = 11; break; //@line 251 "dwt.c"
      case 10: // $bb7
        var $29=HEAP[$i]; //@line 251 "dwt.c"
        var $30=CHECK_OVERFLOW((($29) * 2)&4294967295, 32); //@line 251 "dwt.c"
        var $31=CHECK_OVERFLOW((($30) + -1)&4294967295, 32); //@line 251 "dwt.c"
        var $32=HEAP[$a_addr]; //@line 251 "dwt.c"
        var $33=CHECK_OVERFLOW(($32+4*$31)&4294967295, 32); //@line 251 "dwt.c"
        var $34=HEAP[$33]; //@line 251 "dwt.c"
        HEAP[$iftmp_17]=$34; //@line 251 "dwt.c"
        __label__ = 11; break; //@line 251 "dwt.c"
      case 11: // $bb8
        var $35=HEAP[$iftmp_17]; //@line 251 "dwt.c"
        HEAP[$iftmp_16]=$35; //@line 251 "dwt.c"
        __label__ = 8; break; //@line 251 "dwt.c"
      case 8: // $bb9
        var $36=HEAP[$i]; //@line 251 "dwt.c"
        var $37=($36) < 0; //@line 251 "dwt.c"
        if ($37) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 251 "dwt.c"
      case 12: // $bb10
        var $38=HEAP[$a_addr]; //@line 251 "dwt.c"
        var $39=CHECK_OVERFLOW(($38+4)&4294967295, 32); //@line 251 "dwt.c"
        var $40=HEAP[$39]; //@line 251 "dwt.c"
        HEAP[$iftmp_18]=$40; //@line 251 "dwt.c"
        __label__ = 14; break; //@line 251 "dwt.c"
      case 13: // $bb11
        var $41=HEAP[$i]; //@line 251 "dwt.c"
        var $42=HEAP[$dn_addr]; //@line 251 "dwt.c"
        var $43=($41) >= ($42); //@line 251 "dwt.c"
        if ($43) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 251 "dwt.c"
      case 15: // $bb12
        var $44=HEAP[$dn_addr]; //@line 251 "dwt.c"
        var $45=CHECK_OVERFLOW((($44) * 2)&4294967295, 32); //@line 251 "dwt.c"
        var $46=CHECK_OVERFLOW((($45) + -1)&4294967295, 32); //@line 251 "dwt.c"
        var $47=HEAP[$a_addr]; //@line 251 "dwt.c"
        var $48=CHECK_OVERFLOW(($47+4*$46)&4294967295, 32); //@line 251 "dwt.c"
        var $49=HEAP[$48]; //@line 251 "dwt.c"
        HEAP[$iftmp_19]=$49; //@line 251 "dwt.c"
        __label__ = 17; break; //@line 251 "dwt.c"
      case 16: // $bb13
        var $50=HEAP[$i]; //@line 251 "dwt.c"
        var $51=CHECK_OVERFLOW((($50) * 2)&4294967295, 32); //@line 251 "dwt.c"
        var $52=CHECK_OVERFLOW((($51) + 1)&4294967295, 32); //@line 251 "dwt.c"
        var $53=HEAP[$a_addr]; //@line 251 "dwt.c"
        var $54=CHECK_OVERFLOW(($53+4*$52)&4294967295, 32); //@line 251 "dwt.c"
        var $55=HEAP[$54]; //@line 251 "dwt.c"
        HEAP[$iftmp_19]=$55; //@line 251 "dwt.c"
        __label__ = 17; break; //@line 251 "dwt.c"
      case 17: // $bb14
        var $56=HEAP[$iftmp_19]; //@line 251 "dwt.c"
        HEAP[$iftmp_18]=$56; //@line 251 "dwt.c"
        __label__ = 14; break; //@line 251 "dwt.c"
      case 14: // $bb15
        var $57=HEAP[$iftmp_16]; //@line 251 "dwt.c"
        var $58=HEAP[$iftmp_18]; //@line 251 "dwt.c"
        var $59=CHECK_OVERFLOW((($57) + ($58))&4294967295, 32); //@line 251 "dwt.c"
        var $60=CHECK_OVERFLOW((($59) + 2)&4294967295, 32); //@line 251 "dwt.c"
        var $61=($60) >> 2; //@line 251 "dwt.c"
        var $62=CHECK_OVERFLOW((($12) - ($61))&4294967295, 32); //@line 251 "dwt.c"
        var $63=HEAP[$a_addr]; //@line 251 "dwt.c"
        var $64=CHECK_OVERFLOW(($63+4*$7)&4294967295, 32); //@line 251 "dwt.c"
        HEAP[$64]=$62; //@line 251 "dwt.c"
        var $65=HEAP[$i]; //@line 251 "dwt.c"
        var $66=CHECK_OVERFLOW((($65) + 1)&4294967295, 32); //@line 251 "dwt.c"
        HEAP[$i]=$66; //@line 251 "dwt.c"
        __label__ = 5; break; //@line 251 "dwt.c"
      case 5: // $bb16
        var $67=HEAP[$i]; //@line 251 "dwt.c"
        var $68=HEAP[$sn_addr]; //@line 251 "dwt.c"
        var $69=($67) < ($68); //@line 251 "dwt.c"
        if ($69) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 251 "dwt.c"
      case 19: // $bb17
        HEAP[$i]=0; //@line 252 "dwt.c"
        __label__ = 20; break; //@line 252 "dwt.c"
      case 33: // $bb18
        var $70=HEAP[$i]; //@line 252 "dwt.c"
        var $71=CHECK_OVERFLOW((($70) * 2)&4294967295, 32); //@line 252 "dwt.c"
        var $72=CHECK_OVERFLOW((($71) + 1)&4294967295, 32); //@line 252 "dwt.c"
        var $73=HEAP[$i]; //@line 252 "dwt.c"
        var $74=CHECK_OVERFLOW((($73) * 2)&4294967295, 32); //@line 252 "dwt.c"
        var $75=CHECK_OVERFLOW((($74) + 1)&4294967295, 32); //@line 252 "dwt.c"
        var $76=HEAP[$a_addr]; //@line 252 "dwt.c"
        var $77=CHECK_OVERFLOW(($76+4*$75)&4294967295, 32); //@line 252 "dwt.c"
        var $78=HEAP[$77]; //@line 252 "dwt.c"
        var $79=HEAP[$i]; //@line 252 "dwt.c"
        var $80=($79) < 0; //@line 252 "dwt.c"
        if ($80) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 252 "dwt.c"
      case 21: // $bb19
        var $81=HEAP[$a_addr]; //@line 252 "dwt.c"
        var $82=CHECK_OVERFLOW(($81)&4294967295, 32); //@line 252 "dwt.c"
        var $83=HEAP[$82]; //@line 252 "dwt.c"
        HEAP[$iftmp_20]=$83; //@line 252 "dwt.c"
        __label__ = 23; break; //@line 252 "dwt.c"
      case 22: // $bb20
        var $84=HEAP[$i]; //@line 252 "dwt.c"
        var $85=HEAP[$sn_addr]; //@line 252 "dwt.c"
        var $86=($84) >= ($85); //@line 252 "dwt.c"
        if ($86) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 252 "dwt.c"
      case 24: // $bb21
        var $87=HEAP[$sn_addr]; //@line 252 "dwt.c"
        var $88=CHECK_OVERFLOW((($87) * 2)&4294967295, 32); //@line 252 "dwt.c"
        var $89=CHECK_OVERFLOW((($88) + -2)&4294967295, 32); //@line 252 "dwt.c"
        var $90=HEAP[$a_addr]; //@line 252 "dwt.c"
        var $91=CHECK_OVERFLOW(($90+4*$89)&4294967295, 32); //@line 252 "dwt.c"
        var $92=HEAP[$91]; //@line 252 "dwt.c"
        HEAP[$iftmp_21]=$92; //@line 252 "dwt.c"
        __label__ = 26; break; //@line 252 "dwt.c"
      case 25: // $bb22
        var $93=HEAP[$i]; //@line 252 "dwt.c"
        var $94=CHECK_OVERFLOW((($93) * 2)&4294967295, 32); //@line 252 "dwt.c"
        var $95=HEAP[$a_addr]; //@line 252 "dwt.c"
        var $96=CHECK_OVERFLOW(($95+4*$94)&4294967295, 32); //@line 252 "dwt.c"
        var $97=HEAP[$96]; //@line 252 "dwt.c"
        HEAP[$iftmp_21]=$97; //@line 252 "dwt.c"
        __label__ = 26; break; //@line 252 "dwt.c"
      case 26: // $bb23
        var $98=HEAP[$iftmp_21]; //@line 252 "dwt.c"
        HEAP[$iftmp_20]=$98; //@line 252 "dwt.c"
        __label__ = 23; break; //@line 252 "dwt.c"
      case 23: // $bb24
        var $99=HEAP[$i]; //@line 252 "dwt.c"
        var $100=CHECK_OVERFLOW((($99) + 1)&4294967295, 32); //@line 252 "dwt.c"
        var $101=($100) < 0; //@line 252 "dwt.c"
        if ($101) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 252 "dwt.c"
      case 27: // $bb25
        var $102=HEAP[$a_addr]; //@line 252 "dwt.c"
        var $103=CHECK_OVERFLOW(($102)&4294967295, 32); //@line 252 "dwt.c"
        var $104=HEAP[$103]; //@line 252 "dwt.c"
        HEAP[$iftmp_22]=$104; //@line 252 "dwt.c"
        __label__ = 29; break; //@line 252 "dwt.c"
      case 28: // $bb26
        var $105=HEAP[$i]; //@line 252 "dwt.c"
        var $106=CHECK_OVERFLOW((($105) + 1)&4294967295, 32); //@line 252 "dwt.c"
        var $107=HEAP[$sn_addr]; //@line 252 "dwt.c"
        var $108=($106) >= ($107); //@line 252 "dwt.c"
        if ($108) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 252 "dwt.c"
      case 30: // $bb27
        var $109=HEAP[$sn_addr]; //@line 252 "dwt.c"
        var $110=CHECK_OVERFLOW((($109) * 2)&4294967295, 32); //@line 252 "dwt.c"
        var $111=CHECK_OVERFLOW((($110) + -2)&4294967295, 32); //@line 252 "dwt.c"
        var $112=HEAP[$a_addr]; //@line 252 "dwt.c"
        var $113=CHECK_OVERFLOW(($112+4*$111)&4294967295, 32); //@line 252 "dwt.c"
        var $114=HEAP[$113]; //@line 252 "dwt.c"
        HEAP[$iftmp_23]=$114; //@line 252 "dwt.c"
        __label__ = 32; break; //@line 252 "dwt.c"
      case 31: // $bb28
        var $115=HEAP[$i]; //@line 252 "dwt.c"
        var $116=CHECK_OVERFLOW((($115) + 1)&4294967295, 32); //@line 252 "dwt.c"
        var $117=CHECK_OVERFLOW((($116) * 2)&4294967295, 32); //@line 252 "dwt.c"
        var $118=HEAP[$a_addr]; //@line 252 "dwt.c"
        var $119=CHECK_OVERFLOW(($118+4*$117)&4294967295, 32); //@line 252 "dwt.c"
        var $120=HEAP[$119]; //@line 252 "dwt.c"
        HEAP[$iftmp_23]=$120; //@line 252 "dwt.c"
        __label__ = 32; break; //@line 252 "dwt.c"
      case 32: // $bb29
        var $121=HEAP[$iftmp_23]; //@line 252 "dwt.c"
        HEAP[$iftmp_22]=$121; //@line 252 "dwt.c"
        __label__ = 29; break; //@line 252 "dwt.c"
      case 29: // $bb30
        var $122=HEAP[$iftmp_20]; //@line 252 "dwt.c"
        var $123=HEAP[$iftmp_22]; //@line 252 "dwt.c"
        var $124=CHECK_OVERFLOW((($122) + ($123))&4294967295, 32); //@line 252 "dwt.c"
        var $125=($124) >> 1; //@line 252 "dwt.c"
        var $126=CHECK_OVERFLOW((($78) + ($125))&4294967295, 32); //@line 252 "dwt.c"
        var $127=HEAP[$a_addr]; //@line 252 "dwt.c"
        var $128=CHECK_OVERFLOW(($127+4*$72)&4294967295, 32); //@line 252 "dwt.c"
        HEAP[$128]=$126; //@line 252 "dwt.c"
        var $129=HEAP[$i]; //@line 252 "dwt.c"
        var $130=CHECK_OVERFLOW((($129) + 1)&4294967295, 32); //@line 252 "dwt.c"
        HEAP[$i]=$130; //@line 252 "dwt.c"
        __label__ = 20; break; //@line 252 "dwt.c"
      case 20: // $bb31
        var $131=HEAP[$i]; //@line 252 "dwt.c"
        var $132=HEAP[$dn_addr]; //@line 252 "dwt.c"
        var $133=($131) < ($132); //@line 252 "dwt.c"
        if ($133) { __label__ = 33; break; } else { __label__ = 4; break; } //@line 252 "dwt.c"
      case 4: // $bb32
        __label__ = 34; break; //@line 252 "dwt.c"
      case 1: // $bb33
        var $134=HEAP[$sn_addr]; //@line 255 "dwt.c"
        var $135=($134)!=0; //@line 255 "dwt.c"
        if ($135) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 255 "dwt.c"
      case 36: // $bb34
        var $136=HEAP[$dn_addr]; //@line 255 "dwt.c"
        var $137=($136)!=1; //@line 255 "dwt.c"
        if ($137) { __label__ = 35; break; } else { __label__ = 37; break; } //@line 255 "dwt.c"
      case 37: // $bb35
        var $138=HEAP[$a_addr]; //@line 256 "dwt.c"
        var $139=CHECK_OVERFLOW(($138)&4294967295, 32); //@line 256 "dwt.c"
        var $140=HEAP[$139]; //@line 256 "dwt.c"
        var $141=(($140)/2|0); //@line 256 "dwt.c"
        var $142=HEAP[$a_addr]; //@line 256 "dwt.c"
        var $143=CHECK_OVERFLOW(($142)&4294967295, 32); //@line 256 "dwt.c"
        HEAP[$143]=$141; //@line 256 "dwt.c"
        __label__ = 34; break; //@line 256 "dwt.c"
      case 35: // $bb36
        HEAP[$i]=0; //@line 258 "dwt.c"
        __label__ = 38; break; //@line 258 "dwt.c"
      case 51: // $bb37
        var $144=HEAP[$i]; //@line 258 "dwt.c"
        var $145=CHECK_OVERFLOW((($144) * 2)&4294967295, 32); //@line 258 "dwt.c"
        var $146=CHECK_OVERFLOW((($145) + 1)&4294967295, 32); //@line 258 "dwt.c"
        var $147=HEAP[$i]; //@line 258 "dwt.c"
        var $148=CHECK_OVERFLOW((($147) * 2)&4294967295, 32); //@line 258 "dwt.c"
        var $149=CHECK_OVERFLOW((($148) + 1)&4294967295, 32); //@line 258 "dwt.c"
        var $150=HEAP[$a_addr]; //@line 258 "dwt.c"
        var $151=CHECK_OVERFLOW(($150+4*$149)&4294967295, 32); //@line 258 "dwt.c"
        var $152=HEAP[$151]; //@line 258 "dwt.c"
        var $153=HEAP[$i]; //@line 258 "dwt.c"
        var $154=($153) < 0; //@line 258 "dwt.c"
        if ($154) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 258 "dwt.c"
      case 39: // $bb38
        var $155=HEAP[$a_addr]; //@line 258 "dwt.c"
        var $156=CHECK_OVERFLOW(($155)&4294967295, 32); //@line 258 "dwt.c"
        var $157=HEAP[$156]; //@line 258 "dwt.c"
        HEAP[$iftmp_24]=$157; //@line 258 "dwt.c"
        __label__ = 41; break; //@line 258 "dwt.c"
      case 40: // $bb39
        var $158=HEAP[$i]; //@line 258 "dwt.c"
        var $159=HEAP[$dn_addr]; //@line 258 "dwt.c"
        var $160=($158) >= ($159); //@line 258 "dwt.c"
        if ($160) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 258 "dwt.c"
      case 42: // $bb40
        var $161=HEAP[$dn_addr]; //@line 258 "dwt.c"
        var $162=CHECK_OVERFLOW((($161) * 2)&4294967295, 32); //@line 258 "dwt.c"
        var $163=CHECK_OVERFLOW((($162) + -2)&4294967295, 32); //@line 258 "dwt.c"
        var $164=HEAP[$a_addr]; //@line 258 "dwt.c"
        var $165=CHECK_OVERFLOW(($164+4*$163)&4294967295, 32); //@line 258 "dwt.c"
        var $166=HEAP[$165]; //@line 258 "dwt.c"
        HEAP[$iftmp_25]=$166; //@line 258 "dwt.c"
        __label__ = 44; break; //@line 258 "dwt.c"
      case 43: // $bb41
        var $167=HEAP[$i]; //@line 258 "dwt.c"
        var $168=CHECK_OVERFLOW((($167) * 2)&4294967295, 32); //@line 258 "dwt.c"
        var $169=HEAP[$a_addr]; //@line 258 "dwt.c"
        var $170=CHECK_OVERFLOW(($169+4*$168)&4294967295, 32); //@line 258 "dwt.c"
        var $171=HEAP[$170]; //@line 258 "dwt.c"
        HEAP[$iftmp_25]=$171; //@line 258 "dwt.c"
        __label__ = 44; break; //@line 258 "dwt.c"
      case 44: // $bb42
        var $172=HEAP[$iftmp_25]; //@line 258 "dwt.c"
        HEAP[$iftmp_24]=$172; //@line 258 "dwt.c"
        __label__ = 41; break; //@line 258 "dwt.c"
      case 41: // $bb43
        var $173=HEAP[$i]; //@line 258 "dwt.c"
        var $174=CHECK_OVERFLOW((($173) + 1)&4294967295, 32); //@line 258 "dwt.c"
        var $175=($174) < 0; //@line 258 "dwt.c"
        if ($175) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 258 "dwt.c"
      case 45: // $bb44
        var $176=HEAP[$a_addr]; //@line 258 "dwt.c"
        var $177=CHECK_OVERFLOW(($176)&4294967295, 32); //@line 258 "dwt.c"
        var $178=HEAP[$177]; //@line 258 "dwt.c"
        HEAP[$iftmp_26]=$178; //@line 258 "dwt.c"
        __label__ = 47; break; //@line 258 "dwt.c"
      case 46: // $bb45
        var $179=HEAP[$i]; //@line 258 "dwt.c"
        var $180=CHECK_OVERFLOW((($179) + 1)&4294967295, 32); //@line 258 "dwt.c"
        var $181=HEAP[$dn_addr]; //@line 258 "dwt.c"
        var $182=($180) >= ($181); //@line 258 "dwt.c"
        if ($182) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 258 "dwt.c"
      case 48: // $bb46
        var $183=HEAP[$dn_addr]; //@line 258 "dwt.c"
        var $184=CHECK_OVERFLOW((($183) * 2)&4294967295, 32); //@line 258 "dwt.c"
        var $185=CHECK_OVERFLOW((($184) + -2)&4294967295, 32); //@line 258 "dwt.c"
        var $186=HEAP[$a_addr]; //@line 258 "dwt.c"
        var $187=CHECK_OVERFLOW(($186+4*$185)&4294967295, 32); //@line 258 "dwt.c"
        var $188=HEAP[$187]; //@line 258 "dwt.c"
        HEAP[$iftmp_27]=$188; //@line 258 "dwt.c"
        __label__ = 50; break; //@line 258 "dwt.c"
      case 49: // $bb47
        var $189=HEAP[$i]; //@line 258 "dwt.c"
        var $190=CHECK_OVERFLOW((($189) + 1)&4294967295, 32); //@line 258 "dwt.c"
        var $191=CHECK_OVERFLOW((($190) * 2)&4294967295, 32); //@line 258 "dwt.c"
        var $192=HEAP[$a_addr]; //@line 258 "dwt.c"
        var $193=CHECK_OVERFLOW(($192+4*$191)&4294967295, 32); //@line 258 "dwt.c"
        var $194=HEAP[$193]; //@line 258 "dwt.c"
        HEAP[$iftmp_27]=$194; //@line 258 "dwt.c"
        __label__ = 50; break; //@line 258 "dwt.c"
      case 50: // $bb48
        var $195=HEAP[$iftmp_27]; //@line 258 "dwt.c"
        HEAP[$iftmp_26]=$195; //@line 258 "dwt.c"
        __label__ = 47; break; //@line 258 "dwt.c"
      case 47: // $bb49
        var $196=HEAP[$iftmp_24]; //@line 258 "dwt.c"
        var $197=HEAP[$iftmp_26]; //@line 258 "dwt.c"
        var $198=CHECK_OVERFLOW((($196) + ($197))&4294967295, 32); //@line 258 "dwt.c"
        var $199=CHECK_OVERFLOW((($198) + 2)&4294967295, 32); //@line 258 "dwt.c"
        var $200=($199) >> 2; //@line 258 "dwt.c"
        var $201=CHECK_OVERFLOW((($152) - ($200))&4294967295, 32); //@line 258 "dwt.c"
        var $202=HEAP[$a_addr]; //@line 258 "dwt.c"
        var $203=CHECK_OVERFLOW(($202+4*$146)&4294967295, 32); //@line 258 "dwt.c"
        HEAP[$203]=$201; //@line 258 "dwt.c"
        var $204=HEAP[$i]; //@line 258 "dwt.c"
        var $205=CHECK_OVERFLOW((($204) + 1)&4294967295, 32); //@line 258 "dwt.c"
        HEAP[$i]=$205; //@line 258 "dwt.c"
        __label__ = 38; break; //@line 258 "dwt.c"
      case 38: // $bb50
        var $206=HEAP[$i]; //@line 258 "dwt.c"
        var $207=HEAP[$sn_addr]; //@line 258 "dwt.c"
        var $208=($206) < ($207); //@line 258 "dwt.c"
        if ($208) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 258 "dwt.c"
      case 52: // $bb51
        HEAP[$i]=0; //@line 259 "dwt.c"
        __label__ = 53; break; //@line 259 "dwt.c"
      case 66: // $bb52
        var $209=HEAP[$i]; //@line 259 "dwt.c"
        var $210=CHECK_OVERFLOW((($209) * 2)&4294967295, 32); //@line 259 "dwt.c"
        var $211=HEAP[$i]; //@line 259 "dwt.c"
        var $212=CHECK_OVERFLOW((($211) * 2)&4294967295, 32); //@line 259 "dwt.c"
        var $213=HEAP[$a_addr]; //@line 259 "dwt.c"
        var $214=CHECK_OVERFLOW(($213+4*$212)&4294967295, 32); //@line 259 "dwt.c"
        var $215=HEAP[$214]; //@line 259 "dwt.c"
        var $216=HEAP[$i]; //@line 259 "dwt.c"
        var $217=($216) < 0; //@line 259 "dwt.c"
        if ($217) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 259 "dwt.c"
      case 54: // $bb53
        var $218=HEAP[$a_addr]; //@line 259 "dwt.c"
        var $219=CHECK_OVERFLOW(($218+4)&4294967295, 32); //@line 259 "dwt.c"
        var $220=HEAP[$219]; //@line 259 "dwt.c"
        HEAP[$iftmp_28]=$220; //@line 259 "dwt.c"
        __label__ = 56; break; //@line 259 "dwt.c"
      case 55: // $bb54
        var $221=HEAP[$i]; //@line 259 "dwt.c"
        var $222=HEAP[$sn_addr]; //@line 259 "dwt.c"
        var $223=($221) >= ($222); //@line 259 "dwt.c"
        if ($223) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 259 "dwt.c"
      case 57: // $bb55
        var $224=HEAP[$sn_addr]; //@line 259 "dwt.c"
        var $225=CHECK_OVERFLOW((($224) * 2)&4294967295, 32); //@line 259 "dwt.c"
        var $226=CHECK_OVERFLOW((($225) + -1)&4294967295, 32); //@line 259 "dwt.c"
        var $227=HEAP[$a_addr]; //@line 259 "dwt.c"
        var $228=CHECK_OVERFLOW(($227+4*$226)&4294967295, 32); //@line 259 "dwt.c"
        var $229=HEAP[$228]; //@line 259 "dwt.c"
        HEAP[$iftmp_29]=$229; //@line 259 "dwt.c"
        __label__ = 59; break; //@line 259 "dwt.c"
      case 58: // $bb56
        var $230=HEAP[$i]; //@line 259 "dwt.c"
        var $231=CHECK_OVERFLOW((($230) * 2)&4294967295, 32); //@line 259 "dwt.c"
        var $232=CHECK_OVERFLOW((($231) + 1)&4294967295, 32); //@line 259 "dwt.c"
        var $233=HEAP[$a_addr]; //@line 259 "dwt.c"
        var $234=CHECK_OVERFLOW(($233+4*$232)&4294967295, 32); //@line 259 "dwt.c"
        var $235=HEAP[$234]; //@line 259 "dwt.c"
        HEAP[$iftmp_29]=$235; //@line 259 "dwt.c"
        __label__ = 59; break; //@line 259 "dwt.c"
      case 59: // $bb57
        var $236=HEAP[$iftmp_29]; //@line 259 "dwt.c"
        HEAP[$iftmp_28]=$236; //@line 259 "dwt.c"
        __label__ = 56; break; //@line 259 "dwt.c"
      case 56: // $bb58
        var $237=HEAP[$i]; //@line 259 "dwt.c"
        var $238=CHECK_OVERFLOW((($237) - 1)&4294967295, 32); //@line 259 "dwt.c"
        var $239=($238) < 0; //@line 259 "dwt.c"
        if ($239) { __label__ = 60; break; } else { __label__ = 61; break; } //@line 259 "dwt.c"
      case 60: // $bb59
        var $240=HEAP[$a_addr]; //@line 259 "dwt.c"
        var $241=CHECK_OVERFLOW(($240+4)&4294967295, 32); //@line 259 "dwt.c"
        var $242=HEAP[$241]; //@line 259 "dwt.c"
        HEAP[$iftmp_30]=$242; //@line 259 "dwt.c"
        __label__ = 62; break; //@line 259 "dwt.c"
      case 61: // $bb60
        var $243=HEAP[$i]; //@line 259 "dwt.c"
        var $244=CHECK_OVERFLOW((($243) - 1)&4294967295, 32); //@line 259 "dwt.c"
        var $245=HEAP[$sn_addr]; //@line 259 "dwt.c"
        var $246=($244) >= ($245); //@line 259 "dwt.c"
        if ($246) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 259 "dwt.c"
      case 63: // $bb61
        var $247=HEAP[$sn_addr]; //@line 259 "dwt.c"
        var $248=CHECK_OVERFLOW((($247) * 2)&4294967295, 32); //@line 259 "dwt.c"
        var $249=CHECK_OVERFLOW((($248) + -1)&4294967295, 32); //@line 259 "dwt.c"
        var $250=HEAP[$a_addr]; //@line 259 "dwt.c"
        var $251=CHECK_OVERFLOW(($250+4*$249)&4294967295, 32); //@line 259 "dwt.c"
        var $252=HEAP[$251]; //@line 259 "dwt.c"
        HEAP[$iftmp_31]=$252; //@line 259 "dwt.c"
        __label__ = 65; break; //@line 259 "dwt.c"
      case 64: // $bb62
        var $253=HEAP[$i]; //@line 259 "dwt.c"
        var $254=CHECK_OVERFLOW((($253) * 2)&4294967295, 32); //@line 259 "dwt.c"
        var $255=CHECK_OVERFLOW((($254) + -1)&4294967295, 32); //@line 259 "dwt.c"
        var $256=HEAP[$a_addr]; //@line 259 "dwt.c"
        var $257=CHECK_OVERFLOW(($256+4*$255)&4294967295, 32); //@line 259 "dwt.c"
        var $258=HEAP[$257]; //@line 259 "dwt.c"
        HEAP[$iftmp_31]=$258; //@line 259 "dwt.c"
        __label__ = 65; break; //@line 259 "dwt.c"
      case 65: // $bb63
        var $259=HEAP[$iftmp_31]; //@line 259 "dwt.c"
        HEAP[$iftmp_30]=$259; //@line 259 "dwt.c"
        __label__ = 62; break; //@line 259 "dwt.c"
      case 62: // $bb64
        var $260=HEAP[$iftmp_28]; //@line 259 "dwt.c"
        var $261=HEAP[$iftmp_30]; //@line 259 "dwt.c"
        var $262=CHECK_OVERFLOW((($260) + ($261))&4294967295, 32); //@line 259 "dwt.c"
        var $263=($262) >> 1; //@line 259 "dwt.c"
        var $264=CHECK_OVERFLOW((($215) + ($263))&4294967295, 32); //@line 259 "dwt.c"
        var $265=HEAP[$a_addr]; //@line 259 "dwt.c"
        var $266=CHECK_OVERFLOW(($265+4*$210)&4294967295, 32); //@line 259 "dwt.c"
        HEAP[$266]=$264; //@line 259 "dwt.c"
        var $267=HEAP[$i]; //@line 259 "dwt.c"
        var $268=CHECK_OVERFLOW((($267) + 1)&4294967295, 32); //@line 259 "dwt.c"
        HEAP[$i]=$268; //@line 259 "dwt.c"
        __label__ = 53; break; //@line 259 "dwt.c"
      case 53: // $bb65
        var $269=HEAP[$i]; //@line 259 "dwt.c"
        var $270=HEAP[$dn_addr]; //@line 259 "dwt.c"
        var $271=($269) < ($270); //@line 259 "dwt.c"
        if ($271) { __label__ = 66; break; } else { __label__ = 34; break; } //@line 259 "dwt.c"
      case 34: // $bb66
        __label__ = 67; break; //@line 262 "dwt.c"
      case 67: // $return
        STACKTOP = __stackBase__;
        return; //@line 262 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _dwt_decode_1($v) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $v_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$v_addr]=$v;
        var $0=HEAP[$v_addr]; //@line 268 "dwt.c"
        var $1=CHECK_OVERFLOW(($0+12)&4294967295, 32); //@line 268 "dwt.c"
        var $2=HEAP[$1]; //@line 268 "dwt.c"
        var $3=HEAP[$v_addr]; //@line 268 "dwt.c"
        var $4=CHECK_OVERFLOW(($3+8)&4294967295, 32); //@line 268 "dwt.c"
        var $5=HEAP[$4]; //@line 268 "dwt.c"
        var $6=HEAP[$v_addr]; //@line 268 "dwt.c"
        var $7=CHECK_OVERFLOW(($6+4)&4294967295, 32); //@line 268 "dwt.c"
        var $8=HEAP[$7]; //@line 268 "dwt.c"
        var $9=HEAP[$v_addr]; //@line 268 "dwt.c"
        var $10=CHECK_OVERFLOW(($9)&4294967295, 32); //@line 268 "dwt.c"
        var $11=HEAP[$10]; //@line 268 "dwt.c"
        _dwt_decode_1_($11, $8, $5, $2); //@line 268 "dwt.c"
        __label__ = 0; break; //@line 269 "dwt.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 269 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _dwt_encode_1_real($a, $dn, $sn, $cas) {
    var __stackBase__  = STACKTOP; STACKTOP += 148; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 148);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $dn_addr=__stackBase__+4;
        var $sn_addr=__stackBase__+8;
        var $cas_addr=__stackBase__+12;
        var $iftmp_63=__stackBase__+16;
        var $iftmp_62=__stackBase__+20;
        var $iftmp_61=__stackBase__+24;
        var $iftmp_60=__stackBase__+28;
        var $iftmp_59=__stackBase__+32;
        var $iftmp_58=__stackBase__+36;
        var $iftmp_57=__stackBase__+40;
        var $iftmp_56=__stackBase__+44;
        var $iftmp_55=__stackBase__+48;
        var $iftmp_54=__stackBase__+52;
        var $iftmp_53=__stackBase__+56;
        var $iftmp_52=__stackBase__+60;
        var $iftmp_51=__stackBase__+64;
        var $iftmp_50=__stackBase__+68;
        var $iftmp_49=__stackBase__+72;
        var $iftmp_48=__stackBase__+76;
        var $iftmp_47=__stackBase__+80;
        var $iftmp_46=__stackBase__+84;
        var $iftmp_45=__stackBase__+88;
        var $iftmp_44=__stackBase__+92;
        var $iftmp_43=__stackBase__+96;
        var $iftmp_42=__stackBase__+100;
        var $iftmp_41=__stackBase__+104;
        var $iftmp_40=__stackBase__+108;
        var $iftmp_39=__stackBase__+112;
        var $iftmp_38=__stackBase__+116;
        var $iftmp_37=__stackBase__+120;
        var $iftmp_36=__stackBase__+124;
        var $iftmp_35=__stackBase__+128;
        var $iftmp_34=__stackBase__+132;
        var $iftmp_33=__stackBase__+136;
        var $iftmp_32=__stackBase__+140;
        var $i=__stackBase__+144;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$dn_addr]=$dn;
        HEAP[$sn_addr]=$sn;
        HEAP[$cas_addr]=$cas;
        var $0=HEAP[$cas_addr]; //@line 276 "dwt.c"
        var $1=($0)==0; //@line 276 "dwt.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 276 "dwt.c"
      case 0: // $bb
        var $2=HEAP[$dn_addr]; //@line 277 "dwt.c"
        var $3=($2) > 0; //@line 277 "dwt.c"
        if ($3) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 277 "dwt.c"
      case 3: // $bb1
        var $4=HEAP[$sn_addr]; //@line 277 "dwt.c"
        var $5=($4) > 1; //@line 277 "dwt.c"
        if ($5) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 277 "dwt.c"
      case 2: // $bb2
        HEAP[$i]=0; //@line 278 "dwt.c"
        __label__ = 5; break; //@line 278 "dwt.c"
      case 18: // $bb3
        var $6=HEAP[$i]; //@line 279 "dwt.c"
        var $7=CHECK_OVERFLOW((($6) * 2)&4294967295, 32); //@line 279 "dwt.c"
        var $8=CHECK_OVERFLOW((($7) + 1)&4294967295, 32); //@line 279 "dwt.c"
        var $9=HEAP[$i]; //@line 279 "dwt.c"
        var $10=CHECK_OVERFLOW((($9) * 2)&4294967295, 32); //@line 279 "dwt.c"
        var $11=CHECK_OVERFLOW((($10) + 1)&4294967295, 32); //@line 279 "dwt.c"
        var $12=HEAP[$a_addr]; //@line 279 "dwt.c"
        var $13=CHECK_OVERFLOW(($12+4*$11)&4294967295, 32); //@line 279 "dwt.c"
        var $14=HEAP[$13]; //@line 279 "dwt.c"
        var $15=HEAP[$i]; //@line 279 "dwt.c"
        var $16=($15) < 0; //@line 279 "dwt.c"
        if ($16) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 279 "dwt.c"
      case 6: // $bb4
        var $17=HEAP[$a_addr]; //@line 279 "dwt.c"
        var $18=CHECK_OVERFLOW(($17)&4294967295, 32); //@line 279 "dwt.c"
        var $19=HEAP[$18]; //@line 279 "dwt.c"
        HEAP[$iftmp_32]=$19; //@line 279 "dwt.c"
        __label__ = 8; break; //@line 279 "dwt.c"
      case 7: // $bb5
        var $20=HEAP[$i]; //@line 279 "dwt.c"
        var $21=HEAP[$sn_addr]; //@line 279 "dwt.c"
        var $22=($20) >= ($21); //@line 279 "dwt.c"
        if ($22) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 279 "dwt.c"
      case 9: // $bb6
        var $23=HEAP[$sn_addr]; //@line 279 "dwt.c"
        var $24=CHECK_OVERFLOW((($23) * 2)&4294967295, 32); //@line 279 "dwt.c"
        var $25=CHECK_OVERFLOW((($24) + -2)&4294967295, 32); //@line 279 "dwt.c"
        var $26=HEAP[$a_addr]; //@line 279 "dwt.c"
        var $27=CHECK_OVERFLOW(($26+4*$25)&4294967295, 32); //@line 279 "dwt.c"
        var $28=HEAP[$27]; //@line 279 "dwt.c"
        HEAP[$iftmp_33]=$28; //@line 279 "dwt.c"
        __label__ = 11; break; //@line 279 "dwt.c"
      case 10: // $bb7
        var $29=HEAP[$i]; //@line 279 "dwt.c"
        var $30=CHECK_OVERFLOW((($29) * 2)&4294967295, 32); //@line 279 "dwt.c"
        var $31=HEAP[$a_addr]; //@line 279 "dwt.c"
        var $32=CHECK_OVERFLOW(($31+4*$30)&4294967295, 32); //@line 279 "dwt.c"
        var $33=HEAP[$32]; //@line 279 "dwt.c"
        HEAP[$iftmp_33]=$33; //@line 279 "dwt.c"
        __label__ = 11; break; //@line 279 "dwt.c"
      case 11: // $bb8
        var $34=HEAP[$iftmp_33]; //@line 279 "dwt.c"
        HEAP[$iftmp_32]=$34; //@line 279 "dwt.c"
        __label__ = 8; break; //@line 279 "dwt.c"
      case 8: // $bb9
        var $35=HEAP[$i]; //@line 279 "dwt.c"
        var $36=CHECK_OVERFLOW((($35) + 1)&4294967295, 32); //@line 279 "dwt.c"
        var $37=($36) < 0; //@line 279 "dwt.c"
        if ($37) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 279 "dwt.c"
      case 12: // $bb10
        var $38=HEAP[$a_addr]; //@line 279 "dwt.c"
        var $39=CHECK_OVERFLOW(($38)&4294967295, 32); //@line 279 "dwt.c"
        var $40=HEAP[$39]; //@line 279 "dwt.c"
        HEAP[$iftmp_34]=$40; //@line 279 "dwt.c"
        __label__ = 14; break; //@line 279 "dwt.c"
      case 13: // $bb11
        var $41=HEAP[$i]; //@line 279 "dwt.c"
        var $42=CHECK_OVERFLOW((($41) + 1)&4294967295, 32); //@line 279 "dwt.c"
        var $43=HEAP[$sn_addr]; //@line 279 "dwt.c"
        var $44=($42) >= ($43); //@line 279 "dwt.c"
        if ($44) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 279 "dwt.c"
      case 15: // $bb12
        var $45=HEAP[$sn_addr]; //@line 279 "dwt.c"
        var $46=CHECK_OVERFLOW((($45) * 2)&4294967295, 32); //@line 279 "dwt.c"
        var $47=CHECK_OVERFLOW((($46) + -2)&4294967295, 32); //@line 279 "dwt.c"
        var $48=HEAP[$a_addr]; //@line 279 "dwt.c"
        var $49=CHECK_OVERFLOW(($48+4*$47)&4294967295, 32); //@line 279 "dwt.c"
        var $50=HEAP[$49]; //@line 279 "dwt.c"
        HEAP[$iftmp_35]=$50; //@line 279 "dwt.c"
        __label__ = 17; break; //@line 279 "dwt.c"
      case 16: // $bb13
        var $51=HEAP[$i]; //@line 279 "dwt.c"
        var $52=CHECK_OVERFLOW((($51) + 1)&4294967295, 32); //@line 279 "dwt.c"
        var $53=CHECK_OVERFLOW((($52) * 2)&4294967295, 32); //@line 279 "dwt.c"
        var $54=HEAP[$a_addr]; //@line 279 "dwt.c"
        var $55=CHECK_OVERFLOW(($54+4*$53)&4294967295, 32); //@line 279 "dwt.c"
        var $56=HEAP[$55]; //@line 279 "dwt.c"
        HEAP[$iftmp_35]=$56; //@line 279 "dwt.c"
        __label__ = 17; break; //@line 279 "dwt.c"
      case 17: // $bb14
        var $57=HEAP[$iftmp_35]; //@line 279 "dwt.c"
        HEAP[$iftmp_34]=$57; //@line 279 "dwt.c"
        __label__ = 14; break; //@line 279 "dwt.c"
      case 14: // $bb15
        var $58=HEAP[$iftmp_32]; //@line 279 "dwt.c"
        var $59=HEAP[$iftmp_34]; //@line 279 "dwt.c"
        var $60=CHECK_OVERFLOW((($58) + ($59))&4294967295, 32); //@line 279 "dwt.c"
        var $61=_fix_mul($60, 12993); //@line 279 "dwt.c"
        var $62=CHECK_OVERFLOW((($14) - ($61))&4294967295, 32); //@line 279 "dwt.c"
        var $63=HEAP[$a_addr]; //@line 279 "dwt.c"
        var $64=CHECK_OVERFLOW(($63+4*$8)&4294967295, 32); //@line 279 "dwt.c"
        HEAP[$64]=$62; //@line 279 "dwt.c"
        var $65=HEAP[$i]; //@line 278 "dwt.c"
        var $66=CHECK_OVERFLOW((($65) + 1)&4294967295, 32); //@line 278 "dwt.c"
        HEAP[$i]=$66; //@line 278 "dwt.c"
        __label__ = 5; break; //@line 278 "dwt.c"
      case 5: // $bb16
        var $67=HEAP[$i]; //@line 278 "dwt.c"
        var $68=HEAP[$dn_addr]; //@line 278 "dwt.c"
        var $69=($67) < ($68); //@line 278 "dwt.c"
        if ($69) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 278 "dwt.c"
      case 19: // $bb17
        HEAP[$i]=0; //@line 280 "dwt.c"
        __label__ = 20; break; //@line 280 "dwt.c"
      case 33: // $bb18
        var $70=HEAP[$i]; //@line 281 "dwt.c"
        var $71=CHECK_OVERFLOW((($70) * 2)&4294967295, 32); //@line 281 "dwt.c"
        var $72=HEAP[$i]; //@line 281 "dwt.c"
        var $73=CHECK_OVERFLOW((($72) * 2)&4294967295, 32); //@line 281 "dwt.c"
        var $74=HEAP[$a_addr]; //@line 281 "dwt.c"
        var $75=CHECK_OVERFLOW(($74+4*$73)&4294967295, 32); //@line 281 "dwt.c"
        var $76=HEAP[$75]; //@line 281 "dwt.c"
        var $77=HEAP[$i]; //@line 281 "dwt.c"
        var $78=CHECK_OVERFLOW((($77) - 1)&4294967295, 32); //@line 281 "dwt.c"
        var $79=($78) < 0; //@line 281 "dwt.c"
        if ($79) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 281 "dwt.c"
      case 21: // $bb19
        var $80=HEAP[$a_addr]; //@line 281 "dwt.c"
        var $81=CHECK_OVERFLOW(($80+4)&4294967295, 32); //@line 281 "dwt.c"
        var $82=HEAP[$81]; //@line 281 "dwt.c"
        HEAP[$iftmp_36]=$82; //@line 281 "dwt.c"
        __label__ = 23; break; //@line 281 "dwt.c"
      case 22: // $bb20
        var $83=HEAP[$i]; //@line 281 "dwt.c"
        var $84=CHECK_OVERFLOW((($83) - 1)&4294967295, 32); //@line 281 "dwt.c"
        var $85=HEAP[$dn_addr]; //@line 281 "dwt.c"
        var $86=($84) >= ($85); //@line 281 "dwt.c"
        if ($86) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 281 "dwt.c"
      case 24: // $bb21
        var $87=HEAP[$dn_addr]; //@line 281 "dwt.c"
        var $88=CHECK_OVERFLOW((($87) * 2)&4294967295, 32); //@line 281 "dwt.c"
        var $89=CHECK_OVERFLOW((($88) + -1)&4294967295, 32); //@line 281 "dwt.c"
        var $90=HEAP[$a_addr]; //@line 281 "dwt.c"
        var $91=CHECK_OVERFLOW(($90+4*$89)&4294967295, 32); //@line 281 "dwt.c"
        var $92=HEAP[$91]; //@line 281 "dwt.c"
        HEAP[$iftmp_37]=$92; //@line 281 "dwt.c"
        __label__ = 26; break; //@line 281 "dwt.c"
      case 25: // $bb22
        var $93=HEAP[$i]; //@line 281 "dwt.c"
        var $94=CHECK_OVERFLOW((($93) * 2)&4294967295, 32); //@line 281 "dwt.c"
        var $95=CHECK_OVERFLOW((($94) + -1)&4294967295, 32); //@line 281 "dwt.c"
        var $96=HEAP[$a_addr]; //@line 281 "dwt.c"
        var $97=CHECK_OVERFLOW(($96+4*$95)&4294967295, 32); //@line 281 "dwt.c"
        var $98=HEAP[$97]; //@line 281 "dwt.c"
        HEAP[$iftmp_37]=$98; //@line 281 "dwt.c"
        __label__ = 26; break; //@line 281 "dwt.c"
      case 26: // $bb23
        var $99=HEAP[$iftmp_37]; //@line 281 "dwt.c"
        HEAP[$iftmp_36]=$99; //@line 281 "dwt.c"
        __label__ = 23; break; //@line 281 "dwt.c"
      case 23: // $bb24
        var $100=HEAP[$i]; //@line 281 "dwt.c"
        var $101=($100) < 0; //@line 281 "dwt.c"
        if ($101) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 281 "dwt.c"
      case 27: // $bb25
        var $102=HEAP[$a_addr]; //@line 281 "dwt.c"
        var $103=CHECK_OVERFLOW(($102+4)&4294967295, 32); //@line 281 "dwt.c"
        var $104=HEAP[$103]; //@line 281 "dwt.c"
        HEAP[$iftmp_38]=$104; //@line 281 "dwt.c"
        __label__ = 29; break; //@line 281 "dwt.c"
      case 28: // $bb26
        var $105=HEAP[$i]; //@line 281 "dwt.c"
        var $106=HEAP[$dn_addr]; //@line 281 "dwt.c"
        var $107=($105) >= ($106); //@line 281 "dwt.c"
        if ($107) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 281 "dwt.c"
      case 30: // $bb27
        var $108=HEAP[$dn_addr]; //@line 281 "dwt.c"
        var $109=CHECK_OVERFLOW((($108) * 2)&4294967295, 32); //@line 281 "dwt.c"
        var $110=CHECK_OVERFLOW((($109) + -1)&4294967295, 32); //@line 281 "dwt.c"
        var $111=HEAP[$a_addr]; //@line 281 "dwt.c"
        var $112=CHECK_OVERFLOW(($111+4*$110)&4294967295, 32); //@line 281 "dwt.c"
        var $113=HEAP[$112]; //@line 281 "dwt.c"
        HEAP[$iftmp_39]=$113; //@line 281 "dwt.c"
        __label__ = 32; break; //@line 281 "dwt.c"
      case 31: // $bb28
        var $114=HEAP[$i]; //@line 281 "dwt.c"
        var $115=CHECK_OVERFLOW((($114) * 2)&4294967295, 32); //@line 281 "dwt.c"
        var $116=CHECK_OVERFLOW((($115) + 1)&4294967295, 32); //@line 281 "dwt.c"
        var $117=HEAP[$a_addr]; //@line 281 "dwt.c"
        var $118=CHECK_OVERFLOW(($117+4*$116)&4294967295, 32); //@line 281 "dwt.c"
        var $119=HEAP[$118]; //@line 281 "dwt.c"
        HEAP[$iftmp_39]=$119; //@line 281 "dwt.c"
        __label__ = 32; break; //@line 281 "dwt.c"
      case 32: // $bb29
        var $120=HEAP[$iftmp_39]; //@line 281 "dwt.c"
        HEAP[$iftmp_38]=$120; //@line 281 "dwt.c"
        __label__ = 29; break; //@line 281 "dwt.c"
      case 29: // $bb30
        var $121=HEAP[$iftmp_36]; //@line 281 "dwt.c"
        var $122=HEAP[$iftmp_38]; //@line 281 "dwt.c"
        var $123=CHECK_OVERFLOW((($121) + ($122))&4294967295, 32); //@line 281 "dwt.c"
        var $124=_fix_mul($123, 434); //@line 281 "dwt.c"
        var $125=CHECK_OVERFLOW((($76) - ($124))&4294967295, 32); //@line 281 "dwt.c"
        var $126=HEAP[$a_addr]; //@line 281 "dwt.c"
        var $127=CHECK_OVERFLOW(($126+4*$71)&4294967295, 32); //@line 281 "dwt.c"
        HEAP[$127]=$125; //@line 281 "dwt.c"
        var $128=HEAP[$i]; //@line 280 "dwt.c"
        var $129=CHECK_OVERFLOW((($128) + 1)&4294967295, 32); //@line 280 "dwt.c"
        HEAP[$i]=$129; //@line 280 "dwt.c"
        __label__ = 20; break; //@line 280 "dwt.c"
      case 20: // $bb31
        var $130=HEAP[$i]; //@line 280 "dwt.c"
        var $131=HEAP[$sn_addr]; //@line 280 "dwt.c"
        var $132=($130) < ($131); //@line 280 "dwt.c"
        if ($132) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 280 "dwt.c"
      case 34: // $bb32
        HEAP[$i]=0; //@line 282 "dwt.c"
        __label__ = 35; break; //@line 282 "dwt.c"
      case 48: // $bb33
        var $133=HEAP[$i]; //@line 283 "dwt.c"
        var $134=CHECK_OVERFLOW((($133) * 2)&4294967295, 32); //@line 283 "dwt.c"
        var $135=CHECK_OVERFLOW((($134) + 1)&4294967295, 32); //@line 283 "dwt.c"
        var $136=HEAP[$i]; //@line 283 "dwt.c"
        var $137=CHECK_OVERFLOW((($136) * 2)&4294967295, 32); //@line 283 "dwt.c"
        var $138=CHECK_OVERFLOW((($137) + 1)&4294967295, 32); //@line 283 "dwt.c"
        var $139=HEAP[$a_addr]; //@line 283 "dwt.c"
        var $140=CHECK_OVERFLOW(($139+4*$138)&4294967295, 32); //@line 283 "dwt.c"
        var $141=HEAP[$140]; //@line 283 "dwt.c"
        var $142=HEAP[$i]; //@line 283 "dwt.c"
        var $143=($142) < 0; //@line 283 "dwt.c"
        if ($143) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 283 "dwt.c"
      case 36: // $bb34
        var $144=HEAP[$a_addr]; //@line 283 "dwt.c"
        var $145=CHECK_OVERFLOW(($144)&4294967295, 32); //@line 283 "dwt.c"
        var $146=HEAP[$145]; //@line 283 "dwt.c"
        HEAP[$iftmp_40]=$146; //@line 283 "dwt.c"
        __label__ = 38; break; //@line 283 "dwt.c"
      case 37: // $bb35
        var $147=HEAP[$i]; //@line 283 "dwt.c"
        var $148=HEAP[$sn_addr]; //@line 283 "dwt.c"
        var $149=($147) >= ($148); //@line 283 "dwt.c"
        if ($149) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 283 "dwt.c"
      case 39: // $bb36
        var $150=HEAP[$sn_addr]; //@line 283 "dwt.c"
        var $151=CHECK_OVERFLOW((($150) * 2)&4294967295, 32); //@line 283 "dwt.c"
        var $152=CHECK_OVERFLOW((($151) + -2)&4294967295, 32); //@line 283 "dwt.c"
        var $153=HEAP[$a_addr]; //@line 283 "dwt.c"
        var $154=CHECK_OVERFLOW(($153+4*$152)&4294967295, 32); //@line 283 "dwt.c"
        var $155=HEAP[$154]; //@line 283 "dwt.c"
        HEAP[$iftmp_41]=$155; //@line 283 "dwt.c"
        __label__ = 41; break; //@line 283 "dwt.c"
      case 40: // $bb37
        var $156=HEAP[$i]; //@line 283 "dwt.c"
        var $157=CHECK_OVERFLOW((($156) * 2)&4294967295, 32); //@line 283 "dwt.c"
        var $158=HEAP[$a_addr]; //@line 283 "dwt.c"
        var $159=CHECK_OVERFLOW(($158+4*$157)&4294967295, 32); //@line 283 "dwt.c"
        var $160=HEAP[$159]; //@line 283 "dwt.c"
        HEAP[$iftmp_41]=$160; //@line 283 "dwt.c"
        __label__ = 41; break; //@line 283 "dwt.c"
      case 41: // $bb38
        var $161=HEAP[$iftmp_41]; //@line 283 "dwt.c"
        HEAP[$iftmp_40]=$161; //@line 283 "dwt.c"
        __label__ = 38; break; //@line 283 "dwt.c"
      case 38: // $bb39
        var $162=HEAP[$i]; //@line 283 "dwt.c"
        var $163=CHECK_OVERFLOW((($162) + 1)&4294967295, 32); //@line 283 "dwt.c"
        var $164=($163) < 0; //@line 283 "dwt.c"
        if ($164) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 283 "dwt.c"
      case 42: // $bb40
        var $165=HEAP[$a_addr]; //@line 283 "dwt.c"
        var $166=CHECK_OVERFLOW(($165)&4294967295, 32); //@line 283 "dwt.c"
        var $167=HEAP[$166]; //@line 283 "dwt.c"
        HEAP[$iftmp_42]=$167; //@line 283 "dwt.c"
        __label__ = 44; break; //@line 283 "dwt.c"
      case 43: // $bb41
        var $168=HEAP[$i]; //@line 283 "dwt.c"
        var $169=CHECK_OVERFLOW((($168) + 1)&4294967295, 32); //@line 283 "dwt.c"
        var $170=HEAP[$sn_addr]; //@line 283 "dwt.c"
        var $171=($169) >= ($170); //@line 283 "dwt.c"
        if ($171) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 283 "dwt.c"
      case 45: // $bb42
        var $172=HEAP[$sn_addr]; //@line 283 "dwt.c"
        var $173=CHECK_OVERFLOW((($172) * 2)&4294967295, 32); //@line 283 "dwt.c"
        var $174=CHECK_OVERFLOW((($173) + -2)&4294967295, 32); //@line 283 "dwt.c"
        var $175=HEAP[$a_addr]; //@line 283 "dwt.c"
        var $176=CHECK_OVERFLOW(($175+4*$174)&4294967295, 32); //@line 283 "dwt.c"
        var $177=HEAP[$176]; //@line 283 "dwt.c"
        HEAP[$iftmp_43]=$177; //@line 283 "dwt.c"
        __label__ = 47; break; //@line 283 "dwt.c"
      case 46: // $bb43
        var $178=HEAP[$i]; //@line 283 "dwt.c"
        var $179=CHECK_OVERFLOW((($178) + 1)&4294967295, 32); //@line 283 "dwt.c"
        var $180=CHECK_OVERFLOW((($179) * 2)&4294967295, 32); //@line 283 "dwt.c"
        var $181=HEAP[$a_addr]; //@line 283 "dwt.c"
        var $182=CHECK_OVERFLOW(($181+4*$180)&4294967295, 32); //@line 283 "dwt.c"
        var $183=HEAP[$182]; //@line 283 "dwt.c"
        HEAP[$iftmp_43]=$183; //@line 283 "dwt.c"
        __label__ = 47; break; //@line 283 "dwt.c"
      case 47: // $bb44
        var $184=HEAP[$iftmp_43]; //@line 283 "dwt.c"
        HEAP[$iftmp_42]=$184; //@line 283 "dwt.c"
        __label__ = 44; break; //@line 283 "dwt.c"
      case 44: // $bb45
        var $185=HEAP[$iftmp_40]; //@line 283 "dwt.c"
        var $186=HEAP[$iftmp_42]; //@line 283 "dwt.c"
        var $187=CHECK_OVERFLOW((($185) + ($186))&4294967295, 32); //@line 283 "dwt.c"
        var $188=_fix_mul($187, 7233); //@line 283 "dwt.c"
        var $189=CHECK_OVERFLOW((($141) + ($188))&4294967295, 32); //@line 283 "dwt.c"
        var $190=HEAP[$a_addr]; //@line 283 "dwt.c"
        var $191=CHECK_OVERFLOW(($190+4*$135)&4294967295, 32); //@line 283 "dwt.c"
        HEAP[$191]=$189; //@line 283 "dwt.c"
        var $192=HEAP[$i]; //@line 282 "dwt.c"
        var $193=CHECK_OVERFLOW((($192) + 1)&4294967295, 32); //@line 282 "dwt.c"
        HEAP[$i]=$193; //@line 282 "dwt.c"
        __label__ = 35; break; //@line 282 "dwt.c"
      case 35: // $bb46
        var $194=HEAP[$i]; //@line 282 "dwt.c"
        var $195=HEAP[$dn_addr]; //@line 282 "dwt.c"
        var $196=($194) < ($195); //@line 282 "dwt.c"
        if ($196) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 282 "dwt.c"
      case 49: // $bb47
        HEAP[$i]=0; //@line 284 "dwt.c"
        __label__ = 50; break; //@line 284 "dwt.c"
      case 63: // $bb48
        var $197=HEAP[$i]; //@line 285 "dwt.c"
        var $198=CHECK_OVERFLOW((($197) * 2)&4294967295, 32); //@line 285 "dwt.c"
        var $199=HEAP[$i]; //@line 285 "dwt.c"
        var $200=CHECK_OVERFLOW((($199) * 2)&4294967295, 32); //@line 285 "dwt.c"
        var $201=HEAP[$a_addr]; //@line 285 "dwt.c"
        var $202=CHECK_OVERFLOW(($201+4*$200)&4294967295, 32); //@line 285 "dwt.c"
        var $203=HEAP[$202]; //@line 285 "dwt.c"
        var $204=HEAP[$i]; //@line 285 "dwt.c"
        var $205=CHECK_OVERFLOW((($204) - 1)&4294967295, 32); //@line 285 "dwt.c"
        var $206=($205) < 0; //@line 285 "dwt.c"
        if ($206) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 285 "dwt.c"
      case 51: // $bb49
        var $207=HEAP[$a_addr]; //@line 285 "dwt.c"
        var $208=CHECK_OVERFLOW(($207+4)&4294967295, 32); //@line 285 "dwt.c"
        var $209=HEAP[$208]; //@line 285 "dwt.c"
        HEAP[$iftmp_44]=$209; //@line 285 "dwt.c"
        __label__ = 53; break; //@line 285 "dwt.c"
      case 52: // $bb50
        var $210=HEAP[$i]; //@line 285 "dwt.c"
        var $211=CHECK_OVERFLOW((($210) - 1)&4294967295, 32); //@line 285 "dwt.c"
        var $212=HEAP[$dn_addr]; //@line 285 "dwt.c"
        var $213=($211) >= ($212); //@line 285 "dwt.c"
        if ($213) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 285 "dwt.c"
      case 54: // $bb51
        var $214=HEAP[$dn_addr]; //@line 285 "dwt.c"
        var $215=CHECK_OVERFLOW((($214) * 2)&4294967295, 32); //@line 285 "dwt.c"
        var $216=CHECK_OVERFLOW((($215) + -1)&4294967295, 32); //@line 285 "dwt.c"
        var $217=HEAP[$a_addr]; //@line 285 "dwt.c"
        var $218=CHECK_OVERFLOW(($217+4*$216)&4294967295, 32); //@line 285 "dwt.c"
        var $219=HEAP[$218]; //@line 285 "dwt.c"
        HEAP[$iftmp_45]=$219; //@line 285 "dwt.c"
        __label__ = 56; break; //@line 285 "dwt.c"
      case 55: // $bb52
        var $220=HEAP[$i]; //@line 285 "dwt.c"
        var $221=CHECK_OVERFLOW((($220) * 2)&4294967295, 32); //@line 285 "dwt.c"
        var $222=CHECK_OVERFLOW((($221) + -1)&4294967295, 32); //@line 285 "dwt.c"
        var $223=HEAP[$a_addr]; //@line 285 "dwt.c"
        var $224=CHECK_OVERFLOW(($223+4*$222)&4294967295, 32); //@line 285 "dwt.c"
        var $225=HEAP[$224]; //@line 285 "dwt.c"
        HEAP[$iftmp_45]=$225; //@line 285 "dwt.c"
        __label__ = 56; break; //@line 285 "dwt.c"
      case 56: // $bb53
        var $226=HEAP[$iftmp_45]; //@line 285 "dwt.c"
        HEAP[$iftmp_44]=$226; //@line 285 "dwt.c"
        __label__ = 53; break; //@line 285 "dwt.c"
      case 53: // $bb54
        var $227=HEAP[$i]; //@line 285 "dwt.c"
        var $228=($227) < 0; //@line 285 "dwt.c"
        if ($228) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 285 "dwt.c"
      case 57: // $bb55
        var $229=HEAP[$a_addr]; //@line 285 "dwt.c"
        var $230=CHECK_OVERFLOW(($229+4)&4294967295, 32); //@line 285 "dwt.c"
        var $231=HEAP[$230]; //@line 285 "dwt.c"
        HEAP[$iftmp_46]=$231; //@line 285 "dwt.c"
        __label__ = 59; break; //@line 285 "dwt.c"
      case 58: // $bb56
        var $232=HEAP[$i]; //@line 285 "dwt.c"
        var $233=HEAP[$dn_addr]; //@line 285 "dwt.c"
        var $234=($232) >= ($233); //@line 285 "dwt.c"
        if ($234) { __label__ = 60; break; } else { __label__ = 61; break; } //@line 285 "dwt.c"
      case 60: // $bb57
        var $235=HEAP[$dn_addr]; //@line 285 "dwt.c"
        var $236=CHECK_OVERFLOW((($235) * 2)&4294967295, 32); //@line 285 "dwt.c"
        var $237=CHECK_OVERFLOW((($236) + -1)&4294967295, 32); //@line 285 "dwt.c"
        var $238=HEAP[$a_addr]; //@line 285 "dwt.c"
        var $239=CHECK_OVERFLOW(($238+4*$237)&4294967295, 32); //@line 285 "dwt.c"
        var $240=HEAP[$239]; //@line 285 "dwt.c"
        HEAP[$iftmp_47]=$240; //@line 285 "dwt.c"
        __label__ = 62; break; //@line 285 "dwt.c"
      case 61: // $bb58
        var $241=HEAP[$i]; //@line 285 "dwt.c"
        var $242=CHECK_OVERFLOW((($241) * 2)&4294967295, 32); //@line 285 "dwt.c"
        var $243=CHECK_OVERFLOW((($242) + 1)&4294967295, 32); //@line 285 "dwt.c"
        var $244=HEAP[$a_addr]; //@line 285 "dwt.c"
        var $245=CHECK_OVERFLOW(($244+4*$243)&4294967295, 32); //@line 285 "dwt.c"
        var $246=HEAP[$245]; //@line 285 "dwt.c"
        HEAP[$iftmp_47]=$246; //@line 285 "dwt.c"
        __label__ = 62; break; //@line 285 "dwt.c"
      case 62: // $bb59
        var $247=HEAP[$iftmp_47]; //@line 285 "dwt.c"
        HEAP[$iftmp_46]=$247; //@line 285 "dwt.c"
        __label__ = 59; break; //@line 285 "dwt.c"
      case 59: // $bb60
        var $248=HEAP[$iftmp_44]; //@line 285 "dwt.c"
        var $249=HEAP[$iftmp_46]; //@line 285 "dwt.c"
        var $250=CHECK_OVERFLOW((($248) + ($249))&4294967295, 32); //@line 285 "dwt.c"
        var $251=_fix_mul($250, 3633); //@line 285 "dwt.c"
        var $252=CHECK_OVERFLOW((($203) + ($251))&4294967295, 32); //@line 285 "dwt.c"
        var $253=HEAP[$a_addr]; //@line 285 "dwt.c"
        var $254=CHECK_OVERFLOW(($253+4*$198)&4294967295, 32); //@line 285 "dwt.c"
        HEAP[$254]=$252; //@line 285 "dwt.c"
        var $255=HEAP[$i]; //@line 284 "dwt.c"
        var $256=CHECK_OVERFLOW((($255) + 1)&4294967295, 32); //@line 284 "dwt.c"
        HEAP[$i]=$256; //@line 284 "dwt.c"
        __label__ = 50; break; //@line 284 "dwt.c"
      case 50: // $bb61
        var $257=HEAP[$i]; //@line 284 "dwt.c"
        var $258=HEAP[$sn_addr]; //@line 284 "dwt.c"
        var $259=($257) < ($258); //@line 284 "dwt.c"
        if ($259) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 284 "dwt.c"
      case 64: // $bb62
        HEAP[$i]=0; //@line 286 "dwt.c"
        __label__ = 65; break; //@line 286 "dwt.c"
      case 66: // $bb63
        var $260=HEAP[$i]; //@line 287 "dwt.c"
        var $261=CHECK_OVERFLOW((($260) * 2)&4294967295, 32); //@line 287 "dwt.c"
        var $262=CHECK_OVERFLOW((($261) + 1)&4294967295, 32); //@line 287 "dwt.c"
        var $263=HEAP[$i]; //@line 287 "dwt.c"
        var $264=CHECK_OVERFLOW((($263) * 2)&4294967295, 32); //@line 287 "dwt.c"
        var $265=CHECK_OVERFLOW((($264) + 1)&4294967295, 32); //@line 287 "dwt.c"
        var $266=HEAP[$a_addr]; //@line 287 "dwt.c"
        var $267=CHECK_OVERFLOW(($266+4*$265)&4294967295, 32); //@line 287 "dwt.c"
        var $268=HEAP[$267]; //@line 287 "dwt.c"
        var $269=_fix_mul($268, 5038); //@line 287 "dwt.c"
        var $270=HEAP[$a_addr]; //@line 287 "dwt.c"
        var $271=CHECK_OVERFLOW(($270+4*$262)&4294967295, 32); //@line 287 "dwt.c"
        HEAP[$271]=$269; //@line 287 "dwt.c"
        var $272=HEAP[$i]; //@line 286 "dwt.c"
        var $273=CHECK_OVERFLOW((($272) + 1)&4294967295, 32); //@line 286 "dwt.c"
        HEAP[$i]=$273; //@line 286 "dwt.c"
        __label__ = 65; break; //@line 286 "dwt.c"
      case 65: // $bb64
        var $274=HEAP[$i]; //@line 286 "dwt.c"
        var $275=HEAP[$dn_addr]; //@line 286 "dwt.c"
        var $276=($274) < ($275); //@line 286 "dwt.c"
        if ($276) { __label__ = 66; break; } else { __label__ = 67; break; } //@line 286 "dwt.c"
      case 67: // $bb65
        HEAP[$i]=0; //@line 288 "dwt.c"
        __label__ = 68; break; //@line 288 "dwt.c"
      case 69: // $bb66
        var $277=HEAP[$i]; //@line 289 "dwt.c"
        var $278=CHECK_OVERFLOW((($277) * 2)&4294967295, 32); //@line 289 "dwt.c"
        var $279=HEAP[$i]; //@line 289 "dwt.c"
        var $280=CHECK_OVERFLOW((($279) * 2)&4294967295, 32); //@line 289 "dwt.c"
        var $281=HEAP[$a_addr]; //@line 289 "dwt.c"
        var $282=CHECK_OVERFLOW(($281+4*$280)&4294967295, 32); //@line 289 "dwt.c"
        var $283=HEAP[$282]; //@line 289 "dwt.c"
        var $284=_fix_mul($283, 6659); //@line 289 "dwt.c"
        var $285=HEAP[$a_addr]; //@line 289 "dwt.c"
        var $286=CHECK_OVERFLOW(($285+4*$278)&4294967295, 32); //@line 289 "dwt.c"
        HEAP[$286]=$284; //@line 289 "dwt.c"
        var $287=HEAP[$i]; //@line 288 "dwt.c"
        var $288=CHECK_OVERFLOW((($287) + 1)&4294967295, 32); //@line 288 "dwt.c"
        HEAP[$i]=$288; //@line 288 "dwt.c"
        __label__ = 68; break; //@line 288 "dwt.c"
      case 68: // $bb67
        var $289=HEAP[$i]; //@line 288 "dwt.c"
        var $290=HEAP[$sn_addr]; //@line 288 "dwt.c"
        var $291=($289) < ($290); //@line 288 "dwt.c"
        if ($291) { __label__ = 69; break; } else { __label__ = 4; break; } //@line 288 "dwt.c"
      case 4: // $bb68
        __label__ = 70; break; //@line 288 "dwt.c"
      case 1: // $bb69
        var $292=HEAP[$sn_addr]; //@line 292 "dwt.c"
        var $293=($292) > 0; //@line 292 "dwt.c"
        if ($293) { __label__ = 71; break; } else { __label__ = 72; break; } //@line 292 "dwt.c"
      case 72: // $bb70
        var $294=HEAP[$dn_addr]; //@line 292 "dwt.c"
        var $295=($294) > 1; //@line 292 "dwt.c"
        if ($295) { __label__ = 71; break; } else { __label__ = 70; break; } //@line 292 "dwt.c"
      case 71: // $bb71
        HEAP[$i]=0; //@line 293 "dwt.c"
        __label__ = 73; break; //@line 293 "dwt.c"
      case 86: // $bb72
        var $296=HEAP[$i]; //@line 294 "dwt.c"
        var $297=CHECK_OVERFLOW((($296) * 2)&4294967295, 32); //@line 294 "dwt.c"
        var $298=HEAP[$i]; //@line 294 "dwt.c"
        var $299=CHECK_OVERFLOW((($298) * 2)&4294967295, 32); //@line 294 "dwt.c"
        var $300=HEAP[$a_addr]; //@line 294 "dwt.c"
        var $301=CHECK_OVERFLOW(($300+4*$299)&4294967295, 32); //@line 294 "dwt.c"
        var $302=HEAP[$301]; //@line 294 "dwt.c"
        var $303=HEAP[$i]; //@line 294 "dwt.c"
        var $304=($303) < 0; //@line 294 "dwt.c"
        if ($304) { __label__ = 74; break; } else { __label__ = 75; break; } //@line 294 "dwt.c"
      case 74: // $bb73
        var $305=HEAP[$a_addr]; //@line 294 "dwt.c"
        var $306=CHECK_OVERFLOW(($305+4)&4294967295, 32); //@line 294 "dwt.c"
        var $307=HEAP[$306]; //@line 294 "dwt.c"
        HEAP[$iftmp_48]=$307; //@line 294 "dwt.c"
        __label__ = 76; break; //@line 294 "dwt.c"
      case 75: // $bb74
        var $308=HEAP[$i]; //@line 294 "dwt.c"
        var $309=HEAP[$sn_addr]; //@line 294 "dwt.c"
        var $310=($308) >= ($309); //@line 294 "dwt.c"
        if ($310) { __label__ = 77; break; } else { __label__ = 78; break; } //@line 294 "dwt.c"
      case 77: // $bb75
        var $311=HEAP[$sn_addr]; //@line 294 "dwt.c"
        var $312=CHECK_OVERFLOW((($311) * 2)&4294967295, 32); //@line 294 "dwt.c"
        var $313=CHECK_OVERFLOW((($312) + -1)&4294967295, 32); //@line 294 "dwt.c"
        var $314=HEAP[$a_addr]; //@line 294 "dwt.c"
        var $315=CHECK_OVERFLOW(($314+4*$313)&4294967295, 32); //@line 294 "dwt.c"
        var $316=HEAP[$315]; //@line 294 "dwt.c"
        HEAP[$iftmp_49]=$316; //@line 294 "dwt.c"
        __label__ = 79; break; //@line 294 "dwt.c"
      case 78: // $bb76
        var $317=HEAP[$i]; //@line 294 "dwt.c"
        var $318=CHECK_OVERFLOW((($317) * 2)&4294967295, 32); //@line 294 "dwt.c"
        var $319=CHECK_OVERFLOW((($318) + 1)&4294967295, 32); //@line 294 "dwt.c"
        var $320=HEAP[$a_addr]; //@line 294 "dwt.c"
        var $321=CHECK_OVERFLOW(($320+4*$319)&4294967295, 32); //@line 294 "dwt.c"
        var $322=HEAP[$321]; //@line 294 "dwt.c"
        HEAP[$iftmp_49]=$322; //@line 294 "dwt.c"
        __label__ = 79; break; //@line 294 "dwt.c"
      case 79: // $bb77
        var $323=HEAP[$iftmp_49]; //@line 294 "dwt.c"
        HEAP[$iftmp_48]=$323; //@line 294 "dwt.c"
        __label__ = 76; break; //@line 294 "dwt.c"
      case 76: // $bb78
        var $324=HEAP[$i]; //@line 294 "dwt.c"
        var $325=CHECK_OVERFLOW((($324) - 1)&4294967295, 32); //@line 294 "dwt.c"
        var $326=($325) < 0; //@line 294 "dwt.c"
        if ($326) { __label__ = 80; break; } else { __label__ = 81; break; } //@line 294 "dwt.c"
      case 80: // $bb79
        var $327=HEAP[$a_addr]; //@line 294 "dwt.c"
        var $328=CHECK_OVERFLOW(($327+4)&4294967295, 32); //@line 294 "dwt.c"
        var $329=HEAP[$328]; //@line 294 "dwt.c"
        HEAP[$iftmp_50]=$329; //@line 294 "dwt.c"
        __label__ = 82; break; //@line 294 "dwt.c"
      case 81: // $bb80
        var $330=HEAP[$i]; //@line 294 "dwt.c"
        var $331=CHECK_OVERFLOW((($330) - 1)&4294967295, 32); //@line 294 "dwt.c"
        var $332=HEAP[$sn_addr]; //@line 294 "dwt.c"
        var $333=($331) >= ($332); //@line 294 "dwt.c"
        if ($333) { __label__ = 83; break; } else { __label__ = 84; break; } //@line 294 "dwt.c"
      case 83: // $bb81
        var $334=HEAP[$sn_addr]; //@line 294 "dwt.c"
        var $335=CHECK_OVERFLOW((($334) * 2)&4294967295, 32); //@line 294 "dwt.c"
        var $336=CHECK_OVERFLOW((($335) + -1)&4294967295, 32); //@line 294 "dwt.c"
        var $337=HEAP[$a_addr]; //@line 294 "dwt.c"
        var $338=CHECK_OVERFLOW(($337+4*$336)&4294967295, 32); //@line 294 "dwt.c"
        var $339=HEAP[$338]; //@line 294 "dwt.c"
        HEAP[$iftmp_51]=$339; //@line 294 "dwt.c"
        __label__ = 85; break; //@line 294 "dwt.c"
      case 84: // $bb82
        var $340=HEAP[$i]; //@line 294 "dwt.c"
        var $341=CHECK_OVERFLOW((($340) * 2)&4294967295, 32); //@line 294 "dwt.c"
        var $342=CHECK_OVERFLOW((($341) + -1)&4294967295, 32); //@line 294 "dwt.c"
        var $343=HEAP[$a_addr]; //@line 294 "dwt.c"
        var $344=CHECK_OVERFLOW(($343+4*$342)&4294967295, 32); //@line 294 "dwt.c"
        var $345=HEAP[$344]; //@line 294 "dwt.c"
        HEAP[$iftmp_51]=$345; //@line 294 "dwt.c"
        __label__ = 85; break; //@line 294 "dwt.c"
      case 85: // $bb83
        var $346=HEAP[$iftmp_51]; //@line 294 "dwt.c"
        HEAP[$iftmp_50]=$346; //@line 294 "dwt.c"
        __label__ = 82; break; //@line 294 "dwt.c"
      case 82: // $bb84
        var $347=HEAP[$iftmp_48]; //@line 294 "dwt.c"
        var $348=HEAP[$iftmp_50]; //@line 294 "dwt.c"
        var $349=CHECK_OVERFLOW((($347) + ($348))&4294967295, 32); //@line 294 "dwt.c"
        var $350=_fix_mul($349, 12993); //@line 294 "dwt.c"
        var $351=CHECK_OVERFLOW((($302) - ($350))&4294967295, 32); //@line 294 "dwt.c"
        var $352=HEAP[$a_addr]; //@line 294 "dwt.c"
        var $353=CHECK_OVERFLOW(($352+4*$297)&4294967295, 32); //@line 294 "dwt.c"
        HEAP[$353]=$351; //@line 294 "dwt.c"
        var $354=HEAP[$i]; //@line 293 "dwt.c"
        var $355=CHECK_OVERFLOW((($354) + 1)&4294967295, 32); //@line 293 "dwt.c"
        HEAP[$i]=$355; //@line 293 "dwt.c"
        __label__ = 73; break; //@line 293 "dwt.c"
      case 73: // $bb85
        var $356=HEAP[$i]; //@line 293 "dwt.c"
        var $357=HEAP[$dn_addr]; //@line 293 "dwt.c"
        var $358=($356) < ($357); //@line 293 "dwt.c"
        if ($358) { __label__ = 86; break; } else { __label__ = 87; break; } //@line 293 "dwt.c"
      case 87: // $bb86
        HEAP[$i]=0; //@line 295 "dwt.c"
        __label__ = 88; break; //@line 295 "dwt.c"
      case 101: // $bb87
        var $359=HEAP[$i]; //@line 296 "dwt.c"
        var $360=CHECK_OVERFLOW((($359) * 2)&4294967295, 32); //@line 296 "dwt.c"
        var $361=CHECK_OVERFLOW((($360) + 1)&4294967295, 32); //@line 296 "dwt.c"
        var $362=HEAP[$i]; //@line 296 "dwt.c"
        var $363=CHECK_OVERFLOW((($362) * 2)&4294967295, 32); //@line 296 "dwt.c"
        var $364=CHECK_OVERFLOW((($363) + 1)&4294967295, 32); //@line 296 "dwt.c"
        var $365=HEAP[$a_addr]; //@line 296 "dwt.c"
        var $366=CHECK_OVERFLOW(($365+4*$364)&4294967295, 32); //@line 296 "dwt.c"
        var $367=HEAP[$366]; //@line 296 "dwt.c"
        var $368=HEAP[$i]; //@line 296 "dwt.c"
        var $369=($368) < 0; //@line 296 "dwt.c"
        if ($369) { __label__ = 89; break; } else { __label__ = 90; break; } //@line 296 "dwt.c"
      case 89: // $bb88
        var $370=HEAP[$a_addr]; //@line 296 "dwt.c"
        var $371=CHECK_OVERFLOW(($370)&4294967295, 32); //@line 296 "dwt.c"
        var $372=HEAP[$371]; //@line 296 "dwt.c"
        HEAP[$iftmp_52]=$372; //@line 296 "dwt.c"
        __label__ = 91; break; //@line 296 "dwt.c"
      case 90: // $bb89
        var $373=HEAP[$i]; //@line 296 "dwt.c"
        var $374=HEAP[$dn_addr]; //@line 296 "dwt.c"
        var $375=($373) >= ($374); //@line 296 "dwt.c"
        if ($375) { __label__ = 92; break; } else { __label__ = 93; break; } //@line 296 "dwt.c"
      case 92: // $bb90
        var $376=HEAP[$dn_addr]; //@line 296 "dwt.c"
        var $377=CHECK_OVERFLOW((($376) * 2)&4294967295, 32); //@line 296 "dwt.c"
        var $378=CHECK_OVERFLOW((($377) + -2)&4294967295, 32); //@line 296 "dwt.c"
        var $379=HEAP[$a_addr]; //@line 296 "dwt.c"
        var $380=CHECK_OVERFLOW(($379+4*$378)&4294967295, 32); //@line 296 "dwt.c"
        var $381=HEAP[$380]; //@line 296 "dwt.c"
        HEAP[$iftmp_53]=$381; //@line 296 "dwt.c"
        __label__ = 94; break; //@line 296 "dwt.c"
      case 93: // $bb91
        var $382=HEAP[$i]; //@line 296 "dwt.c"
        var $383=CHECK_OVERFLOW((($382) * 2)&4294967295, 32); //@line 296 "dwt.c"
        var $384=HEAP[$a_addr]; //@line 296 "dwt.c"
        var $385=CHECK_OVERFLOW(($384+4*$383)&4294967295, 32); //@line 296 "dwt.c"
        var $386=HEAP[$385]; //@line 296 "dwt.c"
        HEAP[$iftmp_53]=$386; //@line 296 "dwt.c"
        __label__ = 94; break; //@line 296 "dwt.c"
      case 94: // $bb92
        var $387=HEAP[$iftmp_53]; //@line 296 "dwt.c"
        HEAP[$iftmp_52]=$387; //@line 296 "dwt.c"
        __label__ = 91; break; //@line 296 "dwt.c"
      case 91: // $bb93
        var $388=HEAP[$i]; //@line 296 "dwt.c"
        var $389=CHECK_OVERFLOW((($388) + 1)&4294967295, 32); //@line 296 "dwt.c"
        var $390=($389) < 0; //@line 296 "dwt.c"
        if ($390) { __label__ = 95; break; } else { __label__ = 96; break; } //@line 296 "dwt.c"
      case 95: // $bb94
        var $391=HEAP[$a_addr]; //@line 296 "dwt.c"
        var $392=CHECK_OVERFLOW(($391)&4294967295, 32); //@line 296 "dwt.c"
        var $393=HEAP[$392]; //@line 296 "dwt.c"
        HEAP[$iftmp_54]=$393; //@line 296 "dwt.c"
        __label__ = 97; break; //@line 296 "dwt.c"
      case 96: // $bb95
        var $394=HEAP[$i]; //@line 296 "dwt.c"
        var $395=CHECK_OVERFLOW((($394) + 1)&4294967295, 32); //@line 296 "dwt.c"
        var $396=HEAP[$dn_addr]; //@line 296 "dwt.c"
        var $397=($395) >= ($396); //@line 296 "dwt.c"
        if ($397) { __label__ = 98; break; } else { __label__ = 99; break; } //@line 296 "dwt.c"
      case 98: // $bb96
        var $398=HEAP[$dn_addr]; //@line 296 "dwt.c"
        var $399=CHECK_OVERFLOW((($398) * 2)&4294967295, 32); //@line 296 "dwt.c"
        var $400=CHECK_OVERFLOW((($399) + -2)&4294967295, 32); //@line 296 "dwt.c"
        var $401=HEAP[$a_addr]; //@line 296 "dwt.c"
        var $402=CHECK_OVERFLOW(($401+4*$400)&4294967295, 32); //@line 296 "dwt.c"
        var $403=HEAP[$402]; //@line 296 "dwt.c"
        HEAP[$iftmp_55]=$403; //@line 296 "dwt.c"
        __label__ = 100; break; //@line 296 "dwt.c"
      case 99: // $bb97
        var $404=HEAP[$i]; //@line 296 "dwt.c"
        var $405=CHECK_OVERFLOW((($404) + 1)&4294967295, 32); //@line 296 "dwt.c"
        var $406=CHECK_OVERFLOW((($405) * 2)&4294967295, 32); //@line 296 "dwt.c"
        var $407=HEAP[$a_addr]; //@line 296 "dwt.c"
        var $408=CHECK_OVERFLOW(($407+4*$406)&4294967295, 32); //@line 296 "dwt.c"
        var $409=HEAP[$408]; //@line 296 "dwt.c"
        HEAP[$iftmp_55]=$409; //@line 296 "dwt.c"
        __label__ = 100; break; //@line 296 "dwt.c"
      case 100: // $bb98
        var $410=HEAP[$iftmp_55]; //@line 296 "dwt.c"
        HEAP[$iftmp_54]=$410; //@line 296 "dwt.c"
        __label__ = 97; break; //@line 296 "dwt.c"
      case 97: // $bb99
        var $411=HEAP[$iftmp_52]; //@line 296 "dwt.c"
        var $412=HEAP[$iftmp_54]; //@line 296 "dwt.c"
        var $413=CHECK_OVERFLOW((($411) + ($412))&4294967295, 32); //@line 296 "dwt.c"
        var $414=_fix_mul($413, 434); //@line 296 "dwt.c"
        var $415=CHECK_OVERFLOW((($367) - ($414))&4294967295, 32); //@line 296 "dwt.c"
        var $416=HEAP[$a_addr]; //@line 296 "dwt.c"
        var $417=CHECK_OVERFLOW(($416+4*$361)&4294967295, 32); //@line 296 "dwt.c"
        HEAP[$417]=$415; //@line 296 "dwt.c"
        var $418=HEAP[$i]; //@line 295 "dwt.c"
        var $419=CHECK_OVERFLOW((($418) + 1)&4294967295, 32); //@line 295 "dwt.c"
        HEAP[$i]=$419; //@line 295 "dwt.c"
        __label__ = 88; break; //@line 295 "dwt.c"
      case 88: // $bb100
        var $420=HEAP[$i]; //@line 295 "dwt.c"
        var $421=HEAP[$sn_addr]; //@line 295 "dwt.c"
        var $422=($420) < ($421); //@line 295 "dwt.c"
        if ($422) { __label__ = 101; break; } else { __label__ = 102; break; } //@line 295 "dwt.c"
      case 102: // $bb101
        HEAP[$i]=0; //@line 297 "dwt.c"
        __label__ = 103; break; //@line 297 "dwt.c"
      case 116: // $bb102
        var $423=HEAP[$i]; //@line 298 "dwt.c"
        var $424=CHECK_OVERFLOW((($423) * 2)&4294967295, 32); //@line 298 "dwt.c"
        var $425=HEAP[$i]; //@line 298 "dwt.c"
        var $426=CHECK_OVERFLOW((($425) * 2)&4294967295, 32); //@line 298 "dwt.c"
        var $427=HEAP[$a_addr]; //@line 298 "dwt.c"
        var $428=CHECK_OVERFLOW(($427+4*$426)&4294967295, 32); //@line 298 "dwt.c"
        var $429=HEAP[$428]; //@line 298 "dwt.c"
        var $430=HEAP[$i]; //@line 298 "dwt.c"
        var $431=($430) < 0; //@line 298 "dwt.c"
        if ($431) { __label__ = 104; break; } else { __label__ = 105; break; } //@line 298 "dwt.c"
      case 104: // $bb103
        var $432=HEAP[$a_addr]; //@line 298 "dwt.c"
        var $433=CHECK_OVERFLOW(($432+4)&4294967295, 32); //@line 298 "dwt.c"
        var $434=HEAP[$433]; //@line 298 "dwt.c"
        HEAP[$iftmp_56]=$434; //@line 298 "dwt.c"
        __label__ = 106; break; //@line 298 "dwt.c"
      case 105: // $bb104
        var $435=HEAP[$i]; //@line 298 "dwt.c"
        var $436=HEAP[$sn_addr]; //@line 298 "dwt.c"
        var $437=($435) >= ($436); //@line 298 "dwt.c"
        if ($437) { __label__ = 107; break; } else { __label__ = 108; break; } //@line 298 "dwt.c"
      case 107: // $bb105
        var $438=HEAP[$sn_addr]; //@line 298 "dwt.c"
        var $439=CHECK_OVERFLOW((($438) * 2)&4294967295, 32); //@line 298 "dwt.c"
        var $440=CHECK_OVERFLOW((($439) + -1)&4294967295, 32); //@line 298 "dwt.c"
        var $441=HEAP[$a_addr]; //@line 298 "dwt.c"
        var $442=CHECK_OVERFLOW(($441+4*$440)&4294967295, 32); //@line 298 "dwt.c"
        var $443=HEAP[$442]; //@line 298 "dwt.c"
        HEAP[$iftmp_57]=$443; //@line 298 "dwt.c"
        __label__ = 109; break; //@line 298 "dwt.c"
      case 108: // $bb106
        var $444=HEAP[$i]; //@line 298 "dwt.c"
        var $445=CHECK_OVERFLOW((($444) * 2)&4294967295, 32); //@line 298 "dwt.c"
        var $446=CHECK_OVERFLOW((($445) + 1)&4294967295, 32); //@line 298 "dwt.c"
        var $447=HEAP[$a_addr]; //@line 298 "dwt.c"
        var $448=CHECK_OVERFLOW(($447+4*$446)&4294967295, 32); //@line 298 "dwt.c"
        var $449=HEAP[$448]; //@line 298 "dwt.c"
        HEAP[$iftmp_57]=$449; //@line 298 "dwt.c"
        __label__ = 109; break; //@line 298 "dwt.c"
      case 109: // $bb107
        var $450=HEAP[$iftmp_57]; //@line 298 "dwt.c"
        HEAP[$iftmp_56]=$450; //@line 298 "dwt.c"
        __label__ = 106; break; //@line 298 "dwt.c"
      case 106: // $bb108
        var $451=HEAP[$i]; //@line 298 "dwt.c"
        var $452=CHECK_OVERFLOW((($451) - 1)&4294967295, 32); //@line 298 "dwt.c"
        var $453=($452) < 0; //@line 298 "dwt.c"
        if ($453) { __label__ = 110; break; } else { __label__ = 111; break; } //@line 298 "dwt.c"
      case 110: // $bb109
        var $454=HEAP[$a_addr]; //@line 298 "dwt.c"
        var $455=CHECK_OVERFLOW(($454+4)&4294967295, 32); //@line 298 "dwt.c"
        var $456=HEAP[$455]; //@line 298 "dwt.c"
        HEAP[$iftmp_58]=$456; //@line 298 "dwt.c"
        __label__ = 112; break; //@line 298 "dwt.c"
      case 111: // $bb110
        var $457=HEAP[$i]; //@line 298 "dwt.c"
        var $458=CHECK_OVERFLOW((($457) - 1)&4294967295, 32); //@line 298 "dwt.c"
        var $459=HEAP[$sn_addr]; //@line 298 "dwt.c"
        var $460=($458) >= ($459); //@line 298 "dwt.c"
        if ($460) { __label__ = 113; break; } else { __label__ = 114; break; } //@line 298 "dwt.c"
      case 113: // $bb111
        var $461=HEAP[$sn_addr]; //@line 298 "dwt.c"
        var $462=CHECK_OVERFLOW((($461) * 2)&4294967295, 32); //@line 298 "dwt.c"
        var $463=CHECK_OVERFLOW((($462) + -1)&4294967295, 32); //@line 298 "dwt.c"
        var $464=HEAP[$a_addr]; //@line 298 "dwt.c"
        var $465=CHECK_OVERFLOW(($464+4*$463)&4294967295, 32); //@line 298 "dwt.c"
        var $466=HEAP[$465]; //@line 298 "dwt.c"
        HEAP[$iftmp_59]=$466; //@line 298 "dwt.c"
        __label__ = 115; break; //@line 298 "dwt.c"
      case 114: // $bb112
        var $467=HEAP[$i]; //@line 298 "dwt.c"
        var $468=CHECK_OVERFLOW((($467) * 2)&4294967295, 32); //@line 298 "dwt.c"
        var $469=CHECK_OVERFLOW((($468) + -1)&4294967295, 32); //@line 298 "dwt.c"
        var $470=HEAP[$a_addr]; //@line 298 "dwt.c"
        var $471=CHECK_OVERFLOW(($470+4*$469)&4294967295, 32); //@line 298 "dwt.c"
        var $472=HEAP[$471]; //@line 298 "dwt.c"
        HEAP[$iftmp_59]=$472; //@line 298 "dwt.c"
        __label__ = 115; break; //@line 298 "dwt.c"
      case 115: // $bb113
        var $473=HEAP[$iftmp_59]; //@line 298 "dwt.c"
        HEAP[$iftmp_58]=$473; //@line 298 "dwt.c"
        __label__ = 112; break; //@line 298 "dwt.c"
      case 112: // $bb114
        var $474=HEAP[$iftmp_56]; //@line 298 "dwt.c"
        var $475=HEAP[$iftmp_58]; //@line 298 "dwt.c"
        var $476=CHECK_OVERFLOW((($474) + ($475))&4294967295, 32); //@line 298 "dwt.c"
        var $477=_fix_mul($476, 7233); //@line 298 "dwt.c"
        var $478=CHECK_OVERFLOW((($429) + ($477))&4294967295, 32); //@line 298 "dwt.c"
        var $479=HEAP[$a_addr]; //@line 298 "dwt.c"
        var $480=CHECK_OVERFLOW(($479+4*$424)&4294967295, 32); //@line 298 "dwt.c"
        HEAP[$480]=$478; //@line 298 "dwt.c"
        var $481=HEAP[$i]; //@line 297 "dwt.c"
        var $482=CHECK_OVERFLOW((($481) + 1)&4294967295, 32); //@line 297 "dwt.c"
        HEAP[$i]=$482; //@line 297 "dwt.c"
        __label__ = 103; break; //@line 297 "dwt.c"
      case 103: // $bb115
        var $483=HEAP[$i]; //@line 297 "dwt.c"
        var $484=HEAP[$dn_addr]; //@line 297 "dwt.c"
        var $485=($483) < ($484); //@line 297 "dwt.c"
        if ($485) { __label__ = 116; break; } else { __label__ = 117; break; } //@line 297 "dwt.c"
      case 117: // $bb116
        HEAP[$i]=0; //@line 299 "dwt.c"
        __label__ = 118; break; //@line 299 "dwt.c"
      case 131: // $bb117
        var $486=HEAP[$i]; //@line 300 "dwt.c"
        var $487=CHECK_OVERFLOW((($486) * 2)&4294967295, 32); //@line 300 "dwt.c"
        var $488=CHECK_OVERFLOW((($487) + 1)&4294967295, 32); //@line 300 "dwt.c"
        var $489=HEAP[$i]; //@line 300 "dwt.c"
        var $490=CHECK_OVERFLOW((($489) * 2)&4294967295, 32); //@line 300 "dwt.c"
        var $491=CHECK_OVERFLOW((($490) + 1)&4294967295, 32); //@line 300 "dwt.c"
        var $492=HEAP[$a_addr]; //@line 300 "dwt.c"
        var $493=CHECK_OVERFLOW(($492+4*$491)&4294967295, 32); //@line 300 "dwt.c"
        var $494=HEAP[$493]; //@line 300 "dwt.c"
        var $495=HEAP[$i]; //@line 300 "dwt.c"
        var $496=($495) < 0; //@line 300 "dwt.c"
        if ($496) { __label__ = 119; break; } else { __label__ = 120; break; } //@line 300 "dwt.c"
      case 119: // $bb118
        var $497=HEAP[$a_addr]; //@line 300 "dwt.c"
        var $498=CHECK_OVERFLOW(($497)&4294967295, 32); //@line 300 "dwt.c"
        var $499=HEAP[$498]; //@line 300 "dwt.c"
        HEAP[$iftmp_60]=$499; //@line 300 "dwt.c"
        __label__ = 121; break; //@line 300 "dwt.c"
      case 120: // $bb119
        var $500=HEAP[$i]; //@line 300 "dwt.c"
        var $501=HEAP[$dn_addr]; //@line 300 "dwt.c"
        var $502=($500) >= ($501); //@line 300 "dwt.c"
        if ($502) { __label__ = 122; break; } else { __label__ = 123; break; } //@line 300 "dwt.c"
      case 122: // $bb120
        var $503=HEAP[$dn_addr]; //@line 300 "dwt.c"
        var $504=CHECK_OVERFLOW((($503) * 2)&4294967295, 32); //@line 300 "dwt.c"
        var $505=CHECK_OVERFLOW((($504) + -2)&4294967295, 32); //@line 300 "dwt.c"
        var $506=HEAP[$a_addr]; //@line 300 "dwt.c"
        var $507=CHECK_OVERFLOW(($506+4*$505)&4294967295, 32); //@line 300 "dwt.c"
        var $508=HEAP[$507]; //@line 300 "dwt.c"
        HEAP[$iftmp_61]=$508; //@line 300 "dwt.c"
        __label__ = 124; break; //@line 300 "dwt.c"
      case 123: // $bb121
        var $509=HEAP[$i]; //@line 300 "dwt.c"
        var $510=CHECK_OVERFLOW((($509) * 2)&4294967295, 32); //@line 300 "dwt.c"
        var $511=HEAP[$a_addr]; //@line 300 "dwt.c"
        var $512=CHECK_OVERFLOW(($511+4*$510)&4294967295, 32); //@line 300 "dwt.c"
        var $513=HEAP[$512]; //@line 300 "dwt.c"
        HEAP[$iftmp_61]=$513; //@line 300 "dwt.c"
        __label__ = 124; break; //@line 300 "dwt.c"
      case 124: // $bb122
        var $514=HEAP[$iftmp_61]; //@line 300 "dwt.c"
        HEAP[$iftmp_60]=$514; //@line 300 "dwt.c"
        __label__ = 121; break; //@line 300 "dwt.c"
      case 121: // $bb123
        var $515=HEAP[$i]; //@line 300 "dwt.c"
        var $516=CHECK_OVERFLOW((($515) + 1)&4294967295, 32); //@line 300 "dwt.c"
        var $517=($516) < 0; //@line 300 "dwt.c"
        if ($517) { __label__ = 125; break; } else { __label__ = 126; break; } //@line 300 "dwt.c"
      case 125: // $bb124
        var $518=HEAP[$a_addr]; //@line 300 "dwt.c"
        var $519=CHECK_OVERFLOW(($518)&4294967295, 32); //@line 300 "dwt.c"
        var $520=HEAP[$519]; //@line 300 "dwt.c"
        HEAP[$iftmp_62]=$520; //@line 300 "dwt.c"
        __label__ = 127; break; //@line 300 "dwt.c"
      case 126: // $bb125
        var $521=HEAP[$i]; //@line 300 "dwt.c"
        var $522=CHECK_OVERFLOW((($521) + 1)&4294967295, 32); //@line 300 "dwt.c"
        var $523=HEAP[$dn_addr]; //@line 300 "dwt.c"
        var $524=($522) >= ($523); //@line 300 "dwt.c"
        if ($524) { __label__ = 128; break; } else { __label__ = 129; break; } //@line 300 "dwt.c"
      case 128: // $bb126
        var $525=HEAP[$dn_addr]; //@line 300 "dwt.c"
        var $526=CHECK_OVERFLOW((($525) * 2)&4294967295, 32); //@line 300 "dwt.c"
        var $527=CHECK_OVERFLOW((($526) + -2)&4294967295, 32); //@line 300 "dwt.c"
        var $528=HEAP[$a_addr]; //@line 300 "dwt.c"
        var $529=CHECK_OVERFLOW(($528+4*$527)&4294967295, 32); //@line 300 "dwt.c"
        var $530=HEAP[$529]; //@line 300 "dwt.c"
        HEAP[$iftmp_63]=$530; //@line 300 "dwt.c"
        __label__ = 130; break; //@line 300 "dwt.c"
      case 129: // $bb127
        var $531=HEAP[$i]; //@line 300 "dwt.c"
        var $532=CHECK_OVERFLOW((($531) + 1)&4294967295, 32); //@line 300 "dwt.c"
        var $533=CHECK_OVERFLOW((($532) * 2)&4294967295, 32); //@line 300 "dwt.c"
        var $534=HEAP[$a_addr]; //@line 300 "dwt.c"
        var $535=CHECK_OVERFLOW(($534+4*$533)&4294967295, 32); //@line 300 "dwt.c"
        var $536=HEAP[$535]; //@line 300 "dwt.c"
        HEAP[$iftmp_63]=$536; //@line 300 "dwt.c"
        __label__ = 130; break; //@line 300 "dwt.c"
      case 130: // $bb128
        var $537=HEAP[$iftmp_63]; //@line 300 "dwt.c"
        HEAP[$iftmp_62]=$537; //@line 300 "dwt.c"
        __label__ = 127; break; //@line 300 "dwt.c"
      case 127: // $bb129
        var $538=HEAP[$iftmp_60]; //@line 300 "dwt.c"
        var $539=HEAP[$iftmp_62]; //@line 300 "dwt.c"
        var $540=CHECK_OVERFLOW((($538) + ($539))&4294967295, 32); //@line 300 "dwt.c"
        var $541=_fix_mul($540, 3633); //@line 300 "dwt.c"
        var $542=CHECK_OVERFLOW((($494) + ($541))&4294967295, 32); //@line 300 "dwt.c"
        var $543=HEAP[$a_addr]; //@line 300 "dwt.c"
        var $544=CHECK_OVERFLOW(($543+4*$488)&4294967295, 32); //@line 300 "dwt.c"
        HEAP[$544]=$542; //@line 300 "dwt.c"
        var $545=HEAP[$i]; //@line 299 "dwt.c"
        var $546=CHECK_OVERFLOW((($545) + 1)&4294967295, 32); //@line 299 "dwt.c"
        HEAP[$i]=$546; //@line 299 "dwt.c"
        __label__ = 118; break; //@line 299 "dwt.c"
      case 118: // $bb130
        var $547=HEAP[$i]; //@line 299 "dwt.c"
        var $548=HEAP[$sn_addr]; //@line 299 "dwt.c"
        var $549=($547) < ($548); //@line 299 "dwt.c"
        if ($549) { __label__ = 131; break; } else { __label__ = 132; break; } //@line 299 "dwt.c"
      case 132: // $bb131
        HEAP[$i]=0; //@line 301 "dwt.c"
        __label__ = 133; break; //@line 301 "dwt.c"
      case 134: // $bb132
        var $550=HEAP[$i]; //@line 302 "dwt.c"
        var $551=CHECK_OVERFLOW((($550) * 2)&4294967295, 32); //@line 302 "dwt.c"
        var $552=HEAP[$i]; //@line 302 "dwt.c"
        var $553=CHECK_OVERFLOW((($552) * 2)&4294967295, 32); //@line 302 "dwt.c"
        var $554=HEAP[$a_addr]; //@line 302 "dwt.c"
        var $555=CHECK_OVERFLOW(($554+4*$553)&4294967295, 32); //@line 302 "dwt.c"
        var $556=HEAP[$555]; //@line 302 "dwt.c"
        var $557=_fix_mul($556, 5038); //@line 302 "dwt.c"
        var $558=HEAP[$a_addr]; //@line 302 "dwt.c"
        var $559=CHECK_OVERFLOW(($558+4*$551)&4294967295, 32); //@line 302 "dwt.c"
        HEAP[$559]=$557; //@line 302 "dwt.c"
        var $560=HEAP[$i]; //@line 301 "dwt.c"
        var $561=CHECK_OVERFLOW((($560) + 1)&4294967295, 32); //@line 301 "dwt.c"
        HEAP[$i]=$561; //@line 301 "dwt.c"
        __label__ = 133; break; //@line 301 "dwt.c"
      case 133: // $bb133
        var $562=HEAP[$i]; //@line 301 "dwt.c"
        var $563=HEAP[$dn_addr]; //@line 301 "dwt.c"
        var $564=($562) < ($563); //@line 301 "dwt.c"
        if ($564) { __label__ = 134; break; } else { __label__ = 135; break; } //@line 301 "dwt.c"
      case 135: // $bb134
        HEAP[$i]=0; //@line 303 "dwt.c"
        __label__ = 136; break; //@line 303 "dwt.c"
      case 137: // $bb135
        var $565=HEAP[$i]; //@line 304 "dwt.c"
        var $566=CHECK_OVERFLOW((($565) * 2)&4294967295, 32); //@line 304 "dwt.c"
        var $567=CHECK_OVERFLOW((($566) + 1)&4294967295, 32); //@line 304 "dwt.c"
        var $568=HEAP[$i]; //@line 304 "dwt.c"
        var $569=CHECK_OVERFLOW((($568) * 2)&4294967295, 32); //@line 304 "dwt.c"
        var $570=CHECK_OVERFLOW((($569) + 1)&4294967295, 32); //@line 304 "dwt.c"
        var $571=HEAP[$a_addr]; //@line 304 "dwt.c"
        var $572=CHECK_OVERFLOW(($571+4*$570)&4294967295, 32); //@line 304 "dwt.c"
        var $573=HEAP[$572]; //@line 304 "dwt.c"
        var $574=_fix_mul($573, 6659); //@line 304 "dwt.c"
        var $575=HEAP[$a_addr]; //@line 304 "dwt.c"
        var $576=CHECK_OVERFLOW(($575+4*$567)&4294967295, 32); //@line 304 "dwt.c"
        HEAP[$576]=$574; //@line 304 "dwt.c"
        var $577=HEAP[$i]; //@line 303 "dwt.c"
        var $578=CHECK_OVERFLOW((($577) + 1)&4294967295, 32); //@line 303 "dwt.c"
        HEAP[$i]=$578; //@line 303 "dwt.c"
        __label__ = 136; break; //@line 303 "dwt.c"
      case 136: // $bb136
        var $579=HEAP[$i]; //@line 303 "dwt.c"
        var $580=HEAP[$sn_addr]; //@line 303 "dwt.c"
        var $581=($579) < ($580); //@line 303 "dwt.c"
        if ($581) { __label__ = 137; break; } else { __label__ = 70; break; } //@line 303 "dwt.c"
      case 70: // $bb137
        __label__ = 138; break; //@line 307 "dwt.c"
      case 138: // $return
        STACKTOP = __stackBase__;
        return; //@line 307 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _fix_mul($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $temp=__stackBase__+16;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$a_addr]; //@line 57 "fix.h"
        var $2=($1); //@line 57 "fix.h"
        var $3=HEAP[$b_addr]; //@line 57 "fix.h"
        var $4=($3); //@line 57 "fix.h"
        var $5=CHECK_OVERFLOW(($2) * ($4), 64); //@line 57 "fix.h"
        HEAP[$temp]=$5; //@line 57 "fix.h"
        var $6=HEAP[$temp]; //@line 58 "fix.h"
        var $7=($6) & 4096; //@line 58 "fix.h"
        var $8=HEAP[$temp]; //@line 58 "fix.h"
        var $9=CHECK_OVERFLOW(($7) + ($8), 64); //@line 58 "fix.h"
        HEAP[$temp]=$9; //@line 58 "fix.h"
        var $10=HEAP[$temp]; //@line 59 "fix.h"
        var $11=($10) >> 13; //@line 59 "fix.h"
        var $12=((($11)) & 4294967295); //@line 59 "fix.h"
        HEAP[$0]=$12; //@line 59 "fix.h"
        var $13=HEAP[$0]; //@line 59 "fix.h"
        HEAP[$retval]=$13; //@line 59 "fix.h"
        __label__ = 0; break; //@line 59 "fix.h"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 59 "fix.h"
        STACKTOP = __stackBase__;
        return $retval1; //@line 59 "fix.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _dwt_encode_stepsize($stepsize, $numbps, $bandno_stepsize) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $stepsize_addr=__stackBase__;
        var $numbps_addr=__stackBase__+4;
        var $bandno_stepsize_addr=__stackBase__+8;
        var $iftmp_64=__stackBase__+12;
        var $p=__stackBase__+16;
        var $n=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$stepsize_addr]=$stepsize;
        HEAP[$numbps_addr]=$numbps;
        HEAP[$bandno_stepsize_addr]=$bandno_stepsize;
        var $0=HEAP[$stepsize_addr]; //@line 311 "dwt.c"
        var $1=_int_floorlog2($0); //@line 311 "dwt.c"
        var $2=CHECK_OVERFLOW((($1) - 13)&4294967295, 32); //@line 311 "dwt.c"
        HEAP[$p]=$2; //@line 311 "dwt.c"
        var $3=HEAP[$stepsize_addr]; //@line 312 "dwt.c"
        var $4=_int_floorlog2($3); //@line 312 "dwt.c"
        var $5=CHECK_OVERFLOW((11 - ($4))&4294967295, 32); //@line 312 "dwt.c"
        HEAP[$n]=$5; //@line 312 "dwt.c"
        var $6=HEAP[$n]; //@line 313 "dwt.c"
        var $7=($6) < 0; //@line 313 "dwt.c"
        if ($7) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 313 "dwt.c"
      case 0: // $bb
        var $8=HEAP[$n]; //@line 313 "dwt.c"
        var $9=CHECK_OVERFLOW((0 - ($8))&4294967295, 32); //@line 313 "dwt.c"
        var $10=HEAP[$stepsize_addr]; //@line 313 "dwt.c"
        var $11=($10) >> ($9); //@line 313 "dwt.c"
        var $12=($11) & 2047; //@line 313 "dwt.c"
        HEAP[$iftmp_64]=$12; //@line 313 "dwt.c"
        __label__ = 2; break; //@line 313 "dwt.c"
      case 1: // $bb1
        var $13=HEAP[$stepsize_addr]; //@line 313 "dwt.c"
        var $14=HEAP[$n]; //@line 313 "dwt.c"
        var $15=($13) << ($14); //@line 313 "dwt.c"
        var $16=($15) & 2047; //@line 313 "dwt.c"
        HEAP[$iftmp_64]=$16; //@line 313 "dwt.c"
        __label__ = 2; break; //@line 313 "dwt.c"
      case 2: // $bb2
        var $17=HEAP[$bandno_stepsize_addr]; //@line 313 "dwt.c"
        var $18=CHECK_OVERFLOW(($17+4)&4294967295, 32); //@line 313 "dwt.c"
        var $19=HEAP[$iftmp_64]; //@line 313 "dwt.c"
        HEAP[$18]=$19; //@line 313 "dwt.c"
        var $20=HEAP[$numbps_addr]; //@line 314 "dwt.c"
        var $21=HEAP[$p]; //@line 314 "dwt.c"
        var $22=CHECK_OVERFLOW((($20) - ($21))&4294967295, 32); //@line 314 "dwt.c"
        var $23=HEAP[$bandno_stepsize_addr]; //@line 314 "dwt.c"
        var $24=CHECK_OVERFLOW(($23)&4294967295, 32); //@line 314 "dwt.c"
        HEAP[$24]=$22; //@line 314 "dwt.c"
        __label__ = 3; break; //@line 315 "dwt.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 315 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_floorlog2($a) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $l=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$l]=0; //@line 109 "int.h"
        __label__ = 0; break; //@line 109 "int.h"
      case 1: // $bb
        var $1=HEAP[$a_addr]; //@line 110 "int.h"
        var $2=($1) >> 1; //@line 110 "int.h"
        HEAP[$a_addr]=$2; //@line 110 "int.h"
        var $3=HEAP[$l]; //@line 109 "int.h"
        var $4=CHECK_OVERFLOW((($3) + 1)&4294967295, 32); //@line 109 "int.h"
        HEAP[$l]=$4; //@line 109 "int.h"
        __label__ = 0; break; //@line 109 "int.h"
      case 0: // $bb1
        var $5=HEAP[$a_addr]; //@line 109 "int.h"
        var $6=($5) > 1; //@line 109 "int.h"
        if ($6) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 109 "int.h"
      case 2: // $bb2
        var $7=HEAP[$l]; //@line 112 "int.h"
        HEAP[$0]=$7; //@line 112 "int.h"
        var $8=HEAP[$0]; //@line 112 "int.h"
        HEAP[$retval]=$8; //@line 112 "int.h"
        __label__ = 3; break; //@line 112 "int.h"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 112 "int.h"
        STACKTOP = __stackBase__;
        return $retval3; //@line 112 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _dwt_encode($tilec) {
    var __stackBase__  = STACKTOP; STACKTOP += 68; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 68);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tilec_addr=__stackBase__;
        var $i=__stackBase__+4;
        var $j=__stackBase__+8;
        var $k=__stackBase__+12;
        var $a=__stackBase__+16;
        var $aj=__stackBase__+20;
        var $bj=__stackBase__+24;
        var $w=__stackBase__+28;
        var $l=__stackBase__+32;
        var $rw=__stackBase__+36;
        var $rh=__stackBase__+40;
        var $rw1=__stackBase__+44;
        var $rh1=__stackBase__+48;
        var $cas_col=__stackBase__+52;
        var $cas_row=__stackBase__+56;
        var $dn=__stackBase__+60;
        var $sn=__stackBase__+64;
        var $_alloca_point_=0;
        HEAP[$tilec_addr]=$tilec;
        HEAP[$a]=0; //@line 328 "dwt.c"
        HEAP[$aj]=0; //@line 329 "dwt.c"
        HEAP[$bj]=0; //@line 330 "dwt.c"
        var $0=HEAP[$tilec_addr]; //@line 333 "dwt.c"
        var $1=CHECK_OVERFLOW(($0+8)&4294967295, 32); //@line 333 "dwt.c"
        var $2=HEAP[$1]; //@line 333 "dwt.c"
        var $3=HEAP[$tilec_addr]; //@line 333 "dwt.c"
        var $4=CHECK_OVERFLOW(($3)&4294967295, 32); //@line 333 "dwt.c"
        var $5=HEAP[$4]; //@line 333 "dwt.c"
        var $6=CHECK_OVERFLOW((($2) - ($5))&4294967295, 32); //@line 333 "dwt.c"
        HEAP[$w]=$6; //@line 333 "dwt.c"
        var $7=HEAP[$tilec_addr]; //@line 334 "dwt.c"
        var $8=CHECK_OVERFLOW(($7+16)&4294967295, 32); //@line 334 "dwt.c"
        var $9=HEAP[$8]; //@line 334 "dwt.c"
        var $10=CHECK_OVERFLOW((($9) - 1)&4294967295, 32); //@line 334 "dwt.c"
        HEAP[$l]=$10; //@line 334 "dwt.c"
        var $11=HEAP[$tilec_addr]; //@line 335 "dwt.c"
        var $12=CHECK_OVERFLOW(($11+24)&4294967295, 32); //@line 335 "dwt.c"
        var $13=HEAP[$12]; //@line 335 "dwt.c"
        HEAP[$a]=$13; //@line 335 "dwt.c"
        HEAP[$i]=0; //@line 337 "dwt.c"
        __label__ = 0; break; //@line 337 "dwt.c"
      case 13: // $bb
        var $14=HEAP[$tilec_addr]; //@line 346 "dwt.c"
        var $15=CHECK_OVERFLOW(($14+20)&4294967295, 32); //@line 346 "dwt.c"
        var $16=HEAP[$15]; //@line 346 "dwt.c"
        var $17=HEAP[$l]; //@line 346 "dwt.c"
        var $18=HEAP[$i]; //@line 346 "dwt.c"
        var $19=CHECK_OVERFLOW((($17) - ($18))&4294967295, 32); //@line 346 "dwt.c"
        var $20=CHECK_OVERFLOW(($16+124*$19)&4294967295, 32); //@line 346 "dwt.c"
        var $21=CHECK_OVERFLOW(($20+8)&4294967295, 32); //@line 346 "dwt.c"
        var $22=HEAP[$21]; //@line 346 "dwt.c"
        var $23=HEAP[$tilec_addr]; //@line 346 "dwt.c"
        var $24=CHECK_OVERFLOW(($23+20)&4294967295, 32); //@line 346 "dwt.c"
        var $25=HEAP[$24]; //@line 346 "dwt.c"
        var $26=HEAP[$l]; //@line 346 "dwt.c"
        var $27=HEAP[$i]; //@line 346 "dwt.c"
        var $28=CHECK_OVERFLOW((($26) - ($27))&4294967295, 32); //@line 346 "dwt.c"
        var $29=CHECK_OVERFLOW(($25+124*$28)&4294967295, 32); //@line 346 "dwt.c"
        var $30=CHECK_OVERFLOW(($29)&4294967295, 32); //@line 346 "dwt.c"
        var $31=HEAP[$30]; //@line 346 "dwt.c"
        var $32=CHECK_OVERFLOW((($22) - ($31))&4294967295, 32); //@line 346 "dwt.c"
        HEAP[$rw]=$32; //@line 346 "dwt.c"
        var $33=HEAP[$tilec_addr]; //@line 347 "dwt.c"
        var $34=CHECK_OVERFLOW(($33+20)&4294967295, 32); //@line 347 "dwt.c"
        var $35=HEAP[$34]; //@line 347 "dwt.c"
        var $36=HEAP[$l]; //@line 347 "dwt.c"
        var $37=HEAP[$i]; //@line 347 "dwt.c"
        var $38=CHECK_OVERFLOW((($36) - ($37))&4294967295, 32); //@line 347 "dwt.c"
        var $39=CHECK_OVERFLOW(($35+124*$38)&4294967295, 32); //@line 347 "dwt.c"
        var $40=CHECK_OVERFLOW(($39+12)&4294967295, 32); //@line 347 "dwt.c"
        var $41=HEAP[$40]; //@line 347 "dwt.c"
        var $42=HEAP[$tilec_addr]; //@line 347 "dwt.c"
        var $43=CHECK_OVERFLOW(($42+20)&4294967295, 32); //@line 347 "dwt.c"
        var $44=HEAP[$43]; //@line 347 "dwt.c"
        var $45=HEAP[$l]; //@line 347 "dwt.c"
        var $46=HEAP[$i]; //@line 347 "dwt.c"
        var $47=CHECK_OVERFLOW((($45) - ($46))&4294967295, 32); //@line 347 "dwt.c"
        var $48=CHECK_OVERFLOW(($44+124*$47)&4294967295, 32); //@line 347 "dwt.c"
        var $49=CHECK_OVERFLOW(($48+4)&4294967295, 32); //@line 347 "dwt.c"
        var $50=HEAP[$49]; //@line 347 "dwt.c"
        var $51=CHECK_OVERFLOW((($41) - ($50))&4294967295, 32); //@line 347 "dwt.c"
        HEAP[$rh]=$51; //@line 347 "dwt.c"
        var $52=HEAP[$tilec_addr]; //@line 348 "dwt.c"
        var $53=CHECK_OVERFLOW(($52+20)&4294967295, 32); //@line 348 "dwt.c"
        var $54=HEAP[$53]; //@line 348 "dwt.c"
        var $55=HEAP[$l]; //@line 348 "dwt.c"
        var $56=HEAP[$i]; //@line 348 "dwt.c"
        var $57=CHECK_OVERFLOW((($55) - ($56))&4294967295, 32); //@line 348 "dwt.c"
        var $58=CHECK_OVERFLOW((($57) - 1)&4294967295, 32); //@line 348 "dwt.c"
        var $59=CHECK_OVERFLOW(($54+124*$58)&4294967295, 32); //@line 348 "dwt.c"
        var $60=CHECK_OVERFLOW(($59+8)&4294967295, 32); //@line 348 "dwt.c"
        var $61=HEAP[$60]; //@line 348 "dwt.c"
        var $62=HEAP[$tilec_addr]; //@line 348 "dwt.c"
        var $63=CHECK_OVERFLOW(($62+20)&4294967295, 32); //@line 348 "dwt.c"
        var $64=HEAP[$63]; //@line 348 "dwt.c"
        var $65=HEAP[$l]; //@line 348 "dwt.c"
        var $66=HEAP[$i]; //@line 348 "dwt.c"
        var $67=CHECK_OVERFLOW((($65) - ($66))&4294967295, 32); //@line 348 "dwt.c"
        var $68=CHECK_OVERFLOW((($67) - 1)&4294967295, 32); //@line 348 "dwt.c"
        var $69=CHECK_OVERFLOW(($64+124*$68)&4294967295, 32); //@line 348 "dwt.c"
        var $70=CHECK_OVERFLOW(($69)&4294967295, 32); //@line 348 "dwt.c"
        var $71=HEAP[$70]; //@line 348 "dwt.c"
        var $72=CHECK_OVERFLOW((($61) - ($71))&4294967295, 32); //@line 348 "dwt.c"
        HEAP[$rw1]=$72; //@line 348 "dwt.c"
        var $73=HEAP[$tilec_addr]; //@line 349 "dwt.c"
        var $74=CHECK_OVERFLOW(($73+20)&4294967295, 32); //@line 349 "dwt.c"
        var $75=HEAP[$74]; //@line 349 "dwt.c"
        var $76=HEAP[$l]; //@line 349 "dwt.c"
        var $77=HEAP[$i]; //@line 349 "dwt.c"
        var $78=CHECK_OVERFLOW((($76) - ($77))&4294967295, 32); //@line 349 "dwt.c"
        var $79=CHECK_OVERFLOW((($78) - 1)&4294967295, 32); //@line 349 "dwt.c"
        var $80=CHECK_OVERFLOW(($75+124*$79)&4294967295, 32); //@line 349 "dwt.c"
        var $81=CHECK_OVERFLOW(($80+12)&4294967295, 32); //@line 349 "dwt.c"
        var $82=HEAP[$81]; //@line 349 "dwt.c"
        var $83=HEAP[$tilec_addr]; //@line 349 "dwt.c"
        var $84=CHECK_OVERFLOW(($83+20)&4294967295, 32); //@line 349 "dwt.c"
        var $85=HEAP[$84]; //@line 349 "dwt.c"
        var $86=HEAP[$l]; //@line 349 "dwt.c"
        var $87=HEAP[$i]; //@line 349 "dwt.c"
        var $88=CHECK_OVERFLOW((($86) - ($87))&4294967295, 32); //@line 349 "dwt.c"
        var $89=CHECK_OVERFLOW((($88) - 1)&4294967295, 32); //@line 349 "dwt.c"
        var $90=CHECK_OVERFLOW(($85+124*$89)&4294967295, 32); //@line 349 "dwt.c"
        var $91=CHECK_OVERFLOW(($90+4)&4294967295, 32); //@line 349 "dwt.c"
        var $92=HEAP[$91]; //@line 349 "dwt.c"
        var $93=CHECK_OVERFLOW((($82) - ($92))&4294967295, 32); //@line 349 "dwt.c"
        HEAP[$rh1]=$93; //@line 349 "dwt.c"
        var $94=HEAP[$tilec_addr]; //@line 351 "dwt.c"
        var $95=CHECK_OVERFLOW(($94+20)&4294967295, 32); //@line 351 "dwt.c"
        var $96=HEAP[$95]; //@line 351 "dwt.c"
        var $97=HEAP[$l]; //@line 351 "dwt.c"
        var $98=HEAP[$i]; //@line 351 "dwt.c"
        var $99=CHECK_OVERFLOW((($97) - ($98))&4294967295, 32); //@line 351 "dwt.c"
        var $100=CHECK_OVERFLOW(($96+124*$99)&4294967295, 32); //@line 351 "dwt.c"
        var $101=CHECK_OVERFLOW(($100)&4294967295, 32); //@line 351 "dwt.c"
        var $102=HEAP[$101]; //@line 351 "dwt.c"
        var $103=($102) % 2; //@line 351 "dwt.c"
        HEAP[$cas_row]=$103; //@line 351 "dwt.c"
        var $104=HEAP[$tilec_addr]; //@line 352 "dwt.c"
        var $105=CHECK_OVERFLOW(($104+20)&4294967295, 32); //@line 352 "dwt.c"
        var $106=HEAP[$105]; //@line 352 "dwt.c"
        var $107=HEAP[$l]; //@line 352 "dwt.c"
        var $108=HEAP[$i]; //@line 352 "dwt.c"
        var $109=CHECK_OVERFLOW((($107) - ($108))&4294967295, 32); //@line 352 "dwt.c"
        var $110=CHECK_OVERFLOW(($106+124*$109)&4294967295, 32); //@line 352 "dwt.c"
        var $111=CHECK_OVERFLOW(($110+4)&4294967295, 32); //@line 352 "dwt.c"
        var $112=HEAP[$111]; //@line 352 "dwt.c"
        var $113=($112) % 2; //@line 352 "dwt.c"
        HEAP[$cas_col]=$113; //@line 352 "dwt.c"
        var $114=HEAP[$rh1]; //@line 354 "dwt.c"
        HEAP[$sn]=$114; //@line 354 "dwt.c"
        var $115=HEAP[$rh]; //@line 355 "dwt.c"
        var $116=HEAP[$rh1]; //@line 355 "dwt.c"
        var $117=CHECK_OVERFLOW((($115) - ($116))&4294967295, 32); //@line 355 "dwt.c"
        HEAP[$dn]=$117; //@line 355 "dwt.c"
        var $118=HEAP[$rh]; //@line 356 "dwt.c"
        var $119=CHECK_OVERFLOW((($118) * 4)&4294967295, 32); //@line 356 "dwt.c"
        var $120=_malloc($119); //@line 356 "dwt.c"
        var $121=$120; //@line 356 "dwt.c"
        HEAP[$bj]=$121; //@line 356 "dwt.c"
        HEAP[$j]=0; //@line 357 "dwt.c"
        __label__ = 1; break; //@line 357 "dwt.c"
      case 5: // $bb1
        var $122=HEAP[$a]; //@line 358 "dwt.c"
        var $123=HEAP[$j]; //@line 358 "dwt.c"
        var $124=CHECK_OVERFLOW(($122+4*$123)&4294967295, 32); //@line 358 "dwt.c"
        HEAP[$aj]=$124; //@line 358 "dwt.c"
        HEAP[$k]=0; //@line 359 "dwt.c"
        __label__ = 2; break; //@line 359 "dwt.c"
      case 3: // $bb2
        var $125=HEAP[$k]; //@line 359 "dwt.c"
        var $126=HEAP[$w]; //@line 359 "dwt.c"
        var $127=CHECK_OVERFLOW((($125) * ($126))&4294967295, 32); //@line 359 "dwt.c"
        var $128=HEAP[$aj]; //@line 359 "dwt.c"
        var $129=CHECK_OVERFLOW(($128+4*$127)&4294967295, 32); //@line 359 "dwt.c"
        var $130=HEAP[$129]; //@line 359 "dwt.c"
        var $131=HEAP[$bj]; //@line 359 "dwt.c"
        var $132=HEAP[$k]; //@line 359 "dwt.c"
        var $133=CHECK_OVERFLOW(($131+4*$132)&4294967295, 32); //@line 359 "dwt.c"
        HEAP[$133]=$130; //@line 359 "dwt.c"
        var $134=HEAP[$k]; //@line 359 "dwt.c"
        var $135=CHECK_OVERFLOW((($134) + 1)&4294967295, 32); //@line 359 "dwt.c"
        HEAP[$k]=$135; //@line 359 "dwt.c"
        __label__ = 2; break; //@line 359 "dwt.c"
      case 2: // $bb3
        var $136=HEAP[$k]; //@line 359 "dwt.c"
        var $137=HEAP[$rh]; //@line 359 "dwt.c"
        var $138=($136) < ($137); //@line 359 "dwt.c"
        if ($138) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 359 "dwt.c"
      case 4: // $bb4
        var $139=HEAP[$bj]; //@line 360 "dwt.c"
        var $140=HEAP[$dn]; //@line 360 "dwt.c"
        var $141=HEAP[$sn]; //@line 360 "dwt.c"
        var $142=HEAP[$cas_col]; //@line 360 "dwt.c"
        _dwt_encode_1($139, $140, $141, $142); //@line 360 "dwt.c"
        var $143=HEAP[$bj]; //@line 361 "dwt.c"
        var $144=HEAP[$aj]; //@line 361 "dwt.c"
        var $145=HEAP[$dn]; //@line 361 "dwt.c"
        var $146=HEAP[$sn]; //@line 361 "dwt.c"
        var $147=HEAP[$w]; //@line 361 "dwt.c"
        var $148=HEAP[$cas_col]; //@line 361 "dwt.c"
        _dwt_deinterleave_v($143, $144, $145, $146, $147, $148); //@line 361 "dwt.c"
        var $149=HEAP[$j]; //@line 357 "dwt.c"
        var $150=CHECK_OVERFLOW((($149) + 1)&4294967295, 32); //@line 357 "dwt.c"
        HEAP[$j]=$150; //@line 357 "dwt.c"
        __label__ = 1; break; //@line 357 "dwt.c"
      case 1: // $bb5
        var $151=HEAP[$j]; //@line 357 "dwt.c"
        var $152=HEAP[$rw]; //@line 357 "dwt.c"
        var $153=($151) < ($152); //@line 357 "dwt.c"
        if ($153) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 357 "dwt.c"
      case 6: // $bb6
        var $154=HEAP[$bj]; //@line 363 "dwt.c"
        var $155=$154; //@line 363 "dwt.c"
        _free($155); //@line 363 "dwt.c"
        var $156=HEAP[$rw1]; //@line 365 "dwt.c"
        HEAP[$sn]=$156; //@line 365 "dwt.c"
        var $157=HEAP[$rw]; //@line 366 "dwt.c"
        var $158=HEAP[$rw1]; //@line 366 "dwt.c"
        var $159=CHECK_OVERFLOW((($157) - ($158))&4294967295, 32); //@line 366 "dwt.c"
        HEAP[$dn]=$159; //@line 366 "dwt.c"
        var $160=HEAP[$rw]; //@line 367 "dwt.c"
        var $161=CHECK_OVERFLOW((($160) * 4)&4294967295, 32); //@line 367 "dwt.c"
        var $162=_malloc($161); //@line 367 "dwt.c"
        var $163=$162; //@line 367 "dwt.c"
        HEAP[$bj]=$163; //@line 367 "dwt.c"
        HEAP[$j]=0; //@line 368 "dwt.c"
        __label__ = 7; break; //@line 368 "dwt.c"
      case 11: // $bb7
        var $164=HEAP[$j]; //@line 369 "dwt.c"
        var $165=HEAP[$w]; //@line 369 "dwt.c"
        var $166=CHECK_OVERFLOW((($164) * ($165))&4294967295, 32); //@line 369 "dwt.c"
        var $167=HEAP[$a]; //@line 369 "dwt.c"
        var $168=CHECK_OVERFLOW(($167+4*$166)&4294967295, 32); //@line 369 "dwt.c"
        HEAP[$aj]=$168; //@line 369 "dwt.c"
        HEAP[$k]=0; //@line 370 "dwt.c"
        __label__ = 8; break; //@line 370 "dwt.c"
      case 9: // $bb8
        var $169=HEAP[$aj]; //@line 370 "dwt.c"
        var $170=HEAP[$k]; //@line 370 "dwt.c"
        var $171=CHECK_OVERFLOW(($169+4*$170)&4294967295, 32); //@line 370 "dwt.c"
        var $172=HEAP[$171]; //@line 370 "dwt.c"
        var $173=HEAP[$bj]; //@line 370 "dwt.c"
        var $174=HEAP[$k]; //@line 370 "dwt.c"
        var $175=CHECK_OVERFLOW(($173+4*$174)&4294967295, 32); //@line 370 "dwt.c"
        HEAP[$175]=$172; //@line 370 "dwt.c"
        var $176=HEAP[$k]; //@line 370 "dwt.c"
        var $177=CHECK_OVERFLOW((($176) + 1)&4294967295, 32); //@line 370 "dwt.c"
        HEAP[$k]=$177; //@line 370 "dwt.c"
        __label__ = 8; break; //@line 370 "dwt.c"
      case 8: // $bb9
        var $178=HEAP[$k]; //@line 370 "dwt.c"
        var $179=HEAP[$rw]; //@line 370 "dwt.c"
        var $180=($178) < ($179); //@line 370 "dwt.c"
        if ($180) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 370 "dwt.c"
      case 10: // $bb10
        var $181=HEAP[$bj]; //@line 371 "dwt.c"
        var $182=HEAP[$dn]; //@line 371 "dwt.c"
        var $183=HEAP[$sn]; //@line 371 "dwt.c"
        var $184=HEAP[$cas_row]; //@line 371 "dwt.c"
        _dwt_encode_1($181, $182, $183, $184); //@line 371 "dwt.c"
        var $185=HEAP[$bj]; //@line 372 "dwt.c"
        var $186=HEAP[$aj]; //@line 372 "dwt.c"
        var $187=HEAP[$dn]; //@line 372 "dwt.c"
        var $188=HEAP[$sn]; //@line 372 "dwt.c"
        var $189=HEAP[$cas_row]; //@line 372 "dwt.c"
        _dwt_deinterleave_h($185, $186, $187, $188, $189); //@line 372 "dwt.c"
        var $190=HEAP[$j]; //@line 368 "dwt.c"
        var $191=CHECK_OVERFLOW((($190) + 1)&4294967295, 32); //@line 368 "dwt.c"
        HEAP[$j]=$191; //@line 368 "dwt.c"
        __label__ = 7; break; //@line 368 "dwt.c"
      case 7: // $bb11
        var $192=HEAP[$j]; //@line 368 "dwt.c"
        var $193=HEAP[$rh]; //@line 368 "dwt.c"
        var $194=($192) < ($193); //@line 368 "dwt.c"
        if ($194) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 368 "dwt.c"
      case 12: // $bb12
        var $195=HEAP[$bj]; //@line 374 "dwt.c"
        var $196=$195; //@line 374 "dwt.c"
        _free($196); //@line 374 "dwt.c"
        var $197=HEAP[$i]; //@line 337 "dwt.c"
        var $198=CHECK_OVERFLOW((($197) + 1)&4294967295, 32); //@line 337 "dwt.c"
        HEAP[$i]=$198; //@line 337 "dwt.c"
        __label__ = 0; break; //@line 337 "dwt.c"
      case 0: // $bb13
        var $199=HEAP[$i]; //@line 337 "dwt.c"
        var $200=HEAP[$l]; //@line 337 "dwt.c"
        var $201=($199) < ($200); //@line 337 "dwt.c"
        if ($201) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 337 "dwt.c"
      case 14: // $bb14
        __label__ = 15; break; //@line 376 "dwt.c"
      case 15: // $return
        STACKTOP = __stackBase__;
        return; //@line 376 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _dwt_decode($tilec, $numres) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tilec_addr=__stackBase__;
        var $numres_addr=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$tilec_addr]=$tilec;
        HEAP[$numres_addr]=$numres;
        var $0=HEAP[$tilec_addr]; //@line 383 "dwt.c"
        var $1=HEAP[$numres_addr]; //@line 383 "dwt.c"
        _dwt_decode_tile($0, $1, 8); //@line 383 "dwt.c"
        __label__ = 0; break; //@line 384 "dwt.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 384 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _dwt_getgain($orient) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $orient_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$orient_addr]=$orient;
        var $1=HEAP[$orient_addr]; //@line 391 "dwt.c"
        var $2=($1)==0; //@line 391 "dwt.c"
        if ($2) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 391 "dwt.c"
      case 0: // $bb
        HEAP[$0]=0; //@line 392 "dwt.c"
        __label__ = 2; break; //@line 392 "dwt.c"
      case 1: // $bb1
        var $3=HEAP[$orient_addr]; //@line 393 "dwt.c"
        var $4=($3)==1; //@line 393 "dwt.c"
        if ($4) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 393 "dwt.c"
      case 4: // $bb2
        var $5=HEAP[$orient_addr]; //@line 393 "dwt.c"
        var $6=($5)==2; //@line 393 "dwt.c"
        if ($6) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 393 "dwt.c"
      case 3: // $bb3
        HEAP[$0]=1; //@line 394 "dwt.c"
        __label__ = 2; break; //@line 394 "dwt.c"
      case 5: // $bb4
        HEAP[$0]=2; //@line 395 "dwt.c"
        __label__ = 2; break; //@line 395 "dwt.c"
      case 2: // $bb5
        var $7=HEAP[$0]; //@line 392 "dwt.c"
        HEAP[$retval]=$7; //@line 392 "dwt.c"
        __label__ = 6; break; //@line 392 "dwt.c"
      case 6: // $return
        var $retval6=HEAP[$retval]; //@line 392 "dwt.c"
        STACKTOP = __stackBase__;
        return $retval6; //@line 392 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _dwt_getnorm($level, $orient) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $level_addr=__stackBase__;
        var $orient_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+16;
        var $_alloca_point_=0;
        HEAP[$level_addr]=$level;
        HEAP[$orient_addr]=$orient;
        var $1=HEAP[$orient_addr]; //@line 402 "dwt.c"
        var $2=HEAP[$level_addr]; //@line 402 "dwt.c"
        var $3=CHECK_OVERFLOW((_dwt_norms+$1*80)&4294967295, 32); //@line 402 "dwt.c"
        var $4=CHECK_OVERFLOW(($3+$2*8)&4294967295, 32); //@line 402 "dwt.c"
        var $5=HEAP[$4]; //@line 402 "dwt.c"
        HEAP[$0]=$5; //@line 402 "dwt.c"
        var $6=HEAP[$0]; //@line 402 "dwt.c"
        HEAP[$retval]=$6; //@line 402 "dwt.c"
        __label__ = 0; break; //@line 402 "dwt.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 402 "dwt.c"
        STACKTOP = __stackBase__;
        return $retval1; //@line 402 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _dwt_encode_real($tilec) {
    var __stackBase__  = STACKTOP; STACKTOP += 68; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 68);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tilec_addr=__stackBase__;
        var $i=__stackBase__+4;
        var $j=__stackBase__+8;
        var $k=__stackBase__+12;
        var $a=__stackBase__+16;
        var $aj=__stackBase__+20;
        var $bj=__stackBase__+24;
        var $w=__stackBase__+28;
        var $l=__stackBase__+32;
        var $rw=__stackBase__+36;
        var $rh=__stackBase__+40;
        var $rw1=__stackBase__+44;
        var $rh1=__stackBase__+48;
        var $cas_col=__stackBase__+52;
        var $cas_row=__stackBase__+56;
        var $dn=__stackBase__+60;
        var $sn=__stackBase__+64;
        var $_alloca_point_=0;
        HEAP[$tilec_addr]=$tilec;
        HEAP[$a]=0; //@line 411 "dwt.c"
        HEAP[$aj]=0; //@line 412 "dwt.c"
        HEAP[$bj]=0; //@line 413 "dwt.c"
        var $0=HEAP[$tilec_addr]; //@line 416 "dwt.c"
        var $1=CHECK_OVERFLOW(($0+8)&4294967295, 32); //@line 416 "dwt.c"
        var $2=HEAP[$1]; //@line 416 "dwt.c"
        var $3=HEAP[$tilec_addr]; //@line 416 "dwt.c"
        var $4=CHECK_OVERFLOW(($3)&4294967295, 32); //@line 416 "dwt.c"
        var $5=HEAP[$4]; //@line 416 "dwt.c"
        var $6=CHECK_OVERFLOW((($2) - ($5))&4294967295, 32); //@line 416 "dwt.c"
        HEAP[$w]=$6; //@line 416 "dwt.c"
        var $7=HEAP[$tilec_addr]; //@line 417 "dwt.c"
        var $8=CHECK_OVERFLOW(($7+16)&4294967295, 32); //@line 417 "dwt.c"
        var $9=HEAP[$8]; //@line 417 "dwt.c"
        var $10=CHECK_OVERFLOW((($9) - 1)&4294967295, 32); //@line 417 "dwt.c"
        HEAP[$l]=$10; //@line 417 "dwt.c"
        var $11=HEAP[$tilec_addr]; //@line 418 "dwt.c"
        var $12=CHECK_OVERFLOW(($11+24)&4294967295, 32); //@line 418 "dwt.c"
        var $13=HEAP[$12]; //@line 418 "dwt.c"
        HEAP[$a]=$13; //@line 418 "dwt.c"
        HEAP[$i]=0; //@line 420 "dwt.c"
        __label__ = 0; break; //@line 420 "dwt.c"
      case 13: // $bb
        var $14=HEAP[$tilec_addr]; //@line 429 "dwt.c"
        var $15=CHECK_OVERFLOW(($14+20)&4294967295, 32); //@line 429 "dwt.c"
        var $16=HEAP[$15]; //@line 429 "dwt.c"
        var $17=HEAP[$l]; //@line 429 "dwt.c"
        var $18=HEAP[$i]; //@line 429 "dwt.c"
        var $19=CHECK_OVERFLOW((($17) - ($18))&4294967295, 32); //@line 429 "dwt.c"
        var $20=CHECK_OVERFLOW(($16+124*$19)&4294967295, 32); //@line 429 "dwt.c"
        var $21=CHECK_OVERFLOW(($20+8)&4294967295, 32); //@line 429 "dwt.c"
        var $22=HEAP[$21]; //@line 429 "dwt.c"
        var $23=HEAP[$tilec_addr]; //@line 429 "dwt.c"
        var $24=CHECK_OVERFLOW(($23+20)&4294967295, 32); //@line 429 "dwt.c"
        var $25=HEAP[$24]; //@line 429 "dwt.c"
        var $26=HEAP[$l]; //@line 429 "dwt.c"
        var $27=HEAP[$i]; //@line 429 "dwt.c"
        var $28=CHECK_OVERFLOW((($26) - ($27))&4294967295, 32); //@line 429 "dwt.c"
        var $29=CHECK_OVERFLOW(($25+124*$28)&4294967295, 32); //@line 429 "dwt.c"
        var $30=CHECK_OVERFLOW(($29)&4294967295, 32); //@line 429 "dwt.c"
        var $31=HEAP[$30]; //@line 429 "dwt.c"
        var $32=CHECK_OVERFLOW((($22) - ($31))&4294967295, 32); //@line 429 "dwt.c"
        HEAP[$rw]=$32; //@line 429 "dwt.c"
        var $33=HEAP[$tilec_addr]; //@line 430 "dwt.c"
        var $34=CHECK_OVERFLOW(($33+20)&4294967295, 32); //@line 430 "dwt.c"
        var $35=HEAP[$34]; //@line 430 "dwt.c"
        var $36=HEAP[$l]; //@line 430 "dwt.c"
        var $37=HEAP[$i]; //@line 430 "dwt.c"
        var $38=CHECK_OVERFLOW((($36) - ($37))&4294967295, 32); //@line 430 "dwt.c"
        var $39=CHECK_OVERFLOW(($35+124*$38)&4294967295, 32); //@line 430 "dwt.c"
        var $40=CHECK_OVERFLOW(($39+12)&4294967295, 32); //@line 430 "dwt.c"
        var $41=HEAP[$40]; //@line 430 "dwt.c"
        var $42=HEAP[$tilec_addr]; //@line 430 "dwt.c"
        var $43=CHECK_OVERFLOW(($42+20)&4294967295, 32); //@line 430 "dwt.c"
        var $44=HEAP[$43]; //@line 430 "dwt.c"
        var $45=HEAP[$l]; //@line 430 "dwt.c"
        var $46=HEAP[$i]; //@line 430 "dwt.c"
        var $47=CHECK_OVERFLOW((($45) - ($46))&4294967295, 32); //@line 430 "dwt.c"
        var $48=CHECK_OVERFLOW(($44+124*$47)&4294967295, 32); //@line 430 "dwt.c"
        var $49=CHECK_OVERFLOW(($48+4)&4294967295, 32); //@line 430 "dwt.c"
        var $50=HEAP[$49]; //@line 430 "dwt.c"
        var $51=CHECK_OVERFLOW((($41) - ($50))&4294967295, 32); //@line 430 "dwt.c"
        HEAP[$rh]=$51; //@line 430 "dwt.c"
        var $52=HEAP[$tilec_addr]; //@line 431 "dwt.c"
        var $53=CHECK_OVERFLOW(($52+20)&4294967295, 32); //@line 431 "dwt.c"
        var $54=HEAP[$53]; //@line 431 "dwt.c"
        var $55=HEAP[$l]; //@line 431 "dwt.c"
        var $56=HEAP[$i]; //@line 431 "dwt.c"
        var $57=CHECK_OVERFLOW((($55) - ($56))&4294967295, 32); //@line 431 "dwt.c"
        var $58=CHECK_OVERFLOW((($57) - 1)&4294967295, 32); //@line 431 "dwt.c"
        var $59=CHECK_OVERFLOW(($54+124*$58)&4294967295, 32); //@line 431 "dwt.c"
        var $60=CHECK_OVERFLOW(($59+8)&4294967295, 32); //@line 431 "dwt.c"
        var $61=HEAP[$60]; //@line 431 "dwt.c"
        var $62=HEAP[$tilec_addr]; //@line 431 "dwt.c"
        var $63=CHECK_OVERFLOW(($62+20)&4294967295, 32); //@line 431 "dwt.c"
        var $64=HEAP[$63]; //@line 431 "dwt.c"
        var $65=HEAP[$l]; //@line 431 "dwt.c"
        var $66=HEAP[$i]; //@line 431 "dwt.c"
        var $67=CHECK_OVERFLOW((($65) - ($66))&4294967295, 32); //@line 431 "dwt.c"
        var $68=CHECK_OVERFLOW((($67) - 1)&4294967295, 32); //@line 431 "dwt.c"
        var $69=CHECK_OVERFLOW(($64+124*$68)&4294967295, 32); //@line 431 "dwt.c"
        var $70=CHECK_OVERFLOW(($69)&4294967295, 32); //@line 431 "dwt.c"
        var $71=HEAP[$70]; //@line 431 "dwt.c"
        var $72=CHECK_OVERFLOW((($61) - ($71))&4294967295, 32); //@line 431 "dwt.c"
        HEAP[$rw1]=$72; //@line 431 "dwt.c"
        var $73=HEAP[$tilec_addr]; //@line 432 "dwt.c"
        var $74=CHECK_OVERFLOW(($73+20)&4294967295, 32); //@line 432 "dwt.c"
        var $75=HEAP[$74]; //@line 432 "dwt.c"
        var $76=HEAP[$l]; //@line 432 "dwt.c"
        var $77=HEAP[$i]; //@line 432 "dwt.c"
        var $78=CHECK_OVERFLOW((($76) - ($77))&4294967295, 32); //@line 432 "dwt.c"
        var $79=CHECK_OVERFLOW((($78) - 1)&4294967295, 32); //@line 432 "dwt.c"
        var $80=CHECK_OVERFLOW(($75+124*$79)&4294967295, 32); //@line 432 "dwt.c"
        var $81=CHECK_OVERFLOW(($80+12)&4294967295, 32); //@line 432 "dwt.c"
        var $82=HEAP[$81]; //@line 432 "dwt.c"
        var $83=HEAP[$tilec_addr]; //@line 432 "dwt.c"
        var $84=CHECK_OVERFLOW(($83+20)&4294967295, 32); //@line 432 "dwt.c"
        var $85=HEAP[$84]; //@line 432 "dwt.c"
        var $86=HEAP[$l]; //@line 432 "dwt.c"
        var $87=HEAP[$i]; //@line 432 "dwt.c"
        var $88=CHECK_OVERFLOW((($86) - ($87))&4294967295, 32); //@line 432 "dwt.c"
        var $89=CHECK_OVERFLOW((($88) - 1)&4294967295, 32); //@line 432 "dwt.c"
        var $90=CHECK_OVERFLOW(($85+124*$89)&4294967295, 32); //@line 432 "dwt.c"
        var $91=CHECK_OVERFLOW(($90+4)&4294967295, 32); //@line 432 "dwt.c"
        var $92=HEAP[$91]; //@line 432 "dwt.c"
        var $93=CHECK_OVERFLOW((($82) - ($92))&4294967295, 32); //@line 432 "dwt.c"
        HEAP[$rh1]=$93; //@line 432 "dwt.c"
        var $94=HEAP[$tilec_addr]; //@line 434 "dwt.c"
        var $95=CHECK_OVERFLOW(($94+20)&4294967295, 32); //@line 434 "dwt.c"
        var $96=HEAP[$95]; //@line 434 "dwt.c"
        var $97=HEAP[$l]; //@line 434 "dwt.c"
        var $98=HEAP[$i]; //@line 434 "dwt.c"
        var $99=CHECK_OVERFLOW((($97) - ($98))&4294967295, 32); //@line 434 "dwt.c"
        var $100=CHECK_OVERFLOW(($96+124*$99)&4294967295, 32); //@line 434 "dwt.c"
        var $101=CHECK_OVERFLOW(($100)&4294967295, 32); //@line 434 "dwt.c"
        var $102=HEAP[$101]; //@line 434 "dwt.c"
        var $103=($102) % 2; //@line 434 "dwt.c"
        HEAP[$cas_row]=$103; //@line 434 "dwt.c"
        var $104=HEAP[$tilec_addr]; //@line 435 "dwt.c"
        var $105=CHECK_OVERFLOW(($104+20)&4294967295, 32); //@line 435 "dwt.c"
        var $106=HEAP[$105]; //@line 435 "dwt.c"
        var $107=HEAP[$l]; //@line 435 "dwt.c"
        var $108=HEAP[$i]; //@line 435 "dwt.c"
        var $109=CHECK_OVERFLOW((($107) - ($108))&4294967295, 32); //@line 435 "dwt.c"
        var $110=CHECK_OVERFLOW(($106+124*$109)&4294967295, 32); //@line 435 "dwt.c"
        var $111=CHECK_OVERFLOW(($110+4)&4294967295, 32); //@line 435 "dwt.c"
        var $112=HEAP[$111]; //@line 435 "dwt.c"
        var $113=($112) % 2; //@line 435 "dwt.c"
        HEAP[$cas_col]=$113; //@line 435 "dwt.c"
        var $114=HEAP[$rh1]; //@line 437 "dwt.c"
        HEAP[$sn]=$114; //@line 437 "dwt.c"
        var $115=HEAP[$rh]; //@line 438 "dwt.c"
        var $116=HEAP[$rh1]; //@line 438 "dwt.c"
        var $117=CHECK_OVERFLOW((($115) - ($116))&4294967295, 32); //@line 438 "dwt.c"
        HEAP[$dn]=$117; //@line 438 "dwt.c"
        var $118=HEAP[$rh]; //@line 439 "dwt.c"
        var $119=CHECK_OVERFLOW((($118) * 4)&4294967295, 32); //@line 439 "dwt.c"
        var $120=_malloc($119); //@line 439 "dwt.c"
        var $121=$120; //@line 439 "dwt.c"
        HEAP[$bj]=$121; //@line 439 "dwt.c"
        HEAP[$j]=0; //@line 440 "dwt.c"
        __label__ = 1; break; //@line 440 "dwt.c"
      case 5: // $bb1
        var $122=HEAP[$a]; //@line 441 "dwt.c"
        var $123=HEAP[$j]; //@line 441 "dwt.c"
        var $124=CHECK_OVERFLOW(($122+4*$123)&4294967295, 32); //@line 441 "dwt.c"
        HEAP[$aj]=$124; //@line 441 "dwt.c"
        HEAP[$k]=0; //@line 442 "dwt.c"
        __label__ = 2; break; //@line 442 "dwt.c"
      case 3: // $bb2
        var $125=HEAP[$k]; //@line 442 "dwt.c"
        var $126=HEAP[$w]; //@line 442 "dwt.c"
        var $127=CHECK_OVERFLOW((($125) * ($126))&4294967295, 32); //@line 442 "dwt.c"
        var $128=HEAP[$aj]; //@line 442 "dwt.c"
        var $129=CHECK_OVERFLOW(($128+4*$127)&4294967295, 32); //@line 442 "dwt.c"
        var $130=HEAP[$129]; //@line 442 "dwt.c"
        var $131=HEAP[$bj]; //@line 442 "dwt.c"
        var $132=HEAP[$k]; //@line 442 "dwt.c"
        var $133=CHECK_OVERFLOW(($131+4*$132)&4294967295, 32); //@line 442 "dwt.c"
        HEAP[$133]=$130; //@line 442 "dwt.c"
        var $134=HEAP[$k]; //@line 442 "dwt.c"
        var $135=CHECK_OVERFLOW((($134) + 1)&4294967295, 32); //@line 442 "dwt.c"
        HEAP[$k]=$135; //@line 442 "dwt.c"
        __label__ = 2; break; //@line 442 "dwt.c"
      case 2: // $bb3
        var $136=HEAP[$k]; //@line 442 "dwt.c"
        var $137=HEAP[$rh]; //@line 442 "dwt.c"
        var $138=($136) < ($137); //@line 442 "dwt.c"
        if ($138) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 442 "dwt.c"
      case 4: // $bb4
        var $139=HEAP[$bj]; //@line 443 "dwt.c"
        var $140=HEAP[$dn]; //@line 443 "dwt.c"
        var $141=HEAP[$sn]; //@line 443 "dwt.c"
        var $142=HEAP[$cas_col]; //@line 443 "dwt.c"
        _dwt_encode_1_real($139, $140, $141, $142); //@line 443 "dwt.c"
        var $143=HEAP[$bj]; //@line 444 "dwt.c"
        var $144=HEAP[$aj]; //@line 444 "dwt.c"
        var $145=HEAP[$dn]; //@line 444 "dwt.c"
        var $146=HEAP[$sn]; //@line 444 "dwt.c"
        var $147=HEAP[$w]; //@line 444 "dwt.c"
        var $148=HEAP[$cas_col]; //@line 444 "dwt.c"
        _dwt_deinterleave_v($143, $144, $145, $146, $147, $148); //@line 444 "dwt.c"
        var $149=HEAP[$j]; //@line 440 "dwt.c"
        var $150=CHECK_OVERFLOW((($149) + 1)&4294967295, 32); //@line 440 "dwt.c"
        HEAP[$j]=$150; //@line 440 "dwt.c"
        __label__ = 1; break; //@line 440 "dwt.c"
      case 1: // $bb5
        var $151=HEAP[$j]; //@line 440 "dwt.c"
        var $152=HEAP[$rw]; //@line 440 "dwt.c"
        var $153=($151) < ($152); //@line 440 "dwt.c"
        if ($153) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 440 "dwt.c"
      case 6: // $bb6
        var $154=HEAP[$bj]; //@line 446 "dwt.c"
        var $155=$154; //@line 446 "dwt.c"
        _free($155); //@line 446 "dwt.c"
        var $156=HEAP[$rw1]; //@line 448 "dwt.c"
        HEAP[$sn]=$156; //@line 448 "dwt.c"
        var $157=HEAP[$rw]; //@line 449 "dwt.c"
        var $158=HEAP[$rw1]; //@line 449 "dwt.c"
        var $159=CHECK_OVERFLOW((($157) - ($158))&4294967295, 32); //@line 449 "dwt.c"
        HEAP[$dn]=$159; //@line 449 "dwt.c"
        var $160=HEAP[$rw]; //@line 450 "dwt.c"
        var $161=CHECK_OVERFLOW((($160) * 4)&4294967295, 32); //@line 450 "dwt.c"
        var $162=_malloc($161); //@line 450 "dwt.c"
        var $163=$162; //@line 450 "dwt.c"
        HEAP[$bj]=$163; //@line 450 "dwt.c"
        HEAP[$j]=0; //@line 451 "dwt.c"
        __label__ = 7; break; //@line 451 "dwt.c"
      case 11: // $bb7
        var $164=HEAP[$j]; //@line 452 "dwt.c"
        var $165=HEAP[$w]; //@line 452 "dwt.c"
        var $166=CHECK_OVERFLOW((($164) * ($165))&4294967295, 32); //@line 452 "dwt.c"
        var $167=HEAP[$a]; //@line 452 "dwt.c"
        var $168=CHECK_OVERFLOW(($167+4*$166)&4294967295, 32); //@line 452 "dwt.c"
        HEAP[$aj]=$168; //@line 452 "dwt.c"
        HEAP[$k]=0; //@line 453 "dwt.c"
        __label__ = 8; break; //@line 453 "dwt.c"
      case 9: // $bb8
        var $169=HEAP[$aj]; //@line 453 "dwt.c"
        var $170=HEAP[$k]; //@line 453 "dwt.c"
        var $171=CHECK_OVERFLOW(($169+4*$170)&4294967295, 32); //@line 453 "dwt.c"
        var $172=HEAP[$171]; //@line 453 "dwt.c"
        var $173=HEAP[$bj]; //@line 453 "dwt.c"
        var $174=HEAP[$k]; //@line 453 "dwt.c"
        var $175=CHECK_OVERFLOW(($173+4*$174)&4294967295, 32); //@line 453 "dwt.c"
        HEAP[$175]=$172; //@line 453 "dwt.c"
        var $176=HEAP[$k]; //@line 453 "dwt.c"
        var $177=CHECK_OVERFLOW((($176) + 1)&4294967295, 32); //@line 453 "dwt.c"
        HEAP[$k]=$177; //@line 453 "dwt.c"
        __label__ = 8; break; //@line 453 "dwt.c"
      case 8: // $bb9
        var $178=HEAP[$k]; //@line 453 "dwt.c"
        var $179=HEAP[$rw]; //@line 453 "dwt.c"
        var $180=($178) < ($179); //@line 453 "dwt.c"
        if ($180) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 453 "dwt.c"
      case 10: // $bb10
        var $181=HEAP[$bj]; //@line 454 "dwt.c"
        var $182=HEAP[$dn]; //@line 454 "dwt.c"
        var $183=HEAP[$sn]; //@line 454 "dwt.c"
        var $184=HEAP[$cas_row]; //@line 454 "dwt.c"
        _dwt_encode_1_real($181, $182, $183, $184); //@line 454 "dwt.c"
        var $185=HEAP[$bj]; //@line 455 "dwt.c"
        var $186=HEAP[$aj]; //@line 455 "dwt.c"
        var $187=HEAP[$dn]; //@line 455 "dwt.c"
        var $188=HEAP[$sn]; //@line 455 "dwt.c"
        var $189=HEAP[$cas_row]; //@line 455 "dwt.c"
        _dwt_deinterleave_h($185, $186, $187, $188, $189); //@line 455 "dwt.c"
        var $190=HEAP[$j]; //@line 451 "dwt.c"
        var $191=CHECK_OVERFLOW((($190) + 1)&4294967295, 32); //@line 451 "dwt.c"
        HEAP[$j]=$191; //@line 451 "dwt.c"
        __label__ = 7; break; //@line 451 "dwt.c"
      case 7: // $bb11
        var $192=HEAP[$j]; //@line 451 "dwt.c"
        var $193=HEAP[$rh]; //@line 451 "dwt.c"
        var $194=($192) < ($193); //@line 451 "dwt.c"
        if ($194) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 451 "dwt.c"
      case 12: // $bb12
        var $195=HEAP[$bj]; //@line 457 "dwt.c"
        var $196=$195; //@line 457 "dwt.c"
        _free($196); //@line 457 "dwt.c"
        var $197=HEAP[$i]; //@line 420 "dwt.c"
        var $198=CHECK_OVERFLOW((($197) + 1)&4294967295, 32); //@line 420 "dwt.c"
        HEAP[$i]=$198; //@line 420 "dwt.c"
        __label__ = 0; break; //@line 420 "dwt.c"
      case 0: // $bb13
        var $199=HEAP[$i]; //@line 420 "dwt.c"
        var $200=HEAP[$l]; //@line 420 "dwt.c"
        var $201=($199) < ($200); //@line 420 "dwt.c"
        if ($201) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 420 "dwt.c"
      case 14: // $bb14
        __label__ = 15; break; //@line 459 "dwt.c"
      case 15: // $return
        STACKTOP = __stackBase__;
        return; //@line 459 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _dwt_getgain_real($orient) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $orient_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$orient_addr]=$orient;
        HEAP[$0]=0; //@line 467 "dwt.c"
        var $1=HEAP[$0]; //@line 467 "dwt.c"
        HEAP[$retval]=$1; //@line 467 "dwt.c"
        __label__ = 0; break; //@line 467 "dwt.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 467 "dwt.c"
        STACKTOP = __stackBase__;
        return $retval1; //@line 467 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _dwt_getnorm_real($level, $orient) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $level_addr=__stackBase__;
        var $orient_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+16;
        var $_alloca_point_=0;
        HEAP[$level_addr]=$level;
        HEAP[$orient_addr]=$orient;
        var $1=HEAP[$orient_addr]; //@line 474 "dwt.c"
        var $2=HEAP[$level_addr]; //@line 474 "dwt.c"
        var $3=CHECK_OVERFLOW((_dwt_norms_real+$1*80)&4294967295, 32); //@line 474 "dwt.c"
        var $4=CHECK_OVERFLOW(($3+$2*8)&4294967295, 32); //@line 474 "dwt.c"
        var $5=HEAP[$4]; //@line 474 "dwt.c"
        HEAP[$0]=$5; //@line 474 "dwt.c"
        var $6=HEAP[$0]; //@line 474 "dwt.c"
        HEAP[$retval]=$6; //@line 474 "dwt.c"
        __label__ = 0; break; //@line 474 "dwt.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 474 "dwt.c"
        STACKTOP = __stackBase__;
        return $retval1; //@line 474 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _dwt_calc_explicit_stepsizes($tccp, $prec) {
    var __stackBase__  = STACKTOP; STACKTOP += 68; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 68);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tccp_addr=__stackBase__;
        var $prec_addr=__stackBase__+4;
        var $iftmp_77=__stackBase__+8;
        var $iftmp_76=__stackBase__+12;
        var $iftmp_75=__stackBase__+16;
        var $iftmp_74=__stackBase__+20;
        var $iftmp_73=__stackBase__+24;
        var $numbands=__stackBase__+28;
        var $bandno=__stackBase__+32;
        var $stepsize=__stackBase__+36;
        var $resno=__stackBase__+44;
        var $level=__stackBase__+48;
        var $orient=__stackBase__+52;
        var $gain=__stackBase__+56;
        var $norm=__stackBase__+60;
        var $_alloca_point_=0;
        HEAP[$tccp_addr]=$tccp;
        HEAP[$prec_addr]=$prec;
        var $0=HEAP[$tccp_addr]; //@line 479 "dwt.c"
        var $1=CHECK_OVERFLOW(($0+4)&4294967295, 32); //@line 479 "dwt.c"
        var $2=HEAP[$1]; //@line 479 "dwt.c"
        var $3=CHECK_OVERFLOW((($2) * 3)&4294967295, 32); //@line 479 "dwt.c"
        var $4=CHECK_OVERFLOW((($3) - 2)&4294967295, 32); //@line 479 "dwt.c"
        HEAP[$numbands]=$4; //@line 479 "dwt.c"
        HEAP[$bandno]=0; //@line 480 "dwt.c"
        __label__ = 0; break; //@line 480 "dwt.c"
      case 20: // $bb
        var $5=HEAP[$bandno]; //@line 484 "dwt.c"
        var $6=($5)!=0; //@line 484 "dwt.c"
        if ($6) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 484 "dwt.c"
      case 1: // $bb1
        var $7=HEAP[$bandno]; //@line 484 "dwt.c"
        var $8=CHECK_OVERFLOW((($7) - 1)&4294967295, 32); //@line 484 "dwt.c"
        var $9=(($8)/3|0); //@line 484 "dwt.c"
        var $10=CHECK_OVERFLOW((($9) + 1)&4294967295, 32); //@line 484 "dwt.c"
        HEAP[$iftmp_73]=$10; //@line 484 "dwt.c"
        __label__ = 3; break; //@line 484 "dwt.c"
      case 2: // $bb2
        HEAP[$iftmp_73]=0; //@line 484 "dwt.c"
        __label__ = 3; break; //@line 484 "dwt.c"
      case 3: // $bb3
        var $11=HEAP[$iftmp_73]; //@line 484 "dwt.c"
        HEAP[$resno]=$11; //@line 484 "dwt.c"
        var $12=HEAP[$bandno]; //@line 485 "dwt.c"
        var $13=($12)!=0; //@line 485 "dwt.c"
        if ($13) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 485 "dwt.c"
      case 4: // $bb4
        var $14=HEAP[$bandno]; //@line 485 "dwt.c"
        var $15=CHECK_OVERFLOW((($14) - 1)&4294967295, 32); //@line 485 "dwt.c"
        var $16=($15) % 3; //@line 485 "dwt.c"
        var $17=CHECK_OVERFLOW((($16) + 1)&4294967295, 32); //@line 485 "dwt.c"
        HEAP[$iftmp_74]=$17; //@line 485 "dwt.c"
        __label__ = 6; break; //@line 485 "dwt.c"
      case 5: // $bb5
        HEAP[$iftmp_74]=0; //@line 485 "dwt.c"
        __label__ = 6; break; //@line 485 "dwt.c"
      case 6: // $bb6
        var $18=HEAP[$iftmp_74]; //@line 485 "dwt.c"
        HEAP[$orient]=$18; //@line 485 "dwt.c"
        var $19=HEAP[$tccp_addr]; //@line 486 "dwt.c"
        var $20=CHECK_OVERFLOW(($19+4)&4294967295, 32); //@line 486 "dwt.c"
        var $21=HEAP[$20]; //@line 486 "dwt.c"
        var $22=CHECK_OVERFLOW((($21) - 1)&4294967295, 32); //@line 486 "dwt.c"
        var $23=HEAP[$resno]; //@line 486 "dwt.c"
        var $24=CHECK_OVERFLOW((($22) - ($23))&4294967295, 32); //@line 486 "dwt.c"
        HEAP[$level]=$24; //@line 486 "dwt.c"
        var $25=HEAP[$tccp_addr]; //@line 487 "dwt.c"
        var $26=CHECK_OVERFLOW(($25+20)&4294967295, 32); //@line 487 "dwt.c"
        var $27=HEAP[$26]; //@line 487 "dwt.c"
        var $28=($27)!=0; //@line 487 "dwt.c"
        if ($28) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 487 "dwt.c"
      case 7: // $bb7
        var $29=HEAP[$orient]; //@line 487 "dwt.c"
        var $30=($29)!=0; //@line 487 "dwt.c"
        if ($30) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 487 "dwt.c"
      case 9: // $bb8
        var $31=HEAP[$orient]; //@line 487 "dwt.c"
        var $32=($31)==1; //@line 487 "dwt.c"
        if ($32) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 487 "dwt.c"
      case 12: // $bb9
        var $33=HEAP[$orient]; //@line 487 "dwt.c"
        var $34=($33)==2; //@line 487 "dwt.c"
        if ($34) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 487 "dwt.c"
      case 11: // $bb10
        HEAP[$iftmp_77]=1; //@line 487 "dwt.c"
        __label__ = 14; break; //@line 487 "dwt.c"
      case 13: // $bb11
        HEAP[$iftmp_77]=2; //@line 487 "dwt.c"
        __label__ = 14; break; //@line 487 "dwt.c"
      case 14: // $bb12
        var $35=HEAP[$iftmp_77]; //@line 487 "dwt.c"
        HEAP[$iftmp_76]=$35; //@line 487 "dwt.c"
        __label__ = 15; break; //@line 487 "dwt.c"
      case 10: // $bb13
        HEAP[$iftmp_76]=0; //@line 487 "dwt.c"
        __label__ = 15; break; //@line 487 "dwt.c"
      case 15: // $bb14
        var $36=HEAP[$iftmp_76]; //@line 487 "dwt.c"
        HEAP[$iftmp_75]=$36; //@line 487 "dwt.c"
        __label__ = 16; break; //@line 487 "dwt.c"
      case 8: // $bb15
        HEAP[$iftmp_75]=0; //@line 487 "dwt.c"
        __label__ = 16; break; //@line 487 "dwt.c"
      case 16: // $bb16
        var $37=HEAP[$iftmp_75]; //@line 487 "dwt.c"
        HEAP[$gain]=$37; //@line 487 "dwt.c"
        var $38=HEAP[$tccp_addr]; //@line 488 "dwt.c"
        var $39=CHECK_OVERFLOW(($38+24)&4294967295, 32); //@line 488 "dwt.c"
        var $40=HEAP[$39]; //@line 488 "dwt.c"
        var $41=($40)==0; //@line 488 "dwt.c"
        if ($41) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 488 "dwt.c"
      case 17: // $bb17
        HEAP[$stepsize]=1; //@line 489 "dwt.c"
        __label__ = 19; break; //@line 489 "dwt.c"
      case 18: // $bb18
        var $42=HEAP[$orient]; //@line 491 "dwt.c"
        var $43=HEAP[$level]; //@line 491 "dwt.c"
        var $44=CHECK_OVERFLOW((_dwt_norms_real+$42*80)&4294967295, 32); //@line 491 "dwt.c"
        var $45=CHECK_OVERFLOW(($44+$43*8)&4294967295, 32); //@line 491 "dwt.c"
        var $46=HEAP[$45]; //@line 491 "dwt.c"
        HEAP[$norm]=$46; //@line 491 "dwt.c"
        var $47=HEAP[$gain]; //@line 492 "dwt.c"
        var $48=1 << ($47); //@line 492 "dwt.c"
        var $49=($48); //@line 492 "dwt.c"
        var $50=HEAP[$norm]; //@line 492 "dwt.c"
        var $51=($49) / ($50); //@line 492 "dwt.c"
        HEAP[$stepsize]=$51; //@line 492 "dwt.c"
        __label__ = 19; break; //@line 492 "dwt.c"
      case 19: // $bb19
        var $52=HEAP[$bandno]; //@line 494 "dwt.c"
        var $53=HEAP[$tccp_addr]; //@line 494 "dwt.c"
        var $54=CHECK_OVERFLOW(($53+28)&4294967295, 32); //@line 494 "dwt.c"
        var $55=CHECK_OVERFLOW(($54+$52*8)&4294967295, 32); //@line 494 "dwt.c"
        var $56=HEAP[$prec_addr]; //@line 494 "dwt.c"
        var $57=HEAP[$gain]; //@line 494 "dwt.c"
        var $58=CHECK_OVERFLOW((($56) + ($57))&4294967295, 32); //@line 494 "dwt.c"
        var $59=HEAP[$stepsize]; //@line 494 "dwt.c"
        var $60=($59) * 8192; //@line 494 "dwt.c"
        var $61=_floor($60); //@line 494 "dwt.c"
        var $62=(($61)|0); //@line 494 "dwt.c"
        _dwt_encode_stepsize($62, $58, $55); //@line 494 "dwt.c"
        var $63=HEAP[$bandno]; //@line 480 "dwt.c"
        var $64=CHECK_OVERFLOW((($63) + 1)&4294967295, 32); //@line 480 "dwt.c"
        HEAP[$bandno]=$64; //@line 480 "dwt.c"
        __label__ = 0; break; //@line 480 "dwt.c"
      case 0: // $bb20
        var $65=HEAP[$bandno]; //@line 480 "dwt.c"
        var $66=HEAP[$numbands]; //@line 480 "dwt.c"
        var $67=($65) < ($66); //@line 480 "dwt.c"
        if ($67) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 480 "dwt.c"
      case 21: // $bb21
        __label__ = 22; break; //@line 496 "dwt.c"
      case 22: // $return
        STACKTOP = __stackBase__;
        return; //@line 496 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _dwt_decode_max_resolution($r, $i) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $r_addr=__stackBase__;
        var $i_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $mr=__stackBase__+16;
        var $w=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$r_addr]=$r;
        HEAP[$i_addr]=$i;
        HEAP[$mr]=1; //@line 503 "dwt.c"
        __label__ = 0; break; //@line 503 "dwt.c"
      case 4: // $bb
        var $1=HEAP[$r_addr]; //@line 506 "dwt.c"
        var $2=CHECK_OVERFLOW(($1+124)&4294967295, 32); //@line 506 "dwt.c"
        HEAP[$r_addr]=$2; //@line 506 "dwt.c"
        var $3=HEAP[$r_addr]; //@line 507 "dwt.c"
        var $4=CHECK_OVERFLOW(($3+8)&4294967295, 32); //@line 507 "dwt.c"
        var $5=HEAP[$4]; //@line 507 "dwt.c"
        var $6=HEAP[$r_addr]; //@line 507 "dwt.c"
        var $7=CHECK_OVERFLOW(($6)&4294967295, 32); //@line 507 "dwt.c"
        var $8=HEAP[$7]; //@line 507 "dwt.c"
        var $9=CHECK_OVERFLOW((($5) - ($8))&4294967295, 32); //@line 507 "dwt.c"
        HEAP[$w]=$9; //@line 507 "dwt.c"
        var $10=HEAP[$w]; //@line 507 "dwt.c"
        var $11=HEAP[$mr]; //@line 507 "dwt.c"
        var $12=($10) > ($11); //@line 507 "dwt.c"
        if ($12) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 507 "dwt.c"
      case 1: // $bb1
        var $13=HEAP[$w]; //@line 508 "dwt.c"
        HEAP[$mr]=$13; //@line 508 "dwt.c"
        __label__ = 2; break; //@line 508 "dwt.c"
      case 2: // $bb2
        var $14=HEAP[$r_addr]; //@line 509 "dwt.c"
        var $15=CHECK_OVERFLOW(($14+12)&4294967295, 32); //@line 509 "dwt.c"
        var $16=HEAP[$15]; //@line 509 "dwt.c"
        var $17=HEAP[$r_addr]; //@line 509 "dwt.c"
        var $18=CHECK_OVERFLOW(($17+4)&4294967295, 32); //@line 509 "dwt.c"
        var $19=HEAP[$18]; //@line 509 "dwt.c"
        var $20=CHECK_OVERFLOW((($16) - ($19))&4294967295, 32); //@line 509 "dwt.c"
        HEAP[$w]=$20; //@line 509 "dwt.c"
        var $21=HEAP[$w]; //@line 509 "dwt.c"
        var $22=HEAP[$mr]; //@line 509 "dwt.c"
        var $23=($21) > ($22); //@line 509 "dwt.c"
        if ($23) { __label__ = 3; break; } else { __label__ = 0; break; } //@line 509 "dwt.c"
      case 3: // $bb3
        var $24=HEAP[$w]; //@line 510 "dwt.c"
        HEAP[$mr]=$24; //@line 510 "dwt.c"
        __label__ = 0; break; //@line 510 "dwt.c"
      case 0: // $bb4
        var $25=HEAP[$i_addr]; //@line 505 "dwt.c"
        var $26=CHECK_OVERFLOW((($25) - 1)&4294967295, 32); //@line 505 "dwt.c"
        HEAP[$i_addr]=$26; //@line 505 "dwt.c"
        var $27=HEAP[$i_addr]; //@line 505 "dwt.c"
        var $28=($27)!=0; //@line 505 "dwt.c"
        if ($28) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 505 "dwt.c"
      case 5: // $bb5
        var $29=HEAP[$mr]; //@line 512 "dwt.c"
        HEAP[$0]=$29; //@line 512 "dwt.c"
        var $30=HEAP[$0]; //@line 512 "dwt.c"
        HEAP[$retval]=$30; //@line 512 "dwt.c"
        __label__ = 6; break; //@line 512 "dwt.c"
      case 6: // $return
        var $retval6=HEAP[$retval]; //@line 512 "dwt.c"
        STACKTOP = __stackBase__;
        return $retval6; //@line 512 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _dwt_decode_tile($tilec, $numres, $dwt_1D) {
    var __stackBase__  = STACKTOP; STACKTOP += 72; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 72);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tilec_addr=__stackBase__;
        var $numres_addr=__stackBase__+4;
        var $dwt_1D_addr=__stackBase__+8;
        var $h=__stackBase__+12;
        var $v=__stackBase__+28;
        var $tr=__stackBase__+44;
        var $rw=__stackBase__+48;
        var $rh=__stackBase__+52;
        var $w=__stackBase__+56;
        var $tiledp=__stackBase__+60;
        var $j=__stackBase__+64;
        var $k=__stackBase__+68;
        var $_alloca_point_=0;
        HEAP[$tilec_addr]=$tilec;
        HEAP[$numres_addr]=$numres;
        HEAP[$dwt_1D_addr]=$dwt_1D;
        var $0=HEAP[$tilec_addr]; //@line 523 "dwt.c"
        var $1=CHECK_OVERFLOW(($0+20)&4294967295, 32); //@line 523 "dwt.c"
        var $2=HEAP[$1]; //@line 523 "dwt.c"
        HEAP[$tr]=$2; //@line 523 "dwt.c"
        var $3=HEAP[$tr]; //@line 525 "dwt.c"
        var $4=CHECK_OVERFLOW(($3+8)&4294967295, 32); //@line 525 "dwt.c"
        var $5=HEAP[$4]; //@line 525 "dwt.c"
        var $6=HEAP[$tr]; //@line 525 "dwt.c"
        var $7=CHECK_OVERFLOW(($6)&4294967295, 32); //@line 525 "dwt.c"
        var $8=HEAP[$7]; //@line 525 "dwt.c"
        var $9=CHECK_OVERFLOW((($5) - ($8))&4294967295, 32); //@line 525 "dwt.c"
        HEAP[$rw]=$9; //@line 525 "dwt.c"
        var $10=HEAP[$tr]; //@line 526 "dwt.c"
        var $11=CHECK_OVERFLOW(($10+12)&4294967295, 32); //@line 526 "dwt.c"
        var $12=HEAP[$11]; //@line 526 "dwt.c"
        var $13=HEAP[$tr]; //@line 526 "dwt.c"
        var $14=CHECK_OVERFLOW(($13+4)&4294967295, 32); //@line 526 "dwt.c"
        var $15=HEAP[$14]; //@line 526 "dwt.c"
        var $16=CHECK_OVERFLOW((($12) - ($15))&4294967295, 32); //@line 526 "dwt.c"
        HEAP[$rh]=$16; //@line 526 "dwt.c"
        var $17=HEAP[$tilec_addr]; //@line 528 "dwt.c"
        var $18=CHECK_OVERFLOW(($17+8)&4294967295, 32); //@line 528 "dwt.c"
        var $19=HEAP[$18]; //@line 528 "dwt.c"
        var $20=HEAP[$tilec_addr]; //@line 528 "dwt.c"
        var $21=CHECK_OVERFLOW(($20)&4294967295, 32); //@line 528 "dwt.c"
        var $22=HEAP[$21]; //@line 528 "dwt.c"
        var $23=CHECK_OVERFLOW((($19) - ($22))&4294967295, 32); //@line 528 "dwt.c"
        HEAP[$w]=$23; //@line 528 "dwt.c"
        var $24=HEAP[$tr]; //@line 530 "dwt.c"
        var $25=HEAP[$numres_addr]; //@line 530 "dwt.c"
        var $26=_dwt_decode_max_resolution($24, $25); //@line 530 "dwt.c"
        var $27=CHECK_OVERFLOW((($26) * 4)&4294967295, 32); //@line 530 "dwt.c"
        var $28=_memalign(16, $27); //@line 530 "dwt.c"
        var $29=$28; //@line 530 "dwt.c"
        var $30=CHECK_OVERFLOW(($h)&4294967295, 32); //@line 530 "dwt.c"
        HEAP[$30]=$29; //@line 530 "dwt.c"
        var $31=CHECK_OVERFLOW(($h)&4294967295, 32); //@line 531 "dwt.c"
        var $32=HEAP[$31]; //@line 531 "dwt.c"
        var $33=CHECK_OVERFLOW(($v)&4294967295, 32); //@line 531 "dwt.c"
        HEAP[$33]=$32; //@line 531 "dwt.c"
        __label__ = 0; break; //@line 531 "dwt.c"
      case 9: // $bb
        var $34=HEAP[$tilec_addr]; //@line 534 "dwt.c"
        var $35=CHECK_OVERFLOW(($34+24)&4294967295, 32); //@line 534 "dwt.c"
        var $36=HEAP[$35]; //@line 534 "dwt.c"
        HEAP[$tiledp]=$36; //@line 534 "dwt.c"
        var $37=HEAP[$tr]; //@line 537 "dwt.c"
        var $38=CHECK_OVERFLOW(($37+124)&4294967295, 32); //@line 537 "dwt.c"
        HEAP[$tr]=$38; //@line 537 "dwt.c"
        var $39=CHECK_OVERFLOW(($h+8)&4294967295, 32); //@line 538 "dwt.c"
        var $40=HEAP[$rw]; //@line 538 "dwt.c"
        HEAP[$39]=$40; //@line 538 "dwt.c"
        var $41=CHECK_OVERFLOW(($v+8)&4294967295, 32); //@line 539 "dwt.c"
        var $42=HEAP[$rh]; //@line 539 "dwt.c"
        HEAP[$41]=$42; //@line 539 "dwt.c"
        var $43=HEAP[$tr]; //@line 541 "dwt.c"
        var $44=CHECK_OVERFLOW(($43+8)&4294967295, 32); //@line 541 "dwt.c"
        var $45=HEAP[$44]; //@line 541 "dwt.c"
        var $46=HEAP[$tr]; //@line 541 "dwt.c"
        var $47=CHECK_OVERFLOW(($46)&4294967295, 32); //@line 541 "dwt.c"
        var $48=HEAP[$47]; //@line 541 "dwt.c"
        var $49=CHECK_OVERFLOW((($45) - ($48))&4294967295, 32); //@line 541 "dwt.c"
        HEAP[$rw]=$49; //@line 541 "dwt.c"
        var $50=HEAP[$tr]; //@line 542 "dwt.c"
        var $51=CHECK_OVERFLOW(($50+12)&4294967295, 32); //@line 542 "dwt.c"
        var $52=HEAP[$51]; //@line 542 "dwt.c"
        var $53=HEAP[$tr]; //@line 542 "dwt.c"
        var $54=CHECK_OVERFLOW(($53+4)&4294967295, 32); //@line 542 "dwt.c"
        var $55=HEAP[$54]; //@line 542 "dwt.c"
        var $56=CHECK_OVERFLOW((($52) - ($55))&4294967295, 32); //@line 542 "dwt.c"
        HEAP[$rh]=$56; //@line 542 "dwt.c"
        var $57=CHECK_OVERFLOW(($h+8)&4294967295, 32); //@line 544 "dwt.c"
        var $58=HEAP[$57]; //@line 544 "dwt.c"
        var $59=HEAP[$rw]; //@line 544 "dwt.c"
        var $60=CHECK_OVERFLOW((($59) - ($58))&4294967295, 32); //@line 544 "dwt.c"
        var $61=CHECK_OVERFLOW(($h+4)&4294967295, 32); //@line 544 "dwt.c"
        HEAP[$61]=$60; //@line 544 "dwt.c"
        var $62=HEAP[$tr]; //@line 545 "dwt.c"
        var $63=CHECK_OVERFLOW(($62)&4294967295, 32); //@line 545 "dwt.c"
        var $64=HEAP[$63]; //@line 545 "dwt.c"
        var $65=($64) % 2; //@line 545 "dwt.c"
        var $66=CHECK_OVERFLOW(($h+12)&4294967295, 32); //@line 545 "dwt.c"
        HEAP[$66]=$65; //@line 545 "dwt.c"
        HEAP[$j]=0; //@line 547 "dwt.c"
        __label__ = 1; break; //@line 547 "dwt.c"
      case 2: // $bb1
        var $67=HEAP[$j]; //@line 548 "dwt.c"
        var $68=HEAP[$w]; //@line 548 "dwt.c"
        var $69=CHECK_OVERFLOW((($67) * ($68))&4294967295, 32); //@line 548 "dwt.c"
        var $70=HEAP[$tiledp]; //@line 548 "dwt.c"
        var $71=CHECK_OVERFLOW(($70+4*$69)&4294967295, 32); //@line 548 "dwt.c"
        _dwt_interleave_h($h, $71); //@line 548 "dwt.c"
        var $72=HEAP[$dwt_1D_addr]; //@line 549 "dwt.c"
        FUNCTION_TABLE[$72]($h); //@line 549 "dwt.c"
        var $73=HEAP[$rw]; //@line 550 "dwt.c"
        var $74=CHECK_OVERFLOW((($73) * 4)&4294967295, 32); //@line 550 "dwt.c"
        var $75=CHECK_OVERFLOW(($h)&4294967295, 32); //@line 550 "dwt.c"
        var $76=HEAP[$75]; //@line 550 "dwt.c"
        var $77=HEAP[$j]; //@line 550 "dwt.c"
        var $78=HEAP[$w]; //@line 550 "dwt.c"
        var $79=CHECK_OVERFLOW((($77) * ($78))&4294967295, 32); //@line 550 "dwt.c"
        var $80=HEAP[$tiledp]; //@line 550 "dwt.c"
        var $81=CHECK_OVERFLOW(($80+4*$79)&4294967295, 32); //@line 550 "dwt.c"
        var $82=$81; //@line 550 "dwt.c"
        var $83=$76; //@line 550 "dwt.c"
        _llvm_memcpy_p0i8_p0i8_i32($82, $83, $74, 1, 0); //@line 550 "dwt.c"
        var $84=HEAP[$j]; //@line 547 "dwt.c"
        var $85=CHECK_OVERFLOW((($84) + 1)&4294967295, 32); //@line 547 "dwt.c"
        HEAP[$j]=$85; //@line 547 "dwt.c"
        __label__ = 1; break; //@line 547 "dwt.c"
      case 1: // $bb2
        var $86=HEAP[$j]; //@line 547 "dwt.c"
        var $87=HEAP[$rh]; //@line 547 "dwt.c"
        var $88=($86) < ($87); //@line 547 "dwt.c"
        if ($88) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 547 "dwt.c"
      case 3: // $bb3
        var $89=CHECK_OVERFLOW(($v+8)&4294967295, 32); //@line 553 "dwt.c"
        var $90=HEAP[$89]; //@line 553 "dwt.c"
        var $91=HEAP[$rh]; //@line 553 "dwt.c"
        var $92=CHECK_OVERFLOW((($91) - ($90))&4294967295, 32); //@line 553 "dwt.c"
        var $93=CHECK_OVERFLOW(($v+4)&4294967295, 32); //@line 553 "dwt.c"
        HEAP[$93]=$92; //@line 553 "dwt.c"
        var $94=HEAP[$tr]; //@line 554 "dwt.c"
        var $95=CHECK_OVERFLOW(($94+4)&4294967295, 32); //@line 554 "dwt.c"
        var $96=HEAP[$95]; //@line 554 "dwt.c"
        var $97=($96) % 2; //@line 554 "dwt.c"
        var $98=CHECK_OVERFLOW(($v+12)&4294967295, 32); //@line 554 "dwt.c"
        HEAP[$98]=$97; //@line 554 "dwt.c"
        HEAP[$j]=0; //@line 556 "dwt.c"
        __label__ = 4; break; //@line 556 "dwt.c"
      case 8: // $bb4
        var $99=HEAP[$tiledp]; //@line 558 "dwt.c"
        var $100=HEAP[$j]; //@line 558 "dwt.c"
        var $101=CHECK_OVERFLOW(($99+4*$100)&4294967295, 32); //@line 558 "dwt.c"
        var $102=HEAP[$w]; //@line 558 "dwt.c"
        _dwt_interleave_v($v, $101, $102); //@line 558 "dwt.c"
        var $103=HEAP[$dwt_1D_addr]; //@line 559 "dwt.c"
        FUNCTION_TABLE[$103]($v); //@line 559 "dwt.c"
        HEAP[$k]=0; //@line 560 "dwt.c"
        __label__ = 5; break; //@line 560 "dwt.c"
      case 6: // $bb5
        var $104=HEAP[$k]; //@line 561 "dwt.c"
        var $105=HEAP[$w]; //@line 561 "dwt.c"
        var $106=CHECK_OVERFLOW((($104) * ($105))&4294967295, 32); //@line 561 "dwt.c"
        var $107=HEAP[$j]; //@line 561 "dwt.c"
        var $108=CHECK_OVERFLOW((($106) + ($107))&4294967295, 32); //@line 561 "dwt.c"
        var $109=CHECK_OVERFLOW(($v)&4294967295, 32); //@line 561 "dwt.c"
        var $110=HEAP[$109]; //@line 561 "dwt.c"
        var $111=HEAP[$k]; //@line 561 "dwt.c"
        var $112=CHECK_OVERFLOW(($110+4*$111)&4294967295, 32); //@line 561 "dwt.c"
        var $113=HEAP[$112]; //@line 561 "dwt.c"
        var $114=HEAP[$tiledp]; //@line 561 "dwt.c"
        var $115=CHECK_OVERFLOW(($114+4*$108)&4294967295, 32); //@line 561 "dwt.c"
        HEAP[$115]=$113; //@line 561 "dwt.c"
        var $116=HEAP[$k]; //@line 560 "dwt.c"
        var $117=CHECK_OVERFLOW((($116) + 1)&4294967295, 32); //@line 560 "dwt.c"
        HEAP[$k]=$117; //@line 560 "dwt.c"
        __label__ = 5; break; //@line 560 "dwt.c"
      case 5: // $bb6
        var $118=HEAP[$k]; //@line 560 "dwt.c"
        var $119=HEAP[$rh]; //@line 560 "dwt.c"
        var $120=($118) < ($119); //@line 560 "dwt.c"
        if ($120) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 560 "dwt.c"
      case 7: // $bb7
        var $121=HEAP[$j]; //@line 556 "dwt.c"
        var $122=CHECK_OVERFLOW((($121) + 1)&4294967295, 32); //@line 556 "dwt.c"
        HEAP[$j]=$122; //@line 556 "dwt.c"
        __label__ = 4; break; //@line 556 "dwt.c"
      case 4: // $bb8
        var $123=HEAP[$j]; //@line 556 "dwt.c"
        var $124=HEAP[$rw]; //@line 556 "dwt.c"
        var $125=($123) < ($124); //@line 556 "dwt.c"
        if ($125) { __label__ = 8; break; } else { __label__ = 0; break; } //@line 556 "dwt.c"
      case 0: // $bb9
        var $126=HEAP[$numres_addr]; //@line 533 "dwt.c"
        var $127=CHECK_OVERFLOW((($126) - 1)&4294967295, 32); //@line 533 "dwt.c"
        HEAP[$numres_addr]=$127; //@line 533 "dwt.c"
        var $128=HEAP[$numres_addr]; //@line 533 "dwt.c"
        var $129=($128)!=0; //@line 533 "dwt.c"
        if ($129) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 533 "dwt.c"
      case 10: // $bb10
        var $130=CHECK_OVERFLOW(($h)&4294967295, 32); //@line 565 "dwt.c"
        var $131=HEAP[$130]; //@line 565 "dwt.c"
        var $132=$131; //@line 565 "dwt.c"
        _free($132); //@line 565 "dwt.c"
        __label__ = 11; break; //@line 566 "dwt.c"
      case 11: // $return
        STACKTOP = __stackBase__;
        return; //@line 566 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _v4dwt_interleave_h($w, $a, $x, $size) {
    var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 40);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $w_addr=__stackBase__;
        var $a_addr=__stackBase__+4;
        var $x_addr=__stackBase__+8;
        var $size_addr=__stackBase__+12;
        var $bi=__stackBase__+16;
        var $count=__stackBase__+20;
        var $i=__stackBase__+24;
        var $k=__stackBase__+28;
        var $j=__stackBase__+32;
        var $j10=__stackBase__+36;
        var $_alloca_point_=0;
        HEAP[$w_addr]=$w;
        HEAP[$a_addr]=$a;
        HEAP[$x_addr]=$x;
        HEAP[$size_addr]=$size;
        var $0=HEAP[$w_addr]; //@line 569 "dwt.c"
        var $1=CHECK_OVERFLOW(($0)&4294967295, 32); //@line 569 "dwt.c"
        var $2=HEAP[$1]; //@line 569 "dwt.c"
        var $3=HEAP[$w_addr]; //@line 569 "dwt.c"
        var $4=CHECK_OVERFLOW(($3+12)&4294967295, 32); //@line 569 "dwt.c"
        var $5=HEAP[$4]; //@line 569 "dwt.c"
        var $6=CHECK_OVERFLOW(($2+16*$5)&4294967295, 32); //@line 569 "dwt.c"
        var $7=$6; //@line 569 "dwt.c"
        HEAP[$bi]=$7; //@line 569 "dwt.c"
        var $8=HEAP[$w_addr]; //@line 570 "dwt.c"
        var $9=CHECK_OVERFLOW(($8+8)&4294967295, 32); //@line 570 "dwt.c"
        var $10=HEAP[$9]; //@line 570 "dwt.c"
        HEAP[$count]=$10; //@line 570 "dwt.c"
        HEAP[$k]=0; //@line 572 "dwt.c"
        __label__ = 0; break; //@line 572 "dwt.c"
      case 16: // $bb
        var $11=HEAP[$x_addr]; //@line 573 "dwt.c"
        var $12=CHECK_OVERFLOW((($11) * 3)&4294967295, 32); //@line 573 "dwt.c"
        var $13=HEAP[$count]; //@line 573 "dwt.c"
        var $14=CHECK_OVERFLOW((($12) + ($13))&4294967295, 32); //@line 573 "dwt.c"
        var $15=HEAP[$size_addr]; //@line 573 "dwt.c"
        var $16=($14) >= ($15); //@line 573 "dwt.c"
        if ($16) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 573 "dwt.c"
      case 2: // $bb1
        var $17=HEAP[$a_addr]; //@line 573 "dwt.c"
        var $18=($17); //@line 573 "dwt.c"
        var $19=($18) & 15; //@line 573 "dwt.c"
        var $20=($19)!=0; //@line 573 "dwt.c"
        if ($20) { __label__ = 1; break; } else { __label__ = 3; break; } //@line 573 "dwt.c"
      case 3: // $bb2
        var $21=HEAP[$bi]; //@line 573 "dwt.c"
        var $22=($21); //@line 573 "dwt.c"
        var $23=($22) & 15; //@line 573 "dwt.c"
        var $24=($23)!=0; //@line 573 "dwt.c"
        if ($24) { __label__ = 1; break; } else { __label__ = 4; break; } //@line 573 "dwt.c"
      case 4: // $bb3
        var $25=HEAP[$x_addr]; //@line 573 "dwt.c"
        var $26=($25) & 15; //@line 573 "dwt.c"
        var $27=($26)!=0; //@line 573 "dwt.c"
        if ($27) { __label__ = 1; break; } else { __label__ = 5; break; } //@line 573 "dwt.c"
      case 5: // $bb4
        HEAP[$i]=0; //@line 575 "dwt.c"
        __label__ = 6; break; //@line 575 "dwt.c"
      case 7: // $bb5
        var $28=HEAP[$i]; //@line 576 "dwt.c"
        HEAP[$j]=$28; //@line 576 "dwt.c"
        var $29=HEAP[$i]; //@line 577 "dwt.c"
        var $30=CHECK_OVERFLOW((($29) * 8)&4294967295, 32); //@line 577 "dwt.c"
        var $31=HEAP[$a_addr]; //@line 577 "dwt.c"
        var $32=HEAP[$j]; //@line 577 "dwt.c"
        var $33=CHECK_OVERFLOW(($31+4*$32)&4294967295, 32); //@line 577 "dwt.c"
        var $34=HEAP[$33]; //@line 577 "dwt.c"
        var $35=HEAP[$bi]; //@line 577 "dwt.c"
        var $36=CHECK_OVERFLOW(($35+4*$30)&4294967295, 32); //@line 577 "dwt.c"
        HEAP[$36]=$34; //@line 577 "dwt.c"
        var $37=HEAP[$j]; //@line 578 "dwt.c"
        var $38=HEAP[$x_addr]; //@line 578 "dwt.c"
        var $39=CHECK_OVERFLOW((($37) + ($38))&4294967295, 32); //@line 578 "dwt.c"
        HEAP[$j]=$39; //@line 578 "dwt.c"
        var $40=HEAP[$i]; //@line 579 "dwt.c"
        var $41=CHECK_OVERFLOW((($40) * 8)&4294967295, 32); //@line 579 "dwt.c"
        var $42=CHECK_OVERFLOW((($41) + 1)&4294967295, 32); //@line 579 "dwt.c"
        var $43=HEAP[$a_addr]; //@line 579 "dwt.c"
        var $44=HEAP[$j]; //@line 579 "dwt.c"
        var $45=CHECK_OVERFLOW(($43+4*$44)&4294967295, 32); //@line 579 "dwt.c"
        var $46=HEAP[$45]; //@line 579 "dwt.c"
        var $47=HEAP[$bi]; //@line 579 "dwt.c"
        var $48=CHECK_OVERFLOW(($47+4*$42)&4294967295, 32); //@line 579 "dwt.c"
        HEAP[$48]=$46; //@line 579 "dwt.c"
        var $49=HEAP[$j]; //@line 580 "dwt.c"
        var $50=HEAP[$x_addr]; //@line 580 "dwt.c"
        var $51=CHECK_OVERFLOW((($49) + ($50))&4294967295, 32); //@line 580 "dwt.c"
        HEAP[$j]=$51; //@line 580 "dwt.c"
        var $52=HEAP[$i]; //@line 581 "dwt.c"
        var $53=CHECK_OVERFLOW((($52) * 8)&4294967295, 32); //@line 581 "dwt.c"
        var $54=CHECK_OVERFLOW((($53) + 2)&4294967295, 32); //@line 581 "dwt.c"
        var $55=HEAP[$a_addr]; //@line 581 "dwt.c"
        var $56=HEAP[$j]; //@line 581 "dwt.c"
        var $57=CHECK_OVERFLOW(($55+4*$56)&4294967295, 32); //@line 581 "dwt.c"
        var $58=HEAP[$57]; //@line 581 "dwt.c"
        var $59=HEAP[$bi]; //@line 581 "dwt.c"
        var $60=CHECK_OVERFLOW(($59+4*$54)&4294967295, 32); //@line 581 "dwt.c"
        HEAP[$60]=$58; //@line 581 "dwt.c"
        var $61=HEAP[$j]; //@line 582 "dwt.c"
        var $62=HEAP[$x_addr]; //@line 582 "dwt.c"
        var $63=CHECK_OVERFLOW((($61) + ($62))&4294967295, 32); //@line 582 "dwt.c"
        HEAP[$j]=$63; //@line 582 "dwt.c"
        var $64=HEAP[$i]; //@line 583 "dwt.c"
        var $65=CHECK_OVERFLOW((($64) * 8)&4294967295, 32); //@line 583 "dwt.c"
        var $66=CHECK_OVERFLOW((($65) + 3)&4294967295, 32); //@line 583 "dwt.c"
        var $67=HEAP[$a_addr]; //@line 583 "dwt.c"
        var $68=HEAP[$j]; //@line 583 "dwt.c"
        var $69=CHECK_OVERFLOW(($67+4*$68)&4294967295, 32); //@line 583 "dwt.c"
        var $70=HEAP[$69]; //@line 583 "dwt.c"
        var $71=HEAP[$bi]; //@line 583 "dwt.c"
        var $72=CHECK_OVERFLOW(($71+4*$66)&4294967295, 32); //@line 583 "dwt.c"
        HEAP[$72]=$70; //@line 583 "dwt.c"
        var $73=HEAP[$i]; //@line 575 "dwt.c"
        var $74=CHECK_OVERFLOW((($73) + 1)&4294967295, 32); //@line 575 "dwt.c"
        HEAP[$i]=$74; //@line 575 "dwt.c"
        __label__ = 6; break; //@line 575 "dwt.c"
      case 6: // $bb6
        var $75=HEAP[$i]; //@line 575 "dwt.c"
        var $76=HEAP[$count]; //@line 575 "dwt.c"
        var $77=($75) < ($76); //@line 575 "dwt.c"
        if ($77) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 575 "dwt.c"
      case 8: // $bb7
        __label__ = 9; break; //@line 575 "dwt.c"
      case 1: // $bb8
        HEAP[$i]=0; //@line 587 "dwt.c"
        __label__ = 10; break; //@line 587 "dwt.c"
      case 15: // $bb9
        var $78=HEAP[$i]; //@line 588 "dwt.c"
        HEAP[$j10]=$78; //@line 588 "dwt.c"
        var $79=HEAP[$i]; //@line 589 "dwt.c"
        var $80=CHECK_OVERFLOW((($79) * 8)&4294967295, 32); //@line 589 "dwt.c"
        var $81=HEAP[$a_addr]; //@line 589 "dwt.c"
        var $82=HEAP[$j10]; //@line 589 "dwt.c"
        var $83=CHECK_OVERFLOW(($81+4*$82)&4294967295, 32); //@line 589 "dwt.c"
        var $84=HEAP[$83]; //@line 589 "dwt.c"
        var $85=HEAP[$bi]; //@line 589 "dwt.c"
        var $86=CHECK_OVERFLOW(($85+4*$80)&4294967295, 32); //@line 589 "dwt.c"
        HEAP[$86]=$84; //@line 589 "dwt.c"
        var $87=HEAP[$j10]; //@line 590 "dwt.c"
        var $88=HEAP[$x_addr]; //@line 590 "dwt.c"
        var $89=CHECK_OVERFLOW((($87) + ($88))&4294967295, 32); //@line 590 "dwt.c"
        HEAP[$j10]=$89; //@line 590 "dwt.c"
        var $90=HEAP[$j10]; //@line 591 "dwt.c"
        var $91=HEAP[$size_addr]; //@line 591 "dwt.c"
        var $92=($90) > ($91); //@line 591 "dwt.c"
        if ($92) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 591 "dwt.c"
      case 12: // $bb11
        var $93=HEAP[$i]; //@line 592 "dwt.c"
        var $94=CHECK_OVERFLOW((($93) * 8)&4294967295, 32); //@line 592 "dwt.c"
        var $95=CHECK_OVERFLOW((($94) + 1)&4294967295, 32); //@line 592 "dwt.c"
        var $96=HEAP[$a_addr]; //@line 592 "dwt.c"
        var $97=HEAP[$j10]; //@line 592 "dwt.c"
        var $98=CHECK_OVERFLOW(($96+4*$97)&4294967295, 32); //@line 592 "dwt.c"
        var $99=HEAP[$98]; //@line 592 "dwt.c"
        var $100=HEAP[$bi]; //@line 592 "dwt.c"
        var $101=CHECK_OVERFLOW(($100+4*$95)&4294967295, 32); //@line 592 "dwt.c"
        HEAP[$101]=$99; //@line 592 "dwt.c"
        var $102=HEAP[$j10]; //@line 593 "dwt.c"
        var $103=HEAP[$x_addr]; //@line 593 "dwt.c"
        var $104=CHECK_OVERFLOW((($102) + ($103))&4294967295, 32); //@line 593 "dwt.c"
        HEAP[$j10]=$104; //@line 593 "dwt.c"
        var $105=HEAP[$j10]; //@line 594 "dwt.c"
        var $106=HEAP[$size_addr]; //@line 594 "dwt.c"
        var $107=($105) > ($106); //@line 594 "dwt.c"
        if ($107) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 594 "dwt.c"
      case 13: // $bb12
        var $108=HEAP[$i]; //@line 595 "dwt.c"
        var $109=CHECK_OVERFLOW((($108) * 8)&4294967295, 32); //@line 595 "dwt.c"
        var $110=CHECK_OVERFLOW((($109) + 2)&4294967295, 32); //@line 595 "dwt.c"
        var $111=HEAP[$a_addr]; //@line 595 "dwt.c"
        var $112=HEAP[$j10]; //@line 595 "dwt.c"
        var $113=CHECK_OVERFLOW(($111+4*$112)&4294967295, 32); //@line 595 "dwt.c"
        var $114=HEAP[$113]; //@line 595 "dwt.c"
        var $115=HEAP[$bi]; //@line 595 "dwt.c"
        var $116=CHECK_OVERFLOW(($115+4*$110)&4294967295, 32); //@line 595 "dwt.c"
        HEAP[$116]=$114; //@line 595 "dwt.c"
        var $117=HEAP[$j10]; //@line 596 "dwt.c"
        var $118=HEAP[$x_addr]; //@line 596 "dwt.c"
        var $119=CHECK_OVERFLOW((($117) + ($118))&4294967295, 32); //@line 596 "dwt.c"
        HEAP[$j10]=$119; //@line 596 "dwt.c"
        var $120=HEAP[$j10]; //@line 597 "dwt.c"
        var $121=HEAP[$size_addr]; //@line 597 "dwt.c"
        var $122=($120) > ($121); //@line 597 "dwt.c"
        if ($122) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 597 "dwt.c"
      case 14: // $bb13
        var $123=HEAP[$i]; //@line 598 "dwt.c"
        var $124=CHECK_OVERFLOW((($123) * 8)&4294967295, 32); //@line 598 "dwt.c"
        var $125=CHECK_OVERFLOW((($124) + 3)&4294967295, 32); //@line 598 "dwt.c"
        var $126=HEAP[$a_addr]; //@line 598 "dwt.c"
        var $127=HEAP[$j10]; //@line 598 "dwt.c"
        var $128=CHECK_OVERFLOW(($126+4*$127)&4294967295, 32); //@line 598 "dwt.c"
        var $129=HEAP[$128]; //@line 598 "dwt.c"
        var $130=HEAP[$bi]; //@line 598 "dwt.c"
        var $131=CHECK_OVERFLOW(($130+4*$125)&4294967295, 32); //@line 598 "dwt.c"
        HEAP[$131]=$129; //@line 598 "dwt.c"
        __label__ = 11; break; //@line 598 "dwt.c"
      case 11: // $bb14
        var $132=HEAP[$i]; //@line 587 "dwt.c"
        var $133=CHECK_OVERFLOW((($132) + 1)&4294967295, 32); //@line 587 "dwt.c"
        HEAP[$i]=$133; //@line 587 "dwt.c"
        __label__ = 10; break; //@line 587 "dwt.c"
      case 10: // $bb15
        var $134=HEAP[$i]; //@line 587 "dwt.c"
        var $135=HEAP[$count]; //@line 587 "dwt.c"
        var $136=($134) < ($135); //@line 587 "dwt.c"
        if ($136) { __label__ = 15; break; } else { __label__ = 9; break; } //@line 587 "dwt.c"
      case 9: // $bb16
        var $137=HEAP[$w_addr]; //@line 601 "dwt.c"
        var $138=CHECK_OVERFLOW(($137)&4294967295, 32); //@line 601 "dwt.c"
        var $139=HEAP[$138]; //@line 601 "dwt.c"
        var $140=CHECK_OVERFLOW(($139+16)&4294967295, 32); //@line 601 "dwt.c"
        var $141=HEAP[$w_addr]; //@line 601 "dwt.c"
        var $142=CHECK_OVERFLOW(($141+12)&4294967295, 32); //@line 601 "dwt.c"
        var $143=HEAP[$142]; //@line 601 "dwt.c"
        var $144=CHECK_OVERFLOW((0 - ($143))&4294967295, 32); //@line 601 "dwt.c"
        var $145=CHECK_OVERFLOW(($140+16*$144)&4294967295, 32); //@line 601 "dwt.c"
        var $146=$145; //@line 601 "dwt.c"
        HEAP[$bi]=$146; //@line 601 "dwt.c"
        var $147=HEAP[$w_addr]; //@line 602 "dwt.c"
        var $148=CHECK_OVERFLOW(($147+8)&4294967295, 32); //@line 602 "dwt.c"
        var $149=HEAP[$148]; //@line 602 "dwt.c"
        var $150=HEAP[$a_addr]; //@line 602 "dwt.c"
        var $151=CHECK_OVERFLOW(($150+4*$149)&4294967295, 32); //@line 602 "dwt.c"
        HEAP[$a_addr]=$151; //@line 602 "dwt.c"
        var $152=HEAP[$w_addr]; //@line 603 "dwt.c"
        var $153=CHECK_OVERFLOW(($152+8)&4294967295, 32); //@line 603 "dwt.c"
        var $154=HEAP[$153]; //@line 603 "dwt.c"
        var $155=HEAP[$size_addr]; //@line 603 "dwt.c"
        var $156=CHECK_OVERFLOW((($155) - ($154))&4294967295, 32); //@line 603 "dwt.c"
        HEAP[$size_addr]=$156; //@line 603 "dwt.c"
        var $157=HEAP[$w_addr]; //@line 604 "dwt.c"
        var $158=CHECK_OVERFLOW(($157+4)&4294967295, 32); //@line 604 "dwt.c"
        var $159=HEAP[$158]; //@line 604 "dwt.c"
        HEAP[$count]=$159; //@line 604 "dwt.c"
        var $160=HEAP[$k]; //@line 572 "dwt.c"
        var $161=CHECK_OVERFLOW((($160) + 1)&4294967295, 32); //@line 572 "dwt.c"
        HEAP[$k]=$161; //@line 572 "dwt.c"
        __label__ = 0; break; //@line 572 "dwt.c"
      case 0: // $bb17
        var $162=HEAP[$k]; //@line 572 "dwt.c"
        var $163=($162) <= 1; //@line 572 "dwt.c"
        if ($163) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 572 "dwt.c"
      case 17: // $bb18
        __label__ = 18; break; //@line 606 "dwt.c"
      case 18: // $return
        STACKTOP = __stackBase__;
        return; //@line 606 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _v4dwt_interleave_v($v, $a, $x) {
    var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 20);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $v_addr=__stackBase__;
        var $a_addr=__stackBase__+4;
        var $x_addr=__stackBase__+8;
        var $bi=__stackBase__+12;
        var $i=__stackBase__+16;
        var $_alloca_point_=0;
        HEAP[$v_addr]=$v;
        HEAP[$a_addr]=$a;
        HEAP[$x_addr]=$x;
        var $0=HEAP[$v_addr]; //@line 609 "dwt.c"
        var $1=CHECK_OVERFLOW(($0)&4294967295, 32); //@line 609 "dwt.c"
        var $2=HEAP[$1]; //@line 609 "dwt.c"
        var $3=HEAP[$v_addr]; //@line 609 "dwt.c"
        var $4=CHECK_OVERFLOW(($3+12)&4294967295, 32); //@line 609 "dwt.c"
        var $5=HEAP[$4]; //@line 609 "dwt.c"
        var $6=CHECK_OVERFLOW(($2+16*$5)&4294967295, 32); //@line 609 "dwt.c"
        HEAP[$bi]=$6; //@line 609 "dwt.c"
        HEAP[$i]=0; //@line 611 "dwt.c"
        __label__ = 0; break; //@line 611 "dwt.c"
      case 1: // $bb
        var $7=HEAP[$i]; //@line 612 "dwt.c"
        var $8=HEAP[$x_addr]; //@line 612 "dwt.c"
        var $9=CHECK_OVERFLOW((($7) * ($8))&4294967295, 32); //@line 612 "dwt.c"
        var $10=HEAP[$a_addr]; //@line 612 "dwt.c"
        var $11=CHECK_OVERFLOW(($10+4*$9)&4294967295, 32); //@line 612 "dwt.c"
        var $12=HEAP[$i]; //@line 612 "dwt.c"
        var $13=CHECK_OVERFLOW((($12) * 2)&4294967295, 32); //@line 612 "dwt.c"
        var $14=HEAP[$bi]; //@line 612 "dwt.c"
        var $15=CHECK_OVERFLOW(($14+16*$13)&4294967295, 32); //@line 612 "dwt.c"
        var $16=$15; //@line 612 "dwt.c"
        var $17=$11; //@line 612 "dwt.c"
        _llvm_memcpy_p0i8_p0i8_i32($16, $17, 16, 1, 0); //@line 612 "dwt.c"
        var $18=HEAP[$i]; //@line 611 "dwt.c"
        var $19=CHECK_OVERFLOW((($18) + 1)&4294967295, 32); //@line 611 "dwt.c"
        HEAP[$i]=$19; //@line 611 "dwt.c"
        __label__ = 0; break; //@line 611 "dwt.c"
      case 0: // $bb1
        var $20=HEAP[$v_addr]; //@line 611 "dwt.c"
        var $21=CHECK_OVERFLOW(($20+8)&4294967295, 32); //@line 611 "dwt.c"
        var $22=HEAP[$21]; //@line 611 "dwt.c"
        var $23=HEAP[$i]; //@line 611 "dwt.c"
        var $24=($22) > ($23); //@line 611 "dwt.c"
        if ($24) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 611 "dwt.c"
      case 2: // $bb2
        var $25=HEAP[$v_addr]; //@line 614 "dwt.c"
        var $26=CHECK_OVERFLOW(($25+8)&4294967295, 32); //@line 614 "dwt.c"
        var $27=HEAP[$26]; //@line 614 "dwt.c"
        var $28=HEAP[$x_addr]; //@line 614 "dwt.c"
        var $29=CHECK_OVERFLOW((($27) * ($28))&4294967295, 32); //@line 614 "dwt.c"
        var $30=HEAP[$a_addr]; //@line 614 "dwt.c"
        var $31=CHECK_OVERFLOW(($30+4*$29)&4294967295, 32); //@line 614 "dwt.c"
        HEAP[$a_addr]=$31; //@line 614 "dwt.c"
        var $32=HEAP[$v_addr]; //@line 615 "dwt.c"
        var $33=CHECK_OVERFLOW(($32)&4294967295, 32); //@line 615 "dwt.c"
        var $34=HEAP[$33]; //@line 615 "dwt.c"
        var $35=CHECK_OVERFLOW(($34+16)&4294967295, 32); //@line 615 "dwt.c"
        var $36=HEAP[$v_addr]; //@line 615 "dwt.c"
        var $37=CHECK_OVERFLOW(($36+12)&4294967295, 32); //@line 615 "dwt.c"
        var $38=HEAP[$37]; //@line 615 "dwt.c"
        var $39=CHECK_OVERFLOW((0 - ($38))&4294967295, 32); //@line 615 "dwt.c"
        var $40=CHECK_OVERFLOW(($35+16*$39)&4294967295, 32); //@line 615 "dwt.c"
        HEAP[$bi]=$40; //@line 615 "dwt.c"
        HEAP[$i]=0; //@line 616 "dwt.c"
        __label__ = 3; break; //@line 616 "dwt.c"
      case 4: // $bb3
        var $41=HEAP[$i]; //@line 617 "dwt.c"
        var $42=HEAP[$x_addr]; //@line 617 "dwt.c"
        var $43=CHECK_OVERFLOW((($41) * ($42))&4294967295, 32); //@line 617 "dwt.c"
        var $44=HEAP[$a_addr]; //@line 617 "dwt.c"
        var $45=CHECK_OVERFLOW(($44+4*$43)&4294967295, 32); //@line 617 "dwt.c"
        var $46=HEAP[$i]; //@line 617 "dwt.c"
        var $47=CHECK_OVERFLOW((($46) * 2)&4294967295, 32); //@line 617 "dwt.c"
        var $48=HEAP[$bi]; //@line 617 "dwt.c"
        var $49=CHECK_OVERFLOW(($48+16*$47)&4294967295, 32); //@line 617 "dwt.c"
        var $50=$49; //@line 617 "dwt.c"
        var $51=$45; //@line 617 "dwt.c"
        _llvm_memcpy_p0i8_p0i8_i32($50, $51, 16, 1, 0); //@line 617 "dwt.c"
        var $52=HEAP[$i]; //@line 616 "dwt.c"
        var $53=CHECK_OVERFLOW((($52) + 1)&4294967295, 32); //@line 616 "dwt.c"
        HEAP[$i]=$53; //@line 616 "dwt.c"
        __label__ = 3; break; //@line 616 "dwt.c"
      case 3: // $bb4
        var $54=HEAP[$v_addr]; //@line 616 "dwt.c"
        var $55=CHECK_OVERFLOW(($54+4)&4294967295, 32); //@line 616 "dwt.c"
        var $56=HEAP[$55]; //@line 616 "dwt.c"
        var $57=HEAP[$i]; //@line 616 "dwt.c"
        var $58=($56) > ($57); //@line 616 "dwt.c"
        if ($58) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 616 "dwt.c"
      case 5: // $bb5
        __label__ = 6; break; //@line 619 "dwt.c"
      case 6: // $return
        STACKTOP = __stackBase__;
        return; //@line 619 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _v4dwt_decode_step1($w, $count, $c) {
    var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 36);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $w_addr=__stackBase__;
        var $count_addr=__stackBase__+4;
        var $c_addr=__stackBase__+8;
        var $fw=__stackBase__+12;
        var $i=__stackBase__+16;
        var $tmp1=__stackBase__+20;
        var $tmp2=__stackBase__+24;
        var $tmp3=__stackBase__+28;
        var $tmp4=__stackBase__+32;
        var $_alloca_point_=0;
        HEAP[$w_addr]=$w;
        HEAP[$count_addr]=$count;
        HEAP[$c_addr]=$c;
        var $0=HEAP[$w_addr]; //@line 673 "dwt.c"
        var $1=$0; //@line 673 "dwt.c"
        HEAP[$fw]=$1; //@line 673 "dwt.c"
        HEAP[$i]=0; //@line 675 "dwt.c"
        __label__ = 0; break; //@line 675 "dwt.c"
      case 1: // $bb
        var $2=HEAP[$i]; //@line 676 "dwt.c"
        var $3=CHECK_OVERFLOW((($2) * 8)&4294967295, 32); //@line 676 "dwt.c"
        var $4=HEAP[$fw]; //@line 676 "dwt.c"
        var $5=CHECK_OVERFLOW(($4+4*$3)&4294967295, 32); //@line 676 "dwt.c"
        var $6=HEAP[$5]; //@line 676 "dwt.c"
        HEAP[$tmp1]=$6; //@line 676 "dwt.c"
        var $7=HEAP[$i]; //@line 677 "dwt.c"
        var $8=CHECK_OVERFLOW((($7) * 8)&4294967295, 32); //@line 677 "dwt.c"
        var $9=CHECK_OVERFLOW((($8) + 1)&4294967295, 32); //@line 677 "dwt.c"
        var $10=HEAP[$fw]; //@line 677 "dwt.c"
        var $11=CHECK_OVERFLOW(($10+4*$9)&4294967295, 32); //@line 677 "dwt.c"
        var $12=HEAP[$11]; //@line 677 "dwt.c"
        HEAP[$tmp2]=$12; //@line 677 "dwt.c"
        var $13=HEAP[$i]; //@line 678 "dwt.c"
        var $14=CHECK_OVERFLOW((($13) * 8)&4294967295, 32); //@line 678 "dwt.c"
        var $15=CHECK_OVERFLOW((($14) + 2)&4294967295, 32); //@line 678 "dwt.c"
        var $16=HEAP[$fw]; //@line 678 "dwt.c"
        var $17=CHECK_OVERFLOW(($16+4*$15)&4294967295, 32); //@line 678 "dwt.c"
        var $18=HEAP[$17]; //@line 678 "dwt.c"
        HEAP[$tmp3]=$18; //@line 678 "dwt.c"
        var $19=HEAP[$i]; //@line 679 "dwt.c"
        var $20=CHECK_OVERFLOW((($19) * 8)&4294967295, 32); //@line 679 "dwt.c"
        var $21=CHECK_OVERFLOW((($20) + 3)&4294967295, 32); //@line 679 "dwt.c"
        var $22=HEAP[$fw]; //@line 679 "dwt.c"
        var $23=CHECK_OVERFLOW(($22+4*$21)&4294967295, 32); //@line 679 "dwt.c"
        var $24=HEAP[$23]; //@line 679 "dwt.c"
        HEAP[$tmp4]=$24; //@line 679 "dwt.c"
        var $25=HEAP[$i]; //@line 680 "dwt.c"
        var $26=CHECK_OVERFLOW((($25) * 8)&4294967295, 32); //@line 680 "dwt.c"
        var $27=HEAP[$tmp1]; //@line 680 "dwt.c"
        var $28=HEAP[$c_addr]; //@line 680 "dwt.c"
        var $29=($27) * ($28); //@line 680 "dwt.c"
        var $30=HEAP[$fw]; //@line 680 "dwt.c"
        var $31=CHECK_OVERFLOW(($30+4*$26)&4294967295, 32); //@line 680 "dwt.c"
        HEAP[$31]=$29; //@line 680 "dwt.c"
        var $32=HEAP[$i]; //@line 681 "dwt.c"
        var $33=CHECK_OVERFLOW((($32) * 8)&4294967295, 32); //@line 681 "dwt.c"
        var $34=CHECK_OVERFLOW((($33) + 1)&4294967295, 32); //@line 681 "dwt.c"
        var $35=HEAP[$tmp2]; //@line 681 "dwt.c"
        var $36=HEAP[$c_addr]; //@line 681 "dwt.c"
        var $37=($35) * ($36); //@line 681 "dwt.c"
        var $38=HEAP[$fw]; //@line 681 "dwt.c"
        var $39=CHECK_OVERFLOW(($38+4*$34)&4294967295, 32); //@line 681 "dwt.c"
        HEAP[$39]=$37; //@line 681 "dwt.c"
        var $40=HEAP[$i]; //@line 682 "dwt.c"
        var $41=CHECK_OVERFLOW((($40) * 8)&4294967295, 32); //@line 682 "dwt.c"
        var $42=CHECK_OVERFLOW((($41) + 2)&4294967295, 32); //@line 682 "dwt.c"
        var $43=HEAP[$tmp3]; //@line 682 "dwt.c"
        var $44=HEAP[$c_addr]; //@line 682 "dwt.c"
        var $45=($43) * ($44); //@line 682 "dwt.c"
        var $46=HEAP[$fw]; //@line 682 "dwt.c"
        var $47=CHECK_OVERFLOW(($46+4*$42)&4294967295, 32); //@line 682 "dwt.c"
        HEAP[$47]=$45; //@line 682 "dwt.c"
        var $48=HEAP[$i]; //@line 683 "dwt.c"
        var $49=CHECK_OVERFLOW((($48) * 8)&4294967295, 32); //@line 683 "dwt.c"
        var $50=CHECK_OVERFLOW((($49) + 3)&4294967295, 32); //@line 683 "dwt.c"
        var $51=HEAP[$tmp4]; //@line 683 "dwt.c"
        var $52=HEAP[$c_addr]; //@line 683 "dwt.c"
        var $53=($51) * ($52); //@line 683 "dwt.c"
        var $54=HEAP[$fw]; //@line 683 "dwt.c"
        var $55=CHECK_OVERFLOW(($54+4*$50)&4294967295, 32); //@line 683 "dwt.c"
        HEAP[$55]=$53; //@line 683 "dwt.c"
        var $56=HEAP[$i]; //@line 675 "dwt.c"
        var $57=CHECK_OVERFLOW((($56) + 1)&4294967295, 32); //@line 675 "dwt.c"
        HEAP[$i]=$57; //@line 675 "dwt.c"
        __label__ = 0; break; //@line 675 "dwt.c"
      case 0: // $bb1
        var $58=HEAP[$i]; //@line 675 "dwt.c"
        var $59=HEAP[$count_addr]; //@line 675 "dwt.c"
        var $60=($58) < ($59); //@line 675 "dwt.c"
        if ($60) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 675 "dwt.c"
      case 2: // $bb2
        __label__ = 3; break; //@line 685 "dwt.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 685 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _v4dwt_decode_step2($l, $w, $k, $m, $c) {
    var __stackBase__  = STACKTOP; STACKTOP += 112; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 112);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $l_addr=__stackBase__;
        var $w_addr=__stackBase__+4;
        var $k_addr=__stackBase__+8;
        var $m_addr=__stackBase__+12;
        var $c_addr=__stackBase__+16;
        var $fl=__stackBase__+20;
        var $fw=__stackBase__+24;
        var $i=__stackBase__+28;
        var $tmp1_1=__stackBase__+32;
        var $tmp1_2=__stackBase__+36;
        var $tmp1_3=__stackBase__+40;
        var $tmp1_4=__stackBase__+44;
        var $tmp2_1=__stackBase__+48;
        var $tmp2_2=__stackBase__+52;
        var $tmp2_3=__stackBase__+56;
        var $tmp2_4=__stackBase__+60;
        var $tmp3_1=__stackBase__+64;
        var $tmp3_2=__stackBase__+68;
        var $tmp3_3=__stackBase__+72;
        var $tmp3_4=__stackBase__+76;
        var $c1=__stackBase__+80;
        var $c2=__stackBase__+84;
        var $c3=__stackBase__+88;
        var $c4=__stackBase__+92;
        var $tmp1=__stackBase__+96;
        var $tmp2=__stackBase__+100;
        var $tmp3=__stackBase__+104;
        var $tmp4=__stackBase__+108;
        var $_alloca_point_=0;
        HEAP[$l_addr]=$l;
        HEAP[$w_addr]=$w;
        HEAP[$k_addr]=$k;
        HEAP[$m_addr]=$m;
        HEAP[$c_addr]=$c;
        var $0=HEAP[$l_addr]; //@line 688 "dwt.c"
        var $1=$0; //@line 688 "dwt.c"
        HEAP[$fl]=$1; //@line 688 "dwt.c"
        var $2=HEAP[$w_addr]; //@line 689 "dwt.c"
        var $3=$2; //@line 689 "dwt.c"
        HEAP[$fw]=$3; //@line 689 "dwt.c"
        HEAP[$i]=0; //@line 691 "dwt.c"
        __label__ = 0; break; //@line 691 "dwt.c"
      case 1: // $bb
        var $4=HEAP[$fl]; //@line 692 "dwt.c"
        var $5=CHECK_OVERFLOW(($4)&4294967295, 32); //@line 692 "dwt.c"
        var $6=HEAP[$5]; //@line 692 "dwt.c"
        HEAP[$tmp1_1]=$6; //@line 692 "dwt.c"
        var $7=HEAP[$fl]; //@line 693 "dwt.c"
        var $8=CHECK_OVERFLOW(($7+4)&4294967295, 32); //@line 693 "dwt.c"
        var $9=HEAP[$8]; //@line 693 "dwt.c"
        HEAP[$tmp1_2]=$9; //@line 693 "dwt.c"
        var $10=HEAP[$fl]; //@line 694 "dwt.c"
        var $11=CHECK_OVERFLOW(($10+8)&4294967295, 32); //@line 694 "dwt.c"
        var $12=HEAP[$11]; //@line 694 "dwt.c"
        HEAP[$tmp1_3]=$12; //@line 694 "dwt.c"
        var $13=HEAP[$fl]; //@line 695 "dwt.c"
        var $14=CHECK_OVERFLOW(($13+12)&4294967295, 32); //@line 695 "dwt.c"
        var $15=HEAP[$14]; //@line 695 "dwt.c"
        HEAP[$tmp1_4]=$15; //@line 695 "dwt.c"
        var $16=HEAP[$fw]; //@line 696 "dwt.c"
        var $17=CHECK_OVERFLOW(($16+-16)&4294967295, 32); //@line 696 "dwt.c"
        var $18=HEAP[$17]; //@line 696 "dwt.c"
        HEAP[$tmp2_1]=$18; //@line 696 "dwt.c"
        var $19=HEAP[$fw]; //@line 697 "dwt.c"
        var $20=CHECK_OVERFLOW(($19+-12)&4294967295, 32); //@line 697 "dwt.c"
        var $21=HEAP[$20]; //@line 697 "dwt.c"
        HEAP[$tmp2_2]=$21; //@line 697 "dwt.c"
        var $22=HEAP[$fw]; //@line 698 "dwt.c"
        var $23=CHECK_OVERFLOW(($22+-8)&4294967295, 32); //@line 698 "dwt.c"
        var $24=HEAP[$23]; //@line 698 "dwt.c"
        HEAP[$tmp2_3]=$24; //@line 698 "dwt.c"
        var $25=HEAP[$fw]; //@line 699 "dwt.c"
        var $26=CHECK_OVERFLOW(($25+-4)&4294967295, 32); //@line 699 "dwt.c"
        var $27=HEAP[$26]; //@line 699 "dwt.c"
        HEAP[$tmp2_4]=$27; //@line 699 "dwt.c"
        var $28=HEAP[$fw]; //@line 700 "dwt.c"
        var $29=CHECK_OVERFLOW(($28)&4294967295, 32); //@line 700 "dwt.c"
        var $30=HEAP[$29]; //@line 700 "dwt.c"
        HEAP[$tmp3_1]=$30; //@line 700 "dwt.c"
        var $31=HEAP[$fw]; //@line 701 "dwt.c"
        var $32=CHECK_OVERFLOW(($31+4)&4294967295, 32); //@line 701 "dwt.c"
        var $33=HEAP[$32]; //@line 701 "dwt.c"
        HEAP[$tmp3_2]=$33; //@line 701 "dwt.c"
        var $34=HEAP[$fw]; //@line 702 "dwt.c"
        var $35=CHECK_OVERFLOW(($34+8)&4294967295, 32); //@line 702 "dwt.c"
        var $36=HEAP[$35]; //@line 702 "dwt.c"
        HEAP[$tmp3_3]=$36; //@line 702 "dwt.c"
        var $37=HEAP[$fw]; //@line 703 "dwt.c"
        var $38=CHECK_OVERFLOW(($37+12)&4294967295, 32); //@line 703 "dwt.c"
        var $39=HEAP[$38]; //@line 703 "dwt.c"
        HEAP[$tmp3_4]=$39; //@line 703 "dwt.c"
        var $40=HEAP[$tmp1_1]; //@line 704 "dwt.c"
        var $41=HEAP[$tmp3_1]; //@line 704 "dwt.c"
        var $42=($40) + ($41); //@line 704 "dwt.c"
        var $43=HEAP[$c_addr]; //@line 704 "dwt.c"
        var $44=($42) * ($43); //@line 704 "dwt.c"
        var $45=HEAP[$tmp2_1]; //@line 704 "dwt.c"
        var $46=($44) + ($45); //@line 704 "dwt.c"
        var $47=HEAP[$fw]; //@line 704 "dwt.c"
        var $48=CHECK_OVERFLOW(($47+-16)&4294967295, 32); //@line 704 "dwt.c"
        HEAP[$48]=$46; //@line 704 "dwt.c"
        var $49=HEAP[$tmp1_2]; //@line 705 "dwt.c"
        var $50=HEAP[$tmp3_2]; //@line 705 "dwt.c"
        var $51=($49) + ($50); //@line 705 "dwt.c"
        var $52=HEAP[$c_addr]; //@line 705 "dwt.c"
        var $53=($51) * ($52); //@line 705 "dwt.c"
        var $54=HEAP[$tmp2_2]; //@line 705 "dwt.c"
        var $55=($53) + ($54); //@line 705 "dwt.c"
        var $56=HEAP[$fw]; //@line 705 "dwt.c"
        var $57=CHECK_OVERFLOW(($56+-12)&4294967295, 32); //@line 705 "dwt.c"
        HEAP[$57]=$55; //@line 705 "dwt.c"
        var $58=HEAP[$tmp1_3]; //@line 706 "dwt.c"
        var $59=HEAP[$tmp3_3]; //@line 706 "dwt.c"
        var $60=($58) + ($59); //@line 706 "dwt.c"
        var $61=HEAP[$c_addr]; //@line 706 "dwt.c"
        var $62=($60) * ($61); //@line 706 "dwt.c"
        var $63=HEAP[$tmp2_3]; //@line 706 "dwt.c"
        var $64=($62) + ($63); //@line 706 "dwt.c"
        var $65=HEAP[$fw]; //@line 706 "dwt.c"
        var $66=CHECK_OVERFLOW(($65+-8)&4294967295, 32); //@line 706 "dwt.c"
        HEAP[$66]=$64; //@line 706 "dwt.c"
        var $67=HEAP[$tmp1_4]; //@line 707 "dwt.c"
        var $68=HEAP[$tmp3_4]; //@line 707 "dwt.c"
        var $69=($67) + ($68); //@line 707 "dwt.c"
        var $70=HEAP[$c_addr]; //@line 707 "dwt.c"
        var $71=($69) * ($70); //@line 707 "dwt.c"
        var $72=HEAP[$tmp2_4]; //@line 707 "dwt.c"
        var $73=($71) + ($72); //@line 707 "dwt.c"
        var $74=HEAP[$fw]; //@line 707 "dwt.c"
        var $75=CHECK_OVERFLOW(($74+-4)&4294967295, 32); //@line 707 "dwt.c"
        HEAP[$75]=$73; //@line 707 "dwt.c"
        var $76=HEAP[$fw]; //@line 708 "dwt.c"
        HEAP[$fl]=$76; //@line 708 "dwt.c"
        var $77=HEAP[$fw]; //@line 709 "dwt.c"
        var $78=CHECK_OVERFLOW(($77+32)&4294967295, 32); //@line 709 "dwt.c"
        HEAP[$fw]=$78; //@line 709 "dwt.c"
        var $79=HEAP[$i]; //@line 691 "dwt.c"
        var $80=CHECK_OVERFLOW((($79) + 1)&4294967295, 32); //@line 691 "dwt.c"
        HEAP[$i]=$80; //@line 691 "dwt.c"
        __label__ = 0; break; //@line 691 "dwt.c"
      case 0: // $bb1
        var $81=HEAP[$i]; //@line 691 "dwt.c"
        var $82=HEAP[$m_addr]; //@line 691 "dwt.c"
        var $83=($81) < ($82); //@line 691 "dwt.c"
        if ($83) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 691 "dwt.c"
      case 2: // $bb2
        var $84=HEAP[$m_addr]; //@line 711 "dwt.c"
        var $85=HEAP[$k_addr]; //@line 711 "dwt.c"
        var $86=($84) < ($85); //@line 711 "dwt.c"
        if ($86) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 711 "dwt.c"
      case 3: // $bb3
        var $87=HEAP[$c_addr]; //@line 716 "dwt.c"
        var $88=($87) * 2; //@line 716 "dwt.c"
        HEAP[$c_addr]=$88; //@line 716 "dwt.c"
        var $89=HEAP[$fl]; //@line 717 "dwt.c"
        var $90=CHECK_OVERFLOW(($89)&4294967295, 32); //@line 717 "dwt.c"
        var $91=HEAP[$90]; //@line 717 "dwt.c"
        var $92=HEAP[$c_addr]; //@line 717 "dwt.c"
        var $93=($91) * ($92); //@line 717 "dwt.c"
        HEAP[$c1]=$93; //@line 717 "dwt.c"
        var $94=HEAP[$fl]; //@line 718 "dwt.c"
        var $95=CHECK_OVERFLOW(($94+4)&4294967295, 32); //@line 718 "dwt.c"
        var $96=HEAP[$95]; //@line 718 "dwt.c"
        var $97=HEAP[$c_addr]; //@line 718 "dwt.c"
        var $98=($96) * ($97); //@line 718 "dwt.c"
        HEAP[$c2]=$98; //@line 718 "dwt.c"
        var $99=HEAP[$fl]; //@line 719 "dwt.c"
        var $100=CHECK_OVERFLOW(($99+8)&4294967295, 32); //@line 719 "dwt.c"
        var $101=HEAP[$100]; //@line 719 "dwt.c"
        var $102=HEAP[$c_addr]; //@line 719 "dwt.c"
        var $103=($101) * ($102); //@line 719 "dwt.c"
        HEAP[$c3]=$103; //@line 719 "dwt.c"
        var $104=HEAP[$fl]; //@line 720 "dwt.c"
        var $105=CHECK_OVERFLOW(($104+12)&4294967295, 32); //@line 720 "dwt.c"
        var $106=HEAP[$105]; //@line 720 "dwt.c"
        var $107=HEAP[$c_addr]; //@line 720 "dwt.c"
        var $108=($106) * ($107); //@line 720 "dwt.c"
        HEAP[$c4]=$108; //@line 720 "dwt.c"
        __label__ = 5; break; //@line 720 "dwt.c"
      case 6: // $bb4
        var $109=HEAP[$fw]; //@line 722 "dwt.c"
        var $110=CHECK_OVERFLOW(($109+-16)&4294967295, 32); //@line 722 "dwt.c"
        var $111=HEAP[$110]; //@line 722 "dwt.c"
        HEAP[$tmp1]=$111; //@line 722 "dwt.c"
        var $112=HEAP[$fw]; //@line 723 "dwt.c"
        var $113=CHECK_OVERFLOW(($112+-12)&4294967295, 32); //@line 723 "dwt.c"
        var $114=HEAP[$113]; //@line 723 "dwt.c"
        HEAP[$tmp2]=$114; //@line 723 "dwt.c"
        var $115=HEAP[$fw]; //@line 724 "dwt.c"
        var $116=CHECK_OVERFLOW(($115+-8)&4294967295, 32); //@line 724 "dwt.c"
        var $117=HEAP[$116]; //@line 724 "dwt.c"
        HEAP[$tmp3]=$117; //@line 724 "dwt.c"
        var $118=HEAP[$fw]; //@line 725 "dwt.c"
        var $119=CHECK_OVERFLOW(($118+-4)&4294967295, 32); //@line 725 "dwt.c"
        var $120=HEAP[$119]; //@line 725 "dwt.c"
        HEAP[$tmp4]=$120; //@line 725 "dwt.c"
        var $121=HEAP[$tmp1]; //@line 726 "dwt.c"
        var $122=HEAP[$c1]; //@line 726 "dwt.c"
        var $123=($121) + ($122); //@line 726 "dwt.c"
        var $124=HEAP[$fw]; //@line 726 "dwt.c"
        var $125=CHECK_OVERFLOW(($124+-16)&4294967295, 32); //@line 726 "dwt.c"
        HEAP[$125]=$123; //@line 726 "dwt.c"
        var $126=HEAP[$tmp2]; //@line 727 "dwt.c"
        var $127=HEAP[$c2]; //@line 727 "dwt.c"
        var $128=($126) + ($127); //@line 727 "dwt.c"
        var $129=HEAP[$fw]; //@line 727 "dwt.c"
        var $130=CHECK_OVERFLOW(($129+-12)&4294967295, 32); //@line 727 "dwt.c"
        HEAP[$130]=$128; //@line 727 "dwt.c"
        var $131=HEAP[$tmp3]; //@line 728 "dwt.c"
        var $132=HEAP[$c3]; //@line 728 "dwt.c"
        var $133=($131) + ($132); //@line 728 "dwt.c"
        var $134=HEAP[$fw]; //@line 728 "dwt.c"
        var $135=CHECK_OVERFLOW(($134+-8)&4294967295, 32); //@line 728 "dwt.c"
        HEAP[$135]=$133; //@line 728 "dwt.c"
        var $136=HEAP[$tmp4]; //@line 729 "dwt.c"
        var $137=HEAP[$c4]; //@line 729 "dwt.c"
        var $138=($136) + ($137); //@line 729 "dwt.c"
        var $139=HEAP[$fw]; //@line 729 "dwt.c"
        var $140=CHECK_OVERFLOW(($139+-4)&4294967295, 32); //@line 729 "dwt.c"
        HEAP[$140]=$138; //@line 729 "dwt.c"
        var $141=HEAP[$fw]; //@line 730 "dwt.c"
        var $142=CHECK_OVERFLOW(($141+32)&4294967295, 32); //@line 730 "dwt.c"
        HEAP[$fw]=$142; //@line 730 "dwt.c"
        var $143=HEAP[$m_addr]; //@line 721 "dwt.c"
        var $144=CHECK_OVERFLOW((($143) + 1)&4294967295, 32); //@line 721 "dwt.c"
        HEAP[$m_addr]=$144; //@line 721 "dwt.c"
        __label__ = 5; break; //@line 721 "dwt.c"
      case 5: // $bb5
        var $145=HEAP[$m_addr]; //@line 721 "dwt.c"
        var $146=HEAP[$k_addr]; //@line 721 "dwt.c"
        var $147=($145) < ($146); //@line 721 "dwt.c"
        if ($147) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 721 "dwt.c"
      case 4: // $bb6
        __label__ = 7; break; //@line 733 "dwt.c"
      case 7: // $return
        STACKTOP = __stackBase__;
        return; //@line 733 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _v4dwt_decode($dwt) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $dwt_addr=__stackBase__;
        var $a=__stackBase__+4;
        var $b=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$dwt_addr]=$dwt;
        var $0=HEAP[$dwt_addr]; //@line 742 "dwt.c"
        var $1=CHECK_OVERFLOW(($0+12)&4294967295, 32); //@line 742 "dwt.c"
        var $2=HEAP[$1]; //@line 742 "dwt.c"
        var $3=($2)==0; //@line 742 "dwt.c"
        if ($3) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 742 "dwt.c"
      case 0: // $bb
        var $4=HEAP[$dwt_addr]; //@line 743 "dwt.c"
        var $5=CHECK_OVERFLOW(($4+4)&4294967295, 32); //@line 743 "dwt.c"
        var $6=HEAP[$5]; //@line 743 "dwt.c"
        var $7=($6) <= 0; //@line 743 "dwt.c"
        if ($7) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 743 "dwt.c"
      case 2: // $bb1
        var $8=HEAP[$dwt_addr]; //@line 743 "dwt.c"
        var $9=CHECK_OVERFLOW(($8+8)&4294967295, 32); //@line 743 "dwt.c"
        var $10=HEAP[$9]; //@line 743 "dwt.c"
        var $11=($10) <= 1; //@line 743 "dwt.c"
        if ($11) { __label__ = 4; break; } else { __label__ = 3; break; } //@line 743 "dwt.c"
      case 3: // $bb2
        HEAP[$a]=0; //@line 746 "dwt.c"
        HEAP[$b]=1; //@line 747 "dwt.c"
        __label__ = 5; break; //@line 747 "dwt.c"
      case 1: // $bb3
        var $12=HEAP[$dwt_addr]; //@line 749 "dwt.c"
        var $13=CHECK_OVERFLOW(($12+8)&4294967295, 32); //@line 749 "dwt.c"
        var $14=HEAP[$13]; //@line 749 "dwt.c"
        var $15=($14) <= 0; //@line 749 "dwt.c"
        if ($15) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 749 "dwt.c"
      case 6: // $bb4
        var $16=HEAP[$dwt_addr]; //@line 749 "dwt.c"
        var $17=CHECK_OVERFLOW(($16+4)&4294967295, 32); //@line 749 "dwt.c"
        var $18=HEAP[$17]; //@line 749 "dwt.c"
        var $19=($18) <= 1; //@line 749 "dwt.c"
        if ($19) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 749 "dwt.c"
      case 7: // $bb5
        HEAP[$a]=1; //@line 752 "dwt.c"
        HEAP[$b]=0; //@line 753 "dwt.c"
        __label__ = 5; break; //@line 753 "dwt.c"
      case 5: // $bb6
        var $20=HEAP[_K]; //@line 763 "dwt.c"
        var $21=HEAP[$dwt_addr]; //@line 763 "dwt.c"
        var $22=CHECK_OVERFLOW(($21+8)&4294967295, 32); //@line 763 "dwt.c"
        var $23=HEAP[$22]; //@line 763 "dwt.c"
        var $24=HEAP[$dwt_addr]; //@line 763 "dwt.c"
        var $25=CHECK_OVERFLOW(($24)&4294967295, 32); //@line 763 "dwt.c"
        var $26=HEAP[$25]; //@line 763 "dwt.c"
        var $27=HEAP[$a]; //@line 763 "dwt.c"
        var $28=CHECK_OVERFLOW(($26+16*$27)&4294967295, 32); //@line 763 "dwt.c"
        _v4dwt_decode_step1($28, $23, $20); //@line 763 "dwt.c"
        var $29=HEAP[_c13318]; //@line 764 "dwt.c"
        var $30=HEAP[$dwt_addr]; //@line 764 "dwt.c"
        var $31=CHECK_OVERFLOW(($30+4)&4294967295, 32); //@line 764 "dwt.c"
        var $32=HEAP[$31]; //@line 764 "dwt.c"
        var $33=HEAP[$dwt_addr]; //@line 764 "dwt.c"
        var $34=CHECK_OVERFLOW(($33)&4294967295, 32); //@line 764 "dwt.c"
        var $35=HEAP[$34]; //@line 764 "dwt.c"
        var $36=HEAP[$b]; //@line 764 "dwt.c"
        var $37=CHECK_OVERFLOW(($35+16*$36)&4294967295, 32); //@line 764 "dwt.c"
        _v4dwt_decode_step1($37, $32, $29); //@line 764 "dwt.c"
        var $38=HEAP[_dwt_delta]; //@line 765 "dwt.c"
        var $39=HEAP[$dwt_addr]; //@line 765 "dwt.c"
        var $40=CHECK_OVERFLOW(($39+4)&4294967295, 32); //@line 765 "dwt.c"
        var $41=HEAP[$40]; //@line 765 "dwt.c"
        var $42=HEAP[$a]; //@line 765 "dwt.c"
        var $43=CHECK_OVERFLOW((($41) - ($42))&4294967295, 32); //@line 765 "dwt.c"
        var $44=HEAP[$dwt_addr]; //@line 765 "dwt.c"
        var $45=CHECK_OVERFLOW(($44+8)&4294967295, 32); //@line 765 "dwt.c"
        var $46=HEAP[$45]; //@line 765 "dwt.c"
        var $47=_int_min($46, $43); //@line 765 "dwt.c"
        var $48=HEAP[$dwt_addr]; //@line 765 "dwt.c"
        var $49=CHECK_OVERFLOW(($48+8)&4294967295, 32); //@line 765 "dwt.c"
        var $50=HEAP[$49]; //@line 765 "dwt.c"
        var $51=HEAP[$dwt_addr]; //@line 765 "dwt.c"
        var $52=CHECK_OVERFLOW(($51)&4294967295, 32); //@line 765 "dwt.c"
        var $53=HEAP[$52]; //@line 765 "dwt.c"
        var $54=HEAP[$a]; //@line 765 "dwt.c"
        var $55=CHECK_OVERFLOW(($53+16*$54)&4294967295, 32); //@line 765 "dwt.c"
        var $56=CHECK_OVERFLOW(($55+16)&4294967295, 32); //@line 765 "dwt.c"
        var $57=HEAP[$dwt_addr]; //@line 765 "dwt.c"
        var $58=CHECK_OVERFLOW(($57)&4294967295, 32); //@line 765 "dwt.c"
        var $59=HEAP[$58]; //@line 765 "dwt.c"
        var $60=HEAP[$b]; //@line 765 "dwt.c"
        var $61=CHECK_OVERFLOW(($59+16*$60)&4294967295, 32); //@line 765 "dwt.c"
        _v4dwt_decode_step2($61, $56, $50, $47, $38); //@line 765 "dwt.c"
        var $62=HEAP[_dwt_gamma]; //@line 766 "dwt.c"
        var $63=HEAP[$dwt_addr]; //@line 766 "dwt.c"
        var $64=CHECK_OVERFLOW(($63+8)&4294967295, 32); //@line 766 "dwt.c"
        var $65=HEAP[$64]; //@line 766 "dwt.c"
        var $66=HEAP[$b]; //@line 766 "dwt.c"
        var $67=CHECK_OVERFLOW((($65) - ($66))&4294967295, 32); //@line 766 "dwt.c"
        var $68=HEAP[$dwt_addr]; //@line 766 "dwt.c"
        var $69=CHECK_OVERFLOW(($68+4)&4294967295, 32); //@line 766 "dwt.c"
        var $70=HEAP[$69]; //@line 766 "dwt.c"
        var $71=_int_min($70, $67); //@line 766 "dwt.c"
        var $72=HEAP[$dwt_addr]; //@line 766 "dwt.c"
        var $73=CHECK_OVERFLOW(($72+4)&4294967295, 32); //@line 766 "dwt.c"
        var $74=HEAP[$73]; //@line 766 "dwt.c"
        var $75=HEAP[$dwt_addr]; //@line 766 "dwt.c"
        var $76=CHECK_OVERFLOW(($75)&4294967295, 32); //@line 766 "dwt.c"
        var $77=HEAP[$76]; //@line 766 "dwt.c"
        var $78=HEAP[$b]; //@line 766 "dwt.c"
        var $79=CHECK_OVERFLOW(($77+16*$78)&4294967295, 32); //@line 766 "dwt.c"
        var $80=CHECK_OVERFLOW(($79+16)&4294967295, 32); //@line 766 "dwt.c"
        var $81=HEAP[$dwt_addr]; //@line 766 "dwt.c"
        var $82=CHECK_OVERFLOW(($81)&4294967295, 32); //@line 766 "dwt.c"
        var $83=HEAP[$82]; //@line 766 "dwt.c"
        var $84=HEAP[$a]; //@line 766 "dwt.c"
        var $85=CHECK_OVERFLOW(($83+16*$84)&4294967295, 32); //@line 766 "dwt.c"
        _v4dwt_decode_step2($85, $80, $74, $71, $62); //@line 766 "dwt.c"
        var $86=HEAP[_dwt_beta]; //@line 767 "dwt.c"
        var $87=HEAP[$dwt_addr]; //@line 767 "dwt.c"
        var $88=CHECK_OVERFLOW(($87+4)&4294967295, 32); //@line 767 "dwt.c"
        var $89=HEAP[$88]; //@line 767 "dwt.c"
        var $90=HEAP[$a]; //@line 767 "dwt.c"
        var $91=CHECK_OVERFLOW((($89) - ($90))&4294967295, 32); //@line 767 "dwt.c"
        var $92=HEAP[$dwt_addr]; //@line 767 "dwt.c"
        var $93=CHECK_OVERFLOW(($92+8)&4294967295, 32); //@line 767 "dwt.c"
        var $94=HEAP[$93]; //@line 767 "dwt.c"
        var $95=_int_min($94, $91); //@line 767 "dwt.c"
        var $96=HEAP[$dwt_addr]; //@line 767 "dwt.c"
        var $97=CHECK_OVERFLOW(($96+8)&4294967295, 32); //@line 767 "dwt.c"
        var $98=HEAP[$97]; //@line 767 "dwt.c"
        var $99=HEAP[$dwt_addr]; //@line 767 "dwt.c"
        var $100=CHECK_OVERFLOW(($99)&4294967295, 32); //@line 767 "dwt.c"
        var $101=HEAP[$100]; //@line 767 "dwt.c"
        var $102=HEAP[$a]; //@line 767 "dwt.c"
        var $103=CHECK_OVERFLOW(($101+16*$102)&4294967295, 32); //@line 767 "dwt.c"
        var $104=CHECK_OVERFLOW(($103+16)&4294967295, 32); //@line 767 "dwt.c"
        var $105=HEAP[$dwt_addr]; //@line 767 "dwt.c"
        var $106=CHECK_OVERFLOW(($105)&4294967295, 32); //@line 767 "dwt.c"
        var $107=HEAP[$106]; //@line 767 "dwt.c"
        var $108=HEAP[$b]; //@line 767 "dwt.c"
        var $109=CHECK_OVERFLOW(($107+16*$108)&4294967295, 32); //@line 767 "dwt.c"
        _v4dwt_decode_step2($109, $104, $98, $95, $86); //@line 767 "dwt.c"
        var $110=HEAP[_dwt_alpha]; //@line 768 "dwt.c"
        var $111=HEAP[$dwt_addr]; //@line 768 "dwt.c"
        var $112=CHECK_OVERFLOW(($111+8)&4294967295, 32); //@line 768 "dwt.c"
        var $113=HEAP[$112]; //@line 768 "dwt.c"
        var $114=HEAP[$b]; //@line 768 "dwt.c"
        var $115=CHECK_OVERFLOW((($113) - ($114))&4294967295, 32); //@line 768 "dwt.c"
        var $116=HEAP[$dwt_addr]; //@line 768 "dwt.c"
        var $117=CHECK_OVERFLOW(($116+4)&4294967295, 32); //@line 768 "dwt.c"
        var $118=HEAP[$117]; //@line 768 "dwt.c"
        var $119=_int_min($118, $115); //@line 768 "dwt.c"
        var $120=HEAP[$dwt_addr]; //@line 768 "dwt.c"
        var $121=CHECK_OVERFLOW(($120+4)&4294967295, 32); //@line 768 "dwt.c"
        var $122=HEAP[$121]; //@line 768 "dwt.c"
        var $123=HEAP[$dwt_addr]; //@line 768 "dwt.c"
        var $124=CHECK_OVERFLOW(($123)&4294967295, 32); //@line 768 "dwt.c"
        var $125=HEAP[$124]; //@line 768 "dwt.c"
        var $126=HEAP[$b]; //@line 768 "dwt.c"
        var $127=CHECK_OVERFLOW(($125+16*$126)&4294967295, 32); //@line 768 "dwt.c"
        var $128=CHECK_OVERFLOW(($127+16)&4294967295, 32); //@line 768 "dwt.c"
        var $129=HEAP[$dwt_addr]; //@line 768 "dwt.c"
        var $130=CHECK_OVERFLOW(($129)&4294967295, 32); //@line 768 "dwt.c"
        var $131=HEAP[$130]; //@line 768 "dwt.c"
        var $132=HEAP[$a]; //@line 768 "dwt.c"
        var $133=CHECK_OVERFLOW(($131+16*$132)&4294967295, 32); //@line 768 "dwt.c"
        _v4dwt_decode_step2($133, $128, $122, $119, $110); //@line 768 "dwt.c"
        __label__ = 4; break; //@line 768 "dwt.c"
      case 4: // $bb7
        __label__ = 8; break; //@line 744 "dwt.c"
      case 8: // $return
        STACKTOP = __stackBase__;
        return; //@line 744 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_min($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$b_addr]; //@line 51 "int.h"
        var $2=HEAP[$a_addr]; //@line 51 "int.h"
        var $3=($1) <= ($2); //@line 51 "int.h"
        var $min=($3) ? ($1) : ($2); //@line 51 "int.h"
        HEAP[$0]=$min; //@line 51 "int.h"
        var $4=HEAP[$0]; //@line 51 "int.h"
        HEAP[$retval]=$4; //@line 51 "int.h"
        __label__ = 0; break; //@line 51 "int.h"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 51 "int.h"
        STACKTOP = __stackBase__;
        return $retval1; //@line 51 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _dwt_decode_real($tilec, $numres) {
    var __stackBase__  = STACKTOP; STACKTOP += 84; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 84);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tilec_addr=__stackBase__;
        var $numres_addr=__stackBase__+4;
        var $h=__stackBase__+8;
        var $v=__stackBase__+24;
        var $res=__stackBase__+40;
        var $rw=__stackBase__+44;
        var $rh=__stackBase__+48;
        var $w=__stackBase__+52;
        var $aj=__stackBase__+56;
        var $bufsize=__stackBase__+60;
        var $j=__stackBase__+64;
        var $k=__stackBase__+68;
        var $k8=__stackBase__+72;
        var $k16=__stackBase__+76;
        var $k23=__stackBase__+80;
        var $_alloca_point_=0;
        HEAP[$tilec_addr]=$tilec;
        HEAP[$numres_addr]=$numres;
        var $0=HEAP[$tilec_addr]; //@line 779 "dwt.c"
        var $1=CHECK_OVERFLOW(($0+20)&4294967295, 32); //@line 779 "dwt.c"
        var $2=HEAP[$1]; //@line 779 "dwt.c"
        HEAP[$res]=$2; //@line 779 "dwt.c"
        var $3=HEAP[$res]; //@line 781 "dwt.c"
        var $4=CHECK_OVERFLOW(($3+8)&4294967295, 32); //@line 781 "dwt.c"
        var $5=HEAP[$4]; //@line 781 "dwt.c"
        var $6=HEAP[$res]; //@line 781 "dwt.c"
        var $7=CHECK_OVERFLOW(($6)&4294967295, 32); //@line 781 "dwt.c"
        var $8=HEAP[$7]; //@line 781 "dwt.c"
        var $9=CHECK_OVERFLOW((($5) - ($8))&4294967295, 32); //@line 781 "dwt.c"
        HEAP[$rw]=$9; //@line 781 "dwt.c"
        var $10=HEAP[$res]; //@line 782 "dwt.c"
        var $11=CHECK_OVERFLOW(($10+12)&4294967295, 32); //@line 782 "dwt.c"
        var $12=HEAP[$11]; //@line 782 "dwt.c"
        var $13=HEAP[$res]; //@line 782 "dwt.c"
        var $14=CHECK_OVERFLOW(($13+4)&4294967295, 32); //@line 782 "dwt.c"
        var $15=HEAP[$14]; //@line 782 "dwt.c"
        var $16=CHECK_OVERFLOW((($12) - ($15))&4294967295, 32); //@line 782 "dwt.c"
        HEAP[$rh]=$16; //@line 782 "dwt.c"
        var $17=HEAP[$tilec_addr]; //@line 784 "dwt.c"
        var $18=CHECK_OVERFLOW(($17+8)&4294967295, 32); //@line 784 "dwt.c"
        var $19=HEAP[$18]; //@line 784 "dwt.c"
        var $20=HEAP[$tilec_addr]; //@line 784 "dwt.c"
        var $21=CHECK_OVERFLOW(($20)&4294967295, 32); //@line 784 "dwt.c"
        var $22=HEAP[$21]; //@line 784 "dwt.c"
        var $23=CHECK_OVERFLOW((($19) - ($22))&4294967295, 32); //@line 784 "dwt.c"
        HEAP[$w]=$23; //@line 784 "dwt.c"
        var $24=HEAP[$res]; //@line 786 "dwt.c"
        var $25=HEAP[$numres_addr]; //@line 786 "dwt.c"
        var $26=_dwt_decode_max_resolution($24, $25); //@line 786 "dwt.c"
        var $27=CHECK_OVERFLOW((($26) * 16)&4294967295, 32); //@line 786 "dwt.c"
        var $28=CHECK_OVERFLOW((($27) + 80)&4294967295, 32); //@line 786 "dwt.c"
        var $29=_memalign(16, $28); //@line 786 "dwt.c"
        var $30=$29; //@line 786 "dwt.c"
        var $31=CHECK_OVERFLOW(($h)&4294967295, 32); //@line 786 "dwt.c"
        HEAP[$31]=$30; //@line 786 "dwt.c"
        var $32=CHECK_OVERFLOW(($h)&4294967295, 32); //@line 787 "dwt.c"
        var $33=HEAP[$32]; //@line 787 "dwt.c"
        var $34=CHECK_OVERFLOW(($v)&4294967295, 32); //@line 787 "dwt.c"
        HEAP[$34]=$33; //@line 787 "dwt.c"
        __label__ = 0; break; //@line 787 "dwt.c"
      case 22: // $bb
        var $35=HEAP[$tilec_addr]; //@line 790 "dwt.c"
        var $36=CHECK_OVERFLOW(($35+24)&4294967295, 32); //@line 790 "dwt.c"
        var $37=HEAP[$36]; //@line 790 "dwt.c"
        var $38=$37; //@line 790 "dwt.c"
        HEAP[$aj]=$38; //@line 790 "dwt.c"
        var $39=HEAP[$tilec_addr]; //@line 791 "dwt.c"
        var $40=CHECK_OVERFLOW(($39+8)&4294967295, 32); //@line 791 "dwt.c"
        var $41=HEAP[$40]; //@line 791 "dwt.c"
        var $42=HEAP[$tilec_addr]; //@line 791 "dwt.c"
        var $43=CHECK_OVERFLOW(($42)&4294967295, 32); //@line 791 "dwt.c"
        var $44=HEAP[$43]; //@line 791 "dwt.c"
        var $45=CHECK_OVERFLOW((($41) - ($44))&4294967295, 32); //@line 791 "dwt.c"
        var $46=HEAP[$tilec_addr]; //@line 791 "dwt.c"
        var $47=CHECK_OVERFLOW(($46+12)&4294967295, 32); //@line 791 "dwt.c"
        var $48=HEAP[$47]; //@line 791 "dwt.c"
        var $49=HEAP[$tilec_addr]; //@line 791 "dwt.c"
        var $50=CHECK_OVERFLOW(($49+4)&4294967295, 32); //@line 791 "dwt.c"
        var $51=HEAP[$50]; //@line 791 "dwt.c"
        var $52=CHECK_OVERFLOW((($48) - ($51))&4294967295, 32); //@line 791 "dwt.c"
        var $53=CHECK_OVERFLOW((($45) * ($52))&4294967295, 32); //@line 791 "dwt.c"
        HEAP[$bufsize]=$53; //@line 791 "dwt.c"
        var $54=CHECK_OVERFLOW(($h+8)&4294967295, 32); //@line 794 "dwt.c"
        var $55=HEAP[$rw]; //@line 794 "dwt.c"
        HEAP[$54]=$55; //@line 794 "dwt.c"
        var $56=CHECK_OVERFLOW(($v+8)&4294967295, 32); //@line 795 "dwt.c"
        var $57=HEAP[$rh]; //@line 795 "dwt.c"
        HEAP[$56]=$57; //@line 795 "dwt.c"
        var $58=HEAP[$res]; //@line 797 "dwt.c"
        var $59=CHECK_OVERFLOW(($58+124)&4294967295, 32); //@line 797 "dwt.c"
        HEAP[$res]=$59; //@line 797 "dwt.c"
        var $60=HEAP[$res]; //@line 799 "dwt.c"
        var $61=CHECK_OVERFLOW(($60+8)&4294967295, 32); //@line 799 "dwt.c"
        var $62=HEAP[$61]; //@line 799 "dwt.c"
        var $63=HEAP[$res]; //@line 799 "dwt.c"
        var $64=CHECK_OVERFLOW(($63)&4294967295, 32); //@line 799 "dwt.c"
        var $65=HEAP[$64]; //@line 799 "dwt.c"
        var $66=CHECK_OVERFLOW((($62) - ($65))&4294967295, 32); //@line 799 "dwt.c"
        HEAP[$rw]=$66; //@line 799 "dwt.c"
        var $67=HEAP[$res]; //@line 800 "dwt.c"
        var $68=CHECK_OVERFLOW(($67+12)&4294967295, 32); //@line 800 "dwt.c"
        var $69=HEAP[$68]; //@line 800 "dwt.c"
        var $70=HEAP[$res]; //@line 800 "dwt.c"
        var $71=CHECK_OVERFLOW(($70+4)&4294967295, 32); //@line 800 "dwt.c"
        var $72=HEAP[$71]; //@line 800 "dwt.c"
        var $73=CHECK_OVERFLOW((($69) - ($72))&4294967295, 32); //@line 800 "dwt.c"
        HEAP[$rh]=$73; //@line 800 "dwt.c"
        var $74=CHECK_OVERFLOW(($h+8)&4294967295, 32); //@line 802 "dwt.c"
        var $75=HEAP[$74]; //@line 802 "dwt.c"
        var $76=HEAP[$rw]; //@line 802 "dwt.c"
        var $77=CHECK_OVERFLOW((($76) - ($75))&4294967295, 32); //@line 802 "dwt.c"
        var $78=CHECK_OVERFLOW(($h+4)&4294967295, 32); //@line 802 "dwt.c"
        HEAP[$78]=$77; //@line 802 "dwt.c"
        var $79=HEAP[$res]; //@line 803 "dwt.c"
        var $80=CHECK_OVERFLOW(($79)&4294967295, 32); //@line 803 "dwt.c"
        var $81=HEAP[$80]; //@line 803 "dwt.c"
        var $82=($81) % 2; //@line 803 "dwt.c"
        var $83=CHECK_OVERFLOW(($h+12)&4294967295, 32); //@line 803 "dwt.c"
        HEAP[$83]=$82; //@line 803 "dwt.c"
        var $84=HEAP[$rh]; //@line 805 "dwt.c"
        HEAP[$j]=$84; //@line 805 "dwt.c"
        __label__ = 1; break; //@line 805 "dwt.c"
      case 5: // $bb1
        var $85=HEAP[$aj]; //@line 807 "dwt.c"
        var $86=HEAP[$w]; //@line 807 "dwt.c"
        var $87=HEAP[$bufsize]; //@line 807 "dwt.c"
        _v4dwt_interleave_h($h, $85, $86, $87); //@line 807 "dwt.c"
        _v4dwt_decode($h); //@line 808 "dwt.c"
        var $88=HEAP[$rw]; //@line 809 "dwt.c"
        HEAP[$k]=$88; //@line 809 "dwt.c"
        __label__ = 2; break; //@line 809 "dwt.c"
      case 3: // $bb2
        var $89=CHECK_OVERFLOW(($h)&4294967295, 32); //@line 810 "dwt.c"
        var $90=HEAP[$89]; //@line 810 "dwt.c"
        var $91=HEAP[$k]; //@line 810 "dwt.c"
        var $92=CHECK_OVERFLOW(($90+16*$91)&4294967295, 32); //@line 810 "dwt.c"
        var $93=CHECK_OVERFLOW(($92)&4294967295, 32); //@line 810 "dwt.c"
        var $94=CHECK_OVERFLOW(($93)&4294967295, 32); //@line 810 "dwt.c"
        var $95=HEAP[$94]; //@line 810 "dwt.c"
        var $96=HEAP[$aj]; //@line 810 "dwt.c"
        var $97=HEAP[$k]; //@line 810 "dwt.c"
        var $98=CHECK_OVERFLOW(($96+4*$97)&4294967295, 32); //@line 810 "dwt.c"
        HEAP[$98]=$95; //@line 810 "dwt.c"
        var $99=HEAP[$k]; //@line 811 "dwt.c"
        var $100=HEAP[$w]; //@line 811 "dwt.c"
        var $101=CHECK_OVERFLOW((($99) + ($100))&4294967295, 32); //@line 811 "dwt.c"
        var $102=CHECK_OVERFLOW(($h)&4294967295, 32); //@line 811 "dwt.c"
        var $103=HEAP[$102]; //@line 811 "dwt.c"
        var $104=HEAP[$k]; //@line 811 "dwt.c"
        var $105=CHECK_OVERFLOW(($103+16*$104)&4294967295, 32); //@line 811 "dwt.c"
        var $106=CHECK_OVERFLOW(($105)&4294967295, 32); //@line 811 "dwt.c"
        var $107=CHECK_OVERFLOW(($106+4)&4294967295, 32); //@line 811 "dwt.c"
        var $108=HEAP[$107]; //@line 811 "dwt.c"
        var $109=HEAP[$aj]; //@line 811 "dwt.c"
        var $110=CHECK_OVERFLOW(($109+4*$101)&4294967295, 32); //@line 811 "dwt.c"
        HEAP[$110]=$108; //@line 811 "dwt.c"
        var $111=HEAP[$w]; //@line 812 "dwt.c"
        var $112=CHECK_OVERFLOW((($111) * 2)&4294967295, 32); //@line 812 "dwt.c"
        var $113=HEAP[$k]; //@line 812 "dwt.c"
        var $114=CHECK_OVERFLOW((($112) + ($113))&4294967295, 32); //@line 812 "dwt.c"
        var $115=CHECK_OVERFLOW(($h)&4294967295, 32); //@line 812 "dwt.c"
        var $116=HEAP[$115]; //@line 812 "dwt.c"
        var $117=HEAP[$k]; //@line 812 "dwt.c"
        var $118=CHECK_OVERFLOW(($116+16*$117)&4294967295, 32); //@line 812 "dwt.c"
        var $119=CHECK_OVERFLOW(($118)&4294967295, 32); //@line 812 "dwt.c"
        var $120=CHECK_OVERFLOW(($119+8)&4294967295, 32); //@line 812 "dwt.c"
        var $121=HEAP[$120]; //@line 812 "dwt.c"
        var $122=HEAP[$aj]; //@line 812 "dwt.c"
        var $123=CHECK_OVERFLOW(($122+4*$114)&4294967295, 32); //@line 812 "dwt.c"
        HEAP[$123]=$121; //@line 812 "dwt.c"
        var $124=HEAP[$w]; //@line 813 "dwt.c"
        var $125=CHECK_OVERFLOW((($124) * 3)&4294967295, 32); //@line 813 "dwt.c"
        var $126=HEAP[$k]; //@line 813 "dwt.c"
        var $127=CHECK_OVERFLOW((($125) + ($126))&4294967295, 32); //@line 813 "dwt.c"
        var $128=CHECK_OVERFLOW(($h)&4294967295, 32); //@line 813 "dwt.c"
        var $129=HEAP[$128]; //@line 813 "dwt.c"
        var $130=HEAP[$k]; //@line 813 "dwt.c"
        var $131=CHECK_OVERFLOW(($129+16*$130)&4294967295, 32); //@line 813 "dwt.c"
        var $132=CHECK_OVERFLOW(($131)&4294967295, 32); //@line 813 "dwt.c"
        var $133=CHECK_OVERFLOW(($132+12)&4294967295, 32); //@line 813 "dwt.c"
        var $134=HEAP[$133]; //@line 813 "dwt.c"
        var $135=HEAP[$aj]; //@line 813 "dwt.c"
        var $136=CHECK_OVERFLOW(($135+4*$127)&4294967295, 32); //@line 813 "dwt.c"
        HEAP[$136]=$134; //@line 813 "dwt.c"
        __label__ = 2; break; //@line 813 "dwt.c"
      case 2: // $bb3
        var $137=HEAP[$k]; //@line 809 "dwt.c"
        var $138=CHECK_OVERFLOW((($137) - 1)&4294967295, 32); //@line 809 "dwt.c"
        HEAP[$k]=$138; //@line 809 "dwt.c"
        var $139=HEAP[$k]; //@line 809 "dwt.c"
        var $140=($139) >= 0; //@line 809 "dwt.c"
        if ($140) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 809 "dwt.c"
      case 4: // $bb4
        var $141=HEAP[$w]; //@line 815 "dwt.c"
        var $142=CHECK_OVERFLOW((($141) * 4)&4294967295, 32); //@line 815 "dwt.c"
        var $143=HEAP[$aj]; //@line 815 "dwt.c"
        var $144=CHECK_OVERFLOW(($143+4*$142)&4294967295, 32); //@line 815 "dwt.c"
        HEAP[$aj]=$144; //@line 815 "dwt.c"
        var $145=HEAP[$w]; //@line 816 "dwt.c"
        var $146=CHECK_OVERFLOW((($145) * 4)&4294967295, 32); //@line 816 "dwt.c"
        var $147=HEAP[$bufsize]; //@line 816 "dwt.c"
        var $148=CHECK_OVERFLOW((($147) - ($146))&4294967295, 32); //@line 816 "dwt.c"
        HEAP[$bufsize]=$148; //@line 816 "dwt.c"
        var $149=HEAP[$j]; //@line 805 "dwt.c"
        var $150=CHECK_OVERFLOW((($149) - 4)&4294967295, 32); //@line 805 "dwt.c"
        HEAP[$j]=$150; //@line 805 "dwt.c"
        __label__ = 1; break; //@line 805 "dwt.c"
      case 1: // $bb5
        var $151=HEAP[$j]; //@line 805 "dwt.c"
        var $152=($151) > 3; //@line 805 "dwt.c"
        if ($152) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 805 "dwt.c"
      case 6: // $bb6
        var $153=HEAP[$rh]; //@line 818 "dwt.c"
        var $154=($153) & 3; //@line 818 "dwt.c"
        var $155=($154)!=0; //@line 818 "dwt.c"
        if ($155) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 818 "dwt.c"
      case 7: // $bb7
        var $156=HEAP[$rh]; //@line 820 "dwt.c"
        var $157=($156) & 3; //@line 820 "dwt.c"
        HEAP[$j]=$157; //@line 820 "dwt.c"
        var $158=HEAP[$aj]; //@line 821 "dwt.c"
        var $159=HEAP[$w]; //@line 821 "dwt.c"
        var $160=HEAP[$bufsize]; //@line 821 "dwt.c"
        _v4dwt_interleave_h($h, $158, $159, $160); //@line 821 "dwt.c"
        _v4dwt_decode($h); //@line 822 "dwt.c"
        var $161=HEAP[$rw]; //@line 823 "dwt.c"
        HEAP[$k8]=$161; //@line 823 "dwt.c"
        __label__ = 9; break; //@line 823 "dwt.c"
      case 12: // $bb9
        var $162=HEAP[$j]; //@line 824 "dwt.c"
        if ($162 == 1) {
          __label__ = 11; break;
        }
        else if ($162 == 2) {
          __label__ = 10; break;
        }
        else if ($162 == 3) {
          __label__ = 25; break;
        }
        else {
        __label__ = 9; break;
        }
        
      case 25: // $bb10
        var $163=HEAP[$w]; //@line 825 "dwt.c"
        var $164=CHECK_OVERFLOW((($163) * 2)&4294967295, 32); //@line 825 "dwt.c"
        var $165=HEAP[$k8]; //@line 825 "dwt.c"
        var $166=CHECK_OVERFLOW((($164) + ($165))&4294967295, 32); //@line 825 "dwt.c"
        var $167=CHECK_OVERFLOW(($h)&4294967295, 32); //@line 825 "dwt.c"
        var $168=HEAP[$167]; //@line 825 "dwt.c"
        var $169=HEAP[$k8]; //@line 825 "dwt.c"
        var $170=CHECK_OVERFLOW(($168+16*$169)&4294967295, 32); //@line 825 "dwt.c"
        var $171=CHECK_OVERFLOW(($170)&4294967295, 32); //@line 825 "dwt.c"
        var $172=CHECK_OVERFLOW(($171+8)&4294967295, 32); //@line 825 "dwt.c"
        var $173=HEAP[$172]; //@line 825 "dwt.c"
        var $174=HEAP[$aj]; //@line 825 "dwt.c"
        var $175=CHECK_OVERFLOW(($174+4*$166)&4294967295, 32); //@line 825 "dwt.c"
        HEAP[$175]=$173; //@line 825 "dwt.c"
        __label__ = 10; break; //@line 825 "dwt.c"
      case 10: // $bb11
        var $176=HEAP[$k8]; //@line 826 "dwt.c"
        var $177=HEAP[$w]; //@line 826 "dwt.c"
        var $178=CHECK_OVERFLOW((($176) + ($177))&4294967295, 32); //@line 826 "dwt.c"
        var $179=CHECK_OVERFLOW(($h)&4294967295, 32); //@line 826 "dwt.c"
        var $180=HEAP[$179]; //@line 826 "dwt.c"
        var $181=HEAP[$k8]; //@line 826 "dwt.c"
        var $182=CHECK_OVERFLOW(($180+16*$181)&4294967295, 32); //@line 826 "dwt.c"
        var $183=CHECK_OVERFLOW(($182)&4294967295, 32); //@line 826 "dwt.c"
        var $184=CHECK_OVERFLOW(($183+4)&4294967295, 32); //@line 826 "dwt.c"
        var $185=HEAP[$184]; //@line 826 "dwt.c"
        var $186=HEAP[$aj]; //@line 826 "dwt.c"
        var $187=CHECK_OVERFLOW(($186+4*$178)&4294967295, 32); //@line 826 "dwt.c"
        HEAP[$187]=$185; //@line 826 "dwt.c"
        __label__ = 11; break; //@line 826 "dwt.c"
      case 11: // $bb12
        var $188=CHECK_OVERFLOW(($h)&4294967295, 32); //@line 827 "dwt.c"
        var $189=HEAP[$188]; //@line 827 "dwt.c"
        var $190=HEAP[$k8]; //@line 827 "dwt.c"
        var $191=CHECK_OVERFLOW(($189+16*$190)&4294967295, 32); //@line 827 "dwt.c"
        var $192=CHECK_OVERFLOW(($191)&4294967295, 32); //@line 827 "dwt.c"
        var $193=CHECK_OVERFLOW(($192)&4294967295, 32); //@line 827 "dwt.c"
        var $194=HEAP[$193]; //@line 827 "dwt.c"
        var $195=HEAP[$aj]; //@line 827 "dwt.c"
        var $196=HEAP[$k8]; //@line 827 "dwt.c"
        var $197=CHECK_OVERFLOW(($195+4*$196)&4294967295, 32); //@line 827 "dwt.c"
        HEAP[$197]=$194; //@line 827 "dwt.c"
        __label__ = 9; break; //@line 827 "dwt.c"
      case 9: // $bb13
        var $198=HEAP[$k8]; //@line 823 "dwt.c"
        var $199=CHECK_OVERFLOW((($198) - 1)&4294967295, 32); //@line 823 "dwt.c"
        HEAP[$k8]=$199; //@line 823 "dwt.c"
        var $200=HEAP[$k8]; //@line 823 "dwt.c"
        var $201=($200) >= 0; //@line 823 "dwt.c"
        if ($201) { __label__ = 12; break; } else { __label__ = 8; break; } //@line 823 "dwt.c"
      case 8: // $bb14
        var $202=CHECK_OVERFLOW(($v+8)&4294967295, 32); //@line 832 "dwt.c"
        var $203=HEAP[$202]; //@line 832 "dwt.c"
        var $204=HEAP[$rh]; //@line 832 "dwt.c"
        var $205=CHECK_OVERFLOW((($204) - ($203))&4294967295, 32); //@line 832 "dwt.c"
        var $206=CHECK_OVERFLOW(($v+4)&4294967295, 32); //@line 832 "dwt.c"
        HEAP[$206]=$205; //@line 832 "dwt.c"
        var $207=HEAP[$res]; //@line 833 "dwt.c"
        var $208=CHECK_OVERFLOW(($207+4)&4294967295, 32); //@line 833 "dwt.c"
        var $209=HEAP[$208]; //@line 833 "dwt.c"
        var $210=($209) % 2; //@line 833 "dwt.c"
        var $211=CHECK_OVERFLOW(($v+12)&4294967295, 32); //@line 833 "dwt.c"
        HEAP[$211]=$210; //@line 833 "dwt.c"
        var $212=HEAP[$tilec_addr]; //@line 835 "dwt.c"
        var $213=CHECK_OVERFLOW(($212+24)&4294967295, 32); //@line 835 "dwt.c"
        var $214=HEAP[$213]; //@line 835 "dwt.c"
        var $215=$214; //@line 835 "dwt.c"
        HEAP[$aj]=$215; //@line 835 "dwt.c"
        var $216=HEAP[$rw]; //@line 836 "dwt.c"
        HEAP[$j]=$216; //@line 836 "dwt.c"
        __label__ = 13; break; //@line 836 "dwt.c"
      case 17: // $bb15
        var $217=HEAP[$aj]; //@line 838 "dwt.c"
        var $218=HEAP[$w]; //@line 838 "dwt.c"
        _v4dwt_interleave_v($v, $217, $218); //@line 838 "dwt.c"
        _v4dwt_decode($v); //@line 839 "dwt.c"
        HEAP[$k16]=0; //@line 840 "dwt.c"
        __label__ = 14; break; //@line 840 "dwt.c"
      case 15: // $bb17
        var $219=CHECK_OVERFLOW(($v)&4294967295, 32); //@line 841 "dwt.c"
        var $220=HEAP[$219]; //@line 841 "dwt.c"
        var $221=HEAP[$k16]; //@line 841 "dwt.c"
        var $222=CHECK_OVERFLOW(($220+16*$221)&4294967295, 32); //@line 841 "dwt.c"
        var $223=HEAP[$k16]; //@line 841 "dwt.c"
        var $224=HEAP[$w]; //@line 841 "dwt.c"
        var $225=CHECK_OVERFLOW((($223) * ($224))&4294967295, 32); //@line 841 "dwt.c"
        var $226=HEAP[$aj]; //@line 841 "dwt.c"
        var $227=CHECK_OVERFLOW(($226+4*$225)&4294967295, 32); //@line 841 "dwt.c"
        var $228=$227; //@line 841 "dwt.c"
        var $229=$222; //@line 841 "dwt.c"
        _llvm_memcpy_p0i8_p0i8_i32($228, $229, 16, 1, 0); //@line 841 "dwt.c"
        var $230=HEAP[$k16]; //@line 840 "dwt.c"
        var $231=CHECK_OVERFLOW((($230) + 1)&4294967295, 32); //@line 840 "dwt.c"
        HEAP[$k16]=$231; //@line 840 "dwt.c"
        __label__ = 14; break; //@line 840 "dwt.c"
      case 14: // $bb18
        var $232=HEAP[$k16]; //@line 840 "dwt.c"
        var $233=HEAP[$rh]; //@line 840 "dwt.c"
        var $234=($232) < ($233); //@line 840 "dwt.c"
        if ($234) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 840 "dwt.c"
      case 16: // $bb19
        var $235=HEAP[$aj]; //@line 843 "dwt.c"
        var $236=CHECK_OVERFLOW(($235+16)&4294967295, 32); //@line 843 "dwt.c"
        HEAP[$aj]=$236; //@line 843 "dwt.c"
        var $237=HEAP[$j]; //@line 836 "dwt.c"
        var $238=CHECK_OVERFLOW((($237) - 4)&4294967295, 32); //@line 836 "dwt.c"
        HEAP[$j]=$238; //@line 836 "dwt.c"
        __label__ = 13; break; //@line 836 "dwt.c"
      case 13: // $bb20
        var $239=HEAP[$j]; //@line 836 "dwt.c"
        var $240=($239) > 3; //@line 836 "dwt.c"
        if ($240) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 836 "dwt.c"
      case 18: // $bb21
        var $241=HEAP[$rw]; //@line 845 "dwt.c"
        var $242=($241) & 3; //@line 845 "dwt.c"
        var $243=($242)!=0; //@line 845 "dwt.c"
        if ($243) { __label__ = 19; break; } else { __label__ = 0; break; } //@line 845 "dwt.c"
      case 19: // $bb22
        var $244=HEAP[$rw]; //@line 847 "dwt.c"
        var $245=($244) & 3; //@line 847 "dwt.c"
        HEAP[$j]=$245; //@line 847 "dwt.c"
        var $246=HEAP[$aj]; //@line 848 "dwt.c"
        var $247=HEAP[$w]; //@line 848 "dwt.c"
        _v4dwt_interleave_v($v, $246, $247); //@line 848 "dwt.c"
        _v4dwt_decode($v); //@line 849 "dwt.c"
        HEAP[$k23]=0; //@line 850 "dwt.c"
        __label__ = 20; break; //@line 850 "dwt.c"
      case 21: // $bb24
        var $248=HEAP[$j]; //@line 851 "dwt.c"
        var $249=CHECK_OVERFLOW((($248) * 4)&4294967295, 32); //@line 851 "dwt.c"
        var $250=CHECK_OVERFLOW(($v)&4294967295, 32); //@line 851 "dwt.c"
        var $251=HEAP[$250]; //@line 851 "dwt.c"
        var $252=HEAP[$k23]; //@line 851 "dwt.c"
        var $253=CHECK_OVERFLOW(($251+16*$252)&4294967295, 32); //@line 851 "dwt.c"
        var $254=HEAP[$k23]; //@line 851 "dwt.c"
        var $255=HEAP[$w]; //@line 851 "dwt.c"
        var $256=CHECK_OVERFLOW((($254) * ($255))&4294967295, 32); //@line 851 "dwt.c"
        var $257=HEAP[$aj]; //@line 851 "dwt.c"
        var $258=CHECK_OVERFLOW(($257+4*$256)&4294967295, 32); //@line 851 "dwt.c"
        var $259=$258; //@line 851 "dwt.c"
        var $260=$253; //@line 851 "dwt.c"
        _llvm_memcpy_p0i8_p0i8_i32($259, $260, $249, 1, 0); //@line 851 "dwt.c"
        var $261=HEAP[$k23]; //@line 850 "dwt.c"
        var $262=CHECK_OVERFLOW((($261) + 1)&4294967295, 32); //@line 850 "dwt.c"
        HEAP[$k23]=$262; //@line 850 "dwt.c"
        __label__ = 20; break; //@line 850 "dwt.c"
      case 20: // $bb25
        var $263=HEAP[$k23]; //@line 850 "dwt.c"
        var $264=HEAP[$rh]; //@line 850 "dwt.c"
        var $265=($263) < ($264); //@line 850 "dwt.c"
        if ($265) { __label__ = 21; break; } else { __label__ = 0; break; } //@line 850 "dwt.c"
      case 0: // $bb26
        var $266=HEAP[$numres_addr]; //@line 789 "dwt.c"
        var $267=CHECK_OVERFLOW((($266) - 1)&4294967295, 32); //@line 789 "dwt.c"
        HEAP[$numres_addr]=$267; //@line 789 "dwt.c"
        var $268=HEAP[$numres_addr]; //@line 789 "dwt.c"
        var $269=($268)!=0; //@line 789 "dwt.c"
        if ($269) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 789 "dwt.c"
      case 23: // $bb27
        var $270=CHECK_OVERFLOW(($h)&4294967295, 32); //@line 856 "dwt.c"
        var $271=HEAP[$270]; //@line 856 "dwt.c"
        var $272=$271; //@line 856 "dwt.c"
        _free($272); //@line 856 "dwt.c"
        __label__ = 24; break; //@line 857 "dwt.c"
      case 24: // $return
        STACKTOP = __stackBase__;
        return; //@line 857 "dwt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _i2a($i, $a, $r) {
    var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 20);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $i_addr=__stackBase__;
        var $a_addr=__stackBase__+4;
        var $r_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $0=__stackBase__+16;
        var $_alloca_point_=0;
        HEAP[$i_addr]=$i;
        HEAP[$a_addr]=$a;
        HEAP[$r_addr]=$r;
        var $1=HEAP[$i_addr]; //@line 36 "event.c"
        var $2=HEAP[$r_addr]; //@line 36 "event.c"
        var $3=Math.floor(($1)/($2)); //@line 36 "event.c"
        var $4=($3)!=0; //@line 36 "event.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 36 "event.c"
      case 0: // $bb
        var $5=HEAP[$i_addr]; //@line 36 "event.c"
        var $6=HEAP[$r_addr]; //@line 36 "event.c"
        var $7=Math.floor(($5)/($6)); //@line 36 "event.c"
        var $8=HEAP[$a_addr]; //@line 36 "event.c"
        var $9=HEAP[$r_addr]; //@line 36 "event.c"
        var $10=_i2a($7, $8, $9); //@line 36 "event.c"
        HEAP[$a_addr]=$10; //@line 36 "event.c"
        __label__ = 1; break; //@line 36 "event.c"
      case 1: // $bb1
        var $11=HEAP[$i_addr]; //@line 37 "event.c"
        var $12=HEAP[$r_addr]; //@line 37 "event.c"
        var $13=($11) % ($12); //@line 37 "event.c"
        var $14=CHECK_OVERFLOW((__str388+$13)&4294967295, 32); //@line 37 "event.c"
        var $15=HEAP[$14]; //@line 37 "event.c"
        var $16=HEAP[$a_addr]; //@line 37 "event.c"
        HEAP[$16]=$15; //@line 37 "event.c"
        var $17=HEAP[$a_addr]; //@line 38 "event.c"
        var $18=CHECK_OVERFLOW(($17+1)&4294967295, 32); //@line 38 "event.c"
        HEAP[$0]=$18; //@line 38 "event.c"
        var $19=HEAP[$0]; //@line 38 "event.c"
        HEAP[$retval]=$19; //@line 38 "event.c"
        __label__ = 2; break; //@line 38 "event.c"
      case 2: // $return
        var $retval2=HEAP[$retval]; //@line 38 "event.c"
        STACKTOP = __stackBase__;
        return $retval2; //@line 38 "event.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function __itoa($i, $a, $r) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $i_addr=__stackBase__;
        var $a_addr=__stackBase__+4;
        var $r_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $0=__stackBase__+16;
        var $iftmp_0=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$i_addr]=$i;
        HEAP[$a_addr]=$a;
        HEAP[$r_addr]=$r;
        var $1=HEAP[$r_addr]; //@line 51 "event.c"
        var $2=($1) <= 1; //@line 51 "event.c"
        if ($2) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 51 "event.c"
      case 1: // $bb
        var $3=HEAP[$r_addr]; //@line 51 "event.c"
        var $4=($3) > 36; //@line 51 "event.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 2; break; } //@line 51 "event.c"
      case 2: // $bb1
        var $5=HEAP[$r_addr]; //@line 51 "event.c"
        HEAP[$iftmp_0]=$5; //@line 51 "event.c"
        __label__ = 3; break; //@line 51 "event.c"
      case 0: // $bb2
        HEAP[$iftmp_0]=10; //@line 51 "event.c"
        __label__ = 3; break; //@line 51 "event.c"
      case 3: // $bb3
        var $6=HEAP[$iftmp_0]; //@line 51 "event.c"
        HEAP[$r_addr]=$6; //@line 51 "event.c"
        var $7=HEAP[$i_addr]; //@line 52 "event.c"
        var $8=($7) < 0; //@line 52 "event.c"
        if ($8) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 52 "event.c"
      case 4: // $bb4
        var $9=HEAP[$a_addr]; //@line 53 "event.c"
        HEAP[$9]=45; //@line 53 "event.c"
        var $10=HEAP[$r_addr]; //@line 54 "event.c"
        var $11=HEAP[$a_addr]; //@line 54 "event.c"
        var $12=CHECK_OVERFLOW(($11+1)&4294967295, 32); //@line 54 "event.c"
        var $13=HEAP[$i_addr]; //@line 54 "event.c"
        var $14=CHECK_OVERFLOW((0 - ($13))&4294967295, 32); //@line 54 "event.c"
        var $15=_i2a($14, $12, $10); //@line 54 "event.c"
        HEAP[$15]=0; //@line 54 "event.c"
        __label__ = 6; break; //@line 54 "event.c"
      case 5: // $bb5
        var $16=HEAP[$r_addr]; //@line 56 "event.c"
        var $17=HEAP[$i_addr]; //@line 56 "event.c"
        var $18=HEAP[$a_addr]; //@line 56 "event.c"
        var $19=_i2a($17, $18, $16); //@line 56 "event.c"
        HEAP[$19]=0; //@line 56 "event.c"
        __label__ = 6; break; //@line 56 "event.c"
      case 6: // $bb6
        var $20=HEAP[$a_addr]; //@line 57 "event.c"
        HEAP[$0]=$20; //@line 57 "event.c"
        var $21=HEAP[$0]; //@line 57 "event.c"
        HEAP[$retval]=$21; //@line 57 "event.c"
        __label__ = 7; break; //@line 57 "event.c"
      case 7: // $return
        var $retval7=HEAP[$retval]; //@line 57 "event.c"
        STACKTOP = __stackBase__;
        return $retval7; //@line 57 "event.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_set_event_mgr($cinfo, $event_mgr, $context) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cinfo_addr=__stackBase__;
        var $event_mgr_addr=__stackBase__+4;
        var $context_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $0=__stackBase__+16;
        var $previous=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$cinfo_addr]=$cinfo;
        HEAP[$event_mgr_addr]=$event_mgr;
        HEAP[$context_addr]=$context;
        var $1=HEAP[$cinfo_addr]; //@line 65 "event.c"
        var $2=($1)!=0; //@line 65 "event.c"
        if ($2) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 65 "event.c"
      case 0: // $bb
        var $3=HEAP[$cinfo_addr]; //@line 66 "event.c"
        var $4=CHECK_OVERFLOW(($3)&4294967295, 32); //@line 66 "event.c"
        var $5=HEAP[$4]; //@line 66 "event.c"
        HEAP[$previous]=$5; //@line 66 "event.c"
        var $6=HEAP[$cinfo_addr]; //@line 67 "event.c"
        var $7=CHECK_OVERFLOW(($6)&4294967295, 32); //@line 67 "event.c"
        var $8=HEAP[$event_mgr_addr]; //@line 67 "event.c"
        HEAP[$7]=$8; //@line 67 "event.c"
        var $9=HEAP[$cinfo_addr]; //@line 68 "event.c"
        var $10=CHECK_OVERFLOW(($9+4)&4294967295, 32); //@line 68 "event.c"
        var $11=HEAP[$context_addr]; //@line 68 "event.c"
        HEAP[$10]=$11; //@line 68 "event.c"
        var $12=HEAP[$previous]; //@line 69 "event.c"
        HEAP[$0]=$12; //@line 69 "event.c"
        __label__ = 2; break; //@line 69 "event.c"
      case 1: // $bb1
        HEAP[$0]=0; //@line 72 "event.c"
        __label__ = 2; break; //@line 72 "event.c"
      case 2: // $bb2
        var $13=HEAP[$0]; //@line 69 "event.c"
        HEAP[$retval]=$13; //@line 69 "event.c"
        __label__ = 3; break; //@line 69 "event.c"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 69 "event.c"
        STACKTOP = __stackBase__;
        return $retval3; //@line 69 "event.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_event_msg($cinfo, $event_type, $fmt) {
    var __stackBase__  = STACKTOP; STACKTOP += 552; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 552);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cinfo_addr=__stackBase__;
        var $event_type_addr=__stackBase__+4;
        var $fmt_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $iftmp_5=__stackBase__+16;
        var $0=__stackBase__+20;
        var $msg_handler=__stackBase__+24;
        var $event_mgr=__stackBase__+28;
        var $arg=__stackBase__+32;
        var $str_length=__stackBase__+36;
        var $message=__stackBase__+40;
        var $_alloca_point_=0;
        HEAP[$cinfo_addr]=$cinfo;
        HEAP[$event_type_addr]=$event_type;
        HEAP[$fmt_addr]=$fmt;
        HEAP[$msg_handler]=0; //@line 77 "event.c"
        var $1=HEAP[$cinfo_addr]; //@line 79 "event.c"
        var $2=CHECK_OVERFLOW(($1)&4294967295, 32); //@line 79 "event.c"
        var $3=HEAP[$2]; //@line 79 "event.c"
        HEAP[$event_mgr]=$3; //@line 79 "event.c"
        var $4=HEAP[$event_mgr]; //@line 80 "event.c"
        var $5=($4)!=0; //@line 80 "event.c"
        if ($5) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 80 "event.c"
      case 0: // $bb
        var $6=HEAP[$event_type_addr]; //@line 81 "event.c"
        if ($6 == 1) {
          __label__ = 13; break;
        }
        else if ($6 == 2) {
          __label__ = 14; break;
        }
        else if ($6 == 4) {
          __label__ = 15; break;
        }
        else {
        __label__ = 2; break;
        }
        
      case 13: // $bb1
        var $7=HEAP[$event_mgr]; //@line 83 "event.c"
        var $8=CHECK_OVERFLOW(($7)&4294967295, 32); //@line 83 "event.c"
        var $9=HEAP[$8]; //@line 83 "event.c"
        HEAP[$msg_handler]=$9; //@line 83 "event.c"
        __label__ = 2; break; //@line 83 "event.c"
      case 14: // $bb2
        var $10=HEAP[$event_mgr]; //@line 86 "event.c"
        var $11=CHECK_OVERFLOW(($10+4)&4294967295, 32); //@line 86 "event.c"
        var $12=HEAP[$11]; //@line 86 "event.c"
        HEAP[$msg_handler]=$12; //@line 86 "event.c"
        __label__ = 2; break; //@line 86 "event.c"
      case 15: // $bb3
        var $13=HEAP[$event_mgr]; //@line 89 "event.c"
        var $14=CHECK_OVERFLOW(($13+8)&4294967295, 32); //@line 89 "event.c"
        var $15=HEAP[$14]; //@line 89 "event.c"
        HEAP[$msg_handler]=$15; //@line 89 "event.c"
        __label__ = 2; break; //@line 89 "event.c"
      case 2: // $bb4
        var $16=HEAP[$msg_handler]; //@line 94 "event.c"
        var $17=($16)==0; //@line 94 "event.c"
        if ($17) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 94 "event.c"
      case 3: // $bb5
        HEAP[$0]=0; //@line 95 "event.c"
        __label__ = 5; break; //@line 95 "event.c"
      case 4: // $bb6
        var $18=HEAP[$fmt_addr]; //@line 101 "event.c"
        var $19=($18)!=0; //@line 101 "event.c"
        if ($19) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 101 "event.c"
      case 1: // $bb7
        HEAP[$0]=0; //@line 98 "event.c"
        __label__ = 5; break; //@line 98 "event.c"
      case 6: // $bb8
        var $20=HEAP[$event_mgr]; //@line 101 "event.c"
        var $21=($20)!=0; //@line 101 "event.c"
        if ($21) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 101 "event.c"
      case 8: // $bb9
        var $message10=$message; //@line 105 "event.c"
        _llvm_memset_p0i8_i32($message10, 0, 512, 1, 0); //@line 105 "event.c"
        var $arg11=$arg; //@line 107 "event.c"
        IHEAP[$arg11] = arguments[_opj_event_msg.length]; //@line 107 "event.c"
        var $22=HEAP[$fmt_addr]; //@line 109 "event.c"
        var $23=_strlen($22); //@line 109 "event.c"
        var $24=($23) <= 512; //@line 109 "event.c"
        if ($24) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 109 "event.c"
      case 9: // $bb12
        var $25=HEAP[$fmt_addr]; //@line 109 "event.c"
        var $26=_strlen($25); //@line 109 "event.c"
        HEAP[$iftmp_5]=$26; //@line 109 "event.c"
        __label__ = 11; break; //@line 109 "event.c"
      case 10: // $bb13
        HEAP[$iftmp_5]=512; //@line 109 "event.c"
        __label__ = 11; break; //@line 109 "event.c"
      case 11: // $bb14
        var $27=HEAP[$iftmp_5]; //@line 109 "event.c"
        HEAP[$str_length]=$27; //@line 109 "event.c"
        var $28=HEAP[$arg]; //@line 111 "event.c"
        var $message15=$message; //@line 111 "event.c"
        var $29=HEAP[$fmt_addr]; //@line 111 "event.c"
        var $30=_vsprintf($message15, $29, $28); //@line 111 "event.c"
        var $arg16=$arg; //@line 113 "event.c"
        ;; //@line 113 "event.c"
        var $31=HEAP[$cinfo_addr]; //@line 116 "event.c"
        var $32=CHECK_OVERFLOW(($31+4)&4294967295, 32); //@line 116 "event.c"
        var $33=HEAP[$32]; //@line 116 "event.c"
        var $34=HEAP[$msg_handler]; //@line 116 "event.c"
        var $message17=$message; //@line 116 "event.c"
        FUNCTION_TABLE[$34]($message17, $33); //@line 116 "event.c"
        __label__ = 7; break; //@line 116 "event.c"
      case 7: // $bb18
        HEAP[$0]=1; //@line 119 "event.c"
        __label__ = 5; break; //@line 119 "event.c"
      case 5: // $bb19
        var $35=HEAP[$0]; //@line 95 "event.c"
        HEAP[$retval]=$35; //@line 95 "event.c"
        __label__ = 12; break; //@line 95 "event.c"
      case 12: // $return
        var $retval20=HEAP[$retval]; //@line 95 "event.c"
        STACKTOP = __stackBase__;
        return $retval20; //@line 95 "event.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_image_create0() {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $retval=__stackBase__;
        var $0=__stackBase__+4;
        var $image=__stackBase__+8;
        var $_alloca_point_=0;
        var $1=_calloc(1, 36); //@line 30 "image.c"
        var $2=$1; //@line 30 "image.c"
        HEAP[$image]=$2; //@line 30 "image.c"
        var $3=HEAP[$image]; //@line 31 "image.c"
        HEAP[$0]=$3; //@line 31 "image.c"
        var $4=HEAP[$0]; //@line 31 "image.c"
        HEAP[$retval]=$4; //@line 31 "image.c"
        __label__ = 0; break; //@line 31 "image.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 31 "image.c"
        STACKTOP = __stackBase__;
        return $retval1; //@line 31 "image.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_image_create($numcmpts, $cmptparms, $clrspc) {
    var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 32);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $numcmpts_addr=__stackBase__;
        var $cmptparms_addr=__stackBase__+4;
        var $clrspc_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $0=__stackBase__+16;
        var $compno=__stackBase__+20;
        var $image=__stackBase__+24;
        var $comp=__stackBase__+28;
        var $_alloca_point_=0;
        HEAP[$numcmpts_addr]=$numcmpts;
        HEAP[$cmptparms_addr]=$cmptparms;
        HEAP[$clrspc_addr]=$clrspc;
        HEAP[$image]=0; //@line 36 "image.c"
        var $1=_calloc(1, 36); //@line 38 "image.c"
        var $2=$1; //@line 38 "image.c"
        HEAP[$image]=$2; //@line 38 "image.c"
        var $3=HEAP[$image]; //@line 39 "image.c"
        var $4=($3)!=0; //@line 39 "image.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 39 "image.c"
      case 0: // $bb
        var $5=HEAP[$image]; //@line 40 "image.c"
        var $6=CHECK_OVERFLOW(($5+20)&4294967295, 32); //@line 40 "image.c"
        var $7=HEAP[$clrspc_addr]; //@line 40 "image.c"
        HEAP[$6]=$7; //@line 40 "image.c"
        var $8=HEAP[$image]; //@line 41 "image.c"
        var $9=CHECK_OVERFLOW(($8+16)&4294967295, 32); //@line 41 "image.c"
        var $10=HEAP[$numcmpts_addr]; //@line 41 "image.c"
        HEAP[$9]=$10; //@line 41 "image.c"
        var $11=HEAP[$image]; //@line 43 "image.c"
        var $12=CHECK_OVERFLOW(($11+16)&4294967295, 32); //@line 43 "image.c"
        var $13=HEAP[$12]; //@line 43 "image.c"
        var $14=CHECK_OVERFLOW((($13) * 48)&4294967295, 32); //@line 43 "image.c"
        var $15=_malloc($14); //@line 43 "image.c"
        var $16=$15; //@line 43 "image.c"
        var $17=HEAP[$image]; //@line 43 "image.c"
        var $18=CHECK_OVERFLOW(($17+24)&4294967295, 32); //@line 43 "image.c"
        HEAP[$18]=$16; //@line 43 "image.c"
        var $19=HEAP[$image]; //@line 44 "image.c"
        var $20=CHECK_OVERFLOW(($19+24)&4294967295, 32); //@line 44 "image.c"
        var $21=HEAP[$20]; //@line 44 "image.c"
        var $22=($21)==0; //@line 44 "image.c"
        if ($22) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 44 "image.c"
      case 2: // $bb1
        var $23=HEAP[_stderr]; //@line 45 "image.c"
        var $24=$23; //@line 45 "image.c"
        var $25=_fwrite(CHECK_OVERFLOW((__str589)&4294967295, 32), 1, 37, $24); //@line 45 "image.c"
        var $26=HEAP[$image]; //@line 46 "image.c"
        _opj_image_destroy($26); //@line 46 "image.c"
        HEAP[$0]=0; //@line 47 "image.c"
        __label__ = 4; break; //@line 47 "image.c"
      case 3: // $bb2
        HEAP[$compno]=0; //@line 50 "image.c"
        __label__ = 5; break; //@line 50 "image.c"
      case 8: // $bb3
        var $27=HEAP[$image]; //@line 51 "image.c"
        var $28=CHECK_OVERFLOW(($27+24)&4294967295, 32); //@line 51 "image.c"
        var $29=HEAP[$28]; //@line 51 "image.c"
        var $30=HEAP[$compno]; //@line 51 "image.c"
        var $31=CHECK_OVERFLOW(($29+48*$30)&4294967295, 32); //@line 51 "image.c"
        HEAP[$comp]=$31; //@line 51 "image.c"
        var $32=HEAP[$cmptparms_addr]; //@line 52 "image.c"
        var $33=HEAP[$compno]; //@line 52 "image.c"
        var $34=CHECK_OVERFLOW(($32+36*$33)&4294967295, 32); //@line 52 "image.c"
        var $35=CHECK_OVERFLOW(($34)&4294967295, 32); //@line 52 "image.c"
        var $36=HEAP[$35]; //@line 52 "image.c"
        var $37=HEAP[$comp]; //@line 52 "image.c"
        var $38=CHECK_OVERFLOW(($37)&4294967295, 32); //@line 52 "image.c"
        HEAP[$38]=$36; //@line 52 "image.c"
        var $39=HEAP[$cmptparms_addr]; //@line 53 "image.c"
        var $40=HEAP[$compno]; //@line 53 "image.c"
        var $41=CHECK_OVERFLOW(($39+36*$40)&4294967295, 32); //@line 53 "image.c"
        var $42=CHECK_OVERFLOW(($41+4)&4294967295, 32); //@line 53 "image.c"
        var $43=HEAP[$42]; //@line 53 "image.c"
        var $44=HEAP[$comp]; //@line 53 "image.c"
        var $45=CHECK_OVERFLOW(($44+4)&4294967295, 32); //@line 53 "image.c"
        HEAP[$45]=$43; //@line 53 "image.c"
        var $46=HEAP[$cmptparms_addr]; //@line 54 "image.c"
        var $47=HEAP[$compno]; //@line 54 "image.c"
        var $48=CHECK_OVERFLOW(($46+36*$47)&4294967295, 32); //@line 54 "image.c"
        var $49=CHECK_OVERFLOW(($48+8)&4294967295, 32); //@line 54 "image.c"
        var $50=HEAP[$49]; //@line 54 "image.c"
        var $51=HEAP[$comp]; //@line 54 "image.c"
        var $52=CHECK_OVERFLOW(($51+8)&4294967295, 32); //@line 54 "image.c"
        HEAP[$52]=$50; //@line 54 "image.c"
        var $53=HEAP[$cmptparms_addr]; //@line 55 "image.c"
        var $54=HEAP[$compno]; //@line 55 "image.c"
        var $55=CHECK_OVERFLOW(($53+36*$54)&4294967295, 32); //@line 55 "image.c"
        var $56=CHECK_OVERFLOW(($55+12)&4294967295, 32); //@line 55 "image.c"
        var $57=HEAP[$56]; //@line 55 "image.c"
        var $58=HEAP[$comp]; //@line 55 "image.c"
        var $59=CHECK_OVERFLOW(($58+12)&4294967295, 32); //@line 55 "image.c"
        HEAP[$59]=$57; //@line 55 "image.c"
        var $60=HEAP[$cmptparms_addr]; //@line 56 "image.c"
        var $61=HEAP[$compno]; //@line 56 "image.c"
        var $62=CHECK_OVERFLOW(($60+36*$61)&4294967295, 32); //@line 56 "image.c"
        var $63=CHECK_OVERFLOW(($62+16)&4294967295, 32); //@line 56 "image.c"
        var $64=HEAP[$63]; //@line 56 "image.c"
        var $65=HEAP[$comp]; //@line 56 "image.c"
        var $66=CHECK_OVERFLOW(($65+16)&4294967295, 32); //@line 56 "image.c"
        HEAP[$66]=$64; //@line 56 "image.c"
        var $67=HEAP[$cmptparms_addr]; //@line 57 "image.c"
        var $68=HEAP[$compno]; //@line 57 "image.c"
        var $69=CHECK_OVERFLOW(($67+36*$68)&4294967295, 32); //@line 57 "image.c"
        var $70=CHECK_OVERFLOW(($69+20)&4294967295, 32); //@line 57 "image.c"
        var $71=HEAP[$70]; //@line 57 "image.c"
        var $72=HEAP[$comp]; //@line 57 "image.c"
        var $73=CHECK_OVERFLOW(($72+20)&4294967295, 32); //@line 57 "image.c"
        HEAP[$73]=$71; //@line 57 "image.c"
        var $74=HEAP[$cmptparms_addr]; //@line 58 "image.c"
        var $75=HEAP[$compno]; //@line 58 "image.c"
        var $76=CHECK_OVERFLOW(($74+36*$75)&4294967295, 32); //@line 58 "image.c"
        var $77=CHECK_OVERFLOW(($76+24)&4294967295, 32); //@line 58 "image.c"
        var $78=HEAP[$77]; //@line 58 "image.c"
        var $79=HEAP[$comp]; //@line 58 "image.c"
        var $80=CHECK_OVERFLOW(($79+24)&4294967295, 32); //@line 58 "image.c"
        HEAP[$80]=$78; //@line 58 "image.c"
        var $81=HEAP[$cmptparms_addr]; //@line 59 "image.c"
        var $82=HEAP[$compno]; //@line 59 "image.c"
        var $83=CHECK_OVERFLOW(($81+36*$82)&4294967295, 32); //@line 59 "image.c"
        var $84=CHECK_OVERFLOW(($83+28)&4294967295, 32); //@line 59 "image.c"
        var $85=HEAP[$84]; //@line 59 "image.c"
        var $86=HEAP[$comp]; //@line 59 "image.c"
        var $87=CHECK_OVERFLOW(($86+28)&4294967295, 32); //@line 59 "image.c"
        HEAP[$87]=$85; //@line 59 "image.c"
        var $88=HEAP[$cmptparms_addr]; //@line 60 "image.c"
        var $89=HEAP[$compno]; //@line 60 "image.c"
        var $90=CHECK_OVERFLOW(($88+36*$89)&4294967295, 32); //@line 60 "image.c"
        var $91=CHECK_OVERFLOW(($90+32)&4294967295, 32); //@line 60 "image.c"
        var $92=HEAP[$91]; //@line 60 "image.c"
        var $93=HEAP[$comp]; //@line 60 "image.c"
        var $94=CHECK_OVERFLOW(($93+32)&4294967295, 32); //@line 60 "image.c"
        HEAP[$94]=$92; //@line 60 "image.c"
        var $95=HEAP[$comp]; //@line 61 "image.c"
        var $96=CHECK_OVERFLOW(($95+8)&4294967295, 32); //@line 61 "image.c"
        var $97=HEAP[$96]; //@line 61 "image.c"
        var $98=HEAP[$comp]; //@line 61 "image.c"
        var $99=CHECK_OVERFLOW(($98+12)&4294967295, 32); //@line 61 "image.c"
        var $100=HEAP[$99]; //@line 61 "image.c"
        var $101=CHECK_OVERFLOW((($97) * ($100))&4294967295, 32); //@line 61 "image.c"
        var $102=_calloc($101, 4); //@line 61 "image.c"
        var $103=$102; //@line 61 "image.c"
        var $104=HEAP[$comp]; //@line 61 "image.c"
        var $105=CHECK_OVERFLOW(($104+44)&4294967295, 32); //@line 61 "image.c"
        HEAP[$105]=$103; //@line 61 "image.c"
        var $106=HEAP[$comp]; //@line 62 "image.c"
        var $107=CHECK_OVERFLOW(($106+44)&4294967295, 32); //@line 62 "image.c"
        var $108=HEAP[$107]; //@line 62 "image.c"
        var $109=($108)==0; //@line 62 "image.c"
        if ($109) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 62 "image.c"
      case 6: // $bb4
        var $110=HEAP[_stderr]; //@line 63 "image.c"
        var $111=$110; //@line 63 "image.c"
        var $112=_fwrite(CHECK_OVERFLOW((__str589)&4294967295, 32), 1, 37, $111); //@line 63 "image.c"
        var $113=HEAP[$image]; //@line 64 "image.c"
        _opj_image_destroy($113); //@line 64 "image.c"
        HEAP[$0]=0; //@line 65 "image.c"
        __label__ = 4; break; //@line 65 "image.c"
      case 7: // $bb5
        var $114=HEAP[$compno]; //@line 50 "image.c"
        var $115=CHECK_OVERFLOW((($114) + 1)&4294967295, 32); //@line 50 "image.c"
        HEAP[$compno]=$115; //@line 50 "image.c"
        __label__ = 5; break; //@line 50 "image.c"
      case 5: // $bb6
        var $116=HEAP[$compno]; //@line 50 "image.c"
        var $117=HEAP[$numcmpts_addr]; //@line 50 "image.c"
        var $118=($116) < ($117); //@line 50 "image.c"
        if ($118) { __label__ = 8; break; } else { __label__ = 1; break; } //@line 50 "image.c"
      case 1: // $bb7
        var $119=HEAP[$image]; //@line 70 "image.c"
        HEAP[$0]=$119; //@line 70 "image.c"
        __label__ = 4; break; //@line 70 "image.c"
      case 4: // $bb8
        var $120=HEAP[$0]; //@line 47 "image.c"
        HEAP[$retval]=$120; //@line 47 "image.c"
        __label__ = 9; break; //@line 47 "image.c"
      case 9: // $return
        var $retval9=HEAP[$retval]; //@line 47 "image.c"
        STACKTOP = __stackBase__;
        return $retval9; //@line 47 "image.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_image_destroy($image) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $image_addr=__stackBase__;
        var $i=__stackBase__+4;
        var $image_comp=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$image_addr]=$image;
        var $0=HEAP[$image_addr]; //@line 75 "image.c"
        var $1=($0)!=0; //@line 75 "image.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 75 "image.c"
      case 0: // $bb
        var $2=HEAP[$image_addr]; //@line 76 "image.c"
        var $3=CHECK_OVERFLOW(($2+24)&4294967295, 32); //@line 76 "image.c"
        var $4=HEAP[$3]; //@line 76 "image.c"
        var $5=($4)!=0; //@line 76 "image.c"
        if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 76 "image.c"
      case 2: // $bb1
        HEAP[$i]=0; //@line 78 "image.c"
        __label__ = 4; break; //@line 78 "image.c"
      case 7: // $bb2
        var $6=HEAP[$image_addr]; //@line 79 "image.c"
        var $7=CHECK_OVERFLOW(($6+24)&4294967295, 32); //@line 79 "image.c"
        var $8=HEAP[$7]; //@line 79 "image.c"
        var $9=HEAP[$i]; //@line 79 "image.c"
        var $10=CHECK_OVERFLOW(($8+48*$9)&4294967295, 32); //@line 79 "image.c"
        HEAP[$image_comp]=$10; //@line 79 "image.c"
        var $11=HEAP[$image_comp]; //@line 80 "image.c"
        var $12=CHECK_OVERFLOW(($11+44)&4294967295, 32); //@line 80 "image.c"
        var $13=HEAP[$12]; //@line 80 "image.c"
        var $14=($13)!=0; //@line 80 "image.c"
        if ($14) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 80 "image.c"
      case 5: // $bb3
        var $15=HEAP[$image_comp]; //@line 81 "image.c"
        var $16=CHECK_OVERFLOW(($15+44)&4294967295, 32); //@line 81 "image.c"
        var $17=HEAP[$16]; //@line 81 "image.c"
        var $18=$17; //@line 81 "image.c"
        _free($18); //@line 81 "image.c"
        __label__ = 6; break; //@line 81 "image.c"
      case 6: // $bb4
        var $19=HEAP[$i]; //@line 78 "image.c"
        var $20=CHECK_OVERFLOW((($19) + 1)&4294967295, 32); //@line 78 "image.c"
        HEAP[$i]=$20; //@line 78 "image.c"
        __label__ = 4; break; //@line 78 "image.c"
      case 4: // $bb5
        var $21=HEAP[$image_addr]; //@line 78 "image.c"
        var $22=CHECK_OVERFLOW(($21+16)&4294967295, 32); //@line 78 "image.c"
        var $23=HEAP[$22]; //@line 78 "image.c"
        var $24=HEAP[$i]; //@line 78 "image.c"
        var $25=($23) > ($24); //@line 78 "image.c"
        if ($25) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 78 "image.c"
      case 8: // $bb6
        var $26=HEAP[$image_addr]; //@line 84 "image.c"
        var $27=CHECK_OVERFLOW(($26+24)&4294967295, 32); //@line 84 "image.c"
        var $28=HEAP[$27]; //@line 84 "image.c"
        var $29=$28; //@line 84 "image.c"
        _free($29); //@line 84 "image.c"
        __label__ = 3; break; //@line 84 "image.c"
      case 3: // $bb7
        var $30=HEAP[$image_addr]; //@line 86 "image.c"
        var $31=$30; //@line 86 "image.c"
        _free($31); //@line 86 "image.c"
        __label__ = 1; break; //@line 86 "image.c"
      case 1: // $bb8
        __label__ = 9; break; //@line 88 "image.c"
      case 9: // $return
        STACKTOP = __stackBase__;
        return; //@line 88 "image.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_convert_progression_order($prg_order) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $prg_order_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $po=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$prg_order_addr]=$prg_order;
        HEAP[$po]=CHECK_OVERFLOW((_j2k_prog_order_list)&4294967295, 32); //@line 253 "j2k.c"
        __label__ = 0; break; //@line 253 "j2k.c"
      case 3: // $bb
        var $1=HEAP[$po]; //@line 254 "j2k.c"
        var $2=CHECK_OVERFLOW(($1)&4294967295, 32); //@line 254 "j2k.c"
        var $3=HEAP[$2]; //@line 254 "j2k.c"
        var $4=HEAP[$prg_order_addr]; //@line 254 "j2k.c"
        var $5=($3)==($4); //@line 254 "j2k.c"
        if ($5) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 254 "j2k.c"
      case 2: // $bb1
        var $6=HEAP[$po]; //@line 253 "j2k.c"
        var $7=CHECK_OVERFLOW(($6+8)&4294967295, 32); //@line 253 "j2k.c"
        HEAP[$po]=$7; //@line 253 "j2k.c"
        __label__ = 0; break; //@line 253 "j2k.c"
      case 0: // $bb2
        var $8=HEAP[$po]; //@line 253 "j2k.c"
        var $9=CHECK_OVERFLOW(($8)&4294967295, 32); //@line 253 "j2k.c"
        var $10=HEAP[$9]; //@line 253 "j2k.c"
        var $11=($10)!=-1; //@line 253 "j2k.c"
        if ($11) { __label__ = 3; break; } else { __label__ = 1; break; } //@line 253 "j2k.c"
      case 1: // $bb3
        var $12=HEAP[$po]; //@line 258 "j2k.c"
        var $13=CHECK_OVERFLOW(($12+4)&4294967295, 32); //@line 258 "j2k.c"
        var $14=CHECK_OVERFLOW(($13)&4294967295, 32); //@line 258 "j2k.c"
        HEAP[$0]=$14; //@line 258 "j2k.c"
        var $15=HEAP[$0]; //@line 258 "j2k.c"
        HEAP[$retval]=$15; //@line 258 "j2k.c"
        __label__ = 4; break; //@line 258 "j2k.c"
      case 4: // $return
        var $retval4=HEAP[$retval]; //@line 258 "j2k.c"
        STACKTOP = __stackBase__;
        return $retval4; //@line 258 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_get_num_tp($cp, $pino, $tileno) {
    var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 40);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cp_addr=__stackBase__;
        var $pino_addr=__stackBase__+4;
        var $tileno_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $0=__stackBase__+16;
        var $prog=__stackBase__+20;
        var $i=__stackBase__+24;
        var $tpnum=__stackBase__+28;
        var $tpend=__stackBase__+32;
        var $tcp=__stackBase__+36;
        var $_alloca_point_=0;
        HEAP[$cp_addr]=$cp;
        HEAP[$pino_addr]=$pino;
        HEAP[$tileno_addr]=$tileno;
        HEAP[$tpnum]=1; //@line 265 "j2k.c"
        HEAP[$tpend]=0; //@line 265 "j2k.c"
        var $1=HEAP[$cp_addr]; //@line 266 "j2k.c"
        var $2=CHECK_OVERFLOW(($1+108)&4294967295, 32); //@line 266 "j2k.c"
        var $3=HEAP[$2]; //@line 266 "j2k.c"
        var $4=HEAP[$tileno_addr]; //@line 266 "j2k.c"
        var $5=CHECK_OVERFLOW(($3+5588*$4)&4294967295, 32); //@line 266 "j2k.c"
        HEAP[$tcp]=$5; //@line 266 "j2k.c"
        var $6=HEAP[$tcp]; //@line 267 "j2k.c"
        var $7=CHECK_OVERFLOW(($6+8)&4294967295, 32); //@line 267 "j2k.c"
        var $8=HEAP[$7]; //@line 267 "j2k.c"
        var $9=_j2k_convert_progression_order($8); //@line 267 "j2k.c"
        HEAP[$prog]=$9; //@line 267 "j2k.c"
        var $10=HEAP[$cp_addr]; //@line 269 "j2k.c"
        var $11=CHECK_OVERFLOW(($10+16)&4294967295, 32); //@line 269 "j2k.c"
        var $12=HEAP[$11]; //@line 269 "j2k.c"
        var $13=($12)==1; //@line 269 "j2k.c"
        if ($13) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 269 "j2k.c"
      case 0: // $bb
        HEAP[$i]=0; //@line 270 "j2k.c"
        __label__ = 2; break; //@line 270 "j2k.c"
      case 7: // $bb1
        var $14=HEAP[$tpend]; //@line 271 "j2k.c"
        var $15=($14)!=1; //@line 271 "j2k.c"
        if ($15) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 271 "j2k.c"
      case 3: // $bb2
        var $16=HEAP[$cp_addr]; //@line 272 "j2k.c"
        var $17=CHECK_OVERFLOW(($16+17)&4294967295, 32); //@line 272 "j2k.c"
        var $18=HEAP[$17]; //@line 272 "j2k.c"
        var $19=HEAP[$prog]; //@line 272 "j2k.c"
        var $20=HEAP[$i]; //@line 272 "j2k.c"
        var $21=CHECK_OVERFLOW(($19+$20)&4294967295, 32); //@line 272 "j2k.c"
        var $22=HEAP[$21]; //@line 272 "j2k.c"
        var $23=($18)==($22); //@line 272 "j2k.c"
        if ($23) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 272 "j2k.c"
      case 5: // $bb3
        HEAP[$tpend]=1; //@line 273 "j2k.c"
        var $24=HEAP[$cp_addr]; //@line 273 "j2k.c"
        var $25=CHECK_OVERFLOW(($24+20)&4294967295, 32); //@line 273 "j2k.c"
        var $26=HEAP[$i]; //@line 273 "j2k.c"
        HEAP[$25]=$26; //@line 273 "j2k.c"
        __label__ = 6; break; //@line 273 "j2k.c"
      case 6: // $bb4
        var $27=HEAP[$prog]; //@line 275 "j2k.c"
        var $28=HEAP[$i]; //@line 275 "j2k.c"
        var $29=CHECK_OVERFLOW(($27+$28)&4294967295, 32); //@line 275 "j2k.c"
        var $30=HEAP[$29]; //@line 275 "j2k.c"
        var $31=($30); //@line 275 "j2k.c"
        if ($31 == 67) {
          __label__ = 11; break;
        }
        else if ($31 == 76) {
          __label__ = 12; break;
        }
        else if ($31 == 80) {
          __label__ = 13; break;
        }
        else if ($31 == 82) {
          __label__ = 14; break;
        }
        else {
        __label__ = 4; break;
        }
        
      case 11: // $bb5
        var $32=HEAP[$pino_addr]; //@line 277 "j2k.c"
        var $33=HEAP[$tcp]; //@line 277 "j2k.c"
        var $34=CHECK_OVERFLOW(($33+428)&4294967295, 32); //@line 277 "j2k.c"
        var $35=CHECK_OVERFLOW(($34+$32*148)&4294967295, 32); //@line 277 "j2k.c"
        var $36=CHECK_OVERFLOW(($35+92)&4294967295, 32); //@line 277 "j2k.c"
        var $37=HEAP[$36]; //@line 277 "j2k.c"
        var $38=HEAP[$tpnum]; //@line 277 "j2k.c"
        var $39=CHECK_OVERFLOW((($37) * ($38))&4294967295, 32); //@line 277 "j2k.c"
        HEAP[$tpnum]=$39; //@line 277 "j2k.c"
        __label__ = 4; break; //@line 277 "j2k.c"
      case 14: // $bb6
        var $40=HEAP[$pino_addr]; //@line 280 "j2k.c"
        var $41=HEAP[$tcp]; //@line 280 "j2k.c"
        var $42=CHECK_OVERFLOW(($41+428)&4294967295, 32); //@line 280 "j2k.c"
        var $43=CHECK_OVERFLOW(($42+$40*148)&4294967295, 32); //@line 280 "j2k.c"
        var $44=CHECK_OVERFLOW(($43+88)&4294967295, 32); //@line 280 "j2k.c"
        var $45=HEAP[$44]; //@line 280 "j2k.c"
        var $46=HEAP[$tpnum]; //@line 280 "j2k.c"
        var $47=CHECK_OVERFLOW((($45) * ($46))&4294967295, 32); //@line 280 "j2k.c"
        HEAP[$tpnum]=$47; //@line 280 "j2k.c"
        __label__ = 4; break; //@line 280 "j2k.c"
      case 13: // $bb7
        var $48=HEAP[$pino_addr]; //@line 283 "j2k.c"
        var $49=HEAP[$tcp]; //@line 283 "j2k.c"
        var $50=CHECK_OVERFLOW(($49+428)&4294967295, 32); //@line 283 "j2k.c"
        var $51=CHECK_OVERFLOW(($50+$48*148)&4294967295, 32); //@line 283 "j2k.c"
        var $52=CHECK_OVERFLOW(($51+96)&4294967295, 32); //@line 283 "j2k.c"
        var $53=HEAP[$52]; //@line 283 "j2k.c"
        var $54=HEAP[$tpnum]; //@line 283 "j2k.c"
        var $55=CHECK_OVERFLOW((($53) * ($54))&4294967295, 32); //@line 283 "j2k.c"
        HEAP[$tpnum]=$55; //@line 283 "j2k.c"
        __label__ = 4; break; //@line 283 "j2k.c"
      case 12: // $bb8
        var $56=HEAP[$pino_addr]; //@line 286 "j2k.c"
        var $57=HEAP[$tcp]; //@line 286 "j2k.c"
        var $58=CHECK_OVERFLOW(($57+428)&4294967295, 32); //@line 286 "j2k.c"
        var $59=CHECK_OVERFLOW(($58+$56*148)&4294967295, 32); //@line 286 "j2k.c"
        var $60=CHECK_OVERFLOW(($59+84)&4294967295, 32); //@line 286 "j2k.c"
        var $61=HEAP[$60]; //@line 286 "j2k.c"
        var $62=HEAP[$tpnum]; //@line 286 "j2k.c"
        var $63=CHECK_OVERFLOW((($61) * ($62))&4294967295, 32); //@line 286 "j2k.c"
        HEAP[$tpnum]=$63; //@line 286 "j2k.c"
        __label__ = 4; break; //@line 286 "j2k.c"
      case 4: // $bb9
        var $64=HEAP[$i]; //@line 270 "j2k.c"
        var $65=CHECK_OVERFLOW((($64) + 1)&4294967295, 32); //@line 270 "j2k.c"
        HEAP[$i]=$65; //@line 270 "j2k.c"
        __label__ = 2; break; //@line 270 "j2k.c"
      case 2: // $bb10
        var $66=HEAP[$i]; //@line 270 "j2k.c"
        var $67=($66) <= 3; //@line 270 "j2k.c"
        if ($67) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 270 "j2k.c"
      case 8: // $bb11
        __label__ = 9; break; //@line 270 "j2k.c"
      case 1: // $bb12
        HEAP[$tpnum]=1; //@line 292 "j2k.c"
        __label__ = 9; break; //@line 292 "j2k.c"
      case 9: // $bb13
        var $68=HEAP[$tpnum]; //@line 294 "j2k.c"
        HEAP[$0]=$68; //@line 294 "j2k.c"
        var $69=HEAP[$0]; //@line 294 "j2k.c"
        HEAP[$retval]=$69; //@line 294 "j2k.c"
        __label__ = 10; break; //@line 294 "j2k.c"
      case 10: // $return
        var $retval14=HEAP[$retval]; //@line 294 "j2k.c"
        STACKTOP = __stackBase__;
        return $retval14; //@line 294 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_calculate_tp($cp, $img_numcomp, $image, $j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 52);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cp_addr=__stackBase__;
        var $img_numcomp_addr=__stackBase__+4;
        var $image_addr=__stackBase__+8;
        var $j2k_addr=__stackBase__+12;
        var $retval=__stackBase__+16;
        var $0=__stackBase__+20;
        var $pino=__stackBase__+24;
        var $tileno=__stackBase__+28;
        var $totnum_tp=__stackBase__+32;
        var $cur_totnum_tp=__stackBase__+36;
        var $tcp=__stackBase__+40;
        var $tp_num=__stackBase__+44;
        var $pi=__stackBase__+48;
        var $_alloca_point_=0;
        HEAP[$cp_addr]=$cp;
        HEAP[$img_numcomp_addr]=$img_numcomp;
        HEAP[$image_addr]=$image;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$totnum_tp]=0; //@line 299 "j2k.c"
        var $1=HEAP[$cp_addr]; //@line 300 "j2k.c"
        var $2=CHECK_OVERFLOW(($1+68)&4294967295, 32); //@line 300 "j2k.c"
        var $3=HEAP[$2]; //@line 300 "j2k.c"
        var $4=HEAP[$cp_addr]; //@line 300 "j2k.c"
        var $5=CHECK_OVERFLOW(($4+72)&4294967295, 32); //@line 300 "j2k.c"
        var $6=HEAP[$5]; //@line 300 "j2k.c"
        var $7=CHECK_OVERFLOW((($3) * ($6))&4294967295, 32); //@line 300 "j2k.c"
        var $8=CHECK_OVERFLOW((($7) * 4)&4294967295, 32); //@line 300 "j2k.c"
        var $9=_malloc($8); //@line 300 "j2k.c"
        var $10=$9; //@line 300 "j2k.c"
        var $11=HEAP[$j2k_addr]; //@line 300 "j2k.c"
        var $12=CHECK_OVERFLOW(($11+20)&4294967295, 32); //@line 300 "j2k.c"
        HEAP[$12]=$10; //@line 300 "j2k.c"
        HEAP[$tileno]=0; //@line 301 "j2k.c"
        __label__ = 0; break; //@line 301 "j2k.c"
      case 9: // $bb
        HEAP[$cur_totnum_tp]=0; //@line 302 "j2k.c"
        var $13=HEAP[$cp_addr]; //@line 303 "j2k.c"
        var $14=CHECK_OVERFLOW(($13+108)&4294967295, 32); //@line 303 "j2k.c"
        var $15=HEAP[$14]; //@line 303 "j2k.c"
        var $16=HEAP[$tileno]; //@line 303 "j2k.c"
        var $17=CHECK_OVERFLOW(($15+5588*$16)&4294967295, 32); //@line 303 "j2k.c"
        HEAP[$tcp]=$17; //@line 303 "j2k.c"
        HEAP[$pino]=0; //@line 304 "j2k.c"
        __label__ = 1; break; //@line 304 "j2k.c"
      case 5: // $bb1
        HEAP[$tp_num]=0; //@line 305 "j2k.c"
        var $18=HEAP[$image_addr]; //@line 306 "j2k.c"
        var $19=HEAP[$cp_addr]; //@line 306 "j2k.c"
        var $20=HEAP[$tileno]; //@line 306 "j2k.c"
        var $21=_pi_initialise_encode($18, $19, $20, 1); //@line 306 "j2k.c"
        HEAP[$pi]=$21; //@line 306 "j2k.c"
        var $22=HEAP[$pi]; //@line 307 "j2k.c"
        var $23=($22)==0; //@line 307 "j2k.c"
        if ($23) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 307 "j2k.c"
      case 2: // $bb2
        HEAP[$0]=-1; //@line 307 "j2k.c"
        __label__ = 4; break; //@line 307 "j2k.c"
      case 3: // $bb3
        var $24=HEAP[$cp_addr]; //@line 308 "j2k.c"
        var $25=HEAP[$pino]; //@line 308 "j2k.c"
        var $26=HEAP[$tileno]; //@line 308 "j2k.c"
        var $27=_j2k_get_num_tp($24, $25, $26); //@line 308 "j2k.c"
        HEAP[$tp_num]=$27; //@line 308 "j2k.c"
        var $28=HEAP[$totnum_tp]; //@line 309 "j2k.c"
        var $29=HEAP[$tp_num]; //@line 309 "j2k.c"
        var $30=CHECK_OVERFLOW((($28) + ($29))&4294967295, 32); //@line 309 "j2k.c"
        HEAP[$totnum_tp]=$30; //@line 309 "j2k.c"
        var $31=HEAP[$cur_totnum_tp]; //@line 310 "j2k.c"
        var $32=HEAP[$tp_num]; //@line 310 "j2k.c"
        var $33=CHECK_OVERFLOW((($31) + ($32))&4294967295, 32); //@line 310 "j2k.c"
        HEAP[$cur_totnum_tp]=$33; //@line 310 "j2k.c"
        var $34=HEAP[$pi]; //@line 311 "j2k.c"
        var $35=HEAP[$cp_addr]; //@line 311 "j2k.c"
        var $36=HEAP[$tileno]; //@line 311 "j2k.c"
        _pi_destroy($34, $35, $36); //@line 311 "j2k.c"
        var $37=HEAP[$pino]; //@line 304 "j2k.c"
        var $38=CHECK_OVERFLOW((($37) + 1)&4294967295, 32); //@line 304 "j2k.c"
        HEAP[$pino]=$38; //@line 304 "j2k.c"
        __label__ = 1; break; //@line 304 "j2k.c"
      case 1: // $bb4
        var $39=HEAP[$tcp]; //@line 304 "j2k.c"
        var $40=CHECK_OVERFLOW(($39+420)&4294967295, 32); //@line 304 "j2k.c"
        var $41=HEAP[$40]; //@line 304 "j2k.c"
        var $42=HEAP[$pino]; //@line 304 "j2k.c"
        var $43=($41) >= ($42); //@line 304 "j2k.c"
        if ($43) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 304 "j2k.c"
      case 6: // $bb5
        var $44=HEAP[$j2k_addr]; //@line 313 "j2k.c"
        var $45=CHECK_OVERFLOW(($44+20)&4294967295, 32); //@line 313 "j2k.c"
        var $46=HEAP[$45]; //@line 313 "j2k.c"
        var $47=HEAP[$tileno]; //@line 313 "j2k.c"
        var $48=CHECK_OVERFLOW(($46+4*$47)&4294967295, 32); //@line 313 "j2k.c"
        var $49=HEAP[$cur_totnum_tp]; //@line 313 "j2k.c"
        HEAP[$48]=$49; //@line 313 "j2k.c"
        var $50=HEAP[$j2k_addr]; //@line 315 "j2k.c"
        var $51=CHECK_OVERFLOW(($50+68)&4294967295, 32); //@line 315 "j2k.c"
        var $52=HEAP[$51]; //@line 315 "j2k.c"
        var $53=($52)!=0; //@line 315 "j2k.c"
        if ($53) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 315 "j2k.c"
      case 7: // $bb6
        var $54=HEAP[$j2k_addr]; //@line 316 "j2k.c"
        var $55=CHECK_OVERFLOW(($54+68)&4294967295, 32); //@line 316 "j2k.c"
        var $56=HEAP[$55]; //@line 316 "j2k.c"
        var $57=CHECK_OVERFLOW(($56+88)&4294967295, 32); //@line 316 "j2k.c"
        var $58=HEAP[$57]; //@line 316 "j2k.c"
        var $59=HEAP[$tileno]; //@line 316 "j2k.c"
        var $60=CHECK_OVERFLOW(($58+572*$59)&4294967295, 32); //@line 316 "j2k.c"
        var $61=CHECK_OVERFLOW(($60+564)&4294967295, 32); //@line 316 "j2k.c"
        var $62=HEAP[$cur_totnum_tp]; //@line 316 "j2k.c"
        HEAP[$61]=$62; //@line 316 "j2k.c"
        var $63=HEAP[$j2k_addr]; //@line 317 "j2k.c"
        var $64=CHECK_OVERFLOW(($63+68)&4294967295, 32); //@line 317 "j2k.c"
        var $65=HEAP[$64]; //@line 317 "j2k.c"
        var $66=CHECK_OVERFLOW(($65+88)&4294967295, 32); //@line 317 "j2k.c"
        var $67=HEAP[$66]; //@line 317 "j2k.c"
        var $68=HEAP[$tileno]; //@line 317 "j2k.c"
        var $69=CHECK_OVERFLOW(($67+572*$68)&4294967295, 32); //@line 317 "j2k.c"
        var $70=HEAP[$cur_totnum_tp]; //@line 317 "j2k.c"
        var $71=CHECK_OVERFLOW((($70) * 20)&4294967295, 32); //@line 317 "j2k.c"
        var $72=_malloc($71); //@line 317 "j2k.c"
        var $73=$72; //@line 317 "j2k.c"
        var $74=CHECK_OVERFLOW(($69+568)&4294967295, 32); //@line 317 "j2k.c"
        HEAP[$74]=$73; //@line 317 "j2k.c"
        __label__ = 8; break; //@line 317 "j2k.c"
      case 8: // $bb7
        var $75=HEAP[$tileno]; //@line 301 "j2k.c"
        var $76=CHECK_OVERFLOW((($75) + 1)&4294967295, 32); //@line 301 "j2k.c"
        HEAP[$tileno]=$76; //@line 301 "j2k.c"
        __label__ = 0; break; //@line 301 "j2k.c"
      case 0: // $bb8
        var $77=HEAP[$cp_addr]; //@line 301 "j2k.c"
        var $78=CHECK_OVERFLOW(($77+68)&4294967295, 32); //@line 301 "j2k.c"
        var $79=HEAP[$78]; //@line 301 "j2k.c"
        var $80=HEAP[$cp_addr]; //@line 301 "j2k.c"
        var $81=CHECK_OVERFLOW(($80+72)&4294967295, 32); //@line 301 "j2k.c"
        var $82=HEAP[$81]; //@line 301 "j2k.c"
        var $83=CHECK_OVERFLOW((($79) * ($82))&4294967295, 32); //@line 301 "j2k.c"
        var $84=HEAP[$tileno]; //@line 301 "j2k.c"
        var $85=($83) > ($84); //@line 301 "j2k.c"
        if ($85) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 301 "j2k.c"
      case 10: // $bb9
        var $86=HEAP[$totnum_tp]; //@line 321 "j2k.c"
        HEAP[$0]=$86; //@line 321 "j2k.c"
        __label__ = 4; break; //@line 321 "j2k.c"
      case 4: // $bb10
        var $87=HEAP[$0]; //@line 307 "j2k.c"
        HEAP[$retval]=$87; //@line 307 "j2k.c"
        __label__ = 11; break; //@line 307 "j2k.c"
      case 11: // $return
        var $retval11=HEAP[$retval]; //@line 307 "j2k.c"
        STACKTOP = __stackBase__;
        return $retval11; //@line 307 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_write_soc($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $cio=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 325 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+72)&4294967295, 32); //@line 325 "j2k.c"
        var $2=HEAP[$1]; //@line 325 "j2k.c"
        HEAP[$cio]=$2; //@line 325 "j2k.c"
        var $3=HEAP[$cio]; //@line 326 "j2k.c"
        var $4=_cio_write($3, 65359, 2); //@line 326 "j2k.c"
        __label__ = 0; break; //@line 336 "j2k.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 336 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_soc($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 339 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+4)&4294967295, 32); //@line 339 "j2k.c"
        HEAP[$1]=2; //@line 339 "j2k.c"
        var $2=HEAP[$j2k_addr]; //@line 341 "j2k.c"
        var $3=CHECK_OVERFLOW(($2+68)&4294967295, 32); //@line 341 "j2k.c"
        var $4=HEAP[$3]; //@line 341 "j2k.c"
        var $5=($4)!=0; //@line 341 "j2k.c"
        if ($5) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 341 "j2k.c"
      case 0: // $bb
        var $6=HEAP[$j2k_addr]; //@line 342 "j2k.c"
        var $7=CHECK_OVERFLOW(($6+68)&4294967295, 32); //@line 342 "j2k.c"
        var $8=HEAP[$7]; //@line 342 "j2k.c"
        var $9=HEAP[$j2k_addr]; //@line 342 "j2k.c"
        var $10=CHECK_OVERFLOW(($9+72)&4294967295, 32); //@line 342 "j2k.c"
        var $11=HEAP[$10]; //@line 342 "j2k.c"
        var $12=_cio_tell($11); //@line 342 "j2k.c"
        var $13=CHECK_OVERFLOW((($12) - 2)&4294967295, 32); //@line 342 "j2k.c"
        var $14=CHECK_OVERFLOW(($8+76)&4294967295, 32); //@line 342 "j2k.c"
        HEAP[$14]=$13; //@line 342 "j2k.c"
        var $15=HEAP[$j2k_addr]; //@line 343 "j2k.c"
        var $16=CHECK_OVERFLOW(($15+68)&4294967295, 32); //@line 343 "j2k.c"
        var $17=HEAP[$16]; //@line 343 "j2k.c"
        var $18=HEAP[$j2k_addr]; //@line 343 "j2k.c"
        var $19=CHECK_OVERFLOW(($18+72)&4294967295, 32); //@line 343 "j2k.c"
        var $20=HEAP[$19]; //@line 343 "j2k.c"
        var $21=_cio_numbytesleft($20); //@line 343 "j2k.c"
        var $22=CHECK_OVERFLOW((($21) + 2)&4294967295, 32); //@line 343 "j2k.c"
        var $23=HEAP[$j2k_addr]; //@line 343 "j2k.c"
        var $24=CHECK_OVERFLOW(($23+68)&4294967295, 32); //@line 343 "j2k.c"
        var $25=HEAP[$24]; //@line 343 "j2k.c"
        var $26=CHECK_OVERFLOW(($25+76)&4294967295, 32); //@line 343 "j2k.c"
        var $27=HEAP[$26]; //@line 343 "j2k.c"
        var $28=CHECK_OVERFLOW((($22) - ($27))&4294967295, 32); //@line 343 "j2k.c"
        var $29=CHECK_OVERFLOW(($17+84)&4294967295, 32); //@line 343 "j2k.c"
        HEAP[$29]=$28; //@line 343 "j2k.c"
        __label__ = 1; break; //@line 343 "j2k.c"
      case 1: // $bb1
        __label__ = 2; break; //@line 345 "j2k.c"
      case 2: // $return
        STACKTOP = __stackBase__;
        return; //@line 345 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_write_siz($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 28);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $i=__stackBase__+4;
        var $lenp=__stackBase__+8;
        var $len=__stackBase__+12;
        var $cio=__stackBase__+16;
        var $image=__stackBase__+20;
        var $cp=__stackBase__+24;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 351 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+72)&4294967295, 32); //@line 351 "j2k.c"
        var $2=HEAP[$1]; //@line 351 "j2k.c"
        HEAP[$cio]=$2; //@line 351 "j2k.c"
        var $3=HEAP[$j2k_addr]; //@line 352 "j2k.c"
        var $4=CHECK_OVERFLOW(($3+60)&4294967295, 32); //@line 352 "j2k.c"
        var $5=HEAP[$4]; //@line 352 "j2k.c"
        HEAP[$image]=$5; //@line 352 "j2k.c"
        var $6=HEAP[$j2k_addr]; //@line 353 "j2k.c"
        var $7=CHECK_OVERFLOW(($6+64)&4294967295, 32); //@line 353 "j2k.c"
        var $8=HEAP[$7]; //@line 353 "j2k.c"
        HEAP[$cp]=$8; //@line 353 "j2k.c"
        var $9=HEAP[$cio]; //@line 355 "j2k.c"
        var $10=_cio_write($9, 65361, 2); //@line 355 "j2k.c"
        var $11=HEAP[$cio]; //@line 356 "j2k.c"
        var $12=_cio_tell($11); //@line 356 "j2k.c"
        HEAP[$lenp]=$12; //@line 356 "j2k.c"
        var $13=HEAP[$cio]; //@line 357 "j2k.c"
        _cio_skip($13, 2); //@line 357 "j2k.c"
        var $14=HEAP[$cp]; //@line 358 "j2k.c"
        var $15=CHECK_OVERFLOW(($14+12)&4294967295, 32); //@line 358 "j2k.c"
        var $16=HEAP[$15]; //@line 358 "j2k.c"
        var $17=HEAP[$cio]; //@line 358 "j2k.c"
        var $18=_cio_write($17, $16, 2); //@line 358 "j2k.c"
        var $19=HEAP[$image]; //@line 359 "j2k.c"
        var $20=CHECK_OVERFLOW(($19+8)&4294967295, 32); //@line 359 "j2k.c"
        var $21=HEAP[$20]; //@line 359 "j2k.c"
        var $22=HEAP[$cio]; //@line 359 "j2k.c"
        var $23=_cio_write($22, $21, 4); //@line 359 "j2k.c"
        var $24=HEAP[$image]; //@line 360 "j2k.c"
        var $25=CHECK_OVERFLOW(($24+12)&4294967295, 32); //@line 360 "j2k.c"
        var $26=HEAP[$25]; //@line 360 "j2k.c"
        var $27=HEAP[$cio]; //@line 360 "j2k.c"
        var $28=_cio_write($27, $26, 4); //@line 360 "j2k.c"
        var $29=HEAP[$image]; //@line 361 "j2k.c"
        var $30=CHECK_OVERFLOW(($29)&4294967295, 32); //@line 361 "j2k.c"
        var $31=HEAP[$30]; //@line 361 "j2k.c"
        var $32=HEAP[$cio]; //@line 361 "j2k.c"
        var $33=_cio_write($32, $31, 4); //@line 361 "j2k.c"
        var $34=HEAP[$image]; //@line 362 "j2k.c"
        var $35=CHECK_OVERFLOW(($34+4)&4294967295, 32); //@line 362 "j2k.c"
        var $36=HEAP[$35]; //@line 362 "j2k.c"
        var $37=HEAP[$cio]; //@line 362 "j2k.c"
        var $38=_cio_write($37, $36, 4); //@line 362 "j2k.c"
        var $39=HEAP[$cp]; //@line 363 "j2k.c"
        var $40=CHECK_OVERFLOW(($39+56)&4294967295, 32); //@line 363 "j2k.c"
        var $41=HEAP[$40]; //@line 363 "j2k.c"
        var $42=HEAP[$cio]; //@line 363 "j2k.c"
        var $43=_cio_write($42, $41, 4); //@line 363 "j2k.c"
        var $44=HEAP[$cp]; //@line 364 "j2k.c"
        var $45=CHECK_OVERFLOW(($44+60)&4294967295, 32); //@line 364 "j2k.c"
        var $46=HEAP[$45]; //@line 364 "j2k.c"
        var $47=HEAP[$cio]; //@line 364 "j2k.c"
        var $48=_cio_write($47, $46, 4); //@line 364 "j2k.c"
        var $49=HEAP[$cp]; //@line 365 "j2k.c"
        var $50=CHECK_OVERFLOW(($49+48)&4294967295, 32); //@line 365 "j2k.c"
        var $51=HEAP[$50]; //@line 365 "j2k.c"
        var $52=HEAP[$cio]; //@line 365 "j2k.c"
        var $53=_cio_write($52, $51, 4); //@line 365 "j2k.c"
        var $54=HEAP[$cp]; //@line 366 "j2k.c"
        var $55=CHECK_OVERFLOW(($54+52)&4294967295, 32); //@line 366 "j2k.c"
        var $56=HEAP[$55]; //@line 366 "j2k.c"
        var $57=HEAP[$cio]; //@line 366 "j2k.c"
        var $58=_cio_write($57, $56, 4); //@line 366 "j2k.c"
        var $59=HEAP[$image]; //@line 367 "j2k.c"
        var $60=CHECK_OVERFLOW(($59+16)&4294967295, 32); //@line 367 "j2k.c"
        var $61=HEAP[$60]; //@line 367 "j2k.c"
        var $62=HEAP[$cio]; //@line 367 "j2k.c"
        var $63=_cio_write($62, $61, 2); //@line 367 "j2k.c"
        HEAP[$i]=0; //@line 368 "j2k.c"
        __label__ = 0; break; //@line 368 "j2k.c"
      case 1: // $bb
        var $64=HEAP[$image]; //@line 369 "j2k.c"
        var $65=CHECK_OVERFLOW(($64+24)&4294967295, 32); //@line 369 "j2k.c"
        var $66=HEAP[$65]; //@line 369 "j2k.c"
        var $67=HEAP[$i]; //@line 369 "j2k.c"
        var $68=CHECK_OVERFLOW(($66+48*$67)&4294967295, 32); //@line 369 "j2k.c"
        var $69=CHECK_OVERFLOW(($68+24)&4294967295, 32); //@line 369 "j2k.c"
        var $70=HEAP[$69]; //@line 369 "j2k.c"
        var $71=CHECK_OVERFLOW((($70) - 1)&4294967295, 32); //@line 369 "j2k.c"
        var $72=HEAP[$image]; //@line 369 "j2k.c"
        var $73=CHECK_OVERFLOW(($72+24)&4294967295, 32); //@line 369 "j2k.c"
        var $74=HEAP[$73]; //@line 369 "j2k.c"
        var $75=HEAP[$i]; //@line 369 "j2k.c"
        var $76=CHECK_OVERFLOW(($74+48*$75)&4294967295, 32); //@line 369 "j2k.c"
        var $77=CHECK_OVERFLOW(($76+32)&4294967295, 32); //@line 369 "j2k.c"
        var $78=HEAP[$77]; //@line 369 "j2k.c"
        var $79=($78) << 7; //@line 369 "j2k.c"
        var $80=CHECK_OVERFLOW((($71) + ($79))&4294967295, 32); //@line 369 "j2k.c"
        var $81=HEAP[$cio]; //@line 369 "j2k.c"
        var $82=_cio_write($81, $80, 1); //@line 369 "j2k.c"
        var $83=HEAP[$image]; //@line 370 "j2k.c"
        var $84=CHECK_OVERFLOW(($83+24)&4294967295, 32); //@line 370 "j2k.c"
        var $85=HEAP[$84]; //@line 370 "j2k.c"
        var $86=HEAP[$i]; //@line 370 "j2k.c"
        var $87=CHECK_OVERFLOW(($85+48*$86)&4294967295, 32); //@line 370 "j2k.c"
        var $88=CHECK_OVERFLOW(($87)&4294967295, 32); //@line 370 "j2k.c"
        var $89=HEAP[$88]; //@line 370 "j2k.c"
        var $90=HEAP[$cio]; //@line 370 "j2k.c"
        var $91=_cio_write($90, $89, 1); //@line 370 "j2k.c"
        var $92=HEAP[$image]; //@line 371 "j2k.c"
        var $93=CHECK_OVERFLOW(($92+24)&4294967295, 32); //@line 371 "j2k.c"
        var $94=HEAP[$93]; //@line 371 "j2k.c"
        var $95=HEAP[$i]; //@line 371 "j2k.c"
        var $96=CHECK_OVERFLOW(($94+48*$95)&4294967295, 32); //@line 371 "j2k.c"
        var $97=CHECK_OVERFLOW(($96+4)&4294967295, 32); //@line 371 "j2k.c"
        var $98=HEAP[$97]; //@line 371 "j2k.c"
        var $99=HEAP[$cio]; //@line 371 "j2k.c"
        var $100=_cio_write($99, $98, 1); //@line 371 "j2k.c"
        var $101=HEAP[$i]; //@line 368 "j2k.c"
        var $102=CHECK_OVERFLOW((($101) + 1)&4294967295, 32); //@line 368 "j2k.c"
        HEAP[$i]=$102; //@line 368 "j2k.c"
        __label__ = 0; break; //@line 368 "j2k.c"
      case 0: // $bb1
        var $103=HEAP[$image]; //@line 368 "j2k.c"
        var $104=CHECK_OVERFLOW(($103+16)&4294967295, 32); //@line 368 "j2k.c"
        var $105=HEAP[$104]; //@line 368 "j2k.c"
        var $106=HEAP[$i]; //@line 368 "j2k.c"
        var $107=($105) > ($106); //@line 368 "j2k.c"
        if ($107) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 368 "j2k.c"
      case 2: // $bb2
        var $108=HEAP[$cio]; //@line 373 "j2k.c"
        var $109=_cio_tell($108); //@line 373 "j2k.c"
        var $110=HEAP[$lenp]; //@line 373 "j2k.c"
        var $111=CHECK_OVERFLOW((($109) - ($110))&4294967295, 32); //@line 373 "j2k.c"
        HEAP[$len]=$111; //@line 373 "j2k.c"
        var $112=HEAP[$cio]; //@line 374 "j2k.c"
        var $113=HEAP[$lenp]; //@line 374 "j2k.c"
        _cio_seek($112, $113); //@line 374 "j2k.c"
        var $114=HEAP[$len]; //@line 375 "j2k.c"
        var $115=HEAP[$cio]; //@line 375 "j2k.c"
        var $116=_cio_write($115, $114, 2); //@line 375 "j2k.c"
        var $117=HEAP[$lenp]; //@line 376 "j2k.c"
        var $118=HEAP[$len]; //@line 376 "j2k.c"
        var $119=CHECK_OVERFLOW((($117) + ($118))&4294967295, 32); //@line 376 "j2k.c"
        var $120=HEAP[$cio]; //@line 376 "j2k.c"
        _cio_seek($120, $119); //@line 376 "j2k.c"
        __label__ = 3; break; //@line 377 "j2k.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 377 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_siz($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 40);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $len=__stackBase__+4;
        var $i=__stackBase__+8;
        var $cio=__stackBase__+12;
        var $image=__stackBase__+16;
        var $cp=__stackBase__+20;
        var $tmp=__stackBase__+24;
        var $w=__stackBase__+28;
        var $h=__stackBase__+32;
        var $cstr_info=__stackBase__+36;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 382 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+72)&4294967295, 32); //@line 382 "j2k.c"
        var $2=HEAP[$1]; //@line 382 "j2k.c"
        HEAP[$cio]=$2; //@line 382 "j2k.c"
        var $3=HEAP[$j2k_addr]; //@line 383 "j2k.c"
        var $4=CHECK_OVERFLOW(($3+60)&4294967295, 32); //@line 383 "j2k.c"
        var $5=HEAP[$4]; //@line 383 "j2k.c"
        HEAP[$image]=$5; //@line 383 "j2k.c"
        var $6=HEAP[$j2k_addr]; //@line 384 "j2k.c"
        var $7=CHECK_OVERFLOW(($6+64)&4294967295, 32); //@line 384 "j2k.c"
        var $8=HEAP[$7]; //@line 384 "j2k.c"
        HEAP[$cp]=$8; //@line 384 "j2k.c"
        var $9=HEAP[$cio]; //@line 386 "j2k.c"
        var $10=_cio_read($9, 2); //@line 386 "j2k.c"
        HEAP[$len]=$10; //@line 386 "j2k.c"
        var $11=HEAP[$cio]; //@line 387 "j2k.c"
        var $12=_cio_read($11, 2); //@line 387 "j2k.c"
        var $13=HEAP[$cio]; //@line 388 "j2k.c"
        var $14=_cio_read($13, 4); //@line 388 "j2k.c"
        var $15=HEAP[$image]; //@line 388 "j2k.c"
        var $16=CHECK_OVERFLOW(($15+8)&4294967295, 32); //@line 388 "j2k.c"
        HEAP[$16]=$14; //@line 388 "j2k.c"
        var $17=HEAP[$cio]; //@line 389 "j2k.c"
        var $18=_cio_read($17, 4); //@line 389 "j2k.c"
        var $19=HEAP[$image]; //@line 389 "j2k.c"
        var $20=CHECK_OVERFLOW(($19+12)&4294967295, 32); //@line 389 "j2k.c"
        HEAP[$20]=$18; //@line 389 "j2k.c"
        var $21=HEAP[$cio]; //@line 390 "j2k.c"
        var $22=_cio_read($21, 4); //@line 390 "j2k.c"
        var $23=HEAP[$image]; //@line 390 "j2k.c"
        var $24=CHECK_OVERFLOW(($23)&4294967295, 32); //@line 390 "j2k.c"
        HEAP[$24]=$22; //@line 390 "j2k.c"
        var $25=HEAP[$cio]; //@line 391 "j2k.c"
        var $26=_cio_read($25, 4); //@line 391 "j2k.c"
        var $27=HEAP[$image]; //@line 391 "j2k.c"
        var $28=CHECK_OVERFLOW(($27+4)&4294967295, 32); //@line 391 "j2k.c"
        HEAP[$28]=$26; //@line 391 "j2k.c"
        var $29=HEAP[$cio]; //@line 392 "j2k.c"
        var $30=_cio_read($29, 4); //@line 392 "j2k.c"
        var $31=HEAP[$cp]; //@line 392 "j2k.c"
        var $32=CHECK_OVERFLOW(($31+56)&4294967295, 32); //@line 392 "j2k.c"
        HEAP[$32]=$30; //@line 392 "j2k.c"
        var $33=HEAP[$cio]; //@line 393 "j2k.c"
        var $34=_cio_read($33, 4); //@line 393 "j2k.c"
        var $35=HEAP[$cp]; //@line 393 "j2k.c"
        var $36=CHECK_OVERFLOW(($35+60)&4294967295, 32); //@line 393 "j2k.c"
        HEAP[$36]=$34; //@line 393 "j2k.c"
        var $37=HEAP[$cio]; //@line 394 "j2k.c"
        var $38=_cio_read($37, 4); //@line 394 "j2k.c"
        var $39=HEAP[$cp]; //@line 394 "j2k.c"
        var $40=CHECK_OVERFLOW(($39+48)&4294967295, 32); //@line 394 "j2k.c"
        HEAP[$40]=$38; //@line 394 "j2k.c"
        var $41=HEAP[$cio]; //@line 395 "j2k.c"
        var $42=_cio_read($41, 4); //@line 395 "j2k.c"
        var $43=HEAP[$cp]; //@line 395 "j2k.c"
        var $44=CHECK_OVERFLOW(($43+52)&4294967295, 32); //@line 395 "j2k.c"
        HEAP[$44]=$42; //@line 395 "j2k.c"
        var $45=HEAP[$image]; //@line 397 "j2k.c"
        var $46=CHECK_OVERFLOW(($45)&4294967295, 32); //@line 397 "j2k.c"
        var $47=HEAP[$46]; //@line 397 "j2k.c"
        var $48=($47) < 0; //@line 397 "j2k.c"
        if ($48) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 397 "j2k.c"
      case 1: // $bb
        var $49=HEAP[$image]; //@line 397 "j2k.c"
        var $50=CHECK_OVERFLOW(($49+8)&4294967295, 32); //@line 397 "j2k.c"
        var $51=HEAP[$50]; //@line 397 "j2k.c"
        var $52=($51) < 0; //@line 397 "j2k.c"
        if ($52) { __label__ = 0; break; } else { __label__ = 2; break; } //@line 397 "j2k.c"
      case 2: // $bb1
        var $53=HEAP[$image]; //@line 397 "j2k.c"
        var $54=CHECK_OVERFLOW(($53+4)&4294967295, 32); //@line 397 "j2k.c"
        var $55=HEAP[$54]; //@line 397 "j2k.c"
        var $56=($55) < 0; //@line 397 "j2k.c"
        if ($56) { __label__ = 0; break; } else { __label__ = 3; break; } //@line 397 "j2k.c"
      case 3: // $bb2
        var $57=HEAP[$image]; //@line 397 "j2k.c"
        var $58=CHECK_OVERFLOW(($57+12)&4294967295, 32); //@line 397 "j2k.c"
        var $59=HEAP[$58]; //@line 397 "j2k.c"
        var $60=($59) < 0; //@line 397 "j2k.c"
        if ($60) { __label__ = 0; break; } else { __label__ = 4; break; } //@line 397 "j2k.c"
      case 0: // $bb3
        var $61=HEAP[$image]; //@line 398 "j2k.c"
        var $62=CHECK_OVERFLOW(($61+12)&4294967295, 32); //@line 398 "j2k.c"
        var $63=HEAP[$62]; //@line 398 "j2k.c"
        var $64=HEAP[$image]; //@line 398 "j2k.c"
        var $65=CHECK_OVERFLOW(($64+4)&4294967295, 32); //@line 398 "j2k.c"
        var $66=HEAP[$65]; //@line 398 "j2k.c"
        var $67=HEAP[$image]; //@line 398 "j2k.c"
        var $68=CHECK_OVERFLOW(($67+8)&4294967295, 32); //@line 398 "j2k.c"
        var $69=HEAP[$68]; //@line 398 "j2k.c"
        var $70=HEAP[$image]; //@line 398 "j2k.c"
        var $71=CHECK_OVERFLOW(($70)&4294967295, 32); //@line 398 "j2k.c"
        var $72=HEAP[$71]; //@line 398 "j2k.c"
        var $73=HEAP[$j2k_addr]; //@line 398 "j2k.c"
        var $74=CHECK_OVERFLOW(($73)&4294967295, 32); //@line 398 "j2k.c"
        var $75=HEAP[$74]; //@line 398 "j2k.c"
        var $76=_opj_event_msg($75, 1, CHECK_OVERFLOW((__str690)&4294967295, 32), Pointer_make([$72,0,0,0,$69,0,0,0,$66,0,0,0,$63,0,0,0], 0, ALLOC_STACK)); //@line 398 "j2k.c"
        __label__ = 5; break; //@line 398 "j2k.c"
      case 4: // $bb4
        var $77=HEAP[$cio]; //@line 404 "j2k.c"
        var $78=_cio_read($77, 2); //@line 404 "j2k.c"
        var $79=HEAP[$image]; //@line 404 "j2k.c"
        var $80=CHECK_OVERFLOW(($79+16)&4294967295, 32); //@line 404 "j2k.c"
        HEAP[$80]=$78; //@line 404 "j2k.c"
        var $81=HEAP[$image]; //@line 445 "j2k.c"
        var $82=CHECK_OVERFLOW(($81+16)&4294967295, 32); //@line 445 "j2k.c"
        var $83=HEAP[$82]; //@line 445 "j2k.c"
        var $84=_calloc($83, 48); //@line 445 "j2k.c"
        var $85=$84; //@line 445 "j2k.c"
        var $86=HEAP[$image]; //@line 445 "j2k.c"
        var $87=CHECK_OVERFLOW(($86+24)&4294967295, 32); //@line 445 "j2k.c"
        HEAP[$87]=$85; //@line 445 "j2k.c"
        HEAP[$i]=0; //@line 446 "j2k.c"
        __label__ = 6; break; //@line 446 "j2k.c"
      case 7: // $bb5
        var $88=HEAP[$cio]; //@line 448 "j2k.c"
        var $89=_cio_read($88, 1); //@line 448 "j2k.c"
        HEAP[$tmp]=$89; //@line 448 "j2k.c"
        var $90=HEAP[$image]; //@line 449 "j2k.c"
        var $91=CHECK_OVERFLOW(($90+24)&4294967295, 32); //@line 449 "j2k.c"
        var $92=HEAP[$91]; //@line 449 "j2k.c"
        var $93=HEAP[$i]; //@line 449 "j2k.c"
        var $94=CHECK_OVERFLOW(($92+48*$93)&4294967295, 32); //@line 449 "j2k.c"
        var $95=HEAP[$tmp]; //@line 449 "j2k.c"
        var $96=($95) & 127; //@line 449 "j2k.c"
        var $97=CHECK_OVERFLOW((($96) + 1)&4294967295, 32); //@line 449 "j2k.c"
        var $98=CHECK_OVERFLOW(($94+24)&4294967295, 32); //@line 449 "j2k.c"
        HEAP[$98]=$97; //@line 449 "j2k.c"
        var $99=HEAP[$image]; //@line 450 "j2k.c"
        var $100=CHECK_OVERFLOW(($99+24)&4294967295, 32); //@line 450 "j2k.c"
        var $101=HEAP[$100]; //@line 450 "j2k.c"
        var $102=HEAP[$i]; //@line 450 "j2k.c"
        var $103=CHECK_OVERFLOW(($101+48*$102)&4294967295, 32); //@line 450 "j2k.c"
        var $104=HEAP[$tmp]; //@line 450 "j2k.c"
        var $105=($104) >> 7; //@line 450 "j2k.c"
        var $106=CHECK_OVERFLOW(($103+32)&4294967295, 32); //@line 450 "j2k.c"
        HEAP[$106]=$105; //@line 450 "j2k.c"
        var $107=HEAP[$image]; //@line 451 "j2k.c"
        var $108=CHECK_OVERFLOW(($107+24)&4294967295, 32); //@line 451 "j2k.c"
        var $109=HEAP[$108]; //@line 451 "j2k.c"
        var $110=HEAP[$i]; //@line 451 "j2k.c"
        var $111=CHECK_OVERFLOW(($109+48*$110)&4294967295, 32); //@line 451 "j2k.c"
        var $112=HEAP[$cio]; //@line 451 "j2k.c"
        var $113=_cio_read($112, 1); //@line 451 "j2k.c"
        var $114=CHECK_OVERFLOW(($111)&4294967295, 32); //@line 451 "j2k.c"
        HEAP[$114]=$113; //@line 451 "j2k.c"
        var $115=HEAP[$image]; //@line 452 "j2k.c"
        var $116=CHECK_OVERFLOW(($115+24)&4294967295, 32); //@line 452 "j2k.c"
        var $117=HEAP[$116]; //@line 452 "j2k.c"
        var $118=HEAP[$i]; //@line 452 "j2k.c"
        var $119=CHECK_OVERFLOW(($117+48*$118)&4294967295, 32); //@line 452 "j2k.c"
        var $120=HEAP[$cio]; //@line 452 "j2k.c"
        var $121=_cio_read($120, 1); //@line 452 "j2k.c"
        var $122=CHECK_OVERFLOW(($119+4)&4294967295, 32); //@line 452 "j2k.c"
        HEAP[$122]=$121; //@line 452 "j2k.c"
        var $123=HEAP[$image]; //@line 484 "j2k.c"
        var $124=CHECK_OVERFLOW(($123+24)&4294967295, 32); //@line 484 "j2k.c"
        var $125=HEAP[$124]; //@line 484 "j2k.c"
        var $126=HEAP[$i]; //@line 484 "j2k.c"
        var $127=CHECK_OVERFLOW(($125+48*$126)&4294967295, 32); //@line 484 "j2k.c"
        var $128=CHECK_OVERFLOW(($127)&4294967295, 32); //@line 484 "j2k.c"
        var $129=HEAP[$128]; //@line 484 "j2k.c"
        var $130=HEAP[$image]; //@line 484 "j2k.c"
        var $131=CHECK_OVERFLOW(($130+8)&4294967295, 32); //@line 484 "j2k.c"
        var $132=HEAP[$131]; //@line 484 "j2k.c"
        var $133=HEAP[$image]; //@line 484 "j2k.c"
        var $134=CHECK_OVERFLOW(($133)&4294967295, 32); //@line 484 "j2k.c"
        var $135=HEAP[$134]; //@line 484 "j2k.c"
        var $136=CHECK_OVERFLOW((($132) - ($135))&4294967295, 32); //@line 484 "j2k.c"
        var $137=_int_ceildiv($136, $129); //@line 484 "j2k.c"
        HEAP[$w]=$137; //@line 484 "j2k.c"
        var $138=HEAP[$image]; //@line 485 "j2k.c"
        var $139=CHECK_OVERFLOW(($138+24)&4294967295, 32); //@line 485 "j2k.c"
        var $140=HEAP[$139]; //@line 485 "j2k.c"
        var $141=HEAP[$i]; //@line 485 "j2k.c"
        var $142=CHECK_OVERFLOW(($140+48*$141)&4294967295, 32); //@line 485 "j2k.c"
        var $143=CHECK_OVERFLOW(($142+4)&4294967295, 32); //@line 485 "j2k.c"
        var $144=HEAP[$143]; //@line 485 "j2k.c"
        var $145=HEAP[$image]; //@line 485 "j2k.c"
        var $146=CHECK_OVERFLOW(($145+12)&4294967295, 32); //@line 485 "j2k.c"
        var $147=HEAP[$146]; //@line 485 "j2k.c"
        var $148=HEAP[$image]; //@line 485 "j2k.c"
        var $149=CHECK_OVERFLOW(($148+4)&4294967295, 32); //@line 485 "j2k.c"
        var $150=HEAP[$149]; //@line 485 "j2k.c"
        var $151=CHECK_OVERFLOW((($147) - ($150))&4294967295, 32); //@line 485 "j2k.c"
        var $152=_int_ceildiv($151, $144); //@line 485 "j2k.c"
        HEAP[$h]=$152; //@line 485 "j2k.c"
        var $153=HEAP[$image]; //@line 487 "j2k.c"
        var $154=CHECK_OVERFLOW(($153+24)&4294967295, 32); //@line 487 "j2k.c"
        var $155=HEAP[$154]; //@line 487 "j2k.c"
        var $156=HEAP[$i]; //@line 487 "j2k.c"
        var $157=CHECK_OVERFLOW(($155+48*$156)&4294967295, 32); //@line 487 "j2k.c"
        var $158=CHECK_OVERFLOW(($157+36)&4294967295, 32); //@line 487 "j2k.c"
        HEAP[$158]=0; //@line 487 "j2k.c"
        var $159=HEAP[$image]; //@line 488 "j2k.c"
        var $160=CHECK_OVERFLOW(($159+24)&4294967295, 32); //@line 488 "j2k.c"
        var $161=HEAP[$160]; //@line 488 "j2k.c"
        var $162=HEAP[$i]; //@line 488 "j2k.c"
        var $163=CHECK_OVERFLOW(($161+48*$162)&4294967295, 32); //@line 488 "j2k.c"
        var $164=HEAP[$cp]; //@line 488 "j2k.c"
        var $165=CHECK_OVERFLOW(($164+36)&4294967295, 32); //@line 488 "j2k.c"
        var $166=HEAP[$165]; //@line 488 "j2k.c"
        var $167=CHECK_OVERFLOW(($163+40)&4294967295, 32); //@line 488 "j2k.c"
        HEAP[$167]=$166; //@line 488 "j2k.c"
        var $168=HEAP[$i]; //@line 446 "j2k.c"
        var $169=CHECK_OVERFLOW((($168) + 1)&4294967295, 32); //@line 446 "j2k.c"
        HEAP[$i]=$169; //@line 446 "j2k.c"
        __label__ = 6; break; //@line 446 "j2k.c"
      case 6: // $bb6
        var $170=HEAP[$image]; //@line 446 "j2k.c"
        var $171=CHECK_OVERFLOW(($170+16)&4294967295, 32); //@line 446 "j2k.c"
        var $172=HEAP[$171]; //@line 446 "j2k.c"
        var $173=HEAP[$i]; //@line 446 "j2k.c"
        var $174=($172) > ($173); //@line 446 "j2k.c"
        if ($174) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 446 "j2k.c"
      case 8: // $bb7
        var $175=HEAP[$cp]; //@line 491 "j2k.c"
        var $176=CHECK_OVERFLOW(($175+56)&4294967295, 32); //@line 491 "j2k.c"
        var $177=HEAP[$176]; //@line 491 "j2k.c"
        var $178=HEAP[$image]; //@line 491 "j2k.c"
        var $179=CHECK_OVERFLOW(($178+8)&4294967295, 32); //@line 491 "j2k.c"
        var $180=HEAP[$179]; //@line 491 "j2k.c"
        var $181=HEAP[$cp]; //@line 491 "j2k.c"
        var $182=CHECK_OVERFLOW(($181+48)&4294967295, 32); //@line 491 "j2k.c"
        var $183=HEAP[$182]; //@line 491 "j2k.c"
        var $184=CHECK_OVERFLOW((($180) - ($183))&4294967295, 32); //@line 491 "j2k.c"
        var $185=_int_ceildiv($184, $177); //@line 491 "j2k.c"
        var $186=HEAP[$cp]; //@line 491 "j2k.c"
        var $187=CHECK_OVERFLOW(($186+68)&4294967295, 32); //@line 491 "j2k.c"
        HEAP[$187]=$185; //@line 491 "j2k.c"
        var $188=HEAP[$cp]; //@line 492 "j2k.c"
        var $189=CHECK_OVERFLOW(($188+60)&4294967295, 32); //@line 492 "j2k.c"
        var $190=HEAP[$189]; //@line 492 "j2k.c"
        var $191=HEAP[$image]; //@line 492 "j2k.c"
        var $192=CHECK_OVERFLOW(($191+12)&4294967295, 32); //@line 492 "j2k.c"
        var $193=HEAP[$192]; //@line 492 "j2k.c"
        var $194=HEAP[$cp]; //@line 492 "j2k.c"
        var $195=CHECK_OVERFLOW(($194+52)&4294967295, 32); //@line 492 "j2k.c"
        var $196=HEAP[$195]; //@line 492 "j2k.c"
        var $197=CHECK_OVERFLOW((($193) - ($196))&4294967295, 32); //@line 492 "j2k.c"
        var $198=_int_ceildiv($197, $190); //@line 492 "j2k.c"
        var $199=HEAP[$cp]; //@line 492 "j2k.c"
        var $200=CHECK_OVERFLOW(($199+72)&4294967295, 32); //@line 492 "j2k.c"
        HEAP[$200]=$198; //@line 492 "j2k.c"
        var $201=HEAP[$cp]; //@line 534 "j2k.c"
        var $202=CHECK_OVERFLOW(($201+68)&4294967295, 32); //@line 534 "j2k.c"
        var $203=HEAP[$202]; //@line 534 "j2k.c"
        var $204=HEAP[$cp]; //@line 534 "j2k.c"
        var $205=CHECK_OVERFLOW(($204+72)&4294967295, 32); //@line 534 "j2k.c"
        var $206=HEAP[$205]; //@line 534 "j2k.c"
        var $207=CHECK_OVERFLOW((($203) * ($206))&4294967295, 32); //@line 534 "j2k.c"
        var $208=_calloc($207, 5588); //@line 534 "j2k.c"
        var $209=$208; //@line 534 "j2k.c"
        var $210=HEAP[$cp]; //@line 534 "j2k.c"
        var $211=CHECK_OVERFLOW(($210+108)&4294967295, 32); //@line 534 "j2k.c"
        HEAP[$211]=$209; //@line 534 "j2k.c"
        var $212=HEAP[$cp]; //@line 535 "j2k.c"
        var $213=CHECK_OVERFLOW(($212+68)&4294967295, 32); //@line 535 "j2k.c"
        var $214=HEAP[$213]; //@line 535 "j2k.c"
        var $215=HEAP[$cp]; //@line 535 "j2k.c"
        var $216=CHECK_OVERFLOW(($215+72)&4294967295, 32); //@line 535 "j2k.c"
        var $217=HEAP[$216]; //@line 535 "j2k.c"
        var $218=CHECK_OVERFLOW((($214) * ($217))&4294967295, 32); //@line 535 "j2k.c"
        var $219=CHECK_OVERFLOW((($218) * 4)&4294967295, 32); //@line 535 "j2k.c"
        var $220=_malloc($219); //@line 535 "j2k.c"
        var $221=$220; //@line 535 "j2k.c"
        var $222=HEAP[$cp]; //@line 535 "j2k.c"
        var $223=CHECK_OVERFLOW(($222+76)&4294967295, 32); //@line 535 "j2k.c"
        HEAP[$223]=$221; //@line 535 "j2k.c"
        var $224=HEAP[$cp]; //@line 536 "j2k.c"
        var $225=CHECK_OVERFLOW(($224+80)&4294967295, 32); //@line 536 "j2k.c"
        HEAP[$225]=0; //@line 536 "j2k.c"
        HEAP[$i]=0; //@line 551 "j2k.c"
        __label__ = 9; break; //@line 551 "j2k.c"
      case 10: // $bb8
        var $226=HEAP[$cp]; //@line 552 "j2k.c"
        var $227=CHECK_OVERFLOW(($226+108)&4294967295, 32); //@line 552 "j2k.c"
        var $228=HEAP[$227]; //@line 552 "j2k.c"
        var $229=HEAP[$i]; //@line 552 "j2k.c"
        var $230=CHECK_OVERFLOW(($228+5588*$229)&4294967295, 32); //@line 552 "j2k.c"
        var $231=CHECK_OVERFLOW(($230+424)&4294967295, 32); //@line 552 "j2k.c"
        HEAP[$231]=0; //@line 552 "j2k.c"
        var $232=HEAP[$cp]; //@line 553 "j2k.c"
        var $233=CHECK_OVERFLOW(($232+108)&4294967295, 32); //@line 553 "j2k.c"
        var $234=HEAP[$233]; //@line 553 "j2k.c"
        var $235=HEAP[$i]; //@line 553 "j2k.c"
        var $236=CHECK_OVERFLOW(($234+5588*$235)&4294967295, 32); //@line 553 "j2k.c"
        var $237=CHECK_OVERFLOW(($236+420)&4294967295, 32); //@line 553 "j2k.c"
        HEAP[$237]=0; //@line 553 "j2k.c"
        var $238=HEAP[$cp]; //@line 554 "j2k.c"
        var $239=CHECK_OVERFLOW(($238+108)&4294967295, 32); //@line 554 "j2k.c"
        var $240=HEAP[$239]; //@line 554 "j2k.c"
        var $241=HEAP[$i]; //@line 554 "j2k.c"
        var $242=CHECK_OVERFLOW(($240+5588*$241)&4294967295, 32); //@line 554 "j2k.c"
        var $243=CHECK_OVERFLOW(($242)&4294967295, 32); //@line 554 "j2k.c"
        HEAP[$243]=1; //@line 554 "j2k.c"
        var $244=HEAP[$i]; //@line 551 "j2k.c"
        var $245=CHECK_OVERFLOW((($244) + 1)&4294967295, 32); //@line 551 "j2k.c"
        HEAP[$i]=$245; //@line 551 "j2k.c"
        __label__ = 9; break; //@line 551 "j2k.c"
      case 9: // $bb9
        var $246=HEAP[$cp]; //@line 551 "j2k.c"
        var $247=CHECK_OVERFLOW(($246+68)&4294967295, 32); //@line 551 "j2k.c"
        var $248=HEAP[$247]; //@line 551 "j2k.c"
        var $249=HEAP[$cp]; //@line 551 "j2k.c"
        var $250=CHECK_OVERFLOW(($249+72)&4294967295, 32); //@line 551 "j2k.c"
        var $251=HEAP[$250]; //@line 551 "j2k.c"
        var $252=CHECK_OVERFLOW((($248) * ($251))&4294967295, 32); //@line 551 "j2k.c"
        var $253=HEAP[$i]; //@line 551 "j2k.c"
        var $254=($252) > ($253); //@line 551 "j2k.c"
        if ($254) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 551 "j2k.c"
      case 11: // $bb10
        var $255=HEAP[$cp]; //@line 558 "j2k.c"
        var $256=CHECK_OVERFLOW(($255+92)&4294967295, 32); //@line 558 "j2k.c"
        HEAP[$256]=0; //@line 558 "j2k.c"
        var $257=HEAP[$cp]; //@line 559 "j2k.c"
        var $258=CHECK_OVERFLOW(($257+84)&4294967295, 32); //@line 559 "j2k.c"
        HEAP[$258]=0; //@line 559 "j2k.c"
        var $259=HEAP[$cp]; //@line 560 "j2k.c"
        var $260=CHECK_OVERFLOW(($259+88)&4294967295, 32); //@line 560 "j2k.c"
        HEAP[$260]=0; //@line 560 "j2k.c"
        var $261=HEAP[$cp]; //@line 561 "j2k.c"
        var $262=CHECK_OVERFLOW(($261+100)&4294967295, 32); //@line 561 "j2k.c"
        HEAP[$262]=0; //@line 561 "j2k.c"
        var $263=HEAP[$cp]; //@line 562 "j2k.c"
        var $264=CHECK_OVERFLOW(($263+96)&4294967295, 32); //@line 562 "j2k.c"
        HEAP[$264]=0; //@line 562 "j2k.c"
        var $265=HEAP[$j2k_addr]; //@line 564 "j2k.c"
        var $266=CHECK_OVERFLOW(($265+56)&4294967295, 32); //@line 564 "j2k.c"
        var $267=HEAP[$266]; //@line 564 "j2k.c"
        var $268=HEAP[$image]; //@line 564 "j2k.c"
        var $269=CHECK_OVERFLOW(($268+16)&4294967295, 32); //@line 564 "j2k.c"
        var $270=HEAP[$269]; //@line 564 "j2k.c"
        var $271=_calloc($270, 1076); //@line 564 "j2k.c"
        var $272=$271; //@line 564 "j2k.c"
        var $273=CHECK_OVERFLOW(($267+5584)&4294967295, 32); //@line 564 "j2k.c"
        HEAP[$273]=$272; //@line 564 "j2k.c"
        HEAP[$i]=0; //@line 565 "j2k.c"
        __label__ = 12; break; //@line 565 "j2k.c"
      case 13: // $bb11
        var $274=HEAP[$cp]; //@line 566 "j2k.c"
        var $275=CHECK_OVERFLOW(($274+108)&4294967295, 32); //@line 566 "j2k.c"
        var $276=HEAP[$275]; //@line 566 "j2k.c"
        var $277=HEAP[$i]; //@line 566 "j2k.c"
        var $278=CHECK_OVERFLOW(($276+5588*$277)&4294967295, 32); //@line 566 "j2k.c"
        var $279=HEAP[$image]; //@line 566 "j2k.c"
        var $280=CHECK_OVERFLOW(($279+16)&4294967295, 32); //@line 566 "j2k.c"
        var $281=HEAP[$280]; //@line 566 "j2k.c"
        var $282=CHECK_OVERFLOW((($281) * 1076)&4294967295, 32); //@line 566 "j2k.c"
        var $283=_malloc($282); //@line 566 "j2k.c"
        var $284=$283; //@line 566 "j2k.c"
        var $285=CHECK_OVERFLOW(($278+5584)&4294967295, 32); //@line 566 "j2k.c"
        HEAP[$285]=$284; //@line 566 "j2k.c"
        var $286=HEAP[$i]; //@line 565 "j2k.c"
        var $287=CHECK_OVERFLOW((($286) + 1)&4294967295, 32); //@line 565 "j2k.c"
        HEAP[$i]=$287; //@line 565 "j2k.c"
        __label__ = 12; break; //@line 565 "j2k.c"
      case 12: // $bb12
        var $288=HEAP[$cp]; //@line 565 "j2k.c"
        var $289=CHECK_OVERFLOW(($288+68)&4294967295, 32); //@line 565 "j2k.c"
        var $290=HEAP[$289]; //@line 565 "j2k.c"
        var $291=HEAP[$cp]; //@line 565 "j2k.c"
        var $292=CHECK_OVERFLOW(($291+72)&4294967295, 32); //@line 565 "j2k.c"
        var $293=HEAP[$292]; //@line 565 "j2k.c"
        var $294=CHECK_OVERFLOW((($290) * ($293))&4294967295, 32); //@line 565 "j2k.c"
        var $295=HEAP[$i]; //@line 565 "j2k.c"
        var $296=($294) > ($295); //@line 565 "j2k.c"
        if ($296) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 565 "j2k.c"
      case 14: // $bb13
        var $297=HEAP[$cp]; //@line 568 "j2k.c"
        var $298=CHECK_OVERFLOW(($297+68)&4294967295, 32); //@line 568 "j2k.c"
        var $299=HEAP[$298]; //@line 568 "j2k.c"
        var $300=HEAP[$cp]; //@line 568 "j2k.c"
        var $301=CHECK_OVERFLOW(($300+72)&4294967295, 32); //@line 568 "j2k.c"
        var $302=HEAP[$301]; //@line 568 "j2k.c"
        var $303=CHECK_OVERFLOW((($299) * ($302))&4294967295, 32); //@line 568 "j2k.c"
        var $304=_calloc($303, 4); //@line 568 "j2k.c"
        var $305=$304; //@line 568 "j2k.c"
        var $306=HEAP[$j2k_addr]; //@line 568 "j2k.c"
        var $307=CHECK_OVERFLOW(($306+48)&4294967295, 32); //@line 568 "j2k.c"
        HEAP[$307]=$305; //@line 568 "j2k.c"
        var $308=HEAP[$cp]; //@line 569 "j2k.c"
        var $309=CHECK_OVERFLOW(($308+68)&4294967295, 32); //@line 569 "j2k.c"
        var $310=HEAP[$309]; //@line 569 "j2k.c"
        var $311=HEAP[$cp]; //@line 569 "j2k.c"
        var $312=CHECK_OVERFLOW(($311+72)&4294967295, 32); //@line 569 "j2k.c"
        var $313=HEAP[$312]; //@line 569 "j2k.c"
        var $314=CHECK_OVERFLOW((($310) * ($313))&4294967295, 32); //@line 569 "j2k.c"
        var $315=_calloc($314, 4); //@line 569 "j2k.c"
        var $316=$315; //@line 569 "j2k.c"
        var $317=HEAP[$j2k_addr]; //@line 569 "j2k.c"
        var $318=CHECK_OVERFLOW(($317+52)&4294967295, 32); //@line 569 "j2k.c"
        HEAP[$318]=$316; //@line 569 "j2k.c"
        var $319=HEAP[$j2k_addr]; //@line 570 "j2k.c"
        var $320=CHECK_OVERFLOW(($319+4)&4294967295, 32); //@line 570 "j2k.c"
        HEAP[$320]=4; //@line 570 "j2k.c"
        var $321=HEAP[$j2k_addr]; //@line 573 "j2k.c"
        var $322=CHECK_OVERFLOW(($321+68)&4294967295, 32); //@line 573 "j2k.c"
        var $323=HEAP[$322]; //@line 573 "j2k.c"
        var $324=($323)!=0; //@line 573 "j2k.c"
        if ($324) { __label__ = 15; break; } else { __label__ = 5; break; } //@line 573 "j2k.c"
      case 15: // $bb14
        var $325=HEAP[$j2k_addr]; //@line 574 "j2k.c"
        var $326=CHECK_OVERFLOW(($325+68)&4294967295, 32); //@line 574 "j2k.c"
        var $327=HEAP[$326]; //@line 574 "j2k.c"
        HEAP[$cstr_info]=$327; //@line 574 "j2k.c"
        var $328=HEAP[$image]; //@line 575 "j2k.c"
        var $329=CHECK_OVERFLOW(($328+8)&4294967295, 32); //@line 575 "j2k.c"
        var $330=HEAP[$329]; //@line 575 "j2k.c"
        var $331=HEAP[$image]; //@line 575 "j2k.c"
        var $332=CHECK_OVERFLOW(($331)&4294967295, 32); //@line 575 "j2k.c"
        var $333=HEAP[$332]; //@line 575 "j2k.c"
        var $334=CHECK_OVERFLOW((($330) - ($333))&4294967295, 32); //@line 575 "j2k.c"
        var $335=HEAP[$cstr_info]; //@line 575 "j2k.c"
        var $336=CHECK_OVERFLOW(($335+16)&4294967295, 32); //@line 575 "j2k.c"
        HEAP[$336]=$334; //@line 575 "j2k.c"
        var $337=HEAP[$image]; //@line 576 "j2k.c"
        var $338=CHECK_OVERFLOW(($337+12)&4294967295, 32); //@line 576 "j2k.c"
        var $339=HEAP[$338]; //@line 576 "j2k.c"
        var $340=HEAP[$image]; //@line 576 "j2k.c"
        var $341=CHECK_OVERFLOW(($340+4)&4294967295, 32); //@line 576 "j2k.c"
        var $342=HEAP[$341]; //@line 576 "j2k.c"
        var $343=CHECK_OVERFLOW((($339) - ($342))&4294967295, 32); //@line 576 "j2k.c"
        var $344=HEAP[$cstr_info]; //@line 576 "j2k.c"
        var $345=CHECK_OVERFLOW(($344+20)&4294967295, 32); //@line 576 "j2k.c"
        HEAP[$345]=$343; //@line 576 "j2k.c"
        var $346=HEAP[$image]; //@line 577 "j2k.c"
        var $347=CHECK_OVERFLOW(($346+16)&4294967295, 32); //@line 577 "j2k.c"
        var $348=HEAP[$347]; //@line 577 "j2k.c"
        var $349=HEAP[$cstr_info]; //@line 577 "j2k.c"
        var $350=CHECK_OVERFLOW(($349+52)&4294967295, 32); //@line 577 "j2k.c"
        HEAP[$350]=$348; //@line 577 "j2k.c"
        var $351=HEAP[$cp]; //@line 578 "j2k.c"
        var $352=CHECK_OVERFLOW(($351+68)&4294967295, 32); //@line 578 "j2k.c"
        var $353=HEAP[$352]; //@line 578 "j2k.c"
        var $354=HEAP[$cstr_info]; //@line 578 "j2k.c"
        var $355=CHECK_OVERFLOW(($354+44)&4294967295, 32); //@line 578 "j2k.c"
        HEAP[$355]=$353; //@line 578 "j2k.c"
        var $356=HEAP[$cp]; //@line 579 "j2k.c"
        var $357=CHECK_OVERFLOW(($356+72)&4294967295, 32); //@line 579 "j2k.c"
        var $358=HEAP[$357]; //@line 579 "j2k.c"
        var $359=HEAP[$cstr_info]; //@line 579 "j2k.c"
        var $360=CHECK_OVERFLOW(($359+48)&4294967295, 32); //@line 579 "j2k.c"
        HEAP[$360]=$358; //@line 579 "j2k.c"
        var $361=HEAP[$cp]; //@line 580 "j2k.c"
        var $362=CHECK_OVERFLOW(($361+56)&4294967295, 32); //@line 580 "j2k.c"
        var $363=HEAP[$362]; //@line 580 "j2k.c"
        var $364=HEAP[$cstr_info]; //@line 580 "j2k.c"
        var $365=CHECK_OVERFLOW(($364+28)&4294967295, 32); //@line 580 "j2k.c"
        HEAP[$365]=$363; //@line 580 "j2k.c"
        var $366=HEAP[$cp]; //@line 581 "j2k.c"
        var $367=CHECK_OVERFLOW(($366+60)&4294967295, 32); //@line 581 "j2k.c"
        var $368=HEAP[$367]; //@line 581 "j2k.c"
        var $369=HEAP[$cstr_info]; //@line 581 "j2k.c"
        var $370=CHECK_OVERFLOW(($369+32)&4294967295, 32); //@line 581 "j2k.c"
        HEAP[$370]=$368; //@line 581 "j2k.c"
        var $371=HEAP[$cp]; //@line 582 "j2k.c"
        var $372=CHECK_OVERFLOW(($371+48)&4294967295, 32); //@line 582 "j2k.c"
        var $373=HEAP[$372]; //@line 582 "j2k.c"
        var $374=HEAP[$cstr_info]; //@line 582 "j2k.c"
        var $375=CHECK_OVERFLOW(($374+36)&4294967295, 32); //@line 582 "j2k.c"
        HEAP[$375]=$373; //@line 582 "j2k.c"
        var $376=HEAP[$cp]; //@line 583 "j2k.c"
        var $377=CHECK_OVERFLOW(($376+52)&4294967295, 32); //@line 583 "j2k.c"
        var $378=HEAP[$377]; //@line 583 "j2k.c"
        var $379=HEAP[$cstr_info]; //@line 583 "j2k.c"
        var $380=CHECK_OVERFLOW(($379+40)&4294967295, 32); //@line 583 "j2k.c"
        HEAP[$380]=$378; //@line 583 "j2k.c"
        var $381=HEAP[$cp]; //@line 584 "j2k.c"
        var $382=CHECK_OVERFLOW(($381+68)&4294967295, 32); //@line 584 "j2k.c"
        var $383=HEAP[$382]; //@line 584 "j2k.c"
        var $384=HEAP[$cp]; //@line 584 "j2k.c"
        var $385=CHECK_OVERFLOW(($384+72)&4294967295, 32); //@line 584 "j2k.c"
        var $386=HEAP[$385]; //@line 584 "j2k.c"
        var $387=CHECK_OVERFLOW((($383) * ($386))&4294967295, 32); //@line 584 "j2k.c"
        var $388=_calloc($387, 572); //@line 584 "j2k.c"
        var $389=$388; //@line 584 "j2k.c"
        var $390=HEAP[$cstr_info]; //@line 584 "j2k.c"
        var $391=CHECK_OVERFLOW(($390+88)&4294967295, 32); //@line 584 "j2k.c"
        HEAP[$391]=$389; //@line 584 "j2k.c"
        __label__ = 5; break; //@line 584 "j2k.c"
      case 5: // $bb15
        __label__ = 16; break; //@line 401 "j2k.c"
      case 16: // $return
        STACKTOP = __stackBase__;
        return; //@line 401 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_ceildiv($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$a_addr]; //@line 87 "int.h"
        var $2=HEAP[$b_addr]; //@line 87 "int.h"
        var $3=CHECK_OVERFLOW((($1) + ($2))&4294967295, 32); //@line 87 "int.h"
        var $4=CHECK_OVERFLOW((($3) - 1)&4294967295, 32); //@line 87 "int.h"
        var $5=HEAP[$b_addr]; //@line 87 "int.h"
        var $6=(($4)/($5)|0); //@line 87 "int.h"
        HEAP[$0]=$6; //@line 87 "int.h"
        var $7=HEAP[$0]; //@line 87 "int.h"
        HEAP[$retval]=$7; //@line 87 "int.h"
        __label__ = 0; break; //@line 87 "int.h"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 87 "int.h"
        STACKTOP = __stackBase__;
        return $retval1; //@line 87 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_write_com($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $i=__stackBase__+4;
        var $lenp=__stackBase__+8;
        var $len=__stackBase__+12;
        var $cio=__stackBase__+16;
        var $comment=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 592 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+64)&4294967295, 32); //@line 592 "j2k.c"
        var $2=HEAP[$1]; //@line 592 "j2k.c"
        var $3=CHECK_OVERFLOW(($2+64)&4294967295, 32); //@line 592 "j2k.c"
        var $4=HEAP[$3]; //@line 592 "j2k.c"
        var $5=($4)!=0; //@line 592 "j2k.c"
        if ($5) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 592 "j2k.c"
      case 0: // $bb
        var $6=HEAP[$j2k_addr]; //@line 593 "j2k.c"
        var $7=CHECK_OVERFLOW(($6+72)&4294967295, 32); //@line 593 "j2k.c"
        var $8=HEAP[$7]; //@line 593 "j2k.c"
        HEAP[$cio]=$8; //@line 593 "j2k.c"
        var $9=HEAP[$j2k_addr]; //@line 594 "j2k.c"
        var $10=CHECK_OVERFLOW(($9+64)&4294967295, 32); //@line 594 "j2k.c"
        var $11=HEAP[$10]; //@line 594 "j2k.c"
        var $12=CHECK_OVERFLOW(($11+64)&4294967295, 32); //@line 594 "j2k.c"
        var $13=HEAP[$12]; //@line 594 "j2k.c"
        HEAP[$comment]=$13; //@line 594 "j2k.c"
        var $14=HEAP[$cio]; //@line 596 "j2k.c"
        var $15=_cio_write($14, 65380, 2); //@line 596 "j2k.c"
        var $16=HEAP[$cio]; //@line 597 "j2k.c"
        var $17=_cio_tell($16); //@line 597 "j2k.c"
        HEAP[$lenp]=$17; //@line 597 "j2k.c"
        var $18=HEAP[$cio]; //@line 598 "j2k.c"
        _cio_skip($18, 2); //@line 598 "j2k.c"
        var $19=HEAP[$cio]; //@line 599 "j2k.c"
        var $20=_cio_write($19, 1, 2); //@line 599 "j2k.c"
        HEAP[$i]=0; //@line 600 "j2k.c"
        __label__ = 2; break; //@line 600 "j2k.c"
      case 3: // $bb1
        var $21=HEAP[$comment]; //@line 601 "j2k.c"
        var $22=HEAP[$i]; //@line 601 "j2k.c"
        var $23=CHECK_OVERFLOW(($21+$22)&4294967295, 32); //@line 601 "j2k.c"
        var $24=HEAP[$23]; //@line 601 "j2k.c"
        var $25=($24); //@line 601 "j2k.c"
        var $26=HEAP[$cio]; //@line 601 "j2k.c"
        var $27=_cio_write($26, $25, 1); //@line 601 "j2k.c"
        var $28=HEAP[$i]; //@line 600 "j2k.c"
        var $29=CHECK_OVERFLOW((($28) + 1)&4294967295, 32); //@line 600 "j2k.c"
        HEAP[$i]=$29; //@line 600 "j2k.c"
        __label__ = 2; break; //@line 600 "j2k.c"
      case 2: // $bb2
        var $30=HEAP[$comment]; //@line 600 "j2k.c"
        var $31=_strlen($30); //@line 600 "j2k.c"
        var $32=HEAP[$i]; //@line 600 "j2k.c"
        var $33=($31) > ($32); //@line 600 "j2k.c"
        if ($33) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 600 "j2k.c"
      case 4: // $bb3
        var $34=HEAP[$cio]; //@line 603 "j2k.c"
        var $35=_cio_tell($34); //@line 603 "j2k.c"
        var $36=HEAP[$lenp]; //@line 603 "j2k.c"
        var $37=CHECK_OVERFLOW((($35) - ($36))&4294967295, 32); //@line 603 "j2k.c"
        HEAP[$len]=$37; //@line 603 "j2k.c"
        var $38=HEAP[$cio]; //@line 604 "j2k.c"
        var $39=HEAP[$lenp]; //@line 604 "j2k.c"
        _cio_seek($38, $39); //@line 604 "j2k.c"
        var $40=HEAP[$len]; //@line 605 "j2k.c"
        var $41=HEAP[$cio]; //@line 605 "j2k.c"
        var $42=_cio_write($41, $40, 2); //@line 605 "j2k.c"
        var $43=HEAP[$lenp]; //@line 606 "j2k.c"
        var $44=HEAP[$len]; //@line 606 "j2k.c"
        var $45=CHECK_OVERFLOW((($43) + ($44))&4294967295, 32); //@line 606 "j2k.c"
        var $46=HEAP[$cio]; //@line 606 "j2k.c"
        _cio_seek($46, $45); //@line 606 "j2k.c"
        __label__ = 1; break; //@line 606 "j2k.c"
      case 1: // $bb4
        __label__ = 5; break; //@line 608 "j2k.c"
      case 5: // $return
        STACKTOP = __stackBase__;
        return; //@line 608 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_com($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $len=__stackBase__+4;
        var $cio=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 613 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+72)&4294967295, 32); //@line 613 "j2k.c"
        var $2=HEAP[$1]; //@line 613 "j2k.c"
        HEAP[$cio]=$2; //@line 613 "j2k.c"
        var $3=HEAP[$cio]; //@line 615 "j2k.c"
        var $4=_cio_read($3, 2); //@line 615 "j2k.c"
        HEAP[$len]=$4; //@line 615 "j2k.c"
        var $5=HEAP[$len]; //@line 616 "j2k.c"
        var $6=CHECK_OVERFLOW((($5) - 2)&4294967295, 32); //@line 616 "j2k.c"
        var $7=HEAP[$cio]; //@line 616 "j2k.c"
        _cio_skip($7, $6); //@line 616 "j2k.c"
        __label__ = 0; break; //@line 617 "j2k.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 617 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_write_cox($j2k, $compno) {
    var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 28);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $compno_addr=__stackBase__+4;
        var $i=__stackBase__+8;
        var $cp=__stackBase__+12;
        var $tcp=__stackBase__+16;
        var $tccp=__stackBase__+20;
        var $cio=__stackBase__+24;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$compno_addr]=$compno;
        var $0=HEAP[$j2k_addr]; //@line 622 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+64)&4294967295, 32); //@line 622 "j2k.c"
        var $2=HEAP[$1]; //@line 622 "j2k.c"
        HEAP[$cp]=$2; //@line 622 "j2k.c"
        var $3=HEAP[$cp]; //@line 623 "j2k.c"
        var $4=CHECK_OVERFLOW(($3+108)&4294967295, 32); //@line 623 "j2k.c"
        var $5=HEAP[$4]; //@line 623 "j2k.c"
        var $6=HEAP[$j2k_addr]; //@line 623 "j2k.c"
        var $7=CHECK_OVERFLOW(($6+8)&4294967295, 32); //@line 623 "j2k.c"
        var $8=HEAP[$7]; //@line 623 "j2k.c"
        var $9=CHECK_OVERFLOW(($5+5588*$8)&4294967295, 32); //@line 623 "j2k.c"
        HEAP[$tcp]=$9; //@line 623 "j2k.c"
        var $10=HEAP[$tcp]; //@line 624 "j2k.c"
        var $11=CHECK_OVERFLOW(($10+5584)&4294967295, 32); //@line 624 "j2k.c"
        var $12=HEAP[$11]; //@line 624 "j2k.c"
        var $13=HEAP[$compno_addr]; //@line 624 "j2k.c"
        var $14=CHECK_OVERFLOW(($12+1076*$13)&4294967295, 32); //@line 624 "j2k.c"
        HEAP[$tccp]=$14; //@line 624 "j2k.c"
        var $15=HEAP[$j2k_addr]; //@line 625 "j2k.c"
        var $16=CHECK_OVERFLOW(($15+72)&4294967295, 32); //@line 625 "j2k.c"
        var $17=HEAP[$16]; //@line 625 "j2k.c"
        HEAP[$cio]=$17; //@line 625 "j2k.c"
        var $18=HEAP[$tccp]; //@line 627 "j2k.c"
        var $19=CHECK_OVERFLOW(($18+4)&4294967295, 32); //@line 627 "j2k.c"
        var $20=HEAP[$19]; //@line 627 "j2k.c"
        var $21=CHECK_OVERFLOW((($20) - 1)&4294967295, 32); //@line 627 "j2k.c"
        var $22=HEAP[$cio]; //@line 627 "j2k.c"
        var $23=_cio_write($22, $21, 1); //@line 627 "j2k.c"
        var $24=HEAP[$tccp]; //@line 628 "j2k.c"
        var $25=CHECK_OVERFLOW(($24+8)&4294967295, 32); //@line 628 "j2k.c"
        var $26=HEAP[$25]; //@line 628 "j2k.c"
        var $27=CHECK_OVERFLOW((($26) - 2)&4294967295, 32); //@line 628 "j2k.c"
        var $28=HEAP[$cio]; //@line 628 "j2k.c"
        var $29=_cio_write($28, $27, 1); //@line 628 "j2k.c"
        var $30=HEAP[$tccp]; //@line 629 "j2k.c"
        var $31=CHECK_OVERFLOW(($30+12)&4294967295, 32); //@line 629 "j2k.c"
        var $32=HEAP[$31]; //@line 629 "j2k.c"
        var $33=CHECK_OVERFLOW((($32) - 2)&4294967295, 32); //@line 629 "j2k.c"
        var $34=HEAP[$cio]; //@line 629 "j2k.c"
        var $35=_cio_write($34, $33, 1); //@line 629 "j2k.c"
        var $36=HEAP[$tccp]; //@line 630 "j2k.c"
        var $37=CHECK_OVERFLOW(($36+16)&4294967295, 32); //@line 630 "j2k.c"
        var $38=HEAP[$37]; //@line 630 "j2k.c"
        var $39=HEAP[$cio]; //@line 630 "j2k.c"
        var $40=_cio_write($39, $38, 1); //@line 630 "j2k.c"
        var $41=HEAP[$tccp]; //@line 631 "j2k.c"
        var $42=CHECK_OVERFLOW(($41+20)&4294967295, 32); //@line 631 "j2k.c"
        var $43=HEAP[$42]; //@line 631 "j2k.c"
        var $44=HEAP[$cio]; //@line 631 "j2k.c"
        var $45=_cio_write($44, $43, 1); //@line 631 "j2k.c"
        var $46=HEAP[$tccp]; //@line 633 "j2k.c"
        var $47=CHECK_OVERFLOW(($46)&4294967295, 32); //@line 633 "j2k.c"
        var $48=HEAP[$47]; //@line 633 "j2k.c"
        var $49=($48) & 1; //@line 633 "j2k.c"
        var $50=((($49)) & 255); //@line 633 "j2k.c"
        var $toBool=($50)!=0; //@line 633 "j2k.c"
        if ($toBool) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 633 "j2k.c"
      case 0: // $bb
        HEAP[$i]=0; //@line 634 "j2k.c"
        __label__ = 2; break; //@line 634 "j2k.c"
      case 3: // $bb1
        var $51=HEAP[$i]; //@line 635 "j2k.c"
        var $52=HEAP[$tccp]; //@line 635 "j2k.c"
        var $53=CHECK_OVERFLOW(($52+812)&4294967295, 32); //@line 635 "j2k.c"
        var $54=CHECK_OVERFLOW(($53+$51*4)&4294967295, 32); //@line 635 "j2k.c"
        var $55=HEAP[$54]; //@line 635 "j2k.c"
        var $56=HEAP[$i]; //@line 635 "j2k.c"
        var $57=HEAP[$tccp]; //@line 635 "j2k.c"
        var $58=CHECK_OVERFLOW(($57+944)&4294967295, 32); //@line 635 "j2k.c"
        var $59=CHECK_OVERFLOW(($58+$56*4)&4294967295, 32); //@line 635 "j2k.c"
        var $60=HEAP[$59]; //@line 635 "j2k.c"
        var $61=($60) << 4; //@line 635 "j2k.c"
        var $62=CHECK_OVERFLOW((($55) + ($61))&4294967295, 32); //@line 635 "j2k.c"
        var $63=HEAP[$cio]; //@line 635 "j2k.c"
        var $64=_cio_write($63, $62, 1); //@line 635 "j2k.c"
        var $65=HEAP[$i]; //@line 634 "j2k.c"
        var $66=CHECK_OVERFLOW((($65) + 1)&4294967295, 32); //@line 634 "j2k.c"
        HEAP[$i]=$66; //@line 634 "j2k.c"
        __label__ = 2; break; //@line 634 "j2k.c"
      case 2: // $bb2
        var $67=HEAP[$tccp]; //@line 634 "j2k.c"
        var $68=CHECK_OVERFLOW(($67+4)&4294967295, 32); //@line 634 "j2k.c"
        var $69=HEAP[$68]; //@line 634 "j2k.c"
        var $70=HEAP[$i]; //@line 634 "j2k.c"
        var $71=($69) > ($70); //@line 634 "j2k.c"
        if ($71) { __label__ = 3; break; } else { __label__ = 1; break; } //@line 634 "j2k.c"
      case 1: // $bb3
        __label__ = 4; break; //@line 638 "j2k.c"
      case 4: // $return
        STACKTOP = __stackBase__;
        return; //@line 638 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_cox($j2k, $compno) {
    var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 36);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $compno_addr=__stackBase__+4;
        var $iftmp_9=__stackBase__+8;
        var $i=__stackBase__+12;
        var $cp=__stackBase__+16;
        var $tcp=__stackBase__+20;
        var $tccp=__stackBase__+24;
        var $cio=__stackBase__+28;
        var $tmp=__stackBase__+32;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$compno_addr]=$compno;
        var $0=HEAP[$j2k_addr]; //@line 643 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+64)&4294967295, 32); //@line 643 "j2k.c"
        var $2=HEAP[$1]; //@line 643 "j2k.c"
        HEAP[$cp]=$2; //@line 643 "j2k.c"
        var $3=HEAP[$j2k_addr]; //@line 644 "j2k.c"
        var $4=CHECK_OVERFLOW(($3+4)&4294967295, 32); //@line 644 "j2k.c"
        var $5=HEAP[$4]; //@line 644 "j2k.c"
        var $6=($5)==16; //@line 644 "j2k.c"
        if ($6) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 644 "j2k.c"
      case 0: // $bb
        var $7=HEAP[$cp]; //@line 644 "j2k.c"
        var $8=CHECK_OVERFLOW(($7+108)&4294967295, 32); //@line 644 "j2k.c"
        var $9=HEAP[$8]; //@line 644 "j2k.c"
        var $10=HEAP[$j2k_addr]; //@line 644 "j2k.c"
        var $11=CHECK_OVERFLOW(($10+8)&4294967295, 32); //@line 644 "j2k.c"
        var $12=HEAP[$11]; //@line 644 "j2k.c"
        var $13=CHECK_OVERFLOW(($9+5588*$12)&4294967295, 32); //@line 644 "j2k.c"
        HEAP[$iftmp_9]=$13; //@line 644 "j2k.c"
        __label__ = 2; break; //@line 644 "j2k.c"
      case 1: // $bb1
        var $14=HEAP[$j2k_addr]; //@line 644 "j2k.c"
        var $15=CHECK_OVERFLOW(($14+56)&4294967295, 32); //@line 644 "j2k.c"
        var $16=HEAP[$15]; //@line 644 "j2k.c"
        HEAP[$iftmp_9]=$16; //@line 644 "j2k.c"
        __label__ = 2; break; //@line 644 "j2k.c"
      case 2: // $bb2
        var $17=HEAP[$iftmp_9]; //@line 644 "j2k.c"
        HEAP[$tcp]=$17; //@line 644 "j2k.c"
        var $18=HEAP[$tcp]; //@line 645 "j2k.c"
        var $19=CHECK_OVERFLOW(($18+5584)&4294967295, 32); //@line 645 "j2k.c"
        var $20=HEAP[$19]; //@line 645 "j2k.c"
        var $21=HEAP[$compno_addr]; //@line 645 "j2k.c"
        var $22=CHECK_OVERFLOW(($20+1076*$21)&4294967295, 32); //@line 645 "j2k.c"
        HEAP[$tccp]=$22; //@line 645 "j2k.c"
        var $23=HEAP[$j2k_addr]; //@line 646 "j2k.c"
        var $24=CHECK_OVERFLOW(($23+72)&4294967295, 32); //@line 646 "j2k.c"
        var $25=HEAP[$24]; //@line 646 "j2k.c"
        HEAP[$cio]=$25; //@line 646 "j2k.c"
        var $26=HEAP[$cio]; //@line 648 "j2k.c"
        var $27=_cio_read($26, 1); //@line 648 "j2k.c"
        var $28=CHECK_OVERFLOW((($27) + 1)&4294967295, 32); //@line 648 "j2k.c"
        var $29=HEAP[$tccp]; //@line 648 "j2k.c"
        var $30=CHECK_OVERFLOW(($29+4)&4294967295, 32); //@line 648 "j2k.c"
        HEAP[$30]=$28; //@line 648 "j2k.c"
        var $31=HEAP[$cp]; //@line 651 "j2k.c"
        var $32=CHECK_OVERFLOW(($31+36)&4294967295, 32); //@line 651 "j2k.c"
        var $33=HEAP[$32]; //@line 651 "j2k.c"
        var $34=HEAP[$tccp]; //@line 651 "j2k.c"
        var $35=CHECK_OVERFLOW(($34+4)&4294967295, 32); //@line 651 "j2k.c"
        var $36=HEAP[$35]; //@line 651 "j2k.c"
        var $37=($33) >= ($36); //@line 651 "j2k.c"
        if ($37) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 651 "j2k.c"
      case 3: // $bb3
        var $38=HEAP[$j2k_addr]; //@line 652 "j2k.c"
        var $39=CHECK_OVERFLOW(($38)&4294967295, 32); //@line 652 "j2k.c"
        var $40=HEAP[$39]; //@line 652 "j2k.c"
        var $41=HEAP[$compno_addr]; //@line 652 "j2k.c"
        var $42=_opj_event_msg($40, 1, CHECK_OVERFLOW((__str1791)&4294967295, 32), Pointer_make([$41,0,0,0], 0, ALLOC_STACK)); //@line 652 "j2k.c"
        var $43=HEAP[$j2k_addr]; //@line 654 "j2k.c"
        var $44=CHECK_OVERFLOW(($43+4)&4294967295, 32); //@line 654 "j2k.c"
        var $45=HEAP[$44]; //@line 654 "j2k.c"
        var $46=($45) | 128; //@line 654 "j2k.c"
        var $47=HEAP[$j2k_addr]; //@line 654 "j2k.c"
        var $48=CHECK_OVERFLOW(($47+4)&4294967295, 32); //@line 654 "j2k.c"
        HEAP[$48]=$46; //@line 654 "j2k.c"
        __label__ = 4; break; //@line 654 "j2k.c"
      case 4: // $bb4
        var $49=HEAP[$cio]; //@line 657 "j2k.c"
        var $50=_cio_read($49, 1); //@line 657 "j2k.c"
        var $51=CHECK_OVERFLOW((($50) + 2)&4294967295, 32); //@line 657 "j2k.c"
        var $52=HEAP[$tccp]; //@line 657 "j2k.c"
        var $53=CHECK_OVERFLOW(($52+8)&4294967295, 32); //@line 657 "j2k.c"
        HEAP[$53]=$51; //@line 657 "j2k.c"
        var $54=HEAP[$cio]; //@line 658 "j2k.c"
        var $55=_cio_read($54, 1); //@line 658 "j2k.c"
        var $56=CHECK_OVERFLOW((($55) + 2)&4294967295, 32); //@line 658 "j2k.c"
        var $57=HEAP[$tccp]; //@line 658 "j2k.c"
        var $58=CHECK_OVERFLOW(($57+12)&4294967295, 32); //@line 658 "j2k.c"
        HEAP[$58]=$56; //@line 658 "j2k.c"
        var $59=HEAP[$cio]; //@line 659 "j2k.c"
        var $60=_cio_read($59, 1); //@line 659 "j2k.c"
        var $61=HEAP[$tccp]; //@line 659 "j2k.c"
        var $62=CHECK_OVERFLOW(($61+16)&4294967295, 32); //@line 659 "j2k.c"
        HEAP[$62]=$60; //@line 659 "j2k.c"
        var $63=HEAP[$cio]; //@line 660 "j2k.c"
        var $64=_cio_read($63, 1); //@line 660 "j2k.c"
        var $65=HEAP[$tccp]; //@line 660 "j2k.c"
        var $66=CHECK_OVERFLOW(($65+20)&4294967295, 32); //@line 660 "j2k.c"
        HEAP[$66]=$64; //@line 660 "j2k.c"
        var $67=HEAP[$tccp]; //@line 661 "j2k.c"
        var $68=CHECK_OVERFLOW(($67)&4294967295, 32); //@line 661 "j2k.c"
        var $69=HEAP[$68]; //@line 661 "j2k.c"
        var $70=($69) & 1; //@line 661 "j2k.c"
        var $71=((($70)) & 255); //@line 661 "j2k.c"
        var $toBool=($71)!=0; //@line 661 "j2k.c"
        if ($toBool) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 661 "j2k.c"
      case 5: // $bb5
        HEAP[$i]=0; //@line 662 "j2k.c"
        __label__ = 7; break; //@line 662 "j2k.c"
      case 8: // $bb6
        var $72=HEAP[$cio]; //@line 663 "j2k.c"
        var $73=_cio_read($72, 1); //@line 663 "j2k.c"
        HEAP[$tmp]=$73; //@line 663 "j2k.c"
        var $74=HEAP[$i]; //@line 664 "j2k.c"
        var $75=HEAP[$tmp]; //@line 664 "j2k.c"
        var $76=($75) & 15; //@line 664 "j2k.c"
        var $77=HEAP[$tccp]; //@line 664 "j2k.c"
        var $78=CHECK_OVERFLOW(($77+812)&4294967295, 32); //@line 664 "j2k.c"
        var $79=CHECK_OVERFLOW(($78+$74*4)&4294967295, 32); //@line 664 "j2k.c"
        HEAP[$79]=$76; //@line 664 "j2k.c"
        var $80=HEAP[$i]; //@line 665 "j2k.c"
        var $81=HEAP[$tmp]; //@line 665 "j2k.c"
        var $82=($81) >> 4; //@line 665 "j2k.c"
        var $83=HEAP[$tccp]; //@line 665 "j2k.c"
        var $84=CHECK_OVERFLOW(($83+944)&4294967295, 32); //@line 665 "j2k.c"
        var $85=CHECK_OVERFLOW(($84+$80*4)&4294967295, 32); //@line 665 "j2k.c"
        HEAP[$85]=$82; //@line 665 "j2k.c"
        var $86=HEAP[$i]; //@line 662 "j2k.c"
        var $87=CHECK_OVERFLOW((($86) + 1)&4294967295, 32); //@line 662 "j2k.c"
        HEAP[$i]=$87; //@line 662 "j2k.c"
        __label__ = 7; break; //@line 662 "j2k.c"
      case 7: // $bb7
        var $88=HEAP[$tccp]; //@line 662 "j2k.c"
        var $89=CHECK_OVERFLOW(($88+4)&4294967295, 32); //@line 662 "j2k.c"
        var $90=HEAP[$89]; //@line 662 "j2k.c"
        var $91=HEAP[$i]; //@line 662 "j2k.c"
        var $92=($90) > ($91); //@line 662 "j2k.c"
        if ($92) { __label__ = 8; break; } else { __label__ = 6; break; } //@line 662 "j2k.c"
      case 6: // $bb8
        var $93=HEAP[$j2k_addr]; //@line 670 "j2k.c"
        var $94=CHECK_OVERFLOW(($93+68)&4294967295, 32); //@line 670 "j2k.c"
        var $95=HEAP[$94]; //@line 670 "j2k.c"
        var $96=($95)!=0; //@line 670 "j2k.c"
        if ($96) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 670 "j2k.c"
      case 9: // $bb9
        var $97=HEAP[$compno_addr]; //@line 670 "j2k.c"
        var $98=($97)==0; //@line 670 "j2k.c"
        if ($98) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 670 "j2k.c"
      case 11: // $bb10
        HEAP[$i]=0; //@line 671 "j2k.c"
        __label__ = 12; break; //@line 671 "j2k.c"
      case 16: // $bb11
        var $99=HEAP[$tccp]; //@line 672 "j2k.c"
        var $100=CHECK_OVERFLOW(($99)&4294967295, 32); //@line 672 "j2k.c"
        var $101=HEAP[$100]; //@line 672 "j2k.c"
        var $102=($101) & 1; //@line 672 "j2k.c"
        var $103=((($102)) & 255); //@line 672 "j2k.c"
        var $toBool12=($103)!=0; //@line 672 "j2k.c"
        if ($toBool12) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 672 "j2k.c"
      case 13: // $bb13
        var $104=HEAP[$j2k_addr]; //@line 673 "j2k.c"
        var $105=CHECK_OVERFLOW(($104+68)&4294967295, 32); //@line 673 "j2k.c"
        var $106=HEAP[$105]; //@line 673 "j2k.c"
        var $107=CHECK_OVERFLOW(($106+88)&4294967295, 32); //@line 673 "j2k.c"
        var $108=HEAP[$107]; //@line 673 "j2k.c"
        var $109=HEAP[$j2k_addr]; //@line 673 "j2k.c"
        var $110=CHECK_OVERFLOW(($109+8)&4294967295, 32); //@line 673 "j2k.c"
        var $111=HEAP[$110]; //@line 673 "j2k.c"
        var $112=CHECK_OVERFLOW(($108+572*$111)&4294967295, 32); //@line 673 "j2k.c"
        var $113=HEAP[$i]; //@line 673 "j2k.c"
        var $114=HEAP[$i]; //@line 673 "j2k.c"
        var $115=HEAP[$tccp]; //@line 673 "j2k.c"
        var $116=CHECK_OVERFLOW(($115+812)&4294967295, 32); //@line 673 "j2k.c"
        var $117=CHECK_OVERFLOW(($116+$114*4)&4294967295, 32); //@line 673 "j2k.c"
        var $118=HEAP[$117]; //@line 673 "j2k.c"
        var $119=CHECK_OVERFLOW(($112+284)&4294967295, 32); //@line 673 "j2k.c"
        var $120=CHECK_OVERFLOW(($119+$113*4)&4294967295, 32); //@line 673 "j2k.c"
        HEAP[$120]=$118; //@line 673 "j2k.c"
        var $121=HEAP[$j2k_addr]; //@line 674 "j2k.c"
        var $122=CHECK_OVERFLOW(($121+68)&4294967295, 32); //@line 674 "j2k.c"
        var $123=HEAP[$122]; //@line 674 "j2k.c"
        var $124=CHECK_OVERFLOW(($123+88)&4294967295, 32); //@line 674 "j2k.c"
        var $125=HEAP[$124]; //@line 674 "j2k.c"
        var $126=HEAP[$j2k_addr]; //@line 674 "j2k.c"
        var $127=CHECK_OVERFLOW(($126+8)&4294967295, 32); //@line 674 "j2k.c"
        var $128=HEAP[$127]; //@line 674 "j2k.c"
        var $129=CHECK_OVERFLOW(($125+572*$128)&4294967295, 32); //@line 674 "j2k.c"
        var $130=HEAP[$i]; //@line 674 "j2k.c"
        var $131=HEAP[$i]; //@line 674 "j2k.c"
        var $132=HEAP[$tccp]; //@line 674 "j2k.c"
        var $133=CHECK_OVERFLOW(($132+944)&4294967295, 32); //@line 674 "j2k.c"
        var $134=CHECK_OVERFLOW(($133+$131*4)&4294967295, 32); //@line 674 "j2k.c"
        var $135=HEAP[$134]; //@line 674 "j2k.c"
        var $136=CHECK_OVERFLOW(($129+416)&4294967295, 32); //@line 674 "j2k.c"
        var $137=CHECK_OVERFLOW(($136+$130*4)&4294967295, 32); //@line 674 "j2k.c"
        HEAP[$137]=$135; //@line 674 "j2k.c"
        __label__ = 15; break; //@line 674 "j2k.c"
      case 14: // $bb14
        var $138=HEAP[$j2k_addr]; //@line 677 "j2k.c"
        var $139=CHECK_OVERFLOW(($138+68)&4294967295, 32); //@line 677 "j2k.c"
        var $140=HEAP[$139]; //@line 677 "j2k.c"
        var $141=CHECK_OVERFLOW(($140+88)&4294967295, 32); //@line 677 "j2k.c"
        var $142=HEAP[$141]; //@line 677 "j2k.c"
        var $143=HEAP[$j2k_addr]; //@line 677 "j2k.c"
        var $144=CHECK_OVERFLOW(($143+8)&4294967295, 32); //@line 677 "j2k.c"
        var $145=HEAP[$144]; //@line 677 "j2k.c"
        var $146=CHECK_OVERFLOW(($142+572*$145)&4294967295, 32); //@line 677 "j2k.c"
        var $147=HEAP[$i]; //@line 677 "j2k.c"
        var $148=CHECK_OVERFLOW(($146+284)&4294967295, 32); //@line 677 "j2k.c"
        var $149=CHECK_OVERFLOW(($148+$147*4)&4294967295, 32); //@line 677 "j2k.c"
        HEAP[$149]=15; //@line 677 "j2k.c"
        var $150=HEAP[$j2k_addr]; //@line 678 "j2k.c"
        var $151=CHECK_OVERFLOW(($150+68)&4294967295, 32); //@line 678 "j2k.c"
        var $152=HEAP[$151]; //@line 678 "j2k.c"
        var $153=CHECK_OVERFLOW(($152+88)&4294967295, 32); //@line 678 "j2k.c"
        var $154=HEAP[$153]; //@line 678 "j2k.c"
        var $155=HEAP[$j2k_addr]; //@line 678 "j2k.c"
        var $156=CHECK_OVERFLOW(($155+8)&4294967295, 32); //@line 678 "j2k.c"
        var $157=HEAP[$156]; //@line 678 "j2k.c"
        var $158=CHECK_OVERFLOW(($154+572*$157)&4294967295, 32); //@line 678 "j2k.c"
        var $159=HEAP[$i]; //@line 678 "j2k.c"
        var $160=CHECK_OVERFLOW(($158+284)&4294967295, 32); //@line 678 "j2k.c"
        var $161=CHECK_OVERFLOW(($160+$159*4)&4294967295, 32); //@line 678 "j2k.c"
        HEAP[$161]=15; //@line 678 "j2k.c"
        __label__ = 15; break; //@line 678 "j2k.c"
      case 15: // $bb15
        var $162=HEAP[$i]; //@line 671 "j2k.c"
        var $163=CHECK_OVERFLOW((($162) + 1)&4294967295, 32); //@line 671 "j2k.c"
        HEAP[$i]=$163; //@line 671 "j2k.c"
        __label__ = 12; break; //@line 671 "j2k.c"
      case 12: // $bb16
        var $164=HEAP[$tccp]; //@line 671 "j2k.c"
        var $165=CHECK_OVERFLOW(($164+4)&4294967295, 32); //@line 671 "j2k.c"
        var $166=HEAP[$165]; //@line 671 "j2k.c"
        var $167=HEAP[$i]; //@line 671 "j2k.c"
        var $168=($166) > ($167); //@line 671 "j2k.c"
        if ($168) { __label__ = 16; break; } else { __label__ = 10; break; } //@line 671 "j2k.c"
      case 10: // $bb17
        __label__ = 17; break; //@line 683 "j2k.c"
      case 17: // $return
        STACKTOP = __stackBase__;
        return; //@line 683 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_write_cod($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $cp=__stackBase__+4;
        var $tcp=__stackBase__+8;
        var $lenp=__stackBase__+12;
        var $len=__stackBase__+16;
        var $cio=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$cp]=0; //@line 686 "j2k.c"
        HEAP[$tcp]=0; //@line 687 "j2k.c"
        var $0=HEAP[$j2k_addr]; //@line 690 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+72)&4294967295, 32); //@line 690 "j2k.c"
        var $2=HEAP[$1]; //@line 690 "j2k.c"
        HEAP[$cio]=$2; //@line 690 "j2k.c"
        var $3=HEAP[$cio]; //@line 692 "j2k.c"
        var $4=_cio_write($3, 65362, 2); //@line 692 "j2k.c"
        var $5=HEAP[$cio]; //@line 694 "j2k.c"
        var $6=_cio_tell($5); //@line 694 "j2k.c"
        HEAP[$lenp]=$6; //@line 694 "j2k.c"
        var $7=HEAP[$cio]; //@line 695 "j2k.c"
        _cio_skip($7, 2); //@line 695 "j2k.c"
        var $8=HEAP[$j2k_addr]; //@line 697 "j2k.c"
        var $9=CHECK_OVERFLOW(($8+64)&4294967295, 32); //@line 697 "j2k.c"
        var $10=HEAP[$9]; //@line 697 "j2k.c"
        HEAP[$cp]=$10; //@line 697 "j2k.c"
        var $11=HEAP[$cp]; //@line 698 "j2k.c"
        var $12=CHECK_OVERFLOW(($11+108)&4294967295, 32); //@line 698 "j2k.c"
        var $13=HEAP[$12]; //@line 698 "j2k.c"
        var $14=HEAP[$j2k_addr]; //@line 698 "j2k.c"
        var $15=CHECK_OVERFLOW(($14+8)&4294967295, 32); //@line 698 "j2k.c"
        var $16=HEAP[$15]; //@line 698 "j2k.c"
        var $17=CHECK_OVERFLOW(($13+5588*$16)&4294967295, 32); //@line 698 "j2k.c"
        HEAP[$tcp]=$17; //@line 698 "j2k.c"
        var $18=HEAP[$tcp]; //@line 700 "j2k.c"
        var $19=CHECK_OVERFLOW(($18+4)&4294967295, 32); //@line 700 "j2k.c"
        var $20=HEAP[$19]; //@line 700 "j2k.c"
        var $21=HEAP[$cio]; //@line 700 "j2k.c"
        var $22=_cio_write($21, $20, 1); //@line 700 "j2k.c"
        var $23=HEAP[$tcp]; //@line 701 "j2k.c"
        var $24=CHECK_OVERFLOW(($23+8)&4294967295, 32); //@line 701 "j2k.c"
        var $25=HEAP[$24]; //@line 701 "j2k.c"
        var $26=HEAP[$cio]; //@line 701 "j2k.c"
        var $27=_cio_write($26, $25, 1); //@line 701 "j2k.c"
        var $28=HEAP[$tcp]; //@line 702 "j2k.c"
        var $29=CHECK_OVERFLOW(($28+12)&4294967295, 32); //@line 702 "j2k.c"
        var $30=HEAP[$29]; //@line 702 "j2k.c"
        var $31=HEAP[$cio]; //@line 702 "j2k.c"
        var $32=_cio_write($31, $30, 2); //@line 702 "j2k.c"
        var $33=HEAP[$tcp]; //@line 703 "j2k.c"
        var $34=CHECK_OVERFLOW(($33+16)&4294967295, 32); //@line 703 "j2k.c"
        var $35=HEAP[$34]; //@line 703 "j2k.c"
        var $36=HEAP[$cio]; //@line 703 "j2k.c"
        var $37=_cio_write($36, $35, 1); //@line 703 "j2k.c"
        var $38=HEAP[$j2k_addr]; //@line 705 "j2k.c"
        _j2k_write_cox($38, 0); //@line 705 "j2k.c"
        var $39=HEAP[$cio]; //@line 706 "j2k.c"
        var $40=_cio_tell($39); //@line 706 "j2k.c"
        var $41=HEAP[$lenp]; //@line 706 "j2k.c"
        var $42=CHECK_OVERFLOW((($40) - ($41))&4294967295, 32); //@line 706 "j2k.c"
        HEAP[$len]=$42; //@line 706 "j2k.c"
        var $43=HEAP[$cio]; //@line 707 "j2k.c"
        var $44=HEAP[$lenp]; //@line 707 "j2k.c"
        _cio_seek($43, $44); //@line 707 "j2k.c"
        var $45=HEAP[$len]; //@line 708 "j2k.c"
        var $46=HEAP[$cio]; //@line 708 "j2k.c"
        var $47=_cio_write($46, $45, 2); //@line 708 "j2k.c"
        var $48=HEAP[$lenp]; //@line 709 "j2k.c"
        var $49=HEAP[$len]; //@line 709 "j2k.c"
        var $50=CHECK_OVERFLOW((($48) + ($49))&4294967295, 32); //@line 709 "j2k.c"
        var $51=HEAP[$cio]; //@line 709 "j2k.c"
        _cio_seek($51, $50); //@line 709 "j2k.c"
        __label__ = 0; break; //@line 710 "j2k.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 710 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_cod($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 40);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $iftmp_19=__stackBase__+4;
        var $len=__stackBase__+8;
        var $i=__stackBase__+12;
        var $pos=__stackBase__+16;
        var $cio=__stackBase__+20;
        var $cp=__stackBase__+24;
        var $tcp=__stackBase__+28;
        var $image=__stackBase__+32;
        var $cstr_info=__stackBase__+36;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 715 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+72)&4294967295, 32); //@line 715 "j2k.c"
        var $2=HEAP[$1]; //@line 715 "j2k.c"
        HEAP[$cio]=$2; //@line 715 "j2k.c"
        var $3=HEAP[$j2k_addr]; //@line 716 "j2k.c"
        var $4=CHECK_OVERFLOW(($3+64)&4294967295, 32); //@line 716 "j2k.c"
        var $5=HEAP[$4]; //@line 716 "j2k.c"
        HEAP[$cp]=$5; //@line 716 "j2k.c"
        var $6=HEAP[$j2k_addr]; //@line 717 "j2k.c"
        var $7=CHECK_OVERFLOW(($6+4)&4294967295, 32); //@line 717 "j2k.c"
        var $8=HEAP[$7]; //@line 717 "j2k.c"
        var $9=($8)==16; //@line 717 "j2k.c"
        if ($9) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 717 "j2k.c"
      case 0: // $bb
        var $10=HEAP[$cp]; //@line 717 "j2k.c"
        var $11=CHECK_OVERFLOW(($10+108)&4294967295, 32); //@line 717 "j2k.c"
        var $12=HEAP[$11]; //@line 717 "j2k.c"
        var $13=HEAP[$j2k_addr]; //@line 717 "j2k.c"
        var $14=CHECK_OVERFLOW(($13+8)&4294967295, 32); //@line 717 "j2k.c"
        var $15=HEAP[$14]; //@line 717 "j2k.c"
        var $16=CHECK_OVERFLOW(($12+5588*$15)&4294967295, 32); //@line 717 "j2k.c"
        HEAP[$iftmp_19]=$16; //@line 717 "j2k.c"
        __label__ = 2; break; //@line 717 "j2k.c"
      case 1: // $bb1
        var $17=HEAP[$j2k_addr]; //@line 717 "j2k.c"
        var $18=CHECK_OVERFLOW(($17+56)&4294967295, 32); //@line 717 "j2k.c"
        var $19=HEAP[$18]; //@line 717 "j2k.c"
        HEAP[$iftmp_19]=$19; //@line 717 "j2k.c"
        __label__ = 2; break; //@line 717 "j2k.c"
      case 2: // $bb2
        var $20=HEAP[$iftmp_19]; //@line 717 "j2k.c"
        HEAP[$tcp]=$20; //@line 717 "j2k.c"
        var $21=HEAP[$j2k_addr]; //@line 718 "j2k.c"
        var $22=CHECK_OVERFLOW(($21+60)&4294967295, 32); //@line 718 "j2k.c"
        var $23=HEAP[$22]; //@line 718 "j2k.c"
        HEAP[$image]=$23; //@line 718 "j2k.c"
        var $24=HEAP[$cio]; //@line 720 "j2k.c"
        var $25=_cio_read($24, 2); //@line 720 "j2k.c"
        HEAP[$len]=$25; //@line 720 "j2k.c"
        var $26=HEAP[$cio]; //@line 721 "j2k.c"
        var $27=_cio_read($26, 1); //@line 721 "j2k.c"
        var $28=HEAP[$tcp]; //@line 721 "j2k.c"
        var $29=CHECK_OVERFLOW(($28+4)&4294967295, 32); //@line 721 "j2k.c"
        HEAP[$29]=$27; //@line 721 "j2k.c"
        var $30=HEAP[$cio]; //@line 722 "j2k.c"
        var $31=_cio_read($30, 1); //@line 722 "j2k.c"
        var $32=HEAP[$tcp]; //@line 722 "j2k.c"
        var $33=CHECK_OVERFLOW(($32+8)&4294967295, 32); //@line 722 "j2k.c"
        HEAP[$33]=$31; //@line 722 "j2k.c"
        var $34=HEAP[$cio]; //@line 723 "j2k.c"
        var $35=_cio_read($34, 2); //@line 723 "j2k.c"
        var $36=HEAP[$tcp]; //@line 723 "j2k.c"
        var $37=CHECK_OVERFLOW(($36+12)&4294967295, 32); //@line 723 "j2k.c"
        HEAP[$37]=$35; //@line 723 "j2k.c"
        var $38=HEAP[$cio]; //@line 724 "j2k.c"
        var $39=_cio_read($38, 1); //@line 724 "j2k.c"
        var $40=HEAP[$tcp]; //@line 724 "j2k.c"
        var $41=CHECK_OVERFLOW(($40+16)&4294967295, 32); //@line 724 "j2k.c"
        HEAP[$41]=$39; //@line 724 "j2k.c"
        var $42=HEAP[$cio]; //@line 726 "j2k.c"
        var $43=_cio_tell($42); //@line 726 "j2k.c"
        HEAP[$pos]=$43; //@line 726 "j2k.c"
        HEAP[$i]=0; //@line 727 "j2k.c"
        __label__ = 3; break; //@line 727 "j2k.c"
      case 4: // $bb3
        var $44=HEAP[$tcp]; //@line 728 "j2k.c"
        var $45=CHECK_OVERFLOW(($44+5584)&4294967295, 32); //@line 728 "j2k.c"
        var $46=HEAP[$45]; //@line 728 "j2k.c"
        var $47=HEAP[$i]; //@line 728 "j2k.c"
        var $48=CHECK_OVERFLOW(($46+1076*$47)&4294967295, 32); //@line 728 "j2k.c"
        var $49=HEAP[$tcp]; //@line 728 "j2k.c"
        var $50=CHECK_OVERFLOW(($49+4)&4294967295, 32); //@line 728 "j2k.c"
        var $51=HEAP[$50]; //@line 728 "j2k.c"
        var $52=($51) & 1; //@line 728 "j2k.c"
        var $53=CHECK_OVERFLOW(($48)&4294967295, 32); //@line 728 "j2k.c"
        HEAP[$53]=$52; //@line 728 "j2k.c"
        var $54=HEAP[$cio]; //@line 729 "j2k.c"
        var $55=HEAP[$pos]; //@line 729 "j2k.c"
        _cio_seek($54, $55); //@line 729 "j2k.c"
        var $56=HEAP[$j2k_addr]; //@line 730 "j2k.c"
        var $57=HEAP[$i]; //@line 730 "j2k.c"
        _j2k_read_cox($56, $57); //@line 730 "j2k.c"
        var $58=HEAP[$i]; //@line 727 "j2k.c"
        var $59=CHECK_OVERFLOW((($58) + 1)&4294967295, 32); //@line 727 "j2k.c"
        HEAP[$i]=$59; //@line 727 "j2k.c"
        __label__ = 3; break; //@line 727 "j2k.c"
      case 3: // $bb4
        var $60=HEAP[$image]; //@line 727 "j2k.c"
        var $61=CHECK_OVERFLOW(($60+16)&4294967295, 32); //@line 727 "j2k.c"
        var $62=HEAP[$61]; //@line 727 "j2k.c"
        var $63=HEAP[$i]; //@line 727 "j2k.c"
        var $64=($62) > ($63); //@line 727 "j2k.c"
        if ($64) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 727 "j2k.c"
      case 5: // $bb5
        var $65=HEAP[$j2k_addr]; //@line 734 "j2k.c"
        var $66=CHECK_OVERFLOW(($65+68)&4294967295, 32); //@line 734 "j2k.c"
        var $67=HEAP[$66]; //@line 734 "j2k.c"
        var $68=($67)!=0; //@line 734 "j2k.c"
        if ($68) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 734 "j2k.c"
      case 6: // $bb6
        var $69=HEAP[$j2k_addr]; //@line 735 "j2k.c"
        var $70=CHECK_OVERFLOW(($69+68)&4294967295, 32); //@line 735 "j2k.c"
        var $71=HEAP[$70]; //@line 735 "j2k.c"
        HEAP[$cstr_info]=$71; //@line 735 "j2k.c"
        var $72=HEAP[$tcp]; //@line 736 "j2k.c"
        var $73=CHECK_OVERFLOW(($72+8)&4294967295, 32); //@line 736 "j2k.c"
        var $74=HEAP[$73]; //@line 736 "j2k.c"
        var $75=HEAP[$cstr_info]; //@line 736 "j2k.c"
        var $76=CHECK_OVERFLOW(($75+24)&4294967295, 32); //@line 736 "j2k.c"
        HEAP[$76]=$74; //@line 736 "j2k.c"
        var $77=HEAP[$tcp]; //@line 737 "j2k.c"
        var $78=CHECK_OVERFLOW(($77+12)&4294967295, 32); //@line 737 "j2k.c"
        var $79=HEAP[$78]; //@line 737 "j2k.c"
        var $80=HEAP[$cstr_info]; //@line 737 "j2k.c"
        var $81=CHECK_OVERFLOW(($80+56)&4294967295, 32); //@line 737 "j2k.c"
        HEAP[$81]=$79; //@line 737 "j2k.c"
        var $82=HEAP[$image]; //@line 738 "j2k.c"
        var $83=CHECK_OVERFLOW(($82+16)&4294967295, 32); //@line 738 "j2k.c"
        var $84=HEAP[$83]; //@line 738 "j2k.c"
        var $85=CHECK_OVERFLOW((($84) * 4)&4294967295, 32); //@line 738 "j2k.c"
        var $86=_malloc($85); //@line 738 "j2k.c"
        var $87=$86; //@line 738 "j2k.c"
        var $88=HEAP[$cstr_info]; //@line 738 "j2k.c"
        var $89=CHECK_OVERFLOW(($88+60)&4294967295, 32); //@line 738 "j2k.c"
        HEAP[$89]=$87; //@line 738 "j2k.c"
        HEAP[$i]=0; //@line 739 "j2k.c"
        __label__ = 8; break; //@line 739 "j2k.c"
      case 9: // $bb7
        var $90=HEAP[$cstr_info]; //@line 740 "j2k.c"
        var $91=CHECK_OVERFLOW(($90+60)&4294967295, 32); //@line 740 "j2k.c"
        var $92=HEAP[$91]; //@line 740 "j2k.c"
        var $93=HEAP[$tcp]; //@line 740 "j2k.c"
        var $94=CHECK_OVERFLOW(($93+5584)&4294967295, 32); //@line 740 "j2k.c"
        var $95=HEAP[$94]; //@line 740 "j2k.c"
        var $96=HEAP[$i]; //@line 740 "j2k.c"
        var $97=CHECK_OVERFLOW(($95+1076*$96)&4294967295, 32); //@line 740 "j2k.c"
        var $98=CHECK_OVERFLOW(($97+4)&4294967295, 32); //@line 740 "j2k.c"
        var $99=HEAP[$98]; //@line 740 "j2k.c"
        var $100=CHECK_OVERFLOW((($99) - 1)&4294967295, 32); //@line 740 "j2k.c"
        var $101=HEAP[$i]; //@line 740 "j2k.c"
        var $102=CHECK_OVERFLOW(($92+4*$101)&4294967295, 32); //@line 740 "j2k.c"
        HEAP[$102]=$100; //@line 740 "j2k.c"
        var $103=HEAP[$i]; //@line 739 "j2k.c"
        var $104=CHECK_OVERFLOW((($103) + 1)&4294967295, 32); //@line 739 "j2k.c"
        HEAP[$i]=$104; //@line 739 "j2k.c"
        __label__ = 8; break; //@line 739 "j2k.c"
      case 8: // $bb8
        var $105=HEAP[$image]; //@line 739 "j2k.c"
        var $106=CHECK_OVERFLOW(($105+16)&4294967295, 32); //@line 739 "j2k.c"
        var $107=HEAP[$106]; //@line 739 "j2k.c"
        var $108=HEAP[$i]; //@line 739 "j2k.c"
        var $109=($107) > ($108); //@line 739 "j2k.c"
        if ($109) { __label__ = 9; break; } else { __label__ = 7; break; } //@line 739 "j2k.c"
      case 7: // $bb9
        __label__ = 10; break; //@line 743 "j2k.c"
      case 10: // $return
        STACKTOP = __stackBase__;
        return; //@line 743 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_write_coc($j2k, $compno) {
    var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 36);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $compno_addr=__stackBase__+4;
        var $iftmp_20=__stackBase__+8;
        var $lenp=__stackBase__+12;
        var $len=__stackBase__+16;
        var $cp=__stackBase__+20;
        var $tcp=__stackBase__+24;
        var $image=__stackBase__+28;
        var $cio=__stackBase__+32;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$compno_addr]=$compno;
        var $0=HEAP[$j2k_addr]; //@line 748 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+64)&4294967295, 32); //@line 748 "j2k.c"
        var $2=HEAP[$1]; //@line 748 "j2k.c"
        HEAP[$cp]=$2; //@line 748 "j2k.c"
        var $3=HEAP[$cp]; //@line 749 "j2k.c"
        var $4=CHECK_OVERFLOW(($3+108)&4294967295, 32); //@line 749 "j2k.c"
        var $5=HEAP[$4]; //@line 749 "j2k.c"
        var $6=HEAP[$j2k_addr]; //@line 749 "j2k.c"
        var $7=CHECK_OVERFLOW(($6+8)&4294967295, 32); //@line 749 "j2k.c"
        var $8=HEAP[$7]; //@line 749 "j2k.c"
        var $9=CHECK_OVERFLOW(($5+5588*$8)&4294967295, 32); //@line 749 "j2k.c"
        HEAP[$tcp]=$9; //@line 749 "j2k.c"
        var $10=HEAP[$j2k_addr]; //@line 750 "j2k.c"
        var $11=CHECK_OVERFLOW(($10+60)&4294967295, 32); //@line 750 "j2k.c"
        var $12=HEAP[$11]; //@line 750 "j2k.c"
        HEAP[$image]=$12; //@line 750 "j2k.c"
        var $13=HEAP[$j2k_addr]; //@line 751 "j2k.c"
        var $14=CHECK_OVERFLOW(($13+72)&4294967295, 32); //@line 751 "j2k.c"
        var $15=HEAP[$14]; //@line 751 "j2k.c"
        HEAP[$cio]=$15; //@line 751 "j2k.c"
        var $16=HEAP[$cio]; //@line 753 "j2k.c"
        var $17=_cio_write($16, 65363, 2); //@line 753 "j2k.c"
        var $18=HEAP[$cio]; //@line 754 "j2k.c"
        var $19=_cio_tell($18); //@line 754 "j2k.c"
        HEAP[$lenp]=$19; //@line 754 "j2k.c"
        var $20=HEAP[$cio]; //@line 755 "j2k.c"
        _cio_skip($20, 2); //@line 755 "j2k.c"
        var $21=HEAP[$image]; //@line 756 "j2k.c"
        var $22=CHECK_OVERFLOW(($21+16)&4294967295, 32); //@line 756 "j2k.c"
        var $23=HEAP[$22]; //@line 756 "j2k.c"
        var $24=($23) <= 256; //@line 756 "j2k.c"
        if ($24) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 756 "j2k.c"
      case 0: // $bb
        HEAP[$iftmp_20]=1; //@line 756 "j2k.c"
        __label__ = 2; break; //@line 756 "j2k.c"
      case 1: // $bb1
        HEAP[$iftmp_20]=2; //@line 756 "j2k.c"
        __label__ = 2; break; //@line 756 "j2k.c"
      case 2: // $bb2
        var $25=HEAP[$compno_addr]; //@line 756 "j2k.c"
        var $26=HEAP[$cio]; //@line 756 "j2k.c"
        var $27=HEAP[$iftmp_20]; //@line 756 "j2k.c"
        var $28=_cio_write($26, $25, $27); //@line 756 "j2k.c"
        var $29=HEAP[$tcp]; //@line 757 "j2k.c"
        var $30=CHECK_OVERFLOW(($29+5584)&4294967295, 32); //@line 757 "j2k.c"
        var $31=HEAP[$30]; //@line 757 "j2k.c"
        var $32=HEAP[$compno_addr]; //@line 757 "j2k.c"
        var $33=CHECK_OVERFLOW(($31+1076*$32)&4294967295, 32); //@line 757 "j2k.c"
        var $34=CHECK_OVERFLOW(($33)&4294967295, 32); //@line 757 "j2k.c"
        var $35=HEAP[$34]; //@line 757 "j2k.c"
        var $36=HEAP[$cio]; //@line 757 "j2k.c"
        var $37=_cio_write($36, $35, 1); //@line 757 "j2k.c"
        var $38=HEAP[$j2k_addr]; //@line 758 "j2k.c"
        var $39=HEAP[$compno_addr]; //@line 758 "j2k.c"
        _j2k_write_cox($38, $39); //@line 758 "j2k.c"
        var $40=HEAP[$cio]; //@line 759 "j2k.c"
        var $41=_cio_tell($40); //@line 759 "j2k.c"
        var $42=HEAP[$lenp]; //@line 759 "j2k.c"
        var $43=CHECK_OVERFLOW((($41) - ($42))&4294967295, 32); //@line 759 "j2k.c"
        HEAP[$len]=$43; //@line 759 "j2k.c"
        var $44=HEAP[$cio]; //@line 760 "j2k.c"
        var $45=HEAP[$lenp]; //@line 760 "j2k.c"
        _cio_seek($44, $45); //@line 760 "j2k.c"
        var $46=HEAP[$len]; //@line 761 "j2k.c"
        var $47=HEAP[$cio]; //@line 761 "j2k.c"
        var $48=_cio_write($47, $46, 2); //@line 761 "j2k.c"
        var $49=HEAP[$lenp]; //@line 762 "j2k.c"
        var $50=HEAP[$len]; //@line 762 "j2k.c"
        var $51=CHECK_OVERFLOW((($49) + ($50))&4294967295, 32); //@line 762 "j2k.c"
        var $52=HEAP[$cio]; //@line 762 "j2k.c"
        _cio_seek($52, $51); //@line 762 "j2k.c"
        __label__ = 3; break; //@line 763 "j2k.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 763 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_coc($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 36);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $iftmp_24=__stackBase__+4;
        var $iftmp_23=__stackBase__+8;
        var $len=__stackBase__+12;
        var $compno=__stackBase__+16;
        var $cp=__stackBase__+20;
        var $tcp=__stackBase__+24;
        var $image=__stackBase__+28;
        var $cio=__stackBase__+32;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 768 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+64)&4294967295, 32); //@line 768 "j2k.c"
        var $2=HEAP[$1]; //@line 768 "j2k.c"
        HEAP[$cp]=$2; //@line 768 "j2k.c"
        var $3=HEAP[$j2k_addr]; //@line 769 "j2k.c"
        var $4=CHECK_OVERFLOW(($3+4)&4294967295, 32); //@line 769 "j2k.c"
        var $5=HEAP[$4]; //@line 769 "j2k.c"
        var $6=($5)==16; //@line 769 "j2k.c"
        if ($6) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 769 "j2k.c"
      case 0: // $bb
        var $7=HEAP[$cp]; //@line 769 "j2k.c"
        var $8=CHECK_OVERFLOW(($7+108)&4294967295, 32); //@line 769 "j2k.c"
        var $9=HEAP[$8]; //@line 769 "j2k.c"
        var $10=HEAP[$j2k_addr]; //@line 769 "j2k.c"
        var $11=CHECK_OVERFLOW(($10+8)&4294967295, 32); //@line 769 "j2k.c"
        var $12=HEAP[$11]; //@line 769 "j2k.c"
        var $13=CHECK_OVERFLOW(($9+5588*$12)&4294967295, 32); //@line 769 "j2k.c"
        HEAP[$iftmp_23]=$13; //@line 769 "j2k.c"
        __label__ = 2; break; //@line 769 "j2k.c"
      case 1: // $bb1
        var $14=HEAP[$j2k_addr]; //@line 769 "j2k.c"
        var $15=CHECK_OVERFLOW(($14+56)&4294967295, 32); //@line 769 "j2k.c"
        var $16=HEAP[$15]; //@line 769 "j2k.c"
        HEAP[$iftmp_23]=$16; //@line 769 "j2k.c"
        __label__ = 2; break; //@line 769 "j2k.c"
      case 2: // $bb2
        var $17=HEAP[$iftmp_23]; //@line 769 "j2k.c"
        HEAP[$tcp]=$17; //@line 769 "j2k.c"
        var $18=HEAP[$j2k_addr]; //@line 770 "j2k.c"
        var $19=CHECK_OVERFLOW(($18+60)&4294967295, 32); //@line 770 "j2k.c"
        var $20=HEAP[$19]; //@line 770 "j2k.c"
        HEAP[$image]=$20; //@line 770 "j2k.c"
        var $21=HEAP[$j2k_addr]; //@line 771 "j2k.c"
        var $22=CHECK_OVERFLOW(($21+72)&4294967295, 32); //@line 771 "j2k.c"
        var $23=HEAP[$22]; //@line 771 "j2k.c"
        HEAP[$cio]=$23; //@line 771 "j2k.c"
        var $24=HEAP[$cio]; //@line 773 "j2k.c"
        var $25=_cio_read($24, 2); //@line 773 "j2k.c"
        HEAP[$len]=$25; //@line 773 "j2k.c"
        var $26=HEAP[$image]; //@line 774 "j2k.c"
        var $27=CHECK_OVERFLOW(($26+16)&4294967295, 32); //@line 774 "j2k.c"
        var $28=HEAP[$27]; //@line 774 "j2k.c"
        var $29=($28) <= 256; //@line 774 "j2k.c"
        if ($29) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 774 "j2k.c"
      case 3: // $bb3
        HEAP[$iftmp_24]=1; //@line 774 "j2k.c"
        __label__ = 5; break; //@line 774 "j2k.c"
      case 4: // $bb4
        HEAP[$iftmp_24]=2; //@line 774 "j2k.c"
        __label__ = 5; break; //@line 774 "j2k.c"
      case 5: // $bb5
        var $30=HEAP[$cio]; //@line 774 "j2k.c"
        var $31=HEAP[$iftmp_24]; //@line 774 "j2k.c"
        var $32=_cio_read($30, $31); //@line 774 "j2k.c"
        HEAP[$compno]=$32; //@line 774 "j2k.c"
        var $33=HEAP[$tcp]; //@line 775 "j2k.c"
        var $34=CHECK_OVERFLOW(($33+5584)&4294967295, 32); //@line 775 "j2k.c"
        var $35=HEAP[$34]; //@line 775 "j2k.c"
        var $36=HEAP[$compno]; //@line 775 "j2k.c"
        var $37=CHECK_OVERFLOW(($35+1076*$36)&4294967295, 32); //@line 775 "j2k.c"
        var $38=HEAP[$cio]; //@line 775 "j2k.c"
        var $39=_cio_read($38, 1); //@line 775 "j2k.c"
        var $40=CHECK_OVERFLOW(($37)&4294967295, 32); //@line 775 "j2k.c"
        HEAP[$40]=$39; //@line 775 "j2k.c"
        var $41=HEAP[$j2k_addr]; //@line 776 "j2k.c"
        var $42=HEAP[$compno]; //@line 776 "j2k.c"
        _j2k_read_cox($41, $42); //@line 776 "j2k.c"
        __label__ = 6; break; //@line 777 "j2k.c"
      case 6: // $return
        STACKTOP = __stackBase__;
        return; //@line 777 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_write_qcx($j2k, $compno) {
    var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 44);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $compno_addr=__stackBase__+4;
        var $iftmp_25=__stackBase__+8;
        var $bandno=__stackBase__+12;
        var $numbands=__stackBase__+16;
        var $expn=__stackBase__+20;
        var $mant=__stackBase__+24;
        var $cp=__stackBase__+28;
        var $tcp=__stackBase__+32;
        var $tccp=__stackBase__+36;
        var $cio=__stackBase__+40;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$compno_addr]=$compno;
        var $0=HEAP[$j2k_addr]; //@line 783 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+64)&4294967295, 32); //@line 783 "j2k.c"
        var $2=HEAP[$1]; //@line 783 "j2k.c"
        HEAP[$cp]=$2; //@line 783 "j2k.c"
        var $3=HEAP[$cp]; //@line 784 "j2k.c"
        var $4=CHECK_OVERFLOW(($3+108)&4294967295, 32); //@line 784 "j2k.c"
        var $5=HEAP[$4]; //@line 784 "j2k.c"
        var $6=HEAP[$j2k_addr]; //@line 784 "j2k.c"
        var $7=CHECK_OVERFLOW(($6+8)&4294967295, 32); //@line 784 "j2k.c"
        var $8=HEAP[$7]; //@line 784 "j2k.c"
        var $9=CHECK_OVERFLOW(($5+5588*$8)&4294967295, 32); //@line 784 "j2k.c"
        HEAP[$tcp]=$9; //@line 784 "j2k.c"
        var $10=HEAP[$tcp]; //@line 785 "j2k.c"
        var $11=CHECK_OVERFLOW(($10+5584)&4294967295, 32); //@line 785 "j2k.c"
        var $12=HEAP[$11]; //@line 785 "j2k.c"
        var $13=HEAP[$compno_addr]; //@line 785 "j2k.c"
        var $14=CHECK_OVERFLOW(($12+1076*$13)&4294967295, 32); //@line 785 "j2k.c"
        HEAP[$tccp]=$14; //@line 785 "j2k.c"
        var $15=HEAP[$j2k_addr]; //@line 786 "j2k.c"
        var $16=CHECK_OVERFLOW(($15+72)&4294967295, 32); //@line 786 "j2k.c"
        var $17=HEAP[$16]; //@line 786 "j2k.c"
        HEAP[$cio]=$17; //@line 786 "j2k.c"
        var $18=HEAP[$tccp]; //@line 788 "j2k.c"
        var $19=CHECK_OVERFLOW(($18+24)&4294967295, 32); //@line 788 "j2k.c"
        var $20=HEAP[$19]; //@line 788 "j2k.c"
        var $21=HEAP[$tccp]; //@line 788 "j2k.c"
        var $22=CHECK_OVERFLOW(($21+804)&4294967295, 32); //@line 788 "j2k.c"
        var $23=HEAP[$22]; //@line 788 "j2k.c"
        var $24=($23) << 5; //@line 788 "j2k.c"
        var $25=CHECK_OVERFLOW((($20) + ($24))&4294967295, 32); //@line 788 "j2k.c"
        var $26=HEAP[$cio]; //@line 788 "j2k.c"
        var $27=_cio_write($26, $25, 1); //@line 788 "j2k.c"
        var $28=HEAP[$tccp]; //@line 789 "j2k.c"
        var $29=CHECK_OVERFLOW(($28+24)&4294967295, 32); //@line 789 "j2k.c"
        var $30=HEAP[$29]; //@line 789 "j2k.c"
        var $31=($30)!=1; //@line 789 "j2k.c"
        if ($31) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 789 "j2k.c"
      case 0: // $bb
        var $32=HEAP[$tccp]; //@line 789 "j2k.c"
        var $33=CHECK_OVERFLOW(($32+4)&4294967295, 32); //@line 789 "j2k.c"
        var $34=HEAP[$33]; //@line 789 "j2k.c"
        var $35=CHECK_OVERFLOW((($34) * 3)&4294967295, 32); //@line 789 "j2k.c"
        var $36=CHECK_OVERFLOW((($35) - 2)&4294967295, 32); //@line 789 "j2k.c"
        HEAP[$iftmp_25]=$36; //@line 789 "j2k.c"
        __label__ = 2; break; //@line 789 "j2k.c"
      case 1: // $bb1
        HEAP[$iftmp_25]=1; //@line 789 "j2k.c"
        __label__ = 2; break; //@line 789 "j2k.c"
      case 2: // $bb2
        var $37=HEAP[$iftmp_25]; //@line 789 "j2k.c"
        HEAP[$numbands]=$37; //@line 789 "j2k.c"
        HEAP[$bandno]=0; //@line 791 "j2k.c"
        __label__ = 3; break; //@line 791 "j2k.c"
      case 7: // $bb3
        var $38=HEAP[$bandno]; //@line 792 "j2k.c"
        var $39=HEAP[$tccp]; //@line 792 "j2k.c"
        var $40=CHECK_OVERFLOW(($39+28)&4294967295, 32); //@line 792 "j2k.c"
        var $41=CHECK_OVERFLOW(($40+$38*8)&4294967295, 32); //@line 792 "j2k.c"
        var $42=CHECK_OVERFLOW(($41)&4294967295, 32); //@line 792 "j2k.c"
        var $43=HEAP[$42]; //@line 792 "j2k.c"
        HEAP[$expn]=$43; //@line 792 "j2k.c"
        var $44=HEAP[$bandno]; //@line 793 "j2k.c"
        var $45=HEAP[$tccp]; //@line 793 "j2k.c"
        var $46=CHECK_OVERFLOW(($45+28)&4294967295, 32); //@line 793 "j2k.c"
        var $47=CHECK_OVERFLOW(($46+$44*8)&4294967295, 32); //@line 793 "j2k.c"
        var $48=CHECK_OVERFLOW(($47+4)&4294967295, 32); //@line 793 "j2k.c"
        var $49=HEAP[$48]; //@line 793 "j2k.c"
        HEAP[$mant]=$49; //@line 793 "j2k.c"
        var $50=HEAP[$tccp]; //@line 795 "j2k.c"
        var $51=CHECK_OVERFLOW(($50+24)&4294967295, 32); //@line 795 "j2k.c"
        var $52=HEAP[$51]; //@line 795 "j2k.c"
        var $53=($52)==0; //@line 795 "j2k.c"
        if ($53) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 795 "j2k.c"
      case 4: // $bb4
        var $54=HEAP[$expn]; //@line 796 "j2k.c"
        var $55=($54) << 3; //@line 796 "j2k.c"
        var $56=HEAP[$cio]; //@line 796 "j2k.c"
        var $57=_cio_write($56, $55, 1); //@line 796 "j2k.c"
        __label__ = 6; break; //@line 796 "j2k.c"
      case 5: // $bb5
        var $58=HEAP[$expn]; //@line 798 "j2k.c"
        var $59=($58) << 11; //@line 798 "j2k.c"
        var $60=HEAP[$mant]; //@line 798 "j2k.c"
        var $61=CHECK_OVERFLOW((($59) + ($60))&4294967295, 32); //@line 798 "j2k.c"
        var $62=HEAP[$cio]; //@line 798 "j2k.c"
        var $63=_cio_write($62, $61, 2); //@line 798 "j2k.c"
        __label__ = 6; break; //@line 798 "j2k.c"
      case 6: // $bb6
        var $64=HEAP[$bandno]; //@line 791 "j2k.c"
        var $65=CHECK_OVERFLOW((($64) + 1)&4294967295, 32); //@line 791 "j2k.c"
        HEAP[$bandno]=$65; //@line 791 "j2k.c"
        __label__ = 3; break; //@line 791 "j2k.c"
      case 3: // $bb7
        var $66=HEAP[$bandno]; //@line 791 "j2k.c"
        var $67=HEAP[$numbands]; //@line 791 "j2k.c"
        var $68=($66) < ($67); //@line 791 "j2k.c"
        if ($68) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 791 "j2k.c"
      case 8: // $bb8
        __label__ = 9; break; //@line 801 "j2k.c"
      case 9: // $return
        STACKTOP = __stackBase__;
        return; //@line 801 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_qcx($j2k, $compno, $len) {
    var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 60);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $compno_addr=__stackBase__+4;
        var $len_addr=__stackBase__+8;
        var $iftmp_30=__stackBase__+12;
        var $iftmp_29=__stackBase__+16;
        var $iftmp_28=__stackBase__+20;
        var $tmp=__stackBase__+24;
        var $bandno=__stackBase__+28;
        var $numbands=__stackBase__+32;
        var $cp=__stackBase__+36;
        var $tcp=__stackBase__+40;
        var $tccp=__stackBase__+44;
        var $cio=__stackBase__+48;
        var $expn=__stackBase__+52;
        var $mant=__stackBase__+56;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$compno_addr]=$compno;
        HEAP[$len_addr]=$len;
        var $0=HEAP[$j2k_addr]; //@line 807 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+64)&4294967295, 32); //@line 807 "j2k.c"
        var $2=HEAP[$1]; //@line 807 "j2k.c"
        HEAP[$cp]=$2; //@line 807 "j2k.c"
        var $3=HEAP[$j2k_addr]; //@line 808 "j2k.c"
        var $4=CHECK_OVERFLOW(($3+4)&4294967295, 32); //@line 808 "j2k.c"
        var $5=HEAP[$4]; //@line 808 "j2k.c"
        var $6=($5)==16; //@line 808 "j2k.c"
        if ($6) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 808 "j2k.c"
      case 0: // $bb
        var $7=HEAP[$cp]; //@line 808 "j2k.c"
        var $8=CHECK_OVERFLOW(($7+108)&4294967295, 32); //@line 808 "j2k.c"
        var $9=HEAP[$8]; //@line 808 "j2k.c"
        var $10=HEAP[$j2k_addr]; //@line 808 "j2k.c"
        var $11=CHECK_OVERFLOW(($10+8)&4294967295, 32); //@line 808 "j2k.c"
        var $12=HEAP[$11]; //@line 808 "j2k.c"
        var $13=CHECK_OVERFLOW(($9+5588*$12)&4294967295, 32); //@line 808 "j2k.c"
        HEAP[$iftmp_28]=$13; //@line 808 "j2k.c"
        __label__ = 2; break; //@line 808 "j2k.c"
      case 1: // $bb1
        var $14=HEAP[$j2k_addr]; //@line 808 "j2k.c"
        var $15=CHECK_OVERFLOW(($14+56)&4294967295, 32); //@line 808 "j2k.c"
        var $16=HEAP[$15]; //@line 808 "j2k.c"
        HEAP[$iftmp_28]=$16; //@line 808 "j2k.c"
        __label__ = 2; break; //@line 808 "j2k.c"
      case 2: // $bb2
        var $17=HEAP[$iftmp_28]; //@line 808 "j2k.c"
        HEAP[$tcp]=$17; //@line 808 "j2k.c"
        var $18=HEAP[$tcp]; //@line 809 "j2k.c"
        var $19=CHECK_OVERFLOW(($18+5584)&4294967295, 32); //@line 809 "j2k.c"
        var $20=HEAP[$19]; //@line 809 "j2k.c"
        var $21=HEAP[$compno_addr]; //@line 809 "j2k.c"
        var $22=CHECK_OVERFLOW(($20+1076*$21)&4294967295, 32); //@line 809 "j2k.c"
        HEAP[$tccp]=$22; //@line 809 "j2k.c"
        var $23=HEAP[$j2k_addr]; //@line 810 "j2k.c"
        var $24=CHECK_OVERFLOW(($23+72)&4294967295, 32); //@line 810 "j2k.c"
        var $25=HEAP[$24]; //@line 810 "j2k.c"
        HEAP[$cio]=$25; //@line 810 "j2k.c"
        var $26=HEAP[$cio]; //@line 812 "j2k.c"
        var $27=_cio_read($26, 1); //@line 812 "j2k.c"
        HEAP[$tmp]=$27; //@line 812 "j2k.c"
        var $28=HEAP[$tmp]; //@line 813 "j2k.c"
        var $29=($28) & 31; //@line 813 "j2k.c"
        var $30=HEAP[$tccp]; //@line 813 "j2k.c"
        var $31=CHECK_OVERFLOW(($30+24)&4294967295, 32); //@line 813 "j2k.c"
        HEAP[$31]=$29; //@line 813 "j2k.c"
        var $32=HEAP[$tmp]; //@line 814 "j2k.c"
        var $33=($32) >> 5; //@line 814 "j2k.c"
        var $34=HEAP[$tccp]; //@line 814 "j2k.c"
        var $35=CHECK_OVERFLOW(($34+804)&4294967295, 32); //@line 814 "j2k.c"
        HEAP[$35]=$33; //@line 814 "j2k.c"
        var $36=HEAP[$tccp]; //@line 815 "j2k.c"
        var $37=CHECK_OVERFLOW(($36+24)&4294967295, 32); //@line 815 "j2k.c"
        var $38=HEAP[$37]; //@line 815 "j2k.c"
        var $39=($38)!=1; //@line 815 "j2k.c"
        if ($39) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 815 "j2k.c"
      case 3: // $bb3
        var $40=HEAP[$tccp]; //@line 815 "j2k.c"
        var $41=CHECK_OVERFLOW(($40+24)&4294967295, 32); //@line 815 "j2k.c"
        var $42=HEAP[$41]; //@line 815 "j2k.c"
        var $43=($42)==0; //@line 815 "j2k.c"
        if ($43) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 815 "j2k.c"
      case 5: // $bb4
        var $44=HEAP[$len_addr]; //@line 815 "j2k.c"
        var $45=CHECK_OVERFLOW((($44) - 1)&4294967295, 32); //@line 815 "j2k.c"
        HEAP[$iftmp_30]=$45; //@line 815 "j2k.c"
        __label__ = 7; break; //@line 815 "j2k.c"
      case 6: // $bb5
        var $46=HEAP[$len_addr]; //@line 815 "j2k.c"
        var $47=CHECK_OVERFLOW((($46) - 1)&4294967295, 32); //@line 815 "j2k.c"
        var $48=(($47)/2|0); //@line 815 "j2k.c"
        HEAP[$iftmp_30]=$48; //@line 815 "j2k.c"
        __label__ = 7; break; //@line 815 "j2k.c"
      case 7: // $bb6
        var $49=HEAP[$iftmp_30]; //@line 815 "j2k.c"
        HEAP[$iftmp_29]=$49; //@line 815 "j2k.c"
        __label__ = 8; break; //@line 815 "j2k.c"
      case 4: // $bb7
        HEAP[$iftmp_29]=1; //@line 815 "j2k.c"
        __label__ = 8; break; //@line 815 "j2k.c"
      case 8: // $bb8
        var $50=HEAP[$iftmp_29]; //@line 815 "j2k.c"
        HEAP[$numbands]=$50; //@line 815 "j2k.c"
        HEAP[$bandno]=0; //@line 840 "j2k.c"
        __label__ = 9; break; //@line 840 "j2k.c"
      case 13: // $bb9
        var $51=HEAP[$tccp]; //@line 842 "j2k.c"
        var $52=CHECK_OVERFLOW(($51+24)&4294967295, 32); //@line 842 "j2k.c"
        var $53=HEAP[$52]; //@line 842 "j2k.c"
        var $54=($53)==0; //@line 842 "j2k.c"
        if ($54) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 842 "j2k.c"
      case 10: // $bb10
        var $55=HEAP[$cio]; //@line 843 "j2k.c"
        var $56=_cio_read($55, 1); //@line 843 "j2k.c"
        var $57=($56) >>> 3; //@line 843 "j2k.c"
        HEAP[$expn]=$57; //@line 843 "j2k.c"
        HEAP[$mant]=0; //@line 844 "j2k.c"
        __label__ = 12; break; //@line 844 "j2k.c"
      case 11: // $bb11
        var $58=HEAP[$cio]; //@line 846 "j2k.c"
        var $59=_cio_read($58, 2); //@line 846 "j2k.c"
        HEAP[$tmp]=$59; //@line 846 "j2k.c"
        var $60=HEAP[$tmp]; //@line 847 "j2k.c"
        var $61=($60) >> 11; //@line 847 "j2k.c"
        HEAP[$expn]=$61; //@line 847 "j2k.c"
        var $62=HEAP[$tmp]; //@line 848 "j2k.c"
        var $63=($62) & 2047; //@line 848 "j2k.c"
        HEAP[$mant]=$63; //@line 848 "j2k.c"
        __label__ = 12; break; //@line 848 "j2k.c"
      case 12: // $bb12
        var $64=HEAP[$bandno]; //@line 850 "j2k.c"
        var $65=HEAP[$tccp]; //@line 850 "j2k.c"
        var $66=CHECK_OVERFLOW(($65+28)&4294967295, 32); //@line 850 "j2k.c"
        var $67=CHECK_OVERFLOW(($66+$64*8)&4294967295, 32); //@line 850 "j2k.c"
        var $68=CHECK_OVERFLOW(($67)&4294967295, 32); //@line 850 "j2k.c"
        var $69=HEAP[$expn]; //@line 850 "j2k.c"
        HEAP[$68]=$69; //@line 850 "j2k.c"
        var $70=HEAP[$bandno]; //@line 851 "j2k.c"
        var $71=HEAP[$tccp]; //@line 851 "j2k.c"
        var $72=CHECK_OVERFLOW(($71+28)&4294967295, 32); //@line 851 "j2k.c"
        var $73=CHECK_OVERFLOW(($72+$70*8)&4294967295, 32); //@line 851 "j2k.c"
        var $74=CHECK_OVERFLOW(($73+4)&4294967295, 32); //@line 851 "j2k.c"
        var $75=HEAP[$mant]; //@line 851 "j2k.c"
        HEAP[$74]=$75; //@line 851 "j2k.c"
        var $76=HEAP[$bandno]; //@line 840 "j2k.c"
        var $77=CHECK_OVERFLOW((($76) + 1)&4294967295, 32); //@line 840 "j2k.c"
        HEAP[$bandno]=$77; //@line 840 "j2k.c"
        __label__ = 9; break; //@line 840 "j2k.c"
      case 9: // $bb13
        var $78=HEAP[$bandno]; //@line 840 "j2k.c"
        var $79=HEAP[$numbands]; //@line 840 "j2k.c"
        var $80=($78) < ($79); //@line 840 "j2k.c"
        if ($80) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 840 "j2k.c"
      case 14: // $bb14
        var $81=HEAP[$tccp]; //@line 855 "j2k.c"
        var $82=CHECK_OVERFLOW(($81+24)&4294967295, 32); //@line 855 "j2k.c"
        var $83=HEAP[$82]; //@line 855 "j2k.c"
        var $84=($83)==1; //@line 855 "j2k.c"
        if ($84) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 855 "j2k.c"
      case 15: // $bb15
        HEAP[$bandno]=1; //@line 856 "j2k.c"
        __label__ = 17; break; //@line 856 "j2k.c"
      case 18: // $bb16
        var $85=HEAP[$bandno]; //@line 857 "j2k.c"
        var $86=HEAP[$tccp]; //@line 857 "j2k.c"
        var $87=CHECK_OVERFLOW(($86+28)&4294967295, 32); //@line 857 "j2k.c"
        var $88=CHECK_OVERFLOW(($87)&4294967295, 32); //@line 857 "j2k.c"
        var $89=CHECK_OVERFLOW(($88)&4294967295, 32); //@line 857 "j2k.c"
        var $90=HEAP[$89]; //@line 857 "j2k.c"
        var $91=HEAP[$bandno]; //@line 857 "j2k.c"
        var $92=CHECK_OVERFLOW((($91) - 1)&4294967295, 32); //@line 857 "j2k.c"
        var $93=(($92)/3|0); //@line 857 "j2k.c"
        var $94=CHECK_OVERFLOW((($90) - ($93))&4294967295, 32); //@line 857 "j2k.c"
        var $95=($94) >= 0; //@line 857 "j2k.c"
        var $max=($95) ? ($94) : 0; //@line 857 "j2k.c"
        var $96=HEAP[$tccp]; //@line 857 "j2k.c"
        var $97=CHECK_OVERFLOW(($96+28)&4294967295, 32); //@line 857 "j2k.c"
        var $98=CHECK_OVERFLOW(($97+$85*8)&4294967295, 32); //@line 857 "j2k.c"
        var $99=CHECK_OVERFLOW(($98)&4294967295, 32); //@line 857 "j2k.c"
        HEAP[$99]=$max; //@line 857 "j2k.c"
        var $100=HEAP[$bandno]; //@line 860 "j2k.c"
        var $101=HEAP[$tccp]; //@line 860 "j2k.c"
        var $102=CHECK_OVERFLOW(($101+28)&4294967295, 32); //@line 860 "j2k.c"
        var $103=CHECK_OVERFLOW(($102)&4294967295, 32); //@line 860 "j2k.c"
        var $104=CHECK_OVERFLOW(($103+4)&4294967295, 32); //@line 860 "j2k.c"
        var $105=HEAP[$104]; //@line 860 "j2k.c"
        var $106=HEAP[$tccp]; //@line 860 "j2k.c"
        var $107=CHECK_OVERFLOW(($106+28)&4294967295, 32); //@line 860 "j2k.c"
        var $108=CHECK_OVERFLOW(($107+$100*8)&4294967295, 32); //@line 860 "j2k.c"
        var $109=CHECK_OVERFLOW(($108+4)&4294967295, 32); //@line 860 "j2k.c"
        HEAP[$109]=$105; //@line 860 "j2k.c"
        var $110=HEAP[$bandno]; //@line 856 "j2k.c"
        var $111=CHECK_OVERFLOW((($110) + 1)&4294967295, 32); //@line 856 "j2k.c"
        HEAP[$bandno]=$111; //@line 856 "j2k.c"
        __label__ = 17; break; //@line 856 "j2k.c"
      case 17: // $bb18
        var $112=HEAP[$bandno]; //@line 856 "j2k.c"
        var $113=($112) <= 96; //@line 856 "j2k.c"
        if ($113) { __label__ = 18; break; } else { __label__ = 16; break; } //@line 856 "j2k.c"
      case 16: // $bb19
        __label__ = 19; break; //@line 864 "j2k.c"
      case 19: // $return
        STACKTOP = __stackBase__;
        return; //@line 864 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_write_qcd($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $lenp=__stackBase__+4;
        var $len=__stackBase__+8;
        var $cio=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 869 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+72)&4294967295, 32); //@line 869 "j2k.c"
        var $2=HEAP[$1]; //@line 869 "j2k.c"
        HEAP[$cio]=$2; //@line 869 "j2k.c"
        var $3=HEAP[$cio]; //@line 871 "j2k.c"
        var $4=_cio_write($3, 65372, 2); //@line 871 "j2k.c"
        var $5=HEAP[$cio]; //@line 872 "j2k.c"
        var $6=_cio_tell($5); //@line 872 "j2k.c"
        HEAP[$lenp]=$6; //@line 872 "j2k.c"
        var $7=HEAP[$cio]; //@line 873 "j2k.c"
        _cio_skip($7, 2); //@line 873 "j2k.c"
        var $8=HEAP[$j2k_addr]; //@line 874 "j2k.c"
        _j2k_write_qcx($8, 0); //@line 874 "j2k.c"
        var $9=HEAP[$cio]; //@line 875 "j2k.c"
        var $10=_cio_tell($9); //@line 875 "j2k.c"
        var $11=HEAP[$lenp]; //@line 875 "j2k.c"
        var $12=CHECK_OVERFLOW((($10) - ($11))&4294967295, 32); //@line 875 "j2k.c"
        HEAP[$len]=$12; //@line 875 "j2k.c"
        var $13=HEAP[$cio]; //@line 876 "j2k.c"
        var $14=HEAP[$lenp]; //@line 876 "j2k.c"
        _cio_seek($13, $14); //@line 876 "j2k.c"
        var $15=HEAP[$len]; //@line 877 "j2k.c"
        var $16=HEAP[$cio]; //@line 877 "j2k.c"
        var $17=_cio_write($16, $15, 2); //@line 877 "j2k.c"
        var $18=HEAP[$lenp]; //@line 878 "j2k.c"
        var $19=HEAP[$len]; //@line 878 "j2k.c"
        var $20=CHECK_OVERFLOW((($18) + ($19))&4294967295, 32); //@line 878 "j2k.c"
        var $21=HEAP[$cio]; //@line 878 "j2k.c"
        _cio_seek($21, $20); //@line 878 "j2k.c"
        __label__ = 0; break; //@line 879 "j2k.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 879 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_qcd($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $len=__stackBase__+4;
        var $i=__stackBase__+8;
        var $pos=__stackBase__+12;
        var $cio=__stackBase__+16;
        var $image=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 884 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+72)&4294967295, 32); //@line 884 "j2k.c"
        var $2=HEAP[$1]; //@line 884 "j2k.c"
        HEAP[$cio]=$2; //@line 884 "j2k.c"
        var $3=HEAP[$j2k_addr]; //@line 885 "j2k.c"
        var $4=CHECK_OVERFLOW(($3+60)&4294967295, 32); //@line 885 "j2k.c"
        var $5=HEAP[$4]; //@line 885 "j2k.c"
        HEAP[$image]=$5; //@line 885 "j2k.c"
        var $6=HEAP[$cio]; //@line 887 "j2k.c"
        var $7=_cio_read($6, 2); //@line 887 "j2k.c"
        HEAP[$len]=$7; //@line 887 "j2k.c"
        var $8=HEAP[$cio]; //@line 888 "j2k.c"
        var $9=_cio_tell($8); //@line 888 "j2k.c"
        HEAP[$pos]=$9; //@line 888 "j2k.c"
        HEAP[$i]=0; //@line 889 "j2k.c"
        __label__ = 0; break; //@line 889 "j2k.c"
      case 1: // $bb
        var $10=HEAP[$cio]; //@line 890 "j2k.c"
        var $11=HEAP[$pos]; //@line 890 "j2k.c"
        _cio_seek($10, $11); //@line 890 "j2k.c"
        var $12=HEAP[$len]; //@line 891 "j2k.c"
        var $13=CHECK_OVERFLOW((($12) - 2)&4294967295, 32); //@line 891 "j2k.c"
        var $14=HEAP[$j2k_addr]; //@line 891 "j2k.c"
        var $15=HEAP[$i]; //@line 891 "j2k.c"
        _j2k_read_qcx($14, $15, $13); //@line 891 "j2k.c"
        var $16=HEAP[$i]; //@line 889 "j2k.c"
        var $17=CHECK_OVERFLOW((($16) + 1)&4294967295, 32); //@line 889 "j2k.c"
        HEAP[$i]=$17; //@line 889 "j2k.c"
        __label__ = 0; break; //@line 889 "j2k.c"
      case 0: // $bb1
        var $18=HEAP[$image]; //@line 889 "j2k.c"
        var $19=CHECK_OVERFLOW(($18+16)&4294967295, 32); //@line 889 "j2k.c"
        var $20=HEAP[$19]; //@line 889 "j2k.c"
        var $21=HEAP[$i]; //@line 889 "j2k.c"
        var $22=($20) > ($21); //@line 889 "j2k.c"
        if ($22) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 889 "j2k.c"
      case 2: // $bb2
        __label__ = 3; break; //@line 893 "j2k.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 893 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_write_qcc($j2k, $compno) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $compno_addr=__stackBase__+4;
        var $iftmp_36=__stackBase__+8;
        var $lenp=__stackBase__+12;
        var $len=__stackBase__+16;
        var $cio=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$compno_addr]=$compno;
        var $0=HEAP[$j2k_addr]; //@line 898 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+72)&4294967295, 32); //@line 898 "j2k.c"
        var $2=HEAP[$1]; //@line 898 "j2k.c"
        HEAP[$cio]=$2; //@line 898 "j2k.c"
        var $3=HEAP[$cio]; //@line 900 "j2k.c"
        var $4=_cio_write($3, 65373, 2); //@line 900 "j2k.c"
        var $5=HEAP[$cio]; //@line 901 "j2k.c"
        var $6=_cio_tell($5); //@line 901 "j2k.c"
        HEAP[$lenp]=$6; //@line 901 "j2k.c"
        var $7=HEAP[$cio]; //@line 902 "j2k.c"
        _cio_skip($7, 2); //@line 902 "j2k.c"
        var $8=HEAP[$j2k_addr]; //@line 903 "j2k.c"
        var $9=CHECK_OVERFLOW(($8+60)&4294967295, 32); //@line 903 "j2k.c"
        var $10=HEAP[$9]; //@line 903 "j2k.c"
        var $11=CHECK_OVERFLOW(($10+16)&4294967295, 32); //@line 903 "j2k.c"
        var $12=HEAP[$11]; //@line 903 "j2k.c"
        var $13=($12) <= 256; //@line 903 "j2k.c"
        if ($13) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 903 "j2k.c"
      case 0: // $bb
        HEAP[$iftmp_36]=1; //@line 903 "j2k.c"
        __label__ = 2; break; //@line 903 "j2k.c"
      case 1: // $bb1
        HEAP[$iftmp_36]=2; //@line 903 "j2k.c"
        __label__ = 2; break; //@line 903 "j2k.c"
      case 2: // $bb2
        var $14=HEAP[$compno_addr]; //@line 903 "j2k.c"
        var $15=HEAP[$cio]; //@line 903 "j2k.c"
        var $16=HEAP[$iftmp_36]; //@line 903 "j2k.c"
        var $17=_cio_write($15, $14, $16); //@line 903 "j2k.c"
        var $18=HEAP[$j2k_addr]; //@line 904 "j2k.c"
        var $19=HEAP[$compno_addr]; //@line 904 "j2k.c"
        _j2k_write_qcx($18, $19); //@line 904 "j2k.c"
        var $20=HEAP[$cio]; //@line 905 "j2k.c"
        var $21=_cio_tell($20); //@line 905 "j2k.c"
        var $22=HEAP[$lenp]; //@line 905 "j2k.c"
        var $23=CHECK_OVERFLOW((($21) - ($22))&4294967295, 32); //@line 905 "j2k.c"
        HEAP[$len]=$23; //@line 905 "j2k.c"
        var $24=HEAP[$cio]; //@line 906 "j2k.c"
        var $25=HEAP[$lenp]; //@line 906 "j2k.c"
        _cio_seek($24, $25); //@line 906 "j2k.c"
        var $26=HEAP[$len]; //@line 907 "j2k.c"
        var $27=HEAP[$cio]; //@line 907 "j2k.c"
        var $28=_cio_write($27, $26, 2); //@line 907 "j2k.c"
        var $29=HEAP[$lenp]; //@line 908 "j2k.c"
        var $30=HEAP[$len]; //@line 908 "j2k.c"
        var $31=CHECK_OVERFLOW((($29) + ($30))&4294967295, 32); //@line 908 "j2k.c"
        var $32=HEAP[$cio]; //@line 908 "j2k.c"
        _cio_seek($32, $31); //@line 908 "j2k.c"
        __label__ = 3; break; //@line 909 "j2k.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 909 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_qcc($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 28);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $iftmp_40=__stackBase__+4;
        var $iftmp_39=__stackBase__+8;
        var $len=__stackBase__+12;
        var $compno=__stackBase__+16;
        var $numcomp=__stackBase__+20;
        var $cio=__stackBase__+24;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 913 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+60)&4294967295, 32); //@line 913 "j2k.c"
        var $2=HEAP[$1]; //@line 913 "j2k.c"
        var $3=CHECK_OVERFLOW(($2+16)&4294967295, 32); //@line 913 "j2k.c"
        var $4=HEAP[$3]; //@line 913 "j2k.c"
        HEAP[$numcomp]=$4; //@line 913 "j2k.c"
        var $5=HEAP[$j2k_addr]; //@line 914 "j2k.c"
        var $6=CHECK_OVERFLOW(($5+72)&4294967295, 32); //@line 914 "j2k.c"
        var $7=HEAP[$6]; //@line 914 "j2k.c"
        HEAP[$cio]=$7; //@line 914 "j2k.c"
        var $8=HEAP[$cio]; //@line 916 "j2k.c"
        var $9=_cio_read($8, 2); //@line 916 "j2k.c"
        HEAP[$len]=$9; //@line 916 "j2k.c"
        var $10=HEAP[$numcomp]; //@line 917 "j2k.c"
        var $11=($10) <= 256; //@line 917 "j2k.c"
        if ($11) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 917 "j2k.c"
      case 0: // $bb
        HEAP[$iftmp_39]=1; //@line 917 "j2k.c"
        __label__ = 2; break; //@line 917 "j2k.c"
      case 1: // $bb1
        HEAP[$iftmp_39]=2; //@line 917 "j2k.c"
        __label__ = 2; break; //@line 917 "j2k.c"
      case 2: // $bb2
        var $12=HEAP[$cio]; //@line 917 "j2k.c"
        var $13=HEAP[$iftmp_39]; //@line 917 "j2k.c"
        var $14=_cio_read($12, $13); //@line 917 "j2k.c"
        HEAP[$compno]=$14; //@line 917 "j2k.c"
        var $15=HEAP[$len]; //@line 945 "j2k.c"
        var $16=CHECK_OVERFLOW((($15) - 2)&4294967295, 32); //@line 945 "j2k.c"
        var $17=HEAP[$numcomp]; //@line 945 "j2k.c"
        var $18=($17) <= 256; //@line 945 "j2k.c"
        if ($18) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 945 "j2k.c"
      case 3: // $bb3
        HEAP[$iftmp_40]=1; //@line 945 "j2k.c"
        __label__ = 5; break; //@line 945 "j2k.c"
      case 4: // $bb4
        HEAP[$iftmp_40]=2; //@line 945 "j2k.c"
        __label__ = 5; break; //@line 945 "j2k.c"
      case 5: // $bb5
        var $19=HEAP[$iftmp_40]; //@line 945 "j2k.c"
        var $20=CHECK_OVERFLOW((($16) - ($19))&4294967295, 32); //@line 945 "j2k.c"
        var $21=HEAP[$j2k_addr]; //@line 945 "j2k.c"
        var $22=HEAP[$compno]; //@line 945 "j2k.c"
        _j2k_read_qcx($21, $22, $20); //@line 945 "j2k.c"
        __label__ = 6; break; //@line 946 "j2k.c"
      case 6: // $return
        STACKTOP = __stackBase__;
        return; //@line 946 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_write_poc($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 52);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $iftmp_45=__stackBase__+4;
        var $iftmp_44=__stackBase__+8;
        var $iftmp_41=__stackBase__+12;
        var $len=__stackBase__+16;
        var $numpchgs=__stackBase__+20;
        var $i=__stackBase__+24;
        var $numcomps=__stackBase__+28;
        var $cp=__stackBase__+32;
        var $tcp=__stackBase__+36;
        var $tccp=__stackBase__+40;
        var $cio=__stackBase__+44;
        var $poc=__stackBase__+48;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 951 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+60)&4294967295, 32); //@line 951 "j2k.c"
        var $2=HEAP[$1]; //@line 951 "j2k.c"
        var $3=CHECK_OVERFLOW(($2+16)&4294967295, 32); //@line 951 "j2k.c"
        var $4=HEAP[$3]; //@line 951 "j2k.c"
        HEAP[$numcomps]=$4; //@line 951 "j2k.c"
        var $5=HEAP[$j2k_addr]; //@line 953 "j2k.c"
        var $6=CHECK_OVERFLOW(($5+64)&4294967295, 32); //@line 953 "j2k.c"
        var $7=HEAP[$6]; //@line 953 "j2k.c"
        HEAP[$cp]=$7; //@line 953 "j2k.c"
        var $8=HEAP[$cp]; //@line 954 "j2k.c"
        var $9=CHECK_OVERFLOW(($8+108)&4294967295, 32); //@line 954 "j2k.c"
        var $10=HEAP[$9]; //@line 954 "j2k.c"
        var $11=HEAP[$j2k_addr]; //@line 954 "j2k.c"
        var $12=CHECK_OVERFLOW(($11+8)&4294967295, 32); //@line 954 "j2k.c"
        var $13=HEAP[$12]; //@line 954 "j2k.c"
        var $14=CHECK_OVERFLOW(($10+5588*$13)&4294967295, 32); //@line 954 "j2k.c"
        HEAP[$tcp]=$14; //@line 954 "j2k.c"
        var $15=HEAP[$tcp]; //@line 955 "j2k.c"
        var $16=CHECK_OVERFLOW(($15+5584)&4294967295, 32); //@line 955 "j2k.c"
        var $17=HEAP[$16]; //@line 955 "j2k.c"
        var $18=CHECK_OVERFLOW(($17)&4294967295, 32); //@line 955 "j2k.c"
        HEAP[$tccp]=$18; //@line 955 "j2k.c"
        var $19=HEAP[$j2k_addr]; //@line 956 "j2k.c"
        var $20=CHECK_OVERFLOW(($19+72)&4294967295, 32); //@line 956 "j2k.c"
        var $21=HEAP[$20]; //@line 956 "j2k.c"
        HEAP[$cio]=$21; //@line 956 "j2k.c"
        var $22=HEAP[$tcp]; //@line 958 "j2k.c"
        var $23=CHECK_OVERFLOW(($22+420)&4294967295, 32); //@line 958 "j2k.c"
        var $24=HEAP[$23]; //@line 958 "j2k.c"
        var $25=CHECK_OVERFLOW((($24) + 1)&4294967295, 32); //@line 958 "j2k.c"
        HEAP[$numpchgs]=$25; //@line 958 "j2k.c"
        var $26=HEAP[$cio]; //@line 959 "j2k.c"
        var $27=_cio_write($26, 65375, 2); //@line 959 "j2k.c"
        var $28=HEAP[$numcomps]; //@line 960 "j2k.c"
        var $29=($28) <= 256; //@line 960 "j2k.c"
        if ($29) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 960 "j2k.c"
      case 0: // $bb
        HEAP[$iftmp_41]=7; //@line 960 "j2k.c"
        __label__ = 2; break; //@line 960 "j2k.c"
      case 1: // $bb1
        HEAP[$iftmp_41]=9; //@line 960 "j2k.c"
        __label__ = 2; break; //@line 960 "j2k.c"
      case 2: // $bb2
        var $30=HEAP[$iftmp_41]; //@line 960 "j2k.c"
        var $31=HEAP[$numpchgs]; //@line 960 "j2k.c"
        var $32=CHECK_OVERFLOW((($30) * ($31))&4294967295, 32); //@line 960 "j2k.c"
        var $33=CHECK_OVERFLOW((($32) + 2)&4294967295, 32); //@line 960 "j2k.c"
        HEAP[$len]=$33; //@line 960 "j2k.c"
        var $34=HEAP[$len]; //@line 961 "j2k.c"
        var $35=HEAP[$cio]; //@line 961 "j2k.c"
        var $36=_cio_write($35, $34, 2); //@line 961 "j2k.c"
        HEAP[$i]=0; //@line 962 "j2k.c"
        __label__ = 3; break; //@line 962 "j2k.c"
      case 10: // $bb3
        var $37=HEAP[$i]; //@line 963 "j2k.c"
        var $38=HEAP[$tcp]; //@line 963 "j2k.c"
        var $39=CHECK_OVERFLOW(($38+428)&4294967295, 32); //@line 963 "j2k.c"
        var $40=CHECK_OVERFLOW(($39+$37*148)&4294967295, 32); //@line 963 "j2k.c"
        HEAP[$poc]=$40; //@line 963 "j2k.c"
        var $41=HEAP[$poc]; //@line 964 "j2k.c"
        var $42=CHECK_OVERFLOW(($41)&4294967295, 32); //@line 964 "j2k.c"
        var $43=HEAP[$42]; //@line 964 "j2k.c"
        var $44=HEAP[$cio]; //@line 964 "j2k.c"
        var $45=_cio_write($44, $43, 1); //@line 964 "j2k.c"
        var $46=HEAP[$numcomps]; //@line 965 "j2k.c"
        var $47=($46) <= 256; //@line 965 "j2k.c"
        if ($47) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 965 "j2k.c"
      case 4: // $bb4
        HEAP[$iftmp_44]=1; //@line 965 "j2k.c"
        __label__ = 6; break; //@line 965 "j2k.c"
      case 5: // $bb5
        HEAP[$iftmp_44]=2; //@line 965 "j2k.c"
        __label__ = 6; break; //@line 965 "j2k.c"
      case 6: // $bb6
        var $48=HEAP[$poc]; //@line 965 "j2k.c"
        var $49=CHECK_OVERFLOW(($48+4)&4294967295, 32); //@line 965 "j2k.c"
        var $50=HEAP[$49]; //@line 965 "j2k.c"
        var $51=HEAP[$cio]; //@line 965 "j2k.c"
        var $52=HEAP[$iftmp_44]; //@line 965 "j2k.c"
        var $53=_cio_write($51, $50, $52); //@line 965 "j2k.c"
        var $54=HEAP[$poc]; //@line 966 "j2k.c"
        var $55=CHECK_OVERFLOW(($54+8)&4294967295, 32); //@line 966 "j2k.c"
        var $56=HEAP[$55]; //@line 966 "j2k.c"
        var $57=HEAP[$cio]; //@line 966 "j2k.c"
        var $58=_cio_write($57, $56, 2); //@line 966 "j2k.c"
        var $59=HEAP[$tcp]; //@line 967 "j2k.c"
        var $60=CHECK_OVERFLOW(($59+12)&4294967295, 32); //@line 967 "j2k.c"
        var $61=HEAP[$60]; //@line 967 "j2k.c"
        var $62=HEAP[$poc]; //@line 967 "j2k.c"
        var $63=CHECK_OVERFLOW(($62+8)&4294967295, 32); //@line 967 "j2k.c"
        var $64=HEAP[$63]; //@line 967 "j2k.c"
        var $65=_int_min12($64, $61); //@line 967 "j2k.c"
        var $66=HEAP[$poc]; //@line 967 "j2k.c"
        var $67=CHECK_OVERFLOW(($66+8)&4294967295, 32); //@line 967 "j2k.c"
        HEAP[$67]=$65; //@line 967 "j2k.c"
        var $68=HEAP[$poc]; //@line 968 "j2k.c"
        var $69=CHECK_OVERFLOW(($68+12)&4294967295, 32); //@line 968 "j2k.c"
        var $70=HEAP[$69]; //@line 968 "j2k.c"
        var $71=HEAP[$cio]; //@line 968 "j2k.c"
        var $72=_cio_write($71, $70, 1); //@line 968 "j2k.c"
        var $73=HEAP[$tccp]; //@line 969 "j2k.c"
        var $74=CHECK_OVERFLOW(($73+4)&4294967295, 32); //@line 969 "j2k.c"
        var $75=HEAP[$74]; //@line 969 "j2k.c"
        var $76=HEAP[$poc]; //@line 969 "j2k.c"
        var $77=CHECK_OVERFLOW(($76+12)&4294967295, 32); //@line 969 "j2k.c"
        var $78=HEAP[$77]; //@line 969 "j2k.c"
        var $79=_int_min12($78, $75); //@line 969 "j2k.c"
        var $80=HEAP[$poc]; //@line 969 "j2k.c"
        var $81=CHECK_OVERFLOW(($80+12)&4294967295, 32); //@line 969 "j2k.c"
        HEAP[$81]=$79; //@line 969 "j2k.c"
        var $82=HEAP[$numcomps]; //@line 970 "j2k.c"
        var $83=($82) <= 256; //@line 970 "j2k.c"
        if ($83) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 970 "j2k.c"
      case 7: // $bb7
        HEAP[$iftmp_45]=1; //@line 970 "j2k.c"
        __label__ = 9; break; //@line 970 "j2k.c"
      case 8: // $bb8
        HEAP[$iftmp_45]=2; //@line 970 "j2k.c"
        __label__ = 9; break; //@line 970 "j2k.c"
      case 9: // $bb9
        var $84=HEAP[$poc]; //@line 970 "j2k.c"
        var $85=CHECK_OVERFLOW(($84+16)&4294967295, 32); //@line 970 "j2k.c"
        var $86=HEAP[$85]; //@line 970 "j2k.c"
        var $87=HEAP[$cio]; //@line 970 "j2k.c"
        var $88=HEAP[$iftmp_45]; //@line 970 "j2k.c"
        var $89=_cio_write($87, $86, $88); //@line 970 "j2k.c"
        var $90=HEAP[$poc]; //@line 971 "j2k.c"
        var $91=CHECK_OVERFLOW(($90+16)&4294967295, 32); //@line 971 "j2k.c"
        var $92=HEAP[$91]; //@line 971 "j2k.c"
        var $93=HEAP[$numcomps]; //@line 971 "j2k.c"
        var $94=_int_min12($92, $93); //@line 971 "j2k.c"
        var $95=HEAP[$poc]; //@line 971 "j2k.c"
        var $96=CHECK_OVERFLOW(($95+16)&4294967295, 32); //@line 971 "j2k.c"
        HEAP[$96]=$94; //@line 971 "j2k.c"
        var $97=HEAP[$poc]; //@line 972 "j2k.c"
        var $98=CHECK_OVERFLOW(($97+36)&4294967295, 32); //@line 972 "j2k.c"
        var $99=HEAP[$98]; //@line 972 "j2k.c"
        var $100=HEAP[$cio]; //@line 972 "j2k.c"
        var $101=_cio_write($100, $99, 1); //@line 972 "j2k.c"
        var $102=HEAP[$i]; //@line 962 "j2k.c"
        var $103=CHECK_OVERFLOW((($102) + 1)&4294967295, 32); //@line 962 "j2k.c"
        HEAP[$i]=$103; //@line 962 "j2k.c"
        __label__ = 3; break; //@line 962 "j2k.c"
      case 3: // $bb10
        var $104=HEAP[$i]; //@line 962 "j2k.c"
        var $105=HEAP[$numpchgs]; //@line 962 "j2k.c"
        var $106=($104) < ($105); //@line 962 "j2k.c"
        if ($106) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 962 "j2k.c"
      case 11: // $bb11
        __label__ = 12; break; //@line 974 "j2k.c"
      case 12: // $return
        STACKTOP = __stackBase__;
        return; //@line 974 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_min12($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$b_addr]; //@line 51 "int.h"
        var $2=HEAP[$a_addr]; //@line 51 "int.h"
        var $3=($1) <= ($2); //@line 51 "int.h"
        var $min=($3) ? ($1) : ($2); //@line 51 "int.h"
        HEAP[$0]=$min; //@line 51 "int.h"
        var $4=HEAP[$0]; //@line 51 "int.h"
        HEAP[$retval]=$4; //@line 51 "int.h"
        __label__ = 0; break; //@line 51 "int.h"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 51 "int.h"
        STACKTOP = __stackBase__;
        return $retval1; //@line 51 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_poc($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 60);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $iftmp_51=__stackBase__+4;
        var $iftmp_50=__stackBase__+8;
        var $iftmp_48=__stackBase__+12;
        var $iftmp_47=__stackBase__+16;
        var $iftmp_46=__stackBase__+20;
        var $len=__stackBase__+24;
        var $numpchgs=__stackBase__+28;
        var $i=__stackBase__+32;
        var $old_poc=__stackBase__+36;
        var $numcomps=__stackBase__+40;
        var $cp=__stackBase__+44;
        var $tcp=__stackBase__+48;
        var $cio=__stackBase__+52;
        var $poc=__stackBase__+56;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 979 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+60)&4294967295, 32); //@line 979 "j2k.c"
        var $2=HEAP[$1]; //@line 979 "j2k.c"
        var $3=CHECK_OVERFLOW(($2+16)&4294967295, 32); //@line 979 "j2k.c"
        var $4=HEAP[$3]; //@line 979 "j2k.c"
        HEAP[$numcomps]=$4; //@line 979 "j2k.c"
        var $5=HEAP[$j2k_addr]; //@line 981 "j2k.c"
        var $6=CHECK_OVERFLOW(($5+64)&4294967295, 32); //@line 981 "j2k.c"
        var $7=HEAP[$6]; //@line 981 "j2k.c"
        HEAP[$cp]=$7; //@line 981 "j2k.c"
        var $8=HEAP[$j2k_addr]; //@line 982 "j2k.c"
        var $9=CHECK_OVERFLOW(($8+4)&4294967295, 32); //@line 982 "j2k.c"
        var $10=HEAP[$9]; //@line 982 "j2k.c"
        var $11=($10)==16; //@line 982 "j2k.c"
        if ($11) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 982 "j2k.c"
      case 0: // $bb
        var $12=HEAP[$cp]; //@line 982 "j2k.c"
        var $13=CHECK_OVERFLOW(($12+108)&4294967295, 32); //@line 982 "j2k.c"
        var $14=HEAP[$13]; //@line 982 "j2k.c"
        var $15=HEAP[$j2k_addr]; //@line 982 "j2k.c"
        var $16=CHECK_OVERFLOW(($15+8)&4294967295, 32); //@line 982 "j2k.c"
        var $17=HEAP[$16]; //@line 982 "j2k.c"
        var $18=CHECK_OVERFLOW(($14+5588*$17)&4294967295, 32); //@line 982 "j2k.c"
        HEAP[$iftmp_46]=$18; //@line 982 "j2k.c"
        __label__ = 2; break; //@line 982 "j2k.c"
      case 1: // $bb1
        var $19=HEAP[$j2k_addr]; //@line 982 "j2k.c"
        var $20=CHECK_OVERFLOW(($19+56)&4294967295, 32); //@line 982 "j2k.c"
        var $21=HEAP[$20]; //@line 982 "j2k.c"
        HEAP[$iftmp_46]=$21; //@line 982 "j2k.c"
        __label__ = 2; break; //@line 982 "j2k.c"
      case 2: // $bb2
        var $22=HEAP[$iftmp_46]; //@line 982 "j2k.c"
        HEAP[$tcp]=$22; //@line 982 "j2k.c"
        var $23=HEAP[$j2k_addr]; //@line 983 "j2k.c"
        var $24=CHECK_OVERFLOW(($23+72)&4294967295, 32); //@line 983 "j2k.c"
        var $25=HEAP[$24]; //@line 983 "j2k.c"
        HEAP[$cio]=$25; //@line 983 "j2k.c"
        var $26=HEAP[$tcp]; //@line 985 "j2k.c"
        var $27=CHECK_OVERFLOW(($26+424)&4294967295, 32); //@line 985 "j2k.c"
        var $28=HEAP[$27]; //@line 985 "j2k.c"
        var $29=($28)!=0; //@line 985 "j2k.c"
        if ($29) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 985 "j2k.c"
      case 3: // $bb3
        var $30=HEAP[$tcp]; //@line 985 "j2k.c"
        var $31=CHECK_OVERFLOW(($30+420)&4294967295, 32); //@line 985 "j2k.c"
        var $32=HEAP[$31]; //@line 985 "j2k.c"
        var $33=CHECK_OVERFLOW((($32) + 1)&4294967295, 32); //@line 985 "j2k.c"
        HEAP[$iftmp_47]=$33; //@line 985 "j2k.c"
        __label__ = 5; break; //@line 985 "j2k.c"
      case 4: // $bb4
        HEAP[$iftmp_47]=0; //@line 985 "j2k.c"
        __label__ = 5; break; //@line 985 "j2k.c"
      case 5: // $bb5
        var $34=HEAP[$iftmp_47]; //@line 985 "j2k.c"
        HEAP[$old_poc]=$34; //@line 985 "j2k.c"
        var $35=HEAP[$tcp]; //@line 986 "j2k.c"
        var $36=CHECK_OVERFLOW(($35+424)&4294967295, 32); //@line 986 "j2k.c"
        HEAP[$36]=1; //@line 986 "j2k.c"
        var $37=HEAP[$cio]; //@line 987 "j2k.c"
        var $38=_cio_read($37, 2); //@line 987 "j2k.c"
        HEAP[$len]=$38; //@line 987 "j2k.c"
        var $39=HEAP[$len]; //@line 988 "j2k.c"
        var $40=CHECK_OVERFLOW((($39) - 2)&4294967295, 32); //@line 988 "j2k.c"
        var $41=HEAP[$numcomps]; //@line 988 "j2k.c"
        var $42=($41) <= 256; //@line 988 "j2k.c"
        if ($42) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 988 "j2k.c"
      case 6: // $bb6
        HEAP[$iftmp_48]=7; //@line 988 "j2k.c"
        __label__ = 8; break; //@line 988 "j2k.c"
      case 7: // $bb7
        HEAP[$iftmp_48]=9; //@line 988 "j2k.c"
        __label__ = 8; break; //@line 988 "j2k.c"
      case 8: // $bb8
        var $43=HEAP[$iftmp_48]; //@line 988 "j2k.c"
        var $44=(($40)/($43)|0); //@line 988 "j2k.c"
        HEAP[$numpchgs]=$44; //@line 988 "j2k.c"
        var $45=HEAP[$old_poc]; //@line 990 "j2k.c"
        HEAP[$i]=$45; //@line 990 "j2k.c"
        __label__ = 9; break; //@line 990 "j2k.c"
      case 16: // $bb9
        var $46=HEAP[$i]; //@line 992 "j2k.c"
        var $47=HEAP[$tcp]; //@line 992 "j2k.c"
        var $48=CHECK_OVERFLOW(($47+428)&4294967295, 32); //@line 992 "j2k.c"
        var $49=CHECK_OVERFLOW(($48+$46*148)&4294967295, 32); //@line 992 "j2k.c"
        HEAP[$poc]=$49; //@line 992 "j2k.c"
        var $50=HEAP[$cio]; //@line 993 "j2k.c"
        var $51=_cio_read($50, 1); //@line 993 "j2k.c"
        var $52=HEAP[$poc]; //@line 993 "j2k.c"
        var $53=CHECK_OVERFLOW(($52)&4294967295, 32); //@line 993 "j2k.c"
        HEAP[$53]=$51; //@line 993 "j2k.c"
        var $54=HEAP[$numcomps]; //@line 994 "j2k.c"
        var $55=($54) <= 256; //@line 994 "j2k.c"
        if ($55) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 994 "j2k.c"
      case 10: // $bb10
        HEAP[$iftmp_50]=1; //@line 994 "j2k.c"
        __label__ = 12; break; //@line 994 "j2k.c"
      case 11: // $bb11
        HEAP[$iftmp_50]=2; //@line 994 "j2k.c"
        __label__ = 12; break; //@line 994 "j2k.c"
      case 12: // $bb12
        var $56=HEAP[$cio]; //@line 994 "j2k.c"
        var $57=HEAP[$iftmp_50]; //@line 994 "j2k.c"
        var $58=_cio_read($56, $57); //@line 994 "j2k.c"
        var $59=HEAP[$poc]; //@line 994 "j2k.c"
        var $60=CHECK_OVERFLOW(($59+4)&4294967295, 32); //@line 994 "j2k.c"
        HEAP[$60]=$58; //@line 994 "j2k.c"
        var $61=HEAP[$cio]; //@line 995 "j2k.c"
        var $62=_cio_read($61, 2); //@line 995 "j2k.c"
        var $63=HEAP[$poc]; //@line 995 "j2k.c"
        var $64=CHECK_OVERFLOW(($63+8)&4294967295, 32); //@line 995 "j2k.c"
        HEAP[$64]=$62; //@line 995 "j2k.c"
        var $65=HEAP[$cio]; //@line 996 "j2k.c"
        var $66=_cio_read($65, 1); //@line 996 "j2k.c"
        var $67=HEAP[$poc]; //@line 996 "j2k.c"
        var $68=CHECK_OVERFLOW(($67+12)&4294967295, 32); //@line 996 "j2k.c"
        HEAP[$68]=$66; //@line 996 "j2k.c"
        var $69=HEAP[$numcomps]; //@line 997 "j2k.c"
        var $70=($69) <= 256; //@line 997 "j2k.c"
        if ($70) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 997 "j2k.c"
      case 13: // $bb13
        HEAP[$iftmp_51]=1; //@line 997 "j2k.c"
        __label__ = 15; break; //@line 997 "j2k.c"
      case 14: // $bb14
        HEAP[$iftmp_51]=2; //@line 997 "j2k.c"
        __label__ = 15; break; //@line 997 "j2k.c"
      case 15: // $bb15
        var $71=HEAP[$cio]; //@line 997 "j2k.c"
        var $72=HEAP[$iftmp_51]; //@line 997 "j2k.c"
        var $73=_cio_read($71, $72); //@line 997 "j2k.c"
        var $74=HEAP[$numcomps]; //@line 997 "j2k.c"
        var $75=_int_min12($73, $74); //@line 997 "j2k.c"
        var $76=HEAP[$poc]; //@line 997 "j2k.c"
        var $77=CHECK_OVERFLOW(($76+16)&4294967295, 32); //@line 997 "j2k.c"
        HEAP[$77]=$75; //@line 997 "j2k.c"
        var $78=HEAP[$cio]; //@line 999 "j2k.c"
        var $79=_cio_read($78, 1); //@line 999 "j2k.c"
        var $80=HEAP[$poc]; //@line 999 "j2k.c"
        var $81=CHECK_OVERFLOW(($80+36)&4294967295, 32); //@line 999 "j2k.c"
        HEAP[$81]=$79; //@line 999 "j2k.c"
        var $82=HEAP[$i]; //@line 990 "j2k.c"
        var $83=CHECK_OVERFLOW((($82) + 1)&4294967295, 32); //@line 990 "j2k.c"
        HEAP[$i]=$83; //@line 990 "j2k.c"
        __label__ = 9; break; //@line 990 "j2k.c"
      case 9: // $bb16
        var $84=HEAP[$numpchgs]; //@line 990 "j2k.c"
        var $85=HEAP[$old_poc]; //@line 990 "j2k.c"
        var $86=CHECK_OVERFLOW((($84) + ($85))&4294967295, 32); //@line 990 "j2k.c"
        var $87=HEAP[$i]; //@line 990 "j2k.c"
        var $88=($86) > ($87); //@line 990 "j2k.c"
        if ($88) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 990 "j2k.c"
      case 17: // $bb17
        var $89=HEAP[$numpchgs]; //@line 1002 "j2k.c"
        var $90=HEAP[$old_poc]; //@line 1002 "j2k.c"
        var $91=CHECK_OVERFLOW((($89) + ($90))&4294967295, 32); //@line 1002 "j2k.c"
        var $92=CHECK_OVERFLOW((($91) - 1)&4294967295, 32); //@line 1002 "j2k.c"
        var $93=HEAP[$tcp]; //@line 1002 "j2k.c"
        var $94=CHECK_OVERFLOW(($93+420)&4294967295, 32); //@line 1002 "j2k.c"
        HEAP[$94]=$92; //@line 1002 "j2k.c"
        __label__ = 18; break; //@line 1003 "j2k.c"
      case 18: // $return
        STACKTOP = __stackBase__;
        return; //@line 1003 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_crg($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 28);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $len=__stackBase__+4;
        var $i=__stackBase__+8;
        var $Xcrg_i=__stackBase__+12;
        var $Ycrg_i=__stackBase__+16;
        var $cio=__stackBase__+20;
        var $numcomps=__stackBase__+24;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 1008 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+72)&4294967295, 32); //@line 1008 "j2k.c"
        var $2=HEAP[$1]; //@line 1008 "j2k.c"
        HEAP[$cio]=$2; //@line 1008 "j2k.c"
        var $3=HEAP[$j2k_addr]; //@line 1009 "j2k.c"
        var $4=CHECK_OVERFLOW(($3+60)&4294967295, 32); //@line 1009 "j2k.c"
        var $5=HEAP[$4]; //@line 1009 "j2k.c"
        var $6=CHECK_OVERFLOW(($5+16)&4294967295, 32); //@line 1009 "j2k.c"
        var $7=HEAP[$6]; //@line 1009 "j2k.c"
        HEAP[$numcomps]=$7; //@line 1009 "j2k.c"
        var $8=HEAP[$cio]; //@line 1011 "j2k.c"
        var $9=_cio_read($8, 2); //@line 1011 "j2k.c"
        HEAP[$len]=$9; //@line 1011 "j2k.c"
        HEAP[$i]=0; //@line 1012 "j2k.c"
        __label__ = 0; break; //@line 1012 "j2k.c"
      case 1: // $bb
        var $10=HEAP[$cio]; //@line 1013 "j2k.c"
        var $11=_cio_read($10, 2); //@line 1013 "j2k.c"
        HEAP[$Xcrg_i]=$11; //@line 1013 "j2k.c"
        var $12=HEAP[$cio]; //@line 1014 "j2k.c"
        var $13=_cio_read($12, 2); //@line 1014 "j2k.c"
        HEAP[$Ycrg_i]=$13; //@line 1014 "j2k.c"
        var $14=HEAP[$i]; //@line 1012 "j2k.c"
        var $15=CHECK_OVERFLOW((($14) + 1)&4294967295, 32); //@line 1012 "j2k.c"
        HEAP[$i]=$15; //@line 1012 "j2k.c"
        __label__ = 0; break; //@line 1012 "j2k.c"
      case 0: // $bb1
        var $16=HEAP[$i]; //@line 1012 "j2k.c"
        var $17=HEAP[$numcomps]; //@line 1012 "j2k.c"
        var $18=($16) < ($17); //@line 1012 "j2k.c"
        if ($18) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 1012 "j2k.c"
      case 2: // $bb2
        __label__ = 3; break; //@line 1016 "j2k.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 1016 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_tlm($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 48);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $iftmp_52=__stackBase__+4;
        var $len=__stackBase__+8;
        var $Ztlm=__stackBase__+12;
        var $Stlm=__stackBase__+16;
        var $ST=__stackBase__+20;
        var $SP=__stackBase__+24;
        var $tile_tlm=__stackBase__+28;
        var $i=__stackBase__+32;
        var $Ttlm_i=__stackBase__+36;
        var $Ptlm_i=__stackBase__+40;
        var $cio=__stackBase__+44;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 1022 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+72)&4294967295, 32); //@line 1022 "j2k.c"
        var $2=HEAP[$1]; //@line 1022 "j2k.c"
        HEAP[$cio]=$2; //@line 1022 "j2k.c"
        var $3=HEAP[$cio]; //@line 1024 "j2k.c"
        var $4=_cio_read($3, 2); //@line 1024 "j2k.c"
        HEAP[$len]=$4; //@line 1024 "j2k.c"
        var $5=HEAP[$cio]; //@line 1025 "j2k.c"
        var $6=_cio_read($5, 1); //@line 1025 "j2k.c"
        HEAP[$Ztlm]=$6; //@line 1025 "j2k.c"
        var $7=HEAP[$cio]; //@line 1026 "j2k.c"
        var $8=_cio_read($7, 1); //@line 1026 "j2k.c"
        HEAP[$Stlm]=$8; //@line 1026 "j2k.c"
        var $9=HEAP[$Stlm]; //@line 1027 "j2k.c"
        var $10=($9) >> 4; //@line 1027 "j2k.c"
        var $11=($10) & 3; //@line 1027 "j2k.c"
        HEAP[$ST]=$11; //@line 1027 "j2k.c"
        var $12=HEAP[$Stlm]; //@line 1028 "j2k.c"
        var $13=($12) >> 6; //@line 1028 "j2k.c"
        var $14=($13) & 1; //@line 1028 "j2k.c"
        HEAP[$SP]=$14; //@line 1028 "j2k.c"
        var $15=HEAP[$len]; //@line 1029 "j2k.c"
        var $16=CHECK_OVERFLOW((($15) - 4)&4294967295, 32); //@line 1029 "j2k.c"
        var $17=HEAP[$SP]; //@line 1029 "j2k.c"
        var $18=CHECK_OVERFLOW((($17) + 1)&4294967295, 32); //@line 1029 "j2k.c"
        var $19=CHECK_OVERFLOW((($18) * 2)&4294967295, 32); //@line 1029 "j2k.c"
        var $20=HEAP[$ST]; //@line 1029 "j2k.c"
        var $21=CHECK_OVERFLOW((($19) + ($20))&4294967295, 32); //@line 1029 "j2k.c"
        var $22=(($16)/($21)|0); //@line 1029 "j2k.c"
        HEAP[$tile_tlm]=$22; //@line 1029 "j2k.c"
        HEAP[$i]=0; //@line 1030 "j2k.c"
        __label__ = 0; break; //@line 1030 "j2k.c"
      case 4: // $bb
        var $23=HEAP[$cio]; //@line 1031 "j2k.c"
        var $24=HEAP[$ST]; //@line 1031 "j2k.c"
        var $25=_cio_read($23, $24); //@line 1031 "j2k.c"
        HEAP[$Ttlm_i]=$25; //@line 1031 "j2k.c"
        var $26=HEAP[$SP]; //@line 1032 "j2k.c"
        var $27=($26)!=0; //@line 1032 "j2k.c"
        if ($27) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 1032 "j2k.c"
      case 1: // $bb1
        HEAP[$iftmp_52]=4; //@line 1032 "j2k.c"
        __label__ = 3; break; //@line 1032 "j2k.c"
      case 2: // $bb2
        HEAP[$iftmp_52]=2; //@line 1032 "j2k.c"
        __label__ = 3; break; //@line 1032 "j2k.c"
      case 3: // $bb3
        var $28=HEAP[$cio]; //@line 1032 "j2k.c"
        var $29=HEAP[$iftmp_52]; //@line 1032 "j2k.c"
        var $30=_cio_read($28, $29); //@line 1032 "j2k.c"
        HEAP[$Ptlm_i]=$30; //@line 1032 "j2k.c"
        var $31=HEAP[$i]; //@line 1030 "j2k.c"
        var $32=CHECK_OVERFLOW((($31) + 1)&4294967295, 32); //@line 1030 "j2k.c"
        HEAP[$i]=$32; //@line 1030 "j2k.c"
        __label__ = 0; break; //@line 1030 "j2k.c"
      case 0: // $bb4
        var $33=HEAP[$i]; //@line 1030 "j2k.c"
        var $34=HEAP[$tile_tlm]; //@line 1030 "j2k.c"
        var $35=($33) < ($34); //@line 1030 "j2k.c"
        if ($35) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1030 "j2k.c"
      case 5: // $bb5
        __label__ = 6; break; //@line 1034 "j2k.c"
      case 6: // $return
        STACKTOP = __stackBase__;
        return; //@line 1034 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_plm($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 32);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $len=__stackBase__+4;
        var $i=__stackBase__+8;
        var $Zplm=__stackBase__+12;
        var $Nplm=__stackBase__+16;
        var $add=__stackBase__+20;
        var $packet_len=__stackBase__+24;
        var $cio=__stackBase__+28;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$packet_len]=0; //@line 1037 "j2k.c"
        var $0=HEAP[$j2k_addr]; //@line 1039 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+72)&4294967295, 32); //@line 1039 "j2k.c"
        var $2=HEAP[$1]; //@line 1039 "j2k.c"
        HEAP[$cio]=$2; //@line 1039 "j2k.c"
        var $3=HEAP[$cio]; //@line 1041 "j2k.c"
        var $4=_cio_read($3, 2); //@line 1041 "j2k.c"
        HEAP[$len]=$4; //@line 1041 "j2k.c"
        var $5=HEAP[$cio]; //@line 1042 "j2k.c"
        var $6=_cio_read($5, 1); //@line 1042 "j2k.c"
        HEAP[$Zplm]=$6; //@line 1042 "j2k.c"
        var $7=HEAP[$len]; //@line 1043 "j2k.c"
        var $8=CHECK_OVERFLOW((($7) - 3)&4294967295, 32); //@line 1043 "j2k.c"
        HEAP[$len]=$8; //@line 1043 "j2k.c"
        __label__ = 0; break; //@line 1043 "j2k.c"
      case 6: // $bb
        var $9=HEAP[$cio]; //@line 1045 "j2k.c"
        var $10=_cio_read($9, 4); //@line 1045 "j2k.c"
        HEAP[$Nplm]=$10; //@line 1045 "j2k.c"
        var $11=HEAP[$len]; //@line 1046 "j2k.c"
        var $12=CHECK_OVERFLOW((($11) - 4)&4294967295, 32); //@line 1046 "j2k.c"
        HEAP[$len]=$12; //@line 1046 "j2k.c"
        var $13=HEAP[$Nplm]; //@line 1047 "j2k.c"
        HEAP[$i]=$13; //@line 1047 "j2k.c"
        __label__ = 1; break; //@line 1047 "j2k.c"
      case 5: // $bb1
        var $14=HEAP[$cio]; //@line 1048 "j2k.c"
        var $15=_cio_read($14, 1); //@line 1048 "j2k.c"
        HEAP[$add]=$15; //@line 1048 "j2k.c"
        var $16=HEAP[$len]; //@line 1049 "j2k.c"
        var $17=CHECK_OVERFLOW((($16) - 1)&4294967295, 32); //@line 1049 "j2k.c"
        HEAP[$len]=$17; //@line 1049 "j2k.c"
        var $18=HEAP[$packet_len]; //@line 1050 "j2k.c"
        var $19=($18) << 7; //@line 1050 "j2k.c"
        var $20=HEAP[$add]; //@line 1050 "j2k.c"
        var $21=CHECK_OVERFLOW((($19) + ($20))&4294967295, 32); //@line 1050 "j2k.c"
        HEAP[$packet_len]=$21; //@line 1050 "j2k.c"
        var $22=HEAP[$add]; //@line 1051 "j2k.c"
        var $23=($22) & 128; //@line 1051 "j2k.c"
        var $24=($23)==0; //@line 1051 "j2k.c"
        if ($24) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1051 "j2k.c"
      case 2: // $bb2
        HEAP[$packet_len]=0; //@line 1053 "j2k.c"
        __label__ = 3; break; //@line 1053 "j2k.c"
      case 3: // $bb3
        var $25=HEAP[$len]; //@line 1055 "j2k.c"
        var $26=($25) <= 0; //@line 1055 "j2k.c"
        if ($26) { __label__ = 0; break; } else { __label__ = 4; break; } //@line 1055 "j2k.c"
      case 4: // $bb4
        var $27=HEAP[$i]; //@line 1047 "j2k.c"
        var $28=CHECK_OVERFLOW((($27) - 1)&4294967295, 32); //@line 1047 "j2k.c"
        HEAP[$i]=$28; //@line 1047 "j2k.c"
        __label__ = 1; break; //@line 1047 "j2k.c"
      case 1: // $bb5
        var $29=HEAP[$i]; //@line 1047 "j2k.c"
        var $30=($29) > 0; //@line 1047 "j2k.c"
        if ($30) { __label__ = 5; break; } else { __label__ = 0; break; } //@line 1047 "j2k.c"
      case 0: // $bb6
        var $31=HEAP[$len]; //@line 1044 "j2k.c"
        var $32=($31) > 0; //@line 1044 "j2k.c"
        if ($32) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1044 "j2k.c"
      case 7: // $bb7
        __label__ = 8; break; //@line 1059 "j2k.c"
      case 8: // $return
        STACKTOP = __stackBase__;
        return; //@line 1059 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_plt($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 28);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $len=__stackBase__+4;
        var $i=__stackBase__+8;
        var $Zplt=__stackBase__+12;
        var $packet_len=__stackBase__+16;
        var $add=__stackBase__+20;
        var $cio=__stackBase__+24;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$packet_len]=0; //@line 1062 "j2k.c"
        var $0=HEAP[$j2k_addr]; //@line 1064 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+72)&4294967295, 32); //@line 1064 "j2k.c"
        var $2=HEAP[$1]; //@line 1064 "j2k.c"
        HEAP[$cio]=$2; //@line 1064 "j2k.c"
        var $3=HEAP[$cio]; //@line 1066 "j2k.c"
        var $4=_cio_read($3, 2); //@line 1066 "j2k.c"
        HEAP[$len]=$4; //@line 1066 "j2k.c"
        var $5=HEAP[$cio]; //@line 1067 "j2k.c"
        var $6=_cio_read($5, 1); //@line 1067 "j2k.c"
        HEAP[$Zplt]=$6; //@line 1067 "j2k.c"
        var $7=HEAP[$len]; //@line 1068 "j2k.c"
        var $8=CHECK_OVERFLOW((($7) - 3)&4294967295, 32); //@line 1068 "j2k.c"
        HEAP[$i]=$8; //@line 1068 "j2k.c"
        __label__ = 0; break; //@line 1068 "j2k.c"
      case 3: // $bb
        var $9=HEAP[$cio]; //@line 1069 "j2k.c"
        var $10=_cio_read($9, 1); //@line 1069 "j2k.c"
        HEAP[$add]=$10; //@line 1069 "j2k.c"
        var $11=HEAP[$packet_len]; //@line 1070 "j2k.c"
        var $12=($11) << 7; //@line 1070 "j2k.c"
        var $13=HEAP[$add]; //@line 1070 "j2k.c"
        var $14=CHECK_OVERFLOW((($12) + ($13))&4294967295, 32); //@line 1070 "j2k.c"
        HEAP[$packet_len]=$14; //@line 1070 "j2k.c"
        var $15=HEAP[$add]; //@line 1071 "j2k.c"
        var $16=($15) & 128; //@line 1071 "j2k.c"
        var $17=($16)==0; //@line 1071 "j2k.c"
        if ($17) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 1071 "j2k.c"
      case 1: // $bb1
        HEAP[$packet_len]=0; //@line 1073 "j2k.c"
        __label__ = 2; break; //@line 1073 "j2k.c"
      case 2: // $bb2
        var $18=HEAP[$i]; //@line 1068 "j2k.c"
        var $19=CHECK_OVERFLOW((($18) - 1)&4294967295, 32); //@line 1068 "j2k.c"
        HEAP[$i]=$19; //@line 1068 "j2k.c"
        __label__ = 0; break; //@line 1068 "j2k.c"
      case 0: // $bb3
        var $20=HEAP[$i]; //@line 1068 "j2k.c"
        var $21=($20) > 0; //@line 1068 "j2k.c"
        if ($21) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1068 "j2k.c"
      case 4: // $bb4
        __label__ = 5; break; //@line 1076 "j2k.c"
      case 5: // $return
        STACKTOP = __stackBase__;
        return; //@line 1076 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_ppm($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 32);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $len=__stackBase__+4;
        var $Z_ppm=__stackBase__+8;
        var $i=__stackBase__+12;
        var $j=__stackBase__+16;
        var $N_ppm=__stackBase__+20;
        var $cp=__stackBase__+24;
        var $cio=__stackBase__+28;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 1082 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+64)&4294967295, 32); //@line 1082 "j2k.c"
        var $2=HEAP[$1]; //@line 1082 "j2k.c"
        HEAP[$cp]=$2; //@line 1082 "j2k.c"
        var $3=HEAP[$j2k_addr]; //@line 1083 "j2k.c"
        var $4=CHECK_OVERFLOW(($3+72)&4294967295, 32); //@line 1083 "j2k.c"
        var $5=HEAP[$4]; //@line 1083 "j2k.c"
        HEAP[$cio]=$5; //@line 1083 "j2k.c"
        var $6=HEAP[$cio]; //@line 1085 "j2k.c"
        var $7=_cio_read($6, 2); //@line 1085 "j2k.c"
        HEAP[$len]=$7; //@line 1085 "j2k.c"
        var $8=HEAP[$cp]; //@line 1086 "j2k.c"
        var $9=CHECK_OVERFLOW(($8+92)&4294967295, 32); //@line 1086 "j2k.c"
        HEAP[$9]=1; //@line 1086 "j2k.c"
        var $10=HEAP[$cio]; //@line 1088 "j2k.c"
        var $11=_cio_read($10, 1); //@line 1088 "j2k.c"
        HEAP[$Z_ppm]=$11; //@line 1088 "j2k.c"
        var $12=HEAP[$len]; //@line 1089 "j2k.c"
        var $13=CHECK_OVERFLOW((($12) - 3)&4294967295, 32); //@line 1089 "j2k.c"
        HEAP[$len]=$13; //@line 1089 "j2k.c"
        __label__ = 0; break; //@line 1089 "j2k.c"
      case 11: // $bb
        var $14=HEAP[$cp]; //@line 1091 "j2k.c"
        var $15=CHECK_OVERFLOW(($14+100)&4294967295, 32); //@line 1091 "j2k.c"
        var $16=HEAP[$15]; //@line 1091 "j2k.c"
        var $17=($16)==0; //@line 1091 "j2k.c"
        if ($17) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 1091 "j2k.c"
      case 1: // $bb1
        var $18=HEAP[$cio]; //@line 1092 "j2k.c"
        var $19=_cio_read($18, 4); //@line 1092 "j2k.c"
        HEAP[$N_ppm]=$19; //@line 1092 "j2k.c"
        var $20=HEAP[$len]; //@line 1093 "j2k.c"
        var $21=CHECK_OVERFLOW((($20) - 4)&4294967295, 32); //@line 1093 "j2k.c"
        HEAP[$len]=$21; //@line 1093 "j2k.c"
        __label__ = 3; break; //@line 1093 "j2k.c"
      case 2: // $bb2
        var $22=HEAP[$cp]; //@line 1095 "j2k.c"
        var $23=CHECK_OVERFLOW(($22+100)&4294967295, 32); //@line 1095 "j2k.c"
        var $24=HEAP[$23]; //@line 1095 "j2k.c"
        HEAP[$N_ppm]=$24; //@line 1095 "j2k.c"
        __label__ = 3; break; //@line 1095 "j2k.c"
      case 3: // $bb3
        var $25=HEAP[$cp]; //@line 1097 "j2k.c"
        var $26=CHECK_OVERFLOW(($25+96)&4294967295, 32); //@line 1097 "j2k.c"
        var $27=HEAP[$26]; //@line 1097 "j2k.c"
        HEAP[$j]=$27; //@line 1097 "j2k.c"
        var $28=HEAP[$Z_ppm]; //@line 1098 "j2k.c"
        var $29=($28)==0; //@line 1098 "j2k.c"
        if ($29) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1098 "j2k.c"
      case 4: // $bb4
        var $30=HEAP[$N_ppm]; //@line 1099 "j2k.c"
        var $31=_malloc($30); //@line 1099 "j2k.c"
        var $32=HEAP[$cp]; //@line 1099 "j2k.c"
        var $33=CHECK_OVERFLOW(($32+84)&4294967295, 32); //@line 1099 "j2k.c"
        HEAP[$33]=$31; //@line 1099 "j2k.c"
        var $34=HEAP[$cp]; //@line 1100 "j2k.c"
        var $35=CHECK_OVERFLOW(($34+84)&4294967295, 32); //@line 1100 "j2k.c"
        var $36=HEAP[$35]; //@line 1100 "j2k.c"
        var $37=HEAP[$cp]; //@line 1100 "j2k.c"
        var $38=CHECK_OVERFLOW(($37+88)&4294967295, 32); //@line 1100 "j2k.c"
        HEAP[$38]=$36; //@line 1100 "j2k.c"
        var $39=HEAP[$cp]; //@line 1101 "j2k.c"
        var $40=CHECK_OVERFLOW(($39+104)&4294967295, 32); //@line 1101 "j2k.c"
        var $41=HEAP[$N_ppm]; //@line 1101 "j2k.c"
        HEAP[$40]=$41; //@line 1101 "j2k.c"
        __label__ = 6; break; //@line 1101 "j2k.c"
      case 5: // $bb5
        var $42=HEAP[$cp]; //@line 1103 "j2k.c"
        var $43=CHECK_OVERFLOW(($42+96)&4294967295, 32); //@line 1103 "j2k.c"
        var $44=HEAP[$43]; //@line 1103 "j2k.c"
        var $45=HEAP[$N_ppm]; //@line 1103 "j2k.c"
        var $46=CHECK_OVERFLOW((($44) + ($45))&4294967295, 32); //@line 1103 "j2k.c"
        var $47=HEAP[$cp]; //@line 1103 "j2k.c"
        var $48=CHECK_OVERFLOW(($47+84)&4294967295, 32); //@line 1103 "j2k.c"
        var $49=HEAP[$48]; //@line 1103 "j2k.c"
        var $50=_realloc($49, $46); //@line 1103 "j2k.c"
        var $51=HEAP[$cp]; //@line 1103 "j2k.c"
        var $52=CHECK_OVERFLOW(($51+84)&4294967295, 32); //@line 1103 "j2k.c"
        HEAP[$52]=$50; //@line 1103 "j2k.c"
        var $53=HEAP[$cp]; //@line 1121 "j2k.c"
        var $54=CHECK_OVERFLOW(($53+84)&4294967295, 32); //@line 1121 "j2k.c"
        var $55=HEAP[$54]; //@line 1121 "j2k.c"
        var $56=HEAP[$cp]; //@line 1121 "j2k.c"
        var $57=CHECK_OVERFLOW(($56+88)&4294967295, 32); //@line 1121 "j2k.c"
        HEAP[$57]=$55; //@line 1121 "j2k.c"
        var $58=HEAP[$cp]; //@line 1122 "j2k.c"
        var $59=CHECK_OVERFLOW(($58+96)&4294967295, 32); //@line 1122 "j2k.c"
        var $60=HEAP[$59]; //@line 1122 "j2k.c"
        var $61=HEAP[$N_ppm]; //@line 1122 "j2k.c"
        var $62=CHECK_OVERFLOW((($60) + ($61))&4294967295, 32); //@line 1122 "j2k.c"
        var $63=HEAP[$cp]; //@line 1122 "j2k.c"
        var $64=CHECK_OVERFLOW(($63+104)&4294967295, 32); //@line 1122 "j2k.c"
        HEAP[$64]=$62; //@line 1122 "j2k.c"
        __label__ = 6; break; //@line 1122 "j2k.c"
      case 6: // $bb6
        var $65=HEAP[$N_ppm]; //@line 1124 "j2k.c"
        HEAP[$i]=$65; //@line 1124 "j2k.c"
        __label__ = 7; break; //@line 1124 "j2k.c"
      case 10: // $bb7
        var $66=HEAP[$cp]; //@line 1125 "j2k.c"
        var $67=CHECK_OVERFLOW(($66+84)&4294967295, 32); //@line 1125 "j2k.c"
        var $68=HEAP[$67]; //@line 1125 "j2k.c"
        var $69=HEAP[$cio]; //@line 1125 "j2k.c"
        var $70=_cio_read($69, 1); //@line 1125 "j2k.c"
        var $71=((($70)) & 255); //@line 1125 "j2k.c"
        var $72=HEAP[$j]; //@line 1125 "j2k.c"
        var $73=CHECK_OVERFLOW(($68+$72)&4294967295, 32); //@line 1125 "j2k.c"
        HEAP[$73]=$71; //@line 1125 "j2k.c"
        var $74=HEAP[$j]; //@line 1126 "j2k.c"
        var $75=CHECK_OVERFLOW((($74) + 1)&4294967295, 32); //@line 1126 "j2k.c"
        HEAP[$j]=$75; //@line 1126 "j2k.c"
        var $76=HEAP[$len]; //@line 1127 "j2k.c"
        var $77=CHECK_OVERFLOW((($76) - 1)&4294967295, 32); //@line 1127 "j2k.c"
        HEAP[$len]=$77; //@line 1127 "j2k.c"
        var $78=HEAP[$len]; //@line 1128 "j2k.c"
        var $79=($78)==0; //@line 1128 "j2k.c"
        if ($79) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1128 "j2k.c"
      case 9: // $bb8
        var $80=HEAP[$i]; //@line 1124 "j2k.c"
        var $81=CHECK_OVERFLOW((($80) - 1)&4294967295, 32); //@line 1124 "j2k.c"
        HEAP[$i]=$81; //@line 1124 "j2k.c"
        __label__ = 7; break; //@line 1124 "j2k.c"
      case 7: // $bb9
        var $82=HEAP[$i]; //@line 1124 "j2k.c"
        var $83=($82) > 0; //@line 1124 "j2k.c"
        if ($83) { __label__ = 10; break; } else { __label__ = 8; break; } //@line 1124 "j2k.c"
      case 8: // $bb10
        var $84=HEAP[$i]; //@line 1131 "j2k.c"
        var $85=CHECK_OVERFLOW((($84) - 1)&4294967295, 32); //@line 1131 "j2k.c"
        var $86=HEAP[$cp]; //@line 1131 "j2k.c"
        var $87=CHECK_OVERFLOW(($86+100)&4294967295, 32); //@line 1131 "j2k.c"
        HEAP[$87]=$85; //@line 1131 "j2k.c"
        var $88=HEAP[$cp]; //@line 1132 "j2k.c"
        var $89=CHECK_OVERFLOW(($88+96)&4294967295, 32); //@line 1132 "j2k.c"
        var $90=HEAP[$j]; //@line 1132 "j2k.c"
        HEAP[$89]=$90; //@line 1132 "j2k.c"
        __label__ = 0; break; //@line 1132 "j2k.c"
      case 0: // $bb11
        var $91=HEAP[$len]; //@line 1090 "j2k.c"
        var $92=($91) > 0; //@line 1090 "j2k.c"
        if ($92) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1090 "j2k.c"
      case 12: // $bb12
        __label__ = 13; break; //@line 1134 "j2k.c"
      case 13: // $return
        STACKTOP = __stackBase__;
        return; //@line 1134 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_ppt($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 32);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $len=__stackBase__+4;
        var $Z_ppt=__stackBase__+8;
        var $i=__stackBase__+12;
        var $j=__stackBase__+16;
        var $cp=__stackBase__+20;
        var $tcp=__stackBase__+24;
        var $cio=__stackBase__+28;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$j]=0; //@line 1137 "j2k.c"
        var $0=HEAP[$j2k_addr]; //@line 1139 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+64)&4294967295, 32); //@line 1139 "j2k.c"
        var $2=HEAP[$1]; //@line 1139 "j2k.c"
        HEAP[$cp]=$2; //@line 1139 "j2k.c"
        var $3=HEAP[$cp]; //@line 1140 "j2k.c"
        var $4=CHECK_OVERFLOW(($3+108)&4294967295, 32); //@line 1140 "j2k.c"
        var $5=HEAP[$4]; //@line 1140 "j2k.c"
        var $6=HEAP[$j2k_addr]; //@line 1140 "j2k.c"
        var $7=CHECK_OVERFLOW(($6+8)&4294967295, 32); //@line 1140 "j2k.c"
        var $8=HEAP[$7]; //@line 1140 "j2k.c"
        var $9=CHECK_OVERFLOW(($5+5588*$8)&4294967295, 32); //@line 1140 "j2k.c"
        HEAP[$tcp]=$9; //@line 1140 "j2k.c"
        var $10=HEAP[$j2k_addr]; //@line 1141 "j2k.c"
        var $11=CHECK_OVERFLOW(($10+72)&4294967295, 32); //@line 1141 "j2k.c"
        var $12=HEAP[$11]; //@line 1141 "j2k.c"
        HEAP[$cio]=$12; //@line 1141 "j2k.c"
        var $13=HEAP[$cio]; //@line 1143 "j2k.c"
        var $14=_cio_read($13, 2); //@line 1143 "j2k.c"
        HEAP[$len]=$14; //@line 1143 "j2k.c"
        var $15=HEAP[$cio]; //@line 1144 "j2k.c"
        var $16=_cio_read($15, 1); //@line 1144 "j2k.c"
        HEAP[$Z_ppt]=$16; //@line 1144 "j2k.c"
        var $17=HEAP[$tcp]; //@line 1145 "j2k.c"
        var $18=CHECK_OVERFLOW(($17+5172)&4294967295, 32); //@line 1145 "j2k.c"
        HEAP[$18]=1; //@line 1145 "j2k.c"
        var $19=HEAP[$Z_ppt]; //@line 1146 "j2k.c"
        var $20=($19)==0; //@line 1146 "j2k.c"
        if ($20) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1146 "j2k.c"
      case 0: // $bb
        var $21=HEAP[$len]; //@line 1147 "j2k.c"
        var $22=CHECK_OVERFLOW((($21) - 3)&4294967295, 32); //@line 1147 "j2k.c"
        var $23=_malloc($22); //@line 1147 "j2k.c"
        var $24=HEAP[$tcp]; //@line 1147 "j2k.c"
        var $25=CHECK_OVERFLOW(($24+5164)&4294967295, 32); //@line 1147 "j2k.c"
        HEAP[$25]=$23; //@line 1147 "j2k.c"
        var $26=HEAP[$tcp]; //@line 1148 "j2k.c"
        var $27=CHECK_OVERFLOW(($26+5164)&4294967295, 32); //@line 1148 "j2k.c"
        var $28=HEAP[$27]; //@line 1148 "j2k.c"
        var $29=HEAP[$tcp]; //@line 1148 "j2k.c"
        var $30=CHECK_OVERFLOW(($29+5168)&4294967295, 32); //@line 1148 "j2k.c"
        HEAP[$30]=$28; //@line 1148 "j2k.c"
        var $31=HEAP[$tcp]; //@line 1149 "j2k.c"
        var $32=CHECK_OVERFLOW(($31+5176)&4294967295, 32); //@line 1149 "j2k.c"
        HEAP[$32]=0; //@line 1149 "j2k.c"
        var $33=HEAP[$len]; //@line 1150 "j2k.c"
        var $34=CHECK_OVERFLOW((($33) - 3)&4294967295, 32); //@line 1150 "j2k.c"
        var $35=HEAP[$tcp]; //@line 1150 "j2k.c"
        var $36=CHECK_OVERFLOW(($35+5180)&4294967295, 32); //@line 1150 "j2k.c"
        HEAP[$36]=$34; //@line 1150 "j2k.c"
        __label__ = 2; break; //@line 1150 "j2k.c"
      case 1: // $bb1
        var $37=HEAP[$len]; //@line 1152 "j2k.c"
        var $38=CHECK_OVERFLOW((($37) - 3)&4294967295, 32); //@line 1152 "j2k.c"
        var $39=HEAP[$tcp]; //@line 1152 "j2k.c"
        var $40=CHECK_OVERFLOW(($39+5176)&4294967295, 32); //@line 1152 "j2k.c"
        var $41=HEAP[$40]; //@line 1152 "j2k.c"
        var $42=CHECK_OVERFLOW((($38) + ($41))&4294967295, 32); //@line 1152 "j2k.c"
        var $43=HEAP[$tcp]; //@line 1152 "j2k.c"
        var $44=CHECK_OVERFLOW(($43+5164)&4294967295, 32); //@line 1152 "j2k.c"
        var $45=HEAP[$44]; //@line 1152 "j2k.c"
        var $46=_realloc($45, $42); //@line 1152 "j2k.c"
        var $47=HEAP[$tcp]; //@line 1152 "j2k.c"
        var $48=CHECK_OVERFLOW(($47+5164)&4294967295, 32); //@line 1152 "j2k.c"
        HEAP[$48]=$46; //@line 1152 "j2k.c"
        var $49=HEAP[$tcp]; //@line 1153 "j2k.c"
        var $50=CHECK_OVERFLOW(($49+5164)&4294967295, 32); //@line 1153 "j2k.c"
        var $51=HEAP[$50]; //@line 1153 "j2k.c"
        var $52=HEAP[$tcp]; //@line 1153 "j2k.c"
        var $53=CHECK_OVERFLOW(($52+5168)&4294967295, 32); //@line 1153 "j2k.c"
        HEAP[$53]=$51; //@line 1153 "j2k.c"
        var $54=HEAP[$len]; //@line 1154 "j2k.c"
        var $55=CHECK_OVERFLOW((($54) - 3)&4294967295, 32); //@line 1154 "j2k.c"
        var $56=HEAP[$tcp]; //@line 1154 "j2k.c"
        var $57=CHECK_OVERFLOW(($56+5176)&4294967295, 32); //@line 1154 "j2k.c"
        var $58=HEAP[$57]; //@line 1154 "j2k.c"
        var $59=CHECK_OVERFLOW((($55) + ($58))&4294967295, 32); //@line 1154 "j2k.c"
        var $60=HEAP[$tcp]; //@line 1154 "j2k.c"
        var $61=CHECK_OVERFLOW(($60+5180)&4294967295, 32); //@line 1154 "j2k.c"
        HEAP[$61]=$59; //@line 1154 "j2k.c"
        __label__ = 2; break; //@line 1154 "j2k.c"
      case 2: // $bb2
        var $62=HEAP[$tcp]; //@line 1156 "j2k.c"
        var $63=CHECK_OVERFLOW(($62+5176)&4294967295, 32); //@line 1156 "j2k.c"
        var $64=HEAP[$63]; //@line 1156 "j2k.c"
        HEAP[$j]=$64; //@line 1156 "j2k.c"
        var $65=HEAP[$len]; //@line 1157 "j2k.c"
        var $66=CHECK_OVERFLOW((($65) - 3)&4294967295, 32); //@line 1157 "j2k.c"
        HEAP[$i]=$66; //@line 1157 "j2k.c"
        __label__ = 3; break; //@line 1157 "j2k.c"
      case 4: // $bb3
        var $67=HEAP[$tcp]; //@line 1158 "j2k.c"
        var $68=CHECK_OVERFLOW(($67+5164)&4294967295, 32); //@line 1158 "j2k.c"
        var $69=HEAP[$68]; //@line 1158 "j2k.c"
        var $70=HEAP[$cio]; //@line 1158 "j2k.c"
        var $71=_cio_read($70, 1); //@line 1158 "j2k.c"
        var $72=((($71)) & 255); //@line 1158 "j2k.c"
        var $73=HEAP[$j]; //@line 1158 "j2k.c"
        var $74=CHECK_OVERFLOW(($69+$73)&4294967295, 32); //@line 1158 "j2k.c"
        HEAP[$74]=$72; //@line 1158 "j2k.c"
        var $75=HEAP[$j]; //@line 1159 "j2k.c"
        var $76=CHECK_OVERFLOW((($75) + 1)&4294967295, 32); //@line 1159 "j2k.c"
        HEAP[$j]=$76; //@line 1159 "j2k.c"
        var $77=HEAP[$i]; //@line 1157 "j2k.c"
        var $78=CHECK_OVERFLOW((($77) - 1)&4294967295, 32); //@line 1157 "j2k.c"
        HEAP[$i]=$78; //@line 1157 "j2k.c"
        __label__ = 3; break; //@line 1157 "j2k.c"
      case 3: // $bb4
        var $79=HEAP[$i]; //@line 1157 "j2k.c"
        var $80=($79) > 0; //@line 1157 "j2k.c"
        if ($80) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1157 "j2k.c"
      case 5: // $bb5
        var $81=HEAP[$tcp]; //@line 1161 "j2k.c"
        var $82=CHECK_OVERFLOW(($81+5176)&4294967295, 32); //@line 1161 "j2k.c"
        var $83=HEAP[$j]; //@line 1161 "j2k.c"
        HEAP[$82]=$83; //@line 1161 "j2k.c"
        __label__ = 6; break; //@line 1162 "j2k.c"
      case 6: // $return
        STACKTOP = __stackBase__;
        return; //@line 1162 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_write_tlm($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $lenp=__stackBase__+4;
        var $cio=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 1166 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+72)&4294967295, 32); //@line 1166 "j2k.c"
        var $2=HEAP[$1]; //@line 1166 "j2k.c"
        HEAP[$cio]=$2; //@line 1166 "j2k.c"
        var $3=HEAP[$cio]; //@line 1167 "j2k.c"
        var $4=_cio_tell($3); //@line 1167 "j2k.c"
        var $5=HEAP[$j2k_addr]; //@line 1167 "j2k.c"
        var $6=CHECK_OVERFLOW(($5+24)&4294967295, 32); //@line 1167 "j2k.c"
        HEAP[$6]=$4; //@line 1167 "j2k.c"
        var $7=HEAP[$cio]; //@line 1168 "j2k.c"
        var $8=_cio_write($7, 65365, 2); //@line 1168 "j2k.c"
        var $9=HEAP[$j2k_addr]; //@line 1169 "j2k.c"
        var $10=CHECK_OVERFLOW(($9+28)&4294967295, 32); //@line 1169 "j2k.c"
        var $11=HEAP[$10]; //@line 1169 "j2k.c"
        var $12=CHECK_OVERFLOW((($11) * 5)&4294967295, 32); //@line 1169 "j2k.c"
        var $13=CHECK_OVERFLOW((($12) + 4)&4294967295, 32); //@line 1169 "j2k.c"
        HEAP[$lenp]=$13; //@line 1169 "j2k.c"
        var $14=HEAP[$lenp]; //@line 1170 "j2k.c"
        var $15=HEAP[$cio]; //@line 1170 "j2k.c"
        var $16=_cio_write($15, $14, 2); //@line 1170 "j2k.c"
        var $17=HEAP[$cio]; //@line 1171 "j2k.c"
        var $18=_cio_write($17, 0, 1); //@line 1171 "j2k.c"
        var $19=HEAP[$cio]; //@line 1172 "j2k.c"
        var $20=_cio_write($19, 80, 1); //@line 1172 "j2k.c"
        var $21=HEAP[$j2k_addr]; //@line 1173 "j2k.c"
        var $22=CHECK_OVERFLOW(($21+28)&4294967295, 32); //@line 1173 "j2k.c"
        var $23=HEAP[$22]; //@line 1173 "j2k.c"
        var $24=CHECK_OVERFLOW((($23) * 5)&4294967295, 32); //@line 1173 "j2k.c"
        var $25=HEAP[$cio]; //@line 1173 "j2k.c"
        _cio_skip($25, $24); //@line 1173 "j2k.c"
        __label__ = 0; break; //@line 1174 "j2k.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 1174 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_write_sot($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $lenp=__stackBase__+4;
        var $len=__stackBase__+8;
        var $cio=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 1179 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+72)&4294967295, 32); //@line 1179 "j2k.c"
        var $2=HEAP[$1]; //@line 1179 "j2k.c"
        HEAP[$cio]=$2; //@line 1179 "j2k.c"
        var $3=HEAP[$cio]; //@line 1181 "j2k.c"
        var $4=_cio_tell($3); //@line 1181 "j2k.c"
        var $5=HEAP[$j2k_addr]; //@line 1181 "j2k.c"
        var $6=CHECK_OVERFLOW(($5+36)&4294967295, 32); //@line 1181 "j2k.c"
        HEAP[$6]=$4; //@line 1181 "j2k.c"
        var $7=HEAP[$cio]; //@line 1182 "j2k.c"
        var $8=_cio_write($7, 65424, 2); //@line 1182 "j2k.c"
        var $9=HEAP[$cio]; //@line 1183 "j2k.c"
        var $10=_cio_tell($9); //@line 1183 "j2k.c"
        HEAP[$lenp]=$10; //@line 1183 "j2k.c"
        var $11=HEAP[$cio]; //@line 1184 "j2k.c"
        _cio_skip($11, 2); //@line 1184 "j2k.c"
        var $12=HEAP[$j2k_addr]; //@line 1185 "j2k.c"
        var $13=CHECK_OVERFLOW(($12+8)&4294967295, 32); //@line 1185 "j2k.c"
        var $14=HEAP[$13]; //@line 1185 "j2k.c"
        var $15=HEAP[$cio]; //@line 1185 "j2k.c"
        var $16=_cio_write($15, $14, 2); //@line 1185 "j2k.c"
        var $17=HEAP[$cio]; //@line 1186 "j2k.c"
        _cio_skip($17, 4); //@line 1186 "j2k.c"
        var $18=HEAP[$j2k_addr]; //@line 1187 "j2k.c"
        var $19=CHECK_OVERFLOW(($18+16)&4294967295, 32); //@line 1187 "j2k.c"
        var $20=HEAP[$19]; //@line 1187 "j2k.c"
        var $21=HEAP[$cio]; //@line 1187 "j2k.c"
        var $22=_cio_write($21, $20, 1); //@line 1187 "j2k.c"
        var $23=HEAP[$j2k_addr]; //@line 1188 "j2k.c"
        var $24=CHECK_OVERFLOW(($23+20)&4294967295, 32); //@line 1188 "j2k.c"
        var $25=HEAP[$24]; //@line 1188 "j2k.c"
        var $26=HEAP[$j2k_addr]; //@line 1188 "j2k.c"
        var $27=CHECK_OVERFLOW(($26+8)&4294967295, 32); //@line 1188 "j2k.c"
        var $28=HEAP[$27]; //@line 1188 "j2k.c"
        var $29=CHECK_OVERFLOW(($25+4*$28)&4294967295, 32); //@line 1188 "j2k.c"
        var $30=HEAP[$29]; //@line 1188 "j2k.c"
        var $31=HEAP[$cio]; //@line 1188 "j2k.c"
        var $32=_cio_write($31, $30, 1); //@line 1188 "j2k.c"
        var $33=HEAP[$cio]; //@line 1189 "j2k.c"
        var $34=_cio_tell($33); //@line 1189 "j2k.c"
        var $35=HEAP[$lenp]; //@line 1189 "j2k.c"
        var $36=CHECK_OVERFLOW((($34) - ($35))&4294967295, 32); //@line 1189 "j2k.c"
        HEAP[$len]=$36; //@line 1189 "j2k.c"
        var $37=HEAP[$cio]; //@line 1190 "j2k.c"
        var $38=HEAP[$lenp]; //@line 1190 "j2k.c"
        _cio_seek($37, $38); //@line 1190 "j2k.c"
        var $39=HEAP[$len]; //@line 1191 "j2k.c"
        var $40=HEAP[$cio]; //@line 1191 "j2k.c"
        var $41=_cio_write($40, $39, 2); //@line 1191 "j2k.c"
        var $42=HEAP[$lenp]; //@line 1192 "j2k.c"
        var $43=HEAP[$len]; //@line 1192 "j2k.c"
        var $44=CHECK_OVERFLOW((($42) + ($43))&4294967295, 32); //@line 1192 "j2k.c"
        var $45=HEAP[$cio]; //@line 1192 "j2k.c"
        _cio_seek($45, $44); //@line 1192 "j2k.c"
        __label__ = 0; break; //@line 1200 "j2k.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 1200 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_sot($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 45; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 45);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $len=__stackBase__+4;
        var $tileno=__stackBase__+8;
        var $totlen=__stackBase__+12;
        var $partno=__stackBase__+16;
        var $numparts=__stackBase__+20;
        var $i=__stackBase__+24;
        var $tcp=__stackBase__+28;
        var $status=__stackBase__+32;
        var $cp=__stackBase__+33;
        var $cio=__stackBase__+37;
        var $tmp=__stackBase__+41;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$tcp]=0; //@line 1204 "j2k.c"
        HEAP[$status]=0; //@line 1205 "j2k.c"
        var $0=HEAP[$j2k_addr]; //@line 1207 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+64)&4294967295, 32); //@line 1207 "j2k.c"
        var $2=HEAP[$1]; //@line 1207 "j2k.c"
        HEAP[$cp]=$2; //@line 1207 "j2k.c"
        var $3=HEAP[$j2k_addr]; //@line 1208 "j2k.c"
        var $4=CHECK_OVERFLOW(($3+72)&4294967295, 32); //@line 1208 "j2k.c"
        var $5=HEAP[$4]; //@line 1208 "j2k.c"
        HEAP[$cio]=$5; //@line 1208 "j2k.c"
        var $6=HEAP[$cio]; //@line 1210 "j2k.c"
        var $7=_cio_read($6, 2); //@line 1210 "j2k.c"
        HEAP[$len]=$7; //@line 1210 "j2k.c"
        var $8=HEAP[$cio]; //@line 1211 "j2k.c"
        var $9=_cio_read($8, 2); //@line 1211 "j2k.c"
        HEAP[$tileno]=$9; //@line 1211 "j2k.c"
        var $10=HEAP[$cp]; //@line 1239 "j2k.c"
        var $11=CHECK_OVERFLOW(($10+80)&4294967295, 32); //@line 1239 "j2k.c"
        var $12=HEAP[$11]; //@line 1239 "j2k.c"
        var $13=($12)==0; //@line 1239 "j2k.c"
        if ($13) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1239 "j2k.c"
      case 0: // $bb
        var $14=HEAP[$cp]; //@line 1240 "j2k.c"
        var $15=CHECK_OVERFLOW(($14+76)&4294967295, 32); //@line 1240 "j2k.c"
        var $16=HEAP[$15]; //@line 1240 "j2k.c"
        var $17=HEAP[$cp]; //@line 1240 "j2k.c"
        var $18=CHECK_OVERFLOW(($17+80)&4294967295, 32); //@line 1240 "j2k.c"
        var $19=HEAP[$18]; //@line 1240 "j2k.c"
        var $20=CHECK_OVERFLOW(($16+4*$19)&4294967295, 32); //@line 1240 "j2k.c"
        var $21=HEAP[$tileno]; //@line 1240 "j2k.c"
        HEAP[$20]=$21; //@line 1240 "j2k.c"
        var $22=HEAP[$cp]; //@line 1241 "j2k.c"
        var $23=CHECK_OVERFLOW(($22+80)&4294967295, 32); //@line 1241 "j2k.c"
        var $24=HEAP[$23]; //@line 1241 "j2k.c"
        var $25=CHECK_OVERFLOW((($24) + 1)&4294967295, 32); //@line 1241 "j2k.c"
        var $26=HEAP[$cp]; //@line 1241 "j2k.c"
        var $27=CHECK_OVERFLOW(($26+80)&4294967295, 32); //@line 1241 "j2k.c"
        HEAP[$27]=$25; //@line 1241 "j2k.c"
        __label__ = 2; break; //@line 1241 "j2k.c"
      case 1: // $bb1
        HEAP[$i]=0; //@line 1243 "j2k.c"
        __label__ = 3; break; //@line 1243 "j2k.c"
      case 6: // $bb2
        var $28=HEAP[$cp]; //@line 1245 "j2k.c"
        var $29=CHECK_OVERFLOW(($28+76)&4294967295, 32); //@line 1245 "j2k.c"
        var $30=HEAP[$29]; //@line 1245 "j2k.c"
        var $31=HEAP[$i]; //@line 1245 "j2k.c"
        var $32=CHECK_OVERFLOW(($30+4*$31)&4294967295, 32); //@line 1245 "j2k.c"
        var $33=HEAP[$32]; //@line 1245 "j2k.c"
        var $34=HEAP[$tileno]; //@line 1245 "j2k.c"
        var $35=($33)==($34); //@line 1245 "j2k.c"
        var $36=($35); //@line 1245 "j2k.c"
        HEAP[$status]=$36; //@line 1245 "j2k.c"
        var $37=HEAP[$i]; //@line 1246 "j2k.c"
        var $38=CHECK_OVERFLOW((($37) + 1)&4294967295, 32); //@line 1246 "j2k.c"
        HEAP[$i]=$38; //@line 1246 "j2k.c"
        __label__ = 3; break; //@line 1246 "j2k.c"
      case 3: // $bb3
        var $39=HEAP[$cp]; //@line 1244 "j2k.c"
        var $40=CHECK_OVERFLOW(($39+80)&4294967295, 32); //@line 1244 "j2k.c"
        var $41=HEAP[$40]; //@line 1244 "j2k.c"
        var $42=HEAP[$i]; //@line 1244 "j2k.c"
        var $43=($41) <= ($42); //@line 1244 "j2k.c"
        if ($43) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1244 "j2k.c"
      case 5: // $bb4
        var $44=HEAP[$status]; //@line 1244 "j2k.c"
        var $45=($44)==0; //@line 1244 "j2k.c"
        if ($45) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 1244 "j2k.c"
      case 4: // $bb5
        var $46=HEAP[$status]; //@line 1248 "j2k.c"
        var $47=($46)==0; //@line 1248 "j2k.c"
        if ($47) { __label__ = 7; break; } else { __label__ = 2; break; } //@line 1248 "j2k.c"
      case 7: // $bb6
        var $48=HEAP[$cp]; //@line 1249 "j2k.c"
        var $49=CHECK_OVERFLOW(($48+76)&4294967295, 32); //@line 1249 "j2k.c"
        var $50=HEAP[$49]; //@line 1249 "j2k.c"
        var $51=HEAP[$cp]; //@line 1249 "j2k.c"
        var $52=CHECK_OVERFLOW(($51+80)&4294967295, 32); //@line 1249 "j2k.c"
        var $53=HEAP[$52]; //@line 1249 "j2k.c"
        var $54=CHECK_OVERFLOW(($50+4*$53)&4294967295, 32); //@line 1249 "j2k.c"
        var $55=HEAP[$tileno]; //@line 1249 "j2k.c"
        HEAP[$54]=$55; //@line 1249 "j2k.c"
        var $56=HEAP[$cp]; //@line 1250 "j2k.c"
        var $57=CHECK_OVERFLOW(($56+80)&4294967295, 32); //@line 1250 "j2k.c"
        var $58=HEAP[$57]; //@line 1250 "j2k.c"
        var $59=CHECK_OVERFLOW((($58) + 1)&4294967295, 32); //@line 1250 "j2k.c"
        var $60=HEAP[$cp]; //@line 1250 "j2k.c"
        var $61=CHECK_OVERFLOW(($60+80)&4294967295, 32); //@line 1250 "j2k.c"
        HEAP[$61]=$59; //@line 1250 "j2k.c"
        __label__ = 2; break; //@line 1250 "j2k.c"
      case 2: // $bb7
        var $62=HEAP[$cio]; //@line 1254 "j2k.c"
        var $63=_cio_read($62, 4); //@line 1254 "j2k.c"
        HEAP[$totlen]=$63; //@line 1254 "j2k.c"
        var $64=HEAP[$totlen]; //@line 1278 "j2k.c"
        var $65=($64)==0; //@line 1278 "j2k.c"
        if ($65) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1278 "j2k.c"
      case 8: // $bb8
        var $66=HEAP[$cio]; //@line 1279 "j2k.c"
        var $67=_cio_numbytesleft($66); //@line 1279 "j2k.c"
        var $68=CHECK_OVERFLOW((($67) + 8)&4294967295, 32); //@line 1279 "j2k.c"
        HEAP[$totlen]=$68; //@line 1279 "j2k.c"
        __label__ = 9; break; //@line 1279 "j2k.c"
      case 9: // $bb9
        var $69=HEAP[$cio]; //@line 1281 "j2k.c"
        var $70=_cio_read($69, 1); //@line 1281 "j2k.c"
        HEAP[$partno]=$70; //@line 1281 "j2k.c"
        var $71=HEAP[$cio]; //@line 1282 "j2k.c"
        var $72=_cio_read($71, 1); //@line 1282 "j2k.c"
        HEAP[$numparts]=$72; //@line 1282 "j2k.c"
        var $73=HEAP[$j2k_addr]; //@line 1284 "j2k.c"
        var $74=CHECK_OVERFLOW(($73+8)&4294967295, 32); //@line 1284 "j2k.c"
        var $75=HEAP[$tileno]; //@line 1284 "j2k.c"
        HEAP[$74]=$75; //@line 1284 "j2k.c"
        var $76=HEAP[$j2k_addr]; //@line 1285 "j2k.c"
        var $77=CHECK_OVERFLOW(($76+16)&4294967295, 32); //@line 1285 "j2k.c"
        var $78=HEAP[$partno]; //@line 1285 "j2k.c"
        HEAP[$77]=$78; //@line 1285 "j2k.c"
        var $79=HEAP[$cio]; //@line 1286 "j2k.c"
        var $80=_cio_getbp($79); //@line 1286 "j2k.c"
        var $81=CHECK_OVERFLOW(($80+-12)&4294967295, 32); //@line 1286 "j2k.c"
        var $82=HEAP[$totlen]; //@line 1286 "j2k.c"
        var $83=CHECK_OVERFLOW(($81+$82)&4294967295, 32); //@line 1286 "j2k.c"
        var $84=HEAP[$j2k_addr]; //@line 1286 "j2k.c"
        var $85=CHECK_OVERFLOW(($84+32)&4294967295, 32); //@line 1286 "j2k.c"
        HEAP[$85]=$83; //@line 1286 "j2k.c"
        var $86=HEAP[$j2k_addr]; //@line 1287 "j2k.c"
        var $87=CHECK_OVERFLOW(($86+4)&4294967295, 32); //@line 1287 "j2k.c"
        HEAP[$87]=16; //@line 1287 "j2k.c"
        var $88=HEAP[$cp]; //@line 1288 "j2k.c"
        var $89=CHECK_OVERFLOW(($88+108)&4294967295, 32); //@line 1288 "j2k.c"
        var $90=HEAP[$89]; //@line 1288 "j2k.c"
        var $91=HEAP[$j2k_addr]; //@line 1288 "j2k.c"
        var $92=CHECK_OVERFLOW(($91+8)&4294967295, 32); //@line 1288 "j2k.c"
        var $93=HEAP[$92]; //@line 1288 "j2k.c"
        var $94=CHECK_OVERFLOW(($90+5588*$93)&4294967295, 32); //@line 1288 "j2k.c"
        HEAP[$tcp]=$94; //@line 1288 "j2k.c"
        var $95=HEAP[$j2k_addr]; //@line 1291 "j2k.c"
        var $96=CHECK_OVERFLOW(($95+68)&4294967295, 32); //@line 1291 "j2k.c"
        var $97=HEAP[$96]; //@line 1291 "j2k.c"
        var $98=($97)!=0; //@line 1291 "j2k.c"
        if ($98) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1291 "j2k.c"
      case 10: // $bb10
        var $99=HEAP[$tcp]; //@line 1292 "j2k.c"
        var $100=CHECK_OVERFLOW(($99)&4294967295, 32); //@line 1292 "j2k.c"
        var $101=HEAP[$100]; //@line 1292 "j2k.c"
        var $102=($101)!=0; //@line 1292 "j2k.c"
        if ($102) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1292 "j2k.c"
      case 12: // $bb11
        var $103=HEAP[$tileno]; //@line 1293 "j2k.c"
        var $104=($103)==0; //@line 1293 "j2k.c"
        if ($104) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1293 "j2k.c"
      case 14: // $bb12
        var $105=HEAP[$j2k_addr]; //@line 1294 "j2k.c"
        var $106=CHECK_OVERFLOW(($105+68)&4294967295, 32); //@line 1294 "j2k.c"
        var $107=HEAP[$106]; //@line 1294 "j2k.c"
        var $108=HEAP[$cio]; //@line 1294 "j2k.c"
        var $109=_cio_tell($108); //@line 1294 "j2k.c"
        var $110=CHECK_OVERFLOW((($109) - 13)&4294967295, 32); //@line 1294 "j2k.c"
        var $111=CHECK_OVERFLOW(($107+80)&4294967295, 32); //@line 1294 "j2k.c"
        HEAP[$111]=$110; //@line 1294 "j2k.c"
        __label__ = 15; break; //@line 1294 "j2k.c"
      case 15: // $bb13
        var $112=HEAP[$j2k_addr]; //@line 1295 "j2k.c"
        var $113=CHECK_OVERFLOW(($112+68)&4294967295, 32); //@line 1295 "j2k.c"
        var $114=HEAP[$113]; //@line 1295 "j2k.c"
        var $115=CHECK_OVERFLOW(($114+88)&4294967295, 32); //@line 1295 "j2k.c"
        var $116=HEAP[$115]; //@line 1295 "j2k.c"
        var $117=HEAP[$tileno]; //@line 1295 "j2k.c"
        var $118=CHECK_OVERFLOW(($116+572*$117)&4294967295, 32); //@line 1295 "j2k.c"
        var $119=CHECK_OVERFLOW(($118+4)&4294967295, 32); //@line 1295 "j2k.c"
        var $120=HEAP[$tileno]; //@line 1295 "j2k.c"
        HEAP[$119]=$120; //@line 1295 "j2k.c"
        var $121=HEAP[$j2k_addr]; //@line 1296 "j2k.c"
        var $122=CHECK_OVERFLOW(($121+68)&4294967295, 32); //@line 1296 "j2k.c"
        var $123=HEAP[$122]; //@line 1296 "j2k.c"
        var $124=CHECK_OVERFLOW(($123+88)&4294967295, 32); //@line 1296 "j2k.c"
        var $125=HEAP[$124]; //@line 1296 "j2k.c"
        var $126=HEAP[$tileno]; //@line 1296 "j2k.c"
        var $127=CHECK_OVERFLOW(($125+572*$126)&4294967295, 32); //@line 1296 "j2k.c"
        var $128=HEAP[$cio]; //@line 1296 "j2k.c"
        var $129=_cio_tell($128); //@line 1296 "j2k.c"
        var $130=CHECK_OVERFLOW((($129) - 12)&4294967295, 32); //@line 1296 "j2k.c"
        var $131=CHECK_OVERFLOW(($127+8)&4294967295, 32); //@line 1296 "j2k.c"
        HEAP[$131]=$130; //@line 1296 "j2k.c"
        var $132=HEAP[$j2k_addr]; //@line 1297 "j2k.c"
        var $133=CHECK_OVERFLOW(($132+68)&4294967295, 32); //@line 1297 "j2k.c"
        var $134=HEAP[$133]; //@line 1297 "j2k.c"
        var $135=CHECK_OVERFLOW(($134+88)&4294967295, 32); //@line 1297 "j2k.c"
        var $136=HEAP[$135]; //@line 1297 "j2k.c"
        var $137=HEAP[$tileno]; //@line 1297 "j2k.c"
        var $138=CHECK_OVERFLOW(($136+572*$137)&4294967295, 32); //@line 1297 "j2k.c"
        var $139=HEAP[$j2k_addr]; //@line 1297 "j2k.c"
        var $140=CHECK_OVERFLOW(($139+68)&4294967295, 32); //@line 1297 "j2k.c"
        var $141=HEAP[$140]; //@line 1297 "j2k.c"
        var $142=CHECK_OVERFLOW(($141+88)&4294967295, 32); //@line 1297 "j2k.c"
        var $143=HEAP[$142]; //@line 1297 "j2k.c"
        var $144=HEAP[$tileno]; //@line 1297 "j2k.c"
        var $145=CHECK_OVERFLOW(($143+572*$144)&4294967295, 32); //@line 1297 "j2k.c"
        var $146=CHECK_OVERFLOW(($145+8)&4294967295, 32); //@line 1297 "j2k.c"
        var $147=HEAP[$146]; //@line 1297 "j2k.c"
        var $148=HEAP[$totlen]; //@line 1297 "j2k.c"
        var $149=CHECK_OVERFLOW((($147) + ($148))&4294967295, 32); //@line 1297 "j2k.c"
        var $150=CHECK_OVERFLOW((($149) - 1)&4294967295, 32); //@line 1297 "j2k.c"
        var $151=CHECK_OVERFLOW(($138+16)&4294967295, 32); //@line 1297 "j2k.c"
        HEAP[$151]=$150; //@line 1297 "j2k.c"
        var $152=HEAP[$j2k_addr]; //@line 1298 "j2k.c"
        var $153=CHECK_OVERFLOW(($152+68)&4294967295, 32); //@line 1298 "j2k.c"
        var $154=HEAP[$153]; //@line 1298 "j2k.c"
        var $155=CHECK_OVERFLOW(($154+88)&4294967295, 32); //@line 1298 "j2k.c"
        var $156=HEAP[$155]; //@line 1298 "j2k.c"
        var $157=HEAP[$tileno]; //@line 1298 "j2k.c"
        var $158=CHECK_OVERFLOW(($156+572*$157)&4294967295, 32); //@line 1298 "j2k.c"
        var $159=CHECK_OVERFLOW(($158+564)&4294967295, 32); //@line 1298 "j2k.c"
        var $160=HEAP[$numparts]; //@line 1298 "j2k.c"
        HEAP[$159]=$160; //@line 1298 "j2k.c"
        var $161=HEAP[$numparts]; //@line 1299 "j2k.c"
        var $162=($161)!=0; //@line 1299 "j2k.c"
        if ($162) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1299 "j2k.c"
      case 16: // $bb14
        var $163=HEAP[$j2k_addr]; //@line 1300 "j2k.c"
        var $164=CHECK_OVERFLOW(($163+68)&4294967295, 32); //@line 1300 "j2k.c"
        var $165=HEAP[$164]; //@line 1300 "j2k.c"
        var $166=CHECK_OVERFLOW(($165+88)&4294967295, 32); //@line 1300 "j2k.c"
        var $167=HEAP[$166]; //@line 1300 "j2k.c"
        var $168=HEAP[$tileno]; //@line 1300 "j2k.c"
        var $169=CHECK_OVERFLOW(($167+572*$168)&4294967295, 32); //@line 1300 "j2k.c"
        var $170=HEAP[$numparts]; //@line 1300 "j2k.c"
        var $171=CHECK_OVERFLOW((($170) * 20)&4294967295, 32); //@line 1300 "j2k.c"
        var $172=_malloc($171); //@line 1300 "j2k.c"
        var $173=$172; //@line 1300 "j2k.c"
        var $174=CHECK_OVERFLOW(($169+568)&4294967295, 32); //@line 1300 "j2k.c"
        HEAP[$174]=$173; //@line 1300 "j2k.c"
        __label__ = 18; break; //@line 1300 "j2k.c"
      case 17: // $bb15
        var $175=HEAP[$j2k_addr]; //@line 1302 "j2k.c"
        var $176=CHECK_OVERFLOW(($175+68)&4294967295, 32); //@line 1302 "j2k.c"
        var $177=HEAP[$176]; //@line 1302 "j2k.c"
        var $178=CHECK_OVERFLOW(($177+88)&4294967295, 32); //@line 1302 "j2k.c"
        var $179=HEAP[$178]; //@line 1302 "j2k.c"
        var $180=HEAP[$tileno]; //@line 1302 "j2k.c"
        var $181=CHECK_OVERFLOW(($179+572*$180)&4294967295, 32); //@line 1302 "j2k.c"
        var $182=_malloc(200); //@line 1302 "j2k.c"
        var $183=$182; //@line 1302 "j2k.c"
        var $184=CHECK_OVERFLOW(($181+568)&4294967295, 32); //@line 1302 "j2k.c"
        HEAP[$184]=$183; //@line 1302 "j2k.c"
        __label__ = 18; break; //@line 1302 "j2k.c"
      case 18: // $bb16
        __label__ = 19; break; //@line 1302 "j2k.c"
      case 13: // $bb17
        var $185=HEAP[$j2k_addr]; //@line 1305 "j2k.c"
        var $186=CHECK_OVERFLOW(($185+68)&4294967295, 32); //@line 1305 "j2k.c"
        var $187=HEAP[$186]; //@line 1305 "j2k.c"
        var $188=CHECK_OVERFLOW(($187+88)&4294967295, 32); //@line 1305 "j2k.c"
        var $189=HEAP[$188]; //@line 1305 "j2k.c"
        var $190=HEAP[$tileno]; //@line 1305 "j2k.c"
        var $191=CHECK_OVERFLOW(($189+572*$190)&4294967295, 32); //@line 1305 "j2k.c"
        var $192=HEAP[$j2k_addr]; //@line 1305 "j2k.c"
        var $193=CHECK_OVERFLOW(($192+68)&4294967295, 32); //@line 1305 "j2k.c"
        var $194=HEAP[$193]; //@line 1305 "j2k.c"
        var $195=CHECK_OVERFLOW(($194+88)&4294967295, 32); //@line 1305 "j2k.c"
        var $196=HEAP[$195]; //@line 1305 "j2k.c"
        var $197=HEAP[$tileno]; //@line 1305 "j2k.c"
        var $198=CHECK_OVERFLOW(($196+572*$197)&4294967295, 32); //@line 1305 "j2k.c"
        var $199=CHECK_OVERFLOW(($198+16)&4294967295, 32); //@line 1305 "j2k.c"
        var $200=HEAP[$199]; //@line 1305 "j2k.c"
        var $201=HEAP[$totlen]; //@line 1305 "j2k.c"
        var $202=CHECK_OVERFLOW((($200) + ($201))&4294967295, 32); //@line 1305 "j2k.c"
        var $203=CHECK_OVERFLOW(($191+16)&4294967295, 32); //@line 1305 "j2k.c"
        HEAP[$203]=$202; //@line 1305 "j2k.c"
        __label__ = 19; break; //@line 1305 "j2k.c"
      case 19: // $bb18
        var $204=HEAP[$j2k_addr]; //@line 1307 "j2k.c"
        var $205=CHECK_OVERFLOW(($204+68)&4294967295, 32); //@line 1307 "j2k.c"
        var $206=HEAP[$205]; //@line 1307 "j2k.c"
        var $207=CHECK_OVERFLOW(($206+88)&4294967295, 32); //@line 1307 "j2k.c"
        var $208=HEAP[$207]; //@line 1307 "j2k.c"
        var $209=HEAP[$tileno]; //@line 1307 "j2k.c"
        var $210=CHECK_OVERFLOW(($208+572*$209)&4294967295, 32); //@line 1307 "j2k.c"
        var $211=CHECK_OVERFLOW(($210+568)&4294967295, 32); //@line 1307 "j2k.c"
        var $212=HEAP[$211]; //@line 1307 "j2k.c"
        var $213=HEAP[$partno]; //@line 1307 "j2k.c"
        var $214=CHECK_OVERFLOW(($212+20*$213)&4294967295, 32); //@line 1307 "j2k.c"
        var $215=HEAP[$cio]; //@line 1307 "j2k.c"
        var $216=_cio_tell($215); //@line 1307 "j2k.c"
        var $217=CHECK_OVERFLOW((($216) - 12)&4294967295, 32); //@line 1307 "j2k.c"
        var $218=CHECK_OVERFLOW(($214)&4294967295, 32); //@line 1307 "j2k.c"
        HEAP[$218]=$217; //@line 1307 "j2k.c"
        var $219=HEAP[$j2k_addr]; //@line 1308 "j2k.c"
        var $220=CHECK_OVERFLOW(($219+68)&4294967295, 32); //@line 1308 "j2k.c"
        var $221=HEAP[$220]; //@line 1308 "j2k.c"
        var $222=CHECK_OVERFLOW(($221+88)&4294967295, 32); //@line 1308 "j2k.c"
        var $223=HEAP[$222]; //@line 1308 "j2k.c"
        var $224=HEAP[$tileno]; //@line 1308 "j2k.c"
        var $225=CHECK_OVERFLOW(($223+572*$224)&4294967295, 32); //@line 1308 "j2k.c"
        var $226=CHECK_OVERFLOW(($225+568)&4294967295, 32); //@line 1308 "j2k.c"
        var $227=HEAP[$226]; //@line 1308 "j2k.c"
        var $228=HEAP[$partno]; //@line 1308 "j2k.c"
        var $229=CHECK_OVERFLOW(($227+20*$228)&4294967295, 32); //@line 1308 "j2k.c"
        var $230=HEAP[$j2k_addr]; //@line 1308 "j2k.c"
        var $231=CHECK_OVERFLOW(($230+68)&4294967295, 32); //@line 1308 "j2k.c"
        var $232=HEAP[$231]; //@line 1308 "j2k.c"
        var $233=CHECK_OVERFLOW(($232+88)&4294967295, 32); //@line 1308 "j2k.c"
        var $234=HEAP[$233]; //@line 1308 "j2k.c"
        var $235=HEAP[$tileno]; //@line 1308 "j2k.c"
        var $236=CHECK_OVERFLOW(($234+572*$235)&4294967295, 32); //@line 1308 "j2k.c"
        var $237=CHECK_OVERFLOW(($236+568)&4294967295, 32); //@line 1308 "j2k.c"
        var $238=HEAP[$237]; //@line 1308 "j2k.c"
        var $239=HEAP[$partno]; //@line 1308 "j2k.c"
        var $240=CHECK_OVERFLOW(($238+20*$239)&4294967295, 32); //@line 1308 "j2k.c"
        var $241=CHECK_OVERFLOW(($240)&4294967295, 32); //@line 1308 "j2k.c"
        var $242=HEAP[$241]; //@line 1308 "j2k.c"
        var $243=HEAP[$totlen]; //@line 1308 "j2k.c"
        var $244=CHECK_OVERFLOW((($242) + ($243))&4294967295, 32); //@line 1308 "j2k.c"
        var $245=CHECK_OVERFLOW((($244) - 1)&4294967295, 32); //@line 1308 "j2k.c"
        var $246=CHECK_OVERFLOW(($229+8)&4294967295, 32); //@line 1308 "j2k.c"
        HEAP[$246]=$245; //@line 1308 "j2k.c"
        __label__ = 11; break; //@line 1308 "j2k.c"
      case 11: // $bb19
        var $247=HEAP[$tcp]; //@line 1312 "j2k.c"
        var $248=CHECK_OVERFLOW(($247)&4294967295, 32); //@line 1312 "j2k.c"
        var $249=HEAP[$248]; //@line 1312 "j2k.c"
        var $250=($249)==1; //@line 1312 "j2k.c"
        if ($250) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1312 "j2k.c"
      case 20: // $bb20
        var $251=HEAP[$tcp]; //@line 1314 "j2k.c"
        var $252=CHECK_OVERFLOW(($251+5584)&4294967295, 32); //@line 1314 "j2k.c"
        var $253=HEAP[$252]; //@line 1314 "j2k.c"
        HEAP[$tmp]=$253; //@line 1314 "j2k.c"
        var $254=HEAP[$j2k_addr]; //@line 1315 "j2k.c"
        var $255=CHECK_OVERFLOW(($254+56)&4294967295, 32); //@line 1315 "j2k.c"
        var $256=HEAP[$255]; //@line 1315 "j2k.c"
        var $257=HEAP[$tcp]; //@line 1315 "j2k.c"
        var $258=$257; //@line 1315 "j2k.c"
        var $259=$256; //@line 1315 "j2k.c"
        _llvm_memcpy_p0i8_p0i8_i32($258, $259, 5588, 1, 0); //@line 1315 "j2k.c"
        var $260=HEAP[$tcp]; //@line 1316 "j2k.c"
        var $261=CHECK_OVERFLOW(($260+5172)&4294967295, 32); //@line 1316 "j2k.c"
        HEAP[$261]=0; //@line 1316 "j2k.c"
        var $262=HEAP[$tcp]; //@line 1317 "j2k.c"
        var $263=CHECK_OVERFLOW(($262+5164)&4294967295, 32); //@line 1317 "j2k.c"
        HEAP[$263]=0; //@line 1317 "j2k.c"
        var $264=HEAP[$tcp]; //@line 1318 "j2k.c"
        var $265=CHECK_OVERFLOW(($264+5168)&4294967295, 32); //@line 1318 "j2k.c"
        HEAP[$265]=0; //@line 1318 "j2k.c"
        var $266=HEAP[$tcp]; //@line 1319 "j2k.c"
        var $267=CHECK_OVERFLOW(($266+5584)&4294967295, 32); //@line 1319 "j2k.c"
        var $268=HEAP[$tmp]; //@line 1319 "j2k.c"
        HEAP[$267]=$268; //@line 1319 "j2k.c"
        HEAP[$i]=0; //@line 1321 "j2k.c"
        __label__ = 22; break; //@line 1321 "j2k.c"
      case 23: // $bb21
        var $269=HEAP[$tcp]; //@line 1322 "j2k.c"
        var $270=CHECK_OVERFLOW(($269+5584)&4294967295, 32); //@line 1322 "j2k.c"
        var $271=HEAP[$270]; //@line 1322 "j2k.c"
        var $272=HEAP[$j2k_addr]; //@line 1322 "j2k.c"
        var $273=CHECK_OVERFLOW(($272+56)&4294967295, 32); //@line 1322 "j2k.c"
        var $274=HEAP[$273]; //@line 1322 "j2k.c"
        var $275=CHECK_OVERFLOW(($274+5584)&4294967295, 32); //@line 1322 "j2k.c"
        var $276=HEAP[$275]; //@line 1322 "j2k.c"
        var $277=HEAP[$i]; //@line 1322 "j2k.c"
        var $278=CHECK_OVERFLOW(($271+1076*$277)&4294967295, 32); //@line 1322 "j2k.c"
        var $279=HEAP[$i]; //@line 1322 "j2k.c"
        var $280=CHECK_OVERFLOW(($276+1076*$279)&4294967295, 32); //@line 1322 "j2k.c"
        var $281=$278; //@line 1322 "j2k.c"
        var $282=$280; //@line 1322 "j2k.c"
        _llvm_memcpy_p0i8_p0i8_i32($281, $282, 1076, 1, 0); //@line 1322 "j2k.c"
        var $283=HEAP[$i]; //@line 1321 "j2k.c"
        var $284=CHECK_OVERFLOW((($283) + 1)&4294967295, 32); //@line 1321 "j2k.c"
        HEAP[$i]=$284; //@line 1321 "j2k.c"
        __label__ = 22; break; //@line 1321 "j2k.c"
      case 22: // $bb22
        var $285=HEAP[$j2k_addr]; //@line 1321 "j2k.c"
        var $286=CHECK_OVERFLOW(($285+60)&4294967295, 32); //@line 1321 "j2k.c"
        var $287=HEAP[$286]; //@line 1321 "j2k.c"
        var $288=CHECK_OVERFLOW(($287+16)&4294967295, 32); //@line 1321 "j2k.c"
        var $289=HEAP[$288]; //@line 1321 "j2k.c"
        var $290=HEAP[$i]; //@line 1321 "j2k.c"
        var $291=($289) > ($290); //@line 1321 "j2k.c"
        if ($291) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1321 "j2k.c"
      case 24: // $bb23
        var $292=HEAP[$cp]; //@line 1324 "j2k.c"
        var $293=CHECK_OVERFLOW(($292+108)&4294967295, 32); //@line 1324 "j2k.c"
        var $294=HEAP[$293]; //@line 1324 "j2k.c"
        var $295=HEAP[$j2k_addr]; //@line 1324 "j2k.c"
        var $296=CHECK_OVERFLOW(($295+8)&4294967295, 32); //@line 1324 "j2k.c"
        var $297=HEAP[$296]; //@line 1324 "j2k.c"
        var $298=CHECK_OVERFLOW(($294+5588*$297)&4294967295, 32); //@line 1324 "j2k.c"
        var $299=CHECK_OVERFLOW(($298)&4294967295, 32); //@line 1324 "j2k.c"
        HEAP[$299]=0; //@line 1324 "j2k.c"
        __label__ = 21; break; //@line 1324 "j2k.c"
      case 21: // $bb24
        __label__ = 25; break; //@line 1326 "j2k.c"
      case 25: // $return
        STACKTOP = __stackBase__;
        return; //@line 1326 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_write_sod($j2k, $tile_coder) {
    var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 40);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $tile_coder_addr=__stackBase__+4;
        var $l=__stackBase__+8;
        var $layno=__stackBase__+12;
        var $totlen=__stackBase__+16;
        var $tcp=__stackBase__+20;
        var $cstr_info=__stackBase__+24;
        var $tcd=__stackBase__+28;
        var $cp=__stackBase__+32;
        var $cio=__stackBase__+36;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$tile_coder_addr]=$tile_coder;
        HEAP[$tcp]=0; //@line 1331 "j2k.c"
        HEAP[$cstr_info]=0; //@line 1332 "j2k.c"
        var $0=HEAP[$tile_coder_addr]; //@line 1334 "j2k.c"
        var $1=$0; //@line 1334 "j2k.c"
        HEAP[$tcd]=$1; //@line 1334 "j2k.c"
        var $2=HEAP[$j2k_addr]; //@line 1335 "j2k.c"
        var $3=CHECK_OVERFLOW(($2+64)&4294967295, 32); //@line 1335 "j2k.c"
        var $4=HEAP[$3]; //@line 1335 "j2k.c"
        HEAP[$cp]=$4; //@line 1335 "j2k.c"
        var $5=HEAP[$j2k_addr]; //@line 1336 "j2k.c"
        var $6=CHECK_OVERFLOW(($5+72)&4294967295, 32); //@line 1336 "j2k.c"
        var $7=HEAP[$6]; //@line 1336 "j2k.c"
        HEAP[$cio]=$7; //@line 1336 "j2k.c"
        var $8=HEAP[$j2k_addr]; //@line 1338 "j2k.c"
        var $9=CHECK_OVERFLOW(($8+12)&4294967295, 32); //@line 1338 "j2k.c"
        var $10=HEAP[$9]; //@line 1338 "j2k.c"
        var $11=HEAP[$tcd]; //@line 1338 "j2k.c"
        var $12=CHECK_OVERFLOW(($11+4)&4294967295, 32); //@line 1338 "j2k.c"
        HEAP[$12]=$10; //@line 1338 "j2k.c"
        var $13=HEAP[$j2k_addr]; //@line 1339 "j2k.c"
        var $14=CHECK_OVERFLOW(($13+16)&4294967295, 32); //@line 1339 "j2k.c"
        var $15=HEAP[$14]; //@line 1339 "j2k.c"
        var $16=HEAP[$tcd]; //@line 1339 "j2k.c"
        var $17=CHECK_OVERFLOW(($16+8)&4294967295, 32); //@line 1339 "j2k.c"
        HEAP[$17]=$15; //@line 1339 "j2k.c"
        var $18=HEAP[$cio]; //@line 1341 "j2k.c"
        var $19=_cio_write($18, 65427, 2); //@line 1341 "j2k.c"
        var $20=HEAP[$j2k_addr]; //@line 1342 "j2k.c"
        var $21=CHECK_OVERFLOW(($20+8)&4294967295, 32); //@line 1342 "j2k.c"
        var $22=HEAP[$21]; //@line 1342 "j2k.c"
        var $23=($22)==0; //@line 1342 "j2k.c"
        if ($23) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1342 "j2k.c"
      case 0: // $bb
        var $24=HEAP[$cio]; //@line 1343 "j2k.c"
        var $25=_cio_tell($24); //@line 1343 "j2k.c"
        var $26=HEAP[$j2k_addr]; //@line 1343 "j2k.c"
        var $27=CHECK_OVERFLOW(($26+44)&4294967295, 32); //@line 1343 "j2k.c"
        var $28=HEAP[$27]; //@line 1343 "j2k.c"
        var $29=CHECK_OVERFLOW((($25) + ($28))&4294967295, 32); //@line 1343 "j2k.c"
        var $30=HEAP[$j2k_addr]; //@line 1343 "j2k.c"
        var $31=CHECK_OVERFLOW(($30+40)&4294967295, 32); //@line 1343 "j2k.c"
        HEAP[$31]=$29; //@line 1343 "j2k.c"
        __label__ = 1; break; //@line 1343 "j2k.c"
      case 1: // $bb1
        var $32=HEAP[$j2k_addr]; //@line 1347 "j2k.c"
        var $33=CHECK_OVERFLOW(($32+68)&4294967295, 32); //@line 1347 "j2k.c"
        var $34=HEAP[$33]; //@line 1347 "j2k.c"
        HEAP[$cstr_info]=$34; //@line 1347 "j2k.c"
        var $35=HEAP[$cstr_info]; //@line 1348 "j2k.c"
        var $36=($35)!=0; //@line 1348 "j2k.c"
        if ($36) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1348 "j2k.c"
      case 2: // $bb2
        var $37=HEAP[$j2k_addr]; //@line 1349 "j2k.c"
        var $38=CHECK_OVERFLOW(($37+16)&4294967295, 32); //@line 1349 "j2k.c"
        var $39=HEAP[$38]; //@line 1349 "j2k.c"
        var $40=($39)==0; //@line 1349 "j2k.c"
        if ($40) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1349 "j2k.c"
      case 4: // $bb3
        var $41=HEAP[$cstr_info]; //@line 1350 "j2k.c"
        var $42=CHECK_OVERFLOW(($41+88)&4294967295, 32); //@line 1350 "j2k.c"
        var $43=HEAP[$42]; //@line 1350 "j2k.c"
        var $44=HEAP[$j2k_addr]; //@line 1350 "j2k.c"
        var $45=CHECK_OVERFLOW(($44+8)&4294967295, 32); //@line 1350 "j2k.c"
        var $46=HEAP[$45]; //@line 1350 "j2k.c"
        var $47=CHECK_OVERFLOW(($43+572*$46)&4294967295, 32); //@line 1350 "j2k.c"
        var $48=HEAP[$cio]; //@line 1350 "j2k.c"
        var $49=_cio_tell($48); //@line 1350 "j2k.c"
        var $50=HEAP[$j2k_addr]; //@line 1350 "j2k.c"
        var $51=CHECK_OVERFLOW(($50+44)&4294967295, 32); //@line 1350 "j2k.c"
        var $52=HEAP[$51]; //@line 1350 "j2k.c"
        var $53=CHECK_OVERFLOW((($49) + ($52))&4294967295, 32); //@line 1350 "j2k.c"
        var $54=CHECK_OVERFLOW((($53) - 1)&4294967295, 32); //@line 1350 "j2k.c"
        var $55=CHECK_OVERFLOW(($47+12)&4294967295, 32); //@line 1350 "j2k.c"
        HEAP[$55]=$54; //@line 1350 "j2k.c"
        var $56=HEAP[$j2k_addr]; //@line 1351 "j2k.c"
        var $57=CHECK_OVERFLOW(($56+68)&4294967295, 32); //@line 1351 "j2k.c"
        var $58=HEAP[$57]; //@line 1351 "j2k.c"
        var $59=CHECK_OVERFLOW(($58+88)&4294967295, 32); //@line 1351 "j2k.c"
        var $60=HEAP[$59]; //@line 1351 "j2k.c"
        var $61=HEAP[$j2k_addr]; //@line 1351 "j2k.c"
        var $62=CHECK_OVERFLOW(($61+8)&4294967295, 32); //@line 1351 "j2k.c"
        var $63=HEAP[$62]; //@line 1351 "j2k.c"
        var $64=CHECK_OVERFLOW(($60+572*$63)&4294967295, 32); //@line 1351 "j2k.c"
        var $65=HEAP[$j2k_addr]; //@line 1351 "j2k.c"
        var $66=CHECK_OVERFLOW(($65+8)&4294967295, 32); //@line 1351 "j2k.c"
        var $67=HEAP[$66]; //@line 1351 "j2k.c"
        var $68=CHECK_OVERFLOW(($64+4)&4294967295, 32); //@line 1351 "j2k.c"
        HEAP[$68]=$67; //@line 1351 "j2k.c"
        __label__ = 3; break; //@line 1351 "j2k.c"
      case 5: // $bb4
        var $69=HEAP[$cstr_info]; //@line 1354 "j2k.c"
        var $70=CHECK_OVERFLOW(($69+88)&4294967295, 32); //@line 1354 "j2k.c"
        var $71=HEAP[$70]; //@line 1354 "j2k.c"
        var $72=HEAP[$j2k_addr]; //@line 1354 "j2k.c"
        var $73=CHECK_OVERFLOW(($72+8)&4294967295, 32); //@line 1354 "j2k.c"
        var $74=HEAP[$73]; //@line 1354 "j2k.c"
        var $75=CHECK_OVERFLOW(($71+572*$74)&4294967295, 32); //@line 1354 "j2k.c"
        var $76=CHECK_OVERFLOW(($75+548)&4294967295, 32); //@line 1354 "j2k.c"
        var $77=HEAP[$76]; //@line 1354 "j2k.c"
        var $78=HEAP[$cstr_info]; //@line 1354 "j2k.c"
        var $79=CHECK_OVERFLOW(($78+8)&4294967295, 32); //@line 1354 "j2k.c"
        var $80=HEAP[$79]; //@line 1354 "j2k.c"
        var $81=CHECK_OVERFLOW((($80) - 1)&4294967295, 32); //@line 1354 "j2k.c"
        var $82=CHECK_OVERFLOW(($77+20*$81)&4294967295, 32); //@line 1354 "j2k.c"
        var $83=CHECK_OVERFLOW(($82+8)&4294967295, 32); //@line 1354 "j2k.c"
        var $84=HEAP[$83]; //@line 1354 "j2k.c"
        var $85=HEAP[$cio]; //@line 1354 "j2k.c"
        var $86=_cio_tell($85); //@line 1354 "j2k.c"
        var $87=($84) < ($86); //@line 1354 "j2k.c"
        if ($87) { __label__ = 6; break; } else { __label__ = 3; break; } //@line 1354 "j2k.c"
      case 6: // $bb5
        var $88=HEAP[$cstr_info]; //@line 1355 "j2k.c"
        var $89=CHECK_OVERFLOW(($88+88)&4294967295, 32); //@line 1355 "j2k.c"
        var $90=HEAP[$89]; //@line 1355 "j2k.c"
        var $91=HEAP[$j2k_addr]; //@line 1355 "j2k.c"
        var $92=CHECK_OVERFLOW(($91+8)&4294967295, 32); //@line 1355 "j2k.c"
        var $93=HEAP[$92]; //@line 1355 "j2k.c"
        var $94=CHECK_OVERFLOW(($90+572*$93)&4294967295, 32); //@line 1355 "j2k.c"
        var $95=CHECK_OVERFLOW(($94+548)&4294967295, 32); //@line 1355 "j2k.c"
        var $96=HEAP[$95]; //@line 1355 "j2k.c"
        var $97=HEAP[$cstr_info]; //@line 1355 "j2k.c"
        var $98=CHECK_OVERFLOW(($97+8)&4294967295, 32); //@line 1355 "j2k.c"
        var $99=HEAP[$98]; //@line 1355 "j2k.c"
        var $100=CHECK_OVERFLOW(($96+20*$99)&4294967295, 32); //@line 1355 "j2k.c"
        var $101=HEAP[$cio]; //@line 1355 "j2k.c"
        var $102=_cio_tell($101); //@line 1355 "j2k.c"
        var $103=CHECK_OVERFLOW(($100)&4294967295, 32); //@line 1355 "j2k.c"
        HEAP[$103]=$102; //@line 1355 "j2k.c"
        __label__ = 3; break; //@line 1355 "j2k.c"
      case 3: // $bb6
        var $104=HEAP[$cp]; //@line 1366 "j2k.c"
        var $105=CHECK_OVERFLOW(($104+108)&4294967295, 32); //@line 1366 "j2k.c"
        var $106=HEAP[$105]; //@line 1366 "j2k.c"
        var $107=HEAP[$j2k_addr]; //@line 1366 "j2k.c"
        var $108=CHECK_OVERFLOW(($107+8)&4294967295, 32); //@line 1366 "j2k.c"
        var $109=HEAP[$108]; //@line 1366 "j2k.c"
        var $110=CHECK_OVERFLOW(($106+5588*$109)&4294967295, 32); //@line 1366 "j2k.c"
        HEAP[$tcp]=$110; //@line 1366 "j2k.c"
        HEAP[$layno]=0; //@line 1367 "j2k.c"
        __label__ = 7; break; //@line 1367 "j2k.c"
      case 12: // $bb7
        var $111=HEAP[$layno]; //@line 1368 "j2k.c"
        var $112=HEAP[$tcp]; //@line 1368 "j2k.c"
        var $113=CHECK_OVERFLOW(($112+20)&4294967295, 32); //@line 1368 "j2k.c"
        var $114=CHECK_OVERFLOW(($113+$111*4)&4294967295, 32); //@line 1368 "j2k.c"
        var $115=HEAP[$114]; //@line 1368 "j2k.c"
        var $116=HEAP[$j2k_addr]; //@line 1368 "j2k.c"
        var $117=CHECK_OVERFLOW(($116+40)&4294967295, 32); //@line 1368 "j2k.c"
        var $118=HEAP[$117]; //@line 1368 "j2k.c"
        var $119=HEAP[$cp]; //@line 1368 "j2k.c"
        var $120=CHECK_OVERFLOW(($119+72)&4294967295, 32); //@line 1368 "j2k.c"
        var $121=HEAP[$120]; //@line 1368 "j2k.c"
        var $122=HEAP[$cp]; //@line 1368 "j2k.c"
        var $123=CHECK_OVERFLOW(($122+68)&4294967295, 32); //@line 1368 "j2k.c"
        var $124=HEAP[$123]; //@line 1368 "j2k.c"
        var $125=CHECK_OVERFLOW((($121) * ($124))&4294967295, 32); //@line 1368 "j2k.c"
        var $126=(($118)/($125)|0); //@line 1368 "j2k.c"
        var $127=($126); //@line 1368 "j2k.c"
        var $128=($115) > ($127); //@line 1368 "j2k.c"
        if ($128) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1368 "j2k.c"
      case 8: // $bb8
        var $129=HEAP[$layno]; //@line 1369 "j2k.c"
        var $130=HEAP[$layno]; //@line 1369 "j2k.c"
        var $131=HEAP[$tcp]; //@line 1369 "j2k.c"
        var $132=CHECK_OVERFLOW(($131+20)&4294967295, 32); //@line 1369 "j2k.c"
        var $133=CHECK_OVERFLOW(($132+$130*4)&4294967295, 32); //@line 1369 "j2k.c"
        var $134=HEAP[$133]; //@line 1369 "j2k.c"
        var $135=HEAP[$j2k_addr]; //@line 1369 "j2k.c"
        var $136=CHECK_OVERFLOW(($135+40)&4294967295, 32); //@line 1369 "j2k.c"
        var $137=HEAP[$136]; //@line 1369 "j2k.c"
        var $138=HEAP[$cp]; //@line 1369 "j2k.c"
        var $139=CHECK_OVERFLOW(($138+72)&4294967295, 32); //@line 1369 "j2k.c"
        var $140=HEAP[$139]; //@line 1369 "j2k.c"
        var $141=HEAP[$cp]; //@line 1369 "j2k.c"
        var $142=CHECK_OVERFLOW(($141+68)&4294967295, 32); //@line 1369 "j2k.c"
        var $143=HEAP[$142]; //@line 1369 "j2k.c"
        var $144=CHECK_OVERFLOW((($140) * ($143))&4294967295, 32); //@line 1369 "j2k.c"
        var $145=(($137)/($144)|0); //@line 1369 "j2k.c"
        var $146=($145); //@line 1369 "j2k.c"
        var $147=($134) - ($146); //@line 1369 "j2k.c"
        var $148=HEAP[$tcp]; //@line 1369 "j2k.c"
        var $149=CHECK_OVERFLOW(($148+20)&4294967295, 32); //@line 1369 "j2k.c"
        var $150=CHECK_OVERFLOW(($149+$129*4)&4294967295, 32); //@line 1369 "j2k.c"
        HEAP[$150]=$147; //@line 1369 "j2k.c"
        __label__ = 10; break; //@line 1369 "j2k.c"
      case 9: // $bb9
        var $151=HEAP[$layno]; //@line 1370 "j2k.c"
        var $152=HEAP[$tcp]; //@line 1370 "j2k.c"
        var $153=CHECK_OVERFLOW(($152+20)&4294967295, 32); //@line 1370 "j2k.c"
        var $154=CHECK_OVERFLOW(($153+$151*4)&4294967295, 32); //@line 1370 "j2k.c"
        var $155=HEAP[$154]; //@line 1370 "j2k.c"
        var $156=($155) != 0; //@line 1370 "j2k.c"
        if ($156) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 1370 "j2k.c"
      case 11: // $bb10
        var $157=HEAP[$layno]; //@line 1371 "j2k.c"
        var $158=HEAP[$tcp]; //@line 1371 "j2k.c"
        var $159=CHECK_OVERFLOW(($158+20)&4294967295, 32); //@line 1371 "j2k.c"
        var $160=CHECK_OVERFLOW(($159+$157*4)&4294967295, 32); //@line 1371 "j2k.c"
        HEAP[$160]=1; //@line 1371 "j2k.c"
        __label__ = 10; break; //@line 1371 "j2k.c"
      case 10: // $bb11
        var $161=HEAP[$layno]; //@line 1367 "j2k.c"
        var $162=CHECK_OVERFLOW((($161) + 1)&4294967295, 32); //@line 1367 "j2k.c"
        HEAP[$layno]=$162; //@line 1367 "j2k.c"
        __label__ = 7; break; //@line 1367 "j2k.c"
      case 7: // $bb12
        var $163=HEAP[$tcp]; //@line 1367 "j2k.c"
        var $164=CHECK_OVERFLOW(($163+12)&4294967295, 32); //@line 1367 "j2k.c"
        var $165=HEAP[$164]; //@line 1367 "j2k.c"
        var $166=HEAP[$layno]; //@line 1367 "j2k.c"
        var $167=($165) > ($166); //@line 1367 "j2k.c"
        if ($167) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1367 "j2k.c"
      case 13: // $bb13
        var $168=HEAP[$j2k_addr]; //@line 1374 "j2k.c"
        var $169=CHECK_OVERFLOW(($168+16)&4294967295, 32); //@line 1374 "j2k.c"
        var $170=HEAP[$169]; //@line 1374 "j2k.c"
        var $171=($170)==0; //@line 1374 "j2k.c"
        if ($171) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1374 "j2k.c"
      case 14: // $bb14
        var $172=HEAP[$tcd]; //@line 1375 "j2k.c"
        var $173=CHECK_OVERFLOW(($172+24)&4294967295, 32); //@line 1375 "j2k.c"
        var $174=HEAP[$173]; //@line 1375 "j2k.c"
        var $175=CHECK_OVERFLOW(($174+8)&4294967295, 32); //@line 1375 "j2k.c"
        var $176=HEAP[$175]; //@line 1375 "j2k.c"
        var $177=CHECK_OVERFLOW(($176+836)&4294967295, 32); //@line 1375 "j2k.c"
        HEAP[$177]=0; //@line 1375 "j2k.c"
        var $178=HEAP[$cstr_info]; //@line 1376 "j2k.c"
        var $179=($178)!=0; //@line 1376 "j2k.c"
        if ($179) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 1376 "j2k.c"
      case 16: // $bb15
        var $180=HEAP[$cstr_info]; //@line 1377 "j2k.c"
        var $181=CHECK_OVERFLOW(($180+8)&4294967295, 32); //@line 1377 "j2k.c"
        HEAP[$181]=0; //@line 1377 "j2k.c"
        __label__ = 15; break; //@line 1377 "j2k.c"
      case 15: // $bb16
        var $182=HEAP[$cio]; //@line 1380 "j2k.c"
        var $183=_cio_numbytesleft($182); //@line 1380 "j2k.c"
        var $184=CHECK_OVERFLOW((($183) - 2)&4294967295, 32); //@line 1380 "j2k.c"
        var $185=HEAP[$cio]; //@line 1380 "j2k.c"
        var $186=_cio_getbp($185); //@line 1380 "j2k.c"
        var $187=HEAP[$j2k_addr]; //@line 1380 "j2k.c"
        var $188=CHECK_OVERFLOW(($187+8)&4294967295, 32); //@line 1380 "j2k.c"
        var $189=HEAP[$188]; //@line 1380 "j2k.c"
        var $190=HEAP[$tcd]; //@line 1380 "j2k.c"
        var $191=HEAP[$cstr_info]; //@line 1380 "j2k.c"
        var $192=_tcd_encode_tile($190, $189, $186, $184, $191); //@line 1380 "j2k.c"
        HEAP[$l]=$192; //@line 1380 "j2k.c"
        var $193=HEAP[$cio]; //@line 1383 "j2k.c"
        var $194=_cio_tell($193); //@line 1383 "j2k.c"
        var $195=HEAP[$l]; //@line 1383 "j2k.c"
        var $196=CHECK_OVERFLOW((($194) + ($195))&4294967295, 32); //@line 1383 "j2k.c"
        var $197=HEAP[$j2k_addr]; //@line 1383 "j2k.c"
        var $198=CHECK_OVERFLOW(($197+36)&4294967295, 32); //@line 1383 "j2k.c"
        var $199=HEAP[$198]; //@line 1383 "j2k.c"
        var $200=CHECK_OVERFLOW((($196) - ($199))&4294967295, 32); //@line 1383 "j2k.c"
        HEAP[$totlen]=$200; //@line 1383 "j2k.c"
        var $201=HEAP[$j2k_addr]; //@line 1384 "j2k.c"
        var $202=CHECK_OVERFLOW(($201+36)&4294967295, 32); //@line 1384 "j2k.c"
        var $203=HEAP[$202]; //@line 1384 "j2k.c"
        var $204=CHECK_OVERFLOW((($203) + 6)&4294967295, 32); //@line 1384 "j2k.c"
        var $205=HEAP[$cio]; //@line 1384 "j2k.c"
        _cio_seek($205, $204); //@line 1384 "j2k.c"
        var $206=HEAP[$totlen]; //@line 1385 "j2k.c"
        var $207=HEAP[$cio]; //@line 1385 "j2k.c"
        var $208=_cio_write($207, $206, 4); //@line 1385 "j2k.c"
        var $209=HEAP[$j2k_addr]; //@line 1386 "j2k.c"
        var $210=CHECK_OVERFLOW(($209+36)&4294967295, 32); //@line 1386 "j2k.c"
        var $211=HEAP[$210]; //@line 1386 "j2k.c"
        var $212=HEAP[$totlen]; //@line 1386 "j2k.c"
        var $213=CHECK_OVERFLOW((($211) + ($212))&4294967295, 32); //@line 1386 "j2k.c"
        var $214=HEAP[$cio]; //@line 1386 "j2k.c"
        _cio_seek($214, $213); //@line 1386 "j2k.c"
        var $215=HEAP[$cp]; //@line 1388 "j2k.c"
        var $216=CHECK_OVERFLOW(($215)&4294967295, 32); //@line 1388 "j2k.c"
        var $217=HEAP[$216]; //@line 1388 "j2k.c"
        var $218=($217)!=0; //@line 1388 "j2k.c"
        if ($218) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1388 "j2k.c"
      case 17: // $bb17
        var $219=HEAP[$j2k_addr]; //@line 1389 "j2k.c"
        var $220=CHECK_OVERFLOW(($219+24)&4294967295, 32); //@line 1389 "j2k.c"
        var $221=HEAP[$220]; //@line 1389 "j2k.c"
        var $222=CHECK_OVERFLOW((($221) + 6)&4294967295, 32); //@line 1389 "j2k.c"
        var $223=HEAP[$j2k_addr]; //@line 1389 "j2k.c"
        var $224=CHECK_OVERFLOW(($223+16)&4294967295, 32); //@line 1389 "j2k.c"
        var $225=HEAP[$224]; //@line 1389 "j2k.c"
        var $226=CHECK_OVERFLOW((($225) * 5)&4294967295, 32); //@line 1389 "j2k.c"
        var $227=CHECK_OVERFLOW((($222) + ($226))&4294967295, 32); //@line 1389 "j2k.c"
        var $228=HEAP[$cio]; //@line 1389 "j2k.c"
        _cio_seek($228, $227); //@line 1389 "j2k.c"
        var $229=HEAP[$j2k_addr]; //@line 1390 "j2k.c"
        var $230=CHECK_OVERFLOW(($229+8)&4294967295, 32); //@line 1390 "j2k.c"
        var $231=HEAP[$230]; //@line 1390 "j2k.c"
        var $232=HEAP[$cio]; //@line 1390 "j2k.c"
        var $233=_cio_write($232, $231, 1); //@line 1390 "j2k.c"
        var $234=HEAP[$totlen]; //@line 1391 "j2k.c"
        var $235=HEAP[$cio]; //@line 1391 "j2k.c"
        var $236=_cio_write($235, $234, 4); //@line 1391 "j2k.c"
        __label__ = 18; break; //@line 1391 "j2k.c"
      case 18: // $bb18
        var $237=HEAP[$j2k_addr]; //@line 1393 "j2k.c"
        var $238=CHECK_OVERFLOW(($237+36)&4294967295, 32); //@line 1393 "j2k.c"
        var $239=HEAP[$238]; //@line 1393 "j2k.c"
        var $240=HEAP[$totlen]; //@line 1393 "j2k.c"
        var $241=CHECK_OVERFLOW((($239) + ($240))&4294967295, 32); //@line 1393 "j2k.c"
        var $242=HEAP[$cio]; //@line 1393 "j2k.c"
        _cio_seek($242, $241); //@line 1393 "j2k.c"
        __label__ = 19; break; //@line 1394 "j2k.c"
      case 19: // $return
        STACKTOP = __stackBase__;
        return; //@line 1394 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_sod($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 32);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $len=__stackBase__+4;
        var $truncate=__stackBase__+8;
        var $i=__stackBase__+12;
        var $data=__stackBase__+16;
        var $data_ptr=__stackBase__+20;
        var $cio=__stackBase__+24;
        var $curtileno=__stackBase__+28;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$truncate]=0; //@line 1397 "j2k.c"
        HEAP[$data]=0; //@line 1398 "j2k.c"
        HEAP[$data_ptr]=0; //@line 1398 "j2k.c"
        var $0=HEAP[$j2k_addr]; //@line 1400 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+72)&4294967295, 32); //@line 1400 "j2k.c"
        var $2=HEAP[$1]; //@line 1400 "j2k.c"
        HEAP[$cio]=$2; //@line 1400 "j2k.c"
        var $3=HEAP[$j2k_addr]; //@line 1401 "j2k.c"
        var $4=CHECK_OVERFLOW(($3+8)&4294967295, 32); //@line 1401 "j2k.c"
        var $5=HEAP[$4]; //@line 1401 "j2k.c"
        HEAP[$curtileno]=$5; //@line 1401 "j2k.c"
        var $6=HEAP[$j2k_addr]; //@line 1404 "j2k.c"
        var $7=CHECK_OVERFLOW(($6+68)&4294967295, 32); //@line 1404 "j2k.c"
        var $8=HEAP[$7]; //@line 1404 "j2k.c"
        var $9=($8)!=0; //@line 1404 "j2k.c"
        if ($9) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1404 "j2k.c"
      case 0: // $bb
        var $10=HEAP[$j2k_addr]; //@line 1405 "j2k.c"
        var $11=CHECK_OVERFLOW(($10+68)&4294967295, 32); //@line 1405 "j2k.c"
        var $12=HEAP[$11]; //@line 1405 "j2k.c"
        var $13=CHECK_OVERFLOW(($12+88)&4294967295, 32); //@line 1405 "j2k.c"
        var $14=HEAP[$13]; //@line 1405 "j2k.c"
        var $15=HEAP[$j2k_addr]; //@line 1405 "j2k.c"
        var $16=CHECK_OVERFLOW(($15+8)&4294967295, 32); //@line 1405 "j2k.c"
        var $17=HEAP[$16]; //@line 1405 "j2k.c"
        var $18=CHECK_OVERFLOW(($14+572*$17)&4294967295, 32); //@line 1405 "j2k.c"
        var $19=CHECK_OVERFLOW(($18+568)&4294967295, 32); //@line 1405 "j2k.c"
        var $20=HEAP[$19]; //@line 1405 "j2k.c"
        var $21=HEAP[$j2k_addr]; //@line 1405 "j2k.c"
        var $22=CHECK_OVERFLOW(($21+16)&4294967295, 32); //@line 1405 "j2k.c"
        var $23=HEAP[$22]; //@line 1405 "j2k.c"
        var $24=CHECK_OVERFLOW(($20+20*$23)&4294967295, 32); //@line 1405 "j2k.c"
        var $25=HEAP[$cio]; //@line 1405 "j2k.c"
        var $26=_cio_tell($25); //@line 1405 "j2k.c"
        var $27=HEAP[$j2k_addr]; //@line 1405 "j2k.c"
        var $28=CHECK_OVERFLOW(($27+44)&4294967295, 32); //@line 1405 "j2k.c"
        var $29=HEAP[$28]; //@line 1405 "j2k.c"
        var $30=CHECK_OVERFLOW((($26) + ($29))&4294967295, 32); //@line 1405 "j2k.c"
        var $31=CHECK_OVERFLOW((($30) - 1)&4294967295, 32); //@line 1405 "j2k.c"
        var $32=CHECK_OVERFLOW(($24+4)&4294967295, 32); //@line 1405 "j2k.c"
        HEAP[$32]=$31; //@line 1405 "j2k.c"
        var $33=HEAP[$j2k_addr]; //@line 1407 "j2k.c"
        var $34=CHECK_OVERFLOW(($33+16)&4294967295, 32); //@line 1407 "j2k.c"
        var $35=HEAP[$34]; //@line 1407 "j2k.c"
        var $36=($35)==0; //@line 1407 "j2k.c"
        if ($36) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1407 "j2k.c"
      case 2: // $bb1
        var $37=HEAP[$j2k_addr]; //@line 1408 "j2k.c"
        var $38=CHECK_OVERFLOW(($37+68)&4294967295, 32); //@line 1408 "j2k.c"
        var $39=HEAP[$38]; //@line 1408 "j2k.c"
        var $40=CHECK_OVERFLOW(($39+88)&4294967295, 32); //@line 1408 "j2k.c"
        var $41=HEAP[$40]; //@line 1408 "j2k.c"
        var $42=HEAP[$j2k_addr]; //@line 1408 "j2k.c"
        var $43=CHECK_OVERFLOW(($42+8)&4294967295, 32); //@line 1408 "j2k.c"
        var $44=HEAP[$43]; //@line 1408 "j2k.c"
        var $45=CHECK_OVERFLOW(($41+572*$44)&4294967295, 32); //@line 1408 "j2k.c"
        var $46=HEAP[$cio]; //@line 1408 "j2k.c"
        var $47=_cio_tell($46); //@line 1408 "j2k.c"
        var $48=HEAP[$j2k_addr]; //@line 1408 "j2k.c"
        var $49=CHECK_OVERFLOW(($48+44)&4294967295, 32); //@line 1408 "j2k.c"
        var $50=HEAP[$49]; //@line 1408 "j2k.c"
        var $51=CHECK_OVERFLOW((($47) + ($50))&4294967295, 32); //@line 1408 "j2k.c"
        var $52=CHECK_OVERFLOW((($51) - 1)&4294967295, 32); //@line 1408 "j2k.c"
        var $53=CHECK_OVERFLOW(($45+12)&4294967295, 32); //@line 1408 "j2k.c"
        HEAP[$53]=$52; //@line 1408 "j2k.c"
        __label__ = 3; break; //@line 1408 "j2k.c"
      case 3: // $bb2
        var $54=HEAP[$j2k_addr]; //@line 1409 "j2k.c"
        var $55=CHECK_OVERFLOW(($54+68)&4294967295, 32); //@line 1409 "j2k.c"
        var $56=HEAP[$55]; //@line 1409 "j2k.c"
        var $57=CHECK_OVERFLOW(($56+8)&4294967295, 32); //@line 1409 "j2k.c"
        HEAP[$57]=0; //@line 1409 "j2k.c"
        __label__ = 1; break; //@line 1409 "j2k.c"
      case 1: // $bb3
        var $58=HEAP[$cio]; //@line 1412 "j2k.c"
        var $59=_cio_numbytesleft($58); //@line 1412 "j2k.c"
        var $60=CHECK_OVERFLOW((($59) + 1)&4294967295, 32); //@line 1412 "j2k.c"
        var $61=HEAP[$j2k_addr]; //@line 1412 "j2k.c"
        var $62=CHECK_OVERFLOW(($61+32)&4294967295, 32); //@line 1412 "j2k.c"
        var $63=HEAP[$62]; //@line 1412 "j2k.c"
        var $64=($63); //@line 1412 "j2k.c"
        var $65=HEAP[$cio]; //@line 1412 "j2k.c"
        var $66=_cio_getbp($65); //@line 1412 "j2k.c"
        var $67=($66); //@line 1412 "j2k.c"
        var $68=CHECK_OVERFLOW((($64) - ($67))&4294967295, 32); //@line 1412 "j2k.c"
        var $69=_int_min12($68, $60); //@line 1412 "j2k.c"
        HEAP[$len]=$69; //@line 1412 "j2k.c"
        var $70=HEAP[$cio]; //@line 1414 "j2k.c"
        var $71=_cio_numbytesleft($70); //@line 1414 "j2k.c"
        var $72=CHECK_OVERFLOW((($71) + 1)&4294967295, 32); //@line 1414 "j2k.c"
        var $73=HEAP[$len]; //@line 1414 "j2k.c"
        var $74=($72)==($73); //@line 1414 "j2k.c"
        if ($74) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1414 "j2k.c"
      case 4: // $bb4
        HEAP[$truncate]=1; //@line 1415 "j2k.c"
        __label__ = 5; break; //@line 1415 "j2k.c"
      case 5: // $bb5
        var $75=HEAP[$j2k_addr]; //@line 1418 "j2k.c"
        var $76=CHECK_OVERFLOW(($75+48)&4294967295, 32); //@line 1418 "j2k.c"
        var $77=HEAP[$76]; //@line 1418 "j2k.c"
        var $78=HEAP[$curtileno]; //@line 1418 "j2k.c"
        var $79=CHECK_OVERFLOW(($77+4*$78)&4294967295, 32); //@line 1418 "j2k.c"
        var $80=HEAP[$79]; //@line 1418 "j2k.c"
        HEAP[$data]=$80; //@line 1418 "j2k.c"
        var $81=HEAP[$j2k_addr]; //@line 1419 "j2k.c"
        var $82=CHECK_OVERFLOW(($81+52)&4294967295, 32); //@line 1419 "j2k.c"
        var $83=HEAP[$82]; //@line 1419 "j2k.c"
        var $84=HEAP[$curtileno]; //@line 1419 "j2k.c"
        var $85=CHECK_OVERFLOW(($83+4*$84)&4294967295, 32); //@line 1419 "j2k.c"
        var $86=HEAP[$85]; //@line 1419 "j2k.c"
        var $87=HEAP[$len]; //@line 1419 "j2k.c"
        var $88=CHECK_OVERFLOW((($86) + ($87))&4294967295, 32); //@line 1419 "j2k.c"
        var $89=HEAP[$data]; //@line 1419 "j2k.c"
        var $90=_realloc($89, $88); //@line 1419 "j2k.c"
        HEAP[$data]=$90; //@line 1419 "j2k.c"
        var $91=HEAP[$j2k_addr]; //@line 1421 "j2k.c"
        var $92=CHECK_OVERFLOW(($91+52)&4294967295, 32); //@line 1421 "j2k.c"
        var $93=HEAP[$92]; //@line 1421 "j2k.c"
        var $94=HEAP[$curtileno]; //@line 1421 "j2k.c"
        var $95=CHECK_OVERFLOW(($93+4*$94)&4294967295, 32); //@line 1421 "j2k.c"
        var $96=HEAP[$95]; //@line 1421 "j2k.c"
        var $97=HEAP[$data]; //@line 1421 "j2k.c"
        var $98=CHECK_OVERFLOW(($97+$96)&4294967295, 32); //@line 1421 "j2k.c"
        HEAP[$data_ptr]=$98; //@line 1421 "j2k.c"
        HEAP[$i]=0; //@line 1422 "j2k.c"
        __label__ = 6; break; //@line 1422 "j2k.c"
      case 7: // $bb6
        var $99=HEAP[$cio]; //@line 1423 "j2k.c"
        var $100=_cio_read($99, 1); //@line 1423 "j2k.c"
        var $101=((($100)) & 255); //@line 1423 "j2k.c"
        var $102=HEAP[$data_ptr]; //@line 1423 "j2k.c"
        var $103=HEAP[$i]; //@line 1423 "j2k.c"
        var $104=CHECK_OVERFLOW(($102+$103)&4294967295, 32); //@line 1423 "j2k.c"
        HEAP[$104]=$101; //@line 1423 "j2k.c"
        var $105=HEAP[$i]; //@line 1422 "j2k.c"
        var $106=CHECK_OVERFLOW((($105) + 1)&4294967295, 32); //@line 1422 "j2k.c"
        HEAP[$i]=$106; //@line 1422 "j2k.c"
        __label__ = 6; break; //@line 1422 "j2k.c"
      case 6: // $bb7
        var $107=HEAP[$i]; //@line 1422 "j2k.c"
        var $108=HEAP[$len]; //@line 1422 "j2k.c"
        var $109=($107) < ($108); //@line 1422 "j2k.c"
        if ($109) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1422 "j2k.c"
      case 8: // $bb8
        var $110=HEAP[$j2k_addr]; //@line 1426 "j2k.c"
        var $111=CHECK_OVERFLOW(($110+52)&4294967295, 32); //@line 1426 "j2k.c"
        var $112=HEAP[$111]; //@line 1426 "j2k.c"
        var $113=HEAP[$j2k_addr]; //@line 1426 "j2k.c"
        var $114=CHECK_OVERFLOW(($113+52)&4294967295, 32); //@line 1426 "j2k.c"
        var $115=HEAP[$114]; //@line 1426 "j2k.c"
        var $116=HEAP[$curtileno]; //@line 1426 "j2k.c"
        var $117=CHECK_OVERFLOW(($115+4*$116)&4294967295, 32); //@line 1426 "j2k.c"
        var $118=HEAP[$117]; //@line 1426 "j2k.c"
        var $119=HEAP[$len]; //@line 1426 "j2k.c"
        var $120=CHECK_OVERFLOW((($118) + ($119))&4294967295, 32); //@line 1426 "j2k.c"
        var $121=HEAP[$curtileno]; //@line 1426 "j2k.c"
        var $122=CHECK_OVERFLOW(($112+4*$121)&4294967295, 32); //@line 1426 "j2k.c"
        HEAP[$122]=$120; //@line 1426 "j2k.c"
        var $123=HEAP[$j2k_addr]; //@line 1427 "j2k.c"
        var $124=CHECK_OVERFLOW(($123+48)&4294967295, 32); //@line 1427 "j2k.c"
        var $125=HEAP[$124]; //@line 1427 "j2k.c"
        var $126=HEAP[$curtileno]; //@line 1427 "j2k.c"
        var $127=CHECK_OVERFLOW(($125+4*$126)&4294967295, 32); //@line 1427 "j2k.c"
        var $128=HEAP[$data]; //@line 1427 "j2k.c"
        HEAP[$127]=$128; //@line 1427 "j2k.c"
        var $129=HEAP[$truncate]; //@line 1429 "j2k.c"
        var $130=($129)==0; //@line 1429 "j2k.c"
        if ($130) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1429 "j2k.c"
      case 9: // $bb9
        var $131=HEAP[$j2k_addr]; //@line 1430 "j2k.c"
        var $132=CHECK_OVERFLOW(($131+4)&4294967295, 32); //@line 1430 "j2k.c"
        HEAP[$132]=8; //@line 1430 "j2k.c"
        __label__ = 11; break; //@line 1430 "j2k.c"
      case 10: // $bb10
        var $133=HEAP[$j2k_addr]; //@line 1432 "j2k.c"
        var $134=CHECK_OVERFLOW(($133+4)&4294967295, 32); //@line 1432 "j2k.c"
        HEAP[$134]=64; //@line 1432 "j2k.c"
        __label__ = 11; break; //@line 1432 "j2k.c"
      case 11: // $bb11
        var $135=HEAP[$j2k_addr]; //@line 1434 "j2k.c"
        var $136=CHECK_OVERFLOW(($135+16)&4294967295, 32); //@line 1434 "j2k.c"
        var $137=HEAP[$136]; //@line 1434 "j2k.c"
        var $138=CHECK_OVERFLOW((($137) + 1)&4294967295, 32); //@line 1434 "j2k.c"
        var $139=HEAP[$j2k_addr]; //@line 1434 "j2k.c"
        var $140=CHECK_OVERFLOW(($139+16)&4294967295, 32); //@line 1434 "j2k.c"
        HEAP[$140]=$138; //@line 1434 "j2k.c"
        __label__ = 12; break; //@line 1435 "j2k.c"
      case 12: // $return
        STACKTOP = __stackBase__;
        return; //@line 1435 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_write_rgn($j2k, $compno, $tileno) {
    var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 36);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $compno_addr=__stackBase__+4;
        var $tileno_addr=__stackBase__+8;
        var $iftmp_65=__stackBase__+12;
        var $iftmp_64=__stackBase__+16;
        var $cp=__stackBase__+20;
        var $tcp=__stackBase__+24;
        var $cio=__stackBase__+28;
        var $numcomps=__stackBase__+32;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$compno_addr]=$compno;
        HEAP[$tileno_addr]=$tileno;
        var $0=HEAP[$j2k_addr]; //@line 1438 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+64)&4294967295, 32); //@line 1438 "j2k.c"
        var $2=HEAP[$1]; //@line 1438 "j2k.c"
        HEAP[$cp]=$2; //@line 1438 "j2k.c"
        var $3=HEAP[$cp]; //@line 1439 "j2k.c"
        var $4=CHECK_OVERFLOW(($3+108)&4294967295, 32); //@line 1439 "j2k.c"
        var $5=HEAP[$4]; //@line 1439 "j2k.c"
        var $6=HEAP[$tileno_addr]; //@line 1439 "j2k.c"
        var $7=CHECK_OVERFLOW(($5+5588*$6)&4294967295, 32); //@line 1439 "j2k.c"
        HEAP[$tcp]=$7; //@line 1439 "j2k.c"
        var $8=HEAP[$j2k_addr]; //@line 1440 "j2k.c"
        var $9=CHECK_OVERFLOW(($8+72)&4294967295, 32); //@line 1440 "j2k.c"
        var $10=HEAP[$9]; //@line 1440 "j2k.c"
        HEAP[$cio]=$10; //@line 1440 "j2k.c"
        var $11=HEAP[$j2k_addr]; //@line 1441 "j2k.c"
        var $12=CHECK_OVERFLOW(($11+60)&4294967295, 32); //@line 1441 "j2k.c"
        var $13=HEAP[$12]; //@line 1441 "j2k.c"
        var $14=CHECK_OVERFLOW(($13+16)&4294967295, 32); //@line 1441 "j2k.c"
        var $15=HEAP[$14]; //@line 1441 "j2k.c"
        HEAP[$numcomps]=$15; //@line 1441 "j2k.c"
        var $16=HEAP[$cio]; //@line 1443 "j2k.c"
        var $17=_cio_write($16, 65374, 2); //@line 1443 "j2k.c"
        var $18=HEAP[$numcomps]; //@line 1444 "j2k.c"
        var $19=($18) <= 256; //@line 1444 "j2k.c"
        if ($19) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1444 "j2k.c"
      case 0: // $bb
        HEAP[$iftmp_64]=5; //@line 1444 "j2k.c"
        __label__ = 2; break; //@line 1444 "j2k.c"
      case 1: // $bb1
        HEAP[$iftmp_64]=6; //@line 1444 "j2k.c"
        __label__ = 2; break; //@line 1444 "j2k.c"
      case 2: // $bb2
        var $20=HEAP[$cio]; //@line 1444 "j2k.c"
        var $21=HEAP[$iftmp_64]; //@line 1444 "j2k.c"
        var $22=_cio_write($20, $21, 2); //@line 1444 "j2k.c"
        var $23=HEAP[$numcomps]; //@line 1445 "j2k.c"
        var $24=($23) <= 256; //@line 1445 "j2k.c"
        if ($24) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1445 "j2k.c"
      case 3: // $bb3
        HEAP[$iftmp_65]=1; //@line 1445 "j2k.c"
        __label__ = 5; break; //@line 1445 "j2k.c"
      case 4: // $bb4
        HEAP[$iftmp_65]=2; //@line 1445 "j2k.c"
        __label__ = 5; break; //@line 1445 "j2k.c"
      case 5: // $bb5
        var $25=HEAP[$compno_addr]; //@line 1445 "j2k.c"
        var $26=HEAP[$cio]; //@line 1445 "j2k.c"
        var $27=HEAP[$iftmp_65]; //@line 1445 "j2k.c"
        var $28=_cio_write($26, $25, $27); //@line 1445 "j2k.c"
        var $29=HEAP[$cio]; //@line 1446 "j2k.c"
        var $30=_cio_write($29, 0, 1); //@line 1446 "j2k.c"
        var $31=HEAP[$tcp]; //@line 1447 "j2k.c"
        var $32=CHECK_OVERFLOW(($31+5584)&4294967295, 32); //@line 1447 "j2k.c"
        var $33=HEAP[$32]; //@line 1447 "j2k.c"
        var $34=HEAP[$compno_addr]; //@line 1447 "j2k.c"
        var $35=CHECK_OVERFLOW(($33+1076*$34)&4294967295, 32); //@line 1447 "j2k.c"
        var $36=CHECK_OVERFLOW(($35+808)&4294967295, 32); //@line 1447 "j2k.c"
        var $37=HEAP[$36]; //@line 1447 "j2k.c"
        var $38=HEAP[$cio]; //@line 1447 "j2k.c"
        var $39=_cio_write($38, $37, 1); //@line 1447 "j2k.c"
        __label__ = 6; break; //@line 1448 "j2k.c"
      case 6: // $return
        STACKTOP = __stackBase__;
        return; //@line 1448 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_rgn($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 40);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $iftmp_68=__stackBase__+4;
        var $iftmp_67=__stackBase__+8;
        var $len=__stackBase__+12;
        var $compno=__stackBase__+16;
        var $roisty=__stackBase__+20;
        var $cp=__stackBase__+24;
        var $tcp=__stackBase__+28;
        var $cio=__stackBase__+32;
        var $numcomps=__stackBase__+36;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 1453 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+64)&4294967295, 32); //@line 1453 "j2k.c"
        var $2=HEAP[$1]; //@line 1453 "j2k.c"
        HEAP[$cp]=$2; //@line 1453 "j2k.c"
        var $3=HEAP[$j2k_addr]; //@line 1454 "j2k.c"
        var $4=CHECK_OVERFLOW(($3+4)&4294967295, 32); //@line 1454 "j2k.c"
        var $5=HEAP[$4]; //@line 1454 "j2k.c"
        var $6=($5)==16; //@line 1454 "j2k.c"
        if ($6) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1454 "j2k.c"
      case 0: // $bb
        var $7=HEAP[$cp]; //@line 1454 "j2k.c"
        var $8=CHECK_OVERFLOW(($7+108)&4294967295, 32); //@line 1454 "j2k.c"
        var $9=HEAP[$8]; //@line 1454 "j2k.c"
        var $10=HEAP[$j2k_addr]; //@line 1454 "j2k.c"
        var $11=CHECK_OVERFLOW(($10+8)&4294967295, 32); //@line 1454 "j2k.c"
        var $12=HEAP[$11]; //@line 1454 "j2k.c"
        var $13=CHECK_OVERFLOW(($9+5588*$12)&4294967295, 32); //@line 1454 "j2k.c"
        HEAP[$iftmp_67]=$13; //@line 1454 "j2k.c"
        __label__ = 2; break; //@line 1454 "j2k.c"
      case 1: // $bb1
        var $14=HEAP[$j2k_addr]; //@line 1454 "j2k.c"
        var $15=CHECK_OVERFLOW(($14+56)&4294967295, 32); //@line 1454 "j2k.c"
        var $16=HEAP[$15]; //@line 1454 "j2k.c"
        HEAP[$iftmp_67]=$16; //@line 1454 "j2k.c"
        __label__ = 2; break; //@line 1454 "j2k.c"
      case 2: // $bb2
        var $17=HEAP[$iftmp_67]; //@line 1454 "j2k.c"
        HEAP[$tcp]=$17; //@line 1454 "j2k.c"
        var $18=HEAP[$j2k_addr]; //@line 1455 "j2k.c"
        var $19=CHECK_OVERFLOW(($18+72)&4294967295, 32); //@line 1455 "j2k.c"
        var $20=HEAP[$19]; //@line 1455 "j2k.c"
        HEAP[$cio]=$20; //@line 1455 "j2k.c"
        var $21=HEAP[$j2k_addr]; //@line 1456 "j2k.c"
        var $22=CHECK_OVERFLOW(($21+60)&4294967295, 32); //@line 1456 "j2k.c"
        var $23=HEAP[$22]; //@line 1456 "j2k.c"
        var $24=CHECK_OVERFLOW(($23+16)&4294967295, 32); //@line 1456 "j2k.c"
        var $25=HEAP[$24]; //@line 1456 "j2k.c"
        HEAP[$numcomps]=$25; //@line 1456 "j2k.c"
        var $26=HEAP[$cio]; //@line 1458 "j2k.c"
        var $27=_cio_read($26, 2); //@line 1458 "j2k.c"
        HEAP[$len]=$27; //@line 1458 "j2k.c"
        var $28=HEAP[$numcomps]; //@line 1459 "j2k.c"
        var $29=($28) <= 256; //@line 1459 "j2k.c"
        if ($29) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1459 "j2k.c"
      case 3: // $bb3
        HEAP[$iftmp_68]=1; //@line 1459 "j2k.c"
        __label__ = 5; break; //@line 1459 "j2k.c"
      case 4: // $bb4
        HEAP[$iftmp_68]=2; //@line 1459 "j2k.c"
        __label__ = 5; break; //@line 1459 "j2k.c"
      case 5: // $bb5
        var $30=HEAP[$cio]; //@line 1459 "j2k.c"
        var $31=HEAP[$iftmp_68]; //@line 1459 "j2k.c"
        var $32=_cio_read($30, $31); //@line 1459 "j2k.c"
        HEAP[$compno]=$32; //@line 1459 "j2k.c"
        var $33=HEAP[$cio]; //@line 1460 "j2k.c"
        var $34=_cio_read($33, 1); //@line 1460 "j2k.c"
        HEAP[$roisty]=$34; //@line 1460 "j2k.c"
        var $35=HEAP[$tcp]; //@line 1477 "j2k.c"
        var $36=CHECK_OVERFLOW(($35+5584)&4294967295, 32); //@line 1477 "j2k.c"
        var $37=HEAP[$36]; //@line 1477 "j2k.c"
        var $38=HEAP[$compno]; //@line 1477 "j2k.c"
        var $39=CHECK_OVERFLOW(($37+1076*$38)&4294967295, 32); //@line 1477 "j2k.c"
        var $40=HEAP[$cio]; //@line 1477 "j2k.c"
        var $41=_cio_read($40, 1); //@line 1477 "j2k.c"
        var $42=CHECK_OVERFLOW(($39+808)&4294967295, 32); //@line 1477 "j2k.c"
        HEAP[$42]=$41; //@line 1477 "j2k.c"
        __label__ = 6; break; //@line 1478 "j2k.c"
      case 6: // $return
        STACKTOP = __stackBase__;
        return; //@line 1478 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_write_eoc($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $cio=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 1481 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+72)&4294967295, 32); //@line 1481 "j2k.c"
        var $2=HEAP[$1]; //@line 1481 "j2k.c"
        HEAP[$cio]=$2; //@line 1481 "j2k.c"
        var $3=HEAP[$cio]; //@line 1483 "j2k.c"
        var $4=_cio_write($3, 65497, 2); //@line 1483 "j2k.c"
        __label__ = 0; break; //@line 1491 "j2k.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 1491 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_eoc($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 20);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $i=__stackBase__+4;
        var $tileno=__stackBase__+8;
        var $success=__stackBase__+12;
        var $tcd=__stackBase__+16;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 1498 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+64)&4294967295, 32); //@line 1498 "j2k.c"
        var $2=HEAP[$1]; //@line 1498 "j2k.c"
        var $3=CHECK_OVERFLOW(($2+44)&4294967295, 32); //@line 1498 "j2k.c"
        var $4=HEAP[$3]; //@line 1498 "j2k.c"
        var $5=($4)!=2; //@line 1498 "j2k.c"
        if ($5) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1498 "j2k.c"
      case 0: // $bb
        var $6=HEAP[$j2k_addr]; //@line 1499 "j2k.c"
        var $7=CHECK_OVERFLOW(($6)&4294967295, 32); //@line 1499 "j2k.c"
        var $8=HEAP[$7]; //@line 1499 "j2k.c"
        var $9=_tcd_create($8); //@line 1499 "j2k.c"
        HEAP[$tcd]=$9; //@line 1499 "j2k.c"
        var $10=HEAP[$j2k_addr]; //@line 1500 "j2k.c"
        var $11=CHECK_OVERFLOW(($10+64)&4294967295, 32); //@line 1500 "j2k.c"
        var $12=HEAP[$11]; //@line 1500 "j2k.c"
        var $13=HEAP[$j2k_addr]; //@line 1500 "j2k.c"
        var $14=CHECK_OVERFLOW(($13+60)&4294967295, 32); //@line 1500 "j2k.c"
        var $15=HEAP[$14]; //@line 1500 "j2k.c"
        var $16=HEAP[$tcd]; //@line 1500 "j2k.c"
        _tcd_malloc_decode($16, $15, $12); //@line 1500 "j2k.c"
        HEAP[$i]=0; //@line 1501 "j2k.c"
        __label__ = 2; break; //@line 1501 "j2k.c"
      case 6: // $bb1
        var $17=HEAP[$j2k_addr]; //@line 1502 "j2k.c"
        var $18=CHECK_OVERFLOW(($17+68)&4294967295, 32); //@line 1502 "j2k.c"
        var $19=HEAP[$18]; //@line 1502 "j2k.c"
        var $20=HEAP[$j2k_addr]; //@line 1502 "j2k.c"
        var $21=CHECK_OVERFLOW(($20+64)&4294967295, 32); //@line 1502 "j2k.c"
        var $22=HEAP[$21]; //@line 1502 "j2k.c"
        var $23=HEAP[$j2k_addr]; //@line 1502 "j2k.c"
        var $24=CHECK_OVERFLOW(($23+60)&4294967295, 32); //@line 1502 "j2k.c"
        var $25=HEAP[$24]; //@line 1502 "j2k.c"
        var $26=HEAP[$tcd]; //@line 1502 "j2k.c"
        var $27=HEAP[$i]; //@line 1502 "j2k.c"
        _tcd_malloc_decode_tile($26, $25, $22, $27, $19); //@line 1502 "j2k.c"
        var $28=HEAP[$j2k_addr]; //@line 1503 "j2k.c"
        var $29=CHECK_OVERFLOW(($28+64)&4294967295, 32); //@line 1503 "j2k.c"
        var $30=HEAP[$29]; //@line 1503 "j2k.c"
        var $31=CHECK_OVERFLOW(($30+76)&4294967295, 32); //@line 1503 "j2k.c"
        var $32=HEAP[$31]; //@line 1503 "j2k.c"
        var $33=HEAP[$i]; //@line 1503 "j2k.c"
        var $34=CHECK_OVERFLOW(($32+4*$33)&4294967295, 32); //@line 1503 "j2k.c"
        var $35=HEAP[$34]; //@line 1503 "j2k.c"
        HEAP[$tileno]=$35; //@line 1503 "j2k.c"
        var $36=HEAP[$j2k_addr]; //@line 1504 "j2k.c"
        var $37=CHECK_OVERFLOW(($36+68)&4294967295, 32); //@line 1504 "j2k.c"
        var $38=HEAP[$37]; //@line 1504 "j2k.c"
        var $39=HEAP[$j2k_addr]; //@line 1504 "j2k.c"
        var $40=CHECK_OVERFLOW(($39+52)&4294967295, 32); //@line 1504 "j2k.c"
        var $41=HEAP[$40]; //@line 1504 "j2k.c"
        var $42=HEAP[$tileno]; //@line 1504 "j2k.c"
        var $43=CHECK_OVERFLOW(($41+4*$42)&4294967295, 32); //@line 1504 "j2k.c"
        var $44=HEAP[$43]; //@line 1504 "j2k.c"
        var $45=HEAP[$j2k_addr]; //@line 1504 "j2k.c"
        var $46=CHECK_OVERFLOW(($45+48)&4294967295, 32); //@line 1504 "j2k.c"
        var $47=HEAP[$46]; //@line 1504 "j2k.c"
        var $48=HEAP[$tileno]; //@line 1504 "j2k.c"
        var $49=CHECK_OVERFLOW(($47+4*$48)&4294967295, 32); //@line 1504 "j2k.c"
        var $50=HEAP[$49]; //@line 1504 "j2k.c"
        var $51=HEAP[$tcd]; //@line 1504 "j2k.c"
        var $52=HEAP[$tileno]; //@line 1504 "j2k.c"
        var $53=_tcd_decode_tile($51, $50, $44, $52, $38); //@line 1504 "j2k.c"
        HEAP[$success]=$53; //@line 1504 "j2k.c"
        var $54=HEAP[$j2k_addr]; //@line 1505 "j2k.c"
        var $55=CHECK_OVERFLOW(($54+48)&4294967295, 32); //@line 1505 "j2k.c"
        var $56=HEAP[$55]; //@line 1505 "j2k.c"
        var $57=HEAP[$tileno]; //@line 1505 "j2k.c"
        var $58=CHECK_OVERFLOW(($56+4*$57)&4294967295, 32); //@line 1505 "j2k.c"
        var $59=HEAP[$58]; //@line 1505 "j2k.c"
        _free($59); //@line 1505 "j2k.c"
        var $60=HEAP[$j2k_addr]; //@line 1506 "j2k.c"
        var $61=CHECK_OVERFLOW(($60+48)&4294967295, 32); //@line 1506 "j2k.c"
        var $62=HEAP[$61]; //@line 1506 "j2k.c"
        var $63=HEAP[$tileno]; //@line 1506 "j2k.c"
        var $64=CHECK_OVERFLOW(($62+4*$63)&4294967295, 32); //@line 1506 "j2k.c"
        HEAP[$64]=0; //@line 1506 "j2k.c"
        var $65=HEAP[$tcd]; //@line 1507 "j2k.c"
        var $66=HEAP[$i]; //@line 1507 "j2k.c"
        _tcd_free_decode_tile($65, $66); //@line 1507 "j2k.c"
        var $67=HEAP[$success]; //@line 1508 "j2k.c"
        var $68=($67)==0; //@line 1508 "j2k.c"
        if ($68) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1508 "j2k.c"
      case 3: // $bb2
        var $69=HEAP[$j2k_addr]; //@line 1509 "j2k.c"
        var $70=CHECK_OVERFLOW(($69+4)&4294967295, 32); //@line 1509 "j2k.c"
        var $71=HEAP[$70]; //@line 1509 "j2k.c"
        var $72=($71) | 128; //@line 1509 "j2k.c"
        var $73=HEAP[$j2k_addr]; //@line 1509 "j2k.c"
        var $74=CHECK_OVERFLOW(($73+4)&4294967295, 32); //@line 1509 "j2k.c"
        HEAP[$74]=$72; //@line 1509 "j2k.c"
        __label__ = 5; break; //@line 1509 "j2k.c"
      case 4: // $bb3
        var $75=HEAP[$i]; //@line 1501 "j2k.c"
        var $76=CHECK_OVERFLOW((($75) + 1)&4294967295, 32); //@line 1501 "j2k.c"
        HEAP[$i]=$76; //@line 1501 "j2k.c"
        __label__ = 2; break; //@line 1501 "j2k.c"
      case 2: // $bb4
        var $77=HEAP[$j2k_addr]; //@line 1501 "j2k.c"
        var $78=CHECK_OVERFLOW(($77+64)&4294967295, 32); //@line 1501 "j2k.c"
        var $79=HEAP[$78]; //@line 1501 "j2k.c"
        var $80=CHECK_OVERFLOW(($79+80)&4294967295, 32); //@line 1501 "j2k.c"
        var $81=HEAP[$80]; //@line 1501 "j2k.c"
        var $82=HEAP[$i]; //@line 1501 "j2k.c"
        var $83=($81) > ($82); //@line 1501 "j2k.c"
        if ($83) { __label__ = 6; break; } else { __label__ = 5; break; } //@line 1501 "j2k.c"
      case 5: // $bb5
        var $84=HEAP[$tcd]; //@line 1513 "j2k.c"
        _tcd_free_decode($84); //@line 1513 "j2k.c"
        var $85=HEAP[$tcd]; //@line 1514 "j2k.c"
        _tcd_destroy($85); //@line 1514 "j2k.c"
        __label__ = 7; break; //@line 1514 "j2k.c"
      case 1: // $bb6
        HEAP[$i]=0; //@line 1518 "j2k.c"
        __label__ = 8; break; //@line 1518 "j2k.c"
      case 9: // $bb7
        var $86=HEAP[$j2k_addr]; //@line 1519 "j2k.c"
        var $87=CHECK_OVERFLOW(($86+64)&4294967295, 32); //@line 1519 "j2k.c"
        var $88=HEAP[$87]; //@line 1519 "j2k.c"
        var $89=CHECK_OVERFLOW(($88+76)&4294967295, 32); //@line 1519 "j2k.c"
        var $90=HEAP[$89]; //@line 1519 "j2k.c"
        var $91=HEAP[$i]; //@line 1519 "j2k.c"
        var $92=CHECK_OVERFLOW(($90+4*$91)&4294967295, 32); //@line 1519 "j2k.c"
        var $93=HEAP[$92]; //@line 1519 "j2k.c"
        HEAP[$tileno]=$93; //@line 1519 "j2k.c"
        var $94=HEAP[$j2k_addr]; //@line 1520 "j2k.c"
        var $95=CHECK_OVERFLOW(($94+48)&4294967295, 32); //@line 1520 "j2k.c"
        var $96=HEAP[$95]; //@line 1520 "j2k.c"
        var $97=HEAP[$tileno]; //@line 1520 "j2k.c"
        var $98=CHECK_OVERFLOW(($96+4*$97)&4294967295, 32); //@line 1520 "j2k.c"
        var $99=HEAP[$98]; //@line 1520 "j2k.c"
        _free($99); //@line 1520 "j2k.c"
        var $100=HEAP[$j2k_addr]; //@line 1521 "j2k.c"
        var $101=CHECK_OVERFLOW(($100+48)&4294967295, 32); //@line 1521 "j2k.c"
        var $102=HEAP[$101]; //@line 1521 "j2k.c"
        var $103=HEAP[$tileno]; //@line 1521 "j2k.c"
        var $104=CHECK_OVERFLOW(($102+4*$103)&4294967295, 32); //@line 1521 "j2k.c"
        HEAP[$104]=0; //@line 1521 "j2k.c"
        var $105=HEAP[$i]; //@line 1518 "j2k.c"
        var $106=CHECK_OVERFLOW((($105) + 1)&4294967295, 32); //@line 1518 "j2k.c"
        HEAP[$i]=$106; //@line 1518 "j2k.c"
        __label__ = 8; break; //@line 1518 "j2k.c"
      case 8: // $bb8
        var $107=HEAP[$j2k_addr]; //@line 1518 "j2k.c"
        var $108=CHECK_OVERFLOW(($107+64)&4294967295, 32); //@line 1518 "j2k.c"
        var $109=HEAP[$108]; //@line 1518 "j2k.c"
        var $110=CHECK_OVERFLOW(($109+80)&4294967295, 32); //@line 1518 "j2k.c"
        var $111=HEAP[$110]; //@line 1518 "j2k.c"
        var $112=HEAP[$i]; //@line 1518 "j2k.c"
        var $113=($111) > ($112); //@line 1518 "j2k.c"
        if ($113) { __label__ = 9; break; } else { __label__ = 7; break; } //@line 1518 "j2k.c"
      case 7: // $bb9
        var $114=HEAP[$j2k_addr]; //@line 1524 "j2k.c"
        var $115=CHECK_OVERFLOW(($114+4)&4294967295, 32); //@line 1524 "j2k.c"
        var $116=HEAP[$115]; //@line 1524 "j2k.c"
        var $117=($116) & 128; //@line 1524 "j2k.c"
        var $118=($117)!=0; //@line 1524 "j2k.c"
        if ($118) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1524 "j2k.c"
      case 10: // $bb10
        var $119=HEAP[$j2k_addr]; //@line 1525 "j2k.c"
        var $120=CHECK_OVERFLOW(($119+4)&4294967295, 32); //@line 1525 "j2k.c"
        HEAP[$120]=160; //@line 1525 "j2k.c"
        __label__ = 12; break; //@line 1525 "j2k.c"
      case 11: // $bb11
        var $121=HEAP[$j2k_addr]; //@line 1527 "j2k.c"
        var $122=CHECK_OVERFLOW(($121+4)&4294967295, 32); //@line 1527 "j2k.c"
        HEAP[$122]=32; //@line 1527 "j2k.c"
        __label__ = 12; break; //@line 1527 "j2k.c"
      case 12: // $bb12
        __label__ = 13; break; //@line 1528 "j2k.c"
      case 13: // $return
        STACKTOP = __stackBase__;
        return; //@line 1528 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_read_unk($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 1575 "j2k.c"
        var $1=CHECK_OVERFLOW(($0)&4294967295, 32); //@line 1575 "j2k.c"
        var $2=HEAP[$1]; //@line 1575 "j2k.c"
        var $3=_opj_event_msg($2, 2, CHECK_OVERFLOW((__str2892)&4294967295, 32)); //@line 1575 "j2k.c"
        __label__ = 0; break; //@line 1634 "j2k.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 1634 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_dec_mstab_lookup($id) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $id_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $e=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$id_addr]=$id;
        HEAP[$e]=CHECK_OVERFLOW((_j2k_dec_mstab)&4294967295, 32); //@line 1642 "j2k.c"
        __label__ = 0; break; //@line 1642 "j2k.c"
      case 3: // $bb
        var $1=HEAP[$e]; //@line 1643 "j2k.c"
        var $2=CHECK_OVERFLOW(($1)&4294967295, 32); //@line 1643 "j2k.c"
        var $3=HEAP[$2]; //@line 1643 "j2k.c"
        var $4=HEAP[$id_addr]; //@line 1643 "j2k.c"
        var $5=($3)==($4); //@line 1643 "j2k.c"
        if ($5) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 1643 "j2k.c"
      case 2: // $bb1
        var $6=HEAP[$e]; //@line 1642 "j2k.c"
        var $7=CHECK_OVERFLOW(($6+12)&4294967295, 32); //@line 1642 "j2k.c"
        HEAP[$e]=$7; //@line 1642 "j2k.c"
        __label__ = 0; break; //@line 1642 "j2k.c"
      case 0: // $bb2
        var $8=HEAP[$e]; //@line 1642 "j2k.c"
        var $9=CHECK_OVERFLOW(($8)&4294967295, 32); //@line 1642 "j2k.c"
        var $10=HEAP[$9]; //@line 1642 "j2k.c"
        var $11=($10)!=0; //@line 1642 "j2k.c"
        if ($11) { __label__ = 3; break; } else { __label__ = 1; break; } //@line 1642 "j2k.c"
      case 1: // $bb3
        var $12=HEAP[$e]; //@line 1647 "j2k.c"
        HEAP[$0]=$12; //@line 1647 "j2k.c"
        var $13=HEAP[$0]; //@line 1647 "j2k.c"
        HEAP[$retval]=$13; //@line 1647 "j2k.c"
        __label__ = 4; break; //@line 1647 "j2k.c"
      case 4: // $return
        var $retval4=HEAP[$retval]; //@line 1647 "j2k.c"
        STACKTOP = __stackBase__;
        return $retval4; //@line 1647 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_create_decompress($cinfo) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cinfo_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $j2k=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$cinfo_addr]=$cinfo;
        var $1=_calloc(1, 76); //@line 1655 "j2k.c"
        var $2=$1; //@line 1655 "j2k.c"
        HEAP[$j2k]=$2; //@line 1655 "j2k.c"
        var $3=HEAP[$j2k]; //@line 1656 "j2k.c"
        var $4=($3)==0; //@line 1656 "j2k.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1656 "j2k.c"
      case 0: // $bb
        HEAP[$0]=0; //@line 1657 "j2k.c"
        __label__ = 2; break; //@line 1657 "j2k.c"
      case 1: // $bb1
        var $5=_calloc(1, 5588); //@line 1659 "j2k.c"
        var $6=$5; //@line 1659 "j2k.c"
        var $7=HEAP[$j2k]; //@line 1659 "j2k.c"
        var $8=CHECK_OVERFLOW(($7+56)&4294967295, 32); //@line 1659 "j2k.c"
        HEAP[$8]=$6; //@line 1659 "j2k.c"
        var $9=HEAP[$j2k]; //@line 1660 "j2k.c"
        var $10=CHECK_OVERFLOW(($9+56)&4294967295, 32); //@line 1660 "j2k.c"
        var $11=HEAP[$10]; //@line 1660 "j2k.c"
        var $12=($11)==0; //@line 1660 "j2k.c"
        if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1660 "j2k.c"
      case 3: // $bb2
        var $13=HEAP[$j2k]; //@line 1661 "j2k.c"
        var $14=$13; //@line 1661 "j2k.c"
        _free($14); //@line 1661 "j2k.c"
        HEAP[$0]=0; //@line 1662 "j2k.c"
        __label__ = 2; break; //@line 1662 "j2k.c"
      case 4: // $bb3
        var $15=HEAP[$j2k]; //@line 1665 "j2k.c"
        var $16=CHECK_OVERFLOW(($15)&4294967295, 32); //@line 1665 "j2k.c"
        var $17=HEAP[$cinfo_addr]; //@line 1665 "j2k.c"
        HEAP[$16]=$17; //@line 1665 "j2k.c"
        var $18=HEAP[$j2k]; //@line 1666 "j2k.c"
        var $19=CHECK_OVERFLOW(($18+48)&4294967295, 32); //@line 1666 "j2k.c"
        HEAP[$19]=0; //@line 1666 "j2k.c"
        var $20=HEAP[$j2k]; //@line 1668 "j2k.c"
        HEAP[$0]=$20; //@line 1668 "j2k.c"
        __label__ = 2; break; //@line 1668 "j2k.c"
      case 2: // $bb4
        var $21=HEAP[$0]; //@line 1657 "j2k.c"
        HEAP[$retval]=$21; //@line 1657 "j2k.c"
        __label__ = 5; break; //@line 1657 "j2k.c"
      case 5: // $return
        var $retval5=HEAP[$retval]; //@line 1657 "j2k.c"
        STACKTOP = __stackBase__;
        return $retval5; //@line 1657 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_destroy_decompress($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $i=__stackBase__+4;
        var $default_tcp=__stackBase__+8;
        var $cp=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$i]=0; //@line 1672 "j2k.c"
        var $0=HEAP[$j2k_addr]; //@line 1674 "j2k.c"
        var $1=CHECK_OVERFLOW(($0+52)&4294967295, 32); //@line 1674 "j2k.c"
        var $2=HEAP[$1]; //@line 1674 "j2k.c"
        var $3=($2)!=0; //@line 1674 "j2k.c"
        if ($3) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1674 "j2k.c"
      case 0: // $bb
        var $4=HEAP[$j2k_addr]; //@line 1675 "j2k.c"
        var $5=CHECK_OVERFLOW(($4+52)&4294967295, 32); //@line 1675 "j2k.c"
        var $6=HEAP[$5]; //@line 1675 "j2k.c"
        var $7=$6; //@line 1675 "j2k.c"
        _free($7); //@line 1675 "j2k.c"
        __label__ = 1; break; //@line 1675 "j2k.c"
      case 1: // $bb1
        var $8=HEAP[$j2k_addr]; //@line 1677 "j2k.c"
        var $9=CHECK_OVERFLOW(($8+48)&4294967295, 32); //@line 1677 "j2k.c"
        var $10=HEAP[$9]; //@line 1677 "j2k.c"
        var $11=($10)!=0; //@line 1677 "j2k.c"
        if ($11) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1677 "j2k.c"
      case 2: // $bb2
        var $12=HEAP[$j2k_addr]; //@line 1678 "j2k.c"
        var $13=CHECK_OVERFLOW(($12+48)&4294967295, 32); //@line 1678 "j2k.c"
        var $14=HEAP[$13]; //@line 1678 "j2k.c"
        var $15=$14; //@line 1678 "j2k.c"
        _free($15); //@line 1678 "j2k.c"
        __label__ = 3; break; //@line 1678 "j2k.c"
      case 3: // $bb3
        var $16=HEAP[$j2k_addr]; //@line 1680 "j2k.c"
        var $17=CHECK_OVERFLOW(($16+56)&4294967295, 32); //@line 1680 "j2k.c"
        var $18=HEAP[$17]; //@line 1680 "j2k.c"
        var $19=($18)!=0; //@line 1680 "j2k.c"
        if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1680 "j2k.c"
      case 4: // $bb4
        var $20=HEAP[$j2k_addr]; //@line 1681 "j2k.c"
        var $21=CHECK_OVERFLOW(($20+56)&4294967295, 32); //@line 1681 "j2k.c"
        var $22=HEAP[$21]; //@line 1681 "j2k.c"
        HEAP[$default_tcp]=$22; //@line 1681 "j2k.c"
        var $23=HEAP[$default_tcp]; //@line 1682 "j2k.c"
        var $24=CHECK_OVERFLOW(($23+5168)&4294967295, 32); //@line 1682 "j2k.c"
        var $25=HEAP[$24]; //@line 1682 "j2k.c"
        var $26=($25)!=0; //@line 1682 "j2k.c"
        if ($26) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1682 "j2k.c"
      case 6: // $bb5
        var $27=HEAP[$default_tcp]; //@line 1683 "j2k.c"
        var $28=CHECK_OVERFLOW(($27+5168)&4294967295, 32); //@line 1683 "j2k.c"
        var $29=HEAP[$28]; //@line 1683 "j2k.c"
        _free($29); //@line 1683 "j2k.c"
        __label__ = 7; break; //@line 1683 "j2k.c"
      case 7: // $bb6
        var $30=HEAP[$j2k_addr]; //@line 1685 "j2k.c"
        var $31=CHECK_OVERFLOW(($30+56)&4294967295, 32); //@line 1685 "j2k.c"
        var $32=HEAP[$31]; //@line 1685 "j2k.c"
        var $33=CHECK_OVERFLOW(($32+5584)&4294967295, 32); //@line 1685 "j2k.c"
        var $34=HEAP[$33]; //@line 1685 "j2k.c"
        var $35=($34)!=0; //@line 1685 "j2k.c"
        if ($35) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1685 "j2k.c"
      case 8: // $bb7
        var $36=HEAP[$j2k_addr]; //@line 1686 "j2k.c"
        var $37=CHECK_OVERFLOW(($36+56)&4294967295, 32); //@line 1686 "j2k.c"
        var $38=HEAP[$37]; //@line 1686 "j2k.c"
        var $39=CHECK_OVERFLOW(($38+5584)&4294967295, 32); //@line 1686 "j2k.c"
        var $40=HEAP[$39]; //@line 1686 "j2k.c"
        var $41=$40; //@line 1686 "j2k.c"
        _free($41); //@line 1686 "j2k.c"
        __label__ = 9; break; //@line 1686 "j2k.c"
      case 9: // $bb8
        var $42=HEAP[$j2k_addr]; //@line 1688 "j2k.c"
        var $43=CHECK_OVERFLOW(($42+56)&4294967295, 32); //@line 1688 "j2k.c"
        var $44=HEAP[$43]; //@line 1688 "j2k.c"
        var $45=$44; //@line 1688 "j2k.c"
        _free($45); //@line 1688 "j2k.c"
        __label__ = 5; break; //@line 1688 "j2k.c"
      case 5: // $bb9
        var $46=HEAP[$j2k_addr]; //@line 1690 "j2k.c"
        var $47=CHECK_OVERFLOW(($46+64)&4294967295, 32); //@line 1690 "j2k.c"
        var $48=HEAP[$47]; //@line 1690 "j2k.c"
        var $49=($48)!=0; //@line 1690 "j2k.c"
        if ($49) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1690 "j2k.c"
      case 10: // $bb10
        var $50=HEAP[$j2k_addr]; //@line 1691 "j2k.c"
        var $51=CHECK_OVERFLOW(($50+64)&4294967295, 32); //@line 1691 "j2k.c"
        var $52=HEAP[$51]; //@line 1691 "j2k.c"
        HEAP[$cp]=$52; //@line 1691 "j2k.c"
        var $53=HEAP[$cp]; //@line 1692 "j2k.c"
        var $54=CHECK_OVERFLOW(($53+108)&4294967295, 32); //@line 1692 "j2k.c"
        var $55=HEAP[$54]; //@line 1692 "j2k.c"
        var $56=($55)!=0; //@line 1692 "j2k.c"
        if ($56) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1692 "j2k.c"
      case 12: // $bb11
        HEAP[$i]=0; //@line 1693 "j2k.c"
        __label__ = 14; break; //@line 1693 "j2k.c"
      case 19: // $bb12
        var $57=HEAP[$cp]; //@line 1694 "j2k.c"
        var $58=CHECK_OVERFLOW(($57+108)&4294967295, 32); //@line 1694 "j2k.c"
        var $59=HEAP[$58]; //@line 1694 "j2k.c"
        var $60=HEAP[$i]; //@line 1694 "j2k.c"
        var $61=CHECK_OVERFLOW(($59+5588*$60)&4294967295, 32); //@line 1694 "j2k.c"
        var $62=CHECK_OVERFLOW(($61+5168)&4294967295, 32); //@line 1694 "j2k.c"
        var $63=HEAP[$62]; //@line 1694 "j2k.c"
        var $64=($63)!=0; //@line 1694 "j2k.c"
        if ($64) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1694 "j2k.c"
      case 15: // $bb13
        var $65=HEAP[$cp]; //@line 1695 "j2k.c"
        var $66=CHECK_OVERFLOW(($65+108)&4294967295, 32); //@line 1695 "j2k.c"
        var $67=HEAP[$66]; //@line 1695 "j2k.c"
        var $68=HEAP[$i]; //@line 1695 "j2k.c"
        var $69=CHECK_OVERFLOW(($67+5588*$68)&4294967295, 32); //@line 1695 "j2k.c"
        var $70=CHECK_OVERFLOW(($69+5168)&4294967295, 32); //@line 1695 "j2k.c"
        var $71=HEAP[$70]; //@line 1695 "j2k.c"
        _free($71); //@line 1695 "j2k.c"
        __label__ = 16; break; //@line 1695 "j2k.c"
      case 16: // $bb14
        var $72=HEAP[$cp]; //@line 1697 "j2k.c"
        var $73=CHECK_OVERFLOW(($72+108)&4294967295, 32); //@line 1697 "j2k.c"
        var $74=HEAP[$73]; //@line 1697 "j2k.c"
        var $75=HEAP[$i]; //@line 1697 "j2k.c"
        var $76=CHECK_OVERFLOW(($74+5588*$75)&4294967295, 32); //@line 1697 "j2k.c"
        var $77=CHECK_OVERFLOW(($76+5584)&4294967295, 32); //@line 1697 "j2k.c"
        var $78=HEAP[$77]; //@line 1697 "j2k.c"
        var $79=($78)!=0; //@line 1697 "j2k.c"
        if ($79) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1697 "j2k.c"
      case 17: // $bb15
        var $80=HEAP[$cp]; //@line 1698 "j2k.c"
        var $81=CHECK_OVERFLOW(($80+108)&4294967295, 32); //@line 1698 "j2k.c"
        var $82=HEAP[$81]; //@line 1698 "j2k.c"
        var $83=HEAP[$i]; //@line 1698 "j2k.c"
        var $84=CHECK_OVERFLOW(($82+5588*$83)&4294967295, 32); //@line 1698 "j2k.c"
        var $85=CHECK_OVERFLOW(($84+5584)&4294967295, 32); //@line 1698 "j2k.c"
        var $86=HEAP[$85]; //@line 1698 "j2k.c"
        var $87=$86; //@line 1698 "j2k.c"
        _free($87); //@line 1698 "j2k.c"
        __label__ = 18; break; //@line 1698 "j2k.c"
      case 18: // $bb16
        var $88=HEAP[$i]; //@line 1693 "j2k.c"
        var $89=CHECK_OVERFLOW((($88) + 1)&4294967295, 32); //@line 1693 "j2k.c"
        HEAP[$i]=$89; //@line 1693 "j2k.c"
        __label__ = 14; break; //@line 1693 "j2k.c"
      case 14: // $bb17
        var $90=HEAP[$cp]; //@line 1693 "j2k.c"
        var $91=CHECK_OVERFLOW(($90+68)&4294967295, 32); //@line 1693 "j2k.c"
        var $92=HEAP[$91]; //@line 1693 "j2k.c"
        var $93=HEAP[$cp]; //@line 1693 "j2k.c"
        var $94=CHECK_OVERFLOW(($93+72)&4294967295, 32); //@line 1693 "j2k.c"
        var $95=HEAP[$94]; //@line 1693 "j2k.c"
        var $96=CHECK_OVERFLOW((($92) * ($95))&4294967295, 32); //@line 1693 "j2k.c"
        var $97=HEAP[$i]; //@line 1693 "j2k.c"
        var $98=($96) > ($97); //@line 1693 "j2k.c"
        if ($98) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1693 "j2k.c"
      case 20: // $bb18
        var $99=HEAP[$cp]; //@line 1701 "j2k.c"
        var $100=CHECK_OVERFLOW(($99+108)&4294967295, 32); //@line 1701 "j2k.c"
        var $101=HEAP[$100]; //@line 1701 "j2k.c"
        var $102=$101; //@line 1701 "j2k.c"
        _free($102); //@line 1701 "j2k.c"
        __label__ = 13; break; //@line 1701 "j2k.c"
      case 13: // $bb19
        var $103=HEAP[$cp]; //@line 1703 "j2k.c"
        var $104=CHECK_OVERFLOW(($103+88)&4294967295, 32); //@line 1703 "j2k.c"
        var $105=HEAP[$104]; //@line 1703 "j2k.c"
        var $106=($105)!=0; //@line 1703 "j2k.c"
        if ($106) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1703 "j2k.c"
      case 21: // $bb20
        var $107=HEAP[$cp]; //@line 1704 "j2k.c"
        var $108=CHECK_OVERFLOW(($107+88)&4294967295, 32); //@line 1704 "j2k.c"
        var $109=HEAP[$108]; //@line 1704 "j2k.c"
        _free($109); //@line 1704 "j2k.c"
        __label__ = 22; break; //@line 1704 "j2k.c"
      case 22: // $bb21
        var $110=HEAP[$cp]; //@line 1706 "j2k.c"
        var $111=CHECK_OVERFLOW(($110+76)&4294967295, 32); //@line 1706 "j2k.c"
        var $112=HEAP[$111]; //@line 1706 "j2k.c"
        var $113=($112)!=0; //@line 1706 "j2k.c"
        if ($113) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1706 "j2k.c"
      case 23: // $bb22
        var $114=HEAP[$cp]; //@line 1707 "j2k.c"
        var $115=CHECK_OVERFLOW(($114+76)&4294967295, 32); //@line 1707 "j2k.c"
        var $116=HEAP[$115]; //@line 1707 "j2k.c"
        var $117=$116; //@line 1707 "j2k.c"
        _free($117); //@line 1707 "j2k.c"
        __label__ = 24; break; //@line 1707 "j2k.c"
      case 24: // $bb23
        var $118=HEAP[$cp]; //@line 1709 "j2k.c"
        var $119=CHECK_OVERFLOW(($118+64)&4294967295, 32); //@line 1709 "j2k.c"
        var $120=HEAP[$119]; //@line 1709 "j2k.c"
        var $121=($120)!=0; //@line 1709 "j2k.c"
        if ($121) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1709 "j2k.c"
      case 25: // $bb24
        var $122=HEAP[$cp]; //@line 1710 "j2k.c"
        var $123=CHECK_OVERFLOW(($122+64)&4294967295, 32); //@line 1710 "j2k.c"
        var $124=HEAP[$123]; //@line 1710 "j2k.c"
        _free($124); //@line 1710 "j2k.c"
        __label__ = 26; break; //@line 1710 "j2k.c"
      case 26: // $bb25
        var $125=HEAP[$cp]; //@line 1713 "j2k.c"
        var $126=$125; //@line 1713 "j2k.c"
        _free($126); //@line 1713 "j2k.c"
        __label__ = 11; break; //@line 1713 "j2k.c"
      case 11: // $bb26
        var $127=HEAP[$j2k_addr]; //@line 1715 "j2k.c"
        var $128=$127; //@line 1715 "j2k.c"
        _free($128); //@line 1715 "j2k.c"
        __label__ = 27; break; //@line 1716 "j2k.c"
      case 27: // $return
        STACKTOP = __stackBase__;
        return; //@line 1716 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_setup_decoder($j2k, $parameters) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $parameters_addr=__stackBase__+4;
        var $cp=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$parameters_addr]=$parameters;
        var $0=HEAP[$j2k_addr]; //@line 1719 "j2k.c"
        var $1=($0)!=0; //@line 1719 "j2k.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1719 "j2k.c"
      case 0: // $bb
        var $2=HEAP[$parameters_addr]; //@line 1719 "j2k.c"
        var $3=($2)!=0; //@line 1719 "j2k.c"
        if ($3) { __label__ = 2; break; } else { __label__ = 1; break; } //@line 1719 "j2k.c"
      case 2: // $bb1
        var $4=_calloc(1, 116); //@line 1721 "j2k.c"
        var $5=$4; //@line 1721 "j2k.c"
        HEAP[$cp]=$5; //@line 1721 "j2k.c"
        var $6=HEAP[$parameters_addr]; //@line 1722 "j2k.c"
        var $7=CHECK_OVERFLOW(($6)&4294967295, 32); //@line 1722 "j2k.c"
        var $8=HEAP[$7]; //@line 1722 "j2k.c"
        var $9=HEAP[$cp]; //@line 1722 "j2k.c"
        var $10=CHECK_OVERFLOW(($9+36)&4294967295, 32); //@line 1722 "j2k.c"
        HEAP[$10]=$8; //@line 1722 "j2k.c"
        var $11=HEAP[$parameters_addr]; //@line 1723 "j2k.c"
        var $12=CHECK_OVERFLOW(($11+4)&4294967295, 32); //@line 1723 "j2k.c"
        var $13=HEAP[$12]; //@line 1723 "j2k.c"
        var $14=HEAP[$cp]; //@line 1723 "j2k.c"
        var $15=CHECK_OVERFLOW(($14+40)&4294967295, 32); //@line 1723 "j2k.c"
        HEAP[$15]=$13; //@line 1723 "j2k.c"
        var $16=HEAP[$parameters_addr]; //@line 1724 "j2k.c"
        var $17=CHECK_OVERFLOW(($16+8220)&4294967295, 32); //@line 1724 "j2k.c"
        var $18=HEAP[$17]; //@line 1724 "j2k.c"
        var $19=HEAP[$cp]; //@line 1724 "j2k.c"
        var $20=CHECK_OVERFLOW(($19+44)&4294967295, 32); //@line 1724 "j2k.c"
        HEAP[$20]=$18; //@line 1724 "j2k.c"
        var $21=HEAP[$j2k_addr]; //@line 1734 "j2k.c"
        var $22=CHECK_OVERFLOW(($21+64)&4294967295, 32); //@line 1734 "j2k.c"
        var $23=HEAP[$cp]; //@line 1734 "j2k.c"
        HEAP[$22]=$23; //@line 1734 "j2k.c"
        __label__ = 1; break; //@line 1734 "j2k.c"
      case 1: // $bb2
        __label__ = 3; break; //@line 1736 "j2k.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 1736 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_decode($j2k, $cio, $cstr_info) {
    var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 36);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $cstr_info_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $0=__stackBase__+16;
        var $image=__stackBase__+20;
        var $cinfo=__stackBase__+24;
        var $e=__stackBase__+28;
        var $id=__stackBase__+32;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$cio_addr]=$cio;
        HEAP[$cstr_info_addr]=$cstr_info;
        HEAP[$image]=0; //@line 1739 "j2k.c"
        var $1=HEAP[$j2k_addr]; //@line 1741 "j2k.c"
        var $2=CHECK_OVERFLOW(($1)&4294967295, 32); //@line 1741 "j2k.c"
        var $3=HEAP[$2]; //@line 1741 "j2k.c"
        HEAP[$cinfo]=$3; //@line 1741 "j2k.c"
        var $4=HEAP[$j2k_addr]; //@line 1743 "j2k.c"
        var $5=CHECK_OVERFLOW(($4+72)&4294967295, 32); //@line 1743 "j2k.c"
        var $6=HEAP[$cio_addr]; //@line 1743 "j2k.c"
        HEAP[$5]=$6; //@line 1743 "j2k.c"
        var $7=HEAP[$j2k_addr]; //@line 1744 "j2k.c"
        var $8=CHECK_OVERFLOW(($7+68)&4294967295, 32); //@line 1744 "j2k.c"
        var $9=HEAP[$cstr_info_addr]; //@line 1744 "j2k.c"
        HEAP[$8]=$9; //@line 1744 "j2k.c"
        var $10=HEAP[$cstr_info_addr]; //@line 1745 "j2k.c"
        var $11=($10)!=0; //@line 1745 "j2k.c"
        if ($11) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1745 "j2k.c"
      case 0: // $bb
        var $12=HEAP[$cstr_info_addr]; //@line 1746 "j2k.c"
        var $13=$12; //@line 1746 "j2k.c"
        _llvm_memset_p0i8_i32($13, 0, 92, 1, 0); //@line 1746 "j2k.c"
        __label__ = 1; break; //@line 1746 "j2k.c"
      case 1: // $bb1
        var $14=_opj_image_create0(); //@line 1749 "j2k.c"
        HEAP[$image]=$14; //@line 1749 "j2k.c"
        var $15=HEAP[$j2k_addr]; //@line 1750 "j2k.c"
        var $16=CHECK_OVERFLOW(($15+60)&4294967295, 32); //@line 1750 "j2k.c"
        var $17=HEAP[$image]; //@line 1750 "j2k.c"
        HEAP[$16]=$17; //@line 1750 "j2k.c"
        var $18=HEAP[$j2k_addr]; //@line 1752 "j2k.c"
        var $19=CHECK_OVERFLOW(($18+4)&4294967295, 32); //@line 1752 "j2k.c"
        HEAP[$19]=1; //@line 1752 "j2k.c"
        __label__ = 2; break; //@line 1752 "j2k.c"
      case 2: // $bb2
        var $20=HEAP[$cio_addr]; //@line 1756 "j2k.c"
        var $21=_cio_read($20, 2); //@line 1756 "j2k.c"
        HEAP[$id]=$21; //@line 1756 "j2k.c"
        var $22=HEAP[$id]; //@line 1796 "j2k.c"
        var $23=($22) >> 8; //@line 1796 "j2k.c"
        var $24=($23)!=255; //@line 1796 "j2k.c"
        if ($24) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1796 "j2k.c"
      case 3: // $bb3
        var $25=HEAP[$image]; //@line 1797 "j2k.c"
        _opj_image_destroy($25); //@line 1797 "j2k.c"
        var $26=HEAP[$cio_addr]; //@line 1798 "j2k.c"
        var $27=_cio_tell($26); //@line 1798 "j2k.c"
        var $28=CHECK_OVERFLOW((($27) - 2)&4294967295, 32); //@line 1798 "j2k.c"
        var $29=HEAP[$cinfo]; //@line 1798 "j2k.c"
        var $30=HEAP[$id]; //@line 1798 "j2k.c"
        var $31=_opj_event_msg($29, 1, CHECK_OVERFLOW((__str3993)&4294967295, 32), Pointer_make([$28,0,0,0,$30,0,0,0], 0, ALLOC_STACK)); //@line 1798 "j2k.c"
        HEAP[$0]=0; //@line 1799 "j2k.c"
        __label__ = 5; break; //@line 1799 "j2k.c"
      case 4: // $bb4
        var $32=HEAP[$id]; //@line 1801 "j2k.c"
        var $33=_j2k_dec_mstab_lookup($32); //@line 1801 "j2k.c"
        HEAP[$e]=$33; //@line 1801 "j2k.c"
        var $34=HEAP[$j2k_addr]; //@line 1803 "j2k.c"
        var $35=CHECK_OVERFLOW(($34+4)&4294967295, 32); //@line 1803 "j2k.c"
        var $36=HEAP[$35]; //@line 1803 "j2k.c"
        var $37=HEAP[$e]; //@line 1803 "j2k.c"
        var $38=CHECK_OVERFLOW(($37+4)&4294967295, 32); //@line 1803 "j2k.c"
        var $39=HEAP[$38]; //@line 1803 "j2k.c"
        var $40=($36) & ($39); //@line 1803 "j2k.c"
        var $41=($40)==0; //@line 1803 "j2k.c"
        if ($41) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1803 "j2k.c"
      case 6: // $bb5
        var $42=HEAP[$image]; //@line 1804 "j2k.c"
        _opj_image_destroy($42); //@line 1804 "j2k.c"
        var $43=HEAP[$cio_addr]; //@line 1805 "j2k.c"
        var $44=_cio_tell($43); //@line 1805 "j2k.c"
        var $45=CHECK_OVERFLOW((($44) - 2)&4294967295, 32); //@line 1805 "j2k.c"
        var $46=HEAP[$cinfo]; //@line 1805 "j2k.c"
        var $47=HEAP[$id]; //@line 1805 "j2k.c"
        var $48=_opj_event_msg($46, 1, CHECK_OVERFLOW((__str494)&4294967295, 32), Pointer_make([$45,0,0,0,$47,0,0,0], 0, ALLOC_STACK)); //@line 1805 "j2k.c"
        HEAP[$0]=0; //@line 1806 "j2k.c"
        __label__ = 5; break; //@line 1806 "j2k.c"
      case 7: // $bb6
        var $49=HEAP[$e]; //@line 1809 "j2k.c"
        var $50=CHECK_OVERFLOW(($49)&4294967295, 32); //@line 1809 "j2k.c"
        var $51=HEAP[$50]; //@line 1809 "j2k.c"
        var $52=($51)==65424; //@line 1809 "j2k.c"
        if ($52) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1809 "j2k.c"
      case 8: // $bb7
        var $53=HEAP[$j2k_addr]; //@line 1809 "j2k.c"
        var $54=CHECK_OVERFLOW(($53+64)&4294967295, 32); //@line 1809 "j2k.c"
        var $55=HEAP[$54]; //@line 1809 "j2k.c"
        var $56=CHECK_OVERFLOW(($55+44)&4294967295, 32); //@line 1809 "j2k.c"
        var $57=HEAP[$56]; //@line 1809 "j2k.c"
        var $58=($57)==1; //@line 1809 "j2k.c"
        if ($58) { __label__ = 10; break; } else { __label__ = 9; break; } //@line 1809 "j2k.c"
      case 10: // $bb8
        var $59=HEAP[$cinfo]; //@line 1810 "j2k.c"
        var $60=_opj_event_msg($59, 4, CHECK_OVERFLOW((__str510)&4294967295, 32)); //@line 1810 "j2k.c"
        var $61=HEAP[$image]; //@line 1811 "j2k.c"
        HEAP[$0]=$61; //@line 1811 "j2k.c"
        __label__ = 5; break; //@line 1811 "j2k.c"
      case 9: // $bb9
        var $62=HEAP[$e]; //@line 1814 "j2k.c"
        var $63=CHECK_OVERFLOW(($62+8)&4294967295, 32); //@line 1814 "j2k.c"
        var $64=HEAP[$63]; //@line 1814 "j2k.c"
        var $65=($64)!=0; //@line 1814 "j2k.c"
        if ($65) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1814 "j2k.c"
      case 11: // $bb10
        var $66=HEAP[$e]; //@line 1815 "j2k.c"
        var $67=CHECK_OVERFLOW(($66+8)&4294967295, 32); //@line 1815 "j2k.c"
        var $68=HEAP[$67]; //@line 1815 "j2k.c"
        var $69=HEAP[$j2k_addr]; //@line 1815 "j2k.c"
        FUNCTION_TABLE[$68]($69); //@line 1815 "j2k.c"
        __label__ = 12; break; //@line 1815 "j2k.c"
      case 12: // $bb11
        var $70=HEAP[$j2k_addr]; //@line 1817 "j2k.c"
        var $71=CHECK_OVERFLOW(($70+4)&4294967295, 32); //@line 1817 "j2k.c"
        var $72=HEAP[$71]; //@line 1817 "j2k.c"
        var $73=($72) & 128; //@line 1817 "j2k.c"
        var $74=($73)!=0; //@line 1817 "j2k.c"
        if ($74) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1817 "j2k.c"
      case 13: // $bb12
        HEAP[$0]=0; //@line 1818 "j2k.c"
        __label__ = 5; break; //@line 1818 "j2k.c"
      case 14: // $bb13
        var $75=HEAP[$j2k_addr]; //@line 1820 "j2k.c"
        var $76=CHECK_OVERFLOW(($75+4)&4294967295, 32); //@line 1820 "j2k.c"
        var $77=HEAP[$76]; //@line 1820 "j2k.c"
        var $78=($77)==32; //@line 1820 "j2k.c"
        if ($78) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1820 "j2k.c"
      case 16: // $bb14
        var $79=HEAP[$j2k_addr]; //@line 1823 "j2k.c"
        var $80=CHECK_OVERFLOW(($79+4)&4294967295, 32); //@line 1823 "j2k.c"
        var $81=HEAP[$80]; //@line 1823 "j2k.c"
        var $82=($81)==64; //@line 1823 "j2k.c"
        if ($82) { __label__ = 15; break; } else { __label__ = 17; break; } //@line 1823 "j2k.c"
      case 17: // $bb15
        __label__ = 2; break; //@line 1823 "j2k.c"
      case 15: // $bb16
        var $83=HEAP[$j2k_addr]; //@line 1827 "j2k.c"
        var $84=CHECK_OVERFLOW(($83+4)&4294967295, 32); //@line 1827 "j2k.c"
        var $85=HEAP[$84]; //@line 1827 "j2k.c"
        var $86=($85)==64; //@line 1827 "j2k.c"
        if ($86) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1827 "j2k.c"
      case 18: // $bb17
        var $87=HEAP[$j2k_addr]; //@line 1828 "j2k.c"
        _j2k_read_eoc($87); //@line 1828 "j2k.c"
        __label__ = 19; break; //@line 1828 "j2k.c"
      case 19: // $bb18
        var $88=HEAP[$j2k_addr]; //@line 1831 "j2k.c"
        var $89=CHECK_OVERFLOW(($88+4)&4294967295, 32); //@line 1831 "j2k.c"
        var $90=HEAP[$89]; //@line 1831 "j2k.c"
        var $91=($90)!=32; //@line 1831 "j2k.c"
        if ($91) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1831 "j2k.c"
      case 20: // $bb19
        var $92=HEAP[$cinfo]; //@line 1832 "j2k.c"
        var $93=_opj_event_msg($92, 2, CHECK_OVERFLOW((__str611)&4294967295, 32)); //@line 1832 "j2k.c"
        __label__ = 21; break; //@line 1832 "j2k.c"
      case 21: // $bb20
        var $94=HEAP[$image]; //@line 1835 "j2k.c"
        HEAP[$0]=$94; //@line 1835 "j2k.c"
        __label__ = 5; break; //@line 1835 "j2k.c"
      case 5: // $bb21
        var $95=HEAP[$0]; //@line 1799 "j2k.c"
        HEAP[$retval]=$95; //@line 1799 "j2k.c"
        __label__ = 22; break; //@line 1799 "j2k.c"
      case 22: // $return
        var $retval22=HEAP[$retval]; //@line 1799 "j2k.c"
        STACKTOP = __stackBase__;
        return $retval22; //@line 1799 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_decode_jpt_stream($j2k, $cio, $cstr_info) {
    var __stackBase__  = STACKTOP; STACKTOP += 68; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 68);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $cstr_info_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $0=__stackBase__+16;
        var $image=__stackBase__+20;
        var $header=__stackBase__+24;
        var $position=__stackBase__+52;
        var $cinfo=__stackBase__+56;
        var $e=__stackBase__+60;
        var $id=__stackBase__+64;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$cio_addr]=$cio;
        HEAP[$cstr_info_addr]=$cstr_info;
        HEAP[$image]=0; //@line 1843 "j2k.c"
        var $1=HEAP[$j2k_addr]; //@line 1847 "j2k.c"
        var $2=CHECK_OVERFLOW(($1)&4294967295, 32); //@line 1847 "j2k.c"
        var $3=HEAP[$2]; //@line 1847 "j2k.c"
        HEAP[$cinfo]=$3; //@line 1847 "j2k.c"
        var $4=HEAP[$j2k_addr]; //@line 1849 "j2k.c"
        var $5=CHECK_OVERFLOW(($4+72)&4294967295, 32); //@line 1849 "j2k.c"
        var $6=HEAP[$cio_addr]; //@line 1849 "j2k.c"
        HEAP[$5]=$6; //@line 1849 "j2k.c"
        var $7=_opj_image_create0(); //@line 1852 "j2k.c"
        HEAP[$image]=$7; //@line 1852 "j2k.c"
        var $8=HEAP[$j2k_addr]; //@line 1853 "j2k.c"
        var $9=CHECK_OVERFLOW(($8+60)&4294967295, 32); //@line 1853 "j2k.c"
        var $10=HEAP[$image]; //@line 1853 "j2k.c"
        HEAP[$9]=$10; //@line 1853 "j2k.c"
        var $11=HEAP[$j2k_addr]; //@line 1855 "j2k.c"
        var $12=CHECK_OVERFLOW(($11+4)&4294967295, 32); //@line 1855 "j2k.c"
        HEAP[$12]=1; //@line 1855 "j2k.c"
        _jpt_init_msg_header($header); //@line 1858 "j2k.c"
        var $13=HEAP[$cinfo]; //@line 1860 "j2k.c"
        var $14=HEAP[$cio_addr]; //@line 1860 "j2k.c"
        _jpt_read_msg_header($13, $14, $header); //@line 1860 "j2k.c"
        var $15=HEAP[$cio_addr]; //@line 1862 "j2k.c"
        var $16=_cio_tell($15); //@line 1862 "j2k.c"
        HEAP[$position]=$16; //@line 1862 "j2k.c"
        var $17=CHECK_OVERFLOW(($header+8)&4294967295, 32); //@line 1863 "j2k.c"
        var $18=HEAP[$17]; //@line 1863 "j2k.c"
        var $19=($18)!=6; //@line 1863 "j2k.c"
        if ($19) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1863 "j2k.c"
      case 0: // $bb
        var $20=HEAP[$image]; //@line 1864 "j2k.c"
        _opj_image_destroy($20); //@line 1864 "j2k.c"
        var $21=CHECK_OVERFLOW(($header+8)&4294967295, 32); //@line 1865 "j2k.c"
        var $22=HEAP[$21]; //@line 1865 "j2k.c"
        var $23=HEAP[$cinfo]; //@line 1865 "j2k.c"
        var $24=_opj_event_msg($23, 1, CHECK_OVERFLOW((__str795)&4294967295, 32), Pointer_make([$22,0,0,0], 0, ALLOC_STACK)); //@line 1865 "j2k.c"
        HEAP[$0]=0; //@line 1866 "j2k.c"
        __label__ = 2; break; //@line 1866 "j2k.c"
      case 1: // $bb1
        HEAP[$e]=0; //@line 1870 "j2k.c"
        var $25=HEAP[$cio_addr]; //@line 1873 "j2k.c"
        var $26=_cio_numbytesleft($25); //@line 1873 "j2k.c"
        var $27=($26)==0; //@line 1873 "j2k.c"
        if ($27) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1873 "j2k.c"
      case 3: // $bb2
        var $28=HEAP[$j2k_addr]; //@line 1874 "j2k.c"
        _j2k_read_eoc($28); //@line 1874 "j2k.c"
        var $29=HEAP[$image]; //@line 1875 "j2k.c"
        HEAP[$0]=$29; //@line 1875 "j2k.c"
        __label__ = 2; break; //@line 1875 "j2k.c"
      case 4: // $bb3
        var $30=HEAP[$cio_addr]; //@line 1878 "j2k.c"
        var $31=_cio_tell($30); //@line 1878 "j2k.c"
        var $32=HEAP[$position]; //@line 1878 "j2k.c"
        var $33=CHECK_OVERFLOW((($31) - ($32))&4294967295, 32); //@line 1878 "j2k.c"
        var $34=CHECK_OVERFLOW(($header+20)&4294967295, 32); //@line 1878 "j2k.c"
        var $35=HEAP[$34]; //@line 1878 "j2k.c"
        var $36=($33)==($35); //@line 1878 "j2k.c"
        if ($36) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1878 "j2k.c"
      case 5: // $bb4
        var $37=HEAP[$cinfo]; //@line 1879 "j2k.c"
        var $38=HEAP[$cio_addr]; //@line 1879 "j2k.c"
        _jpt_read_msg_header($37, $38, $header); //@line 1879 "j2k.c"
        var $39=HEAP[$cio_addr]; //@line 1880 "j2k.c"
        var $40=_cio_tell($39); //@line 1880 "j2k.c"
        HEAP[$position]=$40; //@line 1880 "j2k.c"
        var $41=CHECK_OVERFLOW(($header+8)&4294967295, 32); //@line 1881 "j2k.c"
        var $42=HEAP[$41]; //@line 1881 "j2k.c"
        var $43=($42)!=4; //@line 1881 "j2k.c"
        if ($43) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1881 "j2k.c"
      case 7: // $bb5
        var $44=HEAP[$image]; //@line 1882 "j2k.c"
        _opj_image_destroy($44); //@line 1882 "j2k.c"
        var $45=HEAP[$cinfo]; //@line 1883 "j2k.c"
        var $46=_opj_event_msg($45, 1, CHECK_OVERFLOW((__str896)&4294967295, 32)); //@line 1883 "j2k.c"
        HEAP[$0]=0; //@line 1884 "j2k.c"
        __label__ = 2; break; //@line 1884 "j2k.c"
      case 6: // $bb6
        var $47=HEAP[$cio_addr]; //@line 1888 "j2k.c"
        var $48=_cio_read($47, 2); //@line 1888 "j2k.c"
        HEAP[$id]=$48; //@line 1888 "j2k.c"
        var $49=HEAP[$id]; //@line 1889 "j2k.c"
        var $50=($49) >> 8; //@line 1889 "j2k.c"
        var $51=($50)!=255; //@line 1889 "j2k.c"
        if ($51) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1889 "j2k.c"
      case 8: // $bb7
        var $52=HEAP[$image]; //@line 1890 "j2k.c"
        _opj_image_destroy($52); //@line 1890 "j2k.c"
        var $53=HEAP[$cio_addr]; //@line 1891 "j2k.c"
        var $54=_cio_tell($53); //@line 1891 "j2k.c"
        var $55=CHECK_OVERFLOW((($54) - 2)&4294967295, 32); //@line 1891 "j2k.c"
        var $56=HEAP[$cinfo]; //@line 1891 "j2k.c"
        var $57=HEAP[$id]; //@line 1891 "j2k.c"
        var $58=_opj_event_msg($56, 1, CHECK_OVERFLOW((__str3993)&4294967295, 32), Pointer_make([$55,0,0,0,$57,0,0,0], 0, ALLOC_STACK)); //@line 1891 "j2k.c"
        HEAP[$0]=0; //@line 1892 "j2k.c"
        __label__ = 2; break; //@line 1892 "j2k.c"
      case 9: // $bb8
        var $59=HEAP[$id]; //@line 1894 "j2k.c"
        var $60=_j2k_dec_mstab_lookup($59); //@line 1894 "j2k.c"
        HEAP[$e]=$60; //@line 1894 "j2k.c"
        var $61=HEAP[$j2k_addr]; //@line 1895 "j2k.c"
        var $62=CHECK_OVERFLOW(($61+4)&4294967295, 32); //@line 1895 "j2k.c"
        var $63=HEAP[$62]; //@line 1895 "j2k.c"
        var $64=HEAP[$e]; //@line 1895 "j2k.c"
        var $65=CHECK_OVERFLOW(($64+4)&4294967295, 32); //@line 1895 "j2k.c"
        var $66=HEAP[$65]; //@line 1895 "j2k.c"
        var $67=($63) & ($66); //@line 1895 "j2k.c"
        var $68=($67)==0; //@line 1895 "j2k.c"
        if ($68) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1895 "j2k.c"
      case 10: // $bb9
        var $69=HEAP[$image]; //@line 1896 "j2k.c"
        _opj_image_destroy($69); //@line 1896 "j2k.c"
        var $70=HEAP[$cio_addr]; //@line 1897 "j2k.c"
        var $71=_cio_tell($70); //@line 1897 "j2k.c"
        var $72=CHECK_OVERFLOW((($71) - 2)&4294967295, 32); //@line 1897 "j2k.c"
        var $73=HEAP[$cinfo]; //@line 1897 "j2k.c"
        var $74=HEAP[$id]; //@line 1897 "j2k.c"
        var $75=_opj_event_msg($73, 1, CHECK_OVERFLOW((__str494)&4294967295, 32), Pointer_make([$72,0,0,0,$74,0,0,0], 0, ALLOC_STACK)); //@line 1897 "j2k.c"
        HEAP[$0]=0; //@line 1898 "j2k.c"
        __label__ = 2; break; //@line 1898 "j2k.c"
      case 11: // $bb10
        var $76=HEAP[$e]; //@line 1900 "j2k.c"
        var $77=CHECK_OVERFLOW(($76+8)&4294967295, 32); //@line 1900 "j2k.c"
        var $78=HEAP[$77]; //@line 1900 "j2k.c"
        var $79=($78)!=0; //@line 1900 "j2k.c"
        if ($79) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1900 "j2k.c"
      case 12: // $bb11
        var $80=HEAP[$e]; //@line 1901 "j2k.c"
        var $81=CHECK_OVERFLOW(($80+8)&4294967295, 32); //@line 1901 "j2k.c"
        var $82=HEAP[$81]; //@line 1901 "j2k.c"
        var $83=HEAP[$j2k_addr]; //@line 1901 "j2k.c"
        FUNCTION_TABLE[$82]($83); //@line 1901 "j2k.c"
        __label__ = 13; break; //@line 1901 "j2k.c"
      case 13: // $bb12
        var $84=HEAP[$j2k_addr]; //@line 1903 "j2k.c"
        var $85=CHECK_OVERFLOW(($84+4)&4294967295, 32); //@line 1903 "j2k.c"
        var $86=HEAP[$85]; //@line 1903 "j2k.c"
        var $87=($86)==32; //@line 1903 "j2k.c"
        if ($87) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1903 "j2k.c"
      case 15: // $bb13
        var $88=HEAP[$j2k_addr]; //@line 1906 "j2k.c"
        var $89=CHECK_OVERFLOW(($88+4)&4294967295, 32); //@line 1906 "j2k.c"
        var $90=HEAP[$89]; //@line 1906 "j2k.c"
        var $91=($90)==64; //@line 1906 "j2k.c"
        if ($91) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 1906 "j2k.c"
      case 16: // $bb14
        __label__ = 1; break; //@line 1906 "j2k.c"
      case 14: // $bb15
        var $92=HEAP[$j2k_addr]; //@line 1910 "j2k.c"
        var $93=CHECK_OVERFLOW(($92+4)&4294967295, 32); //@line 1910 "j2k.c"
        var $94=HEAP[$93]; //@line 1910 "j2k.c"
        var $95=($94)==64; //@line 1910 "j2k.c"
        if ($95) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1910 "j2k.c"
      case 17: // $bb16
        var $96=HEAP[$j2k_addr]; //@line 1911 "j2k.c"
        _j2k_read_eoc($96); //@line 1911 "j2k.c"
        __label__ = 18; break; //@line 1911 "j2k.c"
      case 18: // $bb17
        var $97=HEAP[$j2k_addr]; //@line 1914 "j2k.c"
        var $98=CHECK_OVERFLOW(($97+4)&4294967295, 32); //@line 1914 "j2k.c"
        var $99=HEAP[$98]; //@line 1914 "j2k.c"
        var $100=($99)!=32; //@line 1914 "j2k.c"
        if ($100) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1914 "j2k.c"
      case 19: // $bb18
        var $101=HEAP[$cinfo]; //@line 1915 "j2k.c"
        var $102=_opj_event_msg($101, 2, CHECK_OVERFLOW((__str611)&4294967295, 32)); //@line 1915 "j2k.c"
        __label__ = 20; break; //@line 1915 "j2k.c"
      case 20: // $bb19
        var $103=HEAP[$image]; //@line 1918 "j2k.c"
        HEAP[$0]=$103; //@line 1918 "j2k.c"
        __label__ = 2; break; //@line 1918 "j2k.c"
      case 2: // $bb20
        var $104=HEAP[$0]; //@line 1866 "j2k.c"
        HEAP[$retval]=$104; //@line 1866 "j2k.c"
        __label__ = 21; break; //@line 1866 "j2k.c"
      case 21: // $return
        var $retval21=HEAP[$retval]; //@line 1866 "j2k.c"
        STACKTOP = __stackBase__;
        return $retval21; //@line 1866 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_create_compress($cinfo) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cinfo_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $j2k=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$cinfo_addr]=$cinfo;
        var $1=_calloc(1, 76); //@line 1926 "j2k.c"
        var $2=$1; //@line 1926 "j2k.c"
        HEAP[$j2k]=$2; //@line 1926 "j2k.c"
        var $3=HEAP[$j2k]; //@line 1927 "j2k.c"
        var $4=($3)!=0; //@line 1927 "j2k.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1927 "j2k.c"
      case 0: // $bb
        var $5=HEAP[$j2k]; //@line 1928 "j2k.c"
        var $6=CHECK_OVERFLOW(($5)&4294967295, 32); //@line 1928 "j2k.c"
        var $7=HEAP[$cinfo_addr]; //@line 1928 "j2k.c"
        HEAP[$6]=$7; //@line 1928 "j2k.c"
        __label__ = 1; break; //@line 1928 "j2k.c"
      case 1: // $bb1
        var $8=HEAP[$j2k]; //@line 1930 "j2k.c"
        HEAP[$0]=$8; //@line 1930 "j2k.c"
        var $9=HEAP[$0]; //@line 1930 "j2k.c"
        HEAP[$retval]=$9; //@line 1930 "j2k.c"
        __label__ = 2; break; //@line 1930 "j2k.c"
      case 2: // $return
        var $retval2=HEAP[$retval]; //@line 1930 "j2k.c"
        STACKTOP = __stackBase__;
        return $retval2; //@line 1930 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_destroy_compress($j2k) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $tileno=__stackBase__+4;
        var $cp=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        var $0=HEAP[$j2k_addr]; //@line 1936 "j2k.c"
        var $1=($0)==0; //@line 1936 "j2k.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1936 "j2k.c"
      case 1: // $bb
        var $2=HEAP[$j2k_addr]; //@line 1937 "j2k.c"
        var $3=CHECK_OVERFLOW(($2+64)&4294967295, 32); //@line 1937 "j2k.c"
        var $4=HEAP[$3]; //@line 1937 "j2k.c"
        var $5=($4)!=0; //@line 1937 "j2k.c"
        if ($5) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1937 "j2k.c"
      case 2: // $bb1
        var $6=HEAP[$j2k_addr]; //@line 1938 "j2k.c"
        var $7=CHECK_OVERFLOW(($6+64)&4294967295, 32); //@line 1938 "j2k.c"
        var $8=HEAP[$7]; //@line 1938 "j2k.c"
        HEAP[$cp]=$8; //@line 1938 "j2k.c"
        var $9=HEAP[$cp]; //@line 1940 "j2k.c"
        var $10=CHECK_OVERFLOW(($9+64)&4294967295, 32); //@line 1940 "j2k.c"
        var $11=HEAP[$10]; //@line 1940 "j2k.c"
        var $12=($11)!=0; //@line 1940 "j2k.c"
        if ($12) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1940 "j2k.c"
      case 4: // $bb2
        var $13=HEAP[$cp]; //@line 1941 "j2k.c"
        var $14=CHECK_OVERFLOW(($13+64)&4294967295, 32); //@line 1941 "j2k.c"
        var $15=HEAP[$14]; //@line 1941 "j2k.c"
        _free($15); //@line 1941 "j2k.c"
        __label__ = 5; break; //@line 1941 "j2k.c"
      case 5: // $bb3
        var $16=HEAP[$cp]; //@line 1943 "j2k.c"
        var $17=CHECK_OVERFLOW(($16+112)&4294967295, 32); //@line 1943 "j2k.c"
        var $18=HEAP[$17]; //@line 1943 "j2k.c"
        var $19=($18)!=0; //@line 1943 "j2k.c"
        if ($19) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1943 "j2k.c"
      case 6: // $bb4
        var $20=HEAP[$cp]; //@line 1944 "j2k.c"
        var $21=CHECK_OVERFLOW(($20+112)&4294967295, 32); //@line 1944 "j2k.c"
        var $22=HEAP[$21]; //@line 1944 "j2k.c"
        var $23=$22; //@line 1944 "j2k.c"
        _free($23); //@line 1944 "j2k.c"
        __label__ = 7; break; //@line 1944 "j2k.c"
      case 7: // $bb5
        HEAP[$tileno]=0; //@line 1946 "j2k.c"
        __label__ = 8; break; //@line 1946 "j2k.c"
      case 9: // $bb6
        var $24=HEAP[$cp]; //@line 1947 "j2k.c"
        var $25=CHECK_OVERFLOW(($24+108)&4294967295, 32); //@line 1947 "j2k.c"
        var $26=HEAP[$25]; //@line 1947 "j2k.c"
        var $27=HEAP[$tileno]; //@line 1947 "j2k.c"
        var $28=CHECK_OVERFLOW(($26+5588*$27)&4294967295, 32); //@line 1947 "j2k.c"
        var $29=CHECK_OVERFLOW(($28+5584)&4294967295, 32); //@line 1947 "j2k.c"
        var $30=HEAP[$29]; //@line 1947 "j2k.c"
        var $31=$30; //@line 1947 "j2k.c"
        _free($31); //@line 1947 "j2k.c"
        var $32=HEAP[$tileno]; //@line 1946 "j2k.c"
        var $33=CHECK_OVERFLOW((($32) + 1)&4294967295, 32); //@line 1946 "j2k.c"
        HEAP[$tileno]=$33; //@line 1946 "j2k.c"
        __label__ = 8; break; //@line 1946 "j2k.c"
      case 8: // $bb7
        var $34=HEAP[$cp]; //@line 1946 "j2k.c"
        var $35=CHECK_OVERFLOW(($34+68)&4294967295, 32); //@line 1946 "j2k.c"
        var $36=HEAP[$35]; //@line 1946 "j2k.c"
        var $37=HEAP[$cp]; //@line 1946 "j2k.c"
        var $38=CHECK_OVERFLOW(($37+72)&4294967295, 32); //@line 1946 "j2k.c"
        var $39=HEAP[$38]; //@line 1946 "j2k.c"
        var $40=CHECK_OVERFLOW((($36) * ($39))&4294967295, 32); //@line 1946 "j2k.c"
        var $41=HEAP[$tileno]; //@line 1946 "j2k.c"
        var $42=($40) > ($41); //@line 1946 "j2k.c"
        if ($42) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1946 "j2k.c"
      case 10: // $bb8
        var $43=HEAP[$cp]; //@line 1949 "j2k.c"
        var $44=CHECK_OVERFLOW(($43+108)&4294967295, 32); //@line 1949 "j2k.c"
        var $45=HEAP[$44]; //@line 1949 "j2k.c"
        var $46=$45; //@line 1949 "j2k.c"
        _free($46); //@line 1949 "j2k.c"
        var $47=HEAP[$cp]; //@line 1950 "j2k.c"
        var $48=$47; //@line 1950 "j2k.c"
        _free($48); //@line 1950 "j2k.c"
        __label__ = 3; break; //@line 1950 "j2k.c"
      case 3: // $bb9
        var $49=HEAP[$j2k_addr]; //@line 1953 "j2k.c"
        var $50=$49; //@line 1953 "j2k.c"
        _free($50); //@line 1953 "j2k.c"
        __label__ = 0; break; //@line 1953 "j2k.c"
      case 0: // $bb10
        __label__ = 11; break; //@line 1936 "j2k.c"
      case 11: // $return
        STACKTOP = __stackBase__;
        return; //@line 1936 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_setup_encoder($j2k, $parameters, $image) {
    var __stackBase__  = STACKTOP; STACKTOP += 68; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 68);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $parameters_addr=__stackBase__+4;
        var $image_addr=__stackBase__+8;
        var $iftmp_87=__stackBase__+12;
        var $i=__stackBase__+16;
        var $j=__stackBase__+20;
        var $tileno=__stackBase__+24;
        var $numpocs_tile=__stackBase__+28;
        var $cp=__stackBase__+32;
        var $array_size=__stackBase__+36;
        var $tcp=__stackBase__+40;
        var $tcp_poc=__stackBase__+44;
        var $tccp=__stackBase__+48;
        var $p=__stackBase__+52;
        var $res_spec=__stackBase__+56;
        var $size_prcw=__stackBase__+60;
        var $size_prch=__stackBase__+64;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$parameters_addr]=$parameters;
        HEAP[$image_addr]=$image;
        HEAP[$cp]=0; //@line 1958 "j2k.c"
        var $0=HEAP[$j2k_addr]; //@line 1960 "j2k.c"
        var $1=($0)==0; //@line 1960 "j2k.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1960 "j2k.c"
      case 1: // $bb
        var $2=HEAP[$parameters_addr]; //@line 1960 "j2k.c"
        var $3=($2)==0; //@line 1960 "j2k.c"
        if ($3) { __label__ = 0; break; } else { __label__ = 2; break; } //@line 1960 "j2k.c"
      case 2: // $bb1
        var $4=HEAP[$image_addr]; //@line 1960 "j2k.c"
        var $5=($4)==0; //@line 1960 "j2k.c"
        if ($5) { __label__ = 0; break; } else { __label__ = 3; break; } //@line 1960 "j2k.c"
      case 0: // $bb2
        __label__ = 4; break; //@line 1960 "j2k.c"
      case 3: // $bb3
        var $6=_calloc(1, 116); //@line 1965 "j2k.c"
        var $7=$6; //@line 1965 "j2k.c"
        HEAP[$cp]=$7; //@line 1965 "j2k.c"
        var $8=HEAP[$j2k_addr]; //@line 1968 "j2k.c"
        var $9=CHECK_OVERFLOW(($8+64)&4294967295, 32); //@line 1968 "j2k.c"
        var $10=HEAP[$cp]; //@line 1968 "j2k.c"
        HEAP[$9]=$10; //@line 1968 "j2k.c"
        var $11=HEAP[$cp]; //@line 1971 "j2k.c"
        var $12=CHECK_OVERFLOW(($11+68)&4294967295, 32); //@line 1971 "j2k.c"
        HEAP[$12]=1; //@line 1971 "j2k.c"
        var $13=HEAP[$cp]; //@line 1972 "j2k.c"
        var $14=CHECK_OVERFLOW(($13+72)&4294967295, 32); //@line 1972 "j2k.c"
        HEAP[$14]=1; //@line 1972 "j2k.c"
        var $15=HEAP[$parameters_addr]; //@line 1977 "j2k.c"
        var $16=CHECK_OVERFLOW(($15+18676)&4294967295, 32); //@line 1977 "j2k.c"
        var $17=HEAP[$16]; //@line 1977 "j2k.c"
        var $18=HEAP[$cp]; //@line 1977 "j2k.c"
        var $19=CHECK_OVERFLOW(($18)&4294967295, 32); //@line 1977 "j2k.c"
        HEAP[$19]=$17; //@line 1977 "j2k.c"
        var $20=HEAP[$parameters_addr]; //@line 1978 "j2k.c"
        var $21=CHECK_OVERFLOW(($20+18680)&4294967295, 32); //@line 1978 "j2k.c"
        var $22=HEAP[$21]; //@line 1978 "j2k.c"
        var $23=HEAP[$cp]; //@line 1978 "j2k.c"
        var $24=CHECK_OVERFLOW(($23+4)&4294967295, 32); //@line 1978 "j2k.c"
        HEAP[$24]=$22; //@line 1978 "j2k.c"
        var $25=HEAP[$parameters_addr]; //@line 1979 "j2k.c"
        var $26=CHECK_OVERFLOW(($25+18684)&4294967295, 32); //@line 1979 "j2k.c"
        var $27=HEAP[$26]; //@line 1979 "j2k.c"
        var $28=HEAP[$cp]; //@line 1979 "j2k.c"
        var $29=CHECK_OVERFLOW(($28+12)&4294967295, 32); //@line 1979 "j2k.c"
        HEAP[$29]=$27; //@line 1979 "j2k.c"
        var $30=HEAP[$parameters_addr]; //@line 1980 "j2k.c"
        var $31=CHECK_OVERFLOW(($30+20)&4294967295, 32); //@line 1980 "j2k.c"
        var $32=HEAP[$31]; //@line 1980 "j2k.c"
        var $33=HEAP[$cp]; //@line 1980 "j2k.c"
        var $34=CHECK_OVERFLOW(($33+24)&4294967295, 32); //@line 1980 "j2k.c"
        HEAP[$34]=$32; //@line 1980 "j2k.c"
        var $35=HEAP[$parameters_addr]; //@line 1981 "j2k.c"
        var $36=CHECK_OVERFLOW(($35+24)&4294967295, 32); //@line 1981 "j2k.c"
        var $37=HEAP[$36]; //@line 1981 "j2k.c"
        var $38=HEAP[$cp]; //@line 1981 "j2k.c"
        var $39=CHECK_OVERFLOW(($38+28)&4294967295, 32); //@line 1981 "j2k.c"
        HEAP[$39]=$37; //@line 1981 "j2k.c"
        var $40=HEAP[$parameters_addr]; //@line 1982 "j2k.c"
        var $41=CHECK_OVERFLOW(($40+28)&4294967295, 32); //@line 1982 "j2k.c"
        var $42=HEAP[$41]; //@line 1982 "j2k.c"
        var $43=HEAP[$cp]; //@line 1982 "j2k.c"
        var $44=CHECK_OVERFLOW(($43+32)&4294967295, 32); //@line 1982 "j2k.c"
        HEAP[$44]=$42; //@line 1982 "j2k.c"
        var $45=HEAP[$parameters_addr]; //@line 1985 "j2k.c"
        var $46=CHECK_OVERFLOW(($45+32)&4294967295, 32); //@line 1985 "j2k.c"
        var $47=HEAP[$46]; //@line 1985 "j2k.c"
        var $48=($47)!=0; //@line 1985 "j2k.c"
        if ($48) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1985 "j2k.c"
      case 5: // $bb4
        var $49=HEAP[$parameters_addr]; //@line 1986 "j2k.c"
        var $50=CHECK_OVERFLOW(($49+4788)&4294967295, 32); //@line 1986 "j2k.c"
        var $51=HEAP[$50]; //@line 1986 "j2k.c"
        var $52=HEAP[$parameters_addr]; //@line 1986 "j2k.c"
        var $53=CHECK_OVERFLOW(($52+5592)&4294967295, 32); //@line 1986 "j2k.c"
        var $54=HEAP[$53]; //@line 1986 "j2k.c"
        var $55=CHECK_OVERFLOW((($51) * ($54))&4294967295, 32); //@line 1986 "j2k.c"
        var $56=CHECK_OVERFLOW((($55) * 12)&4294967295, 32); //@line 1986 "j2k.c"
        HEAP[$array_size]=$56; //@line 1986 "j2k.c"
        var $57=HEAP[$array_size]; //@line 1987 "j2k.c"
        var $58=_malloc($57); //@line 1987 "j2k.c"
        var $59=$58; //@line 1987 "j2k.c"
        var $60=HEAP[$cp]; //@line 1987 "j2k.c"
        var $61=CHECK_OVERFLOW(($60+112)&4294967295, 32); //@line 1987 "j2k.c"
        HEAP[$61]=$59; //@line 1987 "j2k.c"
        var $62=HEAP[$parameters_addr]; //@line 1988 "j2k.c"
        var $63=CHECK_OVERFLOW(($62+32)&4294967295, 32); //@line 1988 "j2k.c"
        var $64=HEAP[$63]; //@line 1988 "j2k.c"
        var $65=HEAP[$cp]; //@line 1988 "j2k.c"
        var $66=CHECK_OVERFLOW(($65+112)&4294967295, 32); //@line 1988 "j2k.c"
        var $67=HEAP[$66]; //@line 1988 "j2k.c"
        var $68=HEAP[$array_size]; //@line 1988 "j2k.c"
        var $69=$67; //@line 1988 "j2k.c"
        var $70=$64; //@line 1988 "j2k.c"
        _llvm_memcpy_p0i8_p0i8_i32($69, $70, $68, 1, 0); //@line 1988 "j2k.c"
        __label__ = 6; break; //@line 1988 "j2k.c"
      case 6: // $bb5
        var $71=HEAP[$parameters_addr]; //@line 1992 "j2k.c"
        var $72=CHECK_OVERFLOW(($71+12)&4294967295, 32); //@line 1992 "j2k.c"
        var $73=HEAP[$72]; //@line 1992 "j2k.c"
        var $74=HEAP[$cp]; //@line 1992 "j2k.c"
        var $75=CHECK_OVERFLOW(($74+56)&4294967295, 32); //@line 1992 "j2k.c"
        HEAP[$75]=$73; //@line 1992 "j2k.c"
        var $76=HEAP[$parameters_addr]; //@line 1993 "j2k.c"
        var $77=CHECK_OVERFLOW(($76+16)&4294967295, 32); //@line 1993 "j2k.c"
        var $78=HEAP[$77]; //@line 1993 "j2k.c"
        var $79=HEAP[$cp]; //@line 1993 "j2k.c"
        var $80=CHECK_OVERFLOW(($79+60)&4294967295, 32); //@line 1993 "j2k.c"
        HEAP[$80]=$78; //@line 1993 "j2k.c"
        var $81=HEAP[$parameters_addr]; //@line 1996 "j2k.c"
        var $82=CHECK_OVERFLOW(($81+4)&4294967295, 32); //@line 1996 "j2k.c"
        var $83=HEAP[$82]; //@line 1996 "j2k.c"
        var $84=HEAP[$cp]; //@line 1996 "j2k.c"
        var $85=CHECK_OVERFLOW(($84+48)&4294967295, 32); //@line 1996 "j2k.c"
        HEAP[$85]=$83; //@line 1996 "j2k.c"
        var $86=HEAP[$parameters_addr]; //@line 1997 "j2k.c"
        var $87=CHECK_OVERFLOW(($86+8)&4294967295, 32); //@line 1997 "j2k.c"
        var $88=HEAP[$87]; //@line 1997 "j2k.c"
        var $89=HEAP[$cp]; //@line 1997 "j2k.c"
        var $90=CHECK_OVERFLOW(($89+52)&4294967295, 32); //@line 1997 "j2k.c"
        HEAP[$90]=$88; //@line 1997 "j2k.c"
        var $91=HEAP[$parameters_addr]; //@line 2000 "j2k.c"
        var $92=CHECK_OVERFLOW(($91+36)&4294967295, 32); //@line 2000 "j2k.c"
        var $93=HEAP[$92]; //@line 2000 "j2k.c"
        var $94=($93)!=0; //@line 2000 "j2k.c"
        if ($94) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 2000 "j2k.c"
      case 7: // $bb6
        var $95=HEAP[$parameters_addr]; //@line 2001 "j2k.c"
        var $96=CHECK_OVERFLOW(($95+36)&4294967295, 32); //@line 2001 "j2k.c"
        var $97=HEAP[$96]; //@line 2001 "j2k.c"
        var $98=_strlen($97); //@line 2001 "j2k.c"
        var $99=CHECK_OVERFLOW((($98) + 1)&4294967295, 32); //@line 2001 "j2k.c"
        var $100=_malloc($99); //@line 2001 "j2k.c"
        var $101=HEAP[$cp]; //@line 2001 "j2k.c"
        var $102=CHECK_OVERFLOW(($101+64)&4294967295, 32); //@line 2001 "j2k.c"
        HEAP[$102]=$100; //@line 2001 "j2k.c"
        var $103=HEAP[$cp]; //@line 2002 "j2k.c"
        var $104=CHECK_OVERFLOW(($103+64)&4294967295, 32); //@line 2002 "j2k.c"
        var $105=HEAP[$104]; //@line 2002 "j2k.c"
        var $106=($105)!=0; //@line 2002 "j2k.c"
        if ($106) { __label__ = 9; break; } else { __label__ = 8; break; } //@line 2002 "j2k.c"
      case 9: // $bb7
        var $107=HEAP[$parameters_addr]; //@line 2003 "j2k.c"
        var $108=CHECK_OVERFLOW(($107+36)&4294967295, 32); //@line 2003 "j2k.c"
        var $109=HEAP[$108]; //@line 2003 "j2k.c"
        var $110=HEAP[$cp]; //@line 2003 "j2k.c"
        var $111=CHECK_OVERFLOW(($110+64)&4294967295, 32); //@line 2003 "j2k.c"
        var $112=HEAP[$111]; //@line 2003 "j2k.c"
        var $113=_strcpy($112, $109); //@line 2003 "j2k.c"
        __label__ = 8; break; //@line 2003 "j2k.c"
      case 8: // $bb8
        var $114=HEAP[$parameters_addr]; //@line 2011 "j2k.c"
        var $115=CHECK_OVERFLOW(($114)&4294967295, 32); //@line 2011 "j2k.c"
        var $116=HEAP[$115]; //@line 2011 "j2k.c"
        var $117=($116)!=0; //@line 2011 "j2k.c"
        if ($117) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2011 "j2k.c"
      case 10: // $bb9
        var $118=HEAP[$cp]; //@line 2012 "j2k.c"
        var $119=CHECK_OVERFLOW(($118+56)&4294967295, 32); //@line 2012 "j2k.c"
        var $120=HEAP[$119]; //@line 2012 "j2k.c"
        var $121=HEAP[$image_addr]; //@line 2012 "j2k.c"
        var $122=CHECK_OVERFLOW(($121+8)&4294967295, 32); //@line 2012 "j2k.c"
        var $123=HEAP[$122]; //@line 2012 "j2k.c"
        var $124=HEAP[$cp]; //@line 2012 "j2k.c"
        var $125=CHECK_OVERFLOW(($124+48)&4294967295, 32); //@line 2012 "j2k.c"
        var $126=HEAP[$125]; //@line 2012 "j2k.c"
        var $127=CHECK_OVERFLOW((($123) - ($126))&4294967295, 32); //@line 2012 "j2k.c"
        var $128=_int_ceildiv($127, $120); //@line 2012 "j2k.c"
        var $129=HEAP[$cp]; //@line 2012 "j2k.c"
        var $130=CHECK_OVERFLOW(($129+68)&4294967295, 32); //@line 2012 "j2k.c"
        HEAP[$130]=$128; //@line 2012 "j2k.c"
        var $131=HEAP[$cp]; //@line 2013 "j2k.c"
        var $132=CHECK_OVERFLOW(($131+60)&4294967295, 32); //@line 2013 "j2k.c"
        var $133=HEAP[$132]; //@line 2013 "j2k.c"
        var $134=HEAP[$image_addr]; //@line 2013 "j2k.c"
        var $135=CHECK_OVERFLOW(($134+12)&4294967295, 32); //@line 2013 "j2k.c"
        var $136=HEAP[$135]; //@line 2013 "j2k.c"
        var $137=HEAP[$cp]; //@line 2013 "j2k.c"
        var $138=CHECK_OVERFLOW(($137+52)&4294967295, 32); //@line 2013 "j2k.c"
        var $139=HEAP[$138]; //@line 2013 "j2k.c"
        var $140=CHECK_OVERFLOW((($136) - ($139))&4294967295, 32); //@line 2013 "j2k.c"
        var $141=_int_ceildiv($140, $133); //@line 2013 "j2k.c"
        var $142=HEAP[$cp]; //@line 2013 "j2k.c"
        var $143=CHECK_OVERFLOW(($142+72)&4294967295, 32); //@line 2013 "j2k.c"
        HEAP[$143]=$141; //@line 2013 "j2k.c"
        __label__ = 12; break; //@line 2013 "j2k.c"
      case 11: // $bb10
        var $144=HEAP[$image_addr]; //@line 2015 "j2k.c"
        var $145=CHECK_OVERFLOW(($144+8)&4294967295, 32); //@line 2015 "j2k.c"
        var $146=HEAP[$145]; //@line 2015 "j2k.c"
        var $147=HEAP[$cp]; //@line 2015 "j2k.c"
        var $148=CHECK_OVERFLOW(($147+48)&4294967295, 32); //@line 2015 "j2k.c"
        var $149=HEAP[$148]; //@line 2015 "j2k.c"
        var $150=CHECK_OVERFLOW((($146) - ($149))&4294967295, 32); //@line 2015 "j2k.c"
        var $151=HEAP[$cp]; //@line 2015 "j2k.c"
        var $152=CHECK_OVERFLOW(($151+56)&4294967295, 32); //@line 2015 "j2k.c"
        HEAP[$152]=$150; //@line 2015 "j2k.c"
        var $153=HEAP[$image_addr]; //@line 2016 "j2k.c"
        var $154=CHECK_OVERFLOW(($153+12)&4294967295, 32); //@line 2016 "j2k.c"
        var $155=HEAP[$154]; //@line 2016 "j2k.c"
        var $156=HEAP[$cp]; //@line 2016 "j2k.c"
        var $157=CHECK_OVERFLOW(($156+52)&4294967295, 32); //@line 2016 "j2k.c"
        var $158=HEAP[$157]; //@line 2016 "j2k.c"
        var $159=CHECK_OVERFLOW((($155) - ($158))&4294967295, 32); //@line 2016 "j2k.c"
        var $160=HEAP[$cp]; //@line 2016 "j2k.c"
        var $161=CHECK_OVERFLOW(($160+60)&4294967295, 32); //@line 2016 "j2k.c"
        HEAP[$161]=$159; //@line 2016 "j2k.c"
        __label__ = 12; break; //@line 2016 "j2k.c"
      case 12: // $bb11
        var $162=HEAP[$parameters_addr]; //@line 2019 "j2k.c"
        var $163=CHECK_OVERFLOW(($162+18688)&4294967295, 32); //@line 2019 "j2k.c"
        var $164=HEAP[$163]; //@line 2019 "j2k.c"
        var $165=($164)!=0; //@line 2019 "j2k.c"
        if ($165) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 2019 "j2k.c"
      case 13: // $bb12
        var $166=HEAP[$parameters_addr]; //@line 2020 "j2k.c"
        var $167=CHECK_OVERFLOW(($166+18689)&4294967295, 32); //@line 2020 "j2k.c"
        var $168=HEAP[$167]; //@line 2020 "j2k.c"
        var $169=HEAP[$cp]; //@line 2020 "j2k.c"
        var $170=CHECK_OVERFLOW(($169+17)&4294967295, 32); //@line 2020 "j2k.c"
        HEAP[$170]=$168; //@line 2020 "j2k.c"
        var $171=HEAP[$cp]; //@line 2021 "j2k.c"
        var $172=CHECK_OVERFLOW(($171+16)&4294967295, 32); //@line 2021 "j2k.c"
        HEAP[$172]=1; //@line 2021 "j2k.c"
        __label__ = 14; break; //@line 2021 "j2k.c"
      case 14: // $bb13
        var $173=HEAP[$cp]; //@line 2024 "j2k.c"
        var $174=CHECK_OVERFLOW(($173+8)&4294967295, 32); //@line 2024 "j2k.c"
        HEAP[$174]=0; //@line 2024 "j2k.c"
        HEAP[$i]=0; //@line 2025 "j2k.c"
        __label__ = 15; break; //@line 2025 "j2k.c"
      case 16: // $bb14
        var $175=HEAP[$cp]; //@line 2026 "j2k.c"
        var $176=CHECK_OVERFLOW(($175+8)&4294967295, 32); //@line 2026 "j2k.c"
        var $177=HEAP[$176]; //@line 2026 "j2k.c"
        var $178=HEAP[$image_addr]; //@line 2026 "j2k.c"
        var $179=CHECK_OVERFLOW(($178+24)&4294967295, 32); //@line 2026 "j2k.c"
        var $180=HEAP[$179]; //@line 2026 "j2k.c"
        var $181=HEAP[$i]; //@line 2026 "j2k.c"
        var $182=CHECK_OVERFLOW(($180+48*$181)&4294967295, 32); //@line 2026 "j2k.c"
        var $183=CHECK_OVERFLOW(($182+8)&4294967295, 32); //@line 2026 "j2k.c"
        var $184=HEAP[$183]; //@line 2026 "j2k.c"
        var $185=HEAP[$image_addr]; //@line 2026 "j2k.c"
        var $186=CHECK_OVERFLOW(($185+24)&4294967295, 32); //@line 2026 "j2k.c"
        var $187=HEAP[$186]; //@line 2026 "j2k.c"
        var $188=HEAP[$i]; //@line 2026 "j2k.c"
        var $189=CHECK_OVERFLOW(($187+48*$188)&4294967295, 32); //@line 2026 "j2k.c"
        var $190=CHECK_OVERFLOW(($189+12)&4294967295, 32); //@line 2026 "j2k.c"
        var $191=HEAP[$190]; //@line 2026 "j2k.c"
        var $192=CHECK_OVERFLOW((($184) * ($191))&4294967295, 32); //@line 2026 "j2k.c"
        var $193=HEAP[$image_addr]; //@line 2026 "j2k.c"
        var $194=CHECK_OVERFLOW(($193+24)&4294967295, 32); //@line 2026 "j2k.c"
        var $195=HEAP[$194]; //@line 2026 "j2k.c"
        var $196=HEAP[$i]; //@line 2026 "j2k.c"
        var $197=CHECK_OVERFLOW(($195+48*$196)&4294967295, 32); //@line 2026 "j2k.c"
        var $198=CHECK_OVERFLOW(($197+24)&4294967295, 32); //@line 2026 "j2k.c"
        var $199=HEAP[$198]; //@line 2026 "j2k.c"
        var $200=CHECK_OVERFLOW((($192) * ($199))&4294967295, 32); //@line 2026 "j2k.c"
        var $201=CHECK_OVERFLOW((($177) + ($200))&4294967295, 32); //@line 2026 "j2k.c"
        var $202=HEAP[$cp]; //@line 2026 "j2k.c"
        var $203=CHECK_OVERFLOW(($202+8)&4294967295, 32); //@line 2026 "j2k.c"
        HEAP[$203]=$201; //@line 2026 "j2k.c"
        var $204=HEAP[$i]; //@line 2025 "j2k.c"
        var $205=CHECK_OVERFLOW((($204) + 1)&4294967295, 32); //@line 2025 "j2k.c"
        HEAP[$i]=$205; //@line 2025 "j2k.c"
        __label__ = 15; break; //@line 2025 "j2k.c"
      case 15: // $bb15
        var $206=HEAP[$image_addr]; //@line 2025 "j2k.c"
        var $207=CHECK_OVERFLOW(($206+16)&4294967295, 32); //@line 2025 "j2k.c"
        var $208=HEAP[$207]; //@line 2025 "j2k.c"
        var $209=HEAP[$i]; //@line 2025 "j2k.c"
        var $210=($208) > ($209); //@line 2025 "j2k.c"
        if ($210) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 2025 "j2k.c"
      case 17: // $bb16
        var $211=HEAP[$cp]; //@line 2089 "j2k.c"
        var $212=CHECK_OVERFLOW(($211+68)&4294967295, 32); //@line 2089 "j2k.c"
        var $213=HEAP[$212]; //@line 2089 "j2k.c"
        var $214=HEAP[$cp]; //@line 2089 "j2k.c"
        var $215=CHECK_OVERFLOW(($214+72)&4294967295, 32); //@line 2089 "j2k.c"
        var $216=HEAP[$215]; //@line 2089 "j2k.c"
        var $217=CHECK_OVERFLOW((($213) * ($216))&4294967295, 32); //@line 2089 "j2k.c"
        var $218=_calloc($217, 5588); //@line 2089 "j2k.c"
        var $219=$218; //@line 2089 "j2k.c"
        var $220=HEAP[$cp]; //@line 2089 "j2k.c"
        var $221=CHECK_OVERFLOW(($220+108)&4294967295, 32); //@line 2089 "j2k.c"
        HEAP[$221]=$219; //@line 2089 "j2k.c"
        HEAP[$tileno]=0; //@line 2091 "j2k.c"
        __label__ = 18; break; //@line 2091 "j2k.c"
      case 74: // $bb17
        var $222=HEAP[$cp]; //@line 2092 "j2k.c"
        var $223=CHECK_OVERFLOW(($222+108)&4294967295, 32); //@line 2092 "j2k.c"
        var $224=HEAP[$223]; //@line 2092 "j2k.c"
        var $225=HEAP[$tileno]; //@line 2092 "j2k.c"
        var $226=CHECK_OVERFLOW(($224+5588*$225)&4294967295, 32); //@line 2092 "j2k.c"
        HEAP[$tcp]=$226; //@line 2092 "j2k.c"
        var $227=HEAP[$parameters_addr]; //@line 2093 "j2k.c"
        var $228=CHECK_OVERFLOW(($227+4788)&4294967295, 32); //@line 2093 "j2k.c"
        var $229=HEAP[$228]; //@line 2093 "j2k.c"
        var $230=HEAP[$tcp]; //@line 2093 "j2k.c"
        var $231=CHECK_OVERFLOW(($230+12)&4294967295, 32); //@line 2093 "j2k.c"
        HEAP[$231]=$229; //@line 2093 "j2k.c"
        HEAP[$j]=0; //@line 2094 "j2k.c"
        __label__ = 19; break; //@line 2094 "j2k.c"
      case 27: // $bb18
        var $232=HEAP[$cp]; //@line 2095 "j2k.c"
        var $233=CHECK_OVERFLOW(($232)&4294967295, 32); //@line 2095 "j2k.c"
        var $234=HEAP[$233]; //@line 2095 "j2k.c"
        var $235=($234)!=0; //@line 2095 "j2k.c"
        if ($235) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 2095 "j2k.c"
      case 20: // $bb19
        var $236=HEAP[$cp]; //@line 2096 "j2k.c"
        var $237=CHECK_OVERFLOW(($236+32)&4294967295, 32); //@line 2096 "j2k.c"
        var $238=HEAP[$237]; //@line 2096 "j2k.c"
        var $239=($238)!=0; //@line 2096 "j2k.c"
        if ($239) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 2096 "j2k.c"
      case 22: // $bb20
        var $240=HEAP[$j]; //@line 2097 "j2k.c"
        var $241=HEAP[$j]; //@line 2097 "j2k.c"
        var $242=HEAP[$parameters_addr]; //@line 2097 "j2k.c"
        var $243=CHECK_OVERFLOW(($242+5192)&4294967295, 32); //@line 2097 "j2k.c"
        var $244=CHECK_OVERFLOW(($243+$241*4)&4294967295, 32); //@line 2097 "j2k.c"
        var $245=HEAP[$244]; //@line 2097 "j2k.c"
        var $246=HEAP[$tcp]; //@line 2097 "j2k.c"
        var $247=CHECK_OVERFLOW(($246+5184)&4294967295, 32); //@line 2097 "j2k.c"
        var $248=CHECK_OVERFLOW(($247+$240*4)&4294967295, 32); //@line 2097 "j2k.c"
        HEAP[$248]=$245; //@line 2097 "j2k.c"
        __label__ = 23; break; //@line 2097 "j2k.c"
      case 23: // $bb21
        var $249=HEAP[$j]; //@line 2099 "j2k.c"
        var $250=HEAP[$j]; //@line 2099 "j2k.c"
        var $251=HEAP[$parameters_addr]; //@line 2099 "j2k.c"
        var $252=CHECK_OVERFLOW(($251+4792)&4294967295, 32); //@line 2099 "j2k.c"
        var $253=CHECK_OVERFLOW(($252+$250*4)&4294967295, 32); //@line 2099 "j2k.c"
        var $254=HEAP[$253]; //@line 2099 "j2k.c"
        var $255=HEAP[$tcp]; //@line 2099 "j2k.c"
        var $256=CHECK_OVERFLOW(($255+20)&4294967295, 32); //@line 2099 "j2k.c"
        var $257=CHECK_OVERFLOW(($256+$249*4)&4294967295, 32); //@line 2099 "j2k.c"
        HEAP[$257]=$254; //@line 2099 "j2k.c"
        __label__ = 24; break; //@line 2099 "j2k.c"
      case 21: // $bb22
        var $258=HEAP[$cp]; //@line 2101 "j2k.c"
        var $259=CHECK_OVERFLOW(($258+32)&4294967295, 32); //@line 2101 "j2k.c"
        var $260=HEAP[$259]; //@line 2101 "j2k.c"
        var $261=($260)!=0; //@line 2101 "j2k.c"
        if ($261) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 2101 "j2k.c"
      case 25: // $bb23
        var $262=HEAP[$j]; //@line 2102 "j2k.c"
        var $263=HEAP[$j]; //@line 2102 "j2k.c"
        var $264=HEAP[$parameters_addr]; //@line 2102 "j2k.c"
        var $265=CHECK_OVERFLOW(($264+5192)&4294967295, 32); //@line 2102 "j2k.c"
        var $266=CHECK_OVERFLOW(($265+$263*4)&4294967295, 32); //@line 2102 "j2k.c"
        var $267=HEAP[$266]; //@line 2102 "j2k.c"
        var $268=HEAP[$tcp]; //@line 2102 "j2k.c"
        var $269=CHECK_OVERFLOW(($268+5184)&4294967295, 32); //@line 2102 "j2k.c"
        var $270=CHECK_OVERFLOW(($269+$262*4)&4294967295, 32); //@line 2102 "j2k.c"
        HEAP[$270]=$267; //@line 2102 "j2k.c"
        __label__ = 24; break; //@line 2102 "j2k.c"
      case 26: // $bb24
        var $271=HEAP[$j]; //@line 2104 "j2k.c"
        var $272=HEAP[$j]; //@line 2104 "j2k.c"
        var $273=HEAP[$parameters_addr]; //@line 2104 "j2k.c"
        var $274=CHECK_OVERFLOW(($273+4792)&4294967295, 32); //@line 2104 "j2k.c"
        var $275=CHECK_OVERFLOW(($274+$272*4)&4294967295, 32); //@line 2104 "j2k.c"
        var $276=HEAP[$275]; //@line 2104 "j2k.c"
        var $277=HEAP[$tcp]; //@line 2104 "j2k.c"
        var $278=CHECK_OVERFLOW(($277+20)&4294967295, 32); //@line 2104 "j2k.c"
        var $279=CHECK_OVERFLOW(($278+$271*4)&4294967295, 32); //@line 2104 "j2k.c"
        HEAP[$279]=$276; //@line 2104 "j2k.c"
        __label__ = 24; break; //@line 2104 "j2k.c"
      case 24: // $bb25
        var $280=HEAP[$j]; //@line 2094 "j2k.c"
        var $281=CHECK_OVERFLOW((($280) + 1)&4294967295, 32); //@line 2094 "j2k.c"
        HEAP[$j]=$281; //@line 2094 "j2k.c"
        __label__ = 19; break; //@line 2094 "j2k.c"
      case 19: // $bb26
        var $282=HEAP[$tcp]; //@line 2094 "j2k.c"
        var $283=CHECK_OVERFLOW(($282+12)&4294967295, 32); //@line 2094 "j2k.c"
        var $284=HEAP[$283]; //@line 2094 "j2k.c"
        var $285=HEAP[$j]; //@line 2094 "j2k.c"
        var $286=($284) > ($285); //@line 2094 "j2k.c"
        if ($286) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 2094 "j2k.c"
      case 28: // $bb27
        var $287=HEAP[$parameters_addr]; //@line 2108 "j2k.c"
        var $288=CHECK_OVERFLOW(($287+40)&4294967295, 32); //@line 2108 "j2k.c"
        var $289=HEAP[$288]; //@line 2108 "j2k.c"
        var $290=HEAP[$tcp]; //@line 2108 "j2k.c"
        var $291=CHECK_OVERFLOW(($290+4)&4294967295, 32); //@line 2108 "j2k.c"
        HEAP[$291]=$289; //@line 2108 "j2k.c"
        var $292=HEAP[$parameters_addr]; //@line 2109 "j2k.c"
        var $293=CHECK_OVERFLOW(($292+44)&4294967295, 32); //@line 2109 "j2k.c"
        var $294=HEAP[$293]; //@line 2109 "j2k.c"
        var $295=HEAP[$tcp]; //@line 2109 "j2k.c"
        var $296=CHECK_OVERFLOW(($295+8)&4294967295, 32); //@line 2109 "j2k.c"
        HEAP[$296]=$294; //@line 2109 "j2k.c"
        var $297=HEAP[$parameters_addr]; //@line 2110 "j2k.c"
        var $298=CHECK_OVERFLOW(($297+18690)&4294967295, 32); //@line 2110 "j2k.c"
        var $299=HEAP[$298]; //@line 2110 "j2k.c"
        var $300=($299); //@line 2110 "j2k.c"
        var $301=HEAP[$tcp]; //@line 2110 "j2k.c"
        var $302=CHECK_OVERFLOW(($301+16)&4294967295, 32); //@line 2110 "j2k.c"
        HEAP[$302]=$300; //@line 2110 "j2k.c"
        HEAP[$numpocs_tile]=0; //@line 2112 "j2k.c"
        var $303=HEAP[$tcp]; //@line 2113 "j2k.c"
        var $304=CHECK_OVERFLOW(($303+424)&4294967295, 32); //@line 2113 "j2k.c"
        HEAP[$304]=0; //@line 2113 "j2k.c"
        var $305=HEAP[$parameters_addr]; //@line 2114 "j2k.c"
        var $306=CHECK_OVERFLOW(($305+4784)&4294967295, 32); //@line 2114 "j2k.c"
        var $307=HEAP[$306]; //@line 2114 "j2k.c"
        var $308=($307)!=0; //@line 2114 "j2k.c"
        if ($308) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 2114 "j2k.c"
      case 29: // $bb28
        var $309=HEAP[$tcp]; //@line 2116 "j2k.c"
        var $310=CHECK_OVERFLOW(($309+424)&4294967295, 32); //@line 2116 "j2k.c"
        HEAP[$310]=1; //@line 2116 "j2k.c"
        HEAP[$i]=0; //@line 2117 "j2k.c"
        __label__ = 31; break; //@line 2117 "j2k.c"
      case 35: // $bb29
        var $311=HEAP[$i]; //@line 2118 "j2k.c"
        var $312=HEAP[$parameters_addr]; //@line 2118 "j2k.c"
        var $313=CHECK_OVERFLOW(($312+48)&4294967295, 32); //@line 2118 "j2k.c"
        var $314=CHECK_OVERFLOW(($313+$311*148)&4294967295, 32); //@line 2118 "j2k.c"
        var $315=CHECK_OVERFLOW(($314+48)&4294967295, 32); //@line 2118 "j2k.c"
        var $316=HEAP[$315]; //@line 2118 "j2k.c"
        var $317=CHECK_OVERFLOW((($316) - 1)&4294967295, 32); //@line 2118 "j2k.c"
        var $318=HEAP[$tileno]; //@line 2118 "j2k.c"
        var $319=($317)==($318); //@line 2118 "j2k.c"
        if ($319) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 2118 "j2k.c"
      case 33: // $bb30
        var $320=HEAP[$i]; //@line 2118 "j2k.c"
        var $321=HEAP[$parameters_addr]; //@line 2118 "j2k.c"
        var $322=CHECK_OVERFLOW(($321+48)&4294967295, 32); //@line 2118 "j2k.c"
        var $323=CHECK_OVERFLOW(($322+$320*148)&4294967295, 32); //@line 2118 "j2k.c"
        var $324=CHECK_OVERFLOW(($323+48)&4294967295, 32); //@line 2118 "j2k.c"
        var $325=HEAP[$324]; //@line 2118 "j2k.c"
        var $326=($325)==-1; //@line 2118 "j2k.c"
        if ($326) { __label__ = 32; break; } else { __label__ = 34; break; } //@line 2118 "j2k.c"
      case 32: // $bb31
        var $327=HEAP[$numpocs_tile]; //@line 2119 "j2k.c"
        var $328=HEAP[$tcp]; //@line 2119 "j2k.c"
        var $329=CHECK_OVERFLOW(($328+428)&4294967295, 32); //@line 2119 "j2k.c"
        var $330=CHECK_OVERFLOW(($329+$327*148)&4294967295, 32); //@line 2119 "j2k.c"
        HEAP[$tcp_poc]=$330; //@line 2119 "j2k.c"
        var $331=HEAP[$numpocs_tile]; //@line 2120 "j2k.c"
        var $332=HEAP[$parameters_addr]; //@line 2120 "j2k.c"
        var $333=CHECK_OVERFLOW(($332+48)&4294967295, 32); //@line 2120 "j2k.c"
        var $334=CHECK_OVERFLOW(($333+$331*148)&4294967295, 32); //@line 2120 "j2k.c"
        var $335=CHECK_OVERFLOW(($334)&4294967295, 32); //@line 2120 "j2k.c"
        var $336=HEAP[$335]; //@line 2120 "j2k.c"
        var $337=HEAP[$tcp_poc]; //@line 2120 "j2k.c"
        var $338=CHECK_OVERFLOW(($337)&4294967295, 32); //@line 2120 "j2k.c"
        HEAP[$338]=$336; //@line 2120 "j2k.c"
        var $339=HEAP[$numpocs_tile]; //@line 2121 "j2k.c"
        var $340=HEAP[$parameters_addr]; //@line 2121 "j2k.c"
        var $341=CHECK_OVERFLOW(($340+48)&4294967295, 32); //@line 2121 "j2k.c"
        var $342=CHECK_OVERFLOW(($341+$339*148)&4294967295, 32); //@line 2121 "j2k.c"
        var $343=CHECK_OVERFLOW(($342+4)&4294967295, 32); //@line 2121 "j2k.c"
        var $344=HEAP[$343]; //@line 2121 "j2k.c"
        var $345=HEAP[$tcp_poc]; //@line 2121 "j2k.c"
        var $346=CHECK_OVERFLOW(($345+4)&4294967295, 32); //@line 2121 "j2k.c"
        HEAP[$346]=$344; //@line 2121 "j2k.c"
        var $347=HEAP[$numpocs_tile]; //@line 2122 "j2k.c"
        var $348=HEAP[$parameters_addr]; //@line 2122 "j2k.c"
        var $349=CHECK_OVERFLOW(($348+48)&4294967295, 32); //@line 2122 "j2k.c"
        var $350=CHECK_OVERFLOW(($349+$347*148)&4294967295, 32); //@line 2122 "j2k.c"
        var $351=CHECK_OVERFLOW(($350+8)&4294967295, 32); //@line 2122 "j2k.c"
        var $352=HEAP[$351]; //@line 2122 "j2k.c"
        var $353=HEAP[$tcp_poc]; //@line 2122 "j2k.c"
        var $354=CHECK_OVERFLOW(($353+8)&4294967295, 32); //@line 2122 "j2k.c"
        HEAP[$354]=$352; //@line 2122 "j2k.c"
        var $355=HEAP[$numpocs_tile]; //@line 2123 "j2k.c"
        var $356=HEAP[$parameters_addr]; //@line 2123 "j2k.c"
        var $357=CHECK_OVERFLOW(($356+48)&4294967295, 32); //@line 2123 "j2k.c"
        var $358=CHECK_OVERFLOW(($357+$355*148)&4294967295, 32); //@line 2123 "j2k.c"
        var $359=CHECK_OVERFLOW(($358+12)&4294967295, 32); //@line 2123 "j2k.c"
        var $360=HEAP[$359]; //@line 2123 "j2k.c"
        var $361=HEAP[$tcp_poc]; //@line 2123 "j2k.c"
        var $362=CHECK_OVERFLOW(($361+12)&4294967295, 32); //@line 2123 "j2k.c"
        HEAP[$362]=$360; //@line 2123 "j2k.c"
        var $363=HEAP[$numpocs_tile]; //@line 2124 "j2k.c"
        var $364=HEAP[$parameters_addr]; //@line 2124 "j2k.c"
        var $365=CHECK_OVERFLOW(($364+48)&4294967295, 32); //@line 2124 "j2k.c"
        var $366=CHECK_OVERFLOW(($365+$363*148)&4294967295, 32); //@line 2124 "j2k.c"
        var $367=CHECK_OVERFLOW(($366+16)&4294967295, 32); //@line 2124 "j2k.c"
        var $368=HEAP[$367]; //@line 2124 "j2k.c"
        var $369=HEAP[$tcp_poc]; //@line 2124 "j2k.c"
        var $370=CHECK_OVERFLOW(($369+16)&4294967295, 32); //@line 2124 "j2k.c"
        HEAP[$370]=$368; //@line 2124 "j2k.c"
        var $371=HEAP[$numpocs_tile]; //@line 2125 "j2k.c"
        var $372=HEAP[$parameters_addr]; //@line 2125 "j2k.c"
        var $373=CHECK_OVERFLOW(($372+48)&4294967295, 32); //@line 2125 "j2k.c"
        var $374=CHECK_OVERFLOW(($373+$371*148)&4294967295, 32); //@line 2125 "j2k.c"
        var $375=CHECK_OVERFLOW(($374+32)&4294967295, 32); //@line 2125 "j2k.c"
        var $376=HEAP[$375]; //@line 2125 "j2k.c"
        var $377=HEAP[$tcp_poc]; //@line 2125 "j2k.c"
        var $378=CHECK_OVERFLOW(($377+32)&4294967295, 32); //@line 2125 "j2k.c"
        HEAP[$378]=$376; //@line 2125 "j2k.c"
        var $379=HEAP[$numpocs_tile]; //@line 2126 "j2k.c"
        var $380=HEAP[$parameters_addr]; //@line 2126 "j2k.c"
        var $381=CHECK_OVERFLOW(($380+48)&4294967295, 32); //@line 2126 "j2k.c"
        var $382=CHECK_OVERFLOW(($381+$379*148)&4294967295, 32); //@line 2126 "j2k.c"
        var $383=CHECK_OVERFLOW(($382+48)&4294967295, 32); //@line 2126 "j2k.c"
        var $384=HEAP[$383]; //@line 2126 "j2k.c"
        var $385=HEAP[$tcp_poc]; //@line 2126 "j2k.c"
        var $386=CHECK_OVERFLOW(($385+48)&4294967295, 32); //@line 2126 "j2k.c"
        HEAP[$386]=$384; //@line 2126 "j2k.c"
        var $387=HEAP[$numpocs_tile]; //@line 2127 "j2k.c"
        var $388=CHECK_OVERFLOW((($387) + 1)&4294967295, 32); //@line 2127 "j2k.c"
        HEAP[$numpocs_tile]=$388; //@line 2127 "j2k.c"
        __label__ = 34; break; //@line 2127 "j2k.c"
      case 34: // $bb32
        var $389=HEAP[$i]; //@line 2117 "j2k.c"
        var $390=CHECK_OVERFLOW((($389) + 1)&4294967295, 32); //@line 2117 "j2k.c"
        HEAP[$i]=$390; //@line 2117 "j2k.c"
        __label__ = 31; break; //@line 2117 "j2k.c"
      case 31: // $bb33
        var $391=HEAP[$parameters_addr]; //@line 2117 "j2k.c"
        var $392=CHECK_OVERFLOW(($391+4784)&4294967295, 32); //@line 2117 "j2k.c"
        var $393=HEAP[$392]; //@line 2117 "j2k.c"
        var $394=HEAP[$i]; //@line 2117 "j2k.c"
        var $395=($393) > ($394); //@line 2117 "j2k.c"
        if ($395) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 2117 "j2k.c"
      case 36: // $bb34
        var $396=HEAP[$numpocs_tile]; //@line 2130 "j2k.c"
        var $397=CHECK_OVERFLOW((($396) - 1)&4294967295, 32); //@line 2130 "j2k.c"
        var $398=HEAP[$tcp]; //@line 2130 "j2k.c"
        var $399=CHECK_OVERFLOW(($398+420)&4294967295, 32); //@line 2130 "j2k.c"
        HEAP[$399]=$397; //@line 2130 "j2k.c"
        __label__ = 37; break; //@line 2130 "j2k.c"
      case 30: // $bb35
        var $400=HEAP[$tcp]; //@line 2132 "j2k.c"
        var $401=CHECK_OVERFLOW(($400+420)&4294967295, 32); //@line 2132 "j2k.c"
        HEAP[$401]=0; //@line 2132 "j2k.c"
        __label__ = 37; break; //@line 2132 "j2k.c"
      case 37: // $bb36
        var $402=HEAP[$image_addr]; //@line 2135 "j2k.c"
        var $403=CHECK_OVERFLOW(($402+16)&4294967295, 32); //@line 2135 "j2k.c"
        var $404=HEAP[$403]; //@line 2135 "j2k.c"
        var $405=_calloc($404, 1076); //@line 2135 "j2k.c"
        var $406=$405; //@line 2135 "j2k.c"
        var $407=HEAP[$tcp]; //@line 2135 "j2k.c"
        var $408=CHECK_OVERFLOW(($407+5584)&4294967295, 32); //@line 2135 "j2k.c"
        HEAP[$408]=$406; //@line 2135 "j2k.c"
        HEAP[$i]=0; //@line 2137 "j2k.c"
        __label__ = 38; break; //@line 2137 "j2k.c"
      case 72: // $bb37
        var $409=HEAP[$tcp]; //@line 2138 "j2k.c"
        var $410=CHECK_OVERFLOW(($409+5584)&4294967295, 32); //@line 2138 "j2k.c"
        var $411=HEAP[$410]; //@line 2138 "j2k.c"
        var $412=HEAP[$i]; //@line 2138 "j2k.c"
        var $413=CHECK_OVERFLOW(($411+1076*$412)&4294967295, 32); //@line 2138 "j2k.c"
        HEAP[$tccp]=$413; //@line 2138 "j2k.c"
        var $414=HEAP[$parameters_addr]; //@line 2139 "j2k.c"
        var $415=CHECK_OVERFLOW(($414+40)&4294967295, 32); //@line 2139 "j2k.c"
        var $416=HEAP[$415]; //@line 2139 "j2k.c"
        var $417=($416) & 1; //@line 2139 "j2k.c"
        var $418=HEAP[$tccp]; //@line 2139 "j2k.c"
        var $419=CHECK_OVERFLOW(($418)&4294967295, 32); //@line 2139 "j2k.c"
        HEAP[$419]=$417; //@line 2139 "j2k.c"
        var $420=HEAP[$parameters_addr]; //@line 2140 "j2k.c"
        var $421=CHECK_OVERFLOW(($420+5592)&4294967295, 32); //@line 2140 "j2k.c"
        var $422=HEAP[$421]; //@line 2140 "j2k.c"
        var $423=HEAP[$tccp]; //@line 2140 "j2k.c"
        var $424=CHECK_OVERFLOW(($423+4)&4294967295, 32); //@line 2140 "j2k.c"
        HEAP[$424]=$422; //@line 2140 "j2k.c"
        var $425=HEAP[$parameters_addr]; //@line 2141 "j2k.c"
        var $426=CHECK_OVERFLOW(($425+5596)&4294967295, 32); //@line 2141 "j2k.c"
        var $427=HEAP[$426]; //@line 2141 "j2k.c"
        var $428=_int_floorlog213($427); //@line 2141 "j2k.c"
        var $429=HEAP[$tccp]; //@line 2141 "j2k.c"
        var $430=CHECK_OVERFLOW(($429+8)&4294967295, 32); //@line 2141 "j2k.c"
        HEAP[$430]=$428; //@line 2141 "j2k.c"
        var $431=HEAP[$parameters_addr]; //@line 2142 "j2k.c"
        var $432=CHECK_OVERFLOW(($431+5600)&4294967295, 32); //@line 2142 "j2k.c"
        var $433=HEAP[$432]; //@line 2142 "j2k.c"
        var $434=_int_floorlog213($433); //@line 2142 "j2k.c"
        var $435=HEAP[$tccp]; //@line 2142 "j2k.c"
        var $436=CHECK_OVERFLOW(($435+12)&4294967295, 32); //@line 2142 "j2k.c"
        HEAP[$436]=$434; //@line 2142 "j2k.c"
        var $437=HEAP[$parameters_addr]; //@line 2143 "j2k.c"
        var $438=CHECK_OVERFLOW(($437+5604)&4294967295, 32); //@line 2143 "j2k.c"
        var $439=HEAP[$438]; //@line 2143 "j2k.c"
        var $440=HEAP[$tccp]; //@line 2143 "j2k.c"
        var $441=CHECK_OVERFLOW(($440+16)&4294967295, 32); //@line 2143 "j2k.c"
        HEAP[$441]=$439; //@line 2143 "j2k.c"
        var $442=HEAP[$parameters_addr]; //@line 2144 "j2k.c"
        var $443=CHECK_OVERFLOW(($442+5608)&4294967295, 32); //@line 2144 "j2k.c"
        var $444=HEAP[$443]; //@line 2144 "j2k.c"
        var $445=($444)==0; //@line 2144 "j2k.c"
        var $446=($445); //@line 2144 "j2k.c"
        var $447=HEAP[$tccp]; //@line 2144 "j2k.c"
        var $448=CHECK_OVERFLOW(($447+20)&4294967295, 32); //@line 2144 "j2k.c"
        HEAP[$448]=$446; //@line 2144 "j2k.c"
        var $449=HEAP[$parameters_addr]; //@line 2145 "j2k.c"
        var $450=CHECK_OVERFLOW(($449+5608)&4294967295, 32); //@line 2145 "j2k.c"
        var $451=HEAP[$450]; //@line 2145 "j2k.c"
        var $452=($451)!=0; //@line 2145 "j2k.c"
        if ($452) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 2145 "j2k.c"
      case 39: // $bb38
        HEAP[$iftmp_87]=2; //@line 2145 "j2k.c"
        __label__ = 41; break; //@line 2145 "j2k.c"
      case 40: // $bb39
        HEAP[$iftmp_87]=0; //@line 2145 "j2k.c"
        __label__ = 41; break; //@line 2145 "j2k.c"
      case 41: // $bb40
        var $453=HEAP[$tccp]; //@line 2145 "j2k.c"
        var $454=CHECK_OVERFLOW(($453+24)&4294967295, 32); //@line 2145 "j2k.c"
        var $455=HEAP[$iftmp_87]; //@line 2145 "j2k.c"
        HEAP[$454]=$455; //@line 2145 "j2k.c"
        var $456=HEAP[$tccp]; //@line 2146 "j2k.c"
        var $457=CHECK_OVERFLOW(($456+804)&4294967295, 32); //@line 2146 "j2k.c"
        HEAP[$457]=2; //@line 2146 "j2k.c"
        var $458=HEAP[$parameters_addr]; //@line 2147 "j2k.c"
        var $459=CHECK_OVERFLOW(($458+5612)&4294967295, 32); //@line 2147 "j2k.c"
        var $460=HEAP[$459]; //@line 2147 "j2k.c"
        var $461=HEAP[$i]; //@line 2147 "j2k.c"
        var $462=($460)==($461); //@line 2147 "j2k.c"
        if ($462) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 2147 "j2k.c"
      case 42: // $bb41
        var $463=HEAP[$parameters_addr]; //@line 2148 "j2k.c"
        var $464=CHECK_OVERFLOW(($463+5616)&4294967295, 32); //@line 2148 "j2k.c"
        var $465=HEAP[$464]; //@line 2148 "j2k.c"
        var $466=HEAP[$tccp]; //@line 2148 "j2k.c"
        var $467=CHECK_OVERFLOW(($466+808)&4294967295, 32); //@line 2148 "j2k.c"
        HEAP[$467]=$465; //@line 2148 "j2k.c"
        __label__ = 44; break; //@line 2148 "j2k.c"
      case 43: // $bb42
        var $468=HEAP[$tccp]; //@line 2150 "j2k.c"
        var $469=CHECK_OVERFLOW(($468+808)&4294967295, 32); //@line 2150 "j2k.c"
        HEAP[$469]=0; //@line 2150 "j2k.c"
        __label__ = 44; break; //@line 2150 "j2k.c"
      case 44: // $bb43
        var $470=HEAP[$parameters_addr]; //@line 2153 "j2k.c"
        var $471=CHECK_OVERFLOW(($470+18676)&4294967295, 32); //@line 2153 "j2k.c"
        var $472=HEAP[$471]; //@line 2153 "j2k.c"
        var $473=($472)!=0; //@line 2153 "j2k.c"
        if ($473) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 2153 "j2k.c"
      case 45: // $bb44
        var $474=HEAP[$tccp]; //@line 2156 "j2k.c"
        var $475=CHECK_OVERFLOW(($474+812)&4294967295, 32); //@line 2156 "j2k.c"
        var $476=CHECK_OVERFLOW(($475)&4294967295, 32); //@line 2156 "j2k.c"
        HEAP[$476]=7; //@line 2156 "j2k.c"
        var $477=HEAP[$tccp]; //@line 2157 "j2k.c"
        var $478=CHECK_OVERFLOW(($477+944)&4294967295, 32); //@line 2157 "j2k.c"
        var $479=CHECK_OVERFLOW(($478)&4294967295, 32); //@line 2157 "j2k.c"
        HEAP[$479]=7; //@line 2157 "j2k.c"
        HEAP[$j]=1; //@line 2159 "j2k.c"
        __label__ = 47; break; //@line 2159 "j2k.c"
      case 48: // $bb45
        var $480=HEAP[$j]; //@line 2160 "j2k.c"
        var $481=HEAP[$tccp]; //@line 2160 "j2k.c"
        var $482=CHECK_OVERFLOW(($481+812)&4294967295, 32); //@line 2160 "j2k.c"
        var $483=CHECK_OVERFLOW(($482+$480*4)&4294967295, 32); //@line 2160 "j2k.c"
        HEAP[$483]=8; //@line 2160 "j2k.c"
        var $484=HEAP[$j]; //@line 2161 "j2k.c"
        var $485=HEAP[$tccp]; //@line 2161 "j2k.c"
        var $486=CHECK_OVERFLOW(($485+944)&4294967295, 32); //@line 2161 "j2k.c"
        var $487=CHECK_OVERFLOW(($486+$484*4)&4294967295, 32); //@line 2161 "j2k.c"
        HEAP[$487]=8; //@line 2161 "j2k.c"
        var $488=HEAP[$j]; //@line 2159 "j2k.c"
        var $489=CHECK_OVERFLOW((($488) + 1)&4294967295, 32); //@line 2159 "j2k.c"
        HEAP[$j]=$489; //@line 2159 "j2k.c"
        __label__ = 47; break; //@line 2159 "j2k.c"
      case 47: // $bb46
        var $490=HEAP[$tccp]; //@line 2159 "j2k.c"
        var $491=CHECK_OVERFLOW(($490+4)&4294967295, 32); //@line 2159 "j2k.c"
        var $492=HEAP[$491]; //@line 2159 "j2k.c"
        var $493=HEAP[$j]; //@line 2159 "j2k.c"
        var $494=($492) > ($493); //@line 2159 "j2k.c"
        if ($494) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 2159 "j2k.c"
      case 49: // $bb47
        __label__ = 50; break; //@line 2159 "j2k.c"
      case 46: // $bb48
        var $495=HEAP[$parameters_addr]; //@line 2164 "j2k.c"
        var $496=CHECK_OVERFLOW(($495+40)&4294967295, 32); //@line 2164 "j2k.c"
        var $497=HEAP[$496]; //@line 2164 "j2k.c"
        var $498=($497) & 1; //@line 2164 "j2k.c"
        var $499=((($498)) & 255); //@line 2164 "j2k.c"
        var $toBool=($499)!=0; //@line 2164 "j2k.c"
        if ($toBool) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 2164 "j2k.c"
      case 51: // $bb49
        HEAP[$p]=0; //@line 2165 "j2k.c"
        var $500=HEAP[$tccp]; //@line 2166 "j2k.c"
        var $501=CHECK_OVERFLOW(($500+4)&4294967295, 32); //@line 2166 "j2k.c"
        var $502=HEAP[$501]; //@line 2166 "j2k.c"
        var $503=CHECK_OVERFLOW((($502) - 1)&4294967295, 32); //@line 2166 "j2k.c"
        HEAP[$j]=$503; //@line 2166 "j2k.c"
        __label__ = 53; break; //@line 2166 "j2k.c"
      case 68: // $bb50
        var $504=HEAP[$parameters_addr]; //@line 2167 "j2k.c"
        var $505=CHECK_OVERFLOW(($504+5620)&4294967295, 32); //@line 2167 "j2k.c"
        var $506=HEAP[$505]; //@line 2167 "j2k.c"
        var $507=HEAP[$p]; //@line 2167 "j2k.c"
        var $508=($506) > ($507); //@line 2167 "j2k.c"
        if ($508) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 2167 "j2k.c"
      case 54: // $bb51
        var $509=HEAP[$p]; //@line 2169 "j2k.c"
        var $510=HEAP[$parameters_addr]; //@line 2169 "j2k.c"
        var $511=CHECK_OVERFLOW(($510+5624)&4294967295, 32); //@line 2169 "j2k.c"
        var $512=CHECK_OVERFLOW(($511+$509*4)&4294967295, 32); //@line 2169 "j2k.c"
        var $513=HEAP[$512]; //@line 2169 "j2k.c"
        var $514=($513) <= 0; //@line 2169 "j2k.c"
        if ($514) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 2169 "j2k.c"
      case 56: // $bb52
        var $515=HEAP[$j]; //@line 2170 "j2k.c"
        var $516=HEAP[$tccp]; //@line 2170 "j2k.c"
        var $517=CHECK_OVERFLOW(($516+812)&4294967295, 32); //@line 2170 "j2k.c"
        var $518=CHECK_OVERFLOW(($517+$515*4)&4294967295, 32); //@line 2170 "j2k.c"
        HEAP[$518]=1; //@line 2170 "j2k.c"
        __label__ = 58; break; //@line 2170 "j2k.c"
      case 57: // $bb53
        var $519=HEAP[$j]; //@line 2172 "j2k.c"
        var $520=HEAP[$p]; //@line 2172 "j2k.c"
        var $521=HEAP[$parameters_addr]; //@line 2172 "j2k.c"
        var $522=CHECK_OVERFLOW(($521+5624)&4294967295, 32); //@line 2172 "j2k.c"
        var $523=CHECK_OVERFLOW(($522+$520*4)&4294967295, 32); //@line 2172 "j2k.c"
        var $524=HEAP[$523]; //@line 2172 "j2k.c"
        var $525=_int_floorlog213($524); //@line 2172 "j2k.c"
        var $526=HEAP[$tccp]; //@line 2172 "j2k.c"
        var $527=CHECK_OVERFLOW(($526+812)&4294967295, 32); //@line 2172 "j2k.c"
        var $528=CHECK_OVERFLOW(($527+$519*4)&4294967295, 32); //@line 2172 "j2k.c"
        HEAP[$528]=$525; //@line 2172 "j2k.c"
        __label__ = 58; break; //@line 2172 "j2k.c"
      case 58: // $bb54
        var $529=HEAP[$p]; //@line 2175 "j2k.c"
        var $530=HEAP[$parameters_addr]; //@line 2175 "j2k.c"
        var $531=CHECK_OVERFLOW(($530+5756)&4294967295, 32); //@line 2175 "j2k.c"
        var $532=CHECK_OVERFLOW(($531+$529*4)&4294967295, 32); //@line 2175 "j2k.c"
        var $533=HEAP[$532]; //@line 2175 "j2k.c"
        var $534=($533) <= 0; //@line 2175 "j2k.c"
        if ($534) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 2175 "j2k.c"
      case 59: // $bb55
        var $535=HEAP[$j]; //@line 2176 "j2k.c"
        var $536=HEAP[$tccp]; //@line 2176 "j2k.c"
        var $537=CHECK_OVERFLOW(($536+944)&4294967295, 32); //@line 2176 "j2k.c"
        var $538=CHECK_OVERFLOW(($537+$535*4)&4294967295, 32); //@line 2176 "j2k.c"
        HEAP[$538]=1; //@line 2176 "j2k.c"
        __label__ = 61; break; //@line 2176 "j2k.c"
      case 60: // $bb56
        var $539=HEAP[$j]; //@line 2178 "j2k.c"
        var $540=HEAP[$p]; //@line 2178 "j2k.c"
        var $541=HEAP[$parameters_addr]; //@line 2178 "j2k.c"
        var $542=CHECK_OVERFLOW(($541+5756)&4294967295, 32); //@line 2178 "j2k.c"
        var $543=CHECK_OVERFLOW(($542+$540*4)&4294967295, 32); //@line 2178 "j2k.c"
        var $544=HEAP[$543]; //@line 2178 "j2k.c"
        var $545=_int_floorlog213($544); //@line 2178 "j2k.c"
        var $546=HEAP[$tccp]; //@line 2178 "j2k.c"
        var $547=CHECK_OVERFLOW(($546+944)&4294967295, 32); //@line 2178 "j2k.c"
        var $548=CHECK_OVERFLOW(($547+$539*4)&4294967295, 32); //@line 2178 "j2k.c"
        HEAP[$548]=$545; //@line 2178 "j2k.c"
        __label__ = 61; break; //@line 2178 "j2k.c"
      case 61: // $bb57
        __label__ = 62; break; //@line 2178 "j2k.c"
      case 55: // $bb58
        var $549=HEAP[$parameters_addr]; //@line 2182 "j2k.c"
        var $550=CHECK_OVERFLOW(($549+5620)&4294967295, 32); //@line 2182 "j2k.c"
        var $551=HEAP[$550]; //@line 2182 "j2k.c"
        HEAP[$res_spec]=$551; //@line 2182 "j2k.c"
        var $552=HEAP[$res_spec]; //@line 2183 "j2k.c"
        var $553=CHECK_OVERFLOW((($552) - 1)&4294967295, 32); //@line 2183 "j2k.c"
        var $554=HEAP[$parameters_addr]; //@line 2183 "j2k.c"
        var $555=CHECK_OVERFLOW(($554+5624)&4294967295, 32); //@line 2183 "j2k.c"
        var $556=CHECK_OVERFLOW(($555+$553*4)&4294967295, 32); //@line 2183 "j2k.c"
        var $557=HEAP[$556]; //@line 2183 "j2k.c"
        var $558=HEAP[$res_spec]; //@line 2183 "j2k.c"
        var $559=CHECK_OVERFLOW((($558) - 1)&4294967295, 32); //@line 2183 "j2k.c"
        var $560=HEAP[$p]; //@line 2183 "j2k.c"
        var $561=CHECK_OVERFLOW((($560) - ($559))&4294967295, 32); //@line 2183 "j2k.c"
        var $562=($557) >> ($561); //@line 2183 "j2k.c"
        HEAP[$size_prcw]=$562; //@line 2183 "j2k.c"
        var $563=HEAP[$res_spec]; //@line 2184 "j2k.c"
        var $564=CHECK_OVERFLOW((($563) - 1)&4294967295, 32); //@line 2184 "j2k.c"
        var $565=HEAP[$parameters_addr]; //@line 2184 "j2k.c"
        var $566=CHECK_OVERFLOW(($565+5756)&4294967295, 32); //@line 2184 "j2k.c"
        var $567=CHECK_OVERFLOW(($566+$564*4)&4294967295, 32); //@line 2184 "j2k.c"
        var $568=HEAP[$567]; //@line 2184 "j2k.c"
        var $569=HEAP[$res_spec]; //@line 2184 "j2k.c"
        var $570=CHECK_OVERFLOW((($569) - 1)&4294967295, 32); //@line 2184 "j2k.c"
        var $571=HEAP[$p]; //@line 2184 "j2k.c"
        var $572=CHECK_OVERFLOW((($571) - ($570))&4294967295, 32); //@line 2184 "j2k.c"
        var $573=($568) >> ($572); //@line 2184 "j2k.c"
        HEAP[$size_prch]=$573; //@line 2184 "j2k.c"
        var $574=HEAP[$size_prcw]; //@line 2186 "j2k.c"
        var $575=($574) <= 0; //@line 2186 "j2k.c"
        if ($575) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 2186 "j2k.c"
      case 63: // $bb59
        var $576=HEAP[$j]; //@line 2187 "j2k.c"
        var $577=HEAP[$tccp]; //@line 2187 "j2k.c"
        var $578=CHECK_OVERFLOW(($577+812)&4294967295, 32); //@line 2187 "j2k.c"
        var $579=CHECK_OVERFLOW(($578+$576*4)&4294967295, 32); //@line 2187 "j2k.c"
        HEAP[$579]=1; //@line 2187 "j2k.c"
        __label__ = 65; break; //@line 2187 "j2k.c"
      case 64: // $bb60
        var $580=HEAP[$j]; //@line 2189 "j2k.c"
        var $581=HEAP[$size_prcw]; //@line 2189 "j2k.c"
        var $582=_int_floorlog213($581); //@line 2189 "j2k.c"
        var $583=HEAP[$tccp]; //@line 2189 "j2k.c"
        var $584=CHECK_OVERFLOW(($583+812)&4294967295, 32); //@line 2189 "j2k.c"
        var $585=CHECK_OVERFLOW(($584+$580*4)&4294967295, 32); //@line 2189 "j2k.c"
        HEAP[$585]=$582; //@line 2189 "j2k.c"
        __label__ = 65; break; //@line 2189 "j2k.c"
      case 65: // $bb61
        var $586=HEAP[$size_prch]; //@line 2192 "j2k.c"
        var $587=($586) <= 0; //@line 2192 "j2k.c"
        if ($587) { __label__ = 66; break; } else { __label__ = 67; break; } //@line 2192 "j2k.c"
      case 66: // $bb62
        var $588=HEAP[$j]; //@line 2193 "j2k.c"
        var $589=HEAP[$tccp]; //@line 2193 "j2k.c"
        var $590=CHECK_OVERFLOW(($589+944)&4294967295, 32); //@line 2193 "j2k.c"
        var $591=CHECK_OVERFLOW(($590+$588*4)&4294967295, 32); //@line 2193 "j2k.c"
        HEAP[$591]=1; //@line 2193 "j2k.c"
        __label__ = 62; break; //@line 2193 "j2k.c"
      case 67: // $bb63
        var $592=HEAP[$j]; //@line 2195 "j2k.c"
        var $593=HEAP[$size_prch]; //@line 2195 "j2k.c"
        var $594=_int_floorlog213($593); //@line 2195 "j2k.c"
        var $595=HEAP[$tccp]; //@line 2195 "j2k.c"
        var $596=CHECK_OVERFLOW(($595+944)&4294967295, 32); //@line 2195 "j2k.c"
        var $597=CHECK_OVERFLOW(($596+$592*4)&4294967295, 32); //@line 2195 "j2k.c"
        HEAP[$597]=$594; //@line 2195 "j2k.c"
        __label__ = 62; break; //@line 2195 "j2k.c"
      case 62: // $bb64
        var $598=HEAP[$p]; //@line 2198 "j2k.c"
        var $599=CHECK_OVERFLOW((($598) + 1)&4294967295, 32); //@line 2198 "j2k.c"
        HEAP[$p]=$599; //@line 2198 "j2k.c"
        var $600=HEAP[$j]; //@line 2166 "j2k.c"
        var $601=CHECK_OVERFLOW((($600) - 1)&4294967295, 32); //@line 2166 "j2k.c"
        HEAP[$j]=$601; //@line 2166 "j2k.c"
        __label__ = 53; break; //@line 2166 "j2k.c"
      case 53: // $bb65
        var $602=HEAP[$j]; //@line 2166 "j2k.c"
        var $603=($602) >= 0; //@line 2166 "j2k.c"
        if ($603) { __label__ = 68; break; } else { __label__ = 69; break; } //@line 2166 "j2k.c"
      case 69: // $bb66
        __label__ = 50; break; //@line 2166 "j2k.c"
      case 52: // $bb67
        HEAP[$j]=0; //@line 2202 "j2k.c"
        __label__ = 70; break; //@line 2202 "j2k.c"
      case 71: // $bb68
        var $604=HEAP[$j]; //@line 2203 "j2k.c"
        var $605=HEAP[$tccp]; //@line 2203 "j2k.c"
        var $606=CHECK_OVERFLOW(($605+812)&4294967295, 32); //@line 2203 "j2k.c"
        var $607=CHECK_OVERFLOW(($606+$604*4)&4294967295, 32); //@line 2203 "j2k.c"
        HEAP[$607]=15; //@line 2203 "j2k.c"
        var $608=HEAP[$j]; //@line 2204 "j2k.c"
        var $609=HEAP[$tccp]; //@line 2204 "j2k.c"
        var $610=CHECK_OVERFLOW(($609+944)&4294967295, 32); //@line 2204 "j2k.c"
        var $611=CHECK_OVERFLOW(($610+$608*4)&4294967295, 32); //@line 2204 "j2k.c"
        HEAP[$611]=15; //@line 2204 "j2k.c"
        var $612=HEAP[$j]; //@line 2202 "j2k.c"
        var $613=CHECK_OVERFLOW((($612) + 1)&4294967295, 32); //@line 2202 "j2k.c"
        HEAP[$j]=$613; //@line 2202 "j2k.c"
        __label__ = 70; break; //@line 2202 "j2k.c"
      case 70: // $bb69
        var $614=HEAP[$tccp]; //@line 2202 "j2k.c"
        var $615=CHECK_OVERFLOW(($614+4)&4294967295, 32); //@line 2202 "j2k.c"
        var $616=HEAP[$615]; //@line 2202 "j2k.c"
        var $617=HEAP[$j]; //@line 2202 "j2k.c"
        var $618=($616) > ($617); //@line 2202 "j2k.c"
        if ($618) { __label__ = 71; break; } else { __label__ = 50; break; } //@line 2202 "j2k.c"
      case 50: // $bb70
        var $619=HEAP[$image_addr]; //@line 2209 "j2k.c"
        var $620=CHECK_OVERFLOW(($619+24)&4294967295, 32); //@line 2209 "j2k.c"
        var $621=HEAP[$620]; //@line 2209 "j2k.c"
        var $622=HEAP[$i]; //@line 2209 "j2k.c"
        var $623=CHECK_OVERFLOW(($621+48*$622)&4294967295, 32); //@line 2209 "j2k.c"
        var $624=CHECK_OVERFLOW(($623+24)&4294967295, 32); //@line 2209 "j2k.c"
        var $625=HEAP[$624]; //@line 2209 "j2k.c"
        var $626=HEAP[$tccp]; //@line 2209 "j2k.c"
        _dwt_calc_explicit_stepsizes($626, $625); //@line 2209 "j2k.c"
        var $627=HEAP[$i]; //@line 2137 "j2k.c"
        var $628=CHECK_OVERFLOW((($627) + 1)&4294967295, 32); //@line 2137 "j2k.c"
        HEAP[$i]=$628; //@line 2137 "j2k.c"
        __label__ = 38; break; //@line 2137 "j2k.c"
      case 38: // $bb71
        var $629=HEAP[$image_addr]; //@line 2137 "j2k.c"
        var $630=CHECK_OVERFLOW(($629+16)&4294967295, 32); //@line 2137 "j2k.c"
        var $631=HEAP[$630]; //@line 2137 "j2k.c"
        var $632=HEAP[$i]; //@line 2137 "j2k.c"
        var $633=($631) > ($632); //@line 2137 "j2k.c"
        if ($633) { __label__ = 72; break; } else { __label__ = 73; break; } //@line 2137 "j2k.c"
      case 73: // $bb72
        var $634=HEAP[$tileno]; //@line 2091 "j2k.c"
        var $635=CHECK_OVERFLOW((($634) + 1)&4294967295, 32); //@line 2091 "j2k.c"
        HEAP[$tileno]=$635; //@line 2091 "j2k.c"
        __label__ = 18; break; //@line 2091 "j2k.c"
      case 18: // $bb73
        var $636=HEAP[$cp]; //@line 2091 "j2k.c"
        var $637=CHECK_OVERFLOW(($636+68)&4294967295, 32); //@line 2091 "j2k.c"
        var $638=HEAP[$637]; //@line 2091 "j2k.c"
        var $639=HEAP[$cp]; //@line 2091 "j2k.c"
        var $640=CHECK_OVERFLOW(($639+72)&4294967295, 32); //@line 2091 "j2k.c"
        var $641=HEAP[$640]; //@line 2091 "j2k.c"
        var $642=CHECK_OVERFLOW((($638) * ($641))&4294967295, 32); //@line 2091 "j2k.c"
        var $643=HEAP[$tileno]; //@line 2091 "j2k.c"
        var $644=($642) > ($643); //@line 2091 "j2k.c"
        if ($644) { __label__ = 74; break; } else { __label__ = 4; break; } //@line 2091 "j2k.c"
      case 4: // $bb74
        __label__ = 75; break; //@line 1961 "j2k.c"
      case 75: // $return
        STACKTOP = __stackBase__;
        return; //@line 1961 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_floorlog213($a) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $l=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$l]=0; //@line 109 "int.h"
        __label__ = 0; break; //@line 109 "int.h"
      case 1: // $bb
        var $1=HEAP[$a_addr]; //@line 110 "int.h"
        var $2=($1) >> 1; //@line 110 "int.h"
        HEAP[$a_addr]=$2; //@line 110 "int.h"
        var $3=HEAP[$l]; //@line 109 "int.h"
        var $4=CHECK_OVERFLOW((($3) + 1)&4294967295, 32); //@line 109 "int.h"
        HEAP[$l]=$4; //@line 109 "int.h"
        __label__ = 0; break; //@line 109 "int.h"
      case 0: // $bb1
        var $5=HEAP[$a_addr]; //@line 109 "int.h"
        var $6=($5) > 1; //@line 109 "int.h"
        if ($6) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 109 "int.h"
      case 2: // $bb2
        var $7=HEAP[$l]; //@line 112 "int.h"
        HEAP[$0]=$7; //@line 112 "int.h"
        var $8=HEAP[$0]; //@line 112 "int.h"
        HEAP[$retval]=$8; //@line 112 "int.h"
        __label__ = 3; break; //@line 112 "int.h"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 112 "int.h"
        STACKTOP = __stackBase__;
        return $retval3; //@line 112 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _j2k_encode($j2k, $cio, $image, $cstr_info) {
    var __stackBase__  = STACKTOP; STACKTOP += 68; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 68);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $j2k_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $image_addr=__stackBase__+8;
        var $cstr_info_addr=__stackBase__+12;
        var $retval=__stackBase__+16;
        var $0=__stackBase__+20;
        var $tileno=__stackBase__+24;
        var $compno=__stackBase__+28;
        var $cp=__stackBase__+32;
        var $tcd=__stackBase__+36;
        var $compno1=__stackBase__+40;
        var $tcp=__stackBase__+44;
        var $pino=__stackBase__+48;
        var $tilepartno=__stackBase__+52;
        var $acc_pack_num=__stackBase__+56;
        var $tcp23=__stackBase__+60;
        var $tot_num_tp=__stackBase__+64;
        var $_alloca_point_=0;
        HEAP[$j2k_addr]=$j2k;
        HEAP[$cio_addr]=$cio;
        HEAP[$image_addr]=$image;
        HEAP[$cstr_info_addr]=$cstr_info;
        HEAP[$cp]=0; //@line 2216 "j2k.c"
        HEAP[$tcd]=0; //@line 2218 "j2k.c"
        var $1=HEAP[$j2k_addr]; //@line 2220 "j2k.c"
        var $2=CHECK_OVERFLOW(($1+72)&4294967295, 32); //@line 2220 "j2k.c"
        var $3=HEAP[$cio_addr]; //@line 2220 "j2k.c"
        HEAP[$2]=$3; //@line 2220 "j2k.c"
        var $4=HEAP[$j2k_addr]; //@line 2221 "j2k.c"
        var $5=CHECK_OVERFLOW(($4+60)&4294967295, 32); //@line 2221 "j2k.c"
        var $6=HEAP[$image_addr]; //@line 2221 "j2k.c"
        HEAP[$5]=$6; //@line 2221 "j2k.c"
        var $7=HEAP[$j2k_addr]; //@line 2223 "j2k.c"
        var $8=CHECK_OVERFLOW(($7+64)&4294967295, 32); //@line 2223 "j2k.c"
        var $9=HEAP[$8]; //@line 2223 "j2k.c"
        HEAP[$cp]=$9; //@line 2223 "j2k.c"
        var $10=HEAP[$j2k_addr]; //@line 2226 "j2k.c"
        var $11=CHECK_OVERFLOW(($10+68)&4294967295, 32); //@line 2226 "j2k.c"
        var $12=HEAP[$cstr_info_addr]; //@line 2226 "j2k.c"
        HEAP[$11]=$12; //@line 2226 "j2k.c"
        var $13=HEAP[$cstr_info_addr]; //@line 2227 "j2k.c"
        var $14=($13)!=0; //@line 2227 "j2k.c"
        if ($14) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 2227 "j2k.c"
      case 0: // $bb
        var $15=HEAP[$cp]; //@line 2229 "j2k.c"
        var $16=CHECK_OVERFLOW(($15+68)&4294967295, 32); //@line 2229 "j2k.c"
        var $17=HEAP[$16]; //@line 2229 "j2k.c"
        var $18=HEAP[$cp]; //@line 2229 "j2k.c"
        var $19=CHECK_OVERFLOW(($18+72)&4294967295, 32); //@line 2229 "j2k.c"
        var $20=HEAP[$19]; //@line 2229 "j2k.c"
        var $21=CHECK_OVERFLOW((($17) * ($20))&4294967295, 32); //@line 2229 "j2k.c"
        var $22=CHECK_OVERFLOW((($21) * 572)&4294967295, 32); //@line 2229 "j2k.c"
        var $23=_malloc($22); //@line 2229 "j2k.c"
        var $24=$23; //@line 2229 "j2k.c"
        var $25=HEAP[$cstr_info_addr]; //@line 2229 "j2k.c"
        var $26=CHECK_OVERFLOW(($25+88)&4294967295, 32); //@line 2229 "j2k.c"
        HEAP[$26]=$24; //@line 2229 "j2k.c"
        var $27=HEAP[$image_addr]; //@line 2230 "j2k.c"
        var $28=CHECK_OVERFLOW(($27+8)&4294967295, 32); //@line 2230 "j2k.c"
        var $29=HEAP[$28]; //@line 2230 "j2k.c"
        var $30=HEAP[$image_addr]; //@line 2230 "j2k.c"
        var $31=CHECK_OVERFLOW(($30)&4294967295, 32); //@line 2230 "j2k.c"
        var $32=HEAP[$31]; //@line 2230 "j2k.c"
        var $33=CHECK_OVERFLOW((($29) - ($32))&4294967295, 32); //@line 2230 "j2k.c"
        var $34=HEAP[$cstr_info_addr]; //@line 2230 "j2k.c"
        var $35=CHECK_OVERFLOW(($34+16)&4294967295, 32); //@line 2230 "j2k.c"
        HEAP[$35]=$33; //@line 2230 "j2k.c"
        var $36=HEAP[$image_addr]; //@line 2231 "j2k.c"
        var $37=CHECK_OVERFLOW(($36+12)&4294967295, 32); //@line 2231 "j2k.c"
        var $38=HEAP[$37]; //@line 2231 "j2k.c"
        var $39=HEAP[$image_addr]; //@line 2231 "j2k.c"
        var $40=CHECK_OVERFLOW(($39+4)&4294967295, 32); //@line 2231 "j2k.c"
        var $41=HEAP[$40]; //@line 2231 "j2k.c"
        var $42=CHECK_OVERFLOW((($38) - ($41))&4294967295, 32); //@line 2231 "j2k.c"
        var $43=HEAP[$cstr_info_addr]; //@line 2231 "j2k.c"
        var $44=CHECK_OVERFLOW(($43+20)&4294967295, 32); //@line 2231 "j2k.c"
        HEAP[$44]=$42; //@line 2231 "j2k.c"
        var $45=HEAP[$cp]; //@line 2232 "j2k.c"
        var $46=CHECK_OVERFLOW(($45+108)&4294967295, 32); //@line 2232 "j2k.c"
        var $47=HEAP[$46]; //@line 2232 "j2k.c"
        var $48=CHECK_OVERFLOW(($47)&4294967295, 32); //@line 2232 "j2k.c"
        var $49=CHECK_OVERFLOW(($48+8)&4294967295, 32); //@line 2232 "j2k.c"
        var $50=HEAP[$49]; //@line 2232 "j2k.c"
        var $51=HEAP[$cstr_info_addr]; //@line 2232 "j2k.c"
        var $52=CHECK_OVERFLOW(($51+24)&4294967295, 32); //@line 2232 "j2k.c"
        HEAP[$52]=$50; //@line 2232 "j2k.c"
        var $53=HEAP[$cp]; //@line 2233 "j2k.c"
        var $54=CHECK_OVERFLOW(($53+68)&4294967295, 32); //@line 2233 "j2k.c"
        var $55=HEAP[$54]; //@line 2233 "j2k.c"
        var $56=HEAP[$cstr_info_addr]; //@line 2233 "j2k.c"
        var $57=CHECK_OVERFLOW(($56+44)&4294967295, 32); //@line 2233 "j2k.c"
        HEAP[$57]=$55; //@line 2233 "j2k.c"
        var $58=HEAP[$cp]; //@line 2234 "j2k.c"
        var $59=CHECK_OVERFLOW(($58+72)&4294967295, 32); //@line 2234 "j2k.c"
        var $60=HEAP[$59]; //@line 2234 "j2k.c"
        var $61=HEAP[$cstr_info_addr]; //@line 2234 "j2k.c"
        var $62=CHECK_OVERFLOW(($61+48)&4294967295, 32); //@line 2234 "j2k.c"
        HEAP[$62]=$60; //@line 2234 "j2k.c"
        var $63=HEAP[$cp]; //@line 2235 "j2k.c"
        var $64=CHECK_OVERFLOW(($63+56)&4294967295, 32); //@line 2235 "j2k.c"
        var $65=HEAP[$64]; //@line 2235 "j2k.c"
        var $66=HEAP[$cstr_info_addr]; //@line 2235 "j2k.c"
        var $67=CHECK_OVERFLOW(($66+28)&4294967295, 32); //@line 2235 "j2k.c"
        HEAP[$67]=$65; //@line 2235 "j2k.c"
        var $68=HEAP[$cp]; //@line 2236 "j2k.c"
        var $69=CHECK_OVERFLOW(($68+60)&4294967295, 32); //@line 2236 "j2k.c"
        var $70=HEAP[$69]; //@line 2236 "j2k.c"
        var $71=HEAP[$cstr_info_addr]; //@line 2236 "j2k.c"
        var $72=CHECK_OVERFLOW(($71+32)&4294967295, 32); //@line 2236 "j2k.c"
        HEAP[$72]=$70; //@line 2236 "j2k.c"
        var $73=HEAP[$cp]; //@line 2237 "j2k.c"
        var $74=CHECK_OVERFLOW(($73+48)&4294967295, 32); //@line 2237 "j2k.c"
        var $75=HEAP[$74]; //@line 2237 "j2k.c"
        var $76=HEAP[$cstr_info_addr]; //@line 2237 "j2k.c"
        var $77=CHECK_OVERFLOW(($76+36)&4294967295, 32); //@line 2237 "j2k.c"
        HEAP[$77]=$75; //@line 2237 "j2k.c"
        var $78=HEAP[$cp]; //@line 2238 "j2k.c"
        var $79=CHECK_OVERFLOW(($78+52)&4294967295, 32); //@line 2238 "j2k.c"
        var $80=HEAP[$79]; //@line 2238 "j2k.c"
        var $81=HEAP[$cstr_info_addr]; //@line 2238 "j2k.c"
        var $82=CHECK_OVERFLOW(($81+40)&4294967295, 32); //@line 2238 "j2k.c"
        HEAP[$82]=$80; //@line 2238 "j2k.c"
        var $83=HEAP[$image_addr]; //@line 2239 "j2k.c"
        var $84=CHECK_OVERFLOW(($83+16)&4294967295, 32); //@line 2239 "j2k.c"
        var $85=HEAP[$84]; //@line 2239 "j2k.c"
        var $86=HEAP[$cstr_info_addr]; //@line 2239 "j2k.c"
        var $87=CHECK_OVERFLOW(($86+52)&4294967295, 32); //@line 2239 "j2k.c"
        HEAP[$87]=$85; //@line 2239 "j2k.c"
        var $88=HEAP[$cp]; //@line 2240 "j2k.c"
        var $89=CHECK_OVERFLOW(($88+108)&4294967295, 32); //@line 2240 "j2k.c"
        var $90=HEAP[$89]; //@line 2240 "j2k.c"
        var $91=CHECK_OVERFLOW(($90)&4294967295, 32); //@line 2240 "j2k.c"
        var $92=CHECK_OVERFLOW(($91+12)&4294967295, 32); //@line 2240 "j2k.c"
        var $93=HEAP[$92]; //@line 2240 "j2k.c"
        var $94=HEAP[$cstr_info_addr]; //@line 2240 "j2k.c"
        var $95=CHECK_OVERFLOW(($94+56)&4294967295, 32); //@line 2240 "j2k.c"
        HEAP[$95]=$93; //@line 2240 "j2k.c"
        var $96=HEAP[$image_addr]; //@line 2241 "j2k.c"
        var $97=CHECK_OVERFLOW(($96+16)&4294967295, 32); //@line 2241 "j2k.c"
        var $98=HEAP[$97]; //@line 2241 "j2k.c"
        var $99=CHECK_OVERFLOW((($98) * 4)&4294967295, 32); //@line 2241 "j2k.c"
        var $100=_malloc($99); //@line 2241 "j2k.c"
        var $101=$100; //@line 2241 "j2k.c"
        var $102=HEAP[$cstr_info_addr]; //@line 2241 "j2k.c"
        var $103=CHECK_OVERFLOW(($102+60)&4294967295, 32); //@line 2241 "j2k.c"
        HEAP[$103]=$101; //@line 2241 "j2k.c"
        HEAP[$compno1]=0; //@line 2242 "j2k.c"
        __label__ = 2; break; //@line 2242 "j2k.c"
      case 3: // $bb2
        var $104=HEAP[$cstr_info_addr]; //@line 2243 "j2k.c"
        var $105=CHECK_OVERFLOW(($104+60)&4294967295, 32); //@line 2243 "j2k.c"
        var $106=HEAP[$105]; //@line 2243 "j2k.c"
        var $107=HEAP[$cp]; //@line 2243 "j2k.c"
        var $108=CHECK_OVERFLOW(($107+108)&4294967295, 32); //@line 2243 "j2k.c"
        var $109=HEAP[$108]; //@line 2243 "j2k.c"
        var $110=CHECK_OVERFLOW(($109)&4294967295, 32); //@line 2243 "j2k.c"
        var $111=CHECK_OVERFLOW(($110+5584)&4294967295, 32); //@line 2243 "j2k.c"
        var $112=HEAP[$111]; //@line 2243 "j2k.c"
        var $113=CHECK_OVERFLOW(($112+4)&4294967295, 32); //@line 2243 "j2k.c"
        var $114=HEAP[$113]; //@line 2243 "j2k.c"
        var $115=CHECK_OVERFLOW((($114) - 1)&4294967295, 32); //@line 2243 "j2k.c"
        var $116=HEAP[$compno1]; //@line 2243 "j2k.c"
        var $117=CHECK_OVERFLOW(($106+4*$116)&4294967295, 32); //@line 2243 "j2k.c"
        HEAP[$117]=$115; //@line 2243 "j2k.c"
        var $118=HEAP[$compno1]; //@line 2242 "j2k.c"
        var $119=CHECK_OVERFLOW((($118) + 1)&4294967295, 32); //@line 2242 "j2k.c"
        HEAP[$compno1]=$119; //@line 2242 "j2k.c"
        __label__ = 2; break; //@line 2242 "j2k.c"
      case 2: // $bb3
        var $120=HEAP[$image_addr]; //@line 2242 "j2k.c"
        var $121=CHECK_OVERFLOW(($120+16)&4294967295, 32); //@line 2242 "j2k.c"
        var $122=HEAP[$121]; //@line 2242 "j2k.c"
        var $123=HEAP[$compno1]; //@line 2242 "j2k.c"
        var $124=($122) > ($123); //@line 2242 "j2k.c"
        if ($124) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2242 "j2k.c"
      case 4: // $bb4
        var $125=HEAP[$cstr_info_addr]; //@line 2245 "j2k.c"
        var $126=CHECK_OVERFLOW(($125)&4294967295, 32); //@line 2245 "j2k.c"
        HEAP[$126]=0; //@line 2245 "j2k.c"
        var $127=HEAP[$cio_addr]; //@line 2246 "j2k.c"
        var $128=_cio_tell($127); //@line 2246 "j2k.c"
        var $129=HEAP[$cstr_info_addr]; //@line 2246 "j2k.c"
        var $130=CHECK_OVERFLOW(($129+76)&4294967295, 32); //@line 2246 "j2k.c"
        HEAP[$130]=$128; //@line 2246 "j2k.c"
        var $131=HEAP[$cstr_info_addr]; //@line 2247 "j2k.c"
        var $132=CHECK_OVERFLOW(($131+72)&4294967295, 32); //@line 2247 "j2k.c"
        HEAP[$132]=100; //@line 2247 "j2k.c"
        var $133=HEAP[$cstr_info_addr]; //@line 2248 "j2k.c"
        var $134=CHECK_OVERFLOW(($133+72)&4294967295, 32); //@line 2248 "j2k.c"
        var $135=HEAP[$134]; //@line 2248 "j2k.c"
        var $136=CHECK_OVERFLOW((($135) * 12)&4294967295, 32); //@line 2248 "j2k.c"
        var $137=_malloc($136); //@line 2248 "j2k.c"
        var $138=$137; //@line 2248 "j2k.c"
        var $139=HEAP[$cstr_info_addr]; //@line 2248 "j2k.c"
        var $140=CHECK_OVERFLOW(($139+68)&4294967295, 32); //@line 2248 "j2k.c"
        HEAP[$140]=$138; //@line 2248 "j2k.c"
        var $141=HEAP[$cstr_info_addr]; //@line 2249 "j2k.c"
        var $142=CHECK_OVERFLOW(($141+64)&4294967295, 32); //@line 2249 "j2k.c"
        HEAP[$142]=0; //@line 2249 "j2k.c"
        __label__ = 1; break; //@line 2249 "j2k.c"
      case 1: // $bb5
        var $143=HEAP[$j2k_addr]; //@line 2253 "j2k.c"
        _j2k_write_soc($143); //@line 2253 "j2k.c"
        var $144=HEAP[$j2k_addr]; //@line 2254 "j2k.c"
        _j2k_write_siz($144); //@line 2254 "j2k.c"
        var $145=HEAP[$j2k_addr]; //@line 2255 "j2k.c"
        _j2k_write_cod($145); //@line 2255 "j2k.c"
        var $146=HEAP[$j2k_addr]; //@line 2256 "j2k.c"
        _j2k_write_qcd($146); //@line 2256 "j2k.c"
        var $147=HEAP[$cp]; //@line 2258 "j2k.c"
        var $148=CHECK_OVERFLOW(($147)&4294967295, 32); //@line 2258 "j2k.c"
        var $149=HEAP[$148]; //@line 2258 "j2k.c"
        var $150=($149)!=0; //@line 2258 "j2k.c"
        if ($150) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 2258 "j2k.c"
      case 5: // $bb6
        HEAP[$compno]=1; //@line 2259 "j2k.c"
        __label__ = 7; break; //@line 2259 "j2k.c"
      case 8: // $bb7
        var $151=HEAP[$j2k_addr]; //@line 2260 "j2k.c"
        var $152=HEAP[$compno]; //@line 2260 "j2k.c"
        _j2k_write_coc($151, $152); //@line 2260 "j2k.c"
        var $153=HEAP[$j2k_addr]; //@line 2261 "j2k.c"
        var $154=HEAP[$compno]; //@line 2261 "j2k.c"
        _j2k_write_qcc($153, $154); //@line 2261 "j2k.c"
        var $155=HEAP[$compno]; //@line 2259 "j2k.c"
        var $156=CHECK_OVERFLOW((($155) + 1)&4294967295, 32); //@line 2259 "j2k.c"
        HEAP[$compno]=$156; //@line 2259 "j2k.c"
        __label__ = 7; break; //@line 2259 "j2k.c"
      case 7: // $bb8
        var $157=HEAP[$image_addr]; //@line 2259 "j2k.c"
        var $158=CHECK_OVERFLOW(($157+16)&4294967295, 32); //@line 2259 "j2k.c"
        var $159=HEAP[$158]; //@line 2259 "j2k.c"
        var $160=HEAP[$compno]; //@line 2259 "j2k.c"
        var $161=($159) > ($160); //@line 2259 "j2k.c"
        if ($161) { __label__ = 8; break; } else { __label__ = 6; break; } //@line 2259 "j2k.c"
      case 6: // $bb9
        HEAP[$compno]=0; //@line 2265 "j2k.c"
        __label__ = 9; break; //@line 2265 "j2k.c"
      case 12: // $bb10
        var $162=HEAP[$cp]; //@line 2266 "j2k.c"
        var $163=CHECK_OVERFLOW(($162+108)&4294967295, 32); //@line 2266 "j2k.c"
        var $164=HEAP[$163]; //@line 2266 "j2k.c"
        var $165=CHECK_OVERFLOW(($164)&4294967295, 32); //@line 2266 "j2k.c"
        HEAP[$tcp]=$165; //@line 2266 "j2k.c"
        var $166=HEAP[$tcp]; //@line 2267 "j2k.c"
        var $167=CHECK_OVERFLOW(($166+5584)&4294967295, 32); //@line 2267 "j2k.c"
        var $168=HEAP[$167]; //@line 2267 "j2k.c"
        var $169=HEAP[$compno]; //@line 2267 "j2k.c"
        var $170=CHECK_OVERFLOW(($168+1076*$169)&4294967295, 32); //@line 2267 "j2k.c"
        var $171=CHECK_OVERFLOW(($170+808)&4294967295, 32); //@line 2267 "j2k.c"
        var $172=HEAP[$171]; //@line 2267 "j2k.c"
        var $173=($172)!=0; //@line 2267 "j2k.c"
        if ($173) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2267 "j2k.c"
      case 10: // $bb11
        var $174=HEAP[$j2k_addr]; //@line 2268 "j2k.c"
        var $175=HEAP[$compno]; //@line 2268 "j2k.c"
        _j2k_write_rgn($174, $175, 0); //@line 2268 "j2k.c"
        __label__ = 11; break; //@line 2268 "j2k.c"
      case 11: // $bb12
        var $176=HEAP[$compno]; //@line 2265 "j2k.c"
        var $177=CHECK_OVERFLOW((($176) + 1)&4294967295, 32); //@line 2265 "j2k.c"
        HEAP[$compno]=$177; //@line 2265 "j2k.c"
        __label__ = 9; break; //@line 2265 "j2k.c"
      case 9: // $bb13
        var $178=HEAP[$image_addr]; //@line 2265 "j2k.c"
        var $179=CHECK_OVERFLOW(($178+16)&4294967295, 32); //@line 2265 "j2k.c"
        var $180=HEAP[$179]; //@line 2265 "j2k.c"
        var $181=HEAP[$compno]; //@line 2265 "j2k.c"
        var $182=($180) > ($181); //@line 2265 "j2k.c"
        if ($182) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2265 "j2k.c"
      case 13: // $bb14
        var $183=HEAP[$cp]; //@line 2270 "j2k.c"
        var $184=CHECK_OVERFLOW(($183+64)&4294967295, 32); //@line 2270 "j2k.c"
        var $185=HEAP[$184]; //@line 2270 "j2k.c"
        var $186=($185)!=0; //@line 2270 "j2k.c"
        if ($186) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 2270 "j2k.c"
      case 14: // $bb15
        var $187=HEAP[$j2k_addr]; //@line 2271 "j2k.c"
        _j2k_write_com($187); //@line 2271 "j2k.c"
        __label__ = 15; break; //@line 2271 "j2k.c"
      case 15: // $bb16
        var $188=HEAP[$image_addr]; //@line 2274 "j2k.c"
        var $189=CHECK_OVERFLOW(($188+16)&4294967295, 32); //@line 2274 "j2k.c"
        var $190=HEAP[$189]; //@line 2274 "j2k.c"
        var $191=HEAP[$cp]; //@line 2274 "j2k.c"
        var $192=HEAP[$image_addr]; //@line 2274 "j2k.c"
        var $193=HEAP[$j2k_addr]; //@line 2274 "j2k.c"
        var $194=_j2k_calculate_tp($191, $190, $192, $193); //@line 2274 "j2k.c"
        var $195=HEAP[$j2k_addr]; //@line 2274 "j2k.c"
        var $196=CHECK_OVERFLOW(($195+28)&4294967295, 32); //@line 2274 "j2k.c"
        HEAP[$196]=$194; //@line 2274 "j2k.c"
        var $197=HEAP[$cp]; //@line 2276 "j2k.c"
        var $198=CHECK_OVERFLOW(($197)&4294967295, 32); //@line 2276 "j2k.c"
        var $199=HEAP[$198]; //@line 2276 "j2k.c"
        var $200=($199)!=0; //@line 2276 "j2k.c"
        if ($200) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 2276 "j2k.c"
      case 16: // $bb17
        var $201=HEAP[$j2k_addr]; //@line 2277 "j2k.c"
        _j2k_write_tlm($201); //@line 2277 "j2k.c"
        var $202=HEAP[$cp]; //@line 2278 "j2k.c"
        var $203=CHECK_OVERFLOW(($202)&4294967295, 32); //@line 2278 "j2k.c"
        var $204=HEAP[$203]; //@line 2278 "j2k.c"
        var $205=($204)==3; //@line 2278 "j2k.c"
        if ($205) { __label__ = 18; break; } else { __label__ = 17; break; } //@line 2278 "j2k.c"
      case 18: // $bb18
        var $206=HEAP[$j2k_addr]; //@line 2279 "j2k.c"
        _j2k_write_poc($206); //@line 2279 "j2k.c"
        __label__ = 17; break; //@line 2279 "j2k.c"
      case 17: // $bb19
        var $207=HEAP[$cstr_info_addr]; //@line 2287 "j2k.c"
        var $208=($207)!=0; //@line 2287 "j2k.c"
        if ($208) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 2287 "j2k.c"
      case 19: // $bb20
        var $209=HEAP[$cio_addr]; //@line 2288 "j2k.c"
        var $210=_cio_tell($209); //@line 2288 "j2k.c"
        var $211=CHECK_OVERFLOW((($210) - 1)&4294967295, 32); //@line 2288 "j2k.c"
        var $212=HEAP[$cstr_info_addr]; //@line 2288 "j2k.c"
        var $213=CHECK_OVERFLOW(($212+80)&4294967295, 32); //@line 2288 "j2k.c"
        HEAP[$213]=$211; //@line 2288 "j2k.c"
        __label__ = 20; break; //@line 2288 "j2k.c"
      case 20: // $bb21
        var $214=HEAP[$j2k_addr]; //@line 2294 "j2k.c"
        var $215=CHECK_OVERFLOW(($214)&4294967295, 32); //@line 2294 "j2k.c"
        var $216=HEAP[$215]; //@line 2294 "j2k.c"
        var $217=_tcd_create($216); //@line 2294 "j2k.c"
        HEAP[$tcd]=$217; //@line 2294 "j2k.c"
        HEAP[$tileno]=0; //@line 2297 "j2k.c"
        __label__ = 21; break; //@line 2297 "j2k.c"
      case 48: // $bb22
        HEAP[$tilepartno]=0; //@line 2299 "j2k.c"
        HEAP[$acc_pack_num]=0; //@line 2301 "j2k.c"
        var $218=HEAP[$cp]; //@line 2305 "j2k.c"
        var $219=CHECK_OVERFLOW(($218+108)&4294967295, 32); //@line 2305 "j2k.c"
        var $220=HEAP[$219]; //@line 2305 "j2k.c"
        var $221=HEAP[$tileno]; //@line 2305 "j2k.c"
        var $222=CHECK_OVERFLOW(($220+5588*$221)&4294967295, 32); //@line 2305 "j2k.c"
        HEAP[$tcp23]=$222; //@line 2305 "j2k.c"
        var $223=HEAP[$cp]; //@line 2306 "j2k.c"
        var $224=CHECK_OVERFLOW(($223+68)&4294967295, 32); //@line 2306 "j2k.c"
        var $225=HEAP[$224]; //@line 2306 "j2k.c"
        var $226=HEAP[$cp]; //@line 2306 "j2k.c"
        var $227=CHECK_OVERFLOW(($226+72)&4294967295, 32); //@line 2306 "j2k.c"
        var $228=HEAP[$227]; //@line 2306 "j2k.c"
        var $229=CHECK_OVERFLOW((($225) * ($228))&4294967295, 32); //@line 2306 "j2k.c"
        var $230=HEAP[$tileno]; //@line 2306 "j2k.c"
        var $231=CHECK_OVERFLOW((($230) + 1)&4294967295, 32); //@line 2306 "j2k.c"
        var $232=HEAP[$j2k_addr]; //@line 2306 "j2k.c"
        var $233=CHECK_OVERFLOW(($232)&4294967295, 32); //@line 2306 "j2k.c"
        var $234=HEAP[$233]; //@line 2306 "j2k.c"
        var $235=_opj_event_msg($234, 4, CHECK_OVERFLOW((__str997)&4294967295, 32), Pointer_make([$231,0,0,0,$229,0,0,0], 0, ALLOC_STACK)); //@line 2306 "j2k.c"
        var $236=HEAP[$j2k_addr]; //@line 2308 "j2k.c"
        var $237=CHECK_OVERFLOW(($236+8)&4294967295, 32); //@line 2308 "j2k.c"
        var $238=HEAP[$tileno]; //@line 2308 "j2k.c"
        HEAP[$237]=$238; //@line 2308 "j2k.c"
        var $239=HEAP[$j2k_addr]; //@line 2309 "j2k.c"
        var $240=CHECK_OVERFLOW(($239+16)&4294967295, 32); //@line 2309 "j2k.c"
        HEAP[$240]=0; //@line 2309 "j2k.c"
        var $241=HEAP[$j2k_addr]; //@line 2310 "j2k.c"
        var $242=CHECK_OVERFLOW(($241+20)&4294967295, 32); //@line 2310 "j2k.c"
        var $243=HEAP[$242]; //@line 2310 "j2k.c"
        var $244=HEAP[$j2k_addr]; //@line 2310 "j2k.c"
        var $245=CHECK_OVERFLOW(($244+8)&4294967295, 32); //@line 2310 "j2k.c"
        var $246=HEAP[$245]; //@line 2310 "j2k.c"
        var $247=CHECK_OVERFLOW(($243+4*$246)&4294967295, 32); //@line 2310 "j2k.c"
        var $248=HEAP[$247]; //@line 2310 "j2k.c"
        var $249=HEAP[$tcd]; //@line 2310 "j2k.c"
        var $250=CHECK_OVERFLOW(($249+12)&4294967295, 32); //@line 2310 "j2k.c"
        HEAP[$250]=$248; //@line 2310 "j2k.c"
        var $251=HEAP[$tileno]; //@line 2312 "j2k.c"
        var $252=($251)==0; //@line 2312 "j2k.c"
        if ($252) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 2312 "j2k.c"
      case 22: // $bb24
        var $253=HEAP[$j2k_addr]; //@line 2313 "j2k.c"
        var $254=CHECK_OVERFLOW(($253+8)&4294967295, 32); //@line 2313 "j2k.c"
        var $255=HEAP[$254]; //@line 2313 "j2k.c"
        var $256=HEAP[$tcd]; //@line 2313 "j2k.c"
        var $257=HEAP[$image_addr]; //@line 2313 "j2k.c"
        var $258=HEAP[$cp]; //@line 2313 "j2k.c"
        _tcd_malloc_encode($256, $257, $258, $255); //@line 2313 "j2k.c"
        __label__ = 24; break; //@line 2313 "j2k.c"
      case 23: // $bb25
        var $259=HEAP[$j2k_addr]; //@line 2315 "j2k.c"
        var $260=CHECK_OVERFLOW(($259+8)&4294967295, 32); //@line 2315 "j2k.c"
        var $261=HEAP[$260]; //@line 2315 "j2k.c"
        var $262=HEAP[$tcd]; //@line 2315 "j2k.c"
        var $263=HEAP[$image_addr]; //@line 2315 "j2k.c"
        var $264=HEAP[$cp]; //@line 2315 "j2k.c"
        _tcd_init_encode($262, $263, $264, $261); //@line 2315 "j2k.c"
        __label__ = 24; break; //@line 2315 "j2k.c"
      case 24: // $bb26
        var $265=HEAP[$cstr_info_addr]; //@line 2319 "j2k.c"
        var $266=($265)!=0; //@line 2319 "j2k.c"
        if ($266) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 2319 "j2k.c"
      case 25: // $bb27
        var $267=HEAP[$cstr_info_addr]; //@line 2320 "j2k.c"
        var $268=CHECK_OVERFLOW(($267+88)&4294967295, 32); //@line 2320 "j2k.c"
        var $269=HEAP[$268]; //@line 2320 "j2k.c"
        var $270=HEAP[$j2k_addr]; //@line 2320 "j2k.c"
        var $271=CHECK_OVERFLOW(($270+8)&4294967295, 32); //@line 2320 "j2k.c"
        var $272=HEAP[$271]; //@line 2320 "j2k.c"
        var $273=CHECK_OVERFLOW(($269+572*$272)&4294967295, 32); //@line 2320 "j2k.c"
        var $274=HEAP[$cio_addr]; //@line 2320 "j2k.c"
        var $275=_cio_tell($274); //@line 2320 "j2k.c"
        var $276=HEAP[$j2k_addr]; //@line 2320 "j2k.c"
        var $277=CHECK_OVERFLOW(($276+44)&4294967295, 32); //@line 2320 "j2k.c"
        var $278=HEAP[$277]; //@line 2320 "j2k.c"
        var $279=CHECK_OVERFLOW((($275) + ($278))&4294967295, 32); //@line 2320 "j2k.c"
        var $280=CHECK_OVERFLOW(($273+8)&4294967295, 32); //@line 2320 "j2k.c"
        HEAP[$280]=$279; //@line 2320 "j2k.c"
        __label__ = 26; break; //@line 2320 "j2k.c"
      case 26: // $bb28
        HEAP[$pino]=0; //@line 2324 "j2k.c"
        __label__ = 27; break; //@line 2324 "j2k.c"
      case 44: // $bb29
        var $281=HEAP[$tcd]; //@line 2326 "j2k.c"
        var $282=CHECK_OVERFLOW(($281+16)&4294967295, 32); //@line 2326 "j2k.c"
        var $283=HEAP[$pino]; //@line 2326 "j2k.c"
        HEAP[$282]=$283; //@line 2326 "j2k.c"
        var $284=HEAP[$cp]; //@line 2329 "j2k.c"
        var $285=HEAP[$pino]; //@line 2329 "j2k.c"
        var $286=HEAP[$tileno]; //@line 2329 "j2k.c"
        var $287=_j2k_get_num_tp($284, $285, $286); //@line 2329 "j2k.c"
        HEAP[$tot_num_tp]=$287; //@line 2329 "j2k.c"
        var $288=HEAP[$cp]; //@line 2330 "j2k.c"
        var $289=CHECK_OVERFLOW(($288+20)&4294967295, 32); //@line 2330 "j2k.c"
        var $290=HEAP[$289]; //@line 2330 "j2k.c"
        var $291=HEAP[$tcd]; //@line 2330 "j2k.c"
        var $292=CHECK_OVERFLOW(($291)&4294967295, 32); //@line 2330 "j2k.c"
        HEAP[$292]=$290; //@line 2330 "j2k.c"
        HEAP[$tilepartno]=0; //@line 2332 "j2k.c"
        __label__ = 28; break; //@line 2332 "j2k.c"
      case 42: // $bb30
        var $293=HEAP[$j2k_addr]; //@line 2333 "j2k.c"
        var $294=CHECK_OVERFLOW(($293+12)&4294967295, 32); //@line 2333 "j2k.c"
        var $295=HEAP[$tilepartno]; //@line 2333 "j2k.c"
        HEAP[$294]=$295; //@line 2333 "j2k.c"
        var $296=HEAP[$cstr_info_addr]; //@line 2335 "j2k.c"
        var $297=($296)!=0; //@line 2335 "j2k.c"
        if ($297) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 2335 "j2k.c"
      case 29: // $bb31
        var $298=HEAP[$cstr_info_addr]; //@line 2336 "j2k.c"
        var $299=CHECK_OVERFLOW(($298+88)&4294967295, 32); //@line 2336 "j2k.c"
        var $300=HEAP[$299]; //@line 2336 "j2k.c"
        var $301=HEAP[$j2k_addr]; //@line 2336 "j2k.c"
        var $302=CHECK_OVERFLOW(($301+8)&4294967295, 32); //@line 2336 "j2k.c"
        var $303=HEAP[$302]; //@line 2336 "j2k.c"
        var $304=CHECK_OVERFLOW(($300+572*$303)&4294967295, 32); //@line 2336 "j2k.c"
        var $305=CHECK_OVERFLOW(($304+568)&4294967295, 32); //@line 2336 "j2k.c"
        var $306=HEAP[$305]; //@line 2336 "j2k.c"
        var $307=HEAP[$j2k_addr]; //@line 2336 "j2k.c"
        var $308=CHECK_OVERFLOW(($307+16)&4294967295, 32); //@line 2336 "j2k.c"
        var $309=HEAP[$308]; //@line 2336 "j2k.c"
        var $310=CHECK_OVERFLOW(($306+20*$309)&4294967295, 32); //@line 2336 "j2k.c"
        var $311=HEAP[$cio_addr]; //@line 2336 "j2k.c"
        var $312=_cio_tell($311); //@line 2336 "j2k.c"
        var $313=HEAP[$j2k_addr]; //@line 2336 "j2k.c"
        var $314=CHECK_OVERFLOW(($313+44)&4294967295, 32); //@line 2336 "j2k.c"
        var $315=HEAP[$314]; //@line 2336 "j2k.c"
        var $316=CHECK_OVERFLOW((($312) + ($315))&4294967295, 32); //@line 2336 "j2k.c"
        var $317=CHECK_OVERFLOW(($310)&4294967295, 32); //@line 2336 "j2k.c"
        HEAP[$317]=$316; //@line 2336 "j2k.c"
        __label__ = 30; break; //@line 2336 "j2k.c"
      case 30: // $bb32
        var $318=HEAP[$j2k_addr]; //@line 2339 "j2k.c"
        _j2k_write_sot($318); //@line 2339 "j2k.c"
        var $319=HEAP[$j2k_addr]; //@line 2341 "j2k.c"
        var $320=CHECK_OVERFLOW(($319+16)&4294967295, 32); //@line 2341 "j2k.c"
        var $321=HEAP[$320]; //@line 2341 "j2k.c"
        var $322=($321)==0; //@line 2341 "j2k.c"
        if ($322) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 2341 "j2k.c"
      case 31: // $bb33
        var $323=HEAP[$cp]; //@line 2341 "j2k.c"
        var $324=CHECK_OVERFLOW(($323)&4294967295, 32); //@line 2341 "j2k.c"
        var $325=HEAP[$324]; //@line 2341 "j2k.c"
        var $326=($325)==0; //@line 2341 "j2k.c"
        if ($326) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 2341 "j2k.c"
      case 33: // $bb34
        HEAP[$compno]=1; //@line 2342 "j2k.c"
        __label__ = 34; break; //@line 2342 "j2k.c"
      case 35: // $bb35
        var $327=HEAP[$j2k_addr]; //@line 2343 "j2k.c"
        var $328=HEAP[$compno]; //@line 2343 "j2k.c"
        _j2k_write_coc($327, $328); //@line 2343 "j2k.c"
        var $329=HEAP[$j2k_addr]; //@line 2344 "j2k.c"
        var $330=HEAP[$compno]; //@line 2344 "j2k.c"
        _j2k_write_qcc($329, $330); //@line 2344 "j2k.c"
        var $331=HEAP[$compno]; //@line 2342 "j2k.c"
        var $332=CHECK_OVERFLOW((($331) + 1)&4294967295, 32); //@line 2342 "j2k.c"
        HEAP[$compno]=$332; //@line 2342 "j2k.c"
        __label__ = 34; break; //@line 2342 "j2k.c"
      case 34: // $bb36
        var $333=HEAP[$image_addr]; //@line 2342 "j2k.c"
        var $334=CHECK_OVERFLOW(($333+16)&4294967295, 32); //@line 2342 "j2k.c"
        var $335=HEAP[$334]; //@line 2342 "j2k.c"
        var $336=HEAP[$compno]; //@line 2342 "j2k.c"
        var $337=($335) > ($336); //@line 2342 "j2k.c"
        if ($337) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 2342 "j2k.c"
      case 36: // $bb37
        var $338=HEAP[$cp]; //@line 2346 "j2k.c"
        var $339=CHECK_OVERFLOW(($338+108)&4294967295, 32); //@line 2346 "j2k.c"
        var $340=HEAP[$339]; //@line 2346 "j2k.c"
        var $341=HEAP[$tileno]; //@line 2346 "j2k.c"
        var $342=CHECK_OVERFLOW(($340+5588*$341)&4294967295, 32); //@line 2346 "j2k.c"
        var $343=CHECK_OVERFLOW(($342+420)&4294967295, 32); //@line 2346 "j2k.c"
        var $344=HEAP[$343]; //@line 2346 "j2k.c"
        var $345=($344)!=0; //@line 2346 "j2k.c"
        if ($345) { __label__ = 37; break; } else { __label__ = 32; break; } //@line 2346 "j2k.c"
      case 37: // $bb38
        var $346=HEAP[$j2k_addr]; //@line 2347 "j2k.c"
        _j2k_write_poc($346); //@line 2347 "j2k.c"
        __label__ = 32; break; //@line 2347 "j2k.c"
      case 32: // $bb39
        var $347=HEAP[$cstr_info_addr]; //@line 2352 "j2k.c"
        var $348=($347)!=0; //@line 2352 "j2k.c"
        if ($348) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 2352 "j2k.c"
      case 38: // $bb40
        var $349=HEAP[$cstr_info_addr]; //@line 2353 "j2k.c"
        var $350=CHECK_OVERFLOW(($349+88)&4294967295, 32); //@line 2353 "j2k.c"
        var $351=HEAP[$350]; //@line 2353 "j2k.c"
        var $352=HEAP[$j2k_addr]; //@line 2353 "j2k.c"
        var $353=CHECK_OVERFLOW(($352+8)&4294967295, 32); //@line 2353 "j2k.c"
        var $354=HEAP[$353]; //@line 2353 "j2k.c"
        var $355=CHECK_OVERFLOW(($351+572*$354)&4294967295, 32); //@line 2353 "j2k.c"
        var $356=CHECK_OVERFLOW(($355+568)&4294967295, 32); //@line 2353 "j2k.c"
        var $357=HEAP[$356]; //@line 2353 "j2k.c"
        var $358=HEAP[$j2k_addr]; //@line 2353 "j2k.c"
        var $359=CHECK_OVERFLOW(($358+16)&4294967295, 32); //@line 2353 "j2k.c"
        var $360=HEAP[$359]; //@line 2353 "j2k.c"
        var $361=CHECK_OVERFLOW(($357+20*$360)&4294967295, 32); //@line 2353 "j2k.c"
        var $362=HEAP[$cio_addr]; //@line 2353 "j2k.c"
        var $363=_cio_tell($362); //@line 2353 "j2k.c"
        var $364=HEAP[$j2k_addr]; //@line 2353 "j2k.c"
        var $365=CHECK_OVERFLOW(($364+44)&4294967295, 32); //@line 2353 "j2k.c"
        var $366=HEAP[$365]; //@line 2353 "j2k.c"
        var $367=CHECK_OVERFLOW((($363) + ($366))&4294967295, 32); //@line 2353 "j2k.c"
        var $368=CHECK_OVERFLOW((($367) + 1)&4294967295, 32); //@line 2353 "j2k.c"
        var $369=CHECK_OVERFLOW(($361+4)&4294967295, 32); //@line 2353 "j2k.c"
        HEAP[$369]=$368; //@line 2353 "j2k.c"
        __label__ = 39; break; //@line 2353 "j2k.c"
      case 39: // $bb41
        var $370=HEAP[$j2k_addr]; //@line 2357 "j2k.c"
        var $371=HEAP[$tcd]; //@line 2357 "j2k.c"
        var $372=$371; //@line 2357 "j2k.c"
        _j2k_write_sod($370, $372); //@line 2357 "j2k.c"
        var $373=HEAP[$cstr_info_addr]; //@line 2360 "j2k.c"
        var $374=($373)!=0; //@line 2360 "j2k.c"
        if ($374) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 2360 "j2k.c"
      case 40: // $bb42
        var $375=HEAP[$cstr_info_addr]; //@line 2361 "j2k.c"
        var $376=CHECK_OVERFLOW(($375+88)&4294967295, 32); //@line 2361 "j2k.c"
        var $377=HEAP[$376]; //@line 2361 "j2k.c"
        var $378=HEAP[$j2k_addr]; //@line 2361 "j2k.c"
        var $379=CHECK_OVERFLOW(($378+8)&4294967295, 32); //@line 2361 "j2k.c"
        var $380=HEAP[$379]; //@line 2361 "j2k.c"
        var $381=CHECK_OVERFLOW(($377+572*$380)&4294967295, 32); //@line 2361 "j2k.c"
        var $382=CHECK_OVERFLOW(($381+568)&4294967295, 32); //@line 2361 "j2k.c"
        var $383=HEAP[$382]; //@line 2361 "j2k.c"
        var $384=HEAP[$j2k_addr]; //@line 2361 "j2k.c"
        var $385=CHECK_OVERFLOW(($384+16)&4294967295, 32); //@line 2361 "j2k.c"
        var $386=HEAP[$385]; //@line 2361 "j2k.c"
        var $387=CHECK_OVERFLOW(($383+20*$386)&4294967295, 32); //@line 2361 "j2k.c"
        var $388=HEAP[$cio_addr]; //@line 2361 "j2k.c"
        var $389=_cio_tell($388); //@line 2361 "j2k.c"
        var $390=HEAP[$j2k_addr]; //@line 2361 "j2k.c"
        var $391=CHECK_OVERFLOW(($390+44)&4294967295, 32); //@line 2361 "j2k.c"
        var $392=HEAP[$391]; //@line 2361 "j2k.c"
        var $393=CHECK_OVERFLOW((($389) + ($392))&4294967295, 32); //@line 2361 "j2k.c"
        var $394=CHECK_OVERFLOW((($393) - 1)&4294967295, 32); //@line 2361 "j2k.c"
        var $395=CHECK_OVERFLOW(($387+8)&4294967295, 32); //@line 2361 "j2k.c"
        HEAP[$395]=$394; //@line 2361 "j2k.c"
        var $396=HEAP[$cstr_info_addr]; //@line 2363 "j2k.c"
        var $397=CHECK_OVERFLOW(($396+88)&4294967295, 32); //@line 2363 "j2k.c"
        var $398=HEAP[$397]; //@line 2363 "j2k.c"
        var $399=HEAP[$j2k_addr]; //@line 2363 "j2k.c"
        var $400=CHECK_OVERFLOW(($399+8)&4294967295, 32); //@line 2363 "j2k.c"
        var $401=HEAP[$400]; //@line 2363 "j2k.c"
        var $402=CHECK_OVERFLOW(($398+572*$401)&4294967295, 32); //@line 2363 "j2k.c"
        var $403=CHECK_OVERFLOW(($402+568)&4294967295, 32); //@line 2363 "j2k.c"
        var $404=HEAP[$403]; //@line 2363 "j2k.c"
        var $405=HEAP[$j2k_addr]; //@line 2363 "j2k.c"
        var $406=CHECK_OVERFLOW(($405+16)&4294967295, 32); //@line 2363 "j2k.c"
        var $407=HEAP[$406]; //@line 2363 "j2k.c"
        var $408=CHECK_OVERFLOW(($404+20*$407)&4294967295, 32); //@line 2363 "j2k.c"
        var $409=CHECK_OVERFLOW(($408+12)&4294967295, 32); //@line 2363 "j2k.c"
        var $410=HEAP[$acc_pack_num]; //@line 2363 "j2k.c"
        HEAP[$409]=$410; //@line 2363 "j2k.c"
        var $411=HEAP[$cstr_info_addr]; //@line 2365 "j2k.c"
        var $412=CHECK_OVERFLOW(($411+88)&4294967295, 32); //@line 2365 "j2k.c"
        var $413=HEAP[$412]; //@line 2365 "j2k.c"
        var $414=HEAP[$j2k_addr]; //@line 2365 "j2k.c"
        var $415=CHECK_OVERFLOW(($414+8)&4294967295, 32); //@line 2365 "j2k.c"
        var $416=HEAP[$415]; //@line 2365 "j2k.c"
        var $417=CHECK_OVERFLOW(($413+572*$416)&4294967295, 32); //@line 2365 "j2k.c"
        var $418=CHECK_OVERFLOW(($417+568)&4294967295, 32); //@line 2365 "j2k.c"
        var $419=HEAP[$418]; //@line 2365 "j2k.c"
        var $420=HEAP[$j2k_addr]; //@line 2365 "j2k.c"
        var $421=CHECK_OVERFLOW(($420+16)&4294967295, 32); //@line 2365 "j2k.c"
        var $422=HEAP[$421]; //@line 2365 "j2k.c"
        var $423=CHECK_OVERFLOW(($419+20*$422)&4294967295, 32); //@line 2365 "j2k.c"
        var $424=HEAP[$cstr_info_addr]; //@line 2365 "j2k.c"
        var $425=CHECK_OVERFLOW(($424+8)&4294967295, 32); //@line 2365 "j2k.c"
        var $426=HEAP[$425]; //@line 2365 "j2k.c"
        var $427=HEAP[$acc_pack_num]; //@line 2365 "j2k.c"
        var $428=CHECK_OVERFLOW((($426) - ($427))&4294967295, 32); //@line 2365 "j2k.c"
        var $429=CHECK_OVERFLOW(($423+16)&4294967295, 32); //@line 2365 "j2k.c"
        HEAP[$429]=$428; //@line 2365 "j2k.c"
        var $430=HEAP[$cstr_info_addr]; //@line 2367 "j2k.c"
        var $431=CHECK_OVERFLOW(($430+8)&4294967295, 32); //@line 2367 "j2k.c"
        var $432=HEAP[$431]; //@line 2367 "j2k.c"
        HEAP[$acc_pack_num]=$432; //@line 2367 "j2k.c"
        __label__ = 41; break; //@line 2367 "j2k.c"
      case 41: // $bb43
        var $433=HEAP[$j2k_addr]; //@line 2371 "j2k.c"
        var $434=CHECK_OVERFLOW(($433+16)&4294967295, 32); //@line 2371 "j2k.c"
        var $435=HEAP[$434]; //@line 2371 "j2k.c"
        var $436=CHECK_OVERFLOW((($435) + 1)&4294967295, 32); //@line 2371 "j2k.c"
        var $437=HEAP[$j2k_addr]; //@line 2371 "j2k.c"
        var $438=CHECK_OVERFLOW(($437+16)&4294967295, 32); //@line 2371 "j2k.c"
        HEAP[$438]=$436; //@line 2371 "j2k.c"
        var $439=HEAP[$tilepartno]; //@line 2332 "j2k.c"
        var $440=CHECK_OVERFLOW((($439) + 1)&4294967295, 32); //@line 2332 "j2k.c"
        HEAP[$tilepartno]=$440; //@line 2332 "j2k.c"
        __label__ = 28; break; //@line 2332 "j2k.c"
      case 28: // $bb44
        var $441=HEAP[$tilepartno]; //@line 2332 "j2k.c"
        var $442=HEAP[$tot_num_tp]; //@line 2332 "j2k.c"
        var $443=($441) < ($442); //@line 2332 "j2k.c"
        if ($443) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 2332 "j2k.c"
      case 43: // $bb45
        var $444=HEAP[$pino]; //@line 2324 "j2k.c"
        var $445=CHECK_OVERFLOW((($444) + 1)&4294967295, 32); //@line 2324 "j2k.c"
        HEAP[$pino]=$445; //@line 2324 "j2k.c"
        __label__ = 27; break; //@line 2324 "j2k.c"
      case 27: // $bb46
        var $446=HEAP[$tcp23]; //@line 2324 "j2k.c"
        var $447=CHECK_OVERFLOW(($446+420)&4294967295, 32); //@line 2324 "j2k.c"
        var $448=HEAP[$447]; //@line 2324 "j2k.c"
        var $449=HEAP[$pino]; //@line 2324 "j2k.c"
        var $450=($448) >= ($449); //@line 2324 "j2k.c"
        if ($450) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 2324 "j2k.c"
      case 45: // $bb47
        var $451=HEAP[$cstr_info_addr]; //@line 2374 "j2k.c"
        var $452=($451)!=0; //@line 2374 "j2k.c"
        if ($452) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 2374 "j2k.c"
      case 46: // $bb48
        var $453=HEAP[$cstr_info_addr]; //@line 2375 "j2k.c"
        var $454=CHECK_OVERFLOW(($453+88)&4294967295, 32); //@line 2375 "j2k.c"
        var $455=HEAP[$454]; //@line 2375 "j2k.c"
        var $456=HEAP[$j2k_addr]; //@line 2375 "j2k.c"
        var $457=CHECK_OVERFLOW(($456+8)&4294967295, 32); //@line 2375 "j2k.c"
        var $458=HEAP[$457]; //@line 2375 "j2k.c"
        var $459=CHECK_OVERFLOW(($455+572*$458)&4294967295, 32); //@line 2375 "j2k.c"
        var $460=HEAP[$cio_addr]; //@line 2375 "j2k.c"
        var $461=_cio_tell($460); //@line 2375 "j2k.c"
        var $462=HEAP[$j2k_addr]; //@line 2375 "j2k.c"
        var $463=CHECK_OVERFLOW(($462+44)&4294967295, 32); //@line 2375 "j2k.c"
        var $464=HEAP[$463]; //@line 2375 "j2k.c"
        var $465=CHECK_OVERFLOW((($461) + ($464))&4294967295, 32); //@line 2375 "j2k.c"
        var $466=CHECK_OVERFLOW((($465) - 1)&4294967295, 32); //@line 2375 "j2k.c"
        var $467=CHECK_OVERFLOW(($459+16)&4294967295, 32); //@line 2375 "j2k.c"
        HEAP[$467]=$466; //@line 2375 "j2k.c"
        __label__ = 47; break; //@line 2375 "j2k.c"
      case 47: // $bb49
        var $468=HEAP[$tileno]; //@line 2297 "j2k.c"
        var $469=CHECK_OVERFLOW((($468) + 1)&4294967295, 32); //@line 2297 "j2k.c"
        HEAP[$tileno]=$469; //@line 2297 "j2k.c"
        __label__ = 21; break; //@line 2297 "j2k.c"
      case 21: // $bb50
        var $470=HEAP[$cp]; //@line 2297 "j2k.c"
        var $471=CHECK_OVERFLOW(($470+68)&4294967295, 32); //@line 2297 "j2k.c"
        var $472=HEAP[$471]; //@line 2297 "j2k.c"
        var $473=HEAP[$cp]; //@line 2297 "j2k.c"
        var $474=CHECK_OVERFLOW(($473+72)&4294967295, 32); //@line 2297 "j2k.c"
        var $475=HEAP[$474]; //@line 2297 "j2k.c"
        var $476=CHECK_OVERFLOW((($472) * ($475))&4294967295, 32); //@line 2297 "j2k.c"
        var $477=HEAP[$tileno]; //@line 2297 "j2k.c"
        var $478=($476) > ($477); //@line 2297 "j2k.c"
        if ($478) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 2297 "j2k.c"
      case 49: // $bb51
        var $479=HEAP[$tcd]; //@line 2398 "j2k.c"
        _tcd_free_encode($479); //@line 2398 "j2k.c"
        var $480=HEAP[$tcd]; //@line 2399 "j2k.c"
        _tcd_destroy($480); //@line 2399 "j2k.c"
        var $481=HEAP[$j2k_addr]; //@line 2401 "j2k.c"
        var $482=CHECK_OVERFLOW(($481+20)&4294967295, 32); //@line 2401 "j2k.c"
        var $483=HEAP[$482]; //@line 2401 "j2k.c"
        var $484=$483; //@line 2401 "j2k.c"
        _free($484); //@line 2401 "j2k.c"
        var $485=HEAP[$j2k_addr]; //@line 2403 "j2k.c"
        _j2k_write_eoc($485); //@line 2403 "j2k.c"
        var $486=HEAP[$cstr_info_addr]; //@line 2405 "j2k.c"
        var $487=($486)!=0; //@line 2405 "j2k.c"
        if ($487) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 2405 "j2k.c"
      case 50: // $bb52
        var $488=HEAP[$cio_addr]; //@line 2406 "j2k.c"
        var $489=_cio_tell($488); //@line 2406 "j2k.c"
        var $490=HEAP[$j2k_addr]; //@line 2406 "j2k.c"
        var $491=CHECK_OVERFLOW(($490+44)&4294967295, 32); //@line 2406 "j2k.c"
        var $492=HEAP[$491]; //@line 2406 "j2k.c"
        var $493=CHECK_OVERFLOW((($489) + ($492))&4294967295, 32); //@line 2406 "j2k.c"
        var $494=HEAP[$cstr_info_addr]; //@line 2406 "j2k.c"
        var $495=CHECK_OVERFLOW(($494+84)&4294967295, 32); //@line 2406 "j2k.c"
        HEAP[$495]=$493; //@line 2406 "j2k.c"
        var $496=HEAP[$cstr_info_addr]; //@line 2411 "j2k.c"
        var $497=CHECK_OVERFLOW(($496+84)&4294967295, 32); //@line 2411 "j2k.c"
        var $498=HEAP[$497]; //@line 2411 "j2k.c"
        var $499=HEAP[$cstr_info_addr]; //@line 2411 "j2k.c"
        var $500=CHECK_OVERFLOW(($499+76)&4294967295, 32); //@line 2411 "j2k.c"
        var $501=HEAP[$500]; //@line 2411 "j2k.c"
        var $502=CHECK_OVERFLOW((($498) - ($501))&4294967295, 32); //@line 2411 "j2k.c"
        var $503=HEAP[$cstr_info_addr]; //@line 2411 "j2k.c"
        var $504=CHECK_OVERFLOW(($503+84)&4294967295, 32); //@line 2411 "j2k.c"
        HEAP[$504]=$502; //@line 2411 "j2k.c"
        __label__ = 51; break; //@line 2411 "j2k.c"
      case 51: // $bb53
        HEAP[$0]=1; //@line 2427 "j2k.c"
        var $505=HEAP[$0]; //@line 2427 "j2k.c"
        HEAP[$retval]=$505; //@line 2427 "j2k.c"
        __label__ = 52; break; //@line 2427 "j2k.c"
      case 52: // $return
        var $retval54=HEAP[$retval]; //@line 2427 "j2k.c"
        STACKTOP = __stackBase__;
        return $retval54; //@line 2427 "j2k.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_clock() {
    var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 40);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $retval=__stackBase__;
        var $0=__stackBase__+8;
        var $tv=__stackBase__+16;
        var $curr=__stackBase__+24;
        var $ret=__stackBase__+32;
        var $_alloca_point_=0;
        var $1=_gettimeofday($tv, 0); //@line 62 "j2k_lib.c"
        var $2=CHECK_OVERFLOW(($tv)&4294967295, 32); //@line 63 "j2k_lib.c"
        var $3=HEAP[$2]; //@line 63 "j2k_lib.c"
        var $4=($3); //@line 63 "j2k_lib.c"
        var $5=CHECK_OVERFLOW(($tv+4)&4294967295, 32); //@line 63 "j2k_lib.c"
        var $6=HEAP[$5]; //@line 63 "j2k_lib.c"
        var $7=($6); //@line 63 "j2k_lib.c"
        var $8=($7) / 1000000; //@line 63 "j2k_lib.c"
        var $9=($4) + ($8); //@line 63 "j2k_lib.c"
        var $10=($9); //@line 63 "j2k_lib.c"
        HEAP[$curr]=$10; //@line 63 "j2k_lib.c"
        var $11=HEAP[_last_5146]; //@line 64 "j2k_lib.c"
        var $12=($11) < 0; //@line 64 "j2k_lib.c"
        if ($12) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 64 "j2k_lib.c"
      case 0: // $bb
        var $13=HEAP[$curr]; //@line 64 "j2k_lib.c"
        HEAP[_last_5146]=$13; //@line 64 "j2k_lib.c"
        __label__ = 1; break; //@line 64 "j2k_lib.c"
      case 1: // $bb1
        var $14=HEAP[_last_5146]; //@line 65 "j2k_lib.c"
        var $15=HEAP[$curr]; //@line 65 "j2k_lib.c"
        var $16=($15) - ($14); //@line 65 "j2k_lib.c"
        HEAP[$ret]=$16; //@line 65 "j2k_lib.c"
        var $17=HEAP[$curr]; //@line 66 "j2k_lib.c"
        HEAP[_last_5146]=$17; //@line 66 "j2k_lib.c"
        var $18=HEAP[$ret]; //@line 67 "j2k_lib.c"
        HEAP[$0]=$18; //@line 67 "j2k_lib.c"
        var $19=HEAP[$0]; //@line 67 "j2k_lib.c"
        HEAP[$retval]=$19; //@line 67 "j2k_lib.c"
        __label__ = 2; break; //@line 67 "j2k_lib.c"
      case 2: // $return
        var $retval2=HEAP[$retval]; //@line 67 "j2k_lib.c"
        STACKTOP = __stackBase__;
        return $retval2; //@line 67 "j2k_lib.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_read_boxhdr($cinfo, $cio, $box) {
    var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 20);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cinfo_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $box_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $0=__stackBase__+16;
        var $_alloca_point_=0;
        HEAP[$cinfo_addr]=$cinfo;
        HEAP[$cio_addr]=$cio;
        HEAP[$box_addr]=$box;
        var $1=HEAP[$cio_addr]; //@line 134 "jp2.c"
        var $2=_cio_tell($1); //@line 134 "jp2.c"
        var $3=HEAP[$box_addr]; //@line 134 "jp2.c"
        var $4=CHECK_OVERFLOW(($3+8)&4294967295, 32); //@line 134 "jp2.c"
        HEAP[$4]=$2; //@line 134 "jp2.c"
        var $5=HEAP[$cio_addr]; //@line 135 "jp2.c"
        var $6=_cio_read($5, 4); //@line 135 "jp2.c"
        var $7=HEAP[$box_addr]; //@line 135 "jp2.c"
        var $8=CHECK_OVERFLOW(($7)&4294967295, 32); //@line 135 "jp2.c"
        HEAP[$8]=$6; //@line 135 "jp2.c"
        var $9=HEAP[$cio_addr]; //@line 136 "jp2.c"
        var $10=_cio_read($9, 4); //@line 136 "jp2.c"
        var $11=HEAP[$box_addr]; //@line 136 "jp2.c"
        var $12=CHECK_OVERFLOW(($11+4)&4294967295, 32); //@line 136 "jp2.c"
        HEAP[$12]=$10; //@line 136 "jp2.c"
        var $13=HEAP[$box_addr]; //@line 137 "jp2.c"
        var $14=CHECK_OVERFLOW(($13)&4294967295, 32); //@line 137 "jp2.c"
        var $15=HEAP[$14]; //@line 137 "jp2.c"
        var $16=($15)==1; //@line 137 "jp2.c"
        if ($16) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 137 "jp2.c"
      case 0: // $bb
        var $17=HEAP[$cio_addr]; //@line 138 "jp2.c"
        var $18=_cio_read($17, 4); //@line 138 "jp2.c"
        var $19=($18)!=0; //@line 138 "jp2.c"
        if ($19) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 138 "jp2.c"
      case 2: // $bb1
        var $20=HEAP[$cinfo_addr]; //@line 139 "jp2.c"
        var $21=_opj_event_msg($20, 1, CHECK_OVERFLOW((__str1498)&4294967295, 32)); //@line 139 "jp2.c"
        HEAP[$0]=0; //@line 140 "jp2.c"
        __label__ = 4; break; //@line 140 "jp2.c"
      case 3: // $bb2
        var $22=HEAP[$cio_addr]; //@line 142 "jp2.c"
        var $23=_cio_read($22, 4); //@line 142 "jp2.c"
        var $24=HEAP[$box_addr]; //@line 142 "jp2.c"
        var $25=CHECK_OVERFLOW(($24)&4294967295, 32); //@line 142 "jp2.c"
        HEAP[$25]=$23; //@line 142 "jp2.c"
        var $26=HEAP[$box_addr]; //@line 143 "jp2.c"
        var $27=CHECK_OVERFLOW(($26)&4294967295, 32); //@line 143 "jp2.c"
        var $28=HEAP[$27]; //@line 143 "jp2.c"
        var $29=($28)==0; //@line 143 "jp2.c"
        if ($29) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 143 "jp2.c"
      case 5: // $bb3
        var $30=HEAP[$cio_addr]; //@line 144 "jp2.c"
        var $31=_cio_numbytesleft($30); //@line 144 "jp2.c"
        var $32=CHECK_OVERFLOW((($31) + 12)&4294967295, 32); //@line 144 "jp2.c"
        var $33=HEAP[$box_addr]; //@line 144 "jp2.c"
        var $34=CHECK_OVERFLOW(($33)&4294967295, 32); //@line 144 "jp2.c"
        HEAP[$34]=$32; //@line 144 "jp2.c"
        __label__ = 6; break; //@line 144 "jp2.c"
      case 6: // $bb4
        __label__ = 7; break; //@line 144 "jp2.c"
      case 1: // $bb5
        var $35=HEAP[$box_addr]; //@line 146 "jp2.c"
        var $36=CHECK_OVERFLOW(($35)&4294967295, 32); //@line 146 "jp2.c"
        var $37=HEAP[$36]; //@line 146 "jp2.c"
        var $38=($37)==0; //@line 146 "jp2.c"
        if ($38) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 146 "jp2.c"
      case 8: // $bb6
        var $39=HEAP[$cio_addr]; //@line 147 "jp2.c"
        var $40=_cio_numbytesleft($39); //@line 147 "jp2.c"
        var $41=CHECK_OVERFLOW((($40) + 8)&4294967295, 32); //@line 147 "jp2.c"
        var $42=HEAP[$box_addr]; //@line 147 "jp2.c"
        var $43=CHECK_OVERFLOW(($42)&4294967295, 32); //@line 147 "jp2.c"
        HEAP[$43]=$41; //@line 147 "jp2.c"
        __label__ = 7; break; //@line 147 "jp2.c"
      case 7: // $bb7
        HEAP[$0]=1; //@line 150 "jp2.c"
        __label__ = 4; break; //@line 150 "jp2.c"
      case 4: // $bb8
        var $44=HEAP[$0]; //@line 140 "jp2.c"
        HEAP[$retval]=$44; //@line 140 "jp2.c"
        __label__ = 9; break; //@line 140 "jp2.c"
      case 9: // $return
        var $retval9=HEAP[$retval]; //@line 140 "jp2.c"
        STACKTOP = __stackBase__;
        return $retval9; //@line 140 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_read_ihdr($jp2, $cio) {
    var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 32);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $box=__stackBase__+16;
        var $cinfo=__stackBase__+28;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$cio_addr]=$cio;
        var $1=HEAP[$jp2_addr]; //@line 180 "jp2.c"
        var $2=CHECK_OVERFLOW(($1)&4294967295, 32); //@line 180 "jp2.c"
        var $3=HEAP[$2]; //@line 180 "jp2.c"
        HEAP[$cinfo]=$3; //@line 180 "jp2.c"
        var $4=HEAP[$cinfo]; //@line 182 "jp2.c"
        var $5=HEAP[$cio_addr]; //@line 182 "jp2.c"
        var $6=_jp2_read_boxhdr($4, $5, $box); //@line 182 "jp2.c"
        var $7=CHECK_OVERFLOW(($box+4)&4294967295, 32); //@line 183 "jp2.c"
        var $8=HEAP[$7]; //@line 183 "jp2.c"
        var $9=($8)!=1768449138; //@line 183 "jp2.c"
        if ($9) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 183 "jp2.c"
      case 0: // $bb
        var $10=HEAP[$cinfo]; //@line 184 "jp2.c"
        var $11=_opj_event_msg($10, 1, CHECK_OVERFLOW((__str115)&4294967295, 32)); //@line 184 "jp2.c"
        HEAP[$0]=0; //@line 185 "jp2.c"
        __label__ = 2; break; //@line 185 "jp2.c"
      case 1: // $bb1
        var $12=HEAP[$cio_addr]; //@line 188 "jp2.c"
        var $13=_cio_read($12, 4); //@line 188 "jp2.c"
        var $14=HEAP[$jp2_addr]; //@line 188 "jp2.c"
        var $15=CHECK_OVERFLOW(($14+12)&4294967295, 32); //@line 188 "jp2.c"
        HEAP[$15]=$13; //@line 188 "jp2.c"
        var $16=HEAP[$cio_addr]; //@line 189 "jp2.c"
        var $17=_cio_read($16, 4); //@line 189 "jp2.c"
        var $18=HEAP[$jp2_addr]; //@line 189 "jp2.c"
        var $19=CHECK_OVERFLOW(($18+8)&4294967295, 32); //@line 189 "jp2.c"
        HEAP[$19]=$17; //@line 189 "jp2.c"
        var $20=HEAP[$cio_addr]; //@line 190 "jp2.c"
        var $21=_cio_read($20, 2); //@line 190 "jp2.c"
        var $22=HEAP[$jp2_addr]; //@line 190 "jp2.c"
        var $23=CHECK_OVERFLOW(($22+16)&4294967295, 32); //@line 190 "jp2.c"
        HEAP[$23]=$21; //@line 190 "jp2.c"
        var $24=HEAP[$jp2_addr]; //@line 191 "jp2.c"
        var $25=CHECK_OVERFLOW(($24+16)&4294967295, 32); //@line 191 "jp2.c"
        var $26=HEAP[$25]; //@line 191 "jp2.c"
        var $27=CHECK_OVERFLOW((($26) * 12)&4294967295, 32); //@line 191 "jp2.c"
        var $28=_malloc($27); //@line 191 "jp2.c"
        var $29=$28; //@line 191 "jp2.c"
        var $30=HEAP[$jp2_addr]; //@line 191 "jp2.c"
        var $31=CHECK_OVERFLOW(($30+68)&4294967295, 32); //@line 191 "jp2.c"
        HEAP[$31]=$29; //@line 191 "jp2.c"
        var $32=HEAP[$cio_addr]; //@line 193 "jp2.c"
        var $33=_cio_read($32, 1); //@line 193 "jp2.c"
        var $34=HEAP[$jp2_addr]; //@line 193 "jp2.c"
        var $35=CHECK_OVERFLOW(($34+20)&4294967295, 32); //@line 193 "jp2.c"
        HEAP[$35]=$33; //@line 193 "jp2.c"
        var $36=HEAP[$cio_addr]; //@line 195 "jp2.c"
        var $37=_cio_read($36, 1); //@line 195 "jp2.c"
        var $38=HEAP[$jp2_addr]; //@line 195 "jp2.c"
        var $39=CHECK_OVERFLOW(($38+24)&4294967295, 32); //@line 195 "jp2.c"
        HEAP[$39]=$37; //@line 195 "jp2.c"
        var $40=HEAP[$cio_addr]; //@line 196 "jp2.c"
        var $41=_cio_read($40, 1); //@line 196 "jp2.c"
        var $42=HEAP[$jp2_addr]; //@line 196 "jp2.c"
        var $43=CHECK_OVERFLOW(($42+28)&4294967295, 32); //@line 196 "jp2.c"
        HEAP[$43]=$41; //@line 196 "jp2.c"
        var $44=HEAP[$cio_addr]; //@line 197 "jp2.c"
        var $45=_cio_read($44, 1); //@line 197 "jp2.c"
        var $46=HEAP[$jp2_addr]; //@line 197 "jp2.c"
        var $47=CHECK_OVERFLOW(($46+32)&4294967295, 32); //@line 197 "jp2.c"
        HEAP[$47]=$45; //@line 197 "jp2.c"
        var $48=HEAP[$cio_addr]; //@line 199 "jp2.c"
        var $49=_cio_tell($48); //@line 199 "jp2.c"
        var $50=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 199 "jp2.c"
        var $51=HEAP[$50]; //@line 199 "jp2.c"
        var $52=CHECK_OVERFLOW((($49) - ($51))&4294967295, 32); //@line 199 "jp2.c"
        var $53=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 199 "jp2.c"
        var $54=HEAP[$53]; //@line 199 "jp2.c"
        var $55=($52)!=($54); //@line 199 "jp2.c"
        if ($55) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 199 "jp2.c"
      case 3: // $bb2
        var $56=HEAP[$cinfo]; //@line 200 "jp2.c"
        var $57=_opj_event_msg($56, 1, CHECK_OVERFLOW((__str216)&4294967295, 32)); //@line 200 "jp2.c"
        HEAP[$0]=0; //@line 201 "jp2.c"
        __label__ = 2; break; //@line 201 "jp2.c"
      case 4: // $bb3
        HEAP[$0]=1; //@line 204 "jp2.c"
        __label__ = 2; break; //@line 204 "jp2.c"
      case 2: // $bb4
        var $58=HEAP[$0]; //@line 185 "jp2.c"
        HEAP[$retval]=$58; //@line 185 "jp2.c"
        __label__ = 5; break; //@line 185 "jp2.c"
      case 5: // $return
        var $retval5=HEAP[$retval]; //@line 185 "jp2.c"
        STACKTOP = __stackBase__;
        return $retval5; //@line 185 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_write_ihdr($jp2, $cio) {
    var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 20);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $box=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$cio_addr]=$cio;
        var $0=HEAP[$cio_addr]; //@line 210 "jp2.c"
        var $1=_cio_tell($0); //@line 210 "jp2.c"
        var $2=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 210 "jp2.c"
        HEAP[$2]=$1; //@line 210 "jp2.c"
        var $3=HEAP[$cio_addr]; //@line 211 "jp2.c"
        _cio_skip($3, 4); //@line 211 "jp2.c"
        var $4=HEAP[$cio_addr]; //@line 212 "jp2.c"
        var $5=_cio_write($4, 1768449138, 4); //@line 212 "jp2.c"
        var $6=HEAP[$jp2_addr]; //@line 214 "jp2.c"
        var $7=CHECK_OVERFLOW(($6+12)&4294967295, 32); //@line 214 "jp2.c"
        var $8=HEAP[$7]; //@line 214 "jp2.c"
        var $9=HEAP[$cio_addr]; //@line 214 "jp2.c"
        var $10=_cio_write($9, $8, 4); //@line 214 "jp2.c"
        var $11=HEAP[$jp2_addr]; //@line 215 "jp2.c"
        var $12=CHECK_OVERFLOW(($11+8)&4294967295, 32); //@line 215 "jp2.c"
        var $13=HEAP[$12]; //@line 215 "jp2.c"
        var $14=HEAP[$cio_addr]; //@line 215 "jp2.c"
        var $15=_cio_write($14, $13, 4); //@line 215 "jp2.c"
        var $16=HEAP[$jp2_addr]; //@line 216 "jp2.c"
        var $17=CHECK_OVERFLOW(($16+16)&4294967295, 32); //@line 216 "jp2.c"
        var $18=HEAP[$17]; //@line 216 "jp2.c"
        var $19=HEAP[$cio_addr]; //@line 216 "jp2.c"
        var $20=_cio_write($19, $18, 2); //@line 216 "jp2.c"
        var $21=HEAP[$jp2_addr]; //@line 218 "jp2.c"
        var $22=CHECK_OVERFLOW(($21+20)&4294967295, 32); //@line 218 "jp2.c"
        var $23=HEAP[$22]; //@line 218 "jp2.c"
        var $24=HEAP[$cio_addr]; //@line 218 "jp2.c"
        var $25=_cio_write($24, $23, 1); //@line 218 "jp2.c"
        var $26=HEAP[$jp2_addr]; //@line 220 "jp2.c"
        var $27=CHECK_OVERFLOW(($26+24)&4294967295, 32); //@line 220 "jp2.c"
        var $28=HEAP[$27]; //@line 220 "jp2.c"
        var $29=HEAP[$cio_addr]; //@line 220 "jp2.c"
        var $30=_cio_write($29, $28, 1); //@line 220 "jp2.c"
        var $31=HEAP[$jp2_addr]; //@line 221 "jp2.c"
        var $32=CHECK_OVERFLOW(($31+28)&4294967295, 32); //@line 221 "jp2.c"
        var $33=HEAP[$32]; //@line 221 "jp2.c"
        var $34=HEAP[$cio_addr]; //@line 221 "jp2.c"
        var $35=_cio_write($34, $33, 1); //@line 221 "jp2.c"
        var $36=HEAP[$jp2_addr]; //@line 222 "jp2.c"
        var $37=CHECK_OVERFLOW(($36+32)&4294967295, 32); //@line 222 "jp2.c"
        var $38=HEAP[$37]; //@line 222 "jp2.c"
        var $39=HEAP[$cio_addr]; //@line 222 "jp2.c"
        var $40=_cio_write($39, $38, 1); //@line 222 "jp2.c"
        var $41=HEAP[$cio_addr]; //@line 224 "jp2.c"
        var $42=_cio_tell($41); //@line 224 "jp2.c"
        var $43=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 224 "jp2.c"
        var $44=HEAP[$43]; //@line 224 "jp2.c"
        var $45=CHECK_OVERFLOW((($42) - ($44))&4294967295, 32); //@line 224 "jp2.c"
        var $46=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 224 "jp2.c"
        HEAP[$46]=$45; //@line 224 "jp2.c"
        var $47=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 225 "jp2.c"
        var $48=HEAP[$47]; //@line 225 "jp2.c"
        var $49=HEAP[$cio_addr]; //@line 225 "jp2.c"
        _cio_seek($49, $48); //@line 225 "jp2.c"
        var $50=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 226 "jp2.c"
        var $51=HEAP[$50]; //@line 226 "jp2.c"
        var $52=HEAP[$cio_addr]; //@line 226 "jp2.c"
        var $53=_cio_write($52, $51, 4); //@line 226 "jp2.c"
        var $54=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 227 "jp2.c"
        var $55=HEAP[$54]; //@line 227 "jp2.c"
        var $56=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 227 "jp2.c"
        var $57=HEAP[$56]; //@line 227 "jp2.c"
        var $58=CHECK_OVERFLOW((($55) + ($57))&4294967295, 32); //@line 227 "jp2.c"
        var $59=HEAP[$cio_addr]; //@line 227 "jp2.c"
        _cio_seek($59, $58); //@line 227 "jp2.c"
        __label__ = 0; break; //@line 228 "jp2.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 228 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_write_bpcc($jp2, $cio) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $i=__stackBase__+8;
        var $box=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$cio_addr]=$cio;
        var $0=HEAP[$cio_addr]; //@line 234 "jp2.c"
        var $1=_cio_tell($0); //@line 234 "jp2.c"
        var $2=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 234 "jp2.c"
        HEAP[$2]=$1; //@line 234 "jp2.c"
        var $3=HEAP[$cio_addr]; //@line 235 "jp2.c"
        _cio_skip($3, 4); //@line 235 "jp2.c"
        var $4=HEAP[$cio_addr]; //@line 236 "jp2.c"
        var $5=_cio_write($4, 1651532643, 4); //@line 236 "jp2.c"
        HEAP[$i]=0; //@line 238 "jp2.c"
        __label__ = 0; break; //@line 238 "jp2.c"
      case 1: // $bb
        var $6=HEAP[$jp2_addr]; //@line 239 "jp2.c"
        var $7=CHECK_OVERFLOW(($6+68)&4294967295, 32); //@line 239 "jp2.c"
        var $8=HEAP[$7]; //@line 239 "jp2.c"
        var $9=HEAP[$i]; //@line 239 "jp2.c"
        var $10=CHECK_OVERFLOW(($8+12*$9)&4294967295, 32); //@line 239 "jp2.c"
        var $11=CHECK_OVERFLOW(($10+8)&4294967295, 32); //@line 239 "jp2.c"
        var $12=HEAP[$11]; //@line 239 "jp2.c"
        var $13=HEAP[$cio_addr]; //@line 239 "jp2.c"
        var $14=_cio_write($13, $12, 1); //@line 239 "jp2.c"
        var $15=HEAP[$i]; //@line 238 "jp2.c"
        var $16=CHECK_OVERFLOW((($15) + 1)&4294967295, 32); //@line 238 "jp2.c"
        HEAP[$i]=$16; //@line 238 "jp2.c"
        __label__ = 0; break; //@line 238 "jp2.c"
      case 0: // $bb1
        var $17=HEAP[$jp2_addr]; //@line 238 "jp2.c"
        var $18=CHECK_OVERFLOW(($17+16)&4294967295, 32); //@line 238 "jp2.c"
        var $19=HEAP[$18]; //@line 238 "jp2.c"
        var $20=HEAP[$i]; //@line 238 "jp2.c"
        var $21=($19) > ($20); //@line 238 "jp2.c"
        if ($21) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 238 "jp2.c"
      case 2: // $bb2
        var $22=HEAP[$cio_addr]; //@line 242 "jp2.c"
        var $23=_cio_tell($22); //@line 242 "jp2.c"
        var $24=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 242 "jp2.c"
        var $25=HEAP[$24]; //@line 242 "jp2.c"
        var $26=CHECK_OVERFLOW((($23) - ($25))&4294967295, 32); //@line 242 "jp2.c"
        var $27=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 242 "jp2.c"
        HEAP[$27]=$26; //@line 242 "jp2.c"
        var $28=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 243 "jp2.c"
        var $29=HEAP[$28]; //@line 243 "jp2.c"
        var $30=HEAP[$cio_addr]; //@line 243 "jp2.c"
        _cio_seek($30, $29); //@line 243 "jp2.c"
        var $31=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 244 "jp2.c"
        var $32=HEAP[$31]; //@line 244 "jp2.c"
        var $33=HEAP[$cio_addr]; //@line 244 "jp2.c"
        var $34=_cio_write($33, $32, 4); //@line 244 "jp2.c"
        var $35=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 245 "jp2.c"
        var $36=HEAP[$35]; //@line 245 "jp2.c"
        var $37=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 245 "jp2.c"
        var $38=HEAP[$37]; //@line 245 "jp2.c"
        var $39=CHECK_OVERFLOW((($36) + ($38))&4294967295, 32); //@line 245 "jp2.c"
        var $40=HEAP[$cio_addr]; //@line 245 "jp2.c"
        _cio_seek($40, $39); //@line 245 "jp2.c"
        __label__ = 3; break; //@line 246 "jp2.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 246 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_read_bpcc($jp2, $cio) {
    var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 36);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $i=__stackBase__+16;
        var $box=__stackBase__+20;
        var $cinfo=__stackBase__+32;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$cio_addr]=$cio;
        var $1=HEAP[$jp2_addr]; //@line 253 "jp2.c"
        var $2=CHECK_OVERFLOW(($1)&4294967295, 32); //@line 253 "jp2.c"
        var $3=HEAP[$2]; //@line 253 "jp2.c"
        HEAP[$cinfo]=$3; //@line 253 "jp2.c"
        var $4=HEAP[$cinfo]; //@line 255 "jp2.c"
        var $5=HEAP[$cio_addr]; //@line 255 "jp2.c"
        var $6=_jp2_read_boxhdr($4, $5, $box); //@line 255 "jp2.c"
        var $7=CHECK_OVERFLOW(($box+4)&4294967295, 32); //@line 256 "jp2.c"
        var $8=HEAP[$7]; //@line 256 "jp2.c"
        var $9=($8)!=1651532643; //@line 256 "jp2.c"
        if ($9) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 256 "jp2.c"
      case 0: // $bb
        var $10=HEAP[$cinfo]; //@line 257 "jp2.c"
        var $11=_opj_event_msg($10, 1, CHECK_OVERFLOW((__str317)&4294967295, 32)); //@line 257 "jp2.c"
        HEAP[$0]=0; //@line 258 "jp2.c"
        __label__ = 2; break; //@line 258 "jp2.c"
      case 1: // $bb1
        HEAP[$i]=0; //@line 261 "jp2.c"
        __label__ = 3; break; //@line 261 "jp2.c"
      case 4: // $bb2
        var $12=HEAP[$jp2_addr]; //@line 262 "jp2.c"
        var $13=CHECK_OVERFLOW(($12+68)&4294967295, 32); //@line 262 "jp2.c"
        var $14=HEAP[$13]; //@line 262 "jp2.c"
        var $15=HEAP[$i]; //@line 262 "jp2.c"
        var $16=CHECK_OVERFLOW(($14+12*$15)&4294967295, 32); //@line 262 "jp2.c"
        var $17=HEAP[$cio_addr]; //@line 262 "jp2.c"
        var $18=_cio_read($17, 1); //@line 262 "jp2.c"
        var $19=CHECK_OVERFLOW(($16+8)&4294967295, 32); //@line 262 "jp2.c"
        HEAP[$19]=$18; //@line 262 "jp2.c"
        var $20=HEAP[$i]; //@line 261 "jp2.c"
        var $21=CHECK_OVERFLOW((($20) + 1)&4294967295, 32); //@line 261 "jp2.c"
        HEAP[$i]=$21; //@line 261 "jp2.c"
        __label__ = 3; break; //@line 261 "jp2.c"
      case 3: // $bb3
        var $22=HEAP[$jp2_addr]; //@line 261 "jp2.c"
        var $23=CHECK_OVERFLOW(($22+16)&4294967295, 32); //@line 261 "jp2.c"
        var $24=HEAP[$23]; //@line 261 "jp2.c"
        var $25=HEAP[$i]; //@line 261 "jp2.c"
        var $26=($24) > ($25); //@line 261 "jp2.c"
        if ($26) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 261 "jp2.c"
      case 5: // $bb4
        var $27=HEAP[$cio_addr]; //@line 265 "jp2.c"
        var $28=_cio_tell($27); //@line 265 "jp2.c"
        var $29=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 265 "jp2.c"
        var $30=HEAP[$29]; //@line 265 "jp2.c"
        var $31=CHECK_OVERFLOW((($28) - ($30))&4294967295, 32); //@line 265 "jp2.c"
        var $32=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 265 "jp2.c"
        var $33=HEAP[$32]; //@line 265 "jp2.c"
        var $34=($31)!=($33); //@line 265 "jp2.c"
        if ($34) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 265 "jp2.c"
      case 6: // $bb5
        var $35=HEAP[$cinfo]; //@line 266 "jp2.c"
        var $36=_opj_event_msg($35, 1, CHECK_OVERFLOW((__str418)&4294967295, 32)); //@line 266 "jp2.c"
        HEAP[$0]=0; //@line 267 "jp2.c"
        __label__ = 2; break; //@line 267 "jp2.c"
      case 7: // $bb6
        HEAP[$0]=1; //@line 270 "jp2.c"
        __label__ = 2; break; //@line 270 "jp2.c"
      case 2: // $bb7
        var $37=HEAP[$0]; //@line 258 "jp2.c"
        HEAP[$retval]=$37; //@line 258 "jp2.c"
        __label__ = 8; break; //@line 258 "jp2.c"
      case 8: // $return
        var $retval8=HEAP[$retval]; //@line 258 "jp2.c"
        STACKTOP = __stackBase__;
        return $retval8; //@line 258 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_write_colr($jp2, $cio) {
    var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 20);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $box=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$cio_addr]=$cio;
        var $0=HEAP[$cio_addr]; //@line 276 "jp2.c"
        var $1=_cio_tell($0); //@line 276 "jp2.c"
        var $2=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 276 "jp2.c"
        HEAP[$2]=$1; //@line 276 "jp2.c"
        var $3=HEAP[$cio_addr]; //@line 277 "jp2.c"
        _cio_skip($3, 4); //@line 277 "jp2.c"
        var $4=HEAP[$cio_addr]; //@line 278 "jp2.c"
        var $5=_cio_write($4, 1668246642, 4); //@line 278 "jp2.c"
        var $6=HEAP[$jp2_addr]; //@line 280 "jp2.c"
        var $7=CHECK_OVERFLOW(($6+36)&4294967295, 32); //@line 280 "jp2.c"
        var $8=HEAP[$7]; //@line 280 "jp2.c"
        var $9=HEAP[$cio_addr]; //@line 280 "jp2.c"
        var $10=_cio_write($9, $8, 1); //@line 280 "jp2.c"
        var $11=HEAP[$jp2_addr]; //@line 281 "jp2.c"
        var $12=CHECK_OVERFLOW(($11+48)&4294967295, 32); //@line 281 "jp2.c"
        var $13=HEAP[$12]; //@line 281 "jp2.c"
        var $14=HEAP[$cio_addr]; //@line 281 "jp2.c"
        var $15=_cio_write($14, $13, 1); //@line 281 "jp2.c"
        var $16=HEAP[$jp2_addr]; //@line 282 "jp2.c"
        var $17=CHECK_OVERFLOW(($16+40)&4294967295, 32); //@line 282 "jp2.c"
        var $18=HEAP[$17]; //@line 282 "jp2.c"
        var $19=HEAP[$cio_addr]; //@line 282 "jp2.c"
        var $20=_cio_write($19, $18, 1); //@line 282 "jp2.c"
        var $21=HEAP[$jp2_addr]; //@line 284 "jp2.c"
        var $22=CHECK_OVERFLOW(($21+36)&4294967295, 32); //@line 284 "jp2.c"
        var $23=HEAP[$22]; //@line 284 "jp2.c"
        var $24=($23)==1; //@line 284 "jp2.c"
        if ($24) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 284 "jp2.c"
      case 0: // $bb
        var $25=HEAP[$jp2_addr]; //@line 285 "jp2.c"
        var $26=CHECK_OVERFLOW(($25+44)&4294967295, 32); //@line 285 "jp2.c"
        var $27=HEAP[$26]; //@line 285 "jp2.c"
        var $28=HEAP[$cio_addr]; //@line 285 "jp2.c"
        var $29=_cio_write($28, $27, 4); //@line 285 "jp2.c"
        __label__ = 2; break; //@line 285 "jp2.c"
      case 1: // $bb1
        var $30=HEAP[$cio_addr]; //@line 287 "jp2.c"
        var $31=_cio_write($30, 0, 1); //@line 287 "jp2.c"
        __label__ = 2; break; //@line 287 "jp2.c"
      case 2: // $bb2
        var $32=HEAP[$cio_addr]; //@line 290 "jp2.c"
        var $33=_cio_tell($32); //@line 290 "jp2.c"
        var $34=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 290 "jp2.c"
        var $35=HEAP[$34]; //@line 290 "jp2.c"
        var $36=CHECK_OVERFLOW((($33) - ($35))&4294967295, 32); //@line 290 "jp2.c"
        var $37=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 290 "jp2.c"
        HEAP[$37]=$36; //@line 290 "jp2.c"
        var $38=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 291 "jp2.c"
        var $39=HEAP[$38]; //@line 291 "jp2.c"
        var $40=HEAP[$cio_addr]; //@line 291 "jp2.c"
        _cio_seek($40, $39); //@line 291 "jp2.c"
        var $41=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 292 "jp2.c"
        var $42=HEAP[$41]; //@line 292 "jp2.c"
        var $43=HEAP[$cio_addr]; //@line 292 "jp2.c"
        var $44=_cio_write($43, $42, 4); //@line 292 "jp2.c"
        var $45=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 293 "jp2.c"
        var $46=HEAP[$45]; //@line 293 "jp2.c"
        var $47=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 293 "jp2.c"
        var $48=HEAP[$47]; //@line 293 "jp2.c"
        var $49=CHECK_OVERFLOW((($46) + ($48))&4294967295, 32); //@line 293 "jp2.c"
        var $50=HEAP[$cio_addr]; //@line 293 "jp2.c"
        _cio_seek($50, $49); //@line 293 "jp2.c"
        __label__ = 3; break; //@line 294 "jp2.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 294 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_free_pclr($color) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $color_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$color_addr]=$color;
        var $0=HEAP[$color_addr]; //@line 298 "jp2.c"
        var $1=CHECK_OVERFLOW(($0+12)&4294967295, 32); //@line 298 "jp2.c"
        var $2=HEAP[$1]; //@line 298 "jp2.c"
        var $3=CHECK_OVERFLOW(($2+4)&4294967295, 32); //@line 298 "jp2.c"
        var $4=HEAP[$3]; //@line 298 "jp2.c"
        _free($4); //@line 298 "jp2.c"
        var $5=HEAP[$color_addr]; //@line 299 "jp2.c"
        var $6=CHECK_OVERFLOW(($5+12)&4294967295, 32); //@line 299 "jp2.c"
        var $7=HEAP[$6]; //@line 299 "jp2.c"
        var $8=CHECK_OVERFLOW(($7+8)&4294967295, 32); //@line 299 "jp2.c"
        var $9=HEAP[$8]; //@line 299 "jp2.c"
        _free($9); //@line 299 "jp2.c"
        var $10=HEAP[$color_addr]; //@line 300 "jp2.c"
        var $11=CHECK_OVERFLOW(($10+12)&4294967295, 32); //@line 300 "jp2.c"
        var $12=HEAP[$11]; //@line 300 "jp2.c"
        var $13=CHECK_OVERFLOW(($12)&4294967295, 32); //@line 300 "jp2.c"
        var $14=HEAP[$13]; //@line 300 "jp2.c"
        var $15=$14; //@line 300 "jp2.c"
        _free($15); //@line 300 "jp2.c"
        var $16=HEAP[$color_addr]; //@line 302 "jp2.c"
        var $17=CHECK_OVERFLOW(($16+12)&4294967295, 32); //@line 302 "jp2.c"
        var $18=HEAP[$17]; //@line 302 "jp2.c"
        var $19=CHECK_OVERFLOW(($18+12)&4294967295, 32); //@line 302 "jp2.c"
        var $20=HEAP[$19]; //@line 302 "jp2.c"
        var $21=($20)!=0; //@line 302 "jp2.c"
        if ($21) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 302 "jp2.c"
      case 0: // $bb
        var $22=HEAP[$color_addr]; //@line 302 "jp2.c"
        var $23=CHECK_OVERFLOW(($22+12)&4294967295, 32); //@line 302 "jp2.c"
        var $24=HEAP[$23]; //@line 302 "jp2.c"
        var $25=CHECK_OVERFLOW(($24+12)&4294967295, 32); //@line 302 "jp2.c"
        var $26=HEAP[$25]; //@line 302 "jp2.c"
        var $27=$26; //@line 302 "jp2.c"
        _free($27); //@line 302 "jp2.c"
        __label__ = 1; break; //@line 302 "jp2.c"
      case 1: // $bb1
        var $28=HEAP[$color_addr]; //@line 304 "jp2.c"
        var $29=CHECK_OVERFLOW(($28+12)&4294967295, 32); //@line 304 "jp2.c"
        var $30=HEAP[$29]; //@line 304 "jp2.c"
        var $31=$30; //@line 304 "jp2.c"
        _free($31); //@line 304 "jp2.c"
        var $32=HEAP[$color_addr]; //@line 304 "jp2.c"
        var $33=CHECK_OVERFLOW(($32+12)&4294967295, 32); //@line 304 "jp2.c"
        HEAP[$33]=0; //@line 304 "jp2.c"
        __label__ = 2; break; //@line 305 "jp2.c"
      case 2: // $return
        STACKTOP = __stackBase__;
        return; //@line 305 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _free_color_data($color) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $color_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$color_addr]=$color;
        var $0=HEAP[$color_addr]; //@line 309 "jp2.c"
        var $1=CHECK_OVERFLOW(($0+12)&4294967295, 32); //@line 309 "jp2.c"
        var $2=HEAP[$1]; //@line 309 "jp2.c"
        var $3=($2)!=0; //@line 309 "jp2.c"
        if ($3) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 309 "jp2.c"
      case 0: // $bb
        var $4=HEAP[$color_addr]; //@line 311 "jp2.c"
        _jp2_free_pclr($4); //@line 311 "jp2.c"
        __label__ = 1; break; //@line 311 "jp2.c"
      case 1: // $bb1
        var $5=HEAP[$color_addr]; //@line 313 "jp2.c"
        var $6=CHECK_OVERFLOW(($5+8)&4294967295, 32); //@line 313 "jp2.c"
        var $7=HEAP[$6]; //@line 313 "jp2.c"
        var $8=($7)!=0; //@line 313 "jp2.c"
        if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 313 "jp2.c"
      case 2: // $bb2
        var $9=HEAP[$color_addr]; //@line 315 "jp2.c"
        var $10=CHECK_OVERFLOW(($9+8)&4294967295, 32); //@line 315 "jp2.c"
        var $11=HEAP[$10]; //@line 315 "jp2.c"
        var $12=CHECK_OVERFLOW(($11)&4294967295, 32); //@line 315 "jp2.c"
        var $13=HEAP[$12]; //@line 315 "jp2.c"
        var $14=($13)!=0; //@line 315 "jp2.c"
        if ($14) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 315 "jp2.c"
      case 4: // $bb3
        var $15=HEAP[$color_addr]; //@line 315 "jp2.c"
        var $16=CHECK_OVERFLOW(($15+8)&4294967295, 32); //@line 315 "jp2.c"
        var $17=HEAP[$16]; //@line 315 "jp2.c"
        var $18=CHECK_OVERFLOW(($17)&4294967295, 32); //@line 315 "jp2.c"
        var $19=HEAP[$18]; //@line 315 "jp2.c"
        var $20=$19; //@line 315 "jp2.c"
        _free($20); //@line 315 "jp2.c"
        __label__ = 5; break; //@line 315 "jp2.c"
      case 5: // $bb4
        var $21=HEAP[$color_addr]; //@line 316 "jp2.c"
        var $22=CHECK_OVERFLOW(($21+8)&4294967295, 32); //@line 316 "jp2.c"
        var $23=HEAP[$22]; //@line 316 "jp2.c"
        var $24=$23; //@line 316 "jp2.c"
        _free($24); //@line 316 "jp2.c"
        __label__ = 3; break; //@line 316 "jp2.c"
      case 3: // $bb5
        var $25=HEAP[$color_addr]; //@line 318 "jp2.c"
        var $26=CHECK_OVERFLOW(($25)&4294967295, 32); //@line 318 "jp2.c"
        var $27=HEAP[$26]; //@line 318 "jp2.c"
        var $28=($27)!=0; //@line 318 "jp2.c"
        if ($28) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 318 "jp2.c"
      case 6: // $bb6
        var $29=HEAP[$color_addr]; //@line 318 "jp2.c"
        var $30=CHECK_OVERFLOW(($29)&4294967295, 32); //@line 318 "jp2.c"
        var $31=HEAP[$30]; //@line 318 "jp2.c"
        _free($31); //@line 318 "jp2.c"
        __label__ = 7; break; //@line 318 "jp2.c"
      case 7: // $bb7
        __label__ = 8; break; //@line 319 "jp2.c"
      case 8: // $return
        STACKTOP = __stackBase__;
        return; //@line 319 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_apply_pclr($color, $image) {
    var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 64);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $color_addr=__stackBase__;
        var $image_addr=__stackBase__+4;
        var $old_comps=__stackBase__+8;
        var $new_comps=__stackBase__+12;
        var $channel_size=__stackBase__+16;
        var $channel_sign=__stackBase__+20;
        var $entries=__stackBase__+24;
        var $cmap=__stackBase__+28;
        var $src=__stackBase__+32;
        var $dst=__stackBase__+36;
        var $j=__stackBase__+40;
        var $max=__stackBase__+44;
        var $i=__stackBase__+48;
        var $nr_channels=__stackBase__+50;
        var $cmp=__stackBase__+52;
        var $pcol=__stackBase__+54;
        var $k=__stackBase__+56;
        var $top_k=__stackBase__+60;
        var $_alloca_point_=0;
        HEAP[$color_addr]=$color;
        HEAP[$image_addr]=$image;
        var $0=HEAP[$color_addr]; //@line 332 "jp2.c"
        var $1=CHECK_OVERFLOW(($0+12)&4294967295, 32); //@line 332 "jp2.c"
        var $2=HEAP[$1]; //@line 332 "jp2.c"
        var $3=CHECK_OVERFLOW(($2+8)&4294967295, 32); //@line 332 "jp2.c"
        var $4=HEAP[$3]; //@line 332 "jp2.c"
        HEAP[$channel_size]=$4; //@line 332 "jp2.c"
        var $5=HEAP[$color_addr]; //@line 333 "jp2.c"
        var $6=CHECK_OVERFLOW(($5+12)&4294967295, 32); //@line 333 "jp2.c"
        var $7=HEAP[$6]; //@line 333 "jp2.c"
        var $8=CHECK_OVERFLOW(($7+4)&4294967295, 32); //@line 333 "jp2.c"
        var $9=HEAP[$8]; //@line 333 "jp2.c"
        HEAP[$channel_sign]=$9; //@line 333 "jp2.c"
        var $10=HEAP[$color_addr]; //@line 334 "jp2.c"
        var $11=CHECK_OVERFLOW(($10+12)&4294967295, 32); //@line 334 "jp2.c"
        var $12=HEAP[$11]; //@line 334 "jp2.c"
        var $13=CHECK_OVERFLOW(($12)&4294967295, 32); //@line 334 "jp2.c"
        var $14=HEAP[$13]; //@line 334 "jp2.c"
        HEAP[$entries]=$14; //@line 334 "jp2.c"
        var $15=HEAP[$color_addr]; //@line 335 "jp2.c"
        var $16=CHECK_OVERFLOW(($15+12)&4294967295, 32); //@line 335 "jp2.c"
        var $17=HEAP[$16]; //@line 335 "jp2.c"
        var $18=CHECK_OVERFLOW(($17+12)&4294967295, 32); //@line 335 "jp2.c"
        var $19=HEAP[$18]; //@line 335 "jp2.c"
        HEAP[$cmap]=$19; //@line 335 "jp2.c"
        var $20=HEAP[$color_addr]; //@line 336 "jp2.c"
        var $21=CHECK_OVERFLOW(($20+12)&4294967295, 32); //@line 336 "jp2.c"
        var $22=HEAP[$21]; //@line 336 "jp2.c"
        var $23=CHECK_OVERFLOW(($22+18)&4294967295, 32); //@line 336 "jp2.c"
        var $24=HEAP[$23]; //@line 336 "jp2.c"
        HEAP[$nr_channels]=$24; //@line 336 "jp2.c"
        var $25=HEAP[$image_addr]; //@line 338 "jp2.c"
        var $26=CHECK_OVERFLOW(($25+24)&4294967295, 32); //@line 338 "jp2.c"
        var $27=HEAP[$26]; //@line 338 "jp2.c"
        HEAP[$old_comps]=$27; //@line 338 "jp2.c"
        var $28=HEAP[$nr_channels]; //@line 339 "jp2.c"
        var $29=($28); //@line 339 "jp2.c"
        var $30=CHECK_OVERFLOW((($29) * 48)&4294967295, 32); //@line 339 "jp2.c"
        var $31=_malloc($30); //@line 339 "jp2.c"
        var $32=$31; //@line 339 "jp2.c"
        HEAP[$new_comps]=$32; //@line 339 "jp2.c"
        HEAP[$i]=0; //@line 342 "jp2.c"
        __label__ = 0; break; //@line 342 "jp2.c"
      case 4: // $bb
        var $33=HEAP[$i]; //@line 344 "jp2.c"
        var $34=($33); //@line 344 "jp2.c"
        var $35=HEAP[$cmap]; //@line 344 "jp2.c"
        var $36=CHECK_OVERFLOW(($35+4*$34)&4294967295, 32); //@line 344 "jp2.c"
        var $37=CHECK_OVERFLOW(($36+3)&4294967295, 32); //@line 344 "jp2.c"
        var $38=HEAP[$37]; //@line 344 "jp2.c"
        var $39=($38); //@line 344 "jp2.c"
        HEAP[$pcol]=$39; //@line 344 "jp2.c"
        var $40=HEAP[$i]; //@line 344 "jp2.c"
        var $41=($40); //@line 344 "jp2.c"
        var $42=HEAP[$cmap]; //@line 344 "jp2.c"
        var $43=CHECK_OVERFLOW(($42+4*$41)&4294967295, 32); //@line 344 "jp2.c"
        var $44=CHECK_OVERFLOW(($43)&4294967295, 32); //@line 344 "jp2.c"
        var $45=HEAP[$44]; //@line 344 "jp2.c"
        HEAP[$cmp]=$45; //@line 344 "jp2.c"
        var $46=HEAP[$pcol]; //@line 346 "jp2.c"
        var $47=($46); //@line 346 "jp2.c"
        var $48=HEAP[$cmp]; //@line 346 "jp2.c"
        var $49=($48); //@line 346 "jp2.c"
        var $50=HEAP[$new_comps]; //@line 346 "jp2.c"
        var $51=CHECK_OVERFLOW(($50+48*$47)&4294967295, 32); //@line 346 "jp2.c"
        var $52=HEAP[$old_comps]; //@line 346 "jp2.c"
        var $53=CHECK_OVERFLOW(($52+48*$49)&4294967295, 32); //@line 346 "jp2.c"
        var $54=$51; //@line 346 "jp2.c"
        var $55=$53; //@line 346 "jp2.c"
        _llvm_memcpy_p0i8_p0i8_i32($54, $55, 48, 1, 0); //@line 346 "jp2.c"
        var $56=HEAP[$i]; //@line 348 "jp2.c"
        var $57=($56); //@line 348 "jp2.c"
        var $58=HEAP[$cmap]; //@line 348 "jp2.c"
        var $59=CHECK_OVERFLOW(($58+4*$57)&4294967295, 32); //@line 348 "jp2.c"
        var $60=CHECK_OVERFLOW(($59+2)&4294967295, 32); //@line 348 "jp2.c"
        var $61=HEAP[$60]; //@line 348 "jp2.c"
        var $62=($61)==0; //@line 348 "jp2.c"
        if ($62) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 348 "jp2.c"
      case 1: // $bb1
        var $63=HEAP[$cmp]; //@line 350 "jp2.c"
        var $64=($63); //@line 350 "jp2.c"
        var $65=HEAP[$old_comps]; //@line 350 "jp2.c"
        var $66=CHECK_OVERFLOW(($65+48*$64)&4294967295, 32); //@line 350 "jp2.c"
        var $67=CHECK_OVERFLOW(($66+44)&4294967295, 32); //@line 350 "jp2.c"
        HEAP[$67]=0; //@line 350 "jp2.c"
        __label__ = 3; break; //@line 350 "jp2.c"
      case 2: // $bb2
        var $68=HEAP[$pcol]; //@line 353 "jp2.c"
        var $69=($68); //@line 353 "jp2.c"
        var $70=HEAP[$new_comps]; //@line 353 "jp2.c"
        var $71=CHECK_OVERFLOW(($70+48*$69)&4294967295, 32); //@line 353 "jp2.c"
        var $72=HEAP[$cmp]; //@line 353 "jp2.c"
        var $73=($72); //@line 353 "jp2.c"
        var $74=HEAP[$old_comps]; //@line 353 "jp2.c"
        var $75=CHECK_OVERFLOW(($74+48*$73)&4294967295, 32); //@line 353 "jp2.c"
        var $76=CHECK_OVERFLOW(($75+8)&4294967295, 32); //@line 353 "jp2.c"
        var $77=HEAP[$76]; //@line 353 "jp2.c"
        var $78=HEAP[$cmp]; //@line 353 "jp2.c"
        var $79=($78); //@line 353 "jp2.c"
        var $80=HEAP[$old_comps]; //@line 353 "jp2.c"
        var $81=CHECK_OVERFLOW(($80+48*$79)&4294967295, 32); //@line 353 "jp2.c"
        var $82=CHECK_OVERFLOW(($81+12)&4294967295, 32); //@line 353 "jp2.c"
        var $83=HEAP[$82]; //@line 353 "jp2.c"
        var $84=CHECK_OVERFLOW((($77) * ($83))&4294967295, 32); //@line 353 "jp2.c"
        var $85=CHECK_OVERFLOW((($84) * 4)&4294967295, 32); //@line 353 "jp2.c"
        var $86=_malloc($85); //@line 353 "jp2.c"
        var $87=$86; //@line 353 "jp2.c"
        var $88=CHECK_OVERFLOW(($71+44)&4294967295, 32); //@line 353 "jp2.c"
        HEAP[$88]=$87; //@line 353 "jp2.c"
        var $89=HEAP[$pcol]; //@line 355 "jp2.c"
        var $90=($89); //@line 355 "jp2.c"
        var $91=HEAP[$new_comps]; //@line 355 "jp2.c"
        var $92=CHECK_OVERFLOW(($91+48*$90)&4294967295, 32); //@line 355 "jp2.c"
        var $93=HEAP[$i]; //@line 355 "jp2.c"
        var $94=($93); //@line 355 "jp2.c"
        var $95=HEAP[$channel_size]; //@line 355 "jp2.c"
        var $96=CHECK_OVERFLOW(($95+$94)&4294967295, 32); //@line 355 "jp2.c"
        var $97=HEAP[$96]; //@line 355 "jp2.c"
        var $98=($97); //@line 355 "jp2.c"
        var $99=CHECK_OVERFLOW(($92+24)&4294967295, 32); //@line 355 "jp2.c"
        HEAP[$99]=$98; //@line 355 "jp2.c"
        var $100=HEAP[$pcol]; //@line 356 "jp2.c"
        var $101=($100); //@line 356 "jp2.c"
        var $102=HEAP[$new_comps]; //@line 356 "jp2.c"
        var $103=CHECK_OVERFLOW(($102+48*$101)&4294967295, 32); //@line 356 "jp2.c"
        var $104=HEAP[$i]; //@line 356 "jp2.c"
        var $105=($104); //@line 356 "jp2.c"
        var $106=HEAP[$channel_sign]; //@line 356 "jp2.c"
        var $107=CHECK_OVERFLOW(($106+$105)&4294967295, 32); //@line 356 "jp2.c"
        var $108=HEAP[$107]; //@line 356 "jp2.c"
        var $109=($108); //@line 356 "jp2.c"
        var $110=CHECK_OVERFLOW(($103+32)&4294967295, 32); //@line 356 "jp2.c"
        HEAP[$110]=$109; //@line 356 "jp2.c"
        __label__ = 3; break; //@line 356 "jp2.c"
      case 3: // $bb3
        var $111=HEAP[$i]; //@line 342 "jp2.c"
        var $112=CHECK_OVERFLOW((($111) + 1)&65535, 16); //@line 342 "jp2.c"
        HEAP[$i]=$112; //@line 342 "jp2.c"
        __label__ = 0; break; //@line 342 "jp2.c"
      case 0: // $bb4
        var $113=HEAP[$i]; //@line 342 "jp2.c"
        var $114=HEAP[$nr_channels]; //@line 342 "jp2.c"
        var $115=($113) < ($114); //@line 342 "jp2.c"
        if ($115) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 342 "jp2.c"
      case 5: // $bb5
        var $116=HEAP[$color_addr]; //@line 358 "jp2.c"
        var $117=CHECK_OVERFLOW(($116+12)&4294967295, 32); //@line 358 "jp2.c"
        var $118=HEAP[$117]; //@line 358 "jp2.c"
        var $119=CHECK_OVERFLOW(($118+16)&4294967295, 32); //@line 358 "jp2.c"
        var $120=HEAP[$119]; //@line 358 "jp2.c"
        var $121=($120); //@line 358 "jp2.c"
        var $122=CHECK_OVERFLOW((($121) - 1)&4294967295, 32); //@line 358 "jp2.c"
        HEAP[$top_k]=$122; //@line 358 "jp2.c"
        HEAP[$i]=0; //@line 360 "jp2.c"
        __label__ = 6; break; //@line 360 "jp2.c"
      case 15: // $bb6
        var $123=HEAP[$i]; //@line 363 "jp2.c"
        var $124=($123); //@line 363 "jp2.c"
        var $125=HEAP[$cmap]; //@line 363 "jp2.c"
        var $126=CHECK_OVERFLOW(($125+4*$124)&4294967295, 32); //@line 363 "jp2.c"
        var $127=CHECK_OVERFLOW(($126+2)&4294967295, 32); //@line 363 "jp2.c"
        var $128=HEAP[$127]; //@line 363 "jp2.c"
        var $129=($128)==0; //@line 363 "jp2.c"
        if ($129) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 363 "jp2.c"
      case 8: // $bb7
        var $130=HEAP[$i]; //@line 366 "jp2.c"
        var $131=($130); //@line 366 "jp2.c"
        var $132=HEAP[$cmap]; //@line 366 "jp2.c"
        var $133=CHECK_OVERFLOW(($132+4*$131)&4294967295, 32); //@line 366 "jp2.c"
        var $134=CHECK_OVERFLOW(($133)&4294967295, 32); //@line 366 "jp2.c"
        var $135=HEAP[$134]; //@line 366 "jp2.c"
        HEAP[$cmp]=$135; //@line 366 "jp2.c"
        var $136=HEAP[$i]; //@line 366 "jp2.c"
        var $137=($136); //@line 366 "jp2.c"
        var $138=HEAP[$cmap]; //@line 366 "jp2.c"
        var $139=CHECK_OVERFLOW(($138+4*$137)&4294967295, 32); //@line 366 "jp2.c"
        var $140=CHECK_OVERFLOW(($139+3)&4294967295, 32); //@line 366 "jp2.c"
        var $141=HEAP[$140]; //@line 366 "jp2.c"
        var $142=($141); //@line 366 "jp2.c"
        HEAP[$pcol]=$142; //@line 366 "jp2.c"
        var $143=HEAP[$cmp]; //@line 367 "jp2.c"
        var $144=($143); //@line 367 "jp2.c"
        var $145=HEAP[$old_comps]; //@line 367 "jp2.c"
        var $146=CHECK_OVERFLOW(($145+48*$144)&4294967295, 32); //@line 367 "jp2.c"
        var $147=CHECK_OVERFLOW(($146+44)&4294967295, 32); //@line 367 "jp2.c"
        var $148=HEAP[$147]; //@line 367 "jp2.c"
        HEAP[$src]=$148; //@line 367 "jp2.c"
        var $149=HEAP[$pcol]; //@line 368 "jp2.c"
        var $150=($149); //@line 368 "jp2.c"
        var $151=HEAP[$new_comps]; //@line 368 "jp2.c"
        var $152=CHECK_OVERFLOW(($151+48*$150)&4294967295, 32); //@line 368 "jp2.c"
        var $153=CHECK_OVERFLOW(($152+44)&4294967295, 32); //@line 368 "jp2.c"
        var $154=HEAP[$153]; //@line 368 "jp2.c"
        HEAP[$dst]=$154; //@line 368 "jp2.c"
        var $155=HEAP[$pcol]; //@line 369 "jp2.c"
        var $156=($155); //@line 369 "jp2.c"
        var $157=HEAP[$new_comps]; //@line 369 "jp2.c"
        var $158=CHECK_OVERFLOW(($157+48*$156)&4294967295, 32); //@line 369 "jp2.c"
        var $159=CHECK_OVERFLOW(($158+8)&4294967295, 32); //@line 369 "jp2.c"
        var $160=HEAP[$159]; //@line 369 "jp2.c"
        var $161=HEAP[$pcol]; //@line 369 "jp2.c"
        var $162=($161); //@line 369 "jp2.c"
        var $163=HEAP[$new_comps]; //@line 369 "jp2.c"
        var $164=CHECK_OVERFLOW(($163+48*$162)&4294967295, 32); //@line 369 "jp2.c"
        var $165=CHECK_OVERFLOW(($164+12)&4294967295, 32); //@line 369 "jp2.c"
        var $166=HEAP[$165]; //@line 369 "jp2.c"
        var $167=CHECK_OVERFLOW((($160) * ($166))&4294967295, 32); //@line 369 "jp2.c"
        HEAP[$max]=$167; //@line 369 "jp2.c"
        HEAP[$j]=0; //@line 371 "jp2.c"
        __label__ = 9; break; //@line 371 "jp2.c"
      case 14: // $bb8
        var $168=HEAP[$src]; //@line 374 "jp2.c"
        var $169=HEAP[$j]; //@line 374 "jp2.c"
        var $170=CHECK_OVERFLOW(($168+4*$169)&4294967295, 32); //@line 374 "jp2.c"
        var $171=HEAP[$170]; //@line 374 "jp2.c"
        HEAP[$k]=$171; //@line 374 "jp2.c"
        var $172=HEAP[$k]; //@line 374 "jp2.c"
        var $173=($172) < 0; //@line 374 "jp2.c"
        if ($173) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 374 "jp2.c"
      case 10: // $bb9
        HEAP[$k]=0; //@line 374 "jp2.c"
        __label__ = 12; break; //@line 374 "jp2.c"
      case 11: // $bb10
        var $174=HEAP[$k]; //@line 374 "jp2.c"
        var $175=HEAP[$top_k]; //@line 374 "jp2.c"
        var $176=($174) > ($175); //@line 374 "jp2.c"
        if ($176) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 374 "jp2.c"
      case 13: // $bb11
        var $177=HEAP[$top_k]; //@line 374 "jp2.c"
        HEAP[$k]=$177; //@line 374 "jp2.c"
        __label__ = 12; break; //@line 374 "jp2.c"
      case 12: // $bb12
        var $178=HEAP[$nr_channels]; //@line 376 "jp2.c"
        var $179=($178); //@line 376 "jp2.c"
        var $180=HEAP[$k]; //@line 376 "jp2.c"
        var $181=CHECK_OVERFLOW((($179) * ($180))&4294967295, 32); //@line 376 "jp2.c"
        var $182=HEAP[$pcol]; //@line 376 "jp2.c"
        var $183=($182); //@line 376 "jp2.c"
        var $184=CHECK_OVERFLOW((($181) + ($183))&4294967295, 32); //@line 376 "jp2.c"
        var $185=HEAP[$entries]; //@line 376 "jp2.c"
        var $186=CHECK_OVERFLOW(($185+4*$184)&4294967295, 32); //@line 376 "jp2.c"
        var $187=HEAP[$186]; //@line 376 "jp2.c"
        var $188=HEAP[$dst]; //@line 376 "jp2.c"
        var $189=HEAP[$j]; //@line 376 "jp2.c"
        var $190=CHECK_OVERFLOW(($188+4*$189)&4294967295, 32); //@line 376 "jp2.c"
        HEAP[$190]=$187; //@line 376 "jp2.c"
        var $191=HEAP[$j]; //@line 371 "jp2.c"
        var $192=CHECK_OVERFLOW((($191) + 1)&4294967295, 32); //@line 371 "jp2.c"
        HEAP[$j]=$192; //@line 371 "jp2.c"
        __label__ = 9; break; //@line 371 "jp2.c"
      case 9: // $bb13
        var $193=HEAP[$j]; //@line 371 "jp2.c"
        var $194=HEAP[$max]; //@line 371 "jp2.c"
        var $195=($193) < ($194); //@line 371 "jp2.c"
        if ($195) { __label__ = 14; break; } else { __label__ = 7; break; } //@line 371 "jp2.c"
      case 7: // $bb14
        var $196=HEAP[$i]; //@line 360 "jp2.c"
        var $197=CHECK_OVERFLOW((($196) + 1)&65535, 16); //@line 360 "jp2.c"
        HEAP[$i]=$197; //@line 360 "jp2.c"
        __label__ = 6; break; //@line 360 "jp2.c"
      case 6: // $bb15
        var $198=HEAP[$i]; //@line 360 "jp2.c"
        var $199=HEAP[$nr_channels]; //@line 360 "jp2.c"
        var $200=($198) < ($199); //@line 360 "jp2.c"
        if ($200) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 360 "jp2.c"
      case 16: // $bb16
        var $201=HEAP[$image_addr]; //@line 379 "jp2.c"
        var $202=CHECK_OVERFLOW(($201+16)&4294967295, 32); //@line 379 "jp2.c"
        var $203=HEAP[$202]; //@line 379 "jp2.c"
        HEAP[$max]=$203; //@line 379 "jp2.c"
        HEAP[$i]=0; //@line 380 "jp2.c"
        __label__ = 17; break; //@line 380 "jp2.c"
      case 20: // $bb17
        var $204=HEAP[$i]; //@line 382 "jp2.c"
        var $205=($204); //@line 382 "jp2.c"
        var $206=HEAP[$old_comps]; //@line 382 "jp2.c"
        var $207=CHECK_OVERFLOW(($206+48*$205)&4294967295, 32); //@line 382 "jp2.c"
        var $208=CHECK_OVERFLOW(($207+44)&4294967295, 32); //@line 382 "jp2.c"
        var $209=HEAP[$208]; //@line 382 "jp2.c"
        var $210=($209)!=0; //@line 382 "jp2.c"
        if ($210) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 382 "jp2.c"
      case 18: // $bb18
        var $211=HEAP[$i]; //@line 382 "jp2.c"
        var $212=($211); //@line 382 "jp2.c"
        var $213=HEAP[$old_comps]; //@line 382 "jp2.c"
        var $214=CHECK_OVERFLOW(($213+48*$212)&4294967295, 32); //@line 382 "jp2.c"
        var $215=CHECK_OVERFLOW(($214+44)&4294967295, 32); //@line 382 "jp2.c"
        var $216=HEAP[$215]; //@line 382 "jp2.c"
        var $217=$216; //@line 382 "jp2.c"
        _free($217); //@line 382 "jp2.c"
        __label__ = 19; break; //@line 382 "jp2.c"
      case 19: // $bb19
        var $218=HEAP[$i]; //@line 380 "jp2.c"
        var $219=CHECK_OVERFLOW((($218) + 1)&65535, 16); //@line 380 "jp2.c"
        HEAP[$i]=$219; //@line 380 "jp2.c"
        __label__ = 17; break; //@line 380 "jp2.c"
      case 17: // $bb20
        var $220=HEAP[$i]; //@line 380 "jp2.c"
        var $221=($220); //@line 380 "jp2.c"
        var $222=HEAP[$max]; //@line 380 "jp2.c"
        var $223=($221) < ($222); //@line 380 "jp2.c"
        if ($223) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 380 "jp2.c"
      case 21: // $bb21
        var $224=HEAP[$old_comps]; //@line 384 "jp2.c"
        var $225=$224; //@line 384 "jp2.c"
        _free($225); //@line 384 "jp2.c"
        var $226=HEAP[$image_addr]; //@line 385 "jp2.c"
        var $227=CHECK_OVERFLOW(($226+24)&4294967295, 32); //@line 385 "jp2.c"
        var $228=HEAP[$new_comps]; //@line 385 "jp2.c"
        HEAP[$227]=$228; //@line 385 "jp2.c"
        var $229=HEAP[$nr_channels]; //@line 386 "jp2.c"
        var $230=($229); //@line 386 "jp2.c"
        var $231=HEAP[$image_addr]; //@line 386 "jp2.c"
        var $232=CHECK_OVERFLOW(($231+16)&4294967295, 32); //@line 386 "jp2.c"
        HEAP[$232]=$230; //@line 386 "jp2.c"
        var $233=HEAP[$color_addr]; //@line 388 "jp2.c"
        _jp2_free_pclr($233); //@line 388 "jp2.c"
        __label__ = 22; break; //@line 390 "jp2.c"
      case 22: // $return
        STACKTOP = __stackBase__;
        return; //@line 390 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_read_pclr($jp2, $cio, $box, $color) {
    var __stackBase__  = STACKTOP; STACKTOP += 49; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 49);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $box_addr=__stackBase__+8;
        var $color_addr=__stackBase__+12;
        var $retval=__stackBase__+16;
        var $0=__stackBase__+20;
        var $jp2_pclr=__stackBase__+24;
        var $channel_size=__stackBase__+28;
        var $channel_sign=__stackBase__+32;
        var $entries=__stackBase__+36;
        var $nr_entries=__stackBase__+40;
        var $nr_channels=__stackBase__+42;
        var $i=__stackBase__+44;
        var $j=__stackBase__+46;
        var $uc=__stackBase__+48;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$cio_addr]=$cio;
        HEAP[$box_addr]=$box;
        HEAP[$color_addr]=$color;
        var $1=HEAP[$color_addr]; //@line 405 "jp2.c"
        var $2=CHECK_OVERFLOW(($1+12)&4294967295, 32); //@line 405 "jp2.c"
        var $3=HEAP[$2]; //@line 405 "jp2.c"
        var $4=($3)!=0; //@line 405 "jp2.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 405 "jp2.c"
      case 0: // $bb
        HEAP[$0]=0; //@line 405 "jp2.c"
        __label__ = 2; break; //@line 405 "jp2.c"
      case 1: // $bb1
        var $5=HEAP[$cio_addr]; //@line 407 "jp2.c"
        var $6=_cio_read($5, 2); //@line 407 "jp2.c"
        var $7=((($6)) & 65535); //@line 407 "jp2.c"
        HEAP[$nr_entries]=$7; //@line 407 "jp2.c"
        var $8=HEAP[$cio_addr]; //@line 408 "jp2.c"
        var $9=_cio_read($8, 1); //@line 408 "jp2.c"
        var $10=((($9)) & 65535); //@line 408 "jp2.c"
        HEAP[$nr_channels]=$10; //@line 408 "jp2.c"
        var $11=HEAP[$nr_channels]; //@line 410 "jp2.c"
        var $12=($11); //@line 410 "jp2.c"
        var $13=HEAP[$nr_entries]; //@line 410 "jp2.c"
        var $14=($13); //@line 410 "jp2.c"
        var $15=CHECK_OVERFLOW((($12) * ($14))&4294967295, 32); //@line 410 "jp2.c"
        var $16=CHECK_OVERFLOW((($15) * 4)&4294967295, 32); //@line 410 "jp2.c"
        var $17=_malloc($16); //@line 410 "jp2.c"
        var $18=$17; //@line 410 "jp2.c"
        HEAP[$entries]=$18; //@line 410 "jp2.c"
        var $19=HEAP[$nr_channels]; //@line 412 "jp2.c"
        var $20=($19); //@line 412 "jp2.c"
        var $21=_malloc($20); //@line 412 "jp2.c"
        HEAP[$channel_size]=$21; //@line 412 "jp2.c"
        var $22=HEAP[$nr_channels]; //@line 413 "jp2.c"
        var $23=($22); //@line 413 "jp2.c"
        var $24=_malloc($23); //@line 413 "jp2.c"
        HEAP[$channel_sign]=$24; //@line 413 "jp2.c"
        var $25=_malloc(20); //@line 415 "jp2.c"
        var $26=$25; //@line 415 "jp2.c"
        HEAP[$jp2_pclr]=$26; //@line 415 "jp2.c"
        var $27=HEAP[$jp2_pclr]; //@line 416 "jp2.c"
        var $28=CHECK_OVERFLOW(($27+4)&4294967295, 32); //@line 416 "jp2.c"
        var $29=HEAP[$channel_sign]; //@line 416 "jp2.c"
        HEAP[$28]=$29; //@line 416 "jp2.c"
        var $30=HEAP[$jp2_pclr]; //@line 417 "jp2.c"
        var $31=CHECK_OVERFLOW(($30+8)&4294967295, 32); //@line 417 "jp2.c"
        var $32=HEAP[$channel_size]; //@line 417 "jp2.c"
        HEAP[$31]=$32; //@line 417 "jp2.c"
        var $33=HEAP[$jp2_pclr]; //@line 418 "jp2.c"
        var $34=CHECK_OVERFLOW(($33)&4294967295, 32); //@line 418 "jp2.c"
        var $35=HEAP[$entries]; //@line 418 "jp2.c"
        HEAP[$34]=$35; //@line 418 "jp2.c"
        var $36=HEAP[$jp2_pclr]; //@line 419 "jp2.c"
        var $37=CHECK_OVERFLOW(($36+16)&4294967295, 32); //@line 419 "jp2.c"
        var $38=HEAP[$nr_entries]; //@line 419 "jp2.c"
        HEAP[$37]=$38; //@line 419 "jp2.c"
        var $39=HEAP[$jp2_pclr]; //@line 420 "jp2.c"
        var $40=CHECK_OVERFLOW(($39+18)&4294967295, 32); //@line 420 "jp2.c"
        var $41=HEAP[$nr_channels]; //@line 420 "jp2.c"
        HEAP[$40]=$41; //@line 420 "jp2.c"
        var $42=HEAP[$jp2_pclr]; //@line 421 "jp2.c"
        var $43=CHECK_OVERFLOW(($42+12)&4294967295, 32); //@line 421 "jp2.c"
        HEAP[$43]=0; //@line 421 "jp2.c"
        var $44=HEAP[$color_addr]; //@line 423 "jp2.c"
        var $45=CHECK_OVERFLOW(($44+12)&4294967295, 32); //@line 423 "jp2.c"
        var $46=HEAP[$jp2_pclr]; //@line 423 "jp2.c"
        HEAP[$45]=$46; //@line 423 "jp2.c"
        HEAP[$i]=0; //@line 425 "jp2.c"
        __label__ = 3; break; //@line 425 "jp2.c"
      case 4: // $bb2
        var $47=HEAP[$cio_addr]; //@line 427 "jp2.c"
        var $48=_cio_read($47, 1); //@line 427 "jp2.c"
        var $49=((($48)) & 255); //@line 427 "jp2.c"
        HEAP[$uc]=$49; //@line 427 "jp2.c"
        var $50=HEAP[$i]; //@line 428 "jp2.c"
        var $51=($50); //@line 428 "jp2.c"
        var $52=HEAP[$uc]; //@line 428 "jp2.c"
        var $53=($52) & 127; //@line 428 "jp2.c"
        var $54=CHECK_OVERFLOW((($53) + 1)&255, 8); //@line 428 "jp2.c"
        var $55=HEAP[$channel_size]; //@line 428 "jp2.c"
        var $56=CHECK_OVERFLOW(($55+$51)&4294967295, 32); //@line 428 "jp2.c"
        HEAP[$56]=$54; //@line 428 "jp2.c"
        var $57=HEAP[$i]; //@line 429 "jp2.c"
        var $58=($57); //@line 429 "jp2.c"
        var $59=HEAP[$uc]; //@line 429 "jp2.c"
        var $60=($59) < 0; //@line 429 "jp2.c"
        var $61=($60); //@line 429 "jp2.c"
        var $62=HEAP[$channel_sign]; //@line 429 "jp2.c"
        var $63=CHECK_OVERFLOW(($62+$58)&4294967295, 32); //@line 429 "jp2.c"
        HEAP[$63]=$61; //@line 429 "jp2.c"
        var $64=HEAP[$i]; //@line 425 "jp2.c"
        var $65=CHECK_OVERFLOW((($64) + 1)&65535, 16); //@line 425 "jp2.c"
        HEAP[$i]=$65; //@line 425 "jp2.c"
        __label__ = 3; break; //@line 425 "jp2.c"
      case 3: // $bb3
        var $66=HEAP[$i]; //@line 425 "jp2.c"
        var $67=HEAP[$nr_channels]; //@line 425 "jp2.c"
        var $68=($66) < ($67); //@line 425 "jp2.c"
        if ($68) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 425 "jp2.c"
      case 5: // $bb4
        HEAP[$j]=0; //@line 432 "jp2.c"
        __label__ = 6; break; //@line 432 "jp2.c"
      case 10: // $bb5
        HEAP[$i]=0; //@line 434 "jp2.c"
        __label__ = 7; break; //@line 434 "jp2.c"
      case 8: // $bb6
        var $69=HEAP[$i]; //@line 437 "jp2.c"
        var $70=($69); //@line 437 "jp2.c"
        var $71=HEAP[$channel_size]; //@line 437 "jp2.c"
        var $72=CHECK_OVERFLOW(($71+$70)&4294967295, 32); //@line 437 "jp2.c"
        var $73=HEAP[$72]; //@line 437 "jp2.c"
        var $74=($73) >>> 3; //@line 437 "jp2.c"
        var $75=($74); //@line 437 "jp2.c"
        var $76=HEAP[$cio_addr]; //@line 437 "jp2.c"
        var $77=_cio_read($76, $75); //@line 437 "jp2.c"
        var $78=HEAP[$entries]; //@line 437 "jp2.c"
        HEAP[$78]=$77; //@line 437 "jp2.c"
        var $79=HEAP[$entries]; //@line 437 "jp2.c"
        var $80=CHECK_OVERFLOW(($79+4)&4294967295, 32); //@line 437 "jp2.c"
        HEAP[$entries]=$80; //@line 437 "jp2.c"
        var $81=HEAP[$i]; //@line 434 "jp2.c"
        var $82=CHECK_OVERFLOW((($81) + 1)&65535, 16); //@line 434 "jp2.c"
        HEAP[$i]=$82; //@line 434 "jp2.c"
        __label__ = 7; break; //@line 434 "jp2.c"
      case 7: // $bb7
        var $83=HEAP[$i]; //@line 434 "jp2.c"
        var $84=HEAP[$nr_channels]; //@line 434 "jp2.c"
        var $85=($83) < ($84); //@line 434 "jp2.c"
        if ($85) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 434 "jp2.c"
      case 9: // $bb8
        var $86=HEAP[$j]; //@line 432 "jp2.c"
        var $87=CHECK_OVERFLOW((($86) + 1)&65535, 16); //@line 432 "jp2.c"
        HEAP[$j]=$87; //@line 432 "jp2.c"
        __label__ = 6; break; //@line 432 "jp2.c"
      case 6: // $bb9
        var $88=HEAP[$j]; //@line 432 "jp2.c"
        var $89=HEAP[$nr_entries]; //@line 432 "jp2.c"
        var $90=($88) < ($89); //@line 432 "jp2.c"
        if ($90) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 432 "jp2.c"
      case 11: // $bb10
        HEAP[$0]=1; //@line 441 "jp2.c"
        __label__ = 2; break; //@line 441 "jp2.c"
      case 2: // $bb11
        var $91=HEAP[$0]; //@line 405 "jp2.c"
        HEAP[$retval]=$91; //@line 405 "jp2.c"
        __label__ = 12; break; //@line 405 "jp2.c"
      case 12: // $return
        var $retval12=HEAP[$retval]; //@line 405 "jp2.c"
        STACKTOP = __stackBase__;
        return $retval12; //@line 405 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_read_cmap($jp2, $cio, $box, $color) {
    var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 32);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $box_addr=__stackBase__+8;
        var $color_addr=__stackBase__+12;
        var $retval=__stackBase__+16;
        var $0=__stackBase__+20;
        var $cmap=__stackBase__+24;
        var $i=__stackBase__+28;
        var $nr_channels=__stackBase__+30;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$cio_addr]=$cio;
        HEAP[$box_addr]=$box;
        HEAP[$color_addr]=$color;
        var $1=HEAP[$color_addr]; //@line 451 "jp2.c"
        var $2=CHECK_OVERFLOW(($1+12)&4294967295, 32); //@line 451 "jp2.c"
        var $3=HEAP[$2]; //@line 451 "jp2.c"
        var $4=($3)==0; //@line 451 "jp2.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 451 "jp2.c"
      case 0: // $bb
        HEAP[$0]=0; //@line 451 "jp2.c"
        __label__ = 2; break; //@line 451 "jp2.c"
      case 1: // $bb1
        var $5=HEAP[$color_addr]; //@line 456 "jp2.c"
        var $6=CHECK_OVERFLOW(($5+12)&4294967295, 32); //@line 456 "jp2.c"
        var $7=HEAP[$6]; //@line 456 "jp2.c"
        var $8=CHECK_OVERFLOW(($7+12)&4294967295, 32); //@line 456 "jp2.c"
        var $9=HEAP[$8]; //@line 456 "jp2.c"
        var $10=($9)!=0; //@line 456 "jp2.c"
        if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 456 "jp2.c"
      case 3: // $bb2
        HEAP[$0]=0; //@line 456 "jp2.c"
        __label__ = 2; break; //@line 456 "jp2.c"
      case 4: // $bb3
        var $11=HEAP[$color_addr]; //@line 458 "jp2.c"
        var $12=CHECK_OVERFLOW(($11+12)&4294967295, 32); //@line 458 "jp2.c"
        var $13=HEAP[$12]; //@line 458 "jp2.c"
        var $14=CHECK_OVERFLOW(($13+18)&4294967295, 32); //@line 458 "jp2.c"
        var $15=HEAP[$14]; //@line 458 "jp2.c"
        HEAP[$nr_channels]=$15; //@line 458 "jp2.c"
        var $16=HEAP[$nr_channels]; //@line 459 "jp2.c"
        var $17=($16); //@line 459 "jp2.c"
        var $18=CHECK_OVERFLOW((($17) * 4)&4294967295, 32); //@line 459 "jp2.c"
        var $19=_malloc($18); //@line 459 "jp2.c"
        var $20=$19; //@line 459 "jp2.c"
        HEAP[$cmap]=$20; //@line 459 "jp2.c"
        HEAP[$i]=0; //@line 462 "jp2.c"
        __label__ = 5; break; //@line 462 "jp2.c"
      case 6: // $bb4
        var $21=HEAP[$i]; //@line 464 "jp2.c"
        var $22=($21); //@line 464 "jp2.c"
        var $23=HEAP[$cmap]; //@line 464 "jp2.c"
        var $24=CHECK_OVERFLOW(($23+4*$22)&4294967295, 32); //@line 464 "jp2.c"
        var $25=HEAP[$cio_addr]; //@line 464 "jp2.c"
        var $26=_cio_read($25, 2); //@line 464 "jp2.c"
        var $27=((($26)) & 65535); //@line 464 "jp2.c"
        var $28=CHECK_OVERFLOW(($24)&4294967295, 32); //@line 464 "jp2.c"
        HEAP[$28]=$27; //@line 464 "jp2.c"
        var $29=HEAP[$i]; //@line 465 "jp2.c"
        var $30=($29); //@line 465 "jp2.c"
        var $31=HEAP[$cmap]; //@line 465 "jp2.c"
        var $32=CHECK_OVERFLOW(($31+4*$30)&4294967295, 32); //@line 465 "jp2.c"
        var $33=HEAP[$cio_addr]; //@line 465 "jp2.c"
        var $34=_cio_read($33, 1); //@line 465 "jp2.c"
        var $35=((($34)) & 255); //@line 465 "jp2.c"
        var $36=CHECK_OVERFLOW(($32+2)&4294967295, 32); //@line 465 "jp2.c"
        HEAP[$36]=$35; //@line 465 "jp2.c"
        var $37=HEAP[$i]; //@line 466 "jp2.c"
        var $38=($37); //@line 466 "jp2.c"
        var $39=HEAP[$cmap]; //@line 466 "jp2.c"
        var $40=CHECK_OVERFLOW(($39+4*$38)&4294967295, 32); //@line 466 "jp2.c"
        var $41=HEAP[$cio_addr]; //@line 466 "jp2.c"
        var $42=_cio_read($41, 1); //@line 466 "jp2.c"
        var $43=((($42)) & 255); //@line 466 "jp2.c"
        var $44=CHECK_OVERFLOW(($40+3)&4294967295, 32); //@line 466 "jp2.c"
        HEAP[$44]=$43; //@line 466 "jp2.c"
        var $45=HEAP[$i]; //@line 462 "jp2.c"
        var $46=CHECK_OVERFLOW((($45) + 1)&65535, 16); //@line 462 "jp2.c"
        HEAP[$i]=$46; //@line 462 "jp2.c"
        __label__ = 5; break; //@line 462 "jp2.c"
      case 5: // $bb5
        var $47=HEAP[$i]; //@line 462 "jp2.c"
        var $48=HEAP[$nr_channels]; //@line 462 "jp2.c"
        var $49=($47) < ($48); //@line 462 "jp2.c"
        if ($49) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 462 "jp2.c"
      case 7: // $bb6
        var $50=HEAP[$color_addr]; //@line 469 "jp2.c"
        var $51=CHECK_OVERFLOW(($50+12)&4294967295, 32); //@line 469 "jp2.c"
        var $52=HEAP[$51]; //@line 469 "jp2.c"
        var $53=CHECK_OVERFLOW(($52+12)&4294967295, 32); //@line 469 "jp2.c"
        var $54=HEAP[$cmap]; //@line 469 "jp2.c"
        HEAP[$53]=$54; //@line 469 "jp2.c"
        HEAP[$0]=1; //@line 471 "jp2.c"
        __label__ = 2; break; //@line 471 "jp2.c"
      case 2: // $bb7
        var $55=HEAP[$0]; //@line 451 "jp2.c"
        HEAP[$retval]=$55; //@line 451 "jp2.c"
        __label__ = 8; break; //@line 451 "jp2.c"
      case 8: // $return
        var $retval8=HEAP[$retval]; //@line 451 "jp2.c"
        STACKTOP = __stackBase__;
        return $retval8; //@line 451 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_apply_cdef($image, $color) {
    var __stackBase__  = STACKTOP; STACKTOP += 76; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 76);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $image_addr=__stackBase__;
        var $color_addr=__stackBase__+4;
        var $info=__stackBase__+8;
        var $color_space=__stackBase__+12;
        var $i=__stackBase__+16;
        var $n=__stackBase__+18;
        var $cn=__stackBase__+20;
        var $typ=__stackBase__+22;
        var $asoc=__stackBase__+24;
        var $acn=__stackBase__+26;
        var $saved=__stackBase__+28;
        var $_alloca_point_=0;
        HEAP[$image_addr]=$image;
        HEAP[$color_addr]=$color;
        var $0=HEAP[$image_addr]; //@line 480 "jp2.c"
        var $1=CHECK_OVERFLOW(($0+20)&4294967295, 32); //@line 480 "jp2.c"
        var $2=HEAP[$1]; //@line 480 "jp2.c"
        HEAP[$color_space]=$2; //@line 480 "jp2.c"
        var $3=HEAP[$color_addr]; //@line 481 "jp2.c"
        var $4=CHECK_OVERFLOW(($3+8)&4294967295, 32); //@line 481 "jp2.c"
        var $5=HEAP[$4]; //@line 481 "jp2.c"
        var $6=CHECK_OVERFLOW(($5)&4294967295, 32); //@line 481 "jp2.c"
        var $7=HEAP[$6]; //@line 481 "jp2.c"
        HEAP[$info]=$7; //@line 481 "jp2.c"
        var $8=HEAP[$color_addr]; //@line 482 "jp2.c"
        var $9=CHECK_OVERFLOW(($8+8)&4294967295, 32); //@line 482 "jp2.c"
        var $10=HEAP[$9]; //@line 482 "jp2.c"
        var $11=CHECK_OVERFLOW(($10+4)&4294967295, 32); //@line 482 "jp2.c"
        var $12=HEAP[$11]; //@line 482 "jp2.c"
        HEAP[$n]=$12; //@line 482 "jp2.c"
        HEAP[$i]=0; //@line 484 "jp2.c"
        __label__ = 0; break; //@line 484 "jp2.c"
      case 4: // $bb
        var $13=HEAP[$i]; //@line 487 "jp2.c"
        var $14=($13); //@line 487 "jp2.c"
        var $15=HEAP[$info]; //@line 487 "jp2.c"
        var $16=CHECK_OVERFLOW(($15+6*$14)&4294967295, 32); //@line 487 "jp2.c"
        var $17=CHECK_OVERFLOW(($16+4)&4294967295, 32); //@line 487 "jp2.c"
        var $18=HEAP[$17]; //@line 487 "jp2.c"
        HEAP[$asoc]=$18; //@line 487 "jp2.c"
        var $19=HEAP[$asoc]; //@line 487 "jp2.c"
        var $20=($19)==0; //@line 487 "jp2.c"
        if ($20) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 487 "jp2.c"
      case 2: // $bb1
        var $21=HEAP[$i]; //@line 489 "jp2.c"
        var $22=($21); //@line 489 "jp2.c"
        var $23=HEAP[$info]; //@line 489 "jp2.c"
        var $24=CHECK_OVERFLOW(($23+6*$22)&4294967295, 32); //@line 489 "jp2.c"
        var $25=CHECK_OVERFLOW(($24)&4294967295, 32); //@line 489 "jp2.c"
        var $26=HEAP[$25]; //@line 489 "jp2.c"
        HEAP[$cn]=$26; //@line 489 "jp2.c"
        var $27=HEAP[$i]; //@line 489 "jp2.c"
        var $28=($27); //@line 489 "jp2.c"
        var $29=HEAP[$info]; //@line 489 "jp2.c"
        var $30=CHECK_OVERFLOW(($29+6*$28)&4294967295, 32); //@line 489 "jp2.c"
        var $31=CHECK_OVERFLOW(($30+2)&4294967295, 32); //@line 489 "jp2.c"
        var $32=HEAP[$31]; //@line 489 "jp2.c"
        HEAP[$typ]=$32; //@line 489 "jp2.c"
        var $33=HEAP[$asoc]; //@line 489 "jp2.c"
        var $34=CHECK_OVERFLOW((($33) - 1)&65535, 16); //@line 489 "jp2.c"
        HEAP[$acn]=$34; //@line 489 "jp2.c"
        var $35=HEAP[$cn]; //@line 491 "jp2.c"
        var $36=HEAP[$acn]; //@line 491 "jp2.c"
        var $37=($35)!=($36); //@line 491 "jp2.c"
        if ($37) { __label__ = 3; break; } else { __label__ = 1; break; } //@line 491 "jp2.c"
      case 3: // $bb2
        var $38=HEAP[$image_addr]; //@line 495 "jp2.c"
        var $39=CHECK_OVERFLOW(($38+24)&4294967295, 32); //@line 495 "jp2.c"
        var $40=HEAP[$39]; //@line 495 "jp2.c"
        var $41=HEAP[$cn]; //@line 495 "jp2.c"
        var $42=($41); //@line 495 "jp2.c"
        var $43=CHECK_OVERFLOW(($40+48*$42)&4294967295, 32); //@line 495 "jp2.c"
        var $saved3=$saved; //@line 495 "jp2.c"
        var $44=$43; //@line 495 "jp2.c"
        _llvm_memcpy_p0i8_p0i8_i32($saved3, $44, 48, 1, 0); //@line 495 "jp2.c"
        var $45=HEAP[$image_addr]; //@line 496 "jp2.c"
        var $46=CHECK_OVERFLOW(($45+24)&4294967295, 32); //@line 496 "jp2.c"
        var $47=HEAP[$46]; //@line 496 "jp2.c"
        var $48=HEAP[$acn]; //@line 496 "jp2.c"
        var $49=($48); //@line 496 "jp2.c"
        var $50=CHECK_OVERFLOW(($47+48*$49)&4294967295, 32); //@line 496 "jp2.c"
        var $51=HEAP[$image_addr]; //@line 496 "jp2.c"
        var $52=CHECK_OVERFLOW(($51+24)&4294967295, 32); //@line 496 "jp2.c"
        var $53=HEAP[$52]; //@line 496 "jp2.c"
        var $54=HEAP[$cn]; //@line 496 "jp2.c"
        var $55=($54); //@line 496 "jp2.c"
        var $56=CHECK_OVERFLOW(($53+48*$55)&4294967295, 32); //@line 496 "jp2.c"
        var $57=$56; //@line 496 "jp2.c"
        var $58=$50; //@line 496 "jp2.c"
        _llvm_memcpy_p0i8_p0i8_i32($57, $58, 48, 1, 0); //@line 496 "jp2.c"
        var $59=HEAP[$image_addr]; //@line 497 "jp2.c"
        var $60=CHECK_OVERFLOW(($59+24)&4294967295, 32); //@line 497 "jp2.c"
        var $61=HEAP[$60]; //@line 497 "jp2.c"
        var $62=HEAP[$acn]; //@line 497 "jp2.c"
        var $63=($62); //@line 497 "jp2.c"
        var $64=CHECK_OVERFLOW(($61+48*$63)&4294967295, 32); //@line 497 "jp2.c"
        var $65=$64; //@line 497 "jp2.c"
        var $saved4=$saved; //@line 497 "jp2.c"
        _llvm_memcpy_p0i8_p0i8_i32($65, $saved4, 48, 1, 0); //@line 497 "jp2.c"
        var $66=HEAP[$i]; //@line 499 "jp2.c"
        var $67=($66); //@line 499 "jp2.c"
        var $68=HEAP[$info]; //@line 499 "jp2.c"
        var $69=CHECK_OVERFLOW(($68+6*$67)&4294967295, 32); //@line 499 "jp2.c"
        var $70=HEAP[$cn]; //@line 499 "jp2.c"
        var $71=CHECK_OVERFLOW((($70) + 1)&65535, 16); //@line 499 "jp2.c"
        var $72=CHECK_OVERFLOW(($69+4)&4294967295, 32); //@line 499 "jp2.c"
        HEAP[$72]=$71; //@line 499 "jp2.c"
        var $73=HEAP[$acn]; //@line 500 "jp2.c"
        var $74=($73); //@line 500 "jp2.c"
        var $75=HEAP[$info]; //@line 500 "jp2.c"
        var $76=CHECK_OVERFLOW(($75+6*$74)&4294967295, 32); //@line 500 "jp2.c"
        var $77=HEAP[$acn]; //@line 500 "jp2.c"
        var $78=($77); //@line 500 "jp2.c"
        var $79=HEAP[$info]; //@line 500 "jp2.c"
        var $80=CHECK_OVERFLOW(($79+6*$78)&4294967295, 32); //@line 500 "jp2.c"
        var $81=CHECK_OVERFLOW(($80)&4294967295, 32); //@line 500 "jp2.c"
        var $82=HEAP[$81]; //@line 500 "jp2.c"
        var $83=CHECK_OVERFLOW((($82) + 1)&65535, 16); //@line 500 "jp2.c"
        var $84=CHECK_OVERFLOW(($76+4)&4294967295, 32); //@line 500 "jp2.c"
        HEAP[$84]=$83; //@line 500 "jp2.c"
        __label__ = 1; break; //@line 500 "jp2.c"
      case 1: // $bb5
        var $85=HEAP[$i]; //@line 484 "jp2.c"
        var $86=CHECK_OVERFLOW((($85) + 1)&65535, 16); //@line 484 "jp2.c"
        HEAP[$i]=$86; //@line 484 "jp2.c"
        __label__ = 0; break; //@line 484 "jp2.c"
      case 0: // $bb6
        var $87=HEAP[$i]; //@line 484 "jp2.c"
        var $88=HEAP[$n]; //@line 484 "jp2.c"
        var $89=($87) < ($88); //@line 484 "jp2.c"
        if ($89) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 484 "jp2.c"
      case 5: // $bb7
        var $90=HEAP[$color_addr]; //@line 503 "jp2.c"
        var $91=CHECK_OVERFLOW(($90+8)&4294967295, 32); //@line 503 "jp2.c"
        var $92=HEAP[$91]; //@line 503 "jp2.c"
        var $93=CHECK_OVERFLOW(($92)&4294967295, 32); //@line 503 "jp2.c"
        var $94=HEAP[$93]; //@line 503 "jp2.c"
        var $95=($94)!=0; //@line 503 "jp2.c"
        if ($95) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 503 "jp2.c"
      case 6: // $bb8
        var $96=HEAP[$color_addr]; //@line 503 "jp2.c"
        var $97=CHECK_OVERFLOW(($96+8)&4294967295, 32); //@line 503 "jp2.c"
        var $98=HEAP[$97]; //@line 503 "jp2.c"
        var $99=CHECK_OVERFLOW(($98)&4294967295, 32); //@line 503 "jp2.c"
        var $100=HEAP[$99]; //@line 503 "jp2.c"
        var $101=$100; //@line 503 "jp2.c"
        _free($101); //@line 503 "jp2.c"
        __label__ = 7; break; //@line 503 "jp2.c"
      case 7: // $bb9
        var $102=HEAP[$color_addr]; //@line 505 "jp2.c"
        var $103=CHECK_OVERFLOW(($102+8)&4294967295, 32); //@line 505 "jp2.c"
        var $104=HEAP[$103]; //@line 505 "jp2.c"
        var $105=$104; //@line 505 "jp2.c"
        _free($105); //@line 505 "jp2.c"
        var $106=HEAP[$color_addr]; //@line 505 "jp2.c"
        var $107=CHECK_OVERFLOW(($106+8)&4294967295, 32); //@line 505 "jp2.c"
        HEAP[$107]=0; //@line 505 "jp2.c"
        __label__ = 8; break; //@line 507 "jp2.c"
      case 8: // $return
        STACKTOP = __stackBase__;
        return; //@line 507 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_read_cdef($jp2, $cio, $box, $color) {
    var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 32);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $box_addr=__stackBase__+8;
        var $color_addr=__stackBase__+12;
        var $retval=__stackBase__+16;
        var $0=__stackBase__+20;
        var $info=__stackBase__+24;
        var $i=__stackBase__+28;
        var $n=__stackBase__+30;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$cio_addr]=$cio;
        HEAP[$box_addr]=$box;
        HEAP[$color_addr]=$color;
        var $1=HEAP[$color_addr]; //@line 518 "jp2.c"
        var $2=CHECK_OVERFLOW(($1+8)&4294967295, 32); //@line 518 "jp2.c"
        var $3=HEAP[$2]; //@line 518 "jp2.c"
        var $4=($3)!=0; //@line 518 "jp2.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 518 "jp2.c"
      case 0: // $bb
        HEAP[$0]=0; //@line 518 "jp2.c"
        __label__ = 2; break; //@line 518 "jp2.c"
      case 1: // $bb1
        var $5=HEAP[$cio_addr]; //@line 520 "jp2.c"
        var $6=_cio_read($5, 2); //@line 520 "jp2.c"
        var $7=((($6)) & 65535); //@line 520 "jp2.c"
        HEAP[$n]=$7; //@line 520 "jp2.c"
        var $8=HEAP[$n]; //@line 520 "jp2.c"
        var $9=($8)==0; //@line 520 "jp2.c"
        if ($9) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 520 "jp2.c"
      case 3: // $bb2
        HEAP[$0]=0; //@line 520 "jp2.c"
        __label__ = 2; break; //@line 520 "jp2.c"
      case 4: // $bb3
        var $10=HEAP[$n]; //@line 522 "jp2.c"
        var $11=($10); //@line 522 "jp2.c"
        var $12=CHECK_OVERFLOW((($11) * 6)&4294967295, 32); //@line 522 "jp2.c"
        var $13=_malloc($12); //@line 522 "jp2.c"
        var $14=$13; //@line 522 "jp2.c"
        HEAP[$info]=$14; //@line 522 "jp2.c"
        var $15=_malloc(8); //@line 525 "jp2.c"
        var $16=$15; //@line 525 "jp2.c"
        var $17=HEAP[$color_addr]; //@line 525 "jp2.c"
        var $18=CHECK_OVERFLOW(($17+8)&4294967295, 32); //@line 525 "jp2.c"
        HEAP[$18]=$16; //@line 525 "jp2.c"
        var $19=HEAP[$color_addr]; //@line 526 "jp2.c"
        var $20=CHECK_OVERFLOW(($19+8)&4294967295, 32); //@line 526 "jp2.c"
        var $21=HEAP[$20]; //@line 526 "jp2.c"
        var $22=CHECK_OVERFLOW(($21)&4294967295, 32); //@line 526 "jp2.c"
        var $23=HEAP[$info]; //@line 526 "jp2.c"
        HEAP[$22]=$23; //@line 526 "jp2.c"
        var $24=HEAP[$color_addr]; //@line 527 "jp2.c"
        var $25=CHECK_OVERFLOW(($24+8)&4294967295, 32); //@line 527 "jp2.c"
        var $26=HEAP[$25]; //@line 527 "jp2.c"
        var $27=CHECK_OVERFLOW(($26+4)&4294967295, 32); //@line 527 "jp2.c"
        var $28=HEAP[$n]; //@line 527 "jp2.c"
        HEAP[$27]=$28; //@line 527 "jp2.c"
        HEAP[$i]=0; //@line 529 "jp2.c"
        __label__ = 5; break; //@line 529 "jp2.c"
      case 6: // $bb4
        var $29=HEAP[$i]; //@line 531 "jp2.c"
        var $30=($29); //@line 531 "jp2.c"
        var $31=HEAP[$info]; //@line 531 "jp2.c"
        var $32=CHECK_OVERFLOW(($31+6*$30)&4294967295, 32); //@line 531 "jp2.c"
        var $33=HEAP[$cio_addr]; //@line 531 "jp2.c"
        var $34=_cio_read($33, 2); //@line 531 "jp2.c"
        var $35=((($34)) & 65535); //@line 531 "jp2.c"
        var $36=CHECK_OVERFLOW(($32)&4294967295, 32); //@line 531 "jp2.c"
        HEAP[$36]=$35; //@line 531 "jp2.c"
        var $37=HEAP[$i]; //@line 532 "jp2.c"
        var $38=($37); //@line 532 "jp2.c"
        var $39=HEAP[$info]; //@line 532 "jp2.c"
        var $40=CHECK_OVERFLOW(($39+6*$38)&4294967295, 32); //@line 532 "jp2.c"
        var $41=HEAP[$cio_addr]; //@line 532 "jp2.c"
        var $42=_cio_read($41, 2); //@line 532 "jp2.c"
        var $43=((($42)) & 65535); //@line 532 "jp2.c"
        var $44=CHECK_OVERFLOW(($40+2)&4294967295, 32); //@line 532 "jp2.c"
        HEAP[$44]=$43; //@line 532 "jp2.c"
        var $45=HEAP[$i]; //@line 533 "jp2.c"
        var $46=($45); //@line 533 "jp2.c"
        var $47=HEAP[$info]; //@line 533 "jp2.c"
        var $48=CHECK_OVERFLOW(($47+6*$46)&4294967295, 32); //@line 533 "jp2.c"
        var $49=HEAP[$cio_addr]; //@line 533 "jp2.c"
        var $50=_cio_read($49, 2); //@line 533 "jp2.c"
        var $51=((($50)) & 65535); //@line 533 "jp2.c"
        var $52=CHECK_OVERFLOW(($48+4)&4294967295, 32); //@line 533 "jp2.c"
        HEAP[$52]=$51; //@line 533 "jp2.c"
        var $53=HEAP[$i]; //@line 529 "jp2.c"
        var $54=CHECK_OVERFLOW((($53) + 1)&65535, 16); //@line 529 "jp2.c"
        HEAP[$i]=$54; //@line 529 "jp2.c"
        __label__ = 5; break; //@line 529 "jp2.c"
      case 5: // $bb5
        var $55=HEAP[$i]; //@line 529 "jp2.c"
        var $56=HEAP[$n]; //@line 529 "jp2.c"
        var $57=($55) < ($56); //@line 529 "jp2.c"
        if ($57) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 529 "jp2.c"
      case 7: // $bb6
        HEAP[$0]=1; //@line 536 "jp2.c"
        __label__ = 2; break; //@line 536 "jp2.c"
      case 2: // $bb7
        var $58=HEAP[$0]; //@line 518 "jp2.c"
        HEAP[$retval]=$58; //@line 518 "jp2.c"
        __label__ = 8; break; //@line 518 "jp2.c"
      case 8: // $return
        var $retval8=HEAP[$retval]; //@line 518 "jp2.c"
        STACKTOP = __stackBase__;
        return $retval8; //@line 518 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_read_colr($jp2, $cio, $box, $color) {
    var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 36);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $box_addr=__stackBase__+8;
        var $color_addr=__stackBase__+12;
        var $retval=__stackBase__+16;
        var $0=__stackBase__+20;
        var $skip_len=__stackBase__+24;
        var $cinfo=__stackBase__+28;
        var $start=__stackBase__+32;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$cio_addr]=$cio;
        HEAP[$box_addr]=$box;
        HEAP[$color_addr]=$color;
        var $1=HEAP[$color_addr]; //@line 548 "jp2.c"
        var $2=CHECK_OVERFLOW(($1+16)&4294967295, 32); //@line 548 "jp2.c"
        var $3=HEAP[$2]; //@line 548 "jp2.c"
        var $4=($3)!=0; //@line 548 "jp2.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 548 "jp2.c"
      case 0: // $bb
        HEAP[$0]=0; //@line 548 "jp2.c"
        __label__ = 2; break; //@line 548 "jp2.c"
      case 1: // $bb1
        var $5=HEAP[$jp2_addr]; //@line 550 "jp2.c"
        var $6=CHECK_OVERFLOW(($5)&4294967295, 32); //@line 550 "jp2.c"
        var $7=HEAP[$6]; //@line 550 "jp2.c"
        HEAP[$cinfo]=$7; //@line 550 "jp2.c"
        var $8=HEAP[$cio_addr]; //@line 552 "jp2.c"
        var $9=_cio_read($8, 1); //@line 552 "jp2.c"
        var $10=HEAP[$jp2_addr]; //@line 552 "jp2.c"
        var $11=CHECK_OVERFLOW(($10+36)&4294967295, 32); //@line 552 "jp2.c"
        HEAP[$11]=$9; //@line 552 "jp2.c"
        var $12=HEAP[$cio_addr]; //@line 553 "jp2.c"
        var $13=_cio_read($12, 1); //@line 553 "jp2.c"
        var $14=HEAP[$jp2_addr]; //@line 553 "jp2.c"
        var $15=CHECK_OVERFLOW(($14+48)&4294967295, 32); //@line 553 "jp2.c"
        HEAP[$15]=$13; //@line 553 "jp2.c"
        var $16=HEAP[$cio_addr]; //@line 554 "jp2.c"
        var $17=_cio_read($16, 1); //@line 554 "jp2.c"
        var $18=HEAP[$jp2_addr]; //@line 554 "jp2.c"
        var $19=CHECK_OVERFLOW(($18+40)&4294967295, 32); //@line 554 "jp2.c"
        HEAP[$19]=$17; //@line 554 "jp2.c"
        var $20=HEAP[$jp2_addr]; //@line 556 "jp2.c"
        var $21=CHECK_OVERFLOW(($20+36)&4294967295, 32); //@line 556 "jp2.c"
        var $22=HEAP[$21]; //@line 556 "jp2.c"
        var $23=($22)==1; //@line 556 "jp2.c"
        if ($23) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 556 "jp2.c"
      case 3: // $bb2
        var $24=HEAP[$cio_addr]; //@line 558 "jp2.c"
        var $25=_cio_read($24, 4); //@line 558 "jp2.c"
        var $26=HEAP[$jp2_addr]; //@line 558 "jp2.c"
        var $27=CHECK_OVERFLOW(($26+44)&4294967295, 32); //@line 558 "jp2.c"
        HEAP[$27]=$25; //@line 558 "jp2.c"
        __label__ = 5; break; //@line 558 "jp2.c"
      case 4: // $bb3
        var $28=HEAP[$box_addr]; //@line 563 "jp2.c"
        var $29=CHECK_OVERFLOW(($28+8)&4294967295, 32); //@line 563 "jp2.c"
        var $30=HEAP[$29]; //@line 563 "jp2.c"
        var $31=HEAP[$box_addr]; //@line 563 "jp2.c"
        var $32=CHECK_OVERFLOW(($31)&4294967295, 32); //@line 563 "jp2.c"
        var $33=HEAP[$32]; //@line 563 "jp2.c"
        var $34=CHECK_OVERFLOW((($30) + ($33))&4294967295, 32); //@line 563 "jp2.c"
        var $35=HEAP[$cio_addr]; //@line 563 "jp2.c"
        var $36=_cio_tell($35); //@line 563 "jp2.c"
        var $37=CHECK_OVERFLOW((($34) - ($36))&4294967295, 32); //@line 563 "jp2.c"
        HEAP[$skip_len]=$37; //@line 563 "jp2.c"
        var $38=HEAP[$skip_len]; //@line 564 "jp2.c"
        var $39=($38) < 0; //@line 564 "jp2.c"
        if ($39) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 564 "jp2.c"
      case 6: // $bb4
        var $40=HEAP[$cinfo]; //@line 566 "jp2.c"
        var $41=_opj_event_msg($40, 1, CHECK_OVERFLOW((__str519)&4294967295, 32)); //@line 566 "jp2.c"
        HEAP[$0]=0; //@line 567 "jp2.c"
        __label__ = 2; break; //@line 567 "jp2.c"
      case 7: // $bb5
        var $42=HEAP[$skip_len]; //@line 569 "jp2.c"
        var $43=($42) > 0; //@line 569 "jp2.c"
        if ($43) { __label__ = 8; break; } else { __label__ = 5; break; } //@line 569 "jp2.c"
      case 8: // $bb6
        var $44=HEAP[$cio_addr]; //@line 573 "jp2.c"
        var $45=_cio_getbp($44); //@line 573 "jp2.c"
        HEAP[$start]=$45; //@line 573 "jp2.c"
        var $46=HEAP[$skip_len]; //@line 574 "jp2.c"
        var $47=_malloc($46); //@line 574 "jp2.c"
        var $48=HEAP[$color_addr]; //@line 574 "jp2.c"
        var $49=CHECK_OVERFLOW(($48)&4294967295, 32); //@line 574 "jp2.c"
        HEAP[$49]=$47; //@line 574 "jp2.c"
        var $50=HEAP[$color_addr]; //@line 575 "jp2.c"
        var $51=CHECK_OVERFLOW(($50+4)&4294967295, 32); //@line 575 "jp2.c"
        var $52=HEAP[$skip_len]; //@line 575 "jp2.c"
        HEAP[$51]=$52; //@line 575 "jp2.c"
        var $53=HEAP[$box_addr]; //@line 577 "jp2.c"
        var $54=CHECK_OVERFLOW(($53+8)&4294967295, 32); //@line 577 "jp2.c"
        var $55=HEAP[$54]; //@line 577 "jp2.c"
        var $56=HEAP[$box_addr]; //@line 577 "jp2.c"
        var $57=CHECK_OVERFLOW(($56)&4294967295, 32); //@line 577 "jp2.c"
        var $58=HEAP[$57]; //@line 577 "jp2.c"
        var $59=CHECK_OVERFLOW((($55) + ($58))&4294967295, 32); //@line 577 "jp2.c"
        var $60=HEAP[$cio_addr]; //@line 577 "jp2.c"
        var $61=_cio_tell($60); //@line 577 "jp2.c"
        var $62=CHECK_OVERFLOW((($59) - ($61))&4294967295, 32); //@line 577 "jp2.c"
        var $63=HEAP[$cio_addr]; //@line 577 "jp2.c"
        _cio_skip($63, $62); //@line 577 "jp2.c"
        var $64=HEAP[$skip_len]; //@line 579 "jp2.c"
        var $65=HEAP[$color_addr]; //@line 579 "jp2.c"
        var $66=CHECK_OVERFLOW(($65)&4294967295, 32); //@line 579 "jp2.c"
        var $67=HEAP[$66]; //@line 579 "jp2.c"
        var $68=HEAP[$start]; //@line 579 "jp2.c"
        _llvm_memcpy_p0i8_p0i8_i32($67, $68, $64, 1, 0); //@line 579 "jp2.c"
        __label__ = 5; break; //@line 579 "jp2.c"
      case 5: // $bb7
        var $69=HEAP[$cio_addr]; //@line 583 "jp2.c"
        var $70=_cio_tell($69); //@line 583 "jp2.c"
        var $71=HEAP[$box_addr]; //@line 583 "jp2.c"
        var $72=CHECK_OVERFLOW(($71+8)&4294967295, 32); //@line 583 "jp2.c"
        var $73=HEAP[$72]; //@line 583 "jp2.c"
        var $74=CHECK_OVERFLOW((($70) - ($73))&4294967295, 32); //@line 583 "jp2.c"
        var $75=HEAP[$box_addr]; //@line 583 "jp2.c"
        var $76=CHECK_OVERFLOW(($75)&4294967295, 32); //@line 583 "jp2.c"
        var $77=HEAP[$76]; //@line 583 "jp2.c"
        var $78=($74)!=($77); //@line 583 "jp2.c"
        if ($78) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 583 "jp2.c"
      case 9: // $bb8
        var $79=HEAP[$cinfo]; //@line 585 "jp2.c"
        var $80=_opj_event_msg($79, 1, CHECK_OVERFLOW((__str620)&4294967295, 32)); //@line 585 "jp2.c"
        HEAP[$0]=0; //@line 586 "jp2.c"
        __label__ = 2; break; //@line 586 "jp2.c"
      case 10: // $bb9
        var $81=HEAP[$color_addr]; //@line 588 "jp2.c"
        var $82=CHECK_OVERFLOW(($81+16)&4294967295, 32); //@line 588 "jp2.c"
        HEAP[$82]=1; //@line 588 "jp2.c"
        HEAP[$0]=1; //@line 590 "jp2.c"
        __label__ = 2; break; //@line 590 "jp2.c"
      case 2: // $bb10
        var $83=HEAP[$0]; //@line 548 "jp2.c"
        HEAP[$retval]=$83; //@line 548 "jp2.c"
        __label__ = 11; break; //@line 548 "jp2.c"
      case 11: // $return
        var $retval11=HEAP[$retval]; //@line 548 "jp2.c"
        STACKTOP = __stackBase__;
        return $retval11; //@line 548 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_read_jp2h($jp2, $cio, $color) {
    var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 40);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $color_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $0=__stackBase__+16;
        var $box=__stackBase__+20;
        var $jp2h_end=__stackBase__+32;
        var $cinfo=__stackBase__+36;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$cio_addr]=$cio;
        HEAP[$color_addr]=$color;
        var $1=HEAP[$jp2_addr]; //@line 598 "jp2.c"
        var $2=CHECK_OVERFLOW(($1)&4294967295, 32); //@line 598 "jp2.c"
        var $3=HEAP[$2]; //@line 598 "jp2.c"
        HEAP[$cinfo]=$3; //@line 598 "jp2.c"
        var $4=HEAP[$cinfo]; //@line 600 "jp2.c"
        var $5=HEAP[$cio_addr]; //@line 600 "jp2.c"
        var $6=_jp2_read_boxhdr($4, $5, $box); //@line 600 "jp2.c"
        __label__ = 0; break; //@line 600 "jp2.c"
      case 0: // $bb
        var $7=CHECK_OVERFLOW(($box+4)&4294967295, 32); //@line 603 "jp2.c"
        var $8=HEAP[$7]; //@line 603 "jp2.c"
        var $9=($8)!=1785737832; //@line 603 "jp2.c"
        if ($9) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 603 "jp2.c"
      case 1: // $bb1
        var $10=CHECK_OVERFLOW(($box+4)&4294967295, 32); //@line 605 "jp2.c"
        var $11=HEAP[$10]; //@line 605 "jp2.c"
        var $12=($11)==1785737827; //@line 605 "jp2.c"
        if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 605 "jp2.c"
      case 3: // $bb2
        var $13=HEAP[$cinfo]; //@line 607 "jp2.c"
        var $14=_opj_event_msg($13, 1, CHECK_OVERFLOW((__str721)&4294967295, 32)); //@line 607 "jp2.c"
        HEAP[$0]=0; //@line 608 "jp2.c"
        __label__ = 5; break; //@line 608 "jp2.c"
      case 4: // $bb3
        var $15=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 610 "jp2.c"
        var $16=HEAP[$15]; //@line 610 "jp2.c"
        var $17=CHECK_OVERFLOW((($16) - 8)&4294967295, 32); //@line 610 "jp2.c"
        var $18=HEAP[$cio_addr]; //@line 610 "jp2.c"
        _cio_skip($18, $17); //@line 610 "jp2.c"
        var $19=HEAP[$cio_addr]; //@line 612 "jp2.c"
        var $20=CHECK_OVERFLOW(($19+24)&4294967295, 32); //@line 612 "jp2.c"
        var $21=HEAP[$20]; //@line 612 "jp2.c"
        var $22=HEAP[$cio_addr]; //@line 612 "jp2.c"
        var $23=CHECK_OVERFLOW(($22+20)&4294967295, 32); //@line 612 "jp2.c"
        var $24=HEAP[$23]; //@line 612 "jp2.c"
        var $25=($21) >= ($24); //@line 612 "jp2.c"
        if ($25) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 612 "jp2.c"
      case 6: // $bb4
        HEAP[$0]=0; //@line 612 "jp2.c"
        __label__ = 5; break; //@line 612 "jp2.c"
      case 7: // $bb5
        var $26=HEAP[$cinfo]; //@line 614 "jp2.c"
        var $27=HEAP[$cio_addr]; //@line 614 "jp2.c"
        var $28=_jp2_read_boxhdr($26, $27, $box); //@line 614 "jp2.c"
        __label__ = 2; break; //@line 614 "jp2.c"
      case 2: // $bb6
        var $29=CHECK_OVERFLOW(($box+4)&4294967295, 32); //@line 616 "jp2.c"
        var $30=HEAP[$29]; //@line 616 "jp2.c"
        var $31=($30)!=1785737832; //@line 616 "jp2.c"
        if ($31) { __label__ = 0; break; } else { __label__ = 8; break; } //@line 616 "jp2.c"
      case 8: // $bb7
        var $32=HEAP[$jp2_addr]; //@line 618 "jp2.c"
        var $33=HEAP[$cio_addr]; //@line 618 "jp2.c"
        var $34=_jp2_read_ihdr($32, $33); //@line 618 "jp2.c"
        var $35=($34)==0; //@line 618 "jp2.c"
        if ($35) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 618 "jp2.c"
      case 9: // $bb8
        HEAP[$0]=0; //@line 619 "jp2.c"
        __label__ = 5; break; //@line 619 "jp2.c"
      case 10: // $bb9
        var $36=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 620 "jp2.c"
        var $37=HEAP[$36]; //@line 620 "jp2.c"
        var $38=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 620 "jp2.c"
        var $39=HEAP[$38]; //@line 620 "jp2.c"
        var $40=CHECK_OVERFLOW((($37) + ($39))&4294967295, 32); //@line 620 "jp2.c"
        HEAP[$jp2h_end]=$40; //@line 620 "jp2.c"
        var $41=HEAP[$jp2_addr]; //@line 622 "jp2.c"
        var $42=CHECK_OVERFLOW(($41+20)&4294967295, 32); //@line 622 "jp2.c"
        var $43=HEAP[$42]; //@line 622 "jp2.c"
        var $44=($43)==255; //@line 622 "jp2.c"
        if ($44) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 622 "jp2.c"
      case 11: // $bb10
        var $45=HEAP[$jp2_addr]; //@line 624 "jp2.c"
        var $46=HEAP[$cio_addr]; //@line 624 "jp2.c"
        var $47=_jp2_read_bpcc($45, $46); //@line 624 "jp2.c"
        var $48=($47)==0; //@line 624 "jp2.c"
        if ($48) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 624 "jp2.c"
      case 13: // $bb11
        HEAP[$0]=0; //@line 625 "jp2.c"
        __label__ = 5; break; //@line 625 "jp2.c"
      case 12: // $bb12
        var $49=HEAP[$cinfo]; //@line 627 "jp2.c"
        var $50=HEAP[$cio_addr]; //@line 627 "jp2.c"
        var $51=_jp2_read_boxhdr($49, $50, $box); //@line 627 "jp2.c"
        __label__ = 14; break; //@line 627 "jp2.c"
      case 31: // $bb13
        var $52=CHECK_OVERFLOW(($box+4)&4294967295, 32); //@line 631 "jp2.c"
        var $53=HEAP[$52]; //@line 631 "jp2.c"
        var $54=($53)==1668246642; //@line 631 "jp2.c"
        if ($54) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 631 "jp2.c"
      case 15: // $bb14
        var $55=HEAP[$jp2_addr]; //@line 633 "jp2.c"
        var $56=HEAP[$cio_addr]; //@line 633 "jp2.c"
        var $57=HEAP[$color_addr]; //@line 633 "jp2.c"
        var $58=_jp2_read_colr($55, $56, $box, $57); //@line 633 "jp2.c"
        var $59=($58)==0; //@line 633 "jp2.c"
        if ($59) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 633 "jp2.c"
      case 17: // $bb15
        var $60=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 635 "jp2.c"
        var $61=HEAP[$60]; //@line 635 "jp2.c"
        var $62=CHECK_OVERFLOW((($61) + 8)&4294967295, 32); //@line 635 "jp2.c"
        var $63=HEAP[$cio_addr]; //@line 635 "jp2.c"
        _cio_seek($63, $62); //@line 635 "jp2.c"
        var $64=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 636 "jp2.c"
        var $65=HEAP[$64]; //@line 636 "jp2.c"
        var $66=CHECK_OVERFLOW((($65) - 8)&4294967295, 32); //@line 636 "jp2.c"
        var $67=HEAP[$cio_addr]; //@line 636 "jp2.c"
        _cio_skip($67, $66); //@line 636 "jp2.c"
        __label__ = 18; break; //@line 636 "jp2.c"
      case 18: // $bb16
        var $68=HEAP[$cinfo]; //@line 638 "jp2.c"
        var $69=HEAP[$cio_addr]; //@line 638 "jp2.c"
        var $70=_jp2_read_boxhdr($68, $69, $box); //@line 638 "jp2.c"
        __label__ = 14; break; //@line 638 "jp2.c"
      case 16: // $bb17
        var $71=CHECK_OVERFLOW(($box+4)&4294967295, 32); //@line 641 "jp2.c"
        var $72=HEAP[$71]; //@line 641 "jp2.c"
        var $73=($72)==1667523942; //@line 641 "jp2.c"
        if ($73) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 641 "jp2.c"
      case 19: // $bb18
        var $74=HEAP[$jp2_addr]; //@line 643 "jp2.c"
        var $75=HEAP[$cio_addr]; //@line 643 "jp2.c"
        var $76=HEAP[$color_addr]; //@line 643 "jp2.c"
        var $77=_jp2_read_cdef($74, $75, $box, $76); //@line 643 "jp2.c"
        var $78=($77)==0; //@line 643 "jp2.c"
        if ($78) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 643 "jp2.c"
      case 21: // $bb19
        var $79=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 645 "jp2.c"
        var $80=HEAP[$79]; //@line 645 "jp2.c"
        var $81=CHECK_OVERFLOW((($80) + 8)&4294967295, 32); //@line 645 "jp2.c"
        var $82=HEAP[$cio_addr]; //@line 645 "jp2.c"
        _cio_seek($82, $81); //@line 645 "jp2.c"
        var $83=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 646 "jp2.c"
        var $84=HEAP[$83]; //@line 646 "jp2.c"
        var $85=CHECK_OVERFLOW((($84) - 8)&4294967295, 32); //@line 646 "jp2.c"
        var $86=HEAP[$cio_addr]; //@line 646 "jp2.c"
        _cio_skip($86, $85); //@line 646 "jp2.c"
        __label__ = 22; break; //@line 646 "jp2.c"
      case 22: // $bb20
        var $87=HEAP[$cinfo]; //@line 648 "jp2.c"
        var $88=HEAP[$cio_addr]; //@line 648 "jp2.c"
        var $89=_jp2_read_boxhdr($87, $88, $box); //@line 648 "jp2.c"
        __label__ = 14; break; //@line 648 "jp2.c"
      case 20: // $bb21
        var $90=CHECK_OVERFLOW(($box+4)&4294967295, 32); //@line 651 "jp2.c"
        var $91=HEAP[$90]; //@line 651 "jp2.c"
        var $92=($91)==1885564018; //@line 651 "jp2.c"
        if ($92) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 651 "jp2.c"
      case 23: // $bb22
        var $93=HEAP[$jp2_addr]; //@line 653 "jp2.c"
        var $94=HEAP[$cio_addr]; //@line 653 "jp2.c"
        var $95=HEAP[$color_addr]; //@line 653 "jp2.c"
        var $96=_jp2_read_pclr($93, $94, $box, $95); //@line 653 "jp2.c"
        var $97=($96)==0; //@line 653 "jp2.c"
        if ($97) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 653 "jp2.c"
      case 25: // $bb23
        var $98=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 655 "jp2.c"
        var $99=HEAP[$98]; //@line 655 "jp2.c"
        var $100=CHECK_OVERFLOW((($99) + 8)&4294967295, 32); //@line 655 "jp2.c"
        var $101=HEAP[$cio_addr]; //@line 655 "jp2.c"
        _cio_seek($101, $100); //@line 655 "jp2.c"
        var $102=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 656 "jp2.c"
        var $103=HEAP[$102]; //@line 656 "jp2.c"
        var $104=CHECK_OVERFLOW((($103) - 8)&4294967295, 32); //@line 656 "jp2.c"
        var $105=HEAP[$cio_addr]; //@line 656 "jp2.c"
        _cio_skip($105, $104); //@line 656 "jp2.c"
        __label__ = 26; break; //@line 656 "jp2.c"
      case 26: // $bb24
        var $106=HEAP[$cinfo]; //@line 658 "jp2.c"
        var $107=HEAP[$cio_addr]; //@line 658 "jp2.c"
        var $108=_jp2_read_boxhdr($106, $107, $box); //@line 658 "jp2.c"
        __label__ = 14; break; //@line 658 "jp2.c"
      case 24: // $bb25
        var $109=CHECK_OVERFLOW(($box+4)&4294967295, 32); //@line 661 "jp2.c"
        var $110=HEAP[$109]; //@line 661 "jp2.c"
        var $111=($110)==1668112752; //@line 661 "jp2.c"
        if ($111) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 661 "jp2.c"
      case 27: // $bb26
        var $112=HEAP[$jp2_addr]; //@line 663 "jp2.c"
        var $113=HEAP[$cio_addr]; //@line 663 "jp2.c"
        var $114=HEAP[$color_addr]; //@line 663 "jp2.c"
        var $115=_jp2_read_cmap($112, $113, $box, $114); //@line 663 "jp2.c"
        var $116=($115)==0; //@line 663 "jp2.c"
        if ($116) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 663 "jp2.c"
      case 29: // $bb27
        var $117=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 665 "jp2.c"
        var $118=HEAP[$117]; //@line 665 "jp2.c"
        var $119=CHECK_OVERFLOW((($118) + 8)&4294967295, 32); //@line 665 "jp2.c"
        var $120=HEAP[$cio_addr]; //@line 665 "jp2.c"
        _cio_seek($120, $119); //@line 665 "jp2.c"
        var $121=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 666 "jp2.c"
        var $122=HEAP[$121]; //@line 666 "jp2.c"
        var $123=CHECK_OVERFLOW((($122) - 8)&4294967295, 32); //@line 666 "jp2.c"
        var $124=HEAP[$cio_addr]; //@line 666 "jp2.c"
        _cio_skip($124, $123); //@line 666 "jp2.c"
        __label__ = 30; break; //@line 666 "jp2.c"
      case 30: // $bb28
        var $125=HEAP[$cinfo]; //@line 668 "jp2.c"
        var $126=HEAP[$cio_addr]; //@line 668 "jp2.c"
        var $127=_jp2_read_boxhdr($125, $126, $box); //@line 668 "jp2.c"
        __label__ = 14; break; //@line 668 "jp2.c"
      case 28: // $bb29
        var $128=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 671 "jp2.c"
        var $129=HEAP[$128]; //@line 671 "jp2.c"
        var $130=CHECK_OVERFLOW((($129) + 8)&4294967295, 32); //@line 671 "jp2.c"
        var $131=HEAP[$cio_addr]; //@line 671 "jp2.c"
        _cio_seek($131, $130); //@line 671 "jp2.c"
        var $132=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 672 "jp2.c"
        var $133=HEAP[$132]; //@line 672 "jp2.c"
        var $134=CHECK_OVERFLOW((($133) - 8)&4294967295, 32); //@line 672 "jp2.c"
        var $135=HEAP[$cio_addr]; //@line 672 "jp2.c"
        _cio_skip($135, $134); //@line 672 "jp2.c"
        var $136=HEAP[$cinfo]; //@line 673 "jp2.c"
        var $137=HEAP[$cio_addr]; //@line 673 "jp2.c"
        var $138=_jp2_read_boxhdr($136, $137, $box); //@line 673 "jp2.c"
        __label__ = 14; break; //@line 673 "jp2.c"
      case 14: // $bb30
        var $139=HEAP[$cio_addr]; //@line 629 "jp2.c"
        var $140=_cio_tell($139); //@line 629 "jp2.c"
        var $141=HEAP[$jp2h_end]; //@line 629 "jp2.c"
        var $142=($140) < ($141); //@line 629 "jp2.c"
        if ($142) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 629 "jp2.c"
      case 32: // $bb31
        var $143=HEAP[$jp2h_end]; //@line 677 "jp2.c"
        var $144=HEAP[$cio_addr]; //@line 677 "jp2.c"
        _cio_seek($144, $143); //@line 677 "jp2.c"
        var $145=HEAP[$color_addr]; //@line 680 "jp2.c"
        var $146=CHECK_OVERFLOW(($145+16)&4294967295, 32); //@line 680 "jp2.c"
        var $147=HEAP[$146]; //@line 680 "jp2.c"
        var $148=($147)==1; //@line 680 "jp2.c"
        var $149=($148); //@line 680 "jp2.c"
        HEAP[$0]=$149; //@line 680 "jp2.c"
        __label__ = 5; break; //@line 680 "jp2.c"
      case 5: // $bb32
        var $150=HEAP[$0]; //@line 608 "jp2.c"
        HEAP[$retval]=$150; //@line 608 "jp2.c"
        __label__ = 33; break; //@line 608 "jp2.c"
      case 33: // $return
        var $retval33=HEAP[$retval]; //@line 608 "jp2.c"
        STACKTOP = __stackBase__;
        return $retval33; //@line 608 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_decode($jp2, $cio, $cstr_info) {
    var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 48);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $cstr_info_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $0=__stackBase__+16;
        var $cinfo=__stackBase__+20;
        var $image=__stackBase__+24;
        var $color=__stackBase__+28;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$cio_addr]=$cio;
        HEAP[$cstr_info_addr]=$cstr_info;
        HEAP[$image]=0; //@line 688 "jp2.c"
        var $1=HEAP[$jp2_addr]; //@line 691 "jp2.c"
        var $2=($1)==0; //@line 691 "jp2.c"
        if ($2) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 691 "jp2.c"
      case 1: // $bb
        var $3=HEAP[$cio_addr]; //@line 691 "jp2.c"
        var $4=($3)==0; //@line 691 "jp2.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 2; break; } //@line 691 "jp2.c"
      case 0: // $bb1
        HEAP[$0]=0; //@line 693 "jp2.c"
        __label__ = 3; break; //@line 693 "jp2.c"
      case 2: // $bb2
        var $color3=$color; //@line 695 "jp2.c"
        _llvm_memset_p0i8_i32($color3, 0, 20, 1, 0); //@line 695 "jp2.c"
        var $5=HEAP[$jp2_addr]; //@line 696 "jp2.c"
        var $6=CHECK_OVERFLOW(($5)&4294967295, 32); //@line 696 "jp2.c"
        var $7=HEAP[$6]; //@line 696 "jp2.c"
        HEAP[$cinfo]=$7; //@line 696 "jp2.c"
        var $8=HEAP[$jp2_addr]; //@line 699 "jp2.c"
        var $9=HEAP[$cio_addr]; //@line 699 "jp2.c"
        var $10=_jp2_read_struct($8, $9, $color); //@line 699 "jp2.c"
        var $11=($10)==0; //@line 699 "jp2.c"
        if ($11) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 699 "jp2.c"
      case 4: // $bb4
        _free_color_data($color); //@line 701 "jp2.c"
        var $12=HEAP[$cinfo]; //@line 702 "jp2.c"
        var $13=_opj_event_msg($12, 1, CHECK_OVERFLOW((__str822)&4294967295, 32)); //@line 702 "jp2.c"
        HEAP[$0]=0; //@line 703 "jp2.c"
        __label__ = 3; break; //@line 703 "jp2.c"
      case 5: // $bb5
        var $14=HEAP[$jp2_addr]; //@line 707 "jp2.c"
        var $15=CHECK_OVERFLOW(($14+4)&4294967295, 32); //@line 707 "jp2.c"
        var $16=HEAP[$15]; //@line 707 "jp2.c"
        var $17=HEAP[$cio_addr]; //@line 707 "jp2.c"
        var $18=HEAP[$cstr_info_addr]; //@line 707 "jp2.c"
        var $19=_j2k_decode($16, $17, $18); //@line 707 "jp2.c"
        HEAP[$image]=$19; //@line 707 "jp2.c"
        var $20=HEAP[$image]; //@line 709 "jp2.c"
        var $21=($20)==0; //@line 709 "jp2.c"
        if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 709 "jp2.c"
      case 6: // $bb6
        _free_color_data($color); //@line 711 "jp2.c"
        var $22=HEAP[$cinfo]; //@line 712 "jp2.c"
        var $23=_opj_event_msg($22, 1, CHECK_OVERFLOW((__str923)&4294967295, 32)); //@line 712 "jp2.c"
        HEAP[$0]=0; //@line 713 "jp2.c"
        __label__ = 3; break; //@line 713 "jp2.c"
      case 7: // $bb7
        var $24=HEAP[$jp2_addr]; //@line 717 "jp2.c"
        var $25=CHECK_OVERFLOW(($24+44)&4294967295, 32); //@line 717 "jp2.c"
        var $26=HEAP[$25]; //@line 717 "jp2.c"
        var $27=($26)==16; //@line 717 "jp2.c"
        if ($27) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 717 "jp2.c"
      case 8: // $bb8
        var $28=HEAP[$image]; //@line 718 "jp2.c"
        var $29=CHECK_OVERFLOW(($28+20)&4294967295, 32); //@line 718 "jp2.c"
        HEAP[$29]=1; //@line 718 "jp2.c"
        __label__ = 10; break; //@line 718 "jp2.c"
      case 9: // $bb9
        var $30=HEAP[$jp2_addr]; //@line 719 "jp2.c"
        var $31=CHECK_OVERFLOW(($30+44)&4294967295, 32); //@line 719 "jp2.c"
        var $32=HEAP[$31]; //@line 719 "jp2.c"
        var $33=($32)==17; //@line 719 "jp2.c"
        if ($33) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 719 "jp2.c"
      case 11: // $bb10
        var $34=HEAP[$image]; //@line 720 "jp2.c"
        var $35=CHECK_OVERFLOW(($34+20)&4294967295, 32); //@line 720 "jp2.c"
        HEAP[$35]=2; //@line 720 "jp2.c"
        __label__ = 10; break; //@line 720 "jp2.c"
      case 12: // $bb11
        var $36=HEAP[$jp2_addr]; //@line 721 "jp2.c"
        var $37=CHECK_OVERFLOW(($36+44)&4294967295, 32); //@line 721 "jp2.c"
        var $38=HEAP[$37]; //@line 721 "jp2.c"
        var $39=($38)==18; //@line 721 "jp2.c"
        if ($39) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 721 "jp2.c"
      case 13: // $bb12
        var $40=HEAP[$image]; //@line 722 "jp2.c"
        var $41=CHECK_OVERFLOW(($40+20)&4294967295, 32); //@line 722 "jp2.c"
        HEAP[$41]=3; //@line 722 "jp2.c"
        __label__ = 10; break; //@line 722 "jp2.c"
      case 14: // $bb13
        var $42=HEAP[$image]; //@line 724 "jp2.c"
        var $43=CHECK_OVERFLOW(($42+20)&4294967295, 32); //@line 724 "jp2.c"
        HEAP[$43]=-1; //@line 724 "jp2.c"
        __label__ = 10; break; //@line 724 "jp2.c"
      case 10: // $bb14
        var $44=CHECK_OVERFLOW(($color+8)&4294967295, 32); //@line 726 "jp2.c"
        var $45=HEAP[$44]; //@line 726 "jp2.c"
        var $46=($45)!=0; //@line 726 "jp2.c"
        if ($46) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 726 "jp2.c"
      case 15: // $bb15
        var $47=HEAP[$image]; //@line 728 "jp2.c"
        _jp2_apply_cdef($47, $color); //@line 728 "jp2.c"
        __label__ = 16; break; //@line 728 "jp2.c"
      case 16: // $bb16
        var $48=CHECK_OVERFLOW(($color+12)&4294967295, 32); //@line 730 "jp2.c"
        var $49=HEAP[$48]; //@line 730 "jp2.c"
        var $50=($49)!=0; //@line 730 "jp2.c"
        if ($50) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 730 "jp2.c"
      case 17: // $bb17
        var $51=CHECK_OVERFLOW(($color+12)&4294967295, 32); //@line 733 "jp2.c"
        var $52=HEAP[$51]; //@line 733 "jp2.c"
        var $53=CHECK_OVERFLOW(($52+12)&4294967295, 32); //@line 733 "jp2.c"
        var $54=HEAP[$53]; //@line 733 "jp2.c"
        var $55=($54)==0; //@line 733 "jp2.c"
        if ($55) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 733 "jp2.c"
      case 19: // $bb18
        _jp2_free_pclr($color); //@line 734 "jp2.c"
        __label__ = 18; break; //@line 734 "jp2.c"
      case 20: // $bb19
        var $56=HEAP[$image]; //@line 736 "jp2.c"
        _jp2_apply_pclr($color, $56); //@line 736 "jp2.c"
        __label__ = 18; break; //@line 736 "jp2.c"
      case 18: // $bb20
        var $57=CHECK_OVERFLOW(($color)&4294967295, 32); //@line 738 "jp2.c"
        var $58=HEAP[$57]; //@line 738 "jp2.c"
        var $59=($58)!=0; //@line 738 "jp2.c"
        if ($59) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 738 "jp2.c"
      case 21: // $bb21
        var $60=CHECK_OVERFLOW(($color)&4294967295, 32); //@line 740 "jp2.c"
        var $61=HEAP[$60]; //@line 740 "jp2.c"
        var $62=HEAP[$image]; //@line 740 "jp2.c"
        var $63=CHECK_OVERFLOW(($62+28)&4294967295, 32); //@line 740 "jp2.c"
        HEAP[$63]=$61; //@line 740 "jp2.c"
        var $64=CHECK_OVERFLOW(($color)&4294967295, 32); //@line 741 "jp2.c"
        HEAP[$64]=0; //@line 741 "jp2.c"
        var $65=CHECK_OVERFLOW(($color+4)&4294967295, 32); //@line 742 "jp2.c"
        var $66=HEAP[$65]; //@line 742 "jp2.c"
        var $67=HEAP[$image]; //@line 742 "jp2.c"
        var $68=CHECK_OVERFLOW(($67+32)&4294967295, 32); //@line 742 "jp2.c"
        HEAP[$68]=$66; //@line 742 "jp2.c"
        __label__ = 22; break; //@line 742 "jp2.c"
      case 22: // $bb22
        var $69=HEAP[$image]; //@line 744 "jp2.c"
        HEAP[$0]=$69; //@line 744 "jp2.c"
        __label__ = 3; break; //@line 744 "jp2.c"
      case 3: // $bb23
        var $70=HEAP[$0]; //@line 693 "jp2.c"
        HEAP[$retval]=$70; //@line 693 "jp2.c"
        __label__ = 23; break; //@line 693 "jp2.c"
      case 23: // $return
        var $retval24=HEAP[$retval]; //@line 693 "jp2.c"
        STACKTOP = __stackBase__;
        return $retval24; //@line 693 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_write_jp2h($jp2, $cio) {
    var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 20);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $box=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$cio_addr]=$cio;
        var $0=HEAP[$cio_addr]; //@line 752 "jp2.c"
        var $1=_cio_tell($0); //@line 752 "jp2.c"
        var $2=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 752 "jp2.c"
        HEAP[$2]=$1; //@line 752 "jp2.c"
        var $3=HEAP[$cio_addr]; //@line 753 "jp2.c"
        _cio_skip($3, 4); //@line 753 "jp2.c"
        var $4=HEAP[$cio_addr]; //@line 754 "jp2.c"
        var $5=_cio_write($4, 1785737832, 4); //@line 754 "jp2.c"
        var $6=HEAP[$jp2_addr]; //@line 756 "jp2.c"
        var $7=HEAP[$cio_addr]; //@line 756 "jp2.c"
        _jp2_write_ihdr($6, $7); //@line 756 "jp2.c"
        var $8=HEAP[$jp2_addr]; //@line 758 "jp2.c"
        var $9=CHECK_OVERFLOW(($8+20)&4294967295, 32); //@line 758 "jp2.c"
        var $10=HEAP[$9]; //@line 758 "jp2.c"
        var $11=($10)==255; //@line 758 "jp2.c"
        if ($11) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 758 "jp2.c"
      case 0: // $bb
        var $12=HEAP[$jp2_addr]; //@line 759 "jp2.c"
        var $13=HEAP[$cio_addr]; //@line 759 "jp2.c"
        _jp2_write_bpcc($12, $13); //@line 759 "jp2.c"
        __label__ = 1; break; //@line 759 "jp2.c"
      case 1: // $bb1
        var $14=HEAP[$jp2_addr]; //@line 761 "jp2.c"
        var $15=HEAP[$cio_addr]; //@line 761 "jp2.c"
        _jp2_write_colr($14, $15); //@line 761 "jp2.c"
        var $16=HEAP[$cio_addr]; //@line 763 "jp2.c"
        var $17=_cio_tell($16); //@line 763 "jp2.c"
        var $18=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 763 "jp2.c"
        var $19=HEAP[$18]; //@line 763 "jp2.c"
        var $20=CHECK_OVERFLOW((($17) - ($19))&4294967295, 32); //@line 763 "jp2.c"
        var $21=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 763 "jp2.c"
        HEAP[$21]=$20; //@line 763 "jp2.c"
        var $22=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 764 "jp2.c"
        var $23=HEAP[$22]; //@line 764 "jp2.c"
        var $24=HEAP[$cio_addr]; //@line 764 "jp2.c"
        _cio_seek($24, $23); //@line 764 "jp2.c"
        var $25=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 765 "jp2.c"
        var $26=HEAP[$25]; //@line 765 "jp2.c"
        var $27=HEAP[$cio_addr]; //@line 765 "jp2.c"
        var $28=_cio_write($27, $26, 4); //@line 765 "jp2.c"
        var $29=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 766 "jp2.c"
        var $30=HEAP[$29]; //@line 766 "jp2.c"
        var $31=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 766 "jp2.c"
        var $32=HEAP[$31]; //@line 766 "jp2.c"
        var $33=CHECK_OVERFLOW((($30) + ($32))&4294967295, 32); //@line 766 "jp2.c"
        var $34=HEAP[$cio_addr]; //@line 766 "jp2.c"
        _cio_seek($34, $33); //@line 766 "jp2.c"
        __label__ = 2; break; //@line 767 "jp2.c"
      case 2: // $return
        STACKTOP = __stackBase__;
        return; //@line 767 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_write_ftyp($jp2, $cio) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $i=__stackBase__+8;
        var $box=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$cio_addr]=$cio;
        var $0=HEAP[$cio_addr]; //@line 773 "jp2.c"
        var $1=_cio_tell($0); //@line 773 "jp2.c"
        var $2=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 773 "jp2.c"
        HEAP[$2]=$1; //@line 773 "jp2.c"
        var $3=HEAP[$cio_addr]; //@line 774 "jp2.c"
        _cio_skip($3, 4); //@line 774 "jp2.c"
        var $4=HEAP[$cio_addr]; //@line 775 "jp2.c"
        var $5=_cio_write($4, 1718909296, 4); //@line 775 "jp2.c"
        var $6=HEAP[$jp2_addr]; //@line 777 "jp2.c"
        var $7=CHECK_OVERFLOW(($6+52)&4294967295, 32); //@line 777 "jp2.c"
        var $8=HEAP[$7]; //@line 777 "jp2.c"
        var $9=HEAP[$cio_addr]; //@line 777 "jp2.c"
        var $10=_cio_write($9, $8, 4); //@line 777 "jp2.c"
        var $11=HEAP[$jp2_addr]; //@line 778 "jp2.c"
        var $12=CHECK_OVERFLOW(($11+56)&4294967295, 32); //@line 778 "jp2.c"
        var $13=HEAP[$12]; //@line 778 "jp2.c"
        var $14=HEAP[$cio_addr]; //@line 778 "jp2.c"
        var $15=_cio_write($14, $13, 4); //@line 778 "jp2.c"
        HEAP[$i]=0; //@line 780 "jp2.c"
        __label__ = 0; break; //@line 780 "jp2.c"
      case 1: // $bb
        var $16=HEAP[$jp2_addr]; //@line 781 "jp2.c"
        var $17=CHECK_OVERFLOW(($16+64)&4294967295, 32); //@line 781 "jp2.c"
        var $18=HEAP[$17]; //@line 781 "jp2.c"
        var $19=HEAP[$i]; //@line 781 "jp2.c"
        var $20=CHECK_OVERFLOW(($18+4*$19)&4294967295, 32); //@line 781 "jp2.c"
        var $21=HEAP[$20]; //@line 781 "jp2.c"
        var $22=HEAP[$cio_addr]; //@line 781 "jp2.c"
        var $23=_cio_write($22, $21, 4); //@line 781 "jp2.c"
        var $24=HEAP[$i]; //@line 780 "jp2.c"
        var $25=CHECK_OVERFLOW((($24) + 1)&4294967295, 32); //@line 780 "jp2.c"
        HEAP[$i]=$25; //@line 780 "jp2.c"
        __label__ = 0; break; //@line 780 "jp2.c"
      case 0: // $bb1
        var $26=HEAP[$jp2_addr]; //@line 780 "jp2.c"
        var $27=CHECK_OVERFLOW(($26+60)&4294967295, 32); //@line 780 "jp2.c"
        var $28=HEAP[$27]; //@line 780 "jp2.c"
        var $29=HEAP[$i]; //@line 780 "jp2.c"
        var $30=($28) > ($29); //@line 780 "jp2.c"
        if ($30) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 780 "jp2.c"
      case 2: // $bb2
        var $31=HEAP[$cio_addr]; //@line 784 "jp2.c"
        var $32=_cio_tell($31); //@line 784 "jp2.c"
        var $33=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 784 "jp2.c"
        var $34=HEAP[$33]; //@line 784 "jp2.c"
        var $35=CHECK_OVERFLOW((($32) - ($34))&4294967295, 32); //@line 784 "jp2.c"
        var $36=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 784 "jp2.c"
        HEAP[$36]=$35; //@line 784 "jp2.c"
        var $37=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 785 "jp2.c"
        var $38=HEAP[$37]; //@line 785 "jp2.c"
        var $39=HEAP[$cio_addr]; //@line 785 "jp2.c"
        _cio_seek($39, $38); //@line 785 "jp2.c"
        var $40=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 786 "jp2.c"
        var $41=HEAP[$40]; //@line 786 "jp2.c"
        var $42=HEAP[$cio_addr]; //@line 786 "jp2.c"
        var $43=_cio_write($42, $41, 4); //@line 786 "jp2.c"
        var $44=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 787 "jp2.c"
        var $45=HEAP[$44]; //@line 787 "jp2.c"
        var $46=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 787 "jp2.c"
        var $47=HEAP[$46]; //@line 787 "jp2.c"
        var $48=CHECK_OVERFLOW((($45) + ($47))&4294967295, 32); //@line 787 "jp2.c"
        var $49=HEAP[$cio_addr]; //@line 787 "jp2.c"
        _cio_seek($49, $48); //@line 787 "jp2.c"
        __label__ = 3; break; //@line 788 "jp2.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 788 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_read_ftyp($jp2, $cio) {
    var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 36);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $i=__stackBase__+16;
        var $box=__stackBase__+20;
        var $cinfo=__stackBase__+32;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$cio_addr]=$cio;
        var $1=HEAP[$jp2_addr]; //@line 794 "jp2.c"
        var $2=CHECK_OVERFLOW(($1)&4294967295, 32); //@line 794 "jp2.c"
        var $3=HEAP[$2]; //@line 794 "jp2.c"
        HEAP[$cinfo]=$3; //@line 794 "jp2.c"
        var $4=HEAP[$cinfo]; //@line 796 "jp2.c"
        var $5=HEAP[$cio_addr]; //@line 796 "jp2.c"
        var $6=_jp2_read_boxhdr($4, $5, $box); //@line 796 "jp2.c"
        var $7=CHECK_OVERFLOW(($box+4)&4294967295, 32); //@line 798 "jp2.c"
        var $8=HEAP[$7]; //@line 798 "jp2.c"
        var $9=($8)!=1718909296; //@line 798 "jp2.c"
        if ($9) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 798 "jp2.c"
      case 0: // $bb
        var $10=HEAP[$cinfo]; //@line 799 "jp2.c"
        var $11=_opj_event_msg($10, 1, CHECK_OVERFLOW((__str1099)&4294967295, 32)); //@line 799 "jp2.c"
        HEAP[$0]=0; //@line 800 "jp2.c"
        __label__ = 2; break; //@line 800 "jp2.c"
      case 1: // $bb1
        var $12=HEAP[$cio_addr]; //@line 803 "jp2.c"
        var $13=_cio_read($12, 4); //@line 803 "jp2.c"
        var $14=HEAP[$jp2_addr]; //@line 803 "jp2.c"
        var $15=CHECK_OVERFLOW(($14+52)&4294967295, 32); //@line 803 "jp2.c"
        HEAP[$15]=$13; //@line 803 "jp2.c"
        var $16=HEAP[$cio_addr]; //@line 804 "jp2.c"
        var $17=_cio_read($16, 4); //@line 804 "jp2.c"
        var $18=HEAP[$jp2_addr]; //@line 804 "jp2.c"
        var $19=CHECK_OVERFLOW(($18+56)&4294967295, 32); //@line 804 "jp2.c"
        HEAP[$19]=$17; //@line 804 "jp2.c"
        var $20=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 805 "jp2.c"
        var $21=HEAP[$20]; //@line 805 "jp2.c"
        var $22=CHECK_OVERFLOW((($21) - 16)&4294967295, 32); //@line 805 "jp2.c"
        var $23=(($22)/4|0); //@line 805 "jp2.c"
        var $24=HEAP[$jp2_addr]; //@line 805 "jp2.c"
        var $25=CHECK_OVERFLOW(($24+60)&4294967295, 32); //@line 805 "jp2.c"
        HEAP[$25]=$23; //@line 805 "jp2.c"
        var $26=HEAP[$jp2_addr]; //@line 806 "jp2.c"
        var $27=CHECK_OVERFLOW(($26+60)&4294967295, 32); //@line 806 "jp2.c"
        var $28=HEAP[$27]; //@line 806 "jp2.c"
        var $29=CHECK_OVERFLOW((($28) * 4)&4294967295, 32); //@line 806 "jp2.c"
        var $30=_malloc($29); //@line 806 "jp2.c"
        var $31=$30; //@line 806 "jp2.c"
        var $32=HEAP[$jp2_addr]; //@line 806 "jp2.c"
        var $33=CHECK_OVERFLOW(($32+64)&4294967295, 32); //@line 806 "jp2.c"
        HEAP[$33]=$31; //@line 806 "jp2.c"
        HEAP[$i]=0; //@line 808 "jp2.c"
        __label__ = 3; break; //@line 808 "jp2.c"
      case 4: // $bb2
        var $34=HEAP[$jp2_addr]; //@line 809 "jp2.c"
        var $35=CHECK_OVERFLOW(($34+64)&4294967295, 32); //@line 809 "jp2.c"
        var $36=HEAP[$35]; //@line 809 "jp2.c"
        var $37=HEAP[$cio_addr]; //@line 809 "jp2.c"
        var $38=_cio_read($37, 4); //@line 809 "jp2.c"
        var $39=HEAP[$i]; //@line 809 "jp2.c"
        var $40=CHECK_OVERFLOW(($36+4*$39)&4294967295, 32); //@line 809 "jp2.c"
        HEAP[$40]=$38; //@line 809 "jp2.c"
        var $41=HEAP[$i]; //@line 808 "jp2.c"
        var $42=CHECK_OVERFLOW((($41) + 1)&4294967295, 32); //@line 808 "jp2.c"
        HEAP[$i]=$42; //@line 808 "jp2.c"
        __label__ = 3; break; //@line 808 "jp2.c"
      case 3: // $bb3
        var $43=HEAP[$jp2_addr]; //@line 808 "jp2.c"
        var $44=CHECK_OVERFLOW(($43+60)&4294967295, 32); //@line 808 "jp2.c"
        var $45=HEAP[$44]; //@line 808 "jp2.c"
        var $46=HEAP[$i]; //@line 808 "jp2.c"
        var $47=($45) > ($46); //@line 808 "jp2.c"
        if ($47) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 808 "jp2.c"
      case 5: // $bb4
        var $48=HEAP[$cio_addr]; //@line 812 "jp2.c"
        var $49=_cio_tell($48); //@line 812 "jp2.c"
        var $50=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 812 "jp2.c"
        var $51=HEAP[$50]; //@line 812 "jp2.c"
        var $52=CHECK_OVERFLOW((($49) - ($51))&4294967295, 32); //@line 812 "jp2.c"
        var $53=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 812 "jp2.c"
        var $54=HEAP[$53]; //@line 812 "jp2.c"
        var $55=($52)!=($54); //@line 812 "jp2.c"
        if ($55) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 812 "jp2.c"
      case 6: // $bb5
        var $56=HEAP[$cinfo]; //@line 813 "jp2.c"
        var $57=_opj_event_msg($56, 1, CHECK_OVERFLOW((__str11100)&4294967295, 32)); //@line 813 "jp2.c"
        HEAP[$0]=0; //@line 814 "jp2.c"
        __label__ = 2; break; //@line 814 "jp2.c"
      case 7: // $bb6
        HEAP[$0]=1; //@line 817 "jp2.c"
        __label__ = 2; break; //@line 817 "jp2.c"
      case 2: // $bb7
        var $58=HEAP[$0]; //@line 800 "jp2.c"
        HEAP[$retval]=$58; //@line 800 "jp2.c"
        __label__ = 8; break; //@line 800 "jp2.c"
      case 8: // $return
        var $retval8=HEAP[$retval]; //@line 800 "jp2.c"
        STACKTOP = __stackBase__;
        return $retval8; //@line 800 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_write_jp2c($jp2, $cio, $image, $cstr_info) {
    var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 48);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $image_addr=__stackBase__+8;
        var $cstr_info_addr=__stackBase__+12;
        var $retval=__stackBase__+16;
        var $0=__stackBase__+20;
        var $j2k_codestream_offset=__stackBase__+24;
        var $j2k_codestream_length=__stackBase__+28;
        var $box=__stackBase__+32;
        var $j2k=__stackBase__+44;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$cio_addr]=$cio;
        HEAP[$image_addr]=$image;
        HEAP[$cstr_info_addr]=$cstr_info;
        var $1=HEAP[$jp2_addr]; //@line 824 "jp2.c"
        var $2=CHECK_OVERFLOW(($1+4)&4294967295, 32); //@line 824 "jp2.c"
        var $3=HEAP[$2]; //@line 824 "jp2.c"
        HEAP[$j2k]=$3; //@line 824 "jp2.c"
        var $4=HEAP[$cio_addr]; //@line 826 "jp2.c"
        var $5=_cio_tell($4); //@line 826 "jp2.c"
        var $6=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 826 "jp2.c"
        HEAP[$6]=$5; //@line 826 "jp2.c"
        var $7=HEAP[$cio_addr]; //@line 827 "jp2.c"
        _cio_skip($7, 4); //@line 827 "jp2.c"
        var $8=HEAP[$cio_addr]; //@line 828 "jp2.c"
        var $9=_cio_write($8, 1785737827, 4); //@line 828 "jp2.c"
        var $10=HEAP[$cio_addr]; //@line 831 "jp2.c"
        var $11=_cio_tell($10); //@line 831 "jp2.c"
        HEAP[$j2k_codestream_offset]=$11; //@line 831 "jp2.c"
        var $12=HEAP[$j2k]; //@line 832 "jp2.c"
        var $13=HEAP[$cio_addr]; //@line 832 "jp2.c"
        var $14=HEAP[$image_addr]; //@line 832 "jp2.c"
        var $15=HEAP[$cstr_info_addr]; //@line 832 "jp2.c"
        var $16=_j2k_encode($12, $13, $14, $15); //@line 832 "jp2.c"
        var $17=($16)==0; //@line 832 "jp2.c"
        if ($17) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 832 "jp2.c"
      case 0: // $bb
        var $18=HEAP[$j2k]; //@line 833 "jp2.c"
        var $19=CHECK_OVERFLOW(($18)&4294967295, 32); //@line 833 "jp2.c"
        var $20=HEAP[$19]; //@line 833 "jp2.c"
        var $21=_opj_event_msg($20, 1, CHECK_OVERFLOW((__str12101)&4294967295, 32)); //@line 833 "jp2.c"
        HEAP[$0]=0; //@line 834 "jp2.c"
        __label__ = 2; break; //@line 834 "jp2.c"
      case 1: // $bb1
        var $22=HEAP[$cio_addr]; //@line 836 "jp2.c"
        var $23=_cio_tell($22); //@line 836 "jp2.c"
        var $24=HEAP[$j2k_codestream_offset]; //@line 836 "jp2.c"
        var $25=CHECK_OVERFLOW((($23) - ($24))&4294967295, 32); //@line 836 "jp2.c"
        HEAP[$j2k_codestream_length]=$25; //@line 836 "jp2.c"
        var $26=HEAP[$jp2_addr]; //@line 838 "jp2.c"
        var $27=CHECK_OVERFLOW(($26+72)&4294967295, 32); //@line 838 "jp2.c"
        var $28=HEAP[$j2k_codestream_offset]; //@line 838 "jp2.c"
        HEAP[$27]=$28; //@line 838 "jp2.c"
        var $29=HEAP[$jp2_addr]; //@line 839 "jp2.c"
        var $30=CHECK_OVERFLOW(($29+76)&4294967295, 32); //@line 839 "jp2.c"
        var $31=HEAP[$j2k_codestream_length]; //@line 839 "jp2.c"
        HEAP[$30]=$31; //@line 839 "jp2.c"
        var $32=HEAP[$jp2_addr]; //@line 841 "jp2.c"
        var $33=CHECK_OVERFLOW(($32+76)&4294967295, 32); //@line 841 "jp2.c"
        var $34=HEAP[$33]; //@line 841 "jp2.c"
        var $35=CHECK_OVERFLOW((($34) + 8)&4294967295, 32); //@line 841 "jp2.c"
        var $36=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 841 "jp2.c"
        HEAP[$36]=$35; //@line 841 "jp2.c"
        var $37=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 842 "jp2.c"
        var $38=HEAP[$37]; //@line 842 "jp2.c"
        var $39=HEAP[$cio_addr]; //@line 842 "jp2.c"
        _cio_seek($39, $38); //@line 842 "jp2.c"
        var $40=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 843 "jp2.c"
        var $41=HEAP[$40]; //@line 843 "jp2.c"
        var $42=HEAP[$cio_addr]; //@line 843 "jp2.c"
        var $43=_cio_write($42, $41, 4); //@line 843 "jp2.c"
        var $44=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 844 "jp2.c"
        var $45=HEAP[$44]; //@line 844 "jp2.c"
        var $46=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 844 "jp2.c"
        var $47=HEAP[$46]; //@line 844 "jp2.c"
        var $48=CHECK_OVERFLOW((($45) + ($47))&4294967295, 32); //@line 844 "jp2.c"
        var $49=HEAP[$cio_addr]; //@line 844 "jp2.c"
        _cio_seek($49, $48); //@line 844 "jp2.c"
        var $50=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 846 "jp2.c"
        var $51=HEAP[$50]; //@line 846 "jp2.c"
        HEAP[$0]=$51; //@line 846 "jp2.c"
        __label__ = 2; break; //@line 846 "jp2.c"
      case 2: // $bb2
        var $52=HEAP[$0]; //@line 834 "jp2.c"
        HEAP[$retval]=$52; //@line 834 "jp2.c"
        __label__ = 3; break; //@line 834 "jp2.c"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 834 "jp2.c"
        STACKTOP = __stackBase__;
        return $retval3; //@line 834 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_read_jp2c($jp2, $cio, $j2k_codestream_length, $j2k_codestream_offset) {
    var __stackBase__  = STACKTOP; STACKTOP += 40; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 40);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $j2k_codestream_length_addr=__stackBase__+8;
        var $j2k_codestream_offset_addr=__stackBase__+12;
        var $retval=__stackBase__+16;
        var $0=__stackBase__+20;
        var $box=__stackBase__+24;
        var $cinfo=__stackBase__+36;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$cio_addr]=$cio;
        HEAP[$j2k_codestream_length_addr]=$j2k_codestream_length;
        HEAP[$j2k_codestream_offset_addr]=$j2k_codestream_offset;
        var $1=HEAP[$jp2_addr]; //@line 852 "jp2.c"
        var $2=CHECK_OVERFLOW(($1)&4294967295, 32); //@line 852 "jp2.c"
        var $3=HEAP[$2]; //@line 852 "jp2.c"
        HEAP[$cinfo]=$3; //@line 852 "jp2.c"
        var $4=HEAP[$cinfo]; //@line 854 "jp2.c"
        var $5=HEAP[$cio_addr]; //@line 854 "jp2.c"
        var $6=_jp2_read_boxhdr($4, $5, $box); //@line 854 "jp2.c"
        __label__ = 0; break; //@line 854 "jp2.c"
      case 0: // $bb
        var $7=CHECK_OVERFLOW(($box+4)&4294967295, 32); //@line 856 "jp2.c"
        var $8=HEAP[$7]; //@line 856 "jp2.c"
        var $9=($8)!=1785737827; //@line 856 "jp2.c"
        if ($9) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 856 "jp2.c"
      case 1: // $bb1
        var $10=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 857 "jp2.c"
        var $11=HEAP[$10]; //@line 857 "jp2.c"
        var $12=CHECK_OVERFLOW((($11) - 8)&4294967295, 32); //@line 857 "jp2.c"
        var $13=HEAP[$cio_addr]; //@line 857 "jp2.c"
        _cio_skip($13, $12); //@line 857 "jp2.c"
        var $14=HEAP[$cinfo]; //@line 858 "jp2.c"
        var $15=HEAP[$cio_addr]; //@line 858 "jp2.c"
        var $16=_jp2_read_boxhdr($14, $15, $box); //@line 858 "jp2.c"
        __label__ = 2; break; //@line 858 "jp2.c"
      case 2: // $bb2
        var $17=CHECK_OVERFLOW(($box+4)&4294967295, 32); //@line 860 "jp2.c"
        var $18=HEAP[$17]; //@line 860 "jp2.c"
        var $19=($18)!=1785737827; //@line 860 "jp2.c"
        if ($19) { __label__ = 0; break; } else { __label__ = 3; break; } //@line 860 "jp2.c"
      case 3: // $bb3
        var $20=HEAP[$cio_addr]; //@line 862 "jp2.c"
        var $21=_cio_tell($20); //@line 862 "jp2.c"
        var $22=HEAP[$j2k_codestream_offset_addr]; //@line 862 "jp2.c"
        HEAP[$22]=$21; //@line 862 "jp2.c"
        var $23=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 863 "jp2.c"
        var $24=HEAP[$23]; //@line 863 "jp2.c"
        var $25=CHECK_OVERFLOW((($24) - 8)&4294967295, 32); //@line 863 "jp2.c"
        var $26=HEAP[$j2k_codestream_length_addr]; //@line 863 "jp2.c"
        HEAP[$26]=$25; //@line 863 "jp2.c"
        HEAP[$0]=1; //@line 865 "jp2.c"
        var $27=HEAP[$0]; //@line 865 "jp2.c"
        HEAP[$retval]=$27; //@line 865 "jp2.c"
        __label__ = 4; break; //@line 865 "jp2.c"
      case 4: // $return
        var $retval4=HEAP[$retval]; //@line 865 "jp2.c"
        STACKTOP = __stackBase__;
        return $retval4; //@line 865 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_write_jp($cio) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cio_addr=__stackBase__;
        var $box=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$cio_addr]=$cio;
        var $0=HEAP[$cio_addr]; //@line 871 "jp2.c"
        var $1=_cio_tell($0); //@line 871 "jp2.c"
        var $2=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 871 "jp2.c"
        HEAP[$2]=$1; //@line 871 "jp2.c"
        var $3=HEAP[$cio_addr]; //@line 872 "jp2.c"
        _cio_skip($3, 4); //@line 872 "jp2.c"
        var $4=HEAP[$cio_addr]; //@line 873 "jp2.c"
        var $5=_cio_write($4, 1783636000, 4); //@line 873 "jp2.c"
        var $6=HEAP[$cio_addr]; //@line 874 "jp2.c"
        var $7=_cio_write($6, 218793738, 4); //@line 874 "jp2.c"
        var $8=HEAP[$cio_addr]; //@line 876 "jp2.c"
        var $9=_cio_tell($8); //@line 876 "jp2.c"
        var $10=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 876 "jp2.c"
        var $11=HEAP[$10]; //@line 876 "jp2.c"
        var $12=CHECK_OVERFLOW((($9) - ($11))&4294967295, 32); //@line 876 "jp2.c"
        var $13=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 876 "jp2.c"
        HEAP[$13]=$12; //@line 876 "jp2.c"
        var $14=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 877 "jp2.c"
        var $15=HEAP[$14]; //@line 877 "jp2.c"
        var $16=HEAP[$cio_addr]; //@line 877 "jp2.c"
        _cio_seek($16, $15); //@line 877 "jp2.c"
        var $17=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 878 "jp2.c"
        var $18=HEAP[$17]; //@line 878 "jp2.c"
        var $19=HEAP[$cio_addr]; //@line 878 "jp2.c"
        var $20=_cio_write($19, $18, 4); //@line 878 "jp2.c"
        var $21=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 879 "jp2.c"
        var $22=HEAP[$21]; //@line 879 "jp2.c"
        var $23=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 879 "jp2.c"
        var $24=HEAP[$23]; //@line 879 "jp2.c"
        var $25=CHECK_OVERFLOW((($22) + ($24))&4294967295, 32); //@line 879 "jp2.c"
        var $26=HEAP[$cio_addr]; //@line 879 "jp2.c"
        _cio_seek($26, $25); //@line 879 "jp2.c"
        __label__ = 0; break; //@line 880 "jp2.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 880 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_read_jp($jp2, $cio) {
    var __stackBase__  = STACKTOP; STACKTOP += 32; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 32);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $box=__stackBase__+16;
        var $cinfo=__stackBase__+28;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$cio_addr]=$cio;
        var $1=HEAP[$jp2_addr]; //@line 885 "jp2.c"
        var $2=CHECK_OVERFLOW(($1)&4294967295, 32); //@line 885 "jp2.c"
        var $3=HEAP[$2]; //@line 885 "jp2.c"
        HEAP[$cinfo]=$3; //@line 885 "jp2.c"
        var $4=HEAP[$cinfo]; //@line 887 "jp2.c"
        var $5=HEAP[$cio_addr]; //@line 887 "jp2.c"
        var $6=_jp2_read_boxhdr($4, $5, $box); //@line 887 "jp2.c"
        var $7=CHECK_OVERFLOW(($box+4)&4294967295, 32); //@line 888 "jp2.c"
        var $8=HEAP[$7]; //@line 888 "jp2.c"
        var $9=($8)!=1783636000; //@line 888 "jp2.c"
        if ($9) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 888 "jp2.c"
      case 0: // $bb
        var $10=HEAP[$cinfo]; //@line 889 "jp2.c"
        var $11=_opj_event_msg($10, 1, CHECK_OVERFLOW((__str13102)&4294967295, 32)); //@line 889 "jp2.c"
        HEAP[$0]=0; //@line 890 "jp2.c"
        __label__ = 2; break; //@line 890 "jp2.c"
      case 1: // $bb1
        var $12=HEAP[$cio_addr]; //@line 892 "jp2.c"
        var $13=_cio_read($12, 4); //@line 892 "jp2.c"
        var $14=($13)!=218793738; //@line 892 "jp2.c"
        if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 892 "jp2.c"
      case 3: // $bb2
        var $15=HEAP[$cinfo]; //@line 893 "jp2.c"
        var $16=_opj_event_msg($15, 1, CHECK_OVERFLOW((__str1424)&4294967295, 32)); //@line 893 "jp2.c"
        HEAP[$0]=0; //@line 894 "jp2.c"
        __label__ = 2; break; //@line 894 "jp2.c"
      case 4: // $bb3
        var $17=HEAP[$cio_addr]; //@line 896 "jp2.c"
        var $18=_cio_tell($17); //@line 896 "jp2.c"
        var $19=CHECK_OVERFLOW(($box+8)&4294967295, 32); //@line 896 "jp2.c"
        var $20=HEAP[$19]; //@line 896 "jp2.c"
        var $21=CHECK_OVERFLOW((($18) - ($20))&4294967295, 32); //@line 896 "jp2.c"
        var $22=CHECK_OVERFLOW(($box)&4294967295, 32); //@line 896 "jp2.c"
        var $23=HEAP[$22]; //@line 896 "jp2.c"
        var $24=($21)!=($23); //@line 896 "jp2.c"
        if ($24) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 896 "jp2.c"
      case 5: // $bb4
        var $25=HEAP[$cinfo]; //@line 897 "jp2.c"
        var $26=_opj_event_msg($25, 1, CHECK_OVERFLOW((__str15103)&4294967295, 32)); //@line 897 "jp2.c"
        HEAP[$0]=0; //@line 898 "jp2.c"
        __label__ = 2; break; //@line 898 "jp2.c"
      case 6: // $bb5
        HEAP[$0]=1; //@line 901 "jp2.c"
        __label__ = 2; break; //@line 901 "jp2.c"
      case 2: // $bb6
        var $27=HEAP[$0]; //@line 890 "jp2.c"
        HEAP[$retval]=$27; //@line 890 "jp2.c"
        __label__ = 7; break; //@line 890 "jp2.c"
      case 7: // $return
        var $retval7=HEAP[$retval]; //@line 890 "jp2.c"
        STACKTOP = __stackBase__;
        return $retval7; //@line 890 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_read_struct($jp2, $cio, $color) {
    var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 20);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $color_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $0=__stackBase__+16;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$cio_addr]=$cio;
        HEAP[$color_addr]=$color;
        var $1=HEAP[$jp2_addr]; //@line 907 "jp2.c"
        var $2=HEAP[$cio_addr]; //@line 907 "jp2.c"
        var $3=_jp2_read_jp($1, $2); //@line 907 "jp2.c"
        var $4=($3)==0; //@line 907 "jp2.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 907 "jp2.c"
      case 0: // $bb
        HEAP[$0]=0; //@line 908 "jp2.c"
        __label__ = 2; break; //@line 908 "jp2.c"
      case 1: // $bb1
        var $5=HEAP[$jp2_addr]; //@line 909 "jp2.c"
        var $6=HEAP[$cio_addr]; //@line 909 "jp2.c"
        var $7=_jp2_read_ftyp($5, $6); //@line 909 "jp2.c"
        var $8=($7)==0; //@line 909 "jp2.c"
        if ($8) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 909 "jp2.c"
      case 3: // $bb2
        HEAP[$0]=0; //@line 910 "jp2.c"
        __label__ = 2; break; //@line 910 "jp2.c"
      case 4: // $bb3
        var $9=HEAP[$jp2_addr]; //@line 911 "jp2.c"
        var $10=HEAP[$cio_addr]; //@line 911 "jp2.c"
        var $11=HEAP[$color_addr]; //@line 911 "jp2.c"
        var $12=_jp2_read_jp2h($9, $10, $11); //@line 911 "jp2.c"
        var $13=($12)==0; //@line 911 "jp2.c"
        if ($13) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 911 "jp2.c"
      case 5: // $bb4
        HEAP[$0]=0; //@line 912 "jp2.c"
        __label__ = 2; break; //@line 912 "jp2.c"
      case 6: // $bb5
        var $14=HEAP[$jp2_addr]; //@line 913 "jp2.c"
        var $15=CHECK_OVERFLOW(($14+72)&4294967295, 32); //@line 913 "jp2.c"
        var $16=HEAP[$jp2_addr]; //@line 913 "jp2.c"
        var $17=CHECK_OVERFLOW(($16+76)&4294967295, 32); //@line 913 "jp2.c"
        var $18=HEAP[$jp2_addr]; //@line 913 "jp2.c"
        var $19=HEAP[$cio_addr]; //@line 913 "jp2.c"
        var $20=_jp2_read_jp2c($18, $19, $17, $15); //@line 913 "jp2.c"
        var $21=($20)==0; //@line 913 "jp2.c"
        if ($21) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 913 "jp2.c"
      case 7: // $bb6
        HEAP[$0]=0; //@line 914 "jp2.c"
        __label__ = 2; break; //@line 914 "jp2.c"
      case 8: // $bb7
        HEAP[$0]=1; //@line 916 "jp2.c"
        __label__ = 2; break; //@line 916 "jp2.c"
      case 2: // $bb8
        var $22=HEAP[$0]; //@line 908 "jp2.c"
        HEAP[$retval]=$22; //@line 908 "jp2.c"
        __label__ = 9; break; //@line 908 "jp2.c"
      case 9: // $return
        var $retval9=HEAP[$retval]; //@line 908 "jp2.c"
        STACKTOP = __stackBase__;
        return $retval9; //@line 908 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_create_decompress($cinfo) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cinfo_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $jp2=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$cinfo_addr]=$cinfo;
        var $1=_calloc(1, 80); //@line 924 "jp2.c"
        var $2=$1; //@line 924 "jp2.c"
        HEAP[$jp2]=$2; //@line 924 "jp2.c"
        var $3=HEAP[$jp2]; //@line 925 "jp2.c"
        var $4=($3)!=0; //@line 925 "jp2.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 925 "jp2.c"
      case 0: // $bb
        var $5=HEAP[$jp2]; //@line 926 "jp2.c"
        var $6=CHECK_OVERFLOW(($5)&4294967295, 32); //@line 926 "jp2.c"
        var $7=HEAP[$cinfo_addr]; //@line 926 "jp2.c"
        HEAP[$6]=$7; //@line 926 "jp2.c"
        var $8=HEAP[$cinfo_addr]; //@line 928 "jp2.c"
        var $9=_j2k_create_decompress($8); //@line 928 "jp2.c"
        var $10=HEAP[$jp2]; //@line 928 "jp2.c"
        var $11=CHECK_OVERFLOW(($10+4)&4294967295, 32); //@line 928 "jp2.c"
        HEAP[$11]=$9; //@line 928 "jp2.c"
        var $12=HEAP[$jp2]; //@line 929 "jp2.c"
        var $13=CHECK_OVERFLOW(($12+4)&4294967295, 32); //@line 929 "jp2.c"
        var $14=HEAP[$13]; //@line 929 "jp2.c"
        var $15=($14)==0; //@line 929 "jp2.c"
        if ($15) { __label__ = 2; break; } else { __label__ = 1; break; } //@line 929 "jp2.c"
      case 2: // $bb1
        var $16=HEAP[$jp2]; //@line 930 "jp2.c"
        _jp2_destroy_decompress($16); //@line 930 "jp2.c"
        HEAP[$0]=0; //@line 931 "jp2.c"
        __label__ = 3; break; //@line 931 "jp2.c"
      case 1: // $bb2
        var $17=HEAP[$jp2]; //@line 934 "jp2.c"
        HEAP[$0]=$17; //@line 934 "jp2.c"
        __label__ = 3; break; //@line 934 "jp2.c"
      case 3: // $bb3
        var $18=HEAP[$0]; //@line 931 "jp2.c"
        HEAP[$retval]=$18; //@line 931 "jp2.c"
        __label__ = 4; break; //@line 931 "jp2.c"
      case 4: // $return
        var $retval4=HEAP[$retval]; //@line 931 "jp2.c"
        STACKTOP = __stackBase__;
        return $retval4; //@line 931 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_destroy_decompress($jp2) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        var $0=HEAP[$jp2_addr]; //@line 938 "jp2.c"
        var $1=($0)!=0; //@line 938 "jp2.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 938 "jp2.c"
      case 0: // $bb
        var $2=HEAP[$jp2_addr]; //@line 940 "jp2.c"
        var $3=CHECK_OVERFLOW(($2+4)&4294967295, 32); //@line 940 "jp2.c"
        var $4=HEAP[$3]; //@line 940 "jp2.c"
        _j2k_destroy_decompress($4); //@line 940 "jp2.c"
        var $5=HEAP[$jp2_addr]; //@line 942 "jp2.c"
        var $6=CHECK_OVERFLOW(($5+68)&4294967295, 32); //@line 942 "jp2.c"
        var $7=HEAP[$6]; //@line 942 "jp2.c"
        var $8=($7)!=0; //@line 942 "jp2.c"
        if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 942 "jp2.c"
      case 2: // $bb1
        var $9=HEAP[$jp2_addr]; //@line 943 "jp2.c"
        var $10=CHECK_OVERFLOW(($9+68)&4294967295, 32); //@line 943 "jp2.c"
        var $11=HEAP[$10]; //@line 943 "jp2.c"
        var $12=$11; //@line 943 "jp2.c"
        _free($12); //@line 943 "jp2.c"
        __label__ = 3; break; //@line 943 "jp2.c"
      case 3: // $bb2
        var $13=HEAP[$jp2_addr]; //@line 945 "jp2.c"
        var $14=CHECK_OVERFLOW(($13+64)&4294967295, 32); //@line 945 "jp2.c"
        var $15=HEAP[$14]; //@line 945 "jp2.c"
        var $16=($15)!=0; //@line 945 "jp2.c"
        if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 945 "jp2.c"
      case 4: // $bb3
        var $17=HEAP[$jp2_addr]; //@line 946 "jp2.c"
        var $18=CHECK_OVERFLOW(($17+64)&4294967295, 32); //@line 946 "jp2.c"
        var $19=HEAP[$18]; //@line 946 "jp2.c"
        var $20=$19; //@line 946 "jp2.c"
        _free($20); //@line 946 "jp2.c"
        __label__ = 5; break; //@line 946 "jp2.c"
      case 5: // $bb4
        var $21=HEAP[$jp2_addr]; //@line 948 "jp2.c"
        var $22=$21; //@line 948 "jp2.c"
        _free($22); //@line 948 "jp2.c"
        __label__ = 1; break; //@line 948 "jp2.c"
      case 1: // $bb5
        __label__ = 6; break; //@line 950 "jp2.c"
      case 6: // $return
        STACKTOP = __stackBase__;
        return; //@line 950 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_setup_decoder($jp2, $parameters) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $parameters_addr=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$parameters_addr]=$parameters;
        var $0=HEAP[$jp2_addr]; //@line 954 "jp2.c"
        var $1=CHECK_OVERFLOW(($0+4)&4294967295, 32); //@line 954 "jp2.c"
        var $2=HEAP[$1]; //@line 954 "jp2.c"
        var $3=HEAP[$parameters_addr]; //@line 954 "jp2.c"
        _j2k_setup_decoder($2, $3); //@line 954 "jp2.c"
        __label__ = 0; break; //@line 956 "jp2.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 956 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_create_compress($cinfo) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cinfo_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $jp2=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$cinfo_addr]=$cinfo;
        var $1=_malloc(80); //@line 963 "jp2.c"
        var $2=$1; //@line 963 "jp2.c"
        HEAP[$jp2]=$2; //@line 963 "jp2.c"
        var $3=HEAP[$jp2]; //@line 964 "jp2.c"
        var $4=($3)!=0; //@line 964 "jp2.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 964 "jp2.c"
      case 0: // $bb
        var $5=HEAP[$jp2]; //@line 965 "jp2.c"
        var $6=CHECK_OVERFLOW(($5)&4294967295, 32); //@line 965 "jp2.c"
        var $7=HEAP[$cinfo_addr]; //@line 965 "jp2.c"
        HEAP[$6]=$7; //@line 965 "jp2.c"
        var $8=HEAP[$cinfo_addr]; //@line 967 "jp2.c"
        var $9=_j2k_create_compress($8); //@line 967 "jp2.c"
        var $10=HEAP[$jp2]; //@line 967 "jp2.c"
        var $11=CHECK_OVERFLOW(($10+4)&4294967295, 32); //@line 967 "jp2.c"
        HEAP[$11]=$9; //@line 967 "jp2.c"
        var $12=HEAP[$jp2]; //@line 968 "jp2.c"
        var $13=CHECK_OVERFLOW(($12+4)&4294967295, 32); //@line 968 "jp2.c"
        var $14=HEAP[$13]; //@line 968 "jp2.c"
        var $15=($14)==0; //@line 968 "jp2.c"
        if ($15) { __label__ = 2; break; } else { __label__ = 1; break; } //@line 968 "jp2.c"
      case 2: // $bb1
        var $16=HEAP[$jp2]; //@line 969 "jp2.c"
        _jp2_destroy_compress($16); //@line 969 "jp2.c"
        HEAP[$0]=0; //@line 970 "jp2.c"
        __label__ = 3; break; //@line 970 "jp2.c"
      case 1: // $bb2
        var $17=HEAP[$jp2]; //@line 973 "jp2.c"
        HEAP[$0]=$17; //@line 973 "jp2.c"
        __label__ = 3; break; //@line 973 "jp2.c"
      case 3: // $bb3
        var $18=HEAP[$0]; //@line 970 "jp2.c"
        HEAP[$retval]=$18; //@line 970 "jp2.c"
        __label__ = 4; break; //@line 970 "jp2.c"
      case 4: // $return
        var $retval4=HEAP[$retval]; //@line 970 "jp2.c"
        STACKTOP = __stackBase__;
        return $retval4; //@line 970 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_destroy_compress($jp2) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        var $0=HEAP[$jp2_addr]; //@line 977 "jp2.c"
        var $1=($0)!=0; //@line 977 "jp2.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 977 "jp2.c"
      case 0: // $bb
        var $2=HEAP[$jp2_addr]; //@line 979 "jp2.c"
        var $3=CHECK_OVERFLOW(($2+4)&4294967295, 32); //@line 979 "jp2.c"
        var $4=HEAP[$3]; //@line 979 "jp2.c"
        _j2k_destroy_compress($4); //@line 979 "jp2.c"
        var $5=HEAP[$jp2_addr]; //@line 981 "jp2.c"
        var $6=CHECK_OVERFLOW(($5+68)&4294967295, 32); //@line 981 "jp2.c"
        var $7=HEAP[$6]; //@line 981 "jp2.c"
        var $8=($7)!=0; //@line 981 "jp2.c"
        if ($8) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 981 "jp2.c"
      case 2: // $bb1
        var $9=HEAP[$jp2_addr]; //@line 982 "jp2.c"
        var $10=CHECK_OVERFLOW(($9+68)&4294967295, 32); //@line 982 "jp2.c"
        var $11=HEAP[$10]; //@line 982 "jp2.c"
        var $12=$11; //@line 982 "jp2.c"
        _free($12); //@line 982 "jp2.c"
        __label__ = 3; break; //@line 982 "jp2.c"
      case 3: // $bb2
        var $13=HEAP[$jp2_addr]; //@line 984 "jp2.c"
        var $14=CHECK_OVERFLOW(($13+64)&4294967295, 32); //@line 984 "jp2.c"
        var $15=HEAP[$14]; //@line 984 "jp2.c"
        var $16=($15)!=0; //@line 984 "jp2.c"
        if ($16) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 984 "jp2.c"
      case 4: // $bb3
        var $17=HEAP[$jp2_addr]; //@line 985 "jp2.c"
        var $18=CHECK_OVERFLOW(($17+64)&4294967295, 32); //@line 985 "jp2.c"
        var $19=HEAP[$18]; //@line 985 "jp2.c"
        var $20=$19; //@line 985 "jp2.c"
        _free($20); //@line 985 "jp2.c"
        __label__ = 5; break; //@line 985 "jp2.c"
      case 5: // $bb4
        var $21=HEAP[$jp2_addr]; //@line 987 "jp2.c"
        var $22=$21; //@line 987 "jp2.c"
        _free($22); //@line 987 "jp2.c"
        __label__ = 1; break; //@line 987 "jp2.c"
      case 1: // $bb5
        __label__ = 6; break; //@line 989 "jp2.c"
      case 6: // $return
        STACKTOP = __stackBase__;
        return; //@line 989 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_setup_encoder($jp2, $parameters, $image) {
    var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 28);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $parameters_addr=__stackBase__+4;
        var $image_addr=__stackBase__+8;
        var $i=__stackBase__+12;
        var $depth_0=__stackBase__+16;
        var $sign=__stackBase__+20;
        var $depth=__stackBase__+24;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$parameters_addr]=$parameters;
        HEAP[$image_addr]=$image;
        var $0=HEAP[$jp2_addr]; //@line 995 "jp2.c"
        var $1=($0)==0; //@line 995 "jp2.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 995 "jp2.c"
      case 1: // $bb
        var $2=HEAP[$parameters_addr]; //@line 995 "jp2.c"
        var $3=($2)==0; //@line 995 "jp2.c"
        if ($3) { __label__ = 0; break; } else { __label__ = 2; break; } //@line 995 "jp2.c"
      case 2: // $bb1
        var $4=HEAP[$image_addr]; //@line 995 "jp2.c"
        var $5=($4)==0; //@line 995 "jp2.c"
        if ($5) { __label__ = 0; break; } else { __label__ = 3; break; } //@line 995 "jp2.c"
      case 0: // $bb2
        __label__ = 4; break; //@line 995 "jp2.c"
      case 3: // $bb3
        var $6=HEAP[$image_addr]; //@line 1002 "jp2.c"
        var $7=CHECK_OVERFLOW(($6+16)&4294967295, 32); //@line 1002 "jp2.c"
        var $8=HEAP[$7]; //@line 1002 "jp2.c"
        var $9=($8) <= 0; //@line 1002 "jp2.c"
        if ($9) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1002 "jp2.c"
      case 6: // $bb4
        var $10=HEAP[$image_addr]; //@line 1002 "jp2.c"
        var $11=CHECK_OVERFLOW(($10+16)&4294967295, 32); //@line 1002 "jp2.c"
        var $12=HEAP[$11]; //@line 1002 "jp2.c"
        var $13=($12) > 16384; //@line 1002 "jp2.c"
        if ($13) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 1002 "jp2.c"
      case 5: // $bb5
        var $14=HEAP[$jp2_addr]; //@line 1003 "jp2.c"
        var $15=CHECK_OVERFLOW(($14)&4294967295, 32); //@line 1003 "jp2.c"
        var $16=HEAP[$15]; //@line 1003 "jp2.c"
        var $17=_opj_event_msg($16, 1, CHECK_OVERFLOW((__str16104)&4294967295, 32)); //@line 1003 "jp2.c"
        __label__ = 4; break; //@line 1003 "jp2.c"
      case 7: // $bb6
        var $18=HEAP[$jp2_addr]; //@line 1007 "jp2.c"
        var $19=CHECK_OVERFLOW(($18+4)&4294967295, 32); //@line 1007 "jp2.c"
        var $20=HEAP[$19]; //@line 1007 "jp2.c"
        var $21=HEAP[$parameters_addr]; //@line 1007 "jp2.c"
        var $22=HEAP[$image_addr]; //@line 1007 "jp2.c"
        _j2k_setup_encoder($20, $21, $22); //@line 1007 "jp2.c"
        var $23=HEAP[$jp2_addr]; //@line 1014 "jp2.c"
        var $24=CHECK_OVERFLOW(($23+52)&4294967295, 32); //@line 1014 "jp2.c"
        HEAP[$24]=1785737760; //@line 1014 "jp2.c"
        var $25=HEAP[$jp2_addr]; //@line 1015 "jp2.c"
        var $26=CHECK_OVERFLOW(($25+56)&4294967295, 32); //@line 1015 "jp2.c"
        HEAP[$26]=0; //@line 1015 "jp2.c"
        var $27=HEAP[$jp2_addr]; //@line 1016 "jp2.c"
        var $28=CHECK_OVERFLOW(($27+60)&4294967295, 32); //@line 1016 "jp2.c"
        HEAP[$28]=1; //@line 1016 "jp2.c"
        var $29=HEAP[$jp2_addr]; //@line 1017 "jp2.c"
        var $30=CHECK_OVERFLOW(($29+60)&4294967295, 32); //@line 1017 "jp2.c"
        var $31=HEAP[$30]; //@line 1017 "jp2.c"
        var $32=CHECK_OVERFLOW((($31) * 4)&4294967295, 32); //@line 1017 "jp2.c"
        var $33=_malloc($32); //@line 1017 "jp2.c"
        var $34=$33; //@line 1017 "jp2.c"
        var $35=HEAP[$jp2_addr]; //@line 1017 "jp2.c"
        var $36=CHECK_OVERFLOW(($35+64)&4294967295, 32); //@line 1017 "jp2.c"
        HEAP[$36]=$34; //@line 1017 "jp2.c"
        var $37=HEAP[$jp2_addr]; //@line 1018 "jp2.c"
        var $38=CHECK_OVERFLOW(($37+64)&4294967295, 32); //@line 1018 "jp2.c"
        var $39=HEAP[$38]; //@line 1018 "jp2.c"
        var $40=CHECK_OVERFLOW(($39)&4294967295, 32); //@line 1018 "jp2.c"
        HEAP[$40]=1785737760; //@line 1018 "jp2.c"
        var $41=HEAP[$image_addr]; //@line 1022 "jp2.c"
        var $42=CHECK_OVERFLOW(($41+16)&4294967295, 32); //@line 1022 "jp2.c"
        var $43=HEAP[$42]; //@line 1022 "jp2.c"
        var $44=HEAP[$jp2_addr]; //@line 1022 "jp2.c"
        var $45=CHECK_OVERFLOW(($44+16)&4294967295, 32); //@line 1022 "jp2.c"
        HEAP[$45]=$43; //@line 1022 "jp2.c"
        var $46=HEAP[$jp2_addr]; //@line 1023 "jp2.c"
        var $47=CHECK_OVERFLOW(($46+16)&4294967295, 32); //@line 1023 "jp2.c"
        var $48=HEAP[$47]; //@line 1023 "jp2.c"
        var $49=CHECK_OVERFLOW((($48) * 12)&4294967295, 32); //@line 1023 "jp2.c"
        var $50=_malloc($49); //@line 1023 "jp2.c"
        var $51=$50; //@line 1023 "jp2.c"
        var $52=HEAP[$jp2_addr]; //@line 1023 "jp2.c"
        var $53=CHECK_OVERFLOW(($52+68)&4294967295, 32); //@line 1023 "jp2.c"
        HEAP[$53]=$51; //@line 1023 "jp2.c"
        var $54=HEAP[$image_addr]; //@line 1024 "jp2.c"
        var $55=CHECK_OVERFLOW(($54+12)&4294967295, 32); //@line 1024 "jp2.c"
        var $56=HEAP[$55]; //@line 1024 "jp2.c"
        var $57=HEAP[$image_addr]; //@line 1024 "jp2.c"
        var $58=CHECK_OVERFLOW(($57+4)&4294967295, 32); //@line 1024 "jp2.c"
        var $59=HEAP[$58]; //@line 1024 "jp2.c"
        var $60=CHECK_OVERFLOW((($56) - ($59))&4294967295, 32); //@line 1024 "jp2.c"
        var $61=HEAP[$jp2_addr]; //@line 1024 "jp2.c"
        var $62=CHECK_OVERFLOW(($61+12)&4294967295, 32); //@line 1024 "jp2.c"
        HEAP[$62]=$60; //@line 1024 "jp2.c"
        var $63=HEAP[$image_addr]; //@line 1025 "jp2.c"
        var $64=CHECK_OVERFLOW(($63+8)&4294967295, 32); //@line 1025 "jp2.c"
        var $65=HEAP[$64]; //@line 1025 "jp2.c"
        var $66=HEAP[$image_addr]; //@line 1025 "jp2.c"
        var $67=CHECK_OVERFLOW(($66)&4294967295, 32); //@line 1025 "jp2.c"
        var $68=HEAP[$67]; //@line 1025 "jp2.c"
        var $69=CHECK_OVERFLOW((($65) - ($68))&4294967295, 32); //@line 1025 "jp2.c"
        var $70=HEAP[$jp2_addr]; //@line 1025 "jp2.c"
        var $71=CHECK_OVERFLOW(($70+8)&4294967295, 32); //@line 1025 "jp2.c"
        HEAP[$71]=$69; //@line 1025 "jp2.c"
        var $72=HEAP[$image_addr]; //@line 1027 "jp2.c"
        var $73=CHECK_OVERFLOW(($72+24)&4294967295, 32); //@line 1027 "jp2.c"
        var $74=HEAP[$73]; //@line 1027 "jp2.c"
        var $75=CHECK_OVERFLOW(($74)&4294967295, 32); //@line 1027 "jp2.c"
        var $76=CHECK_OVERFLOW(($75+24)&4294967295, 32); //@line 1027 "jp2.c"
        var $77=HEAP[$76]; //@line 1027 "jp2.c"
        var $78=CHECK_OVERFLOW((($77) - 1)&4294967295, 32); //@line 1027 "jp2.c"
        HEAP[$depth_0]=$78; //@line 1027 "jp2.c"
        var $79=HEAP[$image_addr]; //@line 1028 "jp2.c"
        var $80=CHECK_OVERFLOW(($79+24)&4294967295, 32); //@line 1028 "jp2.c"
        var $81=HEAP[$80]; //@line 1028 "jp2.c"
        var $82=CHECK_OVERFLOW(($81)&4294967295, 32); //@line 1028 "jp2.c"
        var $83=CHECK_OVERFLOW(($82+32)&4294967295, 32); //@line 1028 "jp2.c"
        var $84=HEAP[$83]; //@line 1028 "jp2.c"
        HEAP[$sign]=$84; //@line 1028 "jp2.c"
        var $85=HEAP[$sign]; //@line 1029 "jp2.c"
        var $86=($85) << 7; //@line 1029 "jp2.c"
        var $87=HEAP[$depth_0]; //@line 1029 "jp2.c"
        var $88=CHECK_OVERFLOW((($86) + ($87))&4294967295, 32); //@line 1029 "jp2.c"
        var $89=HEAP[$jp2_addr]; //@line 1029 "jp2.c"
        var $90=CHECK_OVERFLOW(($89+20)&4294967295, 32); //@line 1029 "jp2.c"
        HEAP[$90]=$88; //@line 1029 "jp2.c"
        HEAP[$i]=1; //@line 1030 "jp2.c"
        __label__ = 8; break; //@line 1030 "jp2.c"
      case 11: // $bb7
        var $91=HEAP[$image_addr]; //@line 1031 "jp2.c"
        var $92=CHECK_OVERFLOW(($91+24)&4294967295, 32); //@line 1031 "jp2.c"
        var $93=HEAP[$92]; //@line 1031 "jp2.c"
        var $94=HEAP[$i]; //@line 1031 "jp2.c"
        var $95=CHECK_OVERFLOW(($93+48*$94)&4294967295, 32); //@line 1031 "jp2.c"
        var $96=CHECK_OVERFLOW(($95+24)&4294967295, 32); //@line 1031 "jp2.c"
        var $97=HEAP[$96]; //@line 1031 "jp2.c"
        var $98=CHECK_OVERFLOW((($97) - 1)&4294967295, 32); //@line 1031 "jp2.c"
        HEAP[$depth]=$98; //@line 1031 "jp2.c"
        var $99=HEAP[$image_addr]; //@line 1032 "jp2.c"
        var $100=CHECK_OVERFLOW(($99+24)&4294967295, 32); //@line 1032 "jp2.c"
        var $101=HEAP[$100]; //@line 1032 "jp2.c"
        var $102=HEAP[$i]; //@line 1032 "jp2.c"
        var $103=CHECK_OVERFLOW(($101+48*$102)&4294967295, 32); //@line 1032 "jp2.c"
        var $104=CHECK_OVERFLOW(($103+32)&4294967295, 32); //@line 1032 "jp2.c"
        var $105=HEAP[$104]; //@line 1032 "jp2.c"
        HEAP[$sign]=$105; //@line 1032 "jp2.c"
        var $106=HEAP[$depth_0]; //@line 1033 "jp2.c"
        var $107=HEAP[$depth]; //@line 1033 "jp2.c"
        var $108=($106)!=($107); //@line 1033 "jp2.c"
        if ($108) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1033 "jp2.c"
      case 9: // $bb8
        var $109=HEAP[$jp2_addr]; //@line 1034 "jp2.c"
        var $110=CHECK_OVERFLOW(($109+20)&4294967295, 32); //@line 1034 "jp2.c"
        HEAP[$110]=255; //@line 1034 "jp2.c"
        __label__ = 10; break; //@line 1034 "jp2.c"
      case 10: // $bb9
        var $111=HEAP[$i]; //@line 1030 "jp2.c"
        var $112=CHECK_OVERFLOW((($111) + 1)&4294967295, 32); //@line 1030 "jp2.c"
        HEAP[$i]=$112; //@line 1030 "jp2.c"
        __label__ = 8; break; //@line 1030 "jp2.c"
      case 8: // $bb10
        var $113=HEAP[$image_addr]; //@line 1030 "jp2.c"
        var $114=CHECK_OVERFLOW(($113+16)&4294967295, 32); //@line 1030 "jp2.c"
        var $115=HEAP[$114]; //@line 1030 "jp2.c"
        var $116=HEAP[$i]; //@line 1030 "jp2.c"
        var $117=($115) > ($116); //@line 1030 "jp2.c"
        if ($117) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1030 "jp2.c"
      case 12: // $bb11
        var $118=HEAP[$jp2_addr]; //@line 1036 "jp2.c"
        var $119=CHECK_OVERFLOW(($118+24)&4294967295, 32); //@line 1036 "jp2.c"
        HEAP[$119]=7; //@line 1036 "jp2.c"
        var $120=HEAP[$jp2_addr]; //@line 1037 "jp2.c"
        var $121=CHECK_OVERFLOW(($120+28)&4294967295, 32); //@line 1037 "jp2.c"
        HEAP[$121]=0; //@line 1037 "jp2.c"
        var $122=HEAP[$jp2_addr]; //@line 1038 "jp2.c"
        var $123=CHECK_OVERFLOW(($122+32)&4294967295, 32); //@line 1038 "jp2.c"
        HEAP[$123]=0; //@line 1038 "jp2.c"
        HEAP[$i]=0; //@line 1042 "jp2.c"
        __label__ = 13; break; //@line 1042 "jp2.c"
      case 14: // $bb12
        var $124=HEAP[$jp2_addr]; //@line 1043 "jp2.c"
        var $125=CHECK_OVERFLOW(($124+68)&4294967295, 32); //@line 1043 "jp2.c"
        var $126=HEAP[$125]; //@line 1043 "jp2.c"
        var $127=HEAP[$i]; //@line 1043 "jp2.c"
        var $128=CHECK_OVERFLOW(($126+12*$127)&4294967295, 32); //@line 1043 "jp2.c"
        var $129=HEAP[$image_addr]; //@line 1043 "jp2.c"
        var $130=CHECK_OVERFLOW(($129+24)&4294967295, 32); //@line 1043 "jp2.c"
        var $131=HEAP[$130]; //@line 1043 "jp2.c"
        var $132=HEAP[$i]; //@line 1043 "jp2.c"
        var $133=CHECK_OVERFLOW(($131+48*$132)&4294967295, 32); //@line 1043 "jp2.c"
        var $134=CHECK_OVERFLOW(($133+24)&4294967295, 32); //@line 1043 "jp2.c"
        var $135=HEAP[$134]; //@line 1043 "jp2.c"
        var $136=CHECK_OVERFLOW((($135) - 1)&4294967295, 32); //@line 1043 "jp2.c"
        var $137=HEAP[$image_addr]; //@line 1043 "jp2.c"
        var $138=CHECK_OVERFLOW(($137+24)&4294967295, 32); //@line 1043 "jp2.c"
        var $139=HEAP[$138]; //@line 1043 "jp2.c"
        var $140=HEAP[$i]; //@line 1043 "jp2.c"
        var $141=CHECK_OVERFLOW(($139+48*$140)&4294967295, 32); //@line 1043 "jp2.c"
        var $142=CHECK_OVERFLOW(($141+32)&4294967295, 32); //@line 1043 "jp2.c"
        var $143=HEAP[$142]; //@line 1043 "jp2.c"
        var $144=($143) << 7; //@line 1043 "jp2.c"
        var $145=CHECK_OVERFLOW((($136) + ($144))&4294967295, 32); //@line 1043 "jp2.c"
        var $146=CHECK_OVERFLOW(($128+8)&4294967295, 32); //@line 1043 "jp2.c"
        HEAP[$146]=$145; //@line 1043 "jp2.c"
        var $147=HEAP[$i]; //@line 1042 "jp2.c"
        var $148=CHECK_OVERFLOW((($147) + 1)&4294967295, 32); //@line 1042 "jp2.c"
        HEAP[$i]=$148; //@line 1042 "jp2.c"
        __label__ = 13; break; //@line 1042 "jp2.c"
      case 13: // $bb13
        var $149=HEAP[$image_addr]; //@line 1042 "jp2.c"
        var $150=CHECK_OVERFLOW(($149+16)&4294967295, 32); //@line 1042 "jp2.c"
        var $151=HEAP[$150]; //@line 1042 "jp2.c"
        var $152=HEAP[$i]; //@line 1042 "jp2.c"
        var $153=($151) > ($152); //@line 1042 "jp2.c"
        if ($153) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1042 "jp2.c"
      case 15: // $bb14
        var $154=HEAP[$image_addr]; //@line 1048 "jp2.c"
        var $155=CHECK_OVERFLOW(($154+16)&4294967295, 32); //@line 1048 "jp2.c"
        var $156=HEAP[$155]; //@line 1048 "jp2.c"
        var $157=($156)==1; //@line 1048 "jp2.c"
        if ($157) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1048 "jp2.c"
      case 17: // $bb15
        var $158=HEAP[$image_addr]; //@line 1048 "jp2.c"
        var $159=CHECK_OVERFLOW(($158+16)&4294967295, 32); //@line 1048 "jp2.c"
        var $160=HEAP[$159]; //@line 1048 "jp2.c"
        var $161=($160)==3; //@line 1048 "jp2.c"
        if ($161) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 1048 "jp2.c"
      case 16: // $bb16
        var $162=HEAP[$jp2_addr]; //@line 1048 "jp2.c"
        var $163=CHECK_OVERFLOW(($162+20)&4294967295, 32); //@line 1048 "jp2.c"
        var $164=HEAP[$163]; //@line 1048 "jp2.c"
        var $165=($164)==255; //@line 1048 "jp2.c"
        if ($165) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1048 "jp2.c"
      case 19: // $bb17
        var $166=HEAP[$jp2_addr]; //@line 1049 "jp2.c"
        var $167=CHECK_OVERFLOW(($166+36)&4294967295, 32); //@line 1049 "jp2.c"
        HEAP[$167]=1; //@line 1049 "jp2.c"
        __label__ = 20; break; //@line 1049 "jp2.c"
      case 18: // $bb18
        var $168=HEAP[$jp2_addr]; //@line 1051 "jp2.c"
        var $169=CHECK_OVERFLOW(($168+36)&4294967295, 32); //@line 1051 "jp2.c"
        HEAP[$169]=2; //@line 1051 "jp2.c"
        __label__ = 20; break; //@line 1051 "jp2.c"
      case 20: // $bb19
        var $170=HEAP[$jp2_addr]; //@line 1053 "jp2.c"
        var $171=CHECK_OVERFLOW(($170+36)&4294967295, 32); //@line 1053 "jp2.c"
        var $172=HEAP[$171]; //@line 1053 "jp2.c"
        var $173=($172)==1; //@line 1053 "jp2.c"
        if ($173) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1053 "jp2.c"
      case 21: // $bb20
        var $174=HEAP[$image_addr]; //@line 1054 "jp2.c"
        var $175=CHECK_OVERFLOW(($174+20)&4294967295, 32); //@line 1054 "jp2.c"
        var $176=HEAP[$175]; //@line 1054 "jp2.c"
        var $177=($176)==1; //@line 1054 "jp2.c"
        if ($177) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1054 "jp2.c"
      case 23: // $bb21
        var $178=HEAP[$jp2_addr]; //@line 1055 "jp2.c"
        var $179=CHECK_OVERFLOW(($178+44)&4294967295, 32); //@line 1055 "jp2.c"
        HEAP[$179]=16; //@line 1055 "jp2.c"
        __label__ = 25; break; //@line 1055 "jp2.c"
      case 24: // $bb22
        var $180=HEAP[$image_addr]; //@line 1056 "jp2.c"
        var $181=CHECK_OVERFLOW(($180+20)&4294967295, 32); //@line 1056 "jp2.c"
        var $182=HEAP[$181]; //@line 1056 "jp2.c"
        var $183=($182)==2; //@line 1056 "jp2.c"
        if ($183) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 1056 "jp2.c"
      case 26: // $bb23
        var $184=HEAP[$jp2_addr]; //@line 1057 "jp2.c"
        var $185=CHECK_OVERFLOW(($184+44)&4294967295, 32); //@line 1057 "jp2.c"
        HEAP[$185]=17; //@line 1057 "jp2.c"
        __label__ = 25; break; //@line 1057 "jp2.c"
      case 27: // $bb24
        var $186=HEAP[$image_addr]; //@line 1058 "jp2.c"
        var $187=CHECK_OVERFLOW(($186+20)&4294967295, 32); //@line 1058 "jp2.c"
        var $188=HEAP[$187]; //@line 1058 "jp2.c"
        var $189=($188)==3; //@line 1058 "jp2.c"
        if ($189) { __label__ = 28; break; } else { __label__ = 25; break; } //@line 1058 "jp2.c"
      case 28: // $bb25
        var $190=HEAP[$jp2_addr]; //@line 1059 "jp2.c"
        var $191=CHECK_OVERFLOW(($190+44)&4294967295, 32); //@line 1059 "jp2.c"
        HEAP[$191]=18; //@line 1059 "jp2.c"
        __label__ = 25; break; //@line 1059 "jp2.c"
      case 25: // $bb26
        __label__ = 29; break; //@line 1059 "jp2.c"
      case 22: // $bb27
        var $192=HEAP[$jp2_addr]; //@line 1061 "jp2.c"
        var $193=CHECK_OVERFLOW(($192+44)&4294967295, 32); //@line 1061 "jp2.c"
        HEAP[$193]=0; //@line 1061 "jp2.c"
        __label__ = 29; break; //@line 1061 "jp2.c"
      case 29: // $bb28
        var $194=HEAP[$jp2_addr]; //@line 1063 "jp2.c"
        var $195=CHECK_OVERFLOW(($194+48)&4294967295, 32); //@line 1063 "jp2.c"
        HEAP[$195]=0; //@line 1063 "jp2.c"
        var $196=HEAP[$jp2_addr]; //@line 1064 "jp2.c"
        var $197=CHECK_OVERFLOW(($196+40)&4294967295, 32); //@line 1064 "jp2.c"
        HEAP[$197]=0; //@line 1064 "jp2.c"
        __label__ = 4; break; //@line 1064 "jp2.c"
      case 4: // $bb29
        __label__ = 30; break; //@line 996 "jp2.c"
      case 30: // $return
        STACKTOP = __stackBase__;
        return; //@line 996 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jp2_encode($jp2, $cio, $image, $cstr_info) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $jp2_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $image_addr=__stackBase__+8;
        var $cstr_info_addr=__stackBase__+12;
        var $retval=__stackBase__+16;
        var $0=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$jp2_addr]=$jp2;
        HEAP[$cio_addr]=$cio;
        HEAP[$image_addr]=$image;
        HEAP[$cstr_info_addr]=$cstr_info;
        var $1=HEAP[$cio_addr]; //@line 1073 "jp2.c"
        _jp2_write_jp($1); //@line 1073 "jp2.c"
        var $2=HEAP[$jp2_addr]; //@line 1075 "jp2.c"
        var $3=HEAP[$cio_addr]; //@line 1075 "jp2.c"
        _jp2_write_ftyp($2, $3); //@line 1075 "jp2.c"
        var $4=HEAP[$jp2_addr]; //@line 1077 "jp2.c"
        var $5=HEAP[$cio_addr]; //@line 1077 "jp2.c"
        _jp2_write_jp2h($4, $5); //@line 1077 "jp2.c"
        var $6=HEAP[$jp2_addr]; //@line 1081 "jp2.c"
        var $7=HEAP[$cio_addr]; //@line 1081 "jp2.c"
        var $8=HEAP[$image_addr]; //@line 1081 "jp2.c"
        var $9=HEAP[$cstr_info_addr]; //@line 1081 "jp2.c"
        var $10=_jp2_write_jp2c($6, $7, $8, $9); //@line 1081 "jp2.c"
        var $11=($10)==0; //@line 1081 "jp2.c"
        if ($11) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1081 "jp2.c"
      case 0: // $bb
        var $12=HEAP[$jp2_addr]; //@line 1082 "jp2.c"
        var $13=CHECK_OVERFLOW(($12)&4294967295, 32); //@line 1082 "jp2.c"
        var $14=HEAP[$13]; //@line 1082 "jp2.c"
        var $15=_opj_event_msg($14, 1, CHECK_OVERFLOW((__str12101)&4294967295, 32)); //@line 1082 "jp2.c"
        HEAP[$0]=0; //@line 1083 "jp2.c"
        __label__ = 2; break; //@line 1083 "jp2.c"
      case 1: // $bb1
        HEAP[$0]=1; //@line 1086 "jp2.c"
        __label__ = 2; break; //@line 1086 "jp2.c"
      case 2: // $bb2
        var $16=HEAP[$0]; //@line 1083 "jp2.c"
        HEAP[$retval]=$16; //@line 1083 "jp2.c"
        __label__ = 3; break; //@line 1083 "jp2.c"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 1083 "jp2.c"
        STACKTOP = __stackBase__;
        return $retval3; //@line 1083 "jp2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jpt_read_VBAS_info($cio, $value) {
    var __stackBase__  = STACKTOP; STACKTOP += 17; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 17);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cio_addr=__stackBase__;
        var $value_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $elmt=__stackBase__+16;
        var $_alloca_point_=0;
        HEAP[$cio_addr]=$cio;
        HEAP[$value_addr]=$value;
        var $1=HEAP[$cio_addr]; //@line 40 "jpt.c"
        var $2=_cio_read($1, 1); //@line 40 "jpt.c"
        var $3=((($2)) & 255); //@line 40 "jpt.c"
        HEAP[$elmt]=$3; //@line 40 "jpt.c"
        __label__ = 0; break; //@line 40 "jpt.c"
      case 1: // $bb
        var $4=HEAP[$value_addr]; //@line 42 "jpt.c"
        var $5=($4) << 7; //@line 42 "jpt.c"
        HEAP[$value_addr]=$5; //@line 42 "jpt.c"
        var $6=HEAP[$elmt]; //@line 43 "jpt.c"
        var $7=($6); //@line 43 "jpt.c"
        var $8=($7) & 127; //@line 43 "jpt.c"
        var $9=HEAP[$value_addr]; //@line 43 "jpt.c"
        var $10=($8) | ($9); //@line 43 "jpt.c"
        HEAP[$value_addr]=$10; //@line 43 "jpt.c"
        var $11=HEAP[$cio_addr]; //@line 44 "jpt.c"
        var $12=_cio_read($11, 1); //@line 44 "jpt.c"
        var $13=((($12)) & 255); //@line 44 "jpt.c"
        HEAP[$elmt]=$13; //@line 44 "jpt.c"
        __label__ = 0; break; //@line 44 "jpt.c"
      case 0: // $bb1
        var $14=HEAP[$elmt]; //@line 41 "jpt.c"
        var $15=($14) >>> 7; //@line 41 "jpt.c"
        var $16=($15)==1; //@line 41 "jpt.c"
        if ($16) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 41 "jpt.c"
      case 2: // $bb2
        var $17=HEAP[$value_addr]; //@line 46 "jpt.c"
        var $18=($17) << 7; //@line 46 "jpt.c"
        HEAP[$value_addr]=$18; //@line 46 "jpt.c"
        var $19=HEAP[$elmt]; //@line 47 "jpt.c"
        var $20=($19); //@line 47 "jpt.c"
        var $21=($20) & 127; //@line 47 "jpt.c"
        var $22=HEAP[$value_addr]; //@line 47 "jpt.c"
        var $23=($21) | ($22); //@line 47 "jpt.c"
        HEAP[$value_addr]=$23; //@line 47 "jpt.c"
        var $24=HEAP[$value_addr]; //@line 49 "jpt.c"
        HEAP[$0]=$24; //@line 49 "jpt.c"
        var $25=HEAP[$0]; //@line 49 "jpt.c"
        HEAP[$retval]=$25; //@line 49 "jpt.c"
        __label__ = 3; break; //@line 49 "jpt.c"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 49 "jpt.c"
        STACKTOP = __stackBase__;
        return $retval3; //@line 49 "jpt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jpt_init_msg_header($header) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $header_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$header_addr]=$header;
        var $0=HEAP[$header_addr]; //@line 57 "jpt.c"
        var $1=CHECK_OVERFLOW(($0)&4294967295, 32); //@line 57 "jpt.c"
        HEAP[$1]=0; //@line 57 "jpt.c"
        var $2=HEAP[$header_addr]; //@line 58 "jpt.c"
        var $3=CHECK_OVERFLOW(($2+4)&4294967295, 32); //@line 58 "jpt.c"
        HEAP[$3]=0; //@line 58 "jpt.c"
        var $4=HEAP[$header_addr]; //@line 59 "jpt.c"
        var $5=CHECK_OVERFLOW(($4+8)&4294967295, 32); //@line 59 "jpt.c"
        HEAP[$5]=0; //@line 59 "jpt.c"
        var $6=HEAP[$header_addr]; //@line 60 "jpt.c"
        var $7=CHECK_OVERFLOW(($6+12)&4294967295, 32); //@line 60 "jpt.c"
        HEAP[$7]=0; //@line 60 "jpt.c"
        var $8=HEAP[$header_addr]; //@line 61 "jpt.c"
        var $9=CHECK_OVERFLOW(($8+16)&4294967295, 32); //@line 61 "jpt.c"
        HEAP[$9]=0; //@line 61 "jpt.c"
        var $10=HEAP[$header_addr]; //@line 62 "jpt.c"
        var $11=CHECK_OVERFLOW(($10+20)&4294967295, 32); //@line 62 "jpt.c"
        HEAP[$11]=0; //@line 62 "jpt.c"
        var $12=HEAP[$header_addr]; //@line 63 "jpt.c"
        var $13=CHECK_OVERFLOW(($12+24)&4294967295, 32); //@line 63 "jpt.c"
        HEAP[$13]=0; //@line 63 "jpt.c"
        __label__ = 0; break; //@line 64 "jpt.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 64 "jpt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jpt_reinit_msg_header($header) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $header_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$header_addr]=$header;
        var $0=HEAP[$header_addr]; //@line 73 "jpt.c"
        var $1=CHECK_OVERFLOW(($0)&4294967295, 32); //@line 73 "jpt.c"
        HEAP[$1]=0; //@line 73 "jpt.c"
        var $2=HEAP[$header_addr]; //@line 74 "jpt.c"
        var $3=CHECK_OVERFLOW(($2+4)&4294967295, 32); //@line 74 "jpt.c"
        HEAP[$3]=0; //@line 74 "jpt.c"
        var $4=HEAP[$header_addr]; //@line 75 "jpt.c"
        var $5=CHECK_OVERFLOW(($4+16)&4294967295, 32); //@line 75 "jpt.c"
        HEAP[$5]=0; //@line 75 "jpt.c"
        var $6=HEAP[$header_addr]; //@line 76 "jpt.c"
        var $7=CHECK_OVERFLOW(($6+20)&4294967295, 32); //@line 76 "jpt.c"
        HEAP[$7]=0; //@line 76 "jpt.c"
        __label__ = 0; break; //@line 77 "jpt.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 77 "jpt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _jpt_read_msg_header($cinfo, $cio, $header) {
    var __stackBase__  = STACKTOP; STACKTOP += 15; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 15);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cinfo_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $header_addr=__stackBase__+8;
        var $elmt=__stackBase__+12;
        var $Class=__stackBase__+13;
        var $CSn=__stackBase__+14;
        var $_alloca_point_=0;
        HEAP[$cinfo_addr]=$cinfo;
        HEAP[$cio_addr]=$cio;
        HEAP[$header_addr]=$header;
        HEAP[$Class]=0; //@line 84 "jpt.c"
        HEAP[$CSn]=0; //@line 84 "jpt.c"
        var $0=HEAP[$header_addr]; //@line 85 "jpt.c"
        _jpt_reinit_msg_header($0); //@line 85 "jpt.c"
        var $1=HEAP[$cio_addr]; //@line 90 "jpt.c"
        var $2=_cio_read($1, 1); //@line 90 "jpt.c"
        var $3=((($2)) & 255); //@line 90 "jpt.c"
        HEAP[$elmt]=$3; //@line 90 "jpt.c"
        var $4=HEAP[$elmt]; //@line 93 "jpt.c"
        var $5=($4) >>> 5; //@line 93 "jpt.c"
        var $6=($5); //@line 93 "jpt.c"
        var $7=($6) & 3; //@line 93 "jpt.c"
        if ($7 == 0) {
          __label__ = 12; break;
        }
        else if ($7 == 1) {
          __label__ = 13; break;
        }
        else if ($7 == 2) {
          __label__ = 14; break;
        }
        else if ($7 == 3) {
          __label__ = 15; break;
        }
        else {
        __label__ = 0; break;
        }
        
      case 12: // $bb
        var $8=HEAP[$cinfo_addr]; //@line 95 "jpt.c"
        var $9=_opj_event_msg($8, 1, CHECK_OVERFLOW((__str25105)&4294967295, 32)); //@line 95 "jpt.c"
        __label__ = 0; break; //@line 95 "jpt.c"
      case 13: // $bb1
        HEAP[$Class]=0; //@line 98 "jpt.c"
        HEAP[$CSn]=0; //@line 99 "jpt.c"
        __label__ = 0; break; //@line 99 "jpt.c"
      case 14: // $bb2
        HEAP[$Class]=1; //@line 102 "jpt.c"
        HEAP[$CSn]=0; //@line 103 "jpt.c"
        __label__ = 0; break; //@line 103 "jpt.c"
      case 15: // $bb3
        HEAP[$Class]=1; //@line 106 "jpt.c"
        HEAP[$CSn]=1; //@line 107 "jpt.c"
        __label__ = 0; break; //@line 107 "jpt.c"
      case 0: // $bb4
        var $10=HEAP[$elmt]; //@line 114 "jpt.c"
        var $11=($10) >>> 4; //@line 114 "jpt.c"
        var $12=($11); //@line 114 "jpt.c"
        var $13=($12) & 1; //@line 114 "jpt.c"
        var $14=((($13)) & 255); //@line 114 "jpt.c"
        var $toBool=($14)!=0; //@line 114 "jpt.c"
        if ($toBool) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 114 "jpt.c"
      case 1: // $bb5
        var $15=HEAP[$header_addr]; //@line 115 "jpt.c"
        var $16=CHECK_OVERFLOW(($15+4)&4294967295, 32); //@line 115 "jpt.c"
        HEAP[$16]=1; //@line 115 "jpt.c"
        __label__ = 2; break; //@line 115 "jpt.c"
      case 2: // $bb6
        var $17=HEAP[$header_addr]; //@line 118 "jpt.c"
        var $18=CHECK_OVERFLOW(($17)&4294967295, 32); //@line 118 "jpt.c"
        var $19=HEAP[$18]; //@line 118 "jpt.c"
        var $20=HEAP[$elmt]; //@line 118 "jpt.c"
        var $21=($20); //@line 118 "jpt.c"
        var $22=($21) & 15; //@line 118 "jpt.c"
        var $23=($19) | ($22); //@line 118 "jpt.c"
        var $24=HEAP[$header_addr]; //@line 118 "jpt.c"
        var $25=CHECK_OVERFLOW(($24)&4294967295, 32); //@line 118 "jpt.c"
        HEAP[$25]=$23; //@line 118 "jpt.c"
        var $26=HEAP[$elmt]; //@line 119 "jpt.c"
        var $27=($26) >>> 7; //@line 119 "jpt.c"
        var $28=($27)==1; //@line 119 "jpt.c"
        if ($28) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 119 "jpt.c"
      case 3: // $bb7
        var $29=HEAP[$header_addr]; //@line 120 "jpt.c"
        var $30=CHECK_OVERFLOW(($29)&4294967295, 32); //@line 120 "jpt.c"
        var $31=HEAP[$30]; //@line 120 "jpt.c"
        var $32=HEAP[$cio_addr]; //@line 120 "jpt.c"
        var $33=_jpt_read_VBAS_info($32, $31); //@line 120 "jpt.c"
        var $34=HEAP[$header_addr]; //@line 120 "jpt.c"
        var $35=CHECK_OVERFLOW(($34)&4294967295, 32); //@line 120 "jpt.c"
        HEAP[$35]=$33; //@line 120 "jpt.c"
        __label__ = 4; break; //@line 120 "jpt.c"
      case 4: // $bb8
        var $36=HEAP[$Class]; //@line 125 "jpt.c"
        var $37=($36)==1; //@line 125 "jpt.c"
        if ($37) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 125 "jpt.c"
      case 5: // $bb9
        var $38=HEAP[$header_addr]; //@line 126 "jpt.c"
        var $39=CHECK_OVERFLOW(($38+8)&4294967295, 32); //@line 126 "jpt.c"
        HEAP[$39]=0; //@line 126 "jpt.c"
        var $40=HEAP[$header_addr]; //@line 127 "jpt.c"
        var $41=CHECK_OVERFLOW(($40+8)&4294967295, 32); //@line 127 "jpt.c"
        var $42=HEAP[$41]; //@line 127 "jpt.c"
        var $43=HEAP[$cio_addr]; //@line 127 "jpt.c"
        var $44=_jpt_read_VBAS_info($43, $42); //@line 127 "jpt.c"
        var $45=HEAP[$header_addr]; //@line 127 "jpt.c"
        var $46=CHECK_OVERFLOW(($45+8)&4294967295, 32); //@line 127 "jpt.c"
        HEAP[$46]=$44; //@line 127 "jpt.c"
        __label__ = 6; break; //@line 127 "jpt.c"
      case 6: // $bb10
        var $47=HEAP[$CSn]; //@line 133 "jpt.c"
        var $48=($47)==1; //@line 133 "jpt.c"
        if ($48) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 133 "jpt.c"
      case 7: // $bb11
        var $49=HEAP[$header_addr]; //@line 134 "jpt.c"
        var $50=CHECK_OVERFLOW(($49+12)&4294967295, 32); //@line 134 "jpt.c"
        HEAP[$50]=0; //@line 134 "jpt.c"
        var $51=HEAP[$header_addr]; //@line 135 "jpt.c"
        var $52=CHECK_OVERFLOW(($51+12)&4294967295, 32); //@line 135 "jpt.c"
        var $53=HEAP[$52]; //@line 135 "jpt.c"
        var $54=HEAP[$cio_addr]; //@line 135 "jpt.c"
        var $55=_jpt_read_VBAS_info($54, $53); //@line 135 "jpt.c"
        var $56=HEAP[$header_addr]; //@line 135 "jpt.c"
        var $57=CHECK_OVERFLOW(($56+12)&4294967295, 32); //@line 135 "jpt.c"
        HEAP[$57]=$55; //@line 135 "jpt.c"
        __label__ = 8; break; //@line 135 "jpt.c"
      case 8: // $bb12
        var $58=HEAP[$header_addr]; //@line 141 "jpt.c"
        var $59=CHECK_OVERFLOW(($58+16)&4294967295, 32); //@line 141 "jpt.c"
        var $60=HEAP[$59]; //@line 141 "jpt.c"
        var $61=HEAP[$cio_addr]; //@line 141 "jpt.c"
        var $62=_jpt_read_VBAS_info($61, $60); //@line 141 "jpt.c"
        var $63=HEAP[$header_addr]; //@line 141 "jpt.c"
        var $64=CHECK_OVERFLOW(($63+16)&4294967295, 32); //@line 141 "jpt.c"
        HEAP[$64]=$62; //@line 141 "jpt.c"
        var $65=HEAP[$header_addr]; //@line 146 "jpt.c"
        var $66=CHECK_OVERFLOW(($65+20)&4294967295, 32); //@line 146 "jpt.c"
        var $67=HEAP[$66]; //@line 146 "jpt.c"
        var $68=HEAP[$cio_addr]; //@line 146 "jpt.c"
        var $69=_jpt_read_VBAS_info($68, $67); //@line 146 "jpt.c"
        var $70=HEAP[$header_addr]; //@line 146 "jpt.c"
        var $71=CHECK_OVERFLOW(($70+20)&4294967295, 32); //@line 146 "jpt.c"
        HEAP[$71]=$69; //@line 146 "jpt.c"
        var $72=HEAP[$header_addr]; //@line 151 "jpt.c"
        var $73=CHECK_OVERFLOW(($72+8)&4294967295, 32); //@line 151 "jpt.c"
        var $74=HEAP[$73]; //@line 151 "jpt.c"
        var $75=($74) & 1; //@line 151 "jpt.c"
        var $76=((($75)) & 255); //@line 151 "jpt.c"
        var $toBool13=($76)!=0; //@line 151 "jpt.c"
        if ($toBool13) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 151 "jpt.c"
      case 9: // $bb14
        var $77=HEAP[$header_addr]; //@line 152 "jpt.c"
        var $78=CHECK_OVERFLOW(($77+24)&4294967295, 32); //@line 152 "jpt.c"
        HEAP[$78]=0; //@line 152 "jpt.c"
        var $79=HEAP[$header_addr]; //@line 153 "jpt.c"
        var $80=CHECK_OVERFLOW(($79+24)&4294967295, 32); //@line 153 "jpt.c"
        var $81=HEAP[$80]; //@line 153 "jpt.c"
        var $82=HEAP[$cio_addr]; //@line 153 "jpt.c"
        var $83=_jpt_read_VBAS_info($82, $81); //@line 153 "jpt.c"
        var $84=HEAP[$header_addr]; //@line 153 "jpt.c"
        var $85=CHECK_OVERFLOW(($84+24)&4294967295, 32); //@line 153 "jpt.c"
        HEAP[$85]=$83; //@line 153 "jpt.c"
        __label__ = 10; break; //@line 153 "jpt.c"
      case 10: // $bb15
        __label__ = 11; break; //@line 155 "jpt.c"
      case 11: // $return
        STACKTOP = __stackBase__;
        return; //@line 155 "jpt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mct_encode($c0, $c1, $c2, $n) {
    var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 44);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $c0_addr=__stackBase__;
        var $c1_addr=__stackBase__+4;
        var $c2_addr=__stackBase__+8;
        var $n_addr=__stackBase__+12;
        var $i=__stackBase__+16;
        var $r=__stackBase__+20;
        var $g=__stackBase__+24;
        var $b=__stackBase__+28;
        var $y=__stackBase__+32;
        var $u=__stackBase__+36;
        var $v=__stackBase__+40;
        var $_alloca_point_=0;
        HEAP[$c0_addr]=$c0;
        HEAP[$c1_addr]=$c1;
        HEAP[$c2_addr]=$c2;
        HEAP[$n_addr]=$n;
        HEAP[$i]=0; //@line 58 "mct.c"
        __label__ = 0; break; //@line 58 "mct.c"
      case 1: // $bb
        var $0=HEAP[$c0_addr]; //@line 59 "mct.c"
        var $1=HEAP[$i]; //@line 59 "mct.c"
        var $2=CHECK_OVERFLOW(($0+4*$1)&4294967295, 32); //@line 59 "mct.c"
        var $3=HEAP[$2]; //@line 59 "mct.c"
        HEAP[$r]=$3; //@line 59 "mct.c"
        var $4=HEAP[$c1_addr]; //@line 60 "mct.c"
        var $5=HEAP[$i]; //@line 60 "mct.c"
        var $6=CHECK_OVERFLOW(($4+4*$5)&4294967295, 32); //@line 60 "mct.c"
        var $7=HEAP[$6]; //@line 60 "mct.c"
        HEAP[$g]=$7; //@line 60 "mct.c"
        var $8=HEAP[$c2_addr]; //@line 61 "mct.c"
        var $9=HEAP[$i]; //@line 61 "mct.c"
        var $10=CHECK_OVERFLOW(($8+4*$9)&4294967295, 32); //@line 61 "mct.c"
        var $11=HEAP[$10]; //@line 61 "mct.c"
        HEAP[$b]=$11; //@line 61 "mct.c"
        var $12=HEAP[$g]; //@line 62 "mct.c"
        var $13=CHECK_OVERFLOW((($12) * 2)&4294967295, 32); //@line 62 "mct.c"
        var $14=HEAP[$r]; //@line 62 "mct.c"
        var $15=CHECK_OVERFLOW((($13) + ($14))&4294967295, 32); //@line 62 "mct.c"
        var $16=HEAP[$b]; //@line 62 "mct.c"
        var $17=CHECK_OVERFLOW((($15) + ($16))&4294967295, 32); //@line 62 "mct.c"
        var $18=($17) >> 2; //@line 62 "mct.c"
        HEAP[$y]=$18; //@line 62 "mct.c"
        var $19=HEAP[$b]; //@line 63 "mct.c"
        var $20=HEAP[$g]; //@line 63 "mct.c"
        var $21=CHECK_OVERFLOW((($19) - ($20))&4294967295, 32); //@line 63 "mct.c"
        HEAP[$u]=$21; //@line 63 "mct.c"
        var $22=HEAP[$r]; //@line 64 "mct.c"
        var $23=HEAP[$g]; //@line 64 "mct.c"
        var $24=CHECK_OVERFLOW((($22) - ($23))&4294967295, 32); //@line 64 "mct.c"
        HEAP[$v]=$24; //@line 64 "mct.c"
        var $25=HEAP[$c0_addr]; //@line 65 "mct.c"
        var $26=HEAP[$i]; //@line 65 "mct.c"
        var $27=CHECK_OVERFLOW(($25+4*$26)&4294967295, 32); //@line 65 "mct.c"
        var $28=HEAP[$y]; //@line 65 "mct.c"
        HEAP[$27]=$28; //@line 65 "mct.c"
        var $29=HEAP[$c1_addr]; //@line 66 "mct.c"
        var $30=HEAP[$i]; //@line 66 "mct.c"
        var $31=CHECK_OVERFLOW(($29+4*$30)&4294967295, 32); //@line 66 "mct.c"
        var $32=HEAP[$u]; //@line 66 "mct.c"
        HEAP[$31]=$32; //@line 66 "mct.c"
        var $33=HEAP[$c2_addr]; //@line 67 "mct.c"
        var $34=HEAP[$i]; //@line 67 "mct.c"
        var $35=CHECK_OVERFLOW(($33+4*$34)&4294967295, 32); //@line 67 "mct.c"
        var $36=HEAP[$v]; //@line 67 "mct.c"
        HEAP[$35]=$36; //@line 67 "mct.c"
        var $37=HEAP[$i]; //@line 58 "mct.c"
        var $38=CHECK_OVERFLOW((($37) + 1)&4294967295, 32); //@line 58 "mct.c"
        HEAP[$i]=$38; //@line 58 "mct.c"
        __label__ = 0; break; //@line 58 "mct.c"
      case 0: // $bb1
        var $39=HEAP[$i]; //@line 58 "mct.c"
        var $40=HEAP[$n_addr]; //@line 58 "mct.c"
        var $41=($39) < ($40); //@line 58 "mct.c"
        if ($41) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 58 "mct.c"
      case 2: // $bb2
        __label__ = 3; break; //@line 69 "mct.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 69 "mct.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mct_decode($c0, $c1, $c2, $n) {
    var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 44);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $c0_addr=__stackBase__;
        var $c1_addr=__stackBase__+4;
        var $c2_addr=__stackBase__+8;
        var $n_addr=__stackBase__+12;
        var $i=__stackBase__+16;
        var $y=__stackBase__+20;
        var $u=__stackBase__+24;
        var $v=__stackBase__+28;
        var $g=__stackBase__+32;
        var $r=__stackBase__+36;
        var $b=__stackBase__+40;
        var $_alloca_point_=0;
        HEAP[$c0_addr]=$c0;
        HEAP[$c1_addr]=$c1;
        HEAP[$c2_addr]=$c2;
        HEAP[$n_addr]=$n;
        HEAP[$i]=0; //@line 81 "mct.c"
        __label__ = 0; break; //@line 81 "mct.c"
      case 1: // $bb
        var $0=HEAP[$c0_addr]; //@line 82 "mct.c"
        var $1=HEAP[$i]; //@line 82 "mct.c"
        var $2=CHECK_OVERFLOW(($0+4*$1)&4294967295, 32); //@line 82 "mct.c"
        var $3=HEAP[$2]; //@line 82 "mct.c"
        HEAP[$y]=$3; //@line 82 "mct.c"
        var $4=HEAP[$c1_addr]; //@line 83 "mct.c"
        var $5=HEAP[$i]; //@line 83 "mct.c"
        var $6=CHECK_OVERFLOW(($4+4*$5)&4294967295, 32); //@line 83 "mct.c"
        var $7=HEAP[$6]; //@line 83 "mct.c"
        HEAP[$u]=$7; //@line 83 "mct.c"
        var $8=HEAP[$c2_addr]; //@line 84 "mct.c"
        var $9=HEAP[$i]; //@line 84 "mct.c"
        var $10=CHECK_OVERFLOW(($8+4*$9)&4294967295, 32); //@line 84 "mct.c"
        var $11=HEAP[$10]; //@line 84 "mct.c"
        HEAP[$v]=$11; //@line 84 "mct.c"
        var $12=HEAP[$u]; //@line 85 "mct.c"
        var $13=HEAP[$v]; //@line 85 "mct.c"
        var $14=CHECK_OVERFLOW((($12) + ($13))&4294967295, 32); //@line 85 "mct.c"
        var $15=($14) >> 2; //@line 85 "mct.c"
        var $16=HEAP[$y]; //@line 85 "mct.c"
        var $17=CHECK_OVERFLOW((($16) - ($15))&4294967295, 32); //@line 85 "mct.c"
        HEAP[$g]=$17; //@line 85 "mct.c"
        var $18=HEAP[$v]; //@line 86 "mct.c"
        var $19=HEAP[$g]; //@line 86 "mct.c"
        var $20=CHECK_OVERFLOW((($18) + ($19))&4294967295, 32); //@line 86 "mct.c"
        HEAP[$r]=$20; //@line 86 "mct.c"
        var $21=HEAP[$u]; //@line 87 "mct.c"
        var $22=HEAP[$g]; //@line 87 "mct.c"
        var $23=CHECK_OVERFLOW((($21) + ($22))&4294967295, 32); //@line 87 "mct.c"
        HEAP[$b]=$23; //@line 87 "mct.c"
        var $24=HEAP[$c0_addr]; //@line 88 "mct.c"
        var $25=HEAP[$i]; //@line 88 "mct.c"
        var $26=CHECK_OVERFLOW(($24+4*$25)&4294967295, 32); //@line 88 "mct.c"
        var $27=HEAP[$r]; //@line 88 "mct.c"
        HEAP[$26]=$27; //@line 88 "mct.c"
        var $28=HEAP[$c1_addr]; //@line 89 "mct.c"
        var $29=HEAP[$i]; //@line 89 "mct.c"
        var $30=CHECK_OVERFLOW(($28+4*$29)&4294967295, 32); //@line 89 "mct.c"
        var $31=HEAP[$g]; //@line 89 "mct.c"
        HEAP[$30]=$31; //@line 89 "mct.c"
        var $32=HEAP[$c2_addr]; //@line 90 "mct.c"
        var $33=HEAP[$i]; //@line 90 "mct.c"
        var $34=CHECK_OVERFLOW(($32+4*$33)&4294967295, 32); //@line 90 "mct.c"
        var $35=HEAP[$b]; //@line 90 "mct.c"
        HEAP[$34]=$35; //@line 90 "mct.c"
        var $36=HEAP[$i]; //@line 81 "mct.c"
        var $37=CHECK_OVERFLOW((($36) + 1)&4294967295, 32); //@line 81 "mct.c"
        HEAP[$i]=$37; //@line 81 "mct.c"
        __label__ = 0; break; //@line 81 "mct.c"
      case 0: // $bb1
        var $38=HEAP[$i]; //@line 81 "mct.c"
        var $39=HEAP[$n_addr]; //@line 81 "mct.c"
        var $40=($38) < ($39); //@line 81 "mct.c"
        if ($40) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 81 "mct.c"
      case 2: // $bb2
        __label__ = 3; break; //@line 92 "mct.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 92 "mct.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mct_getnorm($compno) {
    var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 20);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $compno_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$compno_addr]=$compno;
        var $1=HEAP[$compno_addr]; //@line 98 "mct.c"
        var $2=CHECK_OVERFLOW((_mct_norms+$1*8)&4294967295, 32); //@line 98 "mct.c"
        var $3=HEAP[$2]; //@line 98 "mct.c"
        HEAP[$0]=$3; //@line 98 "mct.c"
        var $4=HEAP[$0]; //@line 98 "mct.c"
        HEAP[$retval]=$4; //@line 98 "mct.c"
        __label__ = 0; break; //@line 98 "mct.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 98 "mct.c"
        STACKTOP = __stackBase__;
        return $retval1; //@line 98 "mct.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mct_encode_real($c0, $c1, $c2, $n) {
    var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 44);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $c0_addr=__stackBase__;
        var $c1_addr=__stackBase__+4;
        var $c2_addr=__stackBase__+8;
        var $n_addr=__stackBase__+12;
        var $i=__stackBase__+16;
        var $r=__stackBase__+20;
        var $g=__stackBase__+24;
        var $b=__stackBase__+28;
        var $y=__stackBase__+32;
        var $u=__stackBase__+36;
        var $v=__stackBase__+40;
        var $_alloca_point_=0;
        HEAP[$c0_addr]=$c0;
        HEAP[$c1_addr]=$c1;
        HEAP[$c2_addr]=$c2;
        HEAP[$n_addr]=$n;
        HEAP[$i]=0; //@line 111 "mct.c"
        __label__ = 0; break; //@line 111 "mct.c"
      case 1: // $bb
        var $0=HEAP[$c0_addr]; //@line 112 "mct.c"
        var $1=HEAP[$i]; //@line 112 "mct.c"
        var $2=CHECK_OVERFLOW(($0+4*$1)&4294967295, 32); //@line 112 "mct.c"
        var $3=HEAP[$2]; //@line 112 "mct.c"
        HEAP[$r]=$3; //@line 112 "mct.c"
        var $4=HEAP[$c1_addr]; //@line 113 "mct.c"
        var $5=HEAP[$i]; //@line 113 "mct.c"
        var $6=CHECK_OVERFLOW(($4+4*$5)&4294967295, 32); //@line 113 "mct.c"
        var $7=HEAP[$6]; //@line 113 "mct.c"
        HEAP[$g]=$7; //@line 113 "mct.c"
        var $8=HEAP[$c2_addr]; //@line 114 "mct.c"
        var $9=HEAP[$i]; //@line 114 "mct.c"
        var $10=CHECK_OVERFLOW(($8+4*$9)&4294967295, 32); //@line 114 "mct.c"
        var $11=HEAP[$10]; //@line 114 "mct.c"
        HEAP[$b]=$11; //@line 114 "mct.c"
        var $12=HEAP[$r]; //@line 115 "mct.c"
        var $13=_fix_mul28($12, 2449); //@line 115 "mct.c"
        var $14=HEAP[$g]; //@line 115 "mct.c"
        var $15=_fix_mul28($14, 4809); //@line 115 "mct.c"
        var $16=CHECK_OVERFLOW((($13) + ($15))&4294967295, 32); //@line 115 "mct.c"
        var $17=HEAP[$b]; //@line 115 "mct.c"
        var $18=_fix_mul28($17, 934); //@line 115 "mct.c"
        var $19=CHECK_OVERFLOW((($16) + ($18))&4294967295, 32); //@line 115 "mct.c"
        HEAP[$y]=$19; //@line 115 "mct.c"
        var $20=HEAP[$r]; //@line 116 "mct.c"
        var $21=_fix_mul28($20, 1382); //@line 116 "mct.c"
        var $22=CHECK_OVERFLOW((0 - ($21))&4294967295, 32); //@line 116 "mct.c"
        var $23=HEAP[$g]; //@line 116 "mct.c"
        var $24=_fix_mul28($23, 2714); //@line 116 "mct.c"
        var $25=CHECK_OVERFLOW((($22) - ($24))&4294967295, 32); //@line 116 "mct.c"
        var $26=HEAP[$b]; //@line 116 "mct.c"
        var $27=_fix_mul28($26, 4096); //@line 116 "mct.c"
        var $28=CHECK_OVERFLOW((($25) + ($27))&4294967295, 32); //@line 116 "mct.c"
        HEAP[$u]=$28; //@line 116 "mct.c"
        var $29=HEAP[$r]; //@line 117 "mct.c"
        var $30=_fix_mul28($29, 4096); //@line 117 "mct.c"
        var $31=HEAP[$g]; //@line 117 "mct.c"
        var $32=_fix_mul28($31, 3430); //@line 117 "mct.c"
        var $33=CHECK_OVERFLOW((($30) - ($32))&4294967295, 32); //@line 117 "mct.c"
        var $34=HEAP[$b]; //@line 117 "mct.c"
        var $35=_fix_mul28($34, 666); //@line 117 "mct.c"
        var $36=CHECK_OVERFLOW((($33) - ($35))&4294967295, 32); //@line 117 "mct.c"
        HEAP[$v]=$36; //@line 117 "mct.c"
        var $37=HEAP[$c0_addr]; //@line 118 "mct.c"
        var $38=HEAP[$i]; //@line 118 "mct.c"
        var $39=CHECK_OVERFLOW(($37+4*$38)&4294967295, 32); //@line 118 "mct.c"
        var $40=HEAP[$y]; //@line 118 "mct.c"
        HEAP[$39]=$40; //@line 118 "mct.c"
        var $41=HEAP[$c1_addr]; //@line 119 "mct.c"
        var $42=HEAP[$i]; //@line 119 "mct.c"
        var $43=CHECK_OVERFLOW(($41+4*$42)&4294967295, 32); //@line 119 "mct.c"
        var $44=HEAP[$u]; //@line 119 "mct.c"
        HEAP[$43]=$44; //@line 119 "mct.c"
        var $45=HEAP[$c2_addr]; //@line 120 "mct.c"
        var $46=HEAP[$i]; //@line 120 "mct.c"
        var $47=CHECK_OVERFLOW(($45+4*$46)&4294967295, 32); //@line 120 "mct.c"
        var $48=HEAP[$v]; //@line 120 "mct.c"
        HEAP[$47]=$48; //@line 120 "mct.c"
        var $49=HEAP[$i]; //@line 111 "mct.c"
        var $50=CHECK_OVERFLOW((($49) + 1)&4294967295, 32); //@line 111 "mct.c"
        HEAP[$i]=$50; //@line 111 "mct.c"
        __label__ = 0; break; //@line 111 "mct.c"
      case 0: // $bb1
        var $51=HEAP[$i]; //@line 111 "mct.c"
        var $52=HEAP[$n_addr]; //@line 111 "mct.c"
        var $53=($51) < ($52); //@line 111 "mct.c"
        if ($53) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 111 "mct.c"
      case 2: // $bb2
        __label__ = 3; break; //@line 122 "mct.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 122 "mct.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _fix_mul28($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $temp=__stackBase__+16;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$a_addr]; //@line 57 "fix.h"
        var $2=($1); //@line 57 "fix.h"
        var $3=HEAP[$b_addr]; //@line 57 "fix.h"
        var $4=($3); //@line 57 "fix.h"
        var $5=CHECK_OVERFLOW(($2) * ($4), 64); //@line 57 "fix.h"
        HEAP[$temp]=$5; //@line 57 "fix.h"
        var $6=HEAP[$temp]; //@line 58 "fix.h"
        var $7=($6) & 4096; //@line 58 "fix.h"
        var $8=HEAP[$temp]; //@line 58 "fix.h"
        var $9=CHECK_OVERFLOW(($7) + ($8), 64); //@line 58 "fix.h"
        HEAP[$temp]=$9; //@line 58 "fix.h"
        var $10=HEAP[$temp]; //@line 59 "fix.h"
        var $11=($10) >> 13; //@line 59 "fix.h"
        var $12=((($11)) & 4294967295); //@line 59 "fix.h"
        HEAP[$0]=$12; //@line 59 "fix.h"
        var $13=HEAP[$0]; //@line 59 "fix.h"
        HEAP[$retval]=$13; //@line 59 "fix.h"
        __label__ = 0; break; //@line 59 "fix.h"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 59 "fix.h"
        STACKTOP = __stackBase__;
        return $retval1; //@line 59 "fix.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mct_decode_real($c0, $c1, $c2, $n) {
    var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 44);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $c0_addr=__stackBase__;
        var $c1_addr=__stackBase__+4;
        var $c2_addr=__stackBase__+8;
        var $n_addr=__stackBase__+12;
        var $i=__stackBase__+16;
        var $y=__stackBase__+20;
        var $u=__stackBase__+24;
        var $v=__stackBase__+28;
        var $r=__stackBase__+32;
        var $g=__stackBase__+36;
        var $b=__stackBase__+40;
        var $_alloca_point_=0;
        HEAP[$c0_addr]=$c0;
        HEAP[$c1_addr]=$c1;
        HEAP[$c2_addr]=$c2;
        HEAP[$n_addr]=$n;
        HEAP[$i]=0; //@line 172 "mct.c"
        __label__ = 0; break; //@line 172 "mct.c"
      case 1: // $bb
        var $0=HEAP[$c0_addr]; //@line 173 "mct.c"
        var $1=HEAP[$i]; //@line 173 "mct.c"
        var $2=CHECK_OVERFLOW(($0+4*$1)&4294967295, 32); //@line 173 "mct.c"
        var $3=HEAP[$2]; //@line 173 "mct.c"
        HEAP[$y]=$3; //@line 173 "mct.c"
        var $4=HEAP[$c1_addr]; //@line 174 "mct.c"
        var $5=HEAP[$i]; //@line 174 "mct.c"
        var $6=CHECK_OVERFLOW(($4+4*$5)&4294967295, 32); //@line 174 "mct.c"
        var $7=HEAP[$6]; //@line 174 "mct.c"
        HEAP[$u]=$7; //@line 174 "mct.c"
        var $8=HEAP[$c2_addr]; //@line 175 "mct.c"
        var $9=HEAP[$i]; //@line 175 "mct.c"
        var $10=CHECK_OVERFLOW(($8+4*$9)&4294967295, 32); //@line 175 "mct.c"
        var $11=HEAP[$10]; //@line 175 "mct.c"
        HEAP[$v]=$11; //@line 175 "mct.c"
        var $12=HEAP[$v]; //@line 176 "mct.c"
        var $13=($12) * 1.4019999504089355; //@line 176 "mct.c"
        var $14=HEAP[$y]; //@line 176 "mct.c"
        var $15=($13) + ($14); //@line 176 "mct.c"
        HEAP[$r]=$15; //@line 176 "mct.c"
        var $16=HEAP[$u]; //@line 177 "mct.c"
        var $17=($16) * -0.3441300094127655; //@line 177 "mct.c"
        var $18=HEAP[$y]; //@line 177 "mct.c"
        var $19=($17) + ($18); //@line 177 "mct.c"
        var $20=HEAP[$v]; //@line 177 "mct.c"
        var $21=($20) * -0.714139997959137; //@line 177 "mct.c"
        var $22=($19) + ($21); //@line 177 "mct.c"
        HEAP[$g]=$22; //@line 177 "mct.c"
        var $23=HEAP[$u]; //@line 178 "mct.c"
        var $24=($23) * 1.7719999551773071; //@line 178 "mct.c"
        var $25=HEAP[$y]; //@line 178 "mct.c"
        var $26=($24) + ($25); //@line 178 "mct.c"
        HEAP[$b]=$26; //@line 178 "mct.c"
        var $27=HEAP[$c0_addr]; //@line 179 "mct.c"
        var $28=HEAP[$i]; //@line 179 "mct.c"
        var $29=CHECK_OVERFLOW(($27+4*$28)&4294967295, 32); //@line 179 "mct.c"
        var $30=HEAP[$r]; //@line 179 "mct.c"
        HEAP[$29]=$30; //@line 179 "mct.c"
        var $31=HEAP[$c1_addr]; //@line 180 "mct.c"
        var $32=HEAP[$i]; //@line 180 "mct.c"
        var $33=CHECK_OVERFLOW(($31+4*$32)&4294967295, 32); //@line 180 "mct.c"
        var $34=HEAP[$g]; //@line 180 "mct.c"
        HEAP[$33]=$34; //@line 180 "mct.c"
        var $35=HEAP[$c2_addr]; //@line 181 "mct.c"
        var $36=HEAP[$i]; //@line 181 "mct.c"
        var $37=CHECK_OVERFLOW(($35+4*$36)&4294967295, 32); //@line 181 "mct.c"
        var $38=HEAP[$b]; //@line 181 "mct.c"
        HEAP[$37]=$38; //@line 181 "mct.c"
        var $39=HEAP[$i]; //@line 172 "mct.c"
        var $40=CHECK_OVERFLOW((($39) + 1)&4294967295, 32); //@line 172 "mct.c"
        HEAP[$i]=$40; //@line 172 "mct.c"
        __label__ = 0; break; //@line 172 "mct.c"
      case 0: // $bb1
        var $41=HEAP[$i]; //@line 172 "mct.c"
        var $42=HEAP[$n_addr]; //@line 172 "mct.c"
        var $43=($41) < ($42); //@line 172 "mct.c"
        if ($43) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 172 "mct.c"
      case 2: // $bb2
        __label__ = 3; break; //@line 183 "mct.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 183 "mct.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mct_getnorm_real($compno) {
    var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 20);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $compno_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$compno_addr]=$compno;
        var $1=HEAP[$compno_addr]; //@line 189 "mct.c"
        var $2=CHECK_OVERFLOW((_mct_norms_real+$1*8)&4294967295, 32); //@line 189 "mct.c"
        var $3=HEAP[$2]; //@line 189 "mct.c"
        HEAP[$0]=$3; //@line 189 "mct.c"
        var $4=HEAP[$0]; //@line 189 "mct.c"
        HEAP[$retval]=$4; //@line 189 "mct.c"
        __label__ = 0; break; //@line 189 "mct.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 189 "mct.c"
        STACKTOP = __stackBase__;
        return $retval1; //@line 189 "mct.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_byteout($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        var $0=HEAP[$mqc_addr]; //@line 199 "mqc.c"
        var $1=CHECK_OVERFLOW(($0+12)&4294967295, 32); //@line 199 "mqc.c"
        var $2=HEAP[$1]; //@line 199 "mqc.c"
        var $3=HEAP[$2]; //@line 199 "mqc.c"
        var $4=($3)==-1; //@line 199 "mqc.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 199 "mqc.c"
      case 0: // $bb
        var $5=HEAP[$mqc_addr]; //@line 200 "mqc.c"
        var $6=CHECK_OVERFLOW(($5+12)&4294967295, 32); //@line 200 "mqc.c"
        var $7=HEAP[$6]; //@line 200 "mqc.c"
        var $8=CHECK_OVERFLOW(($7+1)&4294967295, 32); //@line 200 "mqc.c"
        var $9=HEAP[$mqc_addr]; //@line 200 "mqc.c"
        var $10=CHECK_OVERFLOW(($9+12)&4294967295, 32); //@line 200 "mqc.c"
        HEAP[$10]=$8; //@line 200 "mqc.c"
        var $11=HEAP[$mqc_addr]; //@line 201 "mqc.c"
        var $12=CHECK_OVERFLOW(($11+12)&4294967295, 32); //@line 201 "mqc.c"
        var $13=HEAP[$12]; //@line 201 "mqc.c"
        var $14=HEAP[$mqc_addr]; //@line 201 "mqc.c"
        var $15=CHECK_OVERFLOW(($14)&4294967295, 32); //@line 201 "mqc.c"
        var $16=HEAP[$15]; //@line 201 "mqc.c"
        var $17=($16) >>> 20; //@line 201 "mqc.c"
        var $18=((($17)) & 255); //@line 201 "mqc.c"
        HEAP[$13]=$18; //@line 201 "mqc.c"
        var $19=HEAP[$mqc_addr]; //@line 202 "mqc.c"
        var $20=CHECK_OVERFLOW(($19)&4294967295, 32); //@line 202 "mqc.c"
        var $21=HEAP[$20]; //@line 202 "mqc.c"
        var $22=($21) & 1048575; //@line 202 "mqc.c"
        var $23=HEAP[$mqc_addr]; //@line 202 "mqc.c"
        var $24=CHECK_OVERFLOW(($23)&4294967295, 32); //@line 202 "mqc.c"
        HEAP[$24]=$22; //@line 202 "mqc.c"
        var $25=HEAP[$mqc_addr]; //@line 203 "mqc.c"
        var $26=CHECK_OVERFLOW(($25+8)&4294967295, 32); //@line 203 "mqc.c"
        HEAP[$26]=7; //@line 203 "mqc.c"
        __label__ = 2; break; //@line 203 "mqc.c"
      case 1: // $bb1
        var $27=HEAP[$mqc_addr]; //@line 205 "mqc.c"
        var $28=CHECK_OVERFLOW(($27)&4294967295, 32); //@line 205 "mqc.c"
        var $29=HEAP[$28]; //@line 205 "mqc.c"
        var $30=($29) & 134217728; //@line 205 "mqc.c"
        var $31=($30)==0; //@line 205 "mqc.c"
        if ($31) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 205 "mqc.c"
      case 3: // $bb2
        var $32=HEAP[$mqc_addr]; //@line 206 "mqc.c"
        var $33=CHECK_OVERFLOW(($32+12)&4294967295, 32); //@line 206 "mqc.c"
        var $34=HEAP[$33]; //@line 206 "mqc.c"
        var $35=CHECK_OVERFLOW(($34+1)&4294967295, 32); //@line 206 "mqc.c"
        var $36=HEAP[$mqc_addr]; //@line 206 "mqc.c"
        var $37=CHECK_OVERFLOW(($36+12)&4294967295, 32); //@line 206 "mqc.c"
        HEAP[$37]=$35; //@line 206 "mqc.c"
        var $38=HEAP[$mqc_addr]; //@line 207 "mqc.c"
        var $39=CHECK_OVERFLOW(($38+12)&4294967295, 32); //@line 207 "mqc.c"
        var $40=HEAP[$39]; //@line 207 "mqc.c"
        var $41=HEAP[$mqc_addr]; //@line 207 "mqc.c"
        var $42=CHECK_OVERFLOW(($41)&4294967295, 32); //@line 207 "mqc.c"
        var $43=HEAP[$42]; //@line 207 "mqc.c"
        var $44=($43) >>> 19; //@line 207 "mqc.c"
        var $45=((($44)) & 255); //@line 207 "mqc.c"
        HEAP[$40]=$45; //@line 207 "mqc.c"
        var $46=HEAP[$mqc_addr]; //@line 208 "mqc.c"
        var $47=CHECK_OVERFLOW(($46)&4294967295, 32); //@line 208 "mqc.c"
        var $48=HEAP[$47]; //@line 208 "mqc.c"
        var $49=($48) & 524287; //@line 208 "mqc.c"
        var $50=HEAP[$mqc_addr]; //@line 208 "mqc.c"
        var $51=CHECK_OVERFLOW(($50)&4294967295, 32); //@line 208 "mqc.c"
        HEAP[$51]=$49; //@line 208 "mqc.c"
        var $52=HEAP[$mqc_addr]; //@line 209 "mqc.c"
        var $53=CHECK_OVERFLOW(($52+8)&4294967295, 32); //@line 209 "mqc.c"
        HEAP[$53]=8; //@line 209 "mqc.c"
        __label__ = 2; break; //@line 209 "mqc.c"
      case 4: // $bb3
        var $54=HEAP[$mqc_addr]; //@line 211 "mqc.c"
        var $55=CHECK_OVERFLOW(($54+12)&4294967295, 32); //@line 211 "mqc.c"
        var $56=HEAP[$55]; //@line 211 "mqc.c"
        var $57=HEAP[$56]; //@line 211 "mqc.c"
        var $58=CHECK_OVERFLOW((($57) + 1)&255, 8); //@line 211 "mqc.c"
        HEAP[$56]=$58; //@line 211 "mqc.c"
        var $59=HEAP[$mqc_addr]; //@line 212 "mqc.c"
        var $60=CHECK_OVERFLOW(($59+12)&4294967295, 32); //@line 212 "mqc.c"
        var $61=HEAP[$60]; //@line 212 "mqc.c"
        var $62=HEAP[$61]; //@line 212 "mqc.c"
        var $63=($62)==-1; //@line 212 "mqc.c"
        if ($63) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 212 "mqc.c"
      case 5: // $bb4
        var $64=HEAP[$mqc_addr]; //@line 213 "mqc.c"
        var $65=CHECK_OVERFLOW(($64)&4294967295, 32); //@line 213 "mqc.c"
        var $66=HEAP[$65]; //@line 213 "mqc.c"
        var $67=($66) & 134217727; //@line 213 "mqc.c"
        var $68=HEAP[$mqc_addr]; //@line 213 "mqc.c"
        var $69=CHECK_OVERFLOW(($68)&4294967295, 32); //@line 213 "mqc.c"
        HEAP[$69]=$67; //@line 213 "mqc.c"
        var $70=HEAP[$mqc_addr]; //@line 214 "mqc.c"
        var $71=CHECK_OVERFLOW(($70+12)&4294967295, 32); //@line 214 "mqc.c"
        var $72=HEAP[$71]; //@line 214 "mqc.c"
        var $73=CHECK_OVERFLOW(($72+1)&4294967295, 32); //@line 214 "mqc.c"
        var $74=HEAP[$mqc_addr]; //@line 214 "mqc.c"
        var $75=CHECK_OVERFLOW(($74+12)&4294967295, 32); //@line 214 "mqc.c"
        HEAP[$75]=$73; //@line 214 "mqc.c"
        var $76=HEAP[$mqc_addr]; //@line 215 "mqc.c"
        var $77=CHECK_OVERFLOW(($76+12)&4294967295, 32); //@line 215 "mqc.c"
        var $78=HEAP[$77]; //@line 215 "mqc.c"
        var $79=HEAP[$mqc_addr]; //@line 215 "mqc.c"
        var $80=CHECK_OVERFLOW(($79)&4294967295, 32); //@line 215 "mqc.c"
        var $81=HEAP[$80]; //@line 215 "mqc.c"
        var $82=($81) >>> 20; //@line 215 "mqc.c"
        var $83=((($82)) & 255); //@line 215 "mqc.c"
        HEAP[$78]=$83; //@line 215 "mqc.c"
        var $84=HEAP[$mqc_addr]; //@line 216 "mqc.c"
        var $85=CHECK_OVERFLOW(($84)&4294967295, 32); //@line 216 "mqc.c"
        var $86=HEAP[$85]; //@line 216 "mqc.c"
        var $87=($86) & 1048575; //@line 216 "mqc.c"
        var $88=HEAP[$mqc_addr]; //@line 216 "mqc.c"
        var $89=CHECK_OVERFLOW(($88)&4294967295, 32); //@line 216 "mqc.c"
        HEAP[$89]=$87; //@line 216 "mqc.c"
        var $90=HEAP[$mqc_addr]; //@line 217 "mqc.c"
        var $91=CHECK_OVERFLOW(($90+8)&4294967295, 32); //@line 217 "mqc.c"
        HEAP[$91]=7; //@line 217 "mqc.c"
        __label__ = 2; break; //@line 217 "mqc.c"
      case 6: // $bb5
        var $92=HEAP[$mqc_addr]; //@line 219 "mqc.c"
        var $93=CHECK_OVERFLOW(($92+12)&4294967295, 32); //@line 219 "mqc.c"
        var $94=HEAP[$93]; //@line 219 "mqc.c"
        var $95=CHECK_OVERFLOW(($94+1)&4294967295, 32); //@line 219 "mqc.c"
        var $96=HEAP[$mqc_addr]; //@line 219 "mqc.c"
        var $97=CHECK_OVERFLOW(($96+12)&4294967295, 32); //@line 219 "mqc.c"
        HEAP[$97]=$95; //@line 219 "mqc.c"
        var $98=HEAP[$mqc_addr]; //@line 220 "mqc.c"
        var $99=CHECK_OVERFLOW(($98+12)&4294967295, 32); //@line 220 "mqc.c"
        var $100=HEAP[$99]; //@line 220 "mqc.c"
        var $101=HEAP[$mqc_addr]; //@line 220 "mqc.c"
        var $102=CHECK_OVERFLOW(($101)&4294967295, 32); //@line 220 "mqc.c"
        var $103=HEAP[$102]; //@line 220 "mqc.c"
        var $104=($103) >>> 19; //@line 220 "mqc.c"
        var $105=((($104)) & 255); //@line 220 "mqc.c"
        HEAP[$100]=$105; //@line 220 "mqc.c"
        var $106=HEAP[$mqc_addr]; //@line 221 "mqc.c"
        var $107=CHECK_OVERFLOW(($106)&4294967295, 32); //@line 221 "mqc.c"
        var $108=HEAP[$107]; //@line 221 "mqc.c"
        var $109=($108) & 524287; //@line 221 "mqc.c"
        var $110=HEAP[$mqc_addr]; //@line 221 "mqc.c"
        var $111=CHECK_OVERFLOW(($110)&4294967295, 32); //@line 221 "mqc.c"
        HEAP[$111]=$109; //@line 221 "mqc.c"
        var $112=HEAP[$mqc_addr]; //@line 222 "mqc.c"
        var $113=CHECK_OVERFLOW(($112+8)&4294967295, 32); //@line 222 "mqc.c"
        HEAP[$113]=8; //@line 222 "mqc.c"
        __label__ = 2; break; //@line 222 "mqc.c"
      case 2: // $bb6
        __label__ = 7; break; //@line 226 "mqc.c"
      case 7: // $return
        STACKTOP = __stackBase__;
        return; //@line 226 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_renorme($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        __label__ = 0; break; //@line 228 "mqc.c"
      case 0: // $bb
        var $0=HEAP[$mqc_addr]; //@line 230 "mqc.c"
        var $1=CHECK_OVERFLOW(($0+4)&4294967295, 32); //@line 230 "mqc.c"
        var $2=HEAP[$1]; //@line 230 "mqc.c"
        var $3=($2) << 1; //@line 230 "mqc.c"
        var $4=HEAP[$mqc_addr]; //@line 230 "mqc.c"
        var $5=CHECK_OVERFLOW(($4+4)&4294967295, 32); //@line 230 "mqc.c"
        HEAP[$5]=$3; //@line 230 "mqc.c"
        var $6=HEAP[$mqc_addr]; //@line 231 "mqc.c"
        var $7=CHECK_OVERFLOW(($6)&4294967295, 32); //@line 231 "mqc.c"
        var $8=HEAP[$7]; //@line 231 "mqc.c"
        var $9=($8) << 1; //@line 231 "mqc.c"
        var $10=HEAP[$mqc_addr]; //@line 231 "mqc.c"
        var $11=CHECK_OVERFLOW(($10)&4294967295, 32); //@line 231 "mqc.c"
        HEAP[$11]=$9; //@line 231 "mqc.c"
        var $12=HEAP[$mqc_addr]; //@line 232 "mqc.c"
        var $13=CHECK_OVERFLOW(($12+8)&4294967295, 32); //@line 232 "mqc.c"
        var $14=HEAP[$13]; //@line 232 "mqc.c"
        var $15=CHECK_OVERFLOW((($14) - 1)&4294967295, 32); //@line 232 "mqc.c"
        var $16=HEAP[$mqc_addr]; //@line 232 "mqc.c"
        var $17=CHECK_OVERFLOW(($16+8)&4294967295, 32); //@line 232 "mqc.c"
        HEAP[$17]=$15; //@line 232 "mqc.c"
        var $18=HEAP[$mqc_addr]; //@line 233 "mqc.c"
        var $19=CHECK_OVERFLOW(($18+8)&4294967295, 32); //@line 233 "mqc.c"
        var $20=HEAP[$19]; //@line 233 "mqc.c"
        var $21=($20)==0; //@line 233 "mqc.c"
        if ($21) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 233 "mqc.c"
      case 1: // $bb1
        var $22=HEAP[$mqc_addr]; //@line 234 "mqc.c"
        _mqc_byteout($22); //@line 234 "mqc.c"
        __label__ = 2; break; //@line 234 "mqc.c"
      case 2: // $bb2
        var $23=HEAP[$mqc_addr]; //@line 236 "mqc.c"
        var $24=CHECK_OVERFLOW(($23+4)&4294967295, 32); //@line 236 "mqc.c"
        var $25=HEAP[$24]; //@line 236 "mqc.c"
        var $26=($25) & 32768; //@line 236 "mqc.c"
        var $27=($26)==0; //@line 236 "mqc.c"
        if ($27) { __label__ = 0; break; } else { __label__ = 3; break; } //@line 236 "mqc.c"
      case 3: // $bb3
        __label__ = 4; break; //@line 237 "mqc.c"
      case 4: // $return
        STACKTOP = __stackBase__;
        return; //@line 237 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_codemps($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        var $0=HEAP[$mqc_addr]; //@line 240 "mqc.c"
        var $1=CHECK_OVERFLOW(($0+4)&4294967295, 32); //@line 240 "mqc.c"
        var $2=HEAP[$1]; //@line 240 "mqc.c"
        var $3=HEAP[$mqc_addr]; //@line 240 "mqc.c"
        var $4=CHECK_OVERFLOW(($3+100)&4294967295, 32); //@line 240 "mqc.c"
        var $5=HEAP[$4]; //@line 240 "mqc.c"
        var $6=HEAP[$5]; //@line 240 "mqc.c"
        var $7=CHECK_OVERFLOW(($6)&4294967295, 32); //@line 240 "mqc.c"
        var $8=HEAP[$7]; //@line 240 "mqc.c"
        var $9=CHECK_OVERFLOW((($2) - ($8))&4294967295, 32); //@line 240 "mqc.c"
        var $10=HEAP[$mqc_addr]; //@line 240 "mqc.c"
        var $11=CHECK_OVERFLOW(($10+4)&4294967295, 32); //@line 240 "mqc.c"
        HEAP[$11]=$9; //@line 240 "mqc.c"
        var $12=HEAP[$mqc_addr]; //@line 241 "mqc.c"
        var $13=CHECK_OVERFLOW(($12+4)&4294967295, 32); //@line 241 "mqc.c"
        var $14=HEAP[$13]; //@line 241 "mqc.c"
        var $15=($14) & 32768; //@line 241 "mqc.c"
        var $16=($15)==0; //@line 241 "mqc.c"
        if ($16) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 241 "mqc.c"
      case 0: // $bb
        var $17=HEAP[$mqc_addr]; //@line 242 "mqc.c"
        var $18=CHECK_OVERFLOW(($17+4)&4294967295, 32); //@line 242 "mqc.c"
        var $19=HEAP[$18]; //@line 242 "mqc.c"
        var $20=HEAP[$mqc_addr]; //@line 242 "mqc.c"
        var $21=CHECK_OVERFLOW(($20+100)&4294967295, 32); //@line 242 "mqc.c"
        var $22=HEAP[$21]; //@line 242 "mqc.c"
        var $23=HEAP[$22]; //@line 242 "mqc.c"
        var $24=CHECK_OVERFLOW(($23)&4294967295, 32); //@line 242 "mqc.c"
        var $25=HEAP[$24]; //@line 242 "mqc.c"
        var $26=($19) < ($25); //@line 242 "mqc.c"
        if ($26) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 242 "mqc.c"
      case 2: // $bb1
        var $27=HEAP[$mqc_addr]; //@line 243 "mqc.c"
        var $28=CHECK_OVERFLOW(($27+100)&4294967295, 32); //@line 243 "mqc.c"
        var $29=HEAP[$28]; //@line 243 "mqc.c"
        var $30=HEAP[$29]; //@line 243 "mqc.c"
        var $31=CHECK_OVERFLOW(($30)&4294967295, 32); //@line 243 "mqc.c"
        var $32=HEAP[$31]; //@line 243 "mqc.c"
        var $33=HEAP[$mqc_addr]; //@line 243 "mqc.c"
        var $34=CHECK_OVERFLOW(($33+4)&4294967295, 32); //@line 243 "mqc.c"
        HEAP[$34]=$32; //@line 243 "mqc.c"
        __label__ = 4; break; //@line 243 "mqc.c"
      case 3: // $bb2
        var $35=HEAP[$mqc_addr]; //@line 245 "mqc.c"
        var $36=CHECK_OVERFLOW(($35)&4294967295, 32); //@line 245 "mqc.c"
        var $37=HEAP[$36]; //@line 245 "mqc.c"
        var $38=HEAP[$mqc_addr]; //@line 245 "mqc.c"
        var $39=CHECK_OVERFLOW(($38+100)&4294967295, 32); //@line 245 "mqc.c"
        var $40=HEAP[$39]; //@line 245 "mqc.c"
        var $41=HEAP[$40]; //@line 245 "mqc.c"
        var $42=CHECK_OVERFLOW(($41)&4294967295, 32); //@line 245 "mqc.c"
        var $43=HEAP[$42]; //@line 245 "mqc.c"
        var $44=CHECK_OVERFLOW((($37) + ($43))&4294967295, 32); //@line 245 "mqc.c"
        var $45=HEAP[$mqc_addr]; //@line 245 "mqc.c"
        var $46=CHECK_OVERFLOW(($45)&4294967295, 32); //@line 245 "mqc.c"
        HEAP[$46]=$44; //@line 245 "mqc.c"
        __label__ = 4; break; //@line 245 "mqc.c"
      case 4: // $bb3
        var $47=HEAP[$mqc_addr]; //@line 247 "mqc.c"
        var $48=CHECK_OVERFLOW(($47+100)&4294967295, 32); //@line 247 "mqc.c"
        var $49=HEAP[$48]; //@line 247 "mqc.c"
        var $50=HEAP[$mqc_addr]; //@line 247 "mqc.c"
        var $51=CHECK_OVERFLOW(($50+100)&4294967295, 32); //@line 247 "mqc.c"
        var $52=HEAP[$51]; //@line 247 "mqc.c"
        var $53=HEAP[$52]; //@line 247 "mqc.c"
        var $54=CHECK_OVERFLOW(($53+8)&4294967295, 32); //@line 247 "mqc.c"
        var $55=HEAP[$54]; //@line 247 "mqc.c"
        HEAP[$49]=$55; //@line 247 "mqc.c"
        var $56=HEAP[$mqc_addr]; //@line 248 "mqc.c"
        _mqc_renorme($56); //@line 248 "mqc.c"
        __label__ = 5; break; //@line 248 "mqc.c"
      case 1: // $bb4
        var $57=HEAP[$mqc_addr]; //@line 250 "mqc.c"
        var $58=CHECK_OVERFLOW(($57)&4294967295, 32); //@line 250 "mqc.c"
        var $59=HEAP[$58]; //@line 250 "mqc.c"
        var $60=HEAP[$mqc_addr]; //@line 250 "mqc.c"
        var $61=CHECK_OVERFLOW(($60+100)&4294967295, 32); //@line 250 "mqc.c"
        var $62=HEAP[$61]; //@line 250 "mqc.c"
        var $63=HEAP[$62]; //@line 250 "mqc.c"
        var $64=CHECK_OVERFLOW(($63)&4294967295, 32); //@line 250 "mqc.c"
        var $65=HEAP[$64]; //@line 250 "mqc.c"
        var $66=CHECK_OVERFLOW((($59) + ($65))&4294967295, 32); //@line 250 "mqc.c"
        var $67=HEAP[$mqc_addr]; //@line 250 "mqc.c"
        var $68=CHECK_OVERFLOW(($67)&4294967295, 32); //@line 250 "mqc.c"
        HEAP[$68]=$66; //@line 250 "mqc.c"
        __label__ = 5; break; //@line 250 "mqc.c"
      case 5: // $bb5
        __label__ = 6; break; //@line 252 "mqc.c"
      case 6: // $return
        STACKTOP = __stackBase__;
        return; //@line 252 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_codelps($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        var $0=HEAP[$mqc_addr]; //@line 255 "mqc.c"
        var $1=CHECK_OVERFLOW(($0+4)&4294967295, 32); //@line 255 "mqc.c"
        var $2=HEAP[$1]; //@line 255 "mqc.c"
        var $3=HEAP[$mqc_addr]; //@line 255 "mqc.c"
        var $4=CHECK_OVERFLOW(($3+100)&4294967295, 32); //@line 255 "mqc.c"
        var $5=HEAP[$4]; //@line 255 "mqc.c"
        var $6=HEAP[$5]; //@line 255 "mqc.c"
        var $7=CHECK_OVERFLOW(($6)&4294967295, 32); //@line 255 "mqc.c"
        var $8=HEAP[$7]; //@line 255 "mqc.c"
        var $9=CHECK_OVERFLOW((($2) - ($8))&4294967295, 32); //@line 255 "mqc.c"
        var $10=HEAP[$mqc_addr]; //@line 255 "mqc.c"
        var $11=CHECK_OVERFLOW(($10+4)&4294967295, 32); //@line 255 "mqc.c"
        HEAP[$11]=$9; //@line 255 "mqc.c"
        var $12=HEAP[$mqc_addr]; //@line 256 "mqc.c"
        var $13=CHECK_OVERFLOW(($12+4)&4294967295, 32); //@line 256 "mqc.c"
        var $14=HEAP[$13]; //@line 256 "mqc.c"
        var $15=HEAP[$mqc_addr]; //@line 256 "mqc.c"
        var $16=CHECK_OVERFLOW(($15+100)&4294967295, 32); //@line 256 "mqc.c"
        var $17=HEAP[$16]; //@line 256 "mqc.c"
        var $18=HEAP[$17]; //@line 256 "mqc.c"
        var $19=CHECK_OVERFLOW(($18)&4294967295, 32); //@line 256 "mqc.c"
        var $20=HEAP[$19]; //@line 256 "mqc.c"
        var $21=($14) < ($20); //@line 256 "mqc.c"
        if ($21) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 256 "mqc.c"
      case 0: // $bb
        var $22=HEAP[$mqc_addr]; //@line 257 "mqc.c"
        var $23=CHECK_OVERFLOW(($22)&4294967295, 32); //@line 257 "mqc.c"
        var $24=HEAP[$23]; //@line 257 "mqc.c"
        var $25=HEAP[$mqc_addr]; //@line 257 "mqc.c"
        var $26=CHECK_OVERFLOW(($25+100)&4294967295, 32); //@line 257 "mqc.c"
        var $27=HEAP[$26]; //@line 257 "mqc.c"
        var $28=HEAP[$27]; //@line 257 "mqc.c"
        var $29=CHECK_OVERFLOW(($28)&4294967295, 32); //@line 257 "mqc.c"
        var $30=HEAP[$29]; //@line 257 "mqc.c"
        var $31=CHECK_OVERFLOW((($24) + ($30))&4294967295, 32); //@line 257 "mqc.c"
        var $32=HEAP[$mqc_addr]; //@line 257 "mqc.c"
        var $33=CHECK_OVERFLOW(($32)&4294967295, 32); //@line 257 "mqc.c"
        HEAP[$33]=$31; //@line 257 "mqc.c"
        __label__ = 2; break; //@line 257 "mqc.c"
      case 1: // $bb1
        var $34=HEAP[$mqc_addr]; //@line 259 "mqc.c"
        var $35=CHECK_OVERFLOW(($34+100)&4294967295, 32); //@line 259 "mqc.c"
        var $36=HEAP[$35]; //@line 259 "mqc.c"
        var $37=HEAP[$36]; //@line 259 "mqc.c"
        var $38=CHECK_OVERFLOW(($37)&4294967295, 32); //@line 259 "mqc.c"
        var $39=HEAP[$38]; //@line 259 "mqc.c"
        var $40=HEAP[$mqc_addr]; //@line 259 "mqc.c"
        var $41=CHECK_OVERFLOW(($40+4)&4294967295, 32); //@line 259 "mqc.c"
        HEAP[$41]=$39; //@line 259 "mqc.c"
        __label__ = 2; break; //@line 259 "mqc.c"
      case 2: // $bb2
        var $42=HEAP[$mqc_addr]; //@line 261 "mqc.c"
        var $43=CHECK_OVERFLOW(($42+100)&4294967295, 32); //@line 261 "mqc.c"
        var $44=HEAP[$43]; //@line 261 "mqc.c"
        var $45=HEAP[$mqc_addr]; //@line 261 "mqc.c"
        var $46=CHECK_OVERFLOW(($45+100)&4294967295, 32); //@line 261 "mqc.c"
        var $47=HEAP[$46]; //@line 261 "mqc.c"
        var $48=HEAP[$47]; //@line 261 "mqc.c"
        var $49=CHECK_OVERFLOW(($48+12)&4294967295, 32); //@line 261 "mqc.c"
        var $50=HEAP[$49]; //@line 261 "mqc.c"
        HEAP[$44]=$50; //@line 261 "mqc.c"
        var $51=HEAP[$mqc_addr]; //@line 262 "mqc.c"
        _mqc_renorme($51); //@line 262 "mqc.c"
        __label__ = 3; break; //@line 263 "mqc.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 263 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_setbits($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $tempc=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        var $0=HEAP[$mqc_addr]; //@line 266 "mqc.c"
        var $1=CHECK_OVERFLOW(($0)&4294967295, 32); //@line 266 "mqc.c"
        var $2=HEAP[$1]; //@line 266 "mqc.c"
        var $3=HEAP[$mqc_addr]; //@line 266 "mqc.c"
        var $4=CHECK_OVERFLOW(($3+4)&4294967295, 32); //@line 266 "mqc.c"
        var $5=HEAP[$4]; //@line 266 "mqc.c"
        var $6=CHECK_OVERFLOW((($2) + ($5))&4294967295, 32); //@line 266 "mqc.c"
        HEAP[$tempc]=$6; //@line 266 "mqc.c"
        var $7=HEAP[$mqc_addr]; //@line 267 "mqc.c"
        var $8=CHECK_OVERFLOW(($7)&4294967295, 32); //@line 267 "mqc.c"
        var $9=HEAP[$8]; //@line 267 "mqc.c"
        var $10=($9) | 65535; //@line 267 "mqc.c"
        var $11=HEAP[$mqc_addr]; //@line 267 "mqc.c"
        var $12=CHECK_OVERFLOW(($11)&4294967295, 32); //@line 267 "mqc.c"
        HEAP[$12]=$10; //@line 267 "mqc.c"
        var $13=HEAP[$mqc_addr]; //@line 268 "mqc.c"
        var $14=CHECK_OVERFLOW(($13)&4294967295, 32); //@line 268 "mqc.c"
        var $15=HEAP[$14]; //@line 268 "mqc.c"
        var $16=HEAP[$tempc]; //@line 268 "mqc.c"
        var $17=($15) >= ($16); //@line 268 "mqc.c"
        if ($17) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 268 "mqc.c"
      case 0: // $bb
        var $18=HEAP[$mqc_addr]; //@line 269 "mqc.c"
        var $19=CHECK_OVERFLOW(($18)&4294967295, 32); //@line 269 "mqc.c"
        var $20=HEAP[$19]; //@line 269 "mqc.c"
        var $21=CHECK_OVERFLOW((($20) - 32768)&4294967295, 32); //@line 269 "mqc.c"
        var $22=HEAP[$mqc_addr]; //@line 269 "mqc.c"
        var $23=CHECK_OVERFLOW(($22)&4294967295, 32); //@line 269 "mqc.c"
        HEAP[$23]=$21; //@line 269 "mqc.c"
        __label__ = 1; break; //@line 269 "mqc.c"
      case 1: // $bb1
        __label__ = 2; break; //@line 271 "mqc.c"
      case 2: // $return
        STACKTOP = __stackBase__;
        return; //@line 271 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_create() {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $retval=__stackBase__;
        var $0=__stackBase__+4;
        var $mqc=__stackBase__+8;
        var $_alloca_point_=0;
        var $1=_malloc(104); //@line 356 "mqc.c"
        var $2=$1; //@line 356 "mqc.c"
        HEAP[$mqc]=$2; //@line 356 "mqc.c"
        var $3=HEAP[$mqc]; //@line 360 "mqc.c"
        HEAP[$0]=$3; //@line 360 "mqc.c"
        var $4=HEAP[$0]; //@line 360 "mqc.c"
        HEAP[$retval]=$4; //@line 360 "mqc.c"
        __label__ = 0; break; //@line 360 "mqc.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 360 "mqc.c"
        STACKTOP = __stackBase__;
        return $retval1; //@line 360 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_destroy($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        var $0=HEAP[$mqc_addr]; //@line 364 "mqc.c"
        var $1=($0)!=0; //@line 364 "mqc.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 364 "mqc.c"
      case 0: // $bb
        var $2=HEAP[$mqc_addr]; //@line 370 "mqc.c"
        var $3=$2; //@line 370 "mqc.c"
        _free($3); //@line 370 "mqc.c"
        __label__ = 1; break; //@line 370 "mqc.c"
      case 1: // $bb1
        __label__ = 2; break; //@line 372 "mqc.c"
      case 2: // $return
        STACKTOP = __stackBase__;
        return; //@line 372 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_numbytes($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        var $1=HEAP[$mqc_addr]; //@line 375 "mqc.c"
        var $2=CHECK_OVERFLOW(($1+12)&4294967295, 32); //@line 375 "mqc.c"
        var $3=HEAP[$2]; //@line 375 "mqc.c"
        var $4=($3); //@line 375 "mqc.c"
        var $5=HEAP[$mqc_addr]; //@line 375 "mqc.c"
        var $6=CHECK_OVERFLOW(($5+16)&4294967295, 32); //@line 375 "mqc.c"
        var $7=HEAP[$6]; //@line 375 "mqc.c"
        var $8=($7); //@line 375 "mqc.c"
        var $9=CHECK_OVERFLOW((($4) - ($8))&4294967295, 32); //@line 375 "mqc.c"
        HEAP[$0]=$9; //@line 375 "mqc.c"
        var $10=HEAP[$0]; //@line 375 "mqc.c"
        HEAP[$retval]=$10; //@line 375 "mqc.c"
        __label__ = 0; break; //@line 375 "mqc.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 375 "mqc.c"
        STACKTOP = __stackBase__;
        return $retval1; //@line 375 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_init_enc($mqc, $bp) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $bp_addr=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        HEAP[$bp_addr]=$bp;
        var $0=HEAP[$mqc_addr]; //@line 379 "mqc.c"
        var $1=CHECK_OVERFLOW(($0+24)&4294967295, 32); //@line 379 "mqc.c"
        var $2=CHECK_OVERFLOW(($1)&4294967295, 32); //@line 379 "mqc.c"
        var $3=HEAP[$mqc_addr]; //@line 379 "mqc.c"
        var $4=CHECK_OVERFLOW(($3+100)&4294967295, 32); //@line 379 "mqc.c"
        HEAP[$4]=$2; //@line 379 "mqc.c"
        var $5=HEAP[$mqc_addr]; //@line 380 "mqc.c"
        var $6=CHECK_OVERFLOW(($5+4)&4294967295, 32); //@line 380 "mqc.c"
        HEAP[$6]=32768; //@line 380 "mqc.c"
        var $7=HEAP[$mqc_addr]; //@line 381 "mqc.c"
        var $8=CHECK_OVERFLOW(($7)&4294967295, 32); //@line 381 "mqc.c"
        HEAP[$8]=0; //@line 381 "mqc.c"
        var $9=HEAP[$bp_addr]; //@line 382 "mqc.c"
        var $10=CHECK_OVERFLOW(($9+-1)&4294967295, 32); //@line 382 "mqc.c"
        var $11=HEAP[$mqc_addr]; //@line 382 "mqc.c"
        var $12=CHECK_OVERFLOW(($11+12)&4294967295, 32); //@line 382 "mqc.c"
        HEAP[$12]=$10; //@line 382 "mqc.c"
        var $13=HEAP[$mqc_addr]; //@line 383 "mqc.c"
        var $14=CHECK_OVERFLOW(($13+8)&4294967295, 32); //@line 383 "mqc.c"
        HEAP[$14]=12; //@line 383 "mqc.c"
        var $15=HEAP[$mqc_addr]; //@line 384 "mqc.c"
        var $16=CHECK_OVERFLOW(($15+12)&4294967295, 32); //@line 384 "mqc.c"
        var $17=HEAP[$16]; //@line 384 "mqc.c"
        var $18=HEAP[$17]; //@line 384 "mqc.c"
        var $19=($18)==-1; //@line 384 "mqc.c"
        if ($19) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 384 "mqc.c"
      case 0: // $bb
        var $20=HEAP[$mqc_addr]; //@line 385 "mqc.c"
        var $21=CHECK_OVERFLOW(($20+8)&4294967295, 32); //@line 385 "mqc.c"
        HEAP[$21]=13; //@line 385 "mqc.c"
        __label__ = 1; break; //@line 385 "mqc.c"
      case 1: // $bb1
        var $22=HEAP[$mqc_addr]; //@line 387 "mqc.c"
        var $23=CHECK_OVERFLOW(($22+16)&4294967295, 32); //@line 387 "mqc.c"
        var $24=HEAP[$bp_addr]; //@line 387 "mqc.c"
        HEAP[$23]=$24; //@line 387 "mqc.c"
        __label__ = 2; break; //@line 388 "mqc.c"
      case 2: // $return
        STACKTOP = __stackBase__;
        return; //@line 388 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_encode($mqc, $d) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $d_addr=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        HEAP[$d_addr]=$d;
        var $0=HEAP[$mqc_addr]; //@line 391 "mqc.c"
        var $1=CHECK_OVERFLOW(($0+100)&4294967295, 32); //@line 391 "mqc.c"
        var $2=HEAP[$1]; //@line 391 "mqc.c"
        var $3=HEAP[$2]; //@line 391 "mqc.c"
        var $4=CHECK_OVERFLOW(($3+4)&4294967295, 32); //@line 391 "mqc.c"
        var $5=HEAP[$4]; //@line 391 "mqc.c"
        var $6=HEAP[$d_addr]; //@line 391 "mqc.c"
        var $7=($5)==($6); //@line 391 "mqc.c"
        if ($7) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 391 "mqc.c"
      case 0: // $bb
        var $8=HEAP[$mqc_addr]; //@line 392 "mqc.c"
        _mqc_codemps($8); //@line 392 "mqc.c"
        __label__ = 2; break; //@line 392 "mqc.c"
      case 1: // $bb1
        var $9=HEAP[$mqc_addr]; //@line 394 "mqc.c"
        _mqc_codelps($9); //@line 394 "mqc.c"
        __label__ = 2; break; //@line 394 "mqc.c"
      case 2: // $bb2
        __label__ = 3; break; //@line 396 "mqc.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 396 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_flush($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        var $0=HEAP[$mqc_addr]; //@line 399 "mqc.c"
        _mqc_setbits($0); //@line 399 "mqc.c"
        var $1=HEAP[$mqc_addr]; //@line 400 "mqc.c"
        var $2=CHECK_OVERFLOW(($1)&4294967295, 32); //@line 400 "mqc.c"
        var $3=HEAP[$2]; //@line 400 "mqc.c"
        var $4=HEAP[$mqc_addr]; //@line 400 "mqc.c"
        var $5=CHECK_OVERFLOW(($4+8)&4294967295, 32); //@line 400 "mqc.c"
        var $6=HEAP[$5]; //@line 400 "mqc.c"
        var $7=($3) << ($6); //@line 400 "mqc.c"
        var $8=HEAP[$mqc_addr]; //@line 400 "mqc.c"
        var $9=CHECK_OVERFLOW(($8)&4294967295, 32); //@line 400 "mqc.c"
        HEAP[$9]=$7; //@line 400 "mqc.c"
        var $10=HEAP[$mqc_addr]; //@line 401 "mqc.c"
        _mqc_byteout($10); //@line 401 "mqc.c"
        var $11=HEAP[$mqc_addr]; //@line 402 "mqc.c"
        var $12=CHECK_OVERFLOW(($11)&4294967295, 32); //@line 402 "mqc.c"
        var $13=HEAP[$12]; //@line 402 "mqc.c"
        var $14=HEAP[$mqc_addr]; //@line 402 "mqc.c"
        var $15=CHECK_OVERFLOW(($14+8)&4294967295, 32); //@line 402 "mqc.c"
        var $16=HEAP[$15]; //@line 402 "mqc.c"
        var $17=($13) << ($16); //@line 402 "mqc.c"
        var $18=HEAP[$mqc_addr]; //@line 402 "mqc.c"
        var $19=CHECK_OVERFLOW(($18)&4294967295, 32); //@line 402 "mqc.c"
        HEAP[$19]=$17; //@line 402 "mqc.c"
        var $20=HEAP[$mqc_addr]; //@line 403 "mqc.c"
        _mqc_byteout($20); //@line 403 "mqc.c"
        var $21=HEAP[$mqc_addr]; //@line 405 "mqc.c"
        var $22=CHECK_OVERFLOW(($21+12)&4294967295, 32); //@line 405 "mqc.c"
        var $23=HEAP[$22]; //@line 405 "mqc.c"
        var $24=HEAP[$23]; //@line 405 "mqc.c"
        var $25=($24)!=-1; //@line 405 "mqc.c"
        if ($25) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 405 "mqc.c"
      case 0: // $bb
        var $26=HEAP[$mqc_addr]; //@line 406 "mqc.c"
        var $27=CHECK_OVERFLOW(($26+12)&4294967295, 32); //@line 406 "mqc.c"
        var $28=HEAP[$27]; //@line 406 "mqc.c"
        var $29=CHECK_OVERFLOW(($28+1)&4294967295, 32); //@line 406 "mqc.c"
        var $30=HEAP[$mqc_addr]; //@line 406 "mqc.c"
        var $31=CHECK_OVERFLOW(($30+12)&4294967295, 32); //@line 406 "mqc.c"
        HEAP[$31]=$29; //@line 406 "mqc.c"
        __label__ = 1; break; //@line 406 "mqc.c"
      case 1: // $bb1
        __label__ = 2; break; //@line 408 "mqc.c"
      case 2: // $return
        STACKTOP = __stackBase__;
        return; //@line 408 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_bypass_init_enc($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        var $0=HEAP[$mqc_addr]; //@line 411 "mqc.c"
        var $1=CHECK_OVERFLOW(($0)&4294967295, 32); //@line 411 "mqc.c"
        HEAP[$1]=0; //@line 411 "mqc.c"
        var $2=HEAP[$mqc_addr]; //@line 412 "mqc.c"
        var $3=CHECK_OVERFLOW(($2+8)&4294967295, 32); //@line 412 "mqc.c"
        HEAP[$3]=8; //@line 412 "mqc.c"
        __label__ = 0; break; //@line 416 "mqc.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 416 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_bypass_enc($mqc, $d) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $d_addr=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        HEAP[$d_addr]=$d;
        var $0=HEAP[$mqc_addr]; //@line 419 "mqc.c"
        var $1=CHECK_OVERFLOW(($0+8)&4294967295, 32); //@line 419 "mqc.c"
        var $2=HEAP[$1]; //@line 419 "mqc.c"
        var $3=CHECK_OVERFLOW((($2) - 1)&4294967295, 32); //@line 419 "mqc.c"
        var $4=HEAP[$mqc_addr]; //@line 419 "mqc.c"
        var $5=CHECK_OVERFLOW(($4+8)&4294967295, 32); //@line 419 "mqc.c"
        HEAP[$5]=$3; //@line 419 "mqc.c"
        var $6=HEAP[$mqc_addr]; //@line 420 "mqc.c"
        var $7=CHECK_OVERFLOW(($6)&4294967295, 32); //@line 420 "mqc.c"
        var $8=HEAP[$7]; //@line 420 "mqc.c"
        var $9=HEAP[$mqc_addr]; //@line 420 "mqc.c"
        var $10=CHECK_OVERFLOW(($9+8)&4294967295, 32); //@line 420 "mqc.c"
        var $11=HEAP[$10]; //@line 420 "mqc.c"
        var $12=HEAP[$d_addr]; //@line 420 "mqc.c"
        var $13=($12) << ($11); //@line 420 "mqc.c"
        var $14=CHECK_OVERFLOW((($8) + ($13))&4294967295, 32); //@line 420 "mqc.c"
        var $15=HEAP[$mqc_addr]; //@line 420 "mqc.c"
        var $16=CHECK_OVERFLOW(($15)&4294967295, 32); //@line 420 "mqc.c"
        HEAP[$16]=$14; //@line 420 "mqc.c"
        var $17=HEAP[$mqc_addr]; //@line 421 "mqc.c"
        var $18=CHECK_OVERFLOW(($17+8)&4294967295, 32); //@line 421 "mqc.c"
        var $19=HEAP[$18]; //@line 421 "mqc.c"
        var $20=($19)==0; //@line 421 "mqc.c"
        if ($20) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 421 "mqc.c"
      case 0: // $bb
        var $21=HEAP[$mqc_addr]; //@line 422 "mqc.c"
        var $22=CHECK_OVERFLOW(($21+12)&4294967295, 32); //@line 422 "mqc.c"
        var $23=HEAP[$22]; //@line 422 "mqc.c"
        var $24=CHECK_OVERFLOW(($23+1)&4294967295, 32); //@line 422 "mqc.c"
        var $25=HEAP[$mqc_addr]; //@line 422 "mqc.c"
        var $26=CHECK_OVERFLOW(($25+12)&4294967295, 32); //@line 422 "mqc.c"
        HEAP[$26]=$24; //@line 422 "mqc.c"
        var $27=HEAP[$mqc_addr]; //@line 423 "mqc.c"
        var $28=CHECK_OVERFLOW(($27+12)&4294967295, 32); //@line 423 "mqc.c"
        var $29=HEAP[$28]; //@line 423 "mqc.c"
        var $30=HEAP[$mqc_addr]; //@line 423 "mqc.c"
        var $31=CHECK_OVERFLOW(($30)&4294967295, 32); //@line 423 "mqc.c"
        var $32=HEAP[$31]; //@line 423 "mqc.c"
        var $33=((($32)) & 255); //@line 423 "mqc.c"
        HEAP[$29]=$33; //@line 423 "mqc.c"
        var $34=HEAP[$mqc_addr]; //@line 424 "mqc.c"
        var $35=CHECK_OVERFLOW(($34+8)&4294967295, 32); //@line 424 "mqc.c"
        HEAP[$35]=8; //@line 424 "mqc.c"
        var $36=HEAP[$mqc_addr]; //@line 425 "mqc.c"
        var $37=CHECK_OVERFLOW(($36+12)&4294967295, 32); //@line 425 "mqc.c"
        var $38=HEAP[$37]; //@line 425 "mqc.c"
        var $39=HEAP[$38]; //@line 425 "mqc.c"
        var $40=($39)==-1; //@line 425 "mqc.c"
        if ($40) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 425 "mqc.c"
      case 2: // $bb1
        var $41=HEAP[$mqc_addr]; //@line 426 "mqc.c"
        var $42=CHECK_OVERFLOW(($41+8)&4294967295, 32); //@line 426 "mqc.c"
        HEAP[$42]=7; //@line 426 "mqc.c"
        __label__ = 3; break; //@line 426 "mqc.c"
      case 3: // $bb2
        var $43=HEAP[$mqc_addr]; //@line 428 "mqc.c"
        var $44=CHECK_OVERFLOW(($43)&4294967295, 32); //@line 428 "mqc.c"
        HEAP[$44]=0; //@line 428 "mqc.c"
        __label__ = 1; break; //@line 428 "mqc.c"
      case 1: // $bb3
        __label__ = 4; break; //@line 430 "mqc.c"
      case 4: // $return
        STACKTOP = __stackBase__;
        return; //@line 430 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_bypass_flush_enc($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 13; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 13);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $bit_padding=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        HEAP[$bit_padding]=0; //@line 435 "mqc.c"
        var $1=HEAP[$mqc_addr]; //@line 437 "mqc.c"
        var $2=CHECK_OVERFLOW(($1+8)&4294967295, 32); //@line 437 "mqc.c"
        var $3=HEAP[$2]; //@line 437 "mqc.c"
        var $4=($3)!=0; //@line 437 "mqc.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 437 "mqc.c"
      case 0: // $bb
        __label__ = 2; break; //@line 437 "mqc.c"
      case 3: // $bb1
        var $5=HEAP[$mqc_addr]; //@line 439 "mqc.c"
        var $6=CHECK_OVERFLOW(($5+8)&4294967295, 32); //@line 439 "mqc.c"
        var $7=HEAP[$6]; //@line 439 "mqc.c"
        var $8=CHECK_OVERFLOW((($7) - 1)&4294967295, 32); //@line 439 "mqc.c"
        var $9=HEAP[$mqc_addr]; //@line 439 "mqc.c"
        var $10=CHECK_OVERFLOW(($9+8)&4294967295, 32); //@line 439 "mqc.c"
        HEAP[$10]=$8; //@line 439 "mqc.c"
        var $11=HEAP[$mqc_addr]; //@line 440 "mqc.c"
        var $12=CHECK_OVERFLOW(($11)&4294967295, 32); //@line 440 "mqc.c"
        var $13=HEAP[$12]; //@line 440 "mqc.c"
        var $14=HEAP[$bit_padding]; //@line 440 "mqc.c"
        var $15=($14); //@line 440 "mqc.c"
        var $16=HEAP[$mqc_addr]; //@line 440 "mqc.c"
        var $17=CHECK_OVERFLOW(($16+8)&4294967295, 32); //@line 440 "mqc.c"
        var $18=HEAP[$17]; //@line 440 "mqc.c"
        var $19=($15) << ($18); //@line 440 "mqc.c"
        var $20=CHECK_OVERFLOW((($13) + ($19))&4294967295, 32); //@line 440 "mqc.c"
        var $21=HEAP[$mqc_addr]; //@line 440 "mqc.c"
        var $22=CHECK_OVERFLOW(($21)&4294967295, 32); //@line 440 "mqc.c"
        HEAP[$22]=$20; //@line 440 "mqc.c"
        var $23=HEAP[$bit_padding]; //@line 441 "mqc.c"
        var $24=CHECK_OVERFLOW((($23) + 1)&255, 8); //@line 441 "mqc.c"
        var $25=($24) & 1; //@line 441 "mqc.c"
        HEAP[$bit_padding]=$25; //@line 441 "mqc.c"
        __label__ = 2; break; //@line 441 "mqc.c"
      case 2: // $bb2
        var $26=HEAP[$mqc_addr]; //@line 438 "mqc.c"
        var $27=CHECK_OVERFLOW(($26+8)&4294967295, 32); //@line 438 "mqc.c"
        var $28=HEAP[$27]; //@line 438 "mqc.c"
        var $29=($28)!=0; //@line 438 "mqc.c"
        if ($29) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 438 "mqc.c"
      case 4: // $bb3
        var $30=HEAP[$mqc_addr]; //@line 443 "mqc.c"
        var $31=CHECK_OVERFLOW(($30+12)&4294967295, 32); //@line 443 "mqc.c"
        var $32=HEAP[$31]; //@line 443 "mqc.c"
        var $33=CHECK_OVERFLOW(($32+1)&4294967295, 32); //@line 443 "mqc.c"
        var $34=HEAP[$mqc_addr]; //@line 443 "mqc.c"
        var $35=CHECK_OVERFLOW(($34+12)&4294967295, 32); //@line 443 "mqc.c"
        HEAP[$35]=$33; //@line 443 "mqc.c"
        var $36=HEAP[$mqc_addr]; //@line 444 "mqc.c"
        var $37=CHECK_OVERFLOW(($36+12)&4294967295, 32); //@line 444 "mqc.c"
        var $38=HEAP[$37]; //@line 444 "mqc.c"
        var $39=HEAP[$mqc_addr]; //@line 444 "mqc.c"
        var $40=CHECK_OVERFLOW(($39)&4294967295, 32); //@line 444 "mqc.c"
        var $41=HEAP[$40]; //@line 444 "mqc.c"
        var $42=((($41)) & 255); //@line 444 "mqc.c"
        HEAP[$38]=$42; //@line 444 "mqc.c"
        var $43=HEAP[$mqc_addr]; //@line 445 "mqc.c"
        var $44=CHECK_OVERFLOW(($43+8)&4294967295, 32); //@line 445 "mqc.c"
        HEAP[$44]=8; //@line 445 "mqc.c"
        var $45=HEAP[$mqc_addr]; //@line 446 "mqc.c"
        var $46=CHECK_OVERFLOW(($45)&4294967295, 32); //@line 446 "mqc.c"
        HEAP[$46]=0; //@line 446 "mqc.c"
        __label__ = 1; break; //@line 446 "mqc.c"
      case 1: // $bb4
        HEAP[$0]=1; //@line 449 "mqc.c"
        var $47=HEAP[$0]; //@line 449 "mqc.c"
        HEAP[$retval]=$47; //@line 449 "mqc.c"
        __label__ = 5; break; //@line 449 "mqc.c"
      case 5: // $return
        var $retval5=HEAP[$retval]; //@line 449 "mqc.c"
        STACKTOP = __stackBase__;
        return $retval5; //@line 449 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_reset_enc($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        var $0=HEAP[$mqc_addr]; //@line 453 "mqc.c"
        _mqc_resetstates($0); //@line 453 "mqc.c"
        var $1=HEAP[$mqc_addr]; //@line 454 "mqc.c"
        _mqc_setstate($1, 18, 0, 46); //@line 454 "mqc.c"
        var $2=HEAP[$mqc_addr]; //@line 455 "mqc.c"
        _mqc_setstate($2, 17, 0, 3); //@line 455 "mqc.c"
        var $3=HEAP[$mqc_addr]; //@line 456 "mqc.c"
        _mqc_setstate($3, 0, 0, 4); //@line 456 "mqc.c"
        __label__ = 0; break; //@line 457 "mqc.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 457 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_restart_enc($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 20);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $correction=__stackBase__+12;
        var $n=__stackBase__+16;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        HEAP[$correction]=1; //@line 460 "mqc.c"
        var $1=HEAP[$mqc_addr]; //@line 463 "mqc.c"
        var $2=CHECK_OVERFLOW(($1+8)&4294967295, 32); //@line 463 "mqc.c"
        var $3=HEAP[$2]; //@line 463 "mqc.c"
        var $4=CHECK_OVERFLOW((12 - ($3))&4294967295, 32); //@line 463 "mqc.c"
        HEAP[$n]=$4; //@line 463 "mqc.c"
        var $5=HEAP[$mqc_addr]; //@line 464 "mqc.c"
        var $6=CHECK_OVERFLOW(($5)&4294967295, 32); //@line 464 "mqc.c"
        var $7=HEAP[$6]; //@line 464 "mqc.c"
        var $8=HEAP[$mqc_addr]; //@line 464 "mqc.c"
        var $9=CHECK_OVERFLOW(($8+8)&4294967295, 32); //@line 464 "mqc.c"
        var $10=HEAP[$9]; //@line 464 "mqc.c"
        var $11=($7) << ($10); //@line 464 "mqc.c"
        var $12=HEAP[$mqc_addr]; //@line 464 "mqc.c"
        var $13=CHECK_OVERFLOW(($12)&4294967295, 32); //@line 464 "mqc.c"
        HEAP[$13]=$11; //@line 464 "mqc.c"
        __label__ = 0; break; //@line 464 "mqc.c"
      case 1: // $bb
        var $14=HEAP[$mqc_addr]; //@line 466 "mqc.c"
        _mqc_byteout($14); //@line 466 "mqc.c"
        var $15=HEAP[$n]; //@line 467 "mqc.c"
        var $16=HEAP[$mqc_addr]; //@line 467 "mqc.c"
        var $17=CHECK_OVERFLOW(($16+8)&4294967295, 32); //@line 467 "mqc.c"
        var $18=HEAP[$17]; //@line 467 "mqc.c"
        var $19=CHECK_OVERFLOW((($15) - ($18))&4294967295, 32); //@line 467 "mqc.c"
        HEAP[$n]=$19; //@line 467 "mqc.c"
        var $20=HEAP[$mqc_addr]; //@line 468 "mqc.c"
        var $21=CHECK_OVERFLOW(($20)&4294967295, 32); //@line 468 "mqc.c"
        var $22=HEAP[$21]; //@line 468 "mqc.c"
        var $23=HEAP[$mqc_addr]; //@line 468 "mqc.c"
        var $24=CHECK_OVERFLOW(($23+8)&4294967295, 32); //@line 468 "mqc.c"
        var $25=HEAP[$24]; //@line 468 "mqc.c"
        var $26=($22) << ($25); //@line 468 "mqc.c"
        var $27=HEAP[$mqc_addr]; //@line 468 "mqc.c"
        var $28=CHECK_OVERFLOW(($27)&4294967295, 32); //@line 468 "mqc.c"
        HEAP[$28]=$26; //@line 468 "mqc.c"
        __label__ = 0; break; //@line 468 "mqc.c"
      case 0: // $bb1
        var $29=HEAP[$n]; //@line 465 "mqc.c"
        var $30=($29) > 0; //@line 465 "mqc.c"
        if ($30) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 465 "mqc.c"
      case 2: // $bb2
        var $31=HEAP[$mqc_addr]; //@line 470 "mqc.c"
        _mqc_byteout($31); //@line 470 "mqc.c"
        var $32=HEAP[$correction]; //@line 472 "mqc.c"
        HEAP[$0]=$32; //@line 472 "mqc.c"
        var $33=HEAP[$0]; //@line 472 "mqc.c"
        HEAP[$retval]=$33; //@line 472 "mqc.c"
        __label__ = 3; break; //@line 472 "mqc.c"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 472 "mqc.c"
        STACKTOP = __stackBase__;
        return $retval3; //@line 472 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_restart_init_enc($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        var $0=HEAP[$mqc_addr]; //@line 477 "mqc.c"
        var $1=CHECK_OVERFLOW(($0+24)&4294967295, 32); //@line 477 "mqc.c"
        var $2=CHECK_OVERFLOW(($1)&4294967295, 32); //@line 477 "mqc.c"
        var $3=HEAP[$mqc_addr]; //@line 477 "mqc.c"
        var $4=CHECK_OVERFLOW(($3+100)&4294967295, 32); //@line 477 "mqc.c"
        HEAP[$4]=$2; //@line 477 "mqc.c"
        var $5=HEAP[$mqc_addr]; //@line 478 "mqc.c"
        var $6=CHECK_OVERFLOW(($5+4)&4294967295, 32); //@line 478 "mqc.c"
        HEAP[$6]=32768; //@line 478 "mqc.c"
        var $7=HEAP[$mqc_addr]; //@line 479 "mqc.c"
        var $8=CHECK_OVERFLOW(($7)&4294967295, 32); //@line 479 "mqc.c"
        HEAP[$8]=0; //@line 479 "mqc.c"
        var $9=HEAP[$mqc_addr]; //@line 480 "mqc.c"
        var $10=CHECK_OVERFLOW(($9+8)&4294967295, 32); //@line 480 "mqc.c"
        HEAP[$10]=12; //@line 480 "mqc.c"
        var $11=HEAP[$mqc_addr]; //@line 481 "mqc.c"
        var $12=CHECK_OVERFLOW(($11+12)&4294967295, 32); //@line 481 "mqc.c"
        var $13=HEAP[$12]; //@line 481 "mqc.c"
        var $14=CHECK_OVERFLOW(($13+-1)&4294967295, 32); //@line 481 "mqc.c"
        var $15=HEAP[$mqc_addr]; //@line 481 "mqc.c"
        var $16=CHECK_OVERFLOW(($15+12)&4294967295, 32); //@line 481 "mqc.c"
        HEAP[$16]=$14; //@line 481 "mqc.c"
        var $17=HEAP[$mqc_addr]; //@line 482 "mqc.c"
        var $18=CHECK_OVERFLOW(($17+12)&4294967295, 32); //@line 482 "mqc.c"
        var $19=HEAP[$18]; //@line 482 "mqc.c"
        var $20=HEAP[$19]; //@line 482 "mqc.c"
        var $21=($20)==-1; //@line 482 "mqc.c"
        if ($21) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 482 "mqc.c"
      case 0: // $bb
        var $22=HEAP[$mqc_addr]; //@line 483 "mqc.c"
        var $23=CHECK_OVERFLOW(($22+8)&4294967295, 32); //@line 483 "mqc.c"
        HEAP[$23]=13; //@line 483 "mqc.c"
        __label__ = 1; break; //@line 483 "mqc.c"
      case 1: // $bb1
        __label__ = 2; break; //@line 485 "mqc.c"
      case 2: // $return
        STACKTOP = __stackBase__;
        return; //@line 485 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_erterm_enc($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $k=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        var $0=HEAP[$mqc_addr]; //@line 488 "mqc.c"
        var $1=CHECK_OVERFLOW(($0+8)&4294967295, 32); //@line 488 "mqc.c"
        var $2=HEAP[$1]; //@line 488 "mqc.c"
        var $3=CHECK_OVERFLOW((12 - ($2))&4294967295, 32); //@line 488 "mqc.c"
        HEAP[$k]=$3; //@line 488 "mqc.c"
        __label__ = 0; break; //@line 488 "mqc.c"
      case 1: // $bb
        var $4=HEAP[$mqc_addr]; //@line 491 "mqc.c"
        var $5=CHECK_OVERFLOW(($4)&4294967295, 32); //@line 491 "mqc.c"
        var $6=HEAP[$5]; //@line 491 "mqc.c"
        var $7=HEAP[$mqc_addr]; //@line 491 "mqc.c"
        var $8=CHECK_OVERFLOW(($7+8)&4294967295, 32); //@line 491 "mqc.c"
        var $9=HEAP[$8]; //@line 491 "mqc.c"
        var $10=($6) << ($9); //@line 491 "mqc.c"
        var $11=HEAP[$mqc_addr]; //@line 491 "mqc.c"
        var $12=CHECK_OVERFLOW(($11)&4294967295, 32); //@line 491 "mqc.c"
        HEAP[$12]=$10; //@line 491 "mqc.c"
        var $13=HEAP[$mqc_addr]; //@line 492 "mqc.c"
        var $14=CHECK_OVERFLOW(($13+8)&4294967295, 32); //@line 492 "mqc.c"
        HEAP[$14]=0; //@line 492 "mqc.c"
        var $15=HEAP[$mqc_addr]; //@line 493 "mqc.c"
        _mqc_byteout($15); //@line 493 "mqc.c"
        var $16=HEAP[$k]; //@line 494 "mqc.c"
        var $17=HEAP[$mqc_addr]; //@line 494 "mqc.c"
        var $18=CHECK_OVERFLOW(($17+8)&4294967295, 32); //@line 494 "mqc.c"
        var $19=HEAP[$18]; //@line 494 "mqc.c"
        var $20=CHECK_OVERFLOW((($16) - ($19))&4294967295, 32); //@line 494 "mqc.c"
        HEAP[$k]=$20; //@line 494 "mqc.c"
        __label__ = 0; break; //@line 494 "mqc.c"
      case 0: // $bb1
        var $21=HEAP[$k]; //@line 490 "mqc.c"
        var $22=($21) > 0; //@line 490 "mqc.c"
        if ($22) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 490 "mqc.c"
      case 2: // $bb2
        var $23=HEAP[$mqc_addr]; //@line 497 "mqc.c"
        var $24=CHECK_OVERFLOW(($23+12)&4294967295, 32); //@line 497 "mqc.c"
        var $25=HEAP[$24]; //@line 497 "mqc.c"
        var $26=HEAP[$25]; //@line 497 "mqc.c"
        var $27=($26)!=-1; //@line 497 "mqc.c"
        if ($27) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 497 "mqc.c"
      case 3: // $bb3
        var $28=HEAP[$mqc_addr]; //@line 498 "mqc.c"
        _mqc_byteout($28); //@line 498 "mqc.c"
        __label__ = 4; break; //@line 498 "mqc.c"
      case 4: // $bb4
        __label__ = 5; break; //@line 500 "mqc.c"
      case 5: // $return
        STACKTOP = __stackBase__;
        return; //@line 500 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_segmark_enc($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $i=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        var $0=HEAP[$mqc_addr]; //@line 504 "mqc.c"
        var $1=CHECK_OVERFLOW(($0+24)&4294967295, 32); //@line 504 "mqc.c"
        var $2=CHECK_OVERFLOW(($1+72)&4294967295, 32); //@line 504 "mqc.c"
        var $3=HEAP[$mqc_addr]; //@line 504 "mqc.c"
        var $4=CHECK_OVERFLOW(($3+100)&4294967295, 32); //@line 504 "mqc.c"
        HEAP[$4]=$2; //@line 504 "mqc.c"
        HEAP[$i]=1; //@line 506 "mqc.c"
        __label__ = 0; break; //@line 506 "mqc.c"
      case 1: // $bb
        var $5=HEAP[$i]; //@line 507 "mqc.c"
        var $6=($5) % 2; //@line 507 "mqc.c"
        var $7=HEAP[$mqc_addr]; //@line 507 "mqc.c"
        _mqc_encode($7, $6); //@line 507 "mqc.c"
        var $8=HEAP[$i]; //@line 506 "mqc.c"
        var $9=CHECK_OVERFLOW((($8) + 1)&4294967295, 32); //@line 506 "mqc.c"
        HEAP[$i]=$9; //@line 506 "mqc.c"
        __label__ = 0; break; //@line 506 "mqc.c"
      case 0: // $bb1
        var $10=HEAP[$i]; //@line 506 "mqc.c"
        var $11=($10) <= 4; //@line 506 "mqc.c"
        if ($11) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 506 "mqc.c"
      case 2: // $bb2
        __label__ = 3; break; //@line 509 "mqc.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 509 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_init_dec($mqc, $bp, $len) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $bp_addr=__stackBase__+4;
        var $len_addr=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        HEAP[$bp_addr]=$bp;
        HEAP[$len_addr]=$len;
        var $0=HEAP[$mqc_addr]; //@line 512 "mqc.c"
        var $1=CHECK_OVERFLOW(($0+24)&4294967295, 32); //@line 512 "mqc.c"
        var $2=CHECK_OVERFLOW(($1)&4294967295, 32); //@line 512 "mqc.c"
        var $3=HEAP[$mqc_addr]; //@line 512 "mqc.c"
        var $4=CHECK_OVERFLOW(($3+100)&4294967295, 32); //@line 512 "mqc.c"
        HEAP[$4]=$2; //@line 512 "mqc.c"
        var $5=HEAP[$mqc_addr]; //@line 513 "mqc.c"
        var $6=CHECK_OVERFLOW(($5+16)&4294967295, 32); //@line 513 "mqc.c"
        var $7=HEAP[$bp_addr]; //@line 513 "mqc.c"
        HEAP[$6]=$7; //@line 513 "mqc.c"
        var $8=HEAP[$bp_addr]; //@line 514 "mqc.c"
        var $9=HEAP[$len_addr]; //@line 514 "mqc.c"
        var $10=CHECK_OVERFLOW(($8+$9)&4294967295, 32); //@line 514 "mqc.c"
        var $11=HEAP[$mqc_addr]; //@line 514 "mqc.c"
        var $12=CHECK_OVERFLOW(($11+20)&4294967295, 32); //@line 514 "mqc.c"
        HEAP[$12]=$10; //@line 514 "mqc.c"
        var $13=HEAP[$mqc_addr]; //@line 515 "mqc.c"
        var $14=CHECK_OVERFLOW(($13+12)&4294967295, 32); //@line 515 "mqc.c"
        var $15=HEAP[$bp_addr]; //@line 515 "mqc.c"
        HEAP[$14]=$15; //@line 515 "mqc.c"
        var $16=HEAP[$len_addr]; //@line 516 "mqc.c"
        var $17=($16)==0; //@line 516 "mqc.c"
        if ($17) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 516 "mqc.c"
      case 0: // $bb
        var $18=HEAP[$mqc_addr]; //@line 516 "mqc.c"
        var $19=CHECK_OVERFLOW(($18)&4294967295, 32); //@line 516 "mqc.c"
        HEAP[$19]=16711680; //@line 516 "mqc.c"
        __label__ = 2; break; //@line 516 "mqc.c"
      case 1: // $bb1
        var $20=HEAP[$mqc_addr]; //@line 517 "mqc.c"
        var $21=CHECK_OVERFLOW(($20+12)&4294967295, 32); //@line 517 "mqc.c"
        var $22=HEAP[$21]; //@line 517 "mqc.c"
        var $23=HEAP[$22]; //@line 517 "mqc.c"
        var $24=($23); //@line 517 "mqc.c"
        var $25=($24) << 16; //@line 517 "mqc.c"
        var $26=HEAP[$mqc_addr]; //@line 517 "mqc.c"
        var $27=CHECK_OVERFLOW(($26)&4294967295, 32); //@line 517 "mqc.c"
        HEAP[$27]=$25; //@line 517 "mqc.c"
        __label__ = 2; break; //@line 517 "mqc.c"
      case 2: // $bb2
        var $28=HEAP[$mqc_addr]; //@line 557 "mqc.c"
        _mqc_bytein($28); //@line 557 "mqc.c"
        var $29=HEAP[$mqc_addr]; //@line 558 "mqc.c"
        var $30=CHECK_OVERFLOW(($29)&4294967295, 32); //@line 558 "mqc.c"
        var $31=HEAP[$30]; //@line 558 "mqc.c"
        var $32=($31) << 7; //@line 558 "mqc.c"
        var $33=HEAP[$mqc_addr]; //@line 558 "mqc.c"
        var $34=CHECK_OVERFLOW(($33)&4294967295, 32); //@line 558 "mqc.c"
        HEAP[$34]=$32; //@line 558 "mqc.c"
        var $35=HEAP[$mqc_addr]; //@line 559 "mqc.c"
        var $36=CHECK_OVERFLOW(($35+8)&4294967295, 32); //@line 559 "mqc.c"
        var $37=HEAP[$36]; //@line 559 "mqc.c"
        var $38=CHECK_OVERFLOW((($37) - 7)&4294967295, 32); //@line 559 "mqc.c"
        var $39=HEAP[$mqc_addr]; //@line 559 "mqc.c"
        var $40=CHECK_OVERFLOW(($39+8)&4294967295, 32); //@line 559 "mqc.c"
        HEAP[$40]=$38; //@line 559 "mqc.c"
        var $41=HEAP[$mqc_addr]; //@line 560 "mqc.c"
        var $42=CHECK_OVERFLOW(($41+4)&4294967295, 32); //@line 560 "mqc.c"
        HEAP[$42]=32768; //@line 560 "mqc.c"
        __label__ = 3; break; //@line 561 "mqc.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 561 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_bytein($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $c=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        var $0=HEAP[$mqc_addr]; //@line 310 "mqc.c"
        var $1=CHECK_OVERFLOW(($0+12)&4294967295, 32); //@line 310 "mqc.c"
        var $2=HEAP[$1]; //@line 310 "mqc.c"
        var $3=HEAP[$mqc_addr]; //@line 310 "mqc.c"
        var $4=CHECK_OVERFLOW(($3+20)&4294967295, 32); //@line 310 "mqc.c"
        var $5=HEAP[$4]; //@line 310 "mqc.c"
        var $6=($2)!=($5); //@line 310 "mqc.c"
        if ($6) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 310 "mqc.c"
      case 0: // $bb
        var $7=HEAP[$mqc_addr]; //@line 312 "mqc.c"
        var $8=CHECK_OVERFLOW(($7+12)&4294967295, 32); //@line 312 "mqc.c"
        var $9=HEAP[$8]; //@line 312 "mqc.c"
        var $10=CHECK_OVERFLOW(($9+1)&4294967295, 32); //@line 312 "mqc.c"
        var $11=HEAP[$mqc_addr]; //@line 312 "mqc.c"
        var $12=CHECK_OVERFLOW(($11+20)&4294967295, 32); //@line 312 "mqc.c"
        var $13=HEAP[$12]; //@line 312 "mqc.c"
        var $14=($10)!=($13); //@line 312 "mqc.c"
        if ($14) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 312 "mqc.c"
      case 2: // $bb1
        var $15=HEAP[$mqc_addr]; //@line 313 "mqc.c"
        var $16=CHECK_OVERFLOW(($15+12)&4294967295, 32); //@line 313 "mqc.c"
        var $17=HEAP[$16]; //@line 313 "mqc.c"
        var $18=CHECK_OVERFLOW(($17+1)&4294967295, 32); //@line 313 "mqc.c"
        var $19=HEAP[$18]; //@line 313 "mqc.c"
        var $20=($19); //@line 313 "mqc.c"
        HEAP[$c]=$20; //@line 313 "mqc.c"
        __label__ = 4; break; //@line 313 "mqc.c"
      case 3: // $bb2
        HEAP[$c]=255; //@line 315 "mqc.c"
        __label__ = 4; break; //@line 315 "mqc.c"
      case 4: // $bb3
        var $21=HEAP[$mqc_addr]; //@line 317 "mqc.c"
        var $22=CHECK_OVERFLOW(($21+12)&4294967295, 32); //@line 317 "mqc.c"
        var $23=HEAP[$22]; //@line 317 "mqc.c"
        var $24=HEAP[$23]; //@line 317 "mqc.c"
        var $25=reSign(($24), 8, 1)==-1; //@line 317 "mqc.c"
        if ($25) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 317 "mqc.c"
      case 5: // $bb4
        var $26=HEAP[$c]; //@line 318 "mqc.c"
        var $27=($26) > 143; //@line 318 "mqc.c"
        if ($27) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 318 "mqc.c"
      case 7: // $bb5
        var $28=HEAP[$mqc_addr]; //@line 319 "mqc.c"
        var $29=CHECK_OVERFLOW(($28)&4294967295, 32); //@line 319 "mqc.c"
        var $30=HEAP[$29]; //@line 319 "mqc.c"
        var $31=CHECK_OVERFLOW((($30) + 65280)&4294967295, 32); //@line 319 "mqc.c"
        var $32=HEAP[$mqc_addr]; //@line 319 "mqc.c"
        var $33=CHECK_OVERFLOW(($32)&4294967295, 32); //@line 319 "mqc.c"
        HEAP[$33]=$31; //@line 319 "mqc.c"
        var $34=HEAP[$mqc_addr]; //@line 320 "mqc.c"
        var $35=CHECK_OVERFLOW(($34+8)&4294967295, 32); //@line 320 "mqc.c"
        HEAP[$35]=8; //@line 320 "mqc.c"
        __label__ = 9; break; //@line 320 "mqc.c"
      case 8: // $bb6
        var $36=HEAP[$mqc_addr]; //@line 322 "mqc.c"
        var $37=CHECK_OVERFLOW(($36+12)&4294967295, 32); //@line 322 "mqc.c"
        var $38=HEAP[$37]; //@line 322 "mqc.c"
        var $39=CHECK_OVERFLOW(($38+1)&4294967295, 32); //@line 322 "mqc.c"
        var $40=HEAP[$mqc_addr]; //@line 322 "mqc.c"
        var $41=CHECK_OVERFLOW(($40+12)&4294967295, 32); //@line 322 "mqc.c"
        HEAP[$41]=$39; //@line 322 "mqc.c"
        var $42=HEAP[$mqc_addr]; //@line 323 "mqc.c"
        var $43=CHECK_OVERFLOW(($42)&4294967295, 32); //@line 323 "mqc.c"
        var $44=HEAP[$43]; //@line 323 "mqc.c"
        var $45=HEAP[$c]; //@line 323 "mqc.c"
        var $46=($45) << 9; //@line 323 "mqc.c"
        var $47=CHECK_OVERFLOW((($44) + ($46))&4294967295, 32); //@line 323 "mqc.c"
        var $48=HEAP[$mqc_addr]; //@line 323 "mqc.c"
        var $49=CHECK_OVERFLOW(($48)&4294967295, 32); //@line 323 "mqc.c"
        HEAP[$49]=$47; //@line 323 "mqc.c"
        var $50=HEAP[$mqc_addr]; //@line 324 "mqc.c"
        var $51=CHECK_OVERFLOW(($50+8)&4294967295, 32); //@line 324 "mqc.c"
        HEAP[$51]=7; //@line 324 "mqc.c"
        __label__ = 9; break; //@line 324 "mqc.c"
      case 9: // $bb7
        __label__ = 10; break; //@line 324 "mqc.c"
      case 6: // $bb8
        var $52=HEAP[$mqc_addr]; //@line 327 "mqc.c"
        var $53=CHECK_OVERFLOW(($52+12)&4294967295, 32); //@line 327 "mqc.c"
        var $54=HEAP[$53]; //@line 327 "mqc.c"
        var $55=CHECK_OVERFLOW(($54+1)&4294967295, 32); //@line 327 "mqc.c"
        var $56=HEAP[$mqc_addr]; //@line 327 "mqc.c"
        var $57=CHECK_OVERFLOW(($56+12)&4294967295, 32); //@line 327 "mqc.c"
        HEAP[$57]=$55; //@line 327 "mqc.c"
        var $58=HEAP[$mqc_addr]; //@line 328 "mqc.c"
        var $59=CHECK_OVERFLOW(($58)&4294967295, 32); //@line 328 "mqc.c"
        var $60=HEAP[$59]; //@line 328 "mqc.c"
        var $61=HEAP[$c]; //@line 328 "mqc.c"
        var $62=($61) << 8; //@line 328 "mqc.c"
        var $63=CHECK_OVERFLOW((($60) + ($62))&4294967295, 32); //@line 328 "mqc.c"
        var $64=HEAP[$mqc_addr]; //@line 328 "mqc.c"
        var $65=CHECK_OVERFLOW(($64)&4294967295, 32); //@line 328 "mqc.c"
        HEAP[$65]=$63; //@line 328 "mqc.c"
        var $66=HEAP[$mqc_addr]; //@line 329 "mqc.c"
        var $67=CHECK_OVERFLOW(($66+8)&4294967295, 32); //@line 329 "mqc.c"
        HEAP[$67]=8; //@line 329 "mqc.c"
        __label__ = 10; break; //@line 329 "mqc.c"
      case 10: // $bb9
        __label__ = 11; break; //@line 329 "mqc.c"
      case 1: // $bb10
        var $68=HEAP[$mqc_addr]; //@line 332 "mqc.c"
        var $69=CHECK_OVERFLOW(($68)&4294967295, 32); //@line 332 "mqc.c"
        var $70=HEAP[$69]; //@line 332 "mqc.c"
        var $71=CHECK_OVERFLOW((($70) + 65280)&4294967295, 32); //@line 332 "mqc.c"
        var $72=HEAP[$mqc_addr]; //@line 332 "mqc.c"
        var $73=CHECK_OVERFLOW(($72)&4294967295, 32); //@line 332 "mqc.c"
        HEAP[$73]=$71; //@line 332 "mqc.c"
        var $74=HEAP[$mqc_addr]; //@line 333 "mqc.c"
        var $75=CHECK_OVERFLOW(($74+8)&4294967295, 32); //@line 333 "mqc.c"
        HEAP[$75]=8; //@line 333 "mqc.c"
        __label__ = 11; break; //@line 333 "mqc.c"
      case 11: // $bb11
        __label__ = 12; break; //@line 335 "mqc.c"
      case 12: // $return
        STACKTOP = __stackBase__;
        return; //@line 335 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_decode($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $d=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        var $1=HEAP[$mqc_addr]; //@line 565 "mqc.c"
        var $2=CHECK_OVERFLOW(($1+4)&4294967295, 32); //@line 565 "mqc.c"
        var $3=HEAP[$2]; //@line 565 "mqc.c"
        var $4=HEAP[$mqc_addr]; //@line 565 "mqc.c"
        var $5=CHECK_OVERFLOW(($4+100)&4294967295, 32); //@line 565 "mqc.c"
        var $6=HEAP[$5]; //@line 565 "mqc.c"
        var $7=HEAP[$6]; //@line 565 "mqc.c"
        var $8=CHECK_OVERFLOW(($7)&4294967295, 32); //@line 565 "mqc.c"
        var $9=HEAP[$8]; //@line 565 "mqc.c"
        var $10=CHECK_OVERFLOW((($3) - ($9))&4294967295, 32); //@line 565 "mqc.c"
        var $11=HEAP[$mqc_addr]; //@line 565 "mqc.c"
        var $12=CHECK_OVERFLOW(($11+4)&4294967295, 32); //@line 565 "mqc.c"
        HEAP[$12]=$10; //@line 565 "mqc.c"
        var $13=HEAP[$mqc_addr]; //@line 566 "mqc.c"
        var $14=CHECK_OVERFLOW(($13)&4294967295, 32); //@line 566 "mqc.c"
        var $15=HEAP[$14]; //@line 566 "mqc.c"
        var $16=unSign(($15), 32, 1) >>> 16; //@line 566 "mqc.c"
        var $17=HEAP[$mqc_addr]; //@line 566 "mqc.c"
        var $18=CHECK_OVERFLOW(($17+100)&4294967295, 32); //@line 566 "mqc.c"
        var $19=HEAP[$18]; //@line 566 "mqc.c"
        var $20=HEAP[$19]; //@line 566 "mqc.c"
        var $21=CHECK_OVERFLOW(($20)&4294967295, 32); //@line 566 "mqc.c"
        var $22=HEAP[$21]; //@line 566 "mqc.c"
        var $23=unSign(($16), 32, 1) < unSign(($22), 32, 1); //@line 566 "mqc.c"
        if ($23) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 566 "mqc.c"
      case 0: // $bb
        var $24=HEAP[$mqc_addr]; //@line 567 "mqc.c"
        var $25=_mqc_lpsexchange($24); //@line 567 "mqc.c"
        HEAP[$d]=$25; //@line 567 "mqc.c"
        var $26=HEAP[$mqc_addr]; //@line 568 "mqc.c"
        _mqc_renormd($26); //@line 568 "mqc.c"
        __label__ = 2; break; //@line 568 "mqc.c"
      case 1: // $bb1
        var $27=HEAP[$mqc_addr]; //@line 570 "mqc.c"
        var $28=CHECK_OVERFLOW(($27)&4294967295, 32); //@line 570 "mqc.c"
        var $29=HEAP[$28]; //@line 570 "mqc.c"
        var $30=HEAP[$mqc_addr]; //@line 570 "mqc.c"
        var $31=CHECK_OVERFLOW(($30+100)&4294967295, 32); //@line 570 "mqc.c"
        var $32=HEAP[$31]; //@line 570 "mqc.c"
        var $33=HEAP[$32]; //@line 570 "mqc.c"
        var $34=CHECK_OVERFLOW(($33)&4294967295, 32); //@line 570 "mqc.c"
        var $35=HEAP[$34]; //@line 570 "mqc.c"
        var $36=($35) << 16; //@line 570 "mqc.c"
        var $37=CHECK_OVERFLOW((($29) - ($36))&4294967295, 32); //@line 570 "mqc.c"
        var $38=HEAP[$mqc_addr]; //@line 570 "mqc.c"
        var $39=CHECK_OVERFLOW(($38)&4294967295, 32); //@line 570 "mqc.c"
        HEAP[$39]=$37; //@line 570 "mqc.c"
        var $40=HEAP[$mqc_addr]; //@line 571 "mqc.c"
        var $41=CHECK_OVERFLOW(($40+4)&4294967295, 32); //@line 571 "mqc.c"
        var $42=HEAP[$41]; //@line 571 "mqc.c"
        var $43=($42) & 32768; //@line 571 "mqc.c"
        var $44=($43)==0; //@line 571 "mqc.c"
        if ($44) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 571 "mqc.c"
      case 3: // $bb2
        var $45=HEAP[$mqc_addr]; //@line 572 "mqc.c"
        var $46=_mqc_mpsexchange($45); //@line 572 "mqc.c"
        HEAP[$d]=$46; //@line 572 "mqc.c"
        var $47=HEAP[$mqc_addr]; //@line 573 "mqc.c"
        _mqc_renormd($47); //@line 573 "mqc.c"
        __label__ = 2; break; //@line 573 "mqc.c"
      case 4: // $bb3
        var $48=HEAP[$mqc_addr]; //@line 575 "mqc.c"
        var $49=CHECK_OVERFLOW(($48+100)&4294967295, 32); //@line 575 "mqc.c"
        var $50=HEAP[$49]; //@line 575 "mqc.c"
        var $51=HEAP[$50]; //@line 575 "mqc.c"
        var $52=CHECK_OVERFLOW(($51+4)&4294967295, 32); //@line 575 "mqc.c"
        var $53=HEAP[$52]; //@line 575 "mqc.c"
        HEAP[$d]=$53; //@line 575 "mqc.c"
        __label__ = 2; break; //@line 575 "mqc.c"
      case 2: // $bb4
        var $54=HEAP[$d]; //@line 579 "mqc.c"
        HEAP[$0]=$54; //@line 579 "mqc.c"
        var $55=HEAP[$0]; //@line 579 "mqc.c"
        HEAP[$retval]=$55; //@line 579 "mqc.c"
        __label__ = 5; break; //@line 579 "mqc.c"
      case 5: // $return
        var $retval5=HEAP[$retval]; //@line 579 "mqc.c"
        STACKTOP = __stackBase__;
        return $retval5; //@line 579 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_lpsexchange($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $d=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        var $1=HEAP[$mqc_addr]; //@line 288 "mqc.c"
        var $2=CHECK_OVERFLOW(($1+4)&4294967295, 32); //@line 288 "mqc.c"
        var $3=HEAP[$2]; //@line 288 "mqc.c"
        var $4=HEAP[$mqc_addr]; //@line 288 "mqc.c"
        var $5=CHECK_OVERFLOW(($4+100)&4294967295, 32); //@line 288 "mqc.c"
        var $6=HEAP[$5]; //@line 288 "mqc.c"
        var $7=HEAP[$6]; //@line 288 "mqc.c"
        var $8=CHECK_OVERFLOW(($7)&4294967295, 32); //@line 288 "mqc.c"
        var $9=HEAP[$8]; //@line 288 "mqc.c"
        var $10=($3) < ($9); //@line 288 "mqc.c"
        if ($10) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 288 "mqc.c"
      case 0: // $bb
        var $11=HEAP[$mqc_addr]; //@line 289 "mqc.c"
        var $12=CHECK_OVERFLOW(($11+100)&4294967295, 32); //@line 289 "mqc.c"
        var $13=HEAP[$12]; //@line 289 "mqc.c"
        var $14=HEAP[$13]; //@line 289 "mqc.c"
        var $15=CHECK_OVERFLOW(($14)&4294967295, 32); //@line 289 "mqc.c"
        var $16=HEAP[$15]; //@line 289 "mqc.c"
        var $17=HEAP[$mqc_addr]; //@line 289 "mqc.c"
        var $18=CHECK_OVERFLOW(($17+4)&4294967295, 32); //@line 289 "mqc.c"
        HEAP[$18]=$16; //@line 289 "mqc.c"
        var $19=HEAP[$mqc_addr]; //@line 290 "mqc.c"
        var $20=CHECK_OVERFLOW(($19+100)&4294967295, 32); //@line 290 "mqc.c"
        var $21=HEAP[$20]; //@line 290 "mqc.c"
        var $22=HEAP[$21]; //@line 290 "mqc.c"
        var $23=CHECK_OVERFLOW(($22+4)&4294967295, 32); //@line 290 "mqc.c"
        var $24=HEAP[$23]; //@line 290 "mqc.c"
        HEAP[$d]=$24; //@line 290 "mqc.c"
        var $25=HEAP[$mqc_addr]; //@line 291 "mqc.c"
        var $26=CHECK_OVERFLOW(($25+100)&4294967295, 32); //@line 291 "mqc.c"
        var $27=HEAP[$26]; //@line 291 "mqc.c"
        var $28=HEAP[$mqc_addr]; //@line 291 "mqc.c"
        var $29=CHECK_OVERFLOW(($28+100)&4294967295, 32); //@line 291 "mqc.c"
        var $30=HEAP[$29]; //@line 291 "mqc.c"
        var $31=HEAP[$30]; //@line 291 "mqc.c"
        var $32=CHECK_OVERFLOW(($31+8)&4294967295, 32); //@line 291 "mqc.c"
        var $33=HEAP[$32]; //@line 291 "mqc.c"
        HEAP[$27]=$33; //@line 291 "mqc.c"
        __label__ = 2; break; //@line 291 "mqc.c"
      case 1: // $bb1
        var $34=HEAP[$mqc_addr]; //@line 293 "mqc.c"
        var $35=CHECK_OVERFLOW(($34+100)&4294967295, 32); //@line 293 "mqc.c"
        var $36=HEAP[$35]; //@line 293 "mqc.c"
        var $37=HEAP[$36]; //@line 293 "mqc.c"
        var $38=CHECK_OVERFLOW(($37)&4294967295, 32); //@line 293 "mqc.c"
        var $39=HEAP[$38]; //@line 293 "mqc.c"
        var $40=HEAP[$mqc_addr]; //@line 293 "mqc.c"
        var $41=CHECK_OVERFLOW(($40+4)&4294967295, 32); //@line 293 "mqc.c"
        HEAP[$41]=$39; //@line 293 "mqc.c"
        var $42=HEAP[$mqc_addr]; //@line 294 "mqc.c"
        var $43=CHECK_OVERFLOW(($42+100)&4294967295, 32); //@line 294 "mqc.c"
        var $44=HEAP[$43]; //@line 294 "mqc.c"
        var $45=HEAP[$44]; //@line 294 "mqc.c"
        var $46=CHECK_OVERFLOW(($45+4)&4294967295, 32); //@line 294 "mqc.c"
        var $47=HEAP[$46]; //@line 294 "mqc.c"
        var $48=CHECK_OVERFLOW((1 - ($47))&4294967295, 32); //@line 294 "mqc.c"
        HEAP[$d]=$48; //@line 294 "mqc.c"
        var $49=HEAP[$mqc_addr]; //@line 295 "mqc.c"
        var $50=CHECK_OVERFLOW(($49+100)&4294967295, 32); //@line 295 "mqc.c"
        var $51=HEAP[$50]; //@line 295 "mqc.c"
        var $52=HEAP[$mqc_addr]; //@line 295 "mqc.c"
        var $53=CHECK_OVERFLOW(($52+100)&4294967295, 32); //@line 295 "mqc.c"
        var $54=HEAP[$53]; //@line 295 "mqc.c"
        var $55=HEAP[$54]; //@line 295 "mqc.c"
        var $56=CHECK_OVERFLOW(($55+12)&4294967295, 32); //@line 295 "mqc.c"
        var $57=HEAP[$56]; //@line 295 "mqc.c"
        HEAP[$51]=$57; //@line 295 "mqc.c"
        __label__ = 2; break; //@line 295 "mqc.c"
      case 2: // $bb2
        var $58=HEAP[$d]; //@line 298 "mqc.c"
        HEAP[$0]=$58; //@line 298 "mqc.c"
        var $59=HEAP[$0]; //@line 298 "mqc.c"
        HEAP[$retval]=$59; //@line 298 "mqc.c"
        __label__ = 3; break; //@line 298 "mqc.c"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 298 "mqc.c"
        STACKTOP = __stackBase__;
        return $retval3; //@line 298 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_renormd($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        __label__ = 0; break; //@line 338 "mqc.c"
      case 0: // $bb
        var $0=HEAP[$mqc_addr]; //@line 340 "mqc.c"
        var $1=CHECK_OVERFLOW(($0+8)&4294967295, 32); //@line 340 "mqc.c"
        var $2=HEAP[$1]; //@line 340 "mqc.c"
        var $3=($2)==0; //@line 340 "mqc.c"
        if ($3) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 340 "mqc.c"
      case 1: // $bb1
        var $4=HEAP[$mqc_addr]; //@line 341 "mqc.c"
        _mqc_bytein($4); //@line 341 "mqc.c"
        __label__ = 2; break; //@line 341 "mqc.c"
      case 2: // $bb2
        var $5=HEAP[$mqc_addr]; //@line 343 "mqc.c"
        var $6=CHECK_OVERFLOW(($5+4)&4294967295, 32); //@line 343 "mqc.c"
        var $7=HEAP[$6]; //@line 343 "mqc.c"
        var $8=($7) << 1; //@line 343 "mqc.c"
        var $9=HEAP[$mqc_addr]; //@line 343 "mqc.c"
        var $10=CHECK_OVERFLOW(($9+4)&4294967295, 32); //@line 343 "mqc.c"
        HEAP[$10]=$8; //@line 343 "mqc.c"
        var $11=HEAP[$mqc_addr]; //@line 344 "mqc.c"
        var $12=CHECK_OVERFLOW(($11)&4294967295, 32); //@line 344 "mqc.c"
        var $13=HEAP[$12]; //@line 344 "mqc.c"
        var $14=($13) << 1; //@line 344 "mqc.c"
        var $15=HEAP[$mqc_addr]; //@line 344 "mqc.c"
        var $16=CHECK_OVERFLOW(($15)&4294967295, 32); //@line 344 "mqc.c"
        HEAP[$16]=$14; //@line 344 "mqc.c"
        var $17=HEAP[$mqc_addr]; //@line 345 "mqc.c"
        var $18=CHECK_OVERFLOW(($17+8)&4294967295, 32); //@line 345 "mqc.c"
        var $19=HEAP[$18]; //@line 345 "mqc.c"
        var $20=CHECK_OVERFLOW((($19) - 1)&4294967295, 32); //@line 345 "mqc.c"
        var $21=HEAP[$mqc_addr]; //@line 345 "mqc.c"
        var $22=CHECK_OVERFLOW(($21+8)&4294967295, 32); //@line 345 "mqc.c"
        HEAP[$22]=$20; //@line 345 "mqc.c"
        var $23=HEAP[$mqc_addr]; //@line 346 "mqc.c"
        var $24=CHECK_OVERFLOW(($23+4)&4294967295, 32); //@line 346 "mqc.c"
        var $25=HEAP[$24]; //@line 346 "mqc.c"
        var $26=($25) <= 32767; //@line 346 "mqc.c"
        if ($26) { __label__ = 0; break; } else { __label__ = 3; break; } //@line 346 "mqc.c"
      case 3: // $bb3
        __label__ = 4; break; //@line 347 "mqc.c"
      case 4: // $return
        STACKTOP = __stackBase__;
        return; //@line 347 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_mpsexchange($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $d=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        var $1=HEAP[$mqc_addr]; //@line 275 "mqc.c"
        var $2=CHECK_OVERFLOW(($1+4)&4294967295, 32); //@line 275 "mqc.c"
        var $3=HEAP[$2]; //@line 275 "mqc.c"
        var $4=HEAP[$mqc_addr]; //@line 275 "mqc.c"
        var $5=CHECK_OVERFLOW(($4+100)&4294967295, 32); //@line 275 "mqc.c"
        var $6=HEAP[$5]; //@line 275 "mqc.c"
        var $7=HEAP[$6]; //@line 275 "mqc.c"
        var $8=CHECK_OVERFLOW(($7)&4294967295, 32); //@line 275 "mqc.c"
        var $9=HEAP[$8]; //@line 275 "mqc.c"
        var $10=($3) < ($9); //@line 275 "mqc.c"
        if ($10) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 275 "mqc.c"
      case 0: // $bb
        var $11=HEAP[$mqc_addr]; //@line 276 "mqc.c"
        var $12=CHECK_OVERFLOW(($11+100)&4294967295, 32); //@line 276 "mqc.c"
        var $13=HEAP[$12]; //@line 276 "mqc.c"
        var $14=HEAP[$13]; //@line 276 "mqc.c"
        var $15=CHECK_OVERFLOW(($14+4)&4294967295, 32); //@line 276 "mqc.c"
        var $16=HEAP[$15]; //@line 276 "mqc.c"
        var $17=CHECK_OVERFLOW((1 - ($16))&4294967295, 32); //@line 276 "mqc.c"
        HEAP[$d]=$17; //@line 276 "mqc.c"
        var $18=HEAP[$mqc_addr]; //@line 277 "mqc.c"
        var $19=CHECK_OVERFLOW(($18+100)&4294967295, 32); //@line 277 "mqc.c"
        var $20=HEAP[$19]; //@line 277 "mqc.c"
        var $21=HEAP[$mqc_addr]; //@line 277 "mqc.c"
        var $22=CHECK_OVERFLOW(($21+100)&4294967295, 32); //@line 277 "mqc.c"
        var $23=HEAP[$22]; //@line 277 "mqc.c"
        var $24=HEAP[$23]; //@line 277 "mqc.c"
        var $25=CHECK_OVERFLOW(($24+12)&4294967295, 32); //@line 277 "mqc.c"
        var $26=HEAP[$25]; //@line 277 "mqc.c"
        HEAP[$20]=$26; //@line 277 "mqc.c"
        __label__ = 2; break; //@line 277 "mqc.c"
      case 1: // $bb1
        var $27=HEAP[$mqc_addr]; //@line 279 "mqc.c"
        var $28=CHECK_OVERFLOW(($27+100)&4294967295, 32); //@line 279 "mqc.c"
        var $29=HEAP[$28]; //@line 279 "mqc.c"
        var $30=HEAP[$29]; //@line 279 "mqc.c"
        var $31=CHECK_OVERFLOW(($30+4)&4294967295, 32); //@line 279 "mqc.c"
        var $32=HEAP[$31]; //@line 279 "mqc.c"
        HEAP[$d]=$32; //@line 279 "mqc.c"
        var $33=HEAP[$mqc_addr]; //@line 280 "mqc.c"
        var $34=CHECK_OVERFLOW(($33+100)&4294967295, 32); //@line 280 "mqc.c"
        var $35=HEAP[$34]; //@line 280 "mqc.c"
        var $36=HEAP[$mqc_addr]; //@line 280 "mqc.c"
        var $37=CHECK_OVERFLOW(($36+100)&4294967295, 32); //@line 280 "mqc.c"
        var $38=HEAP[$37]; //@line 280 "mqc.c"
        var $39=HEAP[$38]; //@line 280 "mqc.c"
        var $40=CHECK_OVERFLOW(($39+8)&4294967295, 32); //@line 280 "mqc.c"
        var $41=HEAP[$40]; //@line 280 "mqc.c"
        HEAP[$35]=$41; //@line 280 "mqc.c"
        __label__ = 2; break; //@line 280 "mqc.c"
      case 2: // $bb2
        var $42=HEAP[$d]; //@line 283 "mqc.c"
        HEAP[$0]=$42; //@line 283 "mqc.c"
        var $43=HEAP[$0]; //@line 283 "mqc.c"
        HEAP[$retval]=$43; //@line 283 "mqc.c"
        __label__ = 3; break; //@line 283 "mqc.c"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 283 "mqc.c"
        STACKTOP = __stackBase__;
        return $retval3; //@line 283 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_resetstates($mqc) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $i=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        HEAP[$i]=0; //@line 584 "mqc.c"
        __label__ = 0; break; //@line 584 "mqc.c"
      case 1: // $bb
        var $0=HEAP[$i]; //@line 585 "mqc.c"
        var $1=HEAP[$mqc_addr]; //@line 585 "mqc.c"
        var $2=CHECK_OVERFLOW(($1+24)&4294967295, 32); //@line 585 "mqc.c"
        var $3=CHECK_OVERFLOW(($2+$0*4)&4294967295, 32); //@line 585 "mqc.c"
        HEAP[$3]=CHECK_OVERFLOW((_mqc_states)&4294967295, 32); //@line 585 "mqc.c"
        var $4=HEAP[$i]; //@line 584 "mqc.c"
        var $5=CHECK_OVERFLOW((($4) + 1)&4294967295, 32); //@line 584 "mqc.c"
        HEAP[$i]=$5; //@line 584 "mqc.c"
        __label__ = 0; break; //@line 584 "mqc.c"
      case 0: // $bb1
        var $6=HEAP[$i]; //@line 584 "mqc.c"
        var $7=($6) <= 18; //@line 584 "mqc.c"
        if ($7) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 584 "mqc.c"
      case 2: // $bb2
        __label__ = 3; break; //@line 587 "mqc.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 587 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _mqc_setstate($mqc, $ctxno, $msb, $prob) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $mqc_addr=__stackBase__;
        var $ctxno_addr=__stackBase__+4;
        var $msb_addr=__stackBase__+8;
        var $prob_addr=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$mqc_addr]=$mqc;
        HEAP[$ctxno_addr]=$ctxno;
        HEAP[$msb_addr]=$msb;
        HEAP[$prob_addr]=$prob;
        var $0=HEAP[$ctxno_addr]; //@line 590 "mqc.c"
        var $1=HEAP[$prob_addr]; //@line 590 "mqc.c"
        var $2=($1) << 1; //@line 590 "mqc.c"
        var $3=HEAP[$msb_addr]; //@line 590 "mqc.c"
        var $4=CHECK_OVERFLOW((($2) + ($3))&4294967295, 32); //@line 590 "mqc.c"
        var $5=CHECK_OVERFLOW((_mqc_states+$4*16)&4294967295, 32); //@line 590 "mqc.c"
        var $6=HEAP[$mqc_addr]; //@line 590 "mqc.c"
        var $7=CHECK_OVERFLOW(($6+24)&4294967295, 32); //@line 590 "mqc.c"
        var $8=CHECK_OVERFLOW(($7+$0*4)&4294967295, 32); //@line 590 "mqc.c"
        HEAP[$8]=$5; //@line 590 "mqc.c"
        __label__ = 0; break; //@line 591 "mqc.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 591 "mqc.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_version() {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $retval=__stackBase__;
        var $0=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$0]=CHECK_OVERFLOW((__str29106)&4294967295, 32); //@line 58 "openjpeg.c"
        var $1=HEAP[$0]; //@line 58 "openjpeg.c"
        HEAP[$retval]=$1; //@line 58 "openjpeg.c"
        __label__ = 0; break; //@line 58 "openjpeg.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 58 "openjpeg.c"
        STACKTOP = __stackBase__;
        return $retval1; //@line 58 "openjpeg.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_create_decompress($format) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $format_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $dinfo=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$format_addr]=$format;
        var $1=_calloc(1, 28); //@line 62 "openjpeg.c"
        var $2=$1; //@line 62 "openjpeg.c"
        HEAP[$dinfo]=$2; //@line 62 "openjpeg.c"
        var $3=HEAP[$dinfo]; //@line 63 "openjpeg.c"
        var $4=($3)==0; //@line 63 "openjpeg.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 63 "openjpeg.c"
      case 0: // $bb
        HEAP[$0]=0; //@line 63 "openjpeg.c"
        __label__ = 2; break; //@line 63 "openjpeg.c"
      case 1: // $bb1
        var $5=HEAP[$dinfo]; //@line 64 "openjpeg.c"
        var $6=CHECK_OVERFLOW(($5+8)&4294967295, 32); //@line 64 "openjpeg.c"
        HEAP[$6]=1; //@line 64 "openjpeg.c"
        var $7=HEAP[$format_addr]; //@line 65 "openjpeg.c"
        if ($7 == 0) {
          __label__ = 9; break;
        }
        else if ($7 == 1) {
          __label__ = 9; break;
        }
        else if ($7 == 2) {
          __label__ = 10; break;
        }
        else {
        __label__ = 11; break;
        }
        
      case 9: // $bb2
        var $8=HEAP[$dinfo]; //@line 69 "openjpeg.c"
        var $9=_j2k_create_decompress($8); //@line 69 "openjpeg.c"
        var $10=HEAP[$dinfo]; //@line 69 "openjpeg.c"
        var $11=CHECK_OVERFLOW(($10+16)&4294967295, 32); //@line 69 "openjpeg.c"
        var $12=$9; //@line 69 "openjpeg.c"
        HEAP[$11]=$12; //@line 69 "openjpeg.c"
        var $13=HEAP[$dinfo]; //@line 70 "openjpeg.c"
        var $14=CHECK_OVERFLOW(($13+16)&4294967295, 32); //@line 70 "openjpeg.c"
        var $15=HEAP[$14]; //@line 70 "openjpeg.c"
        var $16=($15)==0; //@line 70 "openjpeg.c"
        if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 70 "openjpeg.c"
      case 3: // $bb3
        var $17=HEAP[$dinfo]; //@line 71 "openjpeg.c"
        var $18=$17; //@line 71 "openjpeg.c"
        _free($18); //@line 71 "openjpeg.c"
        HEAP[$0]=0; //@line 72 "openjpeg.c"
        __label__ = 2; break; //@line 72 "openjpeg.c"
      case 4: // $bb4
        __label__ = 5; break; //@line 72 "openjpeg.c"
      case 10: // $bb5
        var $19=HEAP[$dinfo]; //@line 77 "openjpeg.c"
        var $20=_jp2_create_decompress($19); //@line 77 "openjpeg.c"
        var $21=HEAP[$dinfo]; //@line 77 "openjpeg.c"
        var $22=CHECK_OVERFLOW(($21+20)&4294967295, 32); //@line 77 "openjpeg.c"
        var $23=$20; //@line 77 "openjpeg.c"
        HEAP[$22]=$23; //@line 77 "openjpeg.c"
        var $24=HEAP[$dinfo]; //@line 78 "openjpeg.c"
        var $25=CHECK_OVERFLOW(($24+20)&4294967295, 32); //@line 78 "openjpeg.c"
        var $26=HEAP[$25]; //@line 78 "openjpeg.c"
        var $27=($26)==0; //@line 78 "openjpeg.c"
        if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 78 "openjpeg.c"
      case 6: // $bb6
        var $28=HEAP[$dinfo]; //@line 79 "openjpeg.c"
        var $29=$28; //@line 79 "openjpeg.c"
        _free($29); //@line 79 "openjpeg.c"
        HEAP[$0]=0; //@line 80 "openjpeg.c"
        __label__ = 2; break; //@line 80 "openjpeg.c"
      case 7: // $bb7
        __label__ = 5; break; //@line 80 "openjpeg.c"
      case 11: // $bb8
        var $30=HEAP[$dinfo]; //@line 85 "openjpeg.c"
        var $31=$30; //@line 85 "openjpeg.c"
        _free($31); //@line 85 "openjpeg.c"
        HEAP[$0]=0; //@line 86 "openjpeg.c"
        __label__ = 2; break; //@line 86 "openjpeg.c"
      case 5: // $bb9
        var $32=HEAP[$dinfo]; //@line 89 "openjpeg.c"
        var $33=CHECK_OVERFLOW(($32+12)&4294967295, 32); //@line 89 "openjpeg.c"
        var $34=HEAP[$format_addr]; //@line 89 "openjpeg.c"
        HEAP[$33]=$34; //@line 89 "openjpeg.c"
        var $35=HEAP[$dinfo]; //@line 91 "openjpeg.c"
        HEAP[$0]=$35; //@line 91 "openjpeg.c"
        __label__ = 2; break; //@line 91 "openjpeg.c"
      case 2: // $bb10
        var $36=HEAP[$0]; //@line 63 "openjpeg.c"
        HEAP[$retval]=$36; //@line 63 "openjpeg.c"
        __label__ = 8; break; //@line 63 "openjpeg.c"
      case 8: // $return
        var $retval11=HEAP[$retval]; //@line 63 "openjpeg.c"
        STACKTOP = __stackBase__;
        return $retval11; //@line 63 "openjpeg.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_destroy_decompress($dinfo) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $dinfo_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$dinfo_addr]=$dinfo;
        var $0=HEAP[$dinfo_addr]; //@line 95 "openjpeg.c"
        var $1=($0)!=0; //@line 95 "openjpeg.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 95 "openjpeg.c"
      case 0: // $bb
        var $2=HEAP[$dinfo_addr]; //@line 97 "openjpeg.c"
        var $3=CHECK_OVERFLOW(($2+12)&4294967295, 32); //@line 97 "openjpeg.c"
        var $4=HEAP[$3]; //@line 97 "openjpeg.c"
        if ($4 == 0) {
          __label__ = 4; break;
        }
        else if ($4 == 1) {
          __label__ = 4; break;
        }
        else if ($4 == 2) {
          __label__ = 5; break;
        }
        else {
        __label__ = 2; break;
        }
        
      case 4: // $bb1
        var $5=HEAP[$dinfo_addr]; //@line 100 "openjpeg.c"
        var $6=CHECK_OVERFLOW(($5+16)&4294967295, 32); //@line 100 "openjpeg.c"
        var $7=HEAP[$6]; //@line 100 "openjpeg.c"
        var $8=$7; //@line 100 "openjpeg.c"
        _j2k_destroy_decompress($8); //@line 100 "openjpeg.c"
        __label__ = 2; break; //@line 100 "openjpeg.c"
      case 5: // $bb2
        var $9=HEAP[$dinfo_addr]; //@line 103 "openjpeg.c"
        var $10=CHECK_OVERFLOW(($9+20)&4294967295, 32); //@line 103 "openjpeg.c"
        var $11=HEAP[$10]; //@line 103 "openjpeg.c"
        var $12=$11; //@line 103 "openjpeg.c"
        _jp2_destroy_decompress($12); //@line 103 "openjpeg.c"
        __label__ = 2; break; //@line 103 "openjpeg.c"
      case 2: // $bb3
        var $13=HEAP[$dinfo_addr]; //@line 110 "openjpeg.c"
        var $14=$13; //@line 110 "openjpeg.c"
        _free($14); //@line 110 "openjpeg.c"
        __label__ = 1; break; //@line 110 "openjpeg.c"
      case 1: // $bb4
        __label__ = 3; break; //@line 112 "openjpeg.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 112 "openjpeg.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_set_default_decoder_parameters($parameters) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $parameters_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$parameters_addr]=$parameters;
        var $0=HEAP[$parameters_addr]; //@line 115 "openjpeg.c"
        var $1=($0)!=0; //@line 115 "openjpeg.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 115 "openjpeg.c"
      case 0: // $bb
        var $2=HEAP[$parameters_addr]; //@line 116 "openjpeg.c"
        var $3=$2; //@line 116 "openjpeg.c"
        _llvm_memset_p0i8_i32($3, 0, 8224, 1, 0); //@line 116 "openjpeg.c"
        var $4=HEAP[$parameters_addr]; //@line 118 "openjpeg.c"
        var $5=CHECK_OVERFLOW(($4+4)&4294967295, 32); //@line 118 "openjpeg.c"
        HEAP[$5]=0; //@line 118 "openjpeg.c"
        var $6=HEAP[$parameters_addr]; //@line 119 "openjpeg.c"
        var $7=CHECK_OVERFLOW(($6)&4294967295, 32); //@line 119 "openjpeg.c"
        HEAP[$7]=0; //@line 119 "openjpeg.c"
        var $8=HEAP[$parameters_addr]; //@line 120 "openjpeg.c"
        var $9=CHECK_OVERFLOW(($8+8220)&4294967295, 32); //@line 120 "openjpeg.c"
        HEAP[$9]=0; //@line 120 "openjpeg.c"
        var $10=HEAP[$parameters_addr]; //@line 122 "openjpeg.c"
        var $11=CHECK_OVERFLOW(($10+8200)&4294967295, 32); //@line 122 "openjpeg.c"
        HEAP[$11]=-1; //@line 122 "openjpeg.c"
        var $12=HEAP[$parameters_addr]; //@line 123 "openjpeg.c"
        var $13=CHECK_OVERFLOW(($12+8204)&4294967295, 32); //@line 123 "openjpeg.c"
        HEAP[$13]=-1; //@line 123 "openjpeg.c"
        __label__ = 1; break; //@line 123 "openjpeg.c"
      case 1: // $bb1
        __label__ = 2; break; //@line 132 "openjpeg.c"
      case 2: // $return
        STACKTOP = __stackBase__;
        return; //@line 132 "openjpeg.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_setup_decoder($dinfo, $parameters) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $dinfo_addr=__stackBase__;
        var $parameters_addr=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$dinfo_addr]=$dinfo;
        HEAP[$parameters_addr]=$parameters;
        var $0=HEAP[$dinfo_addr]; //@line 135 "openjpeg.c"
        var $1=($0)!=0; //@line 135 "openjpeg.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 135 "openjpeg.c"
      case 0: // $bb
        var $2=HEAP[$parameters_addr]; //@line 135 "openjpeg.c"
        var $3=($2)!=0; //@line 135 "openjpeg.c"
        if ($3) { __label__ = 2; break; } else { __label__ = 1; break; } //@line 135 "openjpeg.c"
      case 2: // $bb1
        var $4=HEAP[$dinfo_addr]; //@line 136 "openjpeg.c"
        var $5=CHECK_OVERFLOW(($4+12)&4294967295, 32); //@line 136 "openjpeg.c"
        var $6=HEAP[$5]; //@line 136 "openjpeg.c"
        if ($6 == 0) {
          __label__ = 4; break;
        }
        else if ($6 == 1) {
          __label__ = 4; break;
        }
        else if ($6 == 2) {
          __label__ = 5; break;
        }
        else {
        __label__ = 1; break;
        }
        
      case 4: // $bb2
        var $7=HEAP[$dinfo_addr]; //@line 139 "openjpeg.c"
        var $8=CHECK_OVERFLOW(($7+16)&4294967295, 32); //@line 139 "openjpeg.c"
        var $9=HEAP[$8]; //@line 139 "openjpeg.c"
        var $10=$9; //@line 139 "openjpeg.c"
        var $11=HEAP[$parameters_addr]; //@line 139 "openjpeg.c"
        _j2k_setup_decoder($10, $11); //@line 139 "openjpeg.c"
        __label__ = 1; break; //@line 139 "openjpeg.c"
      case 5: // $bb3
        var $12=HEAP[$dinfo_addr]; //@line 142 "openjpeg.c"
        var $13=CHECK_OVERFLOW(($12+20)&4294967295, 32); //@line 142 "openjpeg.c"
        var $14=HEAP[$13]; //@line 142 "openjpeg.c"
        var $15=$14; //@line 142 "openjpeg.c"
        var $16=HEAP[$parameters_addr]; //@line 142 "openjpeg.c"
        _jp2_setup_decoder($15, $16); //@line 142 "openjpeg.c"
        __label__ = 1; break; //@line 142 "openjpeg.c"
      case 1: // $bb4
        __label__ = 3; break; //@line 149 "openjpeg.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 149 "openjpeg.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_decode($dinfo, $cio) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $dinfo_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$dinfo_addr]=$dinfo;
        HEAP[$cio_addr]=$cio;
        var $1=HEAP[$dinfo_addr]; //@line 152 "openjpeg.c"
        var $2=HEAP[$cio_addr]; //@line 152 "openjpeg.c"
        var $3=_opj_decode_with_info($1, $2, 0); //@line 152 "openjpeg.c"
        HEAP[$0]=$3; //@line 152 "openjpeg.c"
        var $4=HEAP[$0]; //@line 152 "openjpeg.c"
        HEAP[$retval]=$4; //@line 152 "openjpeg.c"
        __label__ = 0; break; //@line 152 "openjpeg.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 152 "openjpeg.c"
        STACKTOP = __stackBase__;
        return $retval1; //@line 152 "openjpeg.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_decode_with_info($dinfo, $cio, $cstr_info) {
    var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 20);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $dinfo_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $cstr_info_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $0=__stackBase__+16;
        var $_alloca_point_=0;
        HEAP[$dinfo_addr]=$dinfo;
        HEAP[$cio_addr]=$cio;
        HEAP[$cstr_info_addr]=$cstr_info;
        var $1=HEAP[$dinfo_addr]; //@line 156 "openjpeg.c"
        var $2=($1)!=0; //@line 156 "openjpeg.c"
        if ($2) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 156 "openjpeg.c"
      case 0: // $bb
        var $3=HEAP[$cio_addr]; //@line 156 "openjpeg.c"
        var $4=($3)!=0; //@line 156 "openjpeg.c"
        if ($4) { __label__ = 2; break; } else { __label__ = 1; break; } //@line 156 "openjpeg.c"
      case 2: // $bb1
        var $5=HEAP[$dinfo_addr]; //@line 157 "openjpeg.c"
        var $6=CHECK_OVERFLOW(($5+12)&4294967295, 32); //@line 157 "openjpeg.c"
        var $7=HEAP[$6]; //@line 157 "openjpeg.c"
        if ($7 == 0) {
          __label__ = 5; break;
        }
        else if ($7 == 1) {
          __label__ = 6; break;
        }
        else if ($7 == 2) {
          __label__ = 7; break;
        }
        else {
        __label__ = 1; break;
        }
        
      case 5: // $bb2
        var $8=HEAP[$dinfo_addr]; //@line 159 "openjpeg.c"
        var $9=CHECK_OVERFLOW(($8+16)&4294967295, 32); //@line 159 "openjpeg.c"
        var $10=HEAP[$9]; //@line 159 "openjpeg.c"
        var $11=$10; //@line 159 "openjpeg.c"
        var $12=HEAP[$cio_addr]; //@line 159 "openjpeg.c"
        var $13=HEAP[$cstr_info_addr]; //@line 159 "openjpeg.c"
        var $14=_j2k_decode($11, $12, $13); //@line 159 "openjpeg.c"
        HEAP[$0]=$14; //@line 159 "openjpeg.c"
        __label__ = 3; break; //@line 159 "openjpeg.c"
      case 6: // $bb3
        var $15=HEAP[$dinfo_addr]; //@line 161 "openjpeg.c"
        var $16=CHECK_OVERFLOW(($15+16)&4294967295, 32); //@line 161 "openjpeg.c"
        var $17=HEAP[$16]; //@line 161 "openjpeg.c"
        var $18=$17; //@line 161 "openjpeg.c"
        var $19=HEAP[$cio_addr]; //@line 161 "openjpeg.c"
        var $20=HEAP[$cstr_info_addr]; //@line 161 "openjpeg.c"
        var $21=_j2k_decode_jpt_stream($18, $19, $20); //@line 161 "openjpeg.c"
        HEAP[$0]=$21; //@line 161 "openjpeg.c"
        __label__ = 3; break; //@line 161 "openjpeg.c"
      case 7: // $bb4
        var $22=HEAP[$dinfo_addr]; //@line 163 "openjpeg.c"
        var $23=CHECK_OVERFLOW(($22+20)&4294967295, 32); //@line 163 "openjpeg.c"
        var $24=HEAP[$23]; //@line 163 "openjpeg.c"
        var $25=$24; //@line 163 "openjpeg.c"
        var $26=HEAP[$cio_addr]; //@line 163 "openjpeg.c"
        var $27=HEAP[$cstr_info_addr]; //@line 163 "openjpeg.c"
        var $28=_jp2_decode($25, $26, $27); //@line 163 "openjpeg.c"
        HEAP[$0]=$28; //@line 163 "openjpeg.c"
        __label__ = 3; break; //@line 163 "openjpeg.c"
      case 1: // $bb5
        HEAP[$0]=0; //@line 169 "openjpeg.c"
        __label__ = 3; break; //@line 169 "openjpeg.c"
      case 3: // $bb6
        var $29=HEAP[$0]; //@line 159 "openjpeg.c"
        HEAP[$retval]=$29; //@line 159 "openjpeg.c"
        __label__ = 4; break; //@line 159 "openjpeg.c"
      case 4: // $return
        var $retval7=HEAP[$retval]; //@line 159 "openjpeg.c"
        STACKTOP = __stackBase__;
        return $retval7; //@line 159 "openjpeg.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_create_compress($format) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $format_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $cinfo=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$format_addr]=$format;
        var $1=_calloc(1, 28); //@line 173 "openjpeg.c"
        var $2=$1; //@line 173 "openjpeg.c"
        HEAP[$cinfo]=$2; //@line 173 "openjpeg.c"
        var $3=HEAP[$cinfo]; //@line 174 "openjpeg.c"
        var $4=($3)==0; //@line 174 "openjpeg.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 174 "openjpeg.c"
      case 0: // $bb
        HEAP[$0]=0; //@line 174 "openjpeg.c"
        __label__ = 2; break; //@line 174 "openjpeg.c"
      case 1: // $bb1
        var $5=HEAP[$cinfo]; //@line 175 "openjpeg.c"
        var $6=CHECK_OVERFLOW(($5+8)&4294967295, 32); //@line 175 "openjpeg.c"
        HEAP[$6]=0; //@line 175 "openjpeg.c"
        var $7=HEAP[$format_addr]; //@line 176 "openjpeg.c"
        if ($7 == 0) {
          __label__ = 9; break;
        }
        else if ($7 == 2) {
          __label__ = 10; break;
        }
        else {
        __label__ = 11; break;
        }
        
      case 9: // $bb2
        var $8=HEAP[$cinfo]; //@line 179 "openjpeg.c"
        var $9=_j2k_create_compress($8); //@line 179 "openjpeg.c"
        var $10=HEAP[$cinfo]; //@line 179 "openjpeg.c"
        var $11=CHECK_OVERFLOW(($10+16)&4294967295, 32); //@line 179 "openjpeg.c"
        var $12=$9; //@line 179 "openjpeg.c"
        HEAP[$11]=$12; //@line 179 "openjpeg.c"
        var $13=HEAP[$cinfo]; //@line 180 "openjpeg.c"
        var $14=CHECK_OVERFLOW(($13+16)&4294967295, 32); //@line 180 "openjpeg.c"
        var $15=HEAP[$14]; //@line 180 "openjpeg.c"
        var $16=($15)==0; //@line 180 "openjpeg.c"
        if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 180 "openjpeg.c"
      case 3: // $bb3
        var $17=HEAP[$cinfo]; //@line 181 "openjpeg.c"
        var $18=$17; //@line 181 "openjpeg.c"
        _free($18); //@line 181 "openjpeg.c"
        HEAP[$0]=0; //@line 182 "openjpeg.c"
        __label__ = 2; break; //@line 182 "openjpeg.c"
      case 4: // $bb4
        __label__ = 5; break; //@line 182 "openjpeg.c"
      case 10: // $bb5
        var $19=HEAP[$cinfo]; //@line 187 "openjpeg.c"
        var $20=_jp2_create_compress($19); //@line 187 "openjpeg.c"
        var $21=HEAP[$cinfo]; //@line 187 "openjpeg.c"
        var $22=CHECK_OVERFLOW(($21+20)&4294967295, 32); //@line 187 "openjpeg.c"
        var $23=$20; //@line 187 "openjpeg.c"
        HEAP[$22]=$23; //@line 187 "openjpeg.c"
        var $24=HEAP[$cinfo]; //@line 188 "openjpeg.c"
        var $25=CHECK_OVERFLOW(($24+20)&4294967295, 32); //@line 188 "openjpeg.c"
        var $26=HEAP[$25]; //@line 188 "openjpeg.c"
        var $27=($26)==0; //@line 188 "openjpeg.c"
        if ($27) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 188 "openjpeg.c"
      case 6: // $bb6
        var $28=HEAP[$cinfo]; //@line 189 "openjpeg.c"
        var $29=$28; //@line 189 "openjpeg.c"
        _free($29); //@line 189 "openjpeg.c"
        HEAP[$0]=0; //@line 190 "openjpeg.c"
        __label__ = 2; break; //@line 190 "openjpeg.c"
      case 7: // $bb7
        __label__ = 5; break; //@line 190 "openjpeg.c"
      case 11: // $bb8
        var $30=HEAP[$cinfo]; //@line 196 "openjpeg.c"
        var $31=$30; //@line 196 "openjpeg.c"
        _free($31); //@line 196 "openjpeg.c"
        HEAP[$0]=0; //@line 197 "openjpeg.c"
        __label__ = 2; break; //@line 197 "openjpeg.c"
      case 5: // $bb9
        var $32=HEAP[$cinfo]; //@line 200 "openjpeg.c"
        var $33=CHECK_OVERFLOW(($32+12)&4294967295, 32); //@line 200 "openjpeg.c"
        var $34=HEAP[$format_addr]; //@line 200 "openjpeg.c"
        HEAP[$33]=$34; //@line 200 "openjpeg.c"
        var $35=HEAP[$cinfo]; //@line 202 "openjpeg.c"
        HEAP[$0]=$35; //@line 202 "openjpeg.c"
        __label__ = 2; break; //@line 202 "openjpeg.c"
      case 2: // $bb10
        var $36=HEAP[$0]; //@line 174 "openjpeg.c"
        HEAP[$retval]=$36; //@line 174 "openjpeg.c"
        __label__ = 8; break; //@line 174 "openjpeg.c"
      case 8: // $return
        var $retval11=HEAP[$retval]; //@line 174 "openjpeg.c"
        STACKTOP = __stackBase__;
        return $retval11; //@line 174 "openjpeg.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_destroy_compress($cinfo) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cinfo_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$cinfo_addr]=$cinfo;
        var $0=HEAP[$cinfo_addr]; //@line 206 "openjpeg.c"
        var $1=($0)!=0; //@line 206 "openjpeg.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 206 "openjpeg.c"
      case 0: // $bb
        var $2=HEAP[$cinfo_addr]; //@line 208 "openjpeg.c"
        var $3=CHECK_OVERFLOW(($2+12)&4294967295, 32); //@line 208 "openjpeg.c"
        var $4=HEAP[$3]; //@line 208 "openjpeg.c"
        if ($4 == 0) {
          __label__ = 4; break;
        }
        else if ($4 == 2) {
          __label__ = 5; break;
        }
        else {
        __label__ = 2; break;
        }
        
      case 4: // $bb1
        var $5=HEAP[$cinfo_addr]; //@line 210 "openjpeg.c"
        var $6=CHECK_OVERFLOW(($5+16)&4294967295, 32); //@line 210 "openjpeg.c"
        var $7=HEAP[$6]; //@line 210 "openjpeg.c"
        var $8=$7; //@line 210 "openjpeg.c"
        _j2k_destroy_compress($8); //@line 210 "openjpeg.c"
        __label__ = 2; break; //@line 210 "openjpeg.c"
      case 5: // $bb2
        var $9=HEAP[$cinfo_addr]; //@line 213 "openjpeg.c"
        var $10=CHECK_OVERFLOW(($9+20)&4294967295, 32); //@line 213 "openjpeg.c"
        var $11=HEAP[$10]; //@line 213 "openjpeg.c"
        var $12=$11; //@line 213 "openjpeg.c"
        _jp2_destroy_compress($12); //@line 213 "openjpeg.c"
        __label__ = 2; break; //@line 213 "openjpeg.c"
      case 2: // $bb3
        var $13=HEAP[$cinfo_addr]; //@line 221 "openjpeg.c"
        var $14=$13; //@line 221 "openjpeg.c"
        _free($14); //@line 221 "openjpeg.c"
        __label__ = 1; break; //@line 221 "openjpeg.c"
      case 1: // $bb4
        __label__ = 3; break; //@line 223 "openjpeg.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 223 "openjpeg.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_set_default_encoder_parameters($parameters) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $parameters_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$parameters_addr]=$parameters;
        var $0=HEAP[$parameters_addr]; //@line 226 "openjpeg.c"
        var $1=($0)!=0; //@line 226 "openjpeg.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 226 "openjpeg.c"
      case 0: // $bb
        var $2=HEAP[$parameters_addr]; //@line 227 "openjpeg.c"
        var $3=$2; //@line 227 "openjpeg.c"
        _llvm_memset_p0i8_i32($3, 0, 18692, 1, 0); //@line 227 "openjpeg.c"
        var $4=HEAP[$parameters_addr]; //@line 229 "openjpeg.c"
        var $5=CHECK_OVERFLOW(($4+18676)&4294967295, 32); //@line 229 "openjpeg.c"
        HEAP[$5]=0; //@line 229 "openjpeg.c"
        var $6=HEAP[$parameters_addr]; //@line 230 "openjpeg.c"
        var $7=CHECK_OVERFLOW(($6+18680)&4294967295, 32); //@line 230 "openjpeg.c"
        HEAP[$7]=0; //@line 230 "openjpeg.c"
        var $8=HEAP[$parameters_addr]; //@line 231 "openjpeg.c"
        var $9=CHECK_OVERFLOW(($8+5592)&4294967295, 32); //@line 231 "openjpeg.c"
        HEAP[$9]=6; //@line 231 "openjpeg.c"
        var $10=HEAP[$parameters_addr]; //@line 232 "openjpeg.c"
        var $11=CHECK_OVERFLOW(($10+18684)&4294967295, 32); //@line 232 "openjpeg.c"
        HEAP[$11]=0; //@line 232 "openjpeg.c"
        var $12=HEAP[$parameters_addr]; //@line 233 "openjpeg.c"
        var $13=CHECK_OVERFLOW(($12+5596)&4294967295, 32); //@line 233 "openjpeg.c"
        HEAP[$13]=64; //@line 233 "openjpeg.c"
        var $14=HEAP[$parameters_addr]; //@line 234 "openjpeg.c"
        var $15=CHECK_OVERFLOW(($14+5600)&4294967295, 32); //@line 234 "openjpeg.c"
        HEAP[$15]=64; //@line 234 "openjpeg.c"
        var $16=HEAP[$parameters_addr]; //@line 235 "openjpeg.c"
        var $17=CHECK_OVERFLOW(($16+44)&4294967295, 32); //@line 235 "openjpeg.c"
        HEAP[$17]=0; //@line 235 "openjpeg.c"
        var $18=HEAP[$parameters_addr]; //@line 236 "openjpeg.c"
        var $19=CHECK_OVERFLOW(($18+5612)&4294967295, 32); //@line 236 "openjpeg.c"
        HEAP[$19]=-1; //@line 236 "openjpeg.c"
        var $20=HEAP[$parameters_addr]; //@line 237 "openjpeg.c"
        var $21=CHECK_OVERFLOW(($20+18188)&4294967295, 32); //@line 237 "openjpeg.c"
        HEAP[$21]=1; //@line 237 "openjpeg.c"
        var $22=HEAP[$parameters_addr]; //@line 238 "openjpeg.c"
        var $23=CHECK_OVERFLOW(($22+18192)&4294967295, 32); //@line 238 "openjpeg.c"
        HEAP[$23]=1; //@line 238 "openjpeg.c"
        var $24=HEAP[$parameters_addr]; //@line 239 "openjpeg.c"
        var $25=CHECK_OVERFLOW(($24+18688)&4294967295, 32); //@line 239 "openjpeg.c"
        HEAP[$25]=0; //@line 239 "openjpeg.c"
        var $26=HEAP[$parameters_addr]; //@line 240 "openjpeg.c"
        var $27=CHECK_OVERFLOW(($26+18196)&4294967295, 32); //@line 240 "openjpeg.c"
        HEAP[$27]=-1; //@line 240 "openjpeg.c"
        var $28=HEAP[$parameters_addr]; //@line 241 "openjpeg.c"
        var $29=CHECK_OVERFLOW(($28+18200)&4294967295, 32); //@line 241 "openjpeg.c"
        HEAP[$29]=-1; //@line 241 "openjpeg.c"
        var $30=HEAP[$parameters_addr]; //@line 242 "openjpeg.c"
        var $31=CHECK_OVERFLOW(($30+4792)&4294967295, 32); //@line 242 "openjpeg.c"
        var $32=CHECK_OVERFLOW(($31)&4294967295, 32); //@line 242 "openjpeg.c"
        HEAP[$32]=0; //@line 242 "openjpeg.c"
        var $33=HEAP[$parameters_addr]; //@line 243 "openjpeg.c"
        var $34=CHECK_OVERFLOW(($33+4788)&4294967295, 32); //@line 243 "openjpeg.c"
        HEAP[$34]=0; //@line 243 "openjpeg.c"
        var $35=HEAP[$parameters_addr]; //@line 244 "openjpeg.c"
        var $36=CHECK_OVERFLOW(($35+20)&4294967295, 32); //@line 244 "openjpeg.c"
        HEAP[$36]=0; //@line 244 "openjpeg.c"
        var $37=HEAP[$parameters_addr]; //@line 245 "openjpeg.c"
        var $38=CHECK_OVERFLOW(($37+24)&4294967295, 32); //@line 245 "openjpeg.c"
        HEAP[$38]=0; //@line 245 "openjpeg.c"
        var $39=HEAP[$parameters_addr]; //@line 246 "openjpeg.c"
        var $40=CHECK_OVERFLOW(($39+28)&4294967295, 32); //@line 246 "openjpeg.c"
        HEAP[$40]=0; //@line 246 "openjpeg.c"
        __label__ = 1; break; //@line 246 "openjpeg.c"
      case 1: // $bb1
        __label__ = 2; break; //@line 281 "openjpeg.c"
      case 2: // $return
        STACKTOP = __stackBase__;
        return; //@line 281 "openjpeg.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_setup_encoder($cinfo, $parameters, $image) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cinfo_addr=__stackBase__;
        var $parameters_addr=__stackBase__+4;
        var $image_addr=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$cinfo_addr]=$cinfo;
        HEAP[$parameters_addr]=$parameters;
        HEAP[$image_addr]=$image;
        var $0=HEAP[$cinfo_addr]; //@line 284 "openjpeg.c"
        var $1=($0)!=0; //@line 284 "openjpeg.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 284 "openjpeg.c"
      case 0: // $bb
        var $2=HEAP[$parameters_addr]; //@line 284 "openjpeg.c"
        var $3=($2)!=0; //@line 284 "openjpeg.c"
        if ($3) { __label__ = 2; break; } else { __label__ = 1; break; } //@line 284 "openjpeg.c"
      case 2: // $bb1
        var $4=HEAP[$image_addr]; //@line 284 "openjpeg.c"
        var $5=($4)!=0; //@line 284 "openjpeg.c"
        if ($5) { __label__ = 3; break; } else { __label__ = 1; break; } //@line 284 "openjpeg.c"
      case 3: // $bb2
        var $6=HEAP[$cinfo_addr]; //@line 285 "openjpeg.c"
        var $7=CHECK_OVERFLOW(($6+12)&4294967295, 32); //@line 285 "openjpeg.c"
        var $8=HEAP[$7]; //@line 285 "openjpeg.c"
        if ($8 == 0) {
          __label__ = 5; break;
        }
        else if ($8 == 2) {
          __label__ = 6; break;
        }
        else {
        __label__ = 1; break;
        }
        
      case 5: // $bb3
        var $9=HEAP[$cinfo_addr]; //@line 287 "openjpeg.c"
        var $10=CHECK_OVERFLOW(($9+16)&4294967295, 32); //@line 287 "openjpeg.c"
        var $11=HEAP[$10]; //@line 287 "openjpeg.c"
        var $12=$11; //@line 287 "openjpeg.c"
        var $13=HEAP[$parameters_addr]; //@line 287 "openjpeg.c"
        var $14=HEAP[$image_addr]; //@line 287 "openjpeg.c"
        _j2k_setup_encoder($12, $13, $14); //@line 287 "openjpeg.c"
        __label__ = 1; break; //@line 287 "openjpeg.c"
      case 6: // $bb4
        var $15=HEAP[$cinfo_addr]; //@line 290 "openjpeg.c"
        var $16=CHECK_OVERFLOW(($15+20)&4294967295, 32); //@line 290 "openjpeg.c"
        var $17=HEAP[$16]; //@line 290 "openjpeg.c"
        var $18=$17; //@line 290 "openjpeg.c"
        var $19=HEAP[$parameters_addr]; //@line 290 "openjpeg.c"
        var $20=HEAP[$image_addr]; //@line 290 "openjpeg.c"
        _jp2_setup_encoder($18, $19, $20); //@line 290 "openjpeg.c"
        __label__ = 1; break; //@line 290 "openjpeg.c"
      case 1: // $bb5
        __label__ = 4; break; //@line 298 "openjpeg.c"
      case 4: // $return
        STACKTOP = __stackBase__;
        return; //@line 298 "openjpeg.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_encode($cinfo, $cio, $image, $index) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cinfo_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $image_addr=__stackBase__+8;
        var $index_addr=__stackBase__+12;
        var $retval=__stackBase__+16;
        var $0=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$cinfo_addr]=$cinfo;
        HEAP[$cio_addr]=$cio;
        HEAP[$image_addr]=$image;
        HEAP[$index_addr]=$index;
        var $1=HEAP[$index_addr]; //@line 301 "openjpeg.c"
        var $2=($1)!=0; //@line 301 "openjpeg.c"
        if ($2) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 301 "openjpeg.c"
      case 0: // $bb
        var $3=HEAP[$cinfo_addr]; //@line 302 "openjpeg.c"
        var $4=_opj_event_msg($3, 2, CHECK_OVERFLOW((__str130)&4294967295, 32)); //@line 302 "openjpeg.c"
        __label__ = 1; break; //@line 302 "openjpeg.c"
      case 1: // $bb1
        var $5=HEAP[$cinfo_addr]; //@line 305 "openjpeg.c"
        var $6=HEAP[$cio_addr]; //@line 305 "openjpeg.c"
        var $7=HEAP[$image_addr]; //@line 305 "openjpeg.c"
        var $8=_opj_encode_with_info($5, $6, $7, 0); //@line 305 "openjpeg.c"
        HEAP[$0]=$8; //@line 305 "openjpeg.c"
        var $9=HEAP[$0]; //@line 305 "openjpeg.c"
        HEAP[$retval]=$9; //@line 305 "openjpeg.c"
        __label__ = 2; break; //@line 305 "openjpeg.c"
      case 2: // $return
        var $retval2=HEAP[$retval]; //@line 305 "openjpeg.c"
        STACKTOP = __stackBase__;
        return $retval2; //@line 305 "openjpeg.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_encode_with_info($cinfo, $cio, $image, $cstr_info) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cinfo_addr=__stackBase__;
        var $cio_addr=__stackBase__+4;
        var $image_addr=__stackBase__+8;
        var $cstr_info_addr=__stackBase__+12;
        var $retval=__stackBase__+16;
        var $0=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$cinfo_addr]=$cinfo;
        HEAP[$cio_addr]=$cio;
        HEAP[$image_addr]=$image;
        HEAP[$cstr_info_addr]=$cstr_info;
        var $1=HEAP[$cinfo_addr]; //@line 309 "openjpeg.c"
        var $2=($1)!=0; //@line 309 "openjpeg.c"
        if ($2) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 309 "openjpeg.c"
      case 0: // $bb
        var $3=HEAP[$cio_addr]; //@line 309 "openjpeg.c"
        var $4=($3)!=0; //@line 309 "openjpeg.c"
        if ($4) { __label__ = 2; break; } else { __label__ = 1; break; } //@line 309 "openjpeg.c"
      case 2: // $bb1
        var $5=HEAP[$image_addr]; //@line 309 "openjpeg.c"
        var $6=($5)!=0; //@line 309 "openjpeg.c"
        if ($6) { __label__ = 3; break; } else { __label__ = 1; break; } //@line 309 "openjpeg.c"
      case 3: // $bb2
        var $7=HEAP[$cinfo_addr]; //@line 310 "openjpeg.c"
        var $8=CHECK_OVERFLOW(($7+12)&4294967295, 32); //@line 310 "openjpeg.c"
        var $9=HEAP[$8]; //@line 310 "openjpeg.c"
        if ($9 == 0) {
          __label__ = 6; break;
        }
        else if ($9 == 2) {
          __label__ = 7; break;
        }
        else {
        __label__ = 1; break;
        }
        
      case 6: // $bb3
        var $10=HEAP[$cinfo_addr]; //@line 312 "openjpeg.c"
        var $11=CHECK_OVERFLOW(($10+16)&4294967295, 32); //@line 312 "openjpeg.c"
        var $12=HEAP[$11]; //@line 312 "openjpeg.c"
        var $13=$12; //@line 312 "openjpeg.c"
        var $14=HEAP[$cio_addr]; //@line 312 "openjpeg.c"
        var $15=HEAP[$image_addr]; //@line 312 "openjpeg.c"
        var $16=HEAP[$cstr_info_addr]; //@line 312 "openjpeg.c"
        var $17=_j2k_encode($13, $14, $15, $16); //@line 312 "openjpeg.c"
        HEAP[$0]=$17; //@line 312 "openjpeg.c"
        __label__ = 4; break; //@line 312 "openjpeg.c"
      case 7: // $bb4
        var $18=HEAP[$cinfo_addr]; //@line 314 "openjpeg.c"
        var $19=CHECK_OVERFLOW(($18+20)&4294967295, 32); //@line 314 "openjpeg.c"
        var $20=HEAP[$19]; //@line 314 "openjpeg.c"
        var $21=$20; //@line 314 "openjpeg.c"
        var $22=HEAP[$cio_addr]; //@line 314 "openjpeg.c"
        var $23=HEAP[$image_addr]; //@line 314 "openjpeg.c"
        var $24=HEAP[$cstr_info_addr]; //@line 314 "openjpeg.c"
        var $25=_jp2_encode($21, $22, $23, $24); //@line 314 "openjpeg.c"
        HEAP[$0]=$25; //@line 314 "openjpeg.c"
        __label__ = 4; break; //@line 314 "openjpeg.c"
      case 1: // $bb5
        HEAP[$0]=0; //@line 321 "openjpeg.c"
        __label__ = 4; break; //@line 321 "openjpeg.c"
      case 4: // $bb6
        var $26=HEAP[$0]; //@line 312 "openjpeg.c"
        HEAP[$retval]=$26; //@line 312 "openjpeg.c"
        __label__ = 5; break; //@line 312 "openjpeg.c"
      case 5: // $return
        var $retval7=HEAP[$retval]; //@line 312 "openjpeg.c"
        STACKTOP = __stackBase__;
        return $retval7; //@line 312 "openjpeg.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _opj_destroy_cstr_info($cstr_info) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cstr_info_addr=__stackBase__;
        var $tileno=__stackBase__+4;
        var $tile_info=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$cstr_info_addr]=$cstr_info;
        var $0=HEAP[$cstr_info_addr]; //@line 325 "openjpeg.c"
        var $1=($0)!=0; //@line 325 "openjpeg.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 325 "openjpeg.c"
      case 0: // $bb
        HEAP[$tileno]=0; //@line 327 "openjpeg.c"
        __label__ = 2; break; //@line 327 "openjpeg.c"
      case 3: // $bb1
        var $2=HEAP[$cstr_info_addr]; //@line 328 "openjpeg.c"
        var $3=CHECK_OVERFLOW(($2+88)&4294967295, 32); //@line 328 "openjpeg.c"
        var $4=HEAP[$3]; //@line 328 "openjpeg.c"
        var $5=HEAP[$tileno]; //@line 328 "openjpeg.c"
        var $6=CHECK_OVERFLOW(($4+572*$5)&4294967295, 32); //@line 328 "openjpeg.c"
        HEAP[$tile_info]=$6; //@line 328 "openjpeg.c"
        var $7=HEAP[$tile_info]; //@line 329 "openjpeg.c"
        var $8=CHECK_OVERFLOW(($7)&4294967295, 32); //@line 329 "openjpeg.c"
        var $9=HEAP[$8]; //@line 329 "openjpeg.c"
        var $10=$9; //@line 329 "openjpeg.c"
        _free($10); //@line 329 "openjpeg.c"
        var $11=HEAP[$tile_info]; //@line 330 "openjpeg.c"
        var $12=CHECK_OVERFLOW(($11+548)&4294967295, 32); //@line 330 "openjpeg.c"
        var $13=HEAP[$12]; //@line 330 "openjpeg.c"
        var $14=$13; //@line 330 "openjpeg.c"
        _free($14); //@line 330 "openjpeg.c"
        var $15=HEAP[$tile_info]; //@line 331 "openjpeg.c"
        var $16=CHECK_OVERFLOW(($15+568)&4294967295, 32); //@line 331 "openjpeg.c"
        var $17=HEAP[$16]; //@line 331 "openjpeg.c"
        var $18=$17; //@line 331 "openjpeg.c"
        _free($18); //@line 331 "openjpeg.c"
        var $19=HEAP[$tileno]; //@line 327 "openjpeg.c"
        var $20=CHECK_OVERFLOW((($19) + 1)&4294967295, 32); //@line 327 "openjpeg.c"
        HEAP[$tileno]=$20; //@line 327 "openjpeg.c"
        __label__ = 2; break; //@line 327 "openjpeg.c"
      case 2: // $bb2
        var $21=HEAP[$cstr_info_addr]; //@line 327 "openjpeg.c"
        var $22=CHECK_OVERFLOW(($21+44)&4294967295, 32); //@line 327 "openjpeg.c"
        var $23=HEAP[$22]; //@line 327 "openjpeg.c"
        var $24=HEAP[$cstr_info_addr]; //@line 327 "openjpeg.c"
        var $25=CHECK_OVERFLOW(($24+48)&4294967295, 32); //@line 327 "openjpeg.c"
        var $26=HEAP[$25]; //@line 327 "openjpeg.c"
        var $27=CHECK_OVERFLOW((($23) * ($26))&4294967295, 32); //@line 327 "openjpeg.c"
        var $28=HEAP[$tileno]; //@line 327 "openjpeg.c"
        var $29=($27) > ($28); //@line 327 "openjpeg.c"
        if ($29) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 327 "openjpeg.c"
      case 4: // $bb3
        var $30=HEAP[$cstr_info_addr]; //@line 333 "openjpeg.c"
        var $31=CHECK_OVERFLOW(($30+88)&4294967295, 32); //@line 333 "openjpeg.c"
        var $32=HEAP[$31]; //@line 333 "openjpeg.c"
        var $33=$32; //@line 333 "openjpeg.c"
        _free($33); //@line 333 "openjpeg.c"
        var $34=HEAP[$cstr_info_addr]; //@line 334 "openjpeg.c"
        var $35=CHECK_OVERFLOW(($34+68)&4294967295, 32); //@line 334 "openjpeg.c"
        var $36=HEAP[$35]; //@line 334 "openjpeg.c"
        var $37=$36; //@line 334 "openjpeg.c"
        _free($37); //@line 334 "openjpeg.c"
        var $38=HEAP[$cstr_info_addr]; //@line 335 "openjpeg.c"
        var $39=CHECK_OVERFLOW(($38+60)&4294967295, 32); //@line 335 "openjpeg.c"
        var $40=HEAP[$39]; //@line 335 "openjpeg.c"
        var $41=$40; //@line 335 "openjpeg.c"
        _free($41); //@line 335 "openjpeg.c"
        __label__ = 1; break; //@line 335 "openjpeg.c"
      case 1: // $bb4
        __label__ = 5; break; //@line 337 "openjpeg.c"
      case 5: // $return
        STACKTOP = __stackBase__;
        return; //@line 337 "openjpeg.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _pi_next_lrcp($pi) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $pi_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $comp=__stackBase__+12;
        var $res=__stackBase__+16;
        var $index=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$pi_addr]=$pi;
        HEAP[$comp]=0; //@line 83 "pi.c"
        HEAP[$res]=0; //@line 84 "pi.c"
        HEAP[$index]=0; //@line 85 "pi.c"
        var $1=HEAP[$pi_addr]; //@line 87 "pi.c"
        var $2=CHECK_OVERFLOW(($1+40)&4294967295, 32); //@line 87 "pi.c"
        var $3=HEAP[$2]; //@line 87 "pi.c"
        var $4=($3)==0; //@line 87 "pi.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 87 "pi.c"
      case 0: // $bb
        var $5=HEAP[$pi_addr]; //@line 88 "pi.c"
        var $6=CHECK_OVERFLOW(($5+196)&4294967295, 32); //@line 88 "pi.c"
        var $7=HEAP[$6]; //@line 88 "pi.c"
        var $8=HEAP[$pi_addr]; //@line 88 "pi.c"
        var $9=CHECK_OVERFLOW(($8+24)&4294967295, 32); //@line 88 "pi.c"
        var $10=HEAP[$9]; //@line 88 "pi.c"
        var $11=CHECK_OVERFLOW(($7+16*$10)&4294967295, 32); //@line 88 "pi.c"
        HEAP[$comp]=$11; //@line 88 "pi.c"
        var $12=HEAP[$comp]; //@line 89 "pi.c"
        var $13=CHECK_OVERFLOW(($12+12)&4294967295, 32); //@line 89 "pi.c"
        var $14=HEAP[$13]; //@line 89 "pi.c"
        var $15=HEAP[$pi_addr]; //@line 89 "pi.c"
        var $16=CHECK_OVERFLOW(($15+28)&4294967295, 32); //@line 89 "pi.c"
        var $17=HEAP[$16]; //@line 89 "pi.c"
        var $18=CHECK_OVERFLOW(($14+16*$17)&4294967295, 32); //@line 89 "pi.c"
        HEAP[$res]=$18; //@line 89 "pi.c"
        __label__ = 2; break; //@line 89 "pi.c"
      case 1: // $bb1
        var $19=HEAP[$pi_addr]; //@line 92 "pi.c"
        var $20=CHECK_OVERFLOW(($19+40)&4294967295, 32); //@line 92 "pi.c"
        HEAP[$20]=0; //@line 92 "pi.c"
        var $21=HEAP[$pi_addr]; //@line 95 "pi.c"
        var $22=CHECK_OVERFLOW(($21+44)&4294967295, 32); //@line 95 "pi.c"
        var $23=CHECK_OVERFLOW(($22+20)&4294967295, 32); //@line 95 "pi.c"
        var $24=HEAP[$23]; //@line 95 "pi.c"
        var $25=HEAP[$pi_addr]; //@line 95 "pi.c"
        var $26=CHECK_OVERFLOW(($25+36)&4294967295, 32); //@line 95 "pi.c"
        HEAP[$26]=$24; //@line 95 "pi.c"
        __label__ = 3; break; //@line 95 "pi.c"
      case 18: // $bb2
        var $27=HEAP[$pi_addr]; //@line 96 "pi.c"
        var $28=CHECK_OVERFLOW(($27+44)&4294967295, 32); //@line 96 "pi.c"
        var $29=CHECK_OVERFLOW(($28)&4294967295, 32); //@line 96 "pi.c"
        var $30=HEAP[$29]; //@line 96 "pi.c"
        var $31=HEAP[$pi_addr]; //@line 96 "pi.c"
        var $32=CHECK_OVERFLOW(($31+28)&4294967295, 32); //@line 96 "pi.c"
        HEAP[$32]=$30; //@line 96 "pi.c"
        __label__ = 4; break; //@line 96 "pi.c"
      case 16: // $bb3
        var $33=HEAP[$pi_addr]; //@line 98 "pi.c"
        var $34=CHECK_OVERFLOW(($33+44)&4294967295, 32); //@line 98 "pi.c"
        var $35=CHECK_OVERFLOW(($34+4)&4294967295, 32); //@line 98 "pi.c"
        var $36=HEAP[$35]; //@line 98 "pi.c"
        var $37=HEAP[$pi_addr]; //@line 98 "pi.c"
        var $38=CHECK_OVERFLOW(($37+24)&4294967295, 32); //@line 98 "pi.c"
        HEAP[$38]=$36; //@line 98 "pi.c"
        __label__ = 5; break; //@line 98 "pi.c"
      case 14: // $bb4
        var $39=HEAP[$pi_addr]; //@line 99 "pi.c"
        var $40=CHECK_OVERFLOW(($39+196)&4294967295, 32); //@line 99 "pi.c"
        var $41=HEAP[$40]; //@line 99 "pi.c"
        var $42=HEAP[$pi_addr]; //@line 99 "pi.c"
        var $43=CHECK_OVERFLOW(($42+24)&4294967295, 32); //@line 99 "pi.c"
        var $44=HEAP[$43]; //@line 99 "pi.c"
        var $45=CHECK_OVERFLOW(($41+16*$44)&4294967295, 32); //@line 99 "pi.c"
        HEAP[$comp]=$45; //@line 99 "pi.c"
        var $46=HEAP[$pi_addr]; //@line 100 "pi.c"
        var $47=CHECK_OVERFLOW(($46+28)&4294967295, 32); //@line 100 "pi.c"
        var $48=HEAP[$47]; //@line 100 "pi.c"
        var $49=HEAP[$comp]; //@line 100 "pi.c"
        var $50=CHECK_OVERFLOW(($49+8)&4294967295, 32); //@line 100 "pi.c"
        var $51=HEAP[$50]; //@line 100 "pi.c"
        var $52=($48) >= ($51); //@line 100 "pi.c"
        if ($52) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 100 "pi.c"
      case 7: // $bb5
        var $53=HEAP[$comp]; //@line 103 "pi.c"
        var $54=CHECK_OVERFLOW(($53+12)&4294967295, 32); //@line 103 "pi.c"
        var $55=HEAP[$54]; //@line 103 "pi.c"
        var $56=HEAP[$pi_addr]; //@line 103 "pi.c"
        var $57=CHECK_OVERFLOW(($56+28)&4294967295, 32); //@line 103 "pi.c"
        var $58=HEAP[$57]; //@line 103 "pi.c"
        var $59=CHECK_OVERFLOW(($55+16*$58)&4294967295, 32); //@line 103 "pi.c"
        HEAP[$res]=$59; //@line 103 "pi.c"
        var $60=HEAP[$pi_addr]; //@line 104 "pi.c"
        var $61=CHECK_OVERFLOW(($60)&4294967295, 32); //@line 104 "pi.c"
        var $62=HEAP[$61]; //@line 104 "pi.c"
        var $63=($62)==0; //@line 104 "pi.c"
        if ($63) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 104 "pi.c"
      case 8: // $bb6
        var $64=HEAP[$res]; //@line 105 "pi.c"
        var $65=CHECK_OVERFLOW(($64+8)&4294967295, 32); //@line 105 "pi.c"
        var $66=HEAP[$65]; //@line 105 "pi.c"
        var $67=HEAP[$res]; //@line 105 "pi.c"
        var $68=CHECK_OVERFLOW(($67+12)&4294967295, 32); //@line 105 "pi.c"
        var $69=HEAP[$68]; //@line 105 "pi.c"
        var $70=CHECK_OVERFLOW((($66) * ($69))&4294967295, 32); //@line 105 "pi.c"
        var $71=HEAP[$pi_addr]; //@line 105 "pi.c"
        var $72=CHECK_OVERFLOW(($71+44)&4294967295, 32); //@line 105 "pi.c"
        var $73=CHECK_OVERFLOW(($72+28)&4294967295, 32); //@line 105 "pi.c"
        HEAP[$73]=$70; //@line 105 "pi.c"
        __label__ = 9; break; //@line 105 "pi.c"
      case 9: // $bb7
        var $74=HEAP[$pi_addr]; //@line 107 "pi.c"
        var $75=CHECK_OVERFLOW(($74+44)&4294967295, 32); //@line 107 "pi.c"
        var $76=CHECK_OVERFLOW(($75+24)&4294967295, 32); //@line 107 "pi.c"
        var $77=HEAP[$76]; //@line 107 "pi.c"
        var $78=HEAP[$pi_addr]; //@line 107 "pi.c"
        var $79=CHECK_OVERFLOW(($78+32)&4294967295, 32); //@line 107 "pi.c"
        HEAP[$79]=$77; //@line 107 "pi.c"
        __label__ = 10; break; //@line 107 "pi.c"
      case 13: // $bb8
        var $80=HEAP[$pi_addr]; //@line 108 "pi.c"
        var $81=CHECK_OVERFLOW(($80+36)&4294967295, 32); //@line 108 "pi.c"
        var $82=HEAP[$81]; //@line 108 "pi.c"
        var $83=HEAP[$pi_addr]; //@line 108 "pi.c"
        var $84=CHECK_OVERFLOW(($83+8)&4294967295, 32); //@line 108 "pi.c"
        var $85=HEAP[$84]; //@line 108 "pi.c"
        var $86=CHECK_OVERFLOW((($82) * ($85))&4294967295, 32); //@line 108 "pi.c"
        var $87=HEAP[$pi_addr]; //@line 108 "pi.c"
        var $88=CHECK_OVERFLOW(($87+28)&4294967295, 32); //@line 108 "pi.c"
        var $89=HEAP[$88]; //@line 108 "pi.c"
        var $90=HEAP[$pi_addr]; //@line 108 "pi.c"
        var $91=CHECK_OVERFLOW(($90+12)&4294967295, 32); //@line 108 "pi.c"
        var $92=HEAP[$91]; //@line 108 "pi.c"
        var $93=CHECK_OVERFLOW((($89) * ($92))&4294967295, 32); //@line 108 "pi.c"
        var $94=CHECK_OVERFLOW((($86) + ($93))&4294967295, 32); //@line 108 "pi.c"
        var $95=HEAP[$pi_addr]; //@line 108 "pi.c"
        var $96=CHECK_OVERFLOW(($95+32)&4294967295, 32); //@line 108 "pi.c"
        var $97=HEAP[$96]; //@line 108 "pi.c"
        var $98=HEAP[$pi_addr]; //@line 108 "pi.c"
        var $99=CHECK_OVERFLOW(($98+20)&4294967295, 32); //@line 108 "pi.c"
        var $100=HEAP[$99]; //@line 108 "pi.c"
        var $101=CHECK_OVERFLOW((($97) * ($100))&4294967295, 32); //@line 108 "pi.c"
        var $102=HEAP[$pi_addr]; //@line 108 "pi.c"
        var $103=CHECK_OVERFLOW(($102+24)&4294967295, 32); //@line 108 "pi.c"
        var $104=HEAP[$103]; //@line 108 "pi.c"
        var $105=HEAP[$pi_addr]; //@line 108 "pi.c"
        var $106=CHECK_OVERFLOW(($105+16)&4294967295, 32); //@line 108 "pi.c"
        var $107=HEAP[$106]; //@line 108 "pi.c"
        var $108=CHECK_OVERFLOW((($104) * ($107))&4294967295, 32); //@line 108 "pi.c"
        var $109=CHECK_OVERFLOW((($101) + ($108))&4294967295, 32); //@line 108 "pi.c"
        var $110=CHECK_OVERFLOW((($94) + ($109))&4294967295, 32); //@line 108 "pi.c"
        HEAP[$index]=$110; //@line 108 "pi.c"
        var $111=HEAP[$pi_addr]; //@line 109 "pi.c"
        var $112=CHECK_OVERFLOW(($111+4)&4294967295, 32); //@line 109 "pi.c"
        var $113=HEAP[$112]; //@line 109 "pi.c"
        var $114=HEAP[$index]; //@line 109 "pi.c"
        var $115=CHECK_OVERFLOW(($113+2*$114)&4294967295, 32); //@line 109 "pi.c"
        var $116=HEAP[$115]; //@line 109 "pi.c"
        var $117=($116)==0; //@line 109 "pi.c"
        if ($117) { __label__ = 11; break; } else { __label__ = 2; break; } //@line 109 "pi.c"
      case 11: // $bb9
        var $118=HEAP[$pi_addr]; //@line 110 "pi.c"
        var $119=CHECK_OVERFLOW(($118+4)&4294967295, 32); //@line 110 "pi.c"
        var $120=HEAP[$119]; //@line 110 "pi.c"
        var $121=HEAP[$index]; //@line 110 "pi.c"
        var $122=CHECK_OVERFLOW(($120+2*$121)&4294967295, 32); //@line 110 "pi.c"
        HEAP[$122]=1; //@line 110 "pi.c"
        HEAP[$0]=1; //@line 111 "pi.c"
        __label__ = 12; break; //@line 111 "pi.c"
      case 2: // $LABEL_SKIP
        var $123=HEAP[$pi_addr]; //@line 107 "pi.c"
        var $124=CHECK_OVERFLOW(($123+32)&4294967295, 32); //@line 107 "pi.c"
        var $125=HEAP[$124]; //@line 107 "pi.c"
        var $126=CHECK_OVERFLOW((($125) + 1)&4294967295, 32); //@line 107 "pi.c"
        var $127=HEAP[$pi_addr]; //@line 107 "pi.c"
        var $128=CHECK_OVERFLOW(($127+32)&4294967295, 32); //@line 107 "pi.c"
        HEAP[$128]=$126; //@line 107 "pi.c"
        __label__ = 10; break; //@line 107 "pi.c"
      case 10: // $bb10
        var $129=HEAP[$pi_addr]; //@line 107 "pi.c"
        var $130=CHECK_OVERFLOW(($129+32)&4294967295, 32); //@line 107 "pi.c"
        var $131=HEAP[$130]; //@line 107 "pi.c"
        var $132=HEAP[$pi_addr]; //@line 107 "pi.c"
        var $133=CHECK_OVERFLOW(($132+44)&4294967295, 32); //@line 107 "pi.c"
        var $134=CHECK_OVERFLOW(($133+28)&4294967295, 32); //@line 107 "pi.c"
        var $135=HEAP[$134]; //@line 107 "pi.c"
        var $136=($131) < ($135); //@line 107 "pi.c"
        if ($136) { __label__ = 13; break; } else { __label__ = 6; break; } //@line 107 "pi.c"
      case 6: // $bb11
        var $137=HEAP[$pi_addr]; //@line 98 "pi.c"
        var $138=CHECK_OVERFLOW(($137+24)&4294967295, 32); //@line 98 "pi.c"
        var $139=HEAP[$138]; //@line 98 "pi.c"
        var $140=CHECK_OVERFLOW((($139) + 1)&4294967295, 32); //@line 98 "pi.c"
        var $141=HEAP[$pi_addr]; //@line 98 "pi.c"
        var $142=CHECK_OVERFLOW(($141+24)&4294967295, 32); //@line 98 "pi.c"
        HEAP[$142]=$140; //@line 98 "pi.c"
        __label__ = 5; break; //@line 98 "pi.c"
      case 5: // $bb12
        var $143=HEAP[$pi_addr]; //@line 98 "pi.c"
        var $144=CHECK_OVERFLOW(($143+24)&4294967295, 32); //@line 98 "pi.c"
        var $145=HEAP[$144]; //@line 98 "pi.c"
        var $146=HEAP[$pi_addr]; //@line 98 "pi.c"
        var $147=CHECK_OVERFLOW(($146+44)&4294967295, 32); //@line 98 "pi.c"
        var $148=CHECK_OVERFLOW(($147+16)&4294967295, 32); //@line 98 "pi.c"
        var $149=HEAP[$148]; //@line 98 "pi.c"
        var $150=($145) < ($149); //@line 98 "pi.c"
        if ($150) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 98 "pi.c"
      case 15: // $bb13
        var $151=HEAP[$pi_addr]; //@line 97 "pi.c"
        var $152=CHECK_OVERFLOW(($151+28)&4294967295, 32); //@line 97 "pi.c"
        var $153=HEAP[$152]; //@line 97 "pi.c"
        var $154=CHECK_OVERFLOW((($153) + 1)&4294967295, 32); //@line 97 "pi.c"
        var $155=HEAP[$pi_addr]; //@line 97 "pi.c"
        var $156=CHECK_OVERFLOW(($155+28)&4294967295, 32); //@line 97 "pi.c"
        HEAP[$156]=$154; //@line 97 "pi.c"
        __label__ = 4; break; //@line 97 "pi.c"
      case 4: // $bb14
        var $157=HEAP[$pi_addr]; //@line 96 "pi.c"
        var $158=CHECK_OVERFLOW(($157+28)&4294967295, 32); //@line 96 "pi.c"
        var $159=HEAP[$158]; //@line 96 "pi.c"
        var $160=HEAP[$pi_addr]; //@line 96 "pi.c"
        var $161=CHECK_OVERFLOW(($160+44)&4294967295, 32); //@line 96 "pi.c"
        var $162=CHECK_OVERFLOW(($161+12)&4294967295, 32); //@line 96 "pi.c"
        var $163=HEAP[$162]; //@line 96 "pi.c"
        var $164=($159) < ($163); //@line 96 "pi.c"
        if ($164) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 96 "pi.c"
      case 17: // $bb15
        var $165=HEAP[$pi_addr]; //@line 95 "pi.c"
        var $166=CHECK_OVERFLOW(($165+36)&4294967295, 32); //@line 95 "pi.c"
        var $167=HEAP[$166]; //@line 95 "pi.c"
        var $168=CHECK_OVERFLOW((($167) + 1)&4294967295, 32); //@line 95 "pi.c"
        var $169=HEAP[$pi_addr]; //@line 95 "pi.c"
        var $170=CHECK_OVERFLOW(($169+36)&4294967295, 32); //@line 95 "pi.c"
        HEAP[$170]=$168; //@line 95 "pi.c"
        __label__ = 3; break; //@line 95 "pi.c"
      case 3: // $bb16
        var $171=HEAP[$pi_addr]; //@line 95 "pi.c"
        var $172=CHECK_OVERFLOW(($171+36)&4294967295, 32); //@line 95 "pi.c"
        var $173=HEAP[$172]; //@line 95 "pi.c"
        var $174=HEAP[$pi_addr]; //@line 95 "pi.c"
        var $175=CHECK_OVERFLOW(($174+44)&4294967295, 32); //@line 95 "pi.c"
        var $176=CHECK_OVERFLOW(($175+8)&4294967295, 32); //@line 95 "pi.c"
        var $177=HEAP[$176]; //@line 95 "pi.c"
        var $178=($173) < ($177); //@line 95 "pi.c"
        if ($178) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 95 "pi.c"
      case 19: // $bb17
        HEAP[$0]=0; //@line 119 "pi.c"
        __label__ = 12; break; //@line 119 "pi.c"
      case 12: // $bb18
        var $179=HEAP[$0]; //@line 111 "pi.c"
        HEAP[$retval]=$179; //@line 111 "pi.c"
        __label__ = 20; break; //@line 111 "pi.c"
      case 20: // $return
        var $retval19=HEAP[$retval]; //@line 111 "pi.c"
        STACKTOP = __stackBase__;
        return $retval19; //@line 111 "pi.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _pi_next_rlcp($pi) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $pi_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $comp=__stackBase__+12;
        var $res=__stackBase__+16;
        var $index=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$pi_addr]=$pi;
        HEAP[$comp]=0; //@line 123 "pi.c"
        HEAP[$res]=0; //@line 124 "pi.c"
        HEAP[$index]=0; //@line 125 "pi.c"
        var $1=HEAP[$pi_addr]; //@line 127 "pi.c"
        var $2=CHECK_OVERFLOW(($1+40)&4294967295, 32); //@line 127 "pi.c"
        var $3=HEAP[$2]; //@line 127 "pi.c"
        var $4=($3)==0; //@line 127 "pi.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 127 "pi.c"
      case 0: // $bb
        var $5=HEAP[$pi_addr]; //@line 128 "pi.c"
        var $6=CHECK_OVERFLOW(($5+196)&4294967295, 32); //@line 128 "pi.c"
        var $7=HEAP[$6]; //@line 128 "pi.c"
        var $8=HEAP[$pi_addr]; //@line 128 "pi.c"
        var $9=CHECK_OVERFLOW(($8+24)&4294967295, 32); //@line 128 "pi.c"
        var $10=HEAP[$9]; //@line 128 "pi.c"
        var $11=CHECK_OVERFLOW(($7+16*$10)&4294967295, 32); //@line 128 "pi.c"
        HEAP[$comp]=$11; //@line 128 "pi.c"
        var $12=HEAP[$comp]; //@line 129 "pi.c"
        var $13=CHECK_OVERFLOW(($12+12)&4294967295, 32); //@line 129 "pi.c"
        var $14=HEAP[$13]; //@line 129 "pi.c"
        var $15=HEAP[$pi_addr]; //@line 129 "pi.c"
        var $16=CHECK_OVERFLOW(($15+28)&4294967295, 32); //@line 129 "pi.c"
        var $17=HEAP[$16]; //@line 129 "pi.c"
        var $18=CHECK_OVERFLOW(($14+16*$17)&4294967295, 32); //@line 129 "pi.c"
        HEAP[$res]=$18; //@line 129 "pi.c"
        __label__ = 2; break; //@line 129 "pi.c"
      case 1: // $bb1
        var $19=HEAP[$pi_addr]; //@line 132 "pi.c"
        var $20=CHECK_OVERFLOW(($19+40)&4294967295, 32); //@line 132 "pi.c"
        HEAP[$20]=0; //@line 132 "pi.c"
        var $21=HEAP[$pi_addr]; //@line 135 "pi.c"
        var $22=CHECK_OVERFLOW(($21+44)&4294967295, 32); //@line 135 "pi.c"
        var $23=CHECK_OVERFLOW(($22)&4294967295, 32); //@line 135 "pi.c"
        var $24=HEAP[$23]; //@line 135 "pi.c"
        var $25=HEAP[$pi_addr]; //@line 135 "pi.c"
        var $26=CHECK_OVERFLOW(($25+28)&4294967295, 32); //@line 135 "pi.c"
        HEAP[$26]=$24; //@line 135 "pi.c"
        __label__ = 3; break; //@line 135 "pi.c"
      case 18: // $bb2
        var $27=HEAP[$pi_addr]; //@line 136 "pi.c"
        var $28=CHECK_OVERFLOW(($27+44)&4294967295, 32); //@line 136 "pi.c"
        var $29=CHECK_OVERFLOW(($28+20)&4294967295, 32); //@line 136 "pi.c"
        var $30=HEAP[$29]; //@line 136 "pi.c"
        var $31=HEAP[$pi_addr]; //@line 136 "pi.c"
        var $32=CHECK_OVERFLOW(($31+36)&4294967295, 32); //@line 136 "pi.c"
        HEAP[$32]=$30; //@line 136 "pi.c"
        __label__ = 4; break; //@line 136 "pi.c"
      case 16: // $bb3
        var $33=HEAP[$pi_addr]; //@line 137 "pi.c"
        var $34=CHECK_OVERFLOW(($33+44)&4294967295, 32); //@line 137 "pi.c"
        var $35=CHECK_OVERFLOW(($34+4)&4294967295, 32); //@line 137 "pi.c"
        var $36=HEAP[$35]; //@line 137 "pi.c"
        var $37=HEAP[$pi_addr]; //@line 137 "pi.c"
        var $38=CHECK_OVERFLOW(($37+24)&4294967295, 32); //@line 137 "pi.c"
        HEAP[$38]=$36; //@line 137 "pi.c"
        __label__ = 5; break; //@line 137 "pi.c"
      case 14: // $bb4
        var $39=HEAP[$pi_addr]; //@line 138 "pi.c"
        var $40=CHECK_OVERFLOW(($39+196)&4294967295, 32); //@line 138 "pi.c"
        var $41=HEAP[$40]; //@line 138 "pi.c"
        var $42=HEAP[$pi_addr]; //@line 138 "pi.c"
        var $43=CHECK_OVERFLOW(($42+24)&4294967295, 32); //@line 138 "pi.c"
        var $44=HEAP[$43]; //@line 138 "pi.c"
        var $45=CHECK_OVERFLOW(($41+16*$44)&4294967295, 32); //@line 138 "pi.c"
        HEAP[$comp]=$45; //@line 138 "pi.c"
        var $46=HEAP[$pi_addr]; //@line 139 "pi.c"
        var $47=CHECK_OVERFLOW(($46+28)&4294967295, 32); //@line 139 "pi.c"
        var $48=HEAP[$47]; //@line 139 "pi.c"
        var $49=HEAP[$comp]; //@line 139 "pi.c"
        var $50=CHECK_OVERFLOW(($49+8)&4294967295, 32); //@line 139 "pi.c"
        var $51=HEAP[$50]; //@line 139 "pi.c"
        var $52=($48) >= ($51); //@line 139 "pi.c"
        if ($52) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 139 "pi.c"
      case 7: // $bb5
        var $53=HEAP[$comp]; //@line 142 "pi.c"
        var $54=CHECK_OVERFLOW(($53+12)&4294967295, 32); //@line 142 "pi.c"
        var $55=HEAP[$54]; //@line 142 "pi.c"
        var $56=HEAP[$pi_addr]; //@line 142 "pi.c"
        var $57=CHECK_OVERFLOW(($56+28)&4294967295, 32); //@line 142 "pi.c"
        var $58=HEAP[$57]; //@line 142 "pi.c"
        var $59=CHECK_OVERFLOW(($55+16*$58)&4294967295, 32); //@line 142 "pi.c"
        HEAP[$res]=$59; //@line 142 "pi.c"
        var $60=HEAP[$pi_addr]; //@line 143 "pi.c"
        var $61=CHECK_OVERFLOW(($60)&4294967295, 32); //@line 143 "pi.c"
        var $62=HEAP[$61]; //@line 143 "pi.c"
        var $63=($62)==0; //@line 143 "pi.c"
        if ($63) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 143 "pi.c"
      case 8: // $bb6
        var $64=HEAP[$res]; //@line 144 "pi.c"
        var $65=CHECK_OVERFLOW(($64+8)&4294967295, 32); //@line 144 "pi.c"
        var $66=HEAP[$65]; //@line 144 "pi.c"
        var $67=HEAP[$res]; //@line 144 "pi.c"
        var $68=CHECK_OVERFLOW(($67+12)&4294967295, 32); //@line 144 "pi.c"
        var $69=HEAP[$68]; //@line 144 "pi.c"
        var $70=CHECK_OVERFLOW((($66) * ($69))&4294967295, 32); //@line 144 "pi.c"
        var $71=HEAP[$pi_addr]; //@line 144 "pi.c"
        var $72=CHECK_OVERFLOW(($71+44)&4294967295, 32); //@line 144 "pi.c"
        var $73=CHECK_OVERFLOW(($72+28)&4294967295, 32); //@line 144 "pi.c"
        HEAP[$73]=$70; //@line 144 "pi.c"
        __label__ = 9; break; //@line 144 "pi.c"
      case 9: // $bb7
        var $74=HEAP[$pi_addr]; //@line 146 "pi.c"
        var $75=CHECK_OVERFLOW(($74+44)&4294967295, 32); //@line 146 "pi.c"
        var $76=CHECK_OVERFLOW(($75+24)&4294967295, 32); //@line 146 "pi.c"
        var $77=HEAP[$76]; //@line 146 "pi.c"
        var $78=HEAP[$pi_addr]; //@line 146 "pi.c"
        var $79=CHECK_OVERFLOW(($78+32)&4294967295, 32); //@line 146 "pi.c"
        HEAP[$79]=$77; //@line 146 "pi.c"
        __label__ = 10; break; //@line 146 "pi.c"
      case 13: // $bb8
        var $80=HEAP[$pi_addr]; //@line 147 "pi.c"
        var $81=CHECK_OVERFLOW(($80+36)&4294967295, 32); //@line 147 "pi.c"
        var $82=HEAP[$81]; //@line 147 "pi.c"
        var $83=HEAP[$pi_addr]; //@line 147 "pi.c"
        var $84=CHECK_OVERFLOW(($83+8)&4294967295, 32); //@line 147 "pi.c"
        var $85=HEAP[$84]; //@line 147 "pi.c"
        var $86=CHECK_OVERFLOW((($82) * ($85))&4294967295, 32); //@line 147 "pi.c"
        var $87=HEAP[$pi_addr]; //@line 147 "pi.c"
        var $88=CHECK_OVERFLOW(($87+28)&4294967295, 32); //@line 147 "pi.c"
        var $89=HEAP[$88]; //@line 147 "pi.c"
        var $90=HEAP[$pi_addr]; //@line 147 "pi.c"
        var $91=CHECK_OVERFLOW(($90+12)&4294967295, 32); //@line 147 "pi.c"
        var $92=HEAP[$91]; //@line 147 "pi.c"
        var $93=CHECK_OVERFLOW((($89) * ($92))&4294967295, 32); //@line 147 "pi.c"
        var $94=CHECK_OVERFLOW((($86) + ($93))&4294967295, 32); //@line 147 "pi.c"
        var $95=HEAP[$pi_addr]; //@line 147 "pi.c"
        var $96=CHECK_OVERFLOW(($95+32)&4294967295, 32); //@line 147 "pi.c"
        var $97=HEAP[$96]; //@line 147 "pi.c"
        var $98=HEAP[$pi_addr]; //@line 147 "pi.c"
        var $99=CHECK_OVERFLOW(($98+20)&4294967295, 32); //@line 147 "pi.c"
        var $100=HEAP[$99]; //@line 147 "pi.c"
        var $101=CHECK_OVERFLOW((($97) * ($100))&4294967295, 32); //@line 147 "pi.c"
        var $102=HEAP[$pi_addr]; //@line 147 "pi.c"
        var $103=CHECK_OVERFLOW(($102+24)&4294967295, 32); //@line 147 "pi.c"
        var $104=HEAP[$103]; //@line 147 "pi.c"
        var $105=HEAP[$pi_addr]; //@line 147 "pi.c"
        var $106=CHECK_OVERFLOW(($105+16)&4294967295, 32); //@line 147 "pi.c"
        var $107=HEAP[$106]; //@line 147 "pi.c"
        var $108=CHECK_OVERFLOW((($104) * ($107))&4294967295, 32); //@line 147 "pi.c"
        var $109=CHECK_OVERFLOW((($101) + ($108))&4294967295, 32); //@line 147 "pi.c"
        var $110=CHECK_OVERFLOW((($94) + ($109))&4294967295, 32); //@line 147 "pi.c"
        HEAP[$index]=$110; //@line 147 "pi.c"
        var $111=HEAP[$pi_addr]; //@line 148 "pi.c"
        var $112=CHECK_OVERFLOW(($111+4)&4294967295, 32); //@line 148 "pi.c"
        var $113=HEAP[$112]; //@line 148 "pi.c"
        var $114=HEAP[$index]; //@line 148 "pi.c"
        var $115=CHECK_OVERFLOW(($113+2*$114)&4294967295, 32); //@line 148 "pi.c"
        var $116=HEAP[$115]; //@line 148 "pi.c"
        var $117=($116)==0; //@line 148 "pi.c"
        if ($117) { __label__ = 11; break; } else { __label__ = 2; break; } //@line 148 "pi.c"
      case 11: // $bb9
        var $118=HEAP[$pi_addr]; //@line 149 "pi.c"
        var $119=CHECK_OVERFLOW(($118+4)&4294967295, 32); //@line 149 "pi.c"
        var $120=HEAP[$119]; //@line 149 "pi.c"
        var $121=HEAP[$index]; //@line 149 "pi.c"
        var $122=CHECK_OVERFLOW(($120+2*$121)&4294967295, 32); //@line 149 "pi.c"
        HEAP[$122]=1; //@line 149 "pi.c"
        HEAP[$0]=1; //@line 150 "pi.c"
        __label__ = 12; break; //@line 150 "pi.c"
      case 2: // $LABEL_SKIP
        var $123=HEAP[$pi_addr]; //@line 146 "pi.c"
        var $124=CHECK_OVERFLOW(($123+32)&4294967295, 32); //@line 146 "pi.c"
        var $125=HEAP[$124]; //@line 146 "pi.c"
        var $126=CHECK_OVERFLOW((($125) + 1)&4294967295, 32); //@line 146 "pi.c"
        var $127=HEAP[$pi_addr]; //@line 146 "pi.c"
        var $128=CHECK_OVERFLOW(($127+32)&4294967295, 32); //@line 146 "pi.c"
        HEAP[$128]=$126; //@line 146 "pi.c"
        __label__ = 10; break; //@line 146 "pi.c"
      case 10: // $bb10
        var $129=HEAP[$pi_addr]; //@line 146 "pi.c"
        var $130=CHECK_OVERFLOW(($129+32)&4294967295, 32); //@line 146 "pi.c"
        var $131=HEAP[$130]; //@line 146 "pi.c"
        var $132=HEAP[$pi_addr]; //@line 146 "pi.c"
        var $133=CHECK_OVERFLOW(($132+44)&4294967295, 32); //@line 146 "pi.c"
        var $134=CHECK_OVERFLOW(($133+28)&4294967295, 32); //@line 146 "pi.c"
        var $135=HEAP[$134]; //@line 146 "pi.c"
        var $136=($131) < ($135); //@line 146 "pi.c"
        if ($136) { __label__ = 13; break; } else { __label__ = 6; break; } //@line 146 "pi.c"
      case 6: // $bb11
        var $137=HEAP[$pi_addr]; //@line 137 "pi.c"
        var $138=CHECK_OVERFLOW(($137+24)&4294967295, 32); //@line 137 "pi.c"
        var $139=HEAP[$138]; //@line 137 "pi.c"
        var $140=CHECK_OVERFLOW((($139) + 1)&4294967295, 32); //@line 137 "pi.c"
        var $141=HEAP[$pi_addr]; //@line 137 "pi.c"
        var $142=CHECK_OVERFLOW(($141+24)&4294967295, 32); //@line 137 "pi.c"
        HEAP[$142]=$140; //@line 137 "pi.c"
        __label__ = 5; break; //@line 137 "pi.c"
      case 5: // $bb12
        var $143=HEAP[$pi_addr]; //@line 137 "pi.c"
        var $144=CHECK_OVERFLOW(($143+24)&4294967295, 32); //@line 137 "pi.c"
        var $145=HEAP[$144]; //@line 137 "pi.c"
        var $146=HEAP[$pi_addr]; //@line 137 "pi.c"
        var $147=CHECK_OVERFLOW(($146+44)&4294967295, 32); //@line 137 "pi.c"
        var $148=CHECK_OVERFLOW(($147+16)&4294967295, 32); //@line 137 "pi.c"
        var $149=HEAP[$148]; //@line 137 "pi.c"
        var $150=($145) < ($149); //@line 137 "pi.c"
        if ($150) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 137 "pi.c"
      case 15: // $bb13
        var $151=HEAP[$pi_addr]; //@line 136 "pi.c"
        var $152=CHECK_OVERFLOW(($151+36)&4294967295, 32); //@line 136 "pi.c"
        var $153=HEAP[$152]; //@line 136 "pi.c"
        var $154=CHECK_OVERFLOW((($153) + 1)&4294967295, 32); //@line 136 "pi.c"
        var $155=HEAP[$pi_addr]; //@line 136 "pi.c"
        var $156=CHECK_OVERFLOW(($155+36)&4294967295, 32); //@line 136 "pi.c"
        HEAP[$156]=$154; //@line 136 "pi.c"
        __label__ = 4; break; //@line 136 "pi.c"
      case 4: // $bb14
        var $157=HEAP[$pi_addr]; //@line 136 "pi.c"
        var $158=CHECK_OVERFLOW(($157+36)&4294967295, 32); //@line 136 "pi.c"
        var $159=HEAP[$158]; //@line 136 "pi.c"
        var $160=HEAP[$pi_addr]; //@line 136 "pi.c"
        var $161=CHECK_OVERFLOW(($160+44)&4294967295, 32); //@line 136 "pi.c"
        var $162=CHECK_OVERFLOW(($161+8)&4294967295, 32); //@line 136 "pi.c"
        var $163=HEAP[$162]; //@line 136 "pi.c"
        var $164=($159) < ($163); //@line 136 "pi.c"
        if ($164) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 136 "pi.c"
      case 17: // $bb15
        var $165=HEAP[$pi_addr]; //@line 135 "pi.c"
        var $166=CHECK_OVERFLOW(($165+28)&4294967295, 32); //@line 135 "pi.c"
        var $167=HEAP[$166]; //@line 135 "pi.c"
        var $168=CHECK_OVERFLOW((($167) + 1)&4294967295, 32); //@line 135 "pi.c"
        var $169=HEAP[$pi_addr]; //@line 135 "pi.c"
        var $170=CHECK_OVERFLOW(($169+28)&4294967295, 32); //@line 135 "pi.c"
        HEAP[$170]=$168; //@line 135 "pi.c"
        __label__ = 3; break; //@line 135 "pi.c"
      case 3: // $bb16
        var $171=HEAP[$pi_addr]; //@line 135 "pi.c"
        var $172=CHECK_OVERFLOW(($171+28)&4294967295, 32); //@line 135 "pi.c"
        var $173=HEAP[$172]; //@line 135 "pi.c"
        var $174=HEAP[$pi_addr]; //@line 135 "pi.c"
        var $175=CHECK_OVERFLOW(($174+44)&4294967295, 32); //@line 135 "pi.c"
        var $176=CHECK_OVERFLOW(($175+12)&4294967295, 32); //@line 135 "pi.c"
        var $177=HEAP[$176]; //@line 135 "pi.c"
        var $178=($173) < ($177); //@line 135 "pi.c"
        if ($178) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 135 "pi.c"
      case 19: // $bb17
        HEAP[$0]=0; //@line 158 "pi.c"
        __label__ = 12; break; //@line 158 "pi.c"
      case 12: // $bb18
        var $179=HEAP[$0]; //@line 150 "pi.c"
        HEAP[$retval]=$179; //@line 150 "pi.c"
        __label__ = 20; break; //@line 150 "pi.c"
      case 20: // $return
        var $retval19=HEAP[$retval]; //@line 150 "pi.c"
        STACKTOP = __stackBase__;
        return $retval19; //@line 150 "pi.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _pi_next_rpcl($pi) {
    var __stackBase__  = STACKTOP; STACKTOP += 84; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 84);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $pi_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $iftmp_1=__stackBase__+12;
        var $iftmp_0=__stackBase__+16;
        var $comp=__stackBase__+20;
        var $res=__stackBase__+24;
        var $index=__stackBase__+28;
        var $compno=__stackBase__+32;
        var $resno=__stackBase__+36;
        var $dx=__stackBase__+40;
        var $dy=__stackBase__+44;
        var $levelno=__stackBase__+48;
        var $trx0=__stackBase__+52;
        var $try0=__stackBase__+56;
        var $trx1=__stackBase__+60;
        var $try1=__stackBase__+64;
        var $rpx=__stackBase__+68;
        var $rpy=__stackBase__+72;
        var $prci=__stackBase__+76;
        var $prcj=__stackBase__+80;
        var $_alloca_point_=0;
        HEAP[$pi_addr]=$pi;
        HEAP[$comp]=0; //@line 162 "pi.c"
        HEAP[$res]=0; //@line 163 "pi.c"
        HEAP[$index]=0; //@line 164 "pi.c"
        var $1=HEAP[$pi_addr]; //@line 166 "pi.c"
        var $2=CHECK_OVERFLOW(($1+40)&4294967295, 32); //@line 166 "pi.c"
        var $3=HEAP[$2]; //@line 166 "pi.c"
        var $4=($3)==0; //@line 166 "pi.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 166 "pi.c"
      case 1: // $bb
        var $5=HEAP[$pi_addr]; //@line 170 "pi.c"
        var $6=CHECK_OVERFLOW(($5+40)&4294967295, 32); //@line 170 "pi.c"
        HEAP[$6]=0; //@line 170 "pi.c"
        var $7=HEAP[$pi_addr]; //@line 171 "pi.c"
        var $8=CHECK_OVERFLOW(($7+224)&4294967295, 32); //@line 171 "pi.c"
        HEAP[$8]=0; //@line 171 "pi.c"
        var $9=HEAP[$pi_addr]; //@line 172 "pi.c"
        var $10=CHECK_OVERFLOW(($9+228)&4294967295, 32); //@line 172 "pi.c"
        HEAP[$10]=0; //@line 172 "pi.c"
        HEAP[$compno]=0; //@line 173 "pi.c"
        __label__ = 2; break; //@line 173 "pi.c"
      case 12: // $bb1
        var $11=HEAP[$pi_addr]; //@line 174 "pi.c"
        var $12=CHECK_OVERFLOW(($11+196)&4294967295, 32); //@line 174 "pi.c"
        var $13=HEAP[$12]; //@line 174 "pi.c"
        var $14=HEAP[$compno]; //@line 174 "pi.c"
        var $15=CHECK_OVERFLOW(($13+16*$14)&4294967295, 32); //@line 174 "pi.c"
        HEAP[$comp]=$15; //@line 174 "pi.c"
        HEAP[$resno]=0; //@line 175 "pi.c"
        __label__ = 3; break; //@line 175 "pi.c"
      case 10: // $bb2
        var $16=HEAP[$comp]; //@line 177 "pi.c"
        var $17=CHECK_OVERFLOW(($16+12)&4294967295, 32); //@line 177 "pi.c"
        var $18=HEAP[$17]; //@line 177 "pi.c"
        var $19=HEAP[$resno]; //@line 177 "pi.c"
        var $20=CHECK_OVERFLOW(($18+16*$19)&4294967295, 32); //@line 177 "pi.c"
        HEAP[$res]=$20; //@line 177 "pi.c"
        var $21=HEAP[$comp]; //@line 178 "pi.c"
        var $22=CHECK_OVERFLOW(($21)&4294967295, 32); //@line 178 "pi.c"
        var $23=HEAP[$22]; //@line 178 "pi.c"
        var $24=HEAP[$res]; //@line 178 "pi.c"
        var $25=CHECK_OVERFLOW(($24)&4294967295, 32); //@line 178 "pi.c"
        var $26=HEAP[$25]; //@line 178 "pi.c"
        var $27=HEAP[$comp]; //@line 178 "pi.c"
        var $28=CHECK_OVERFLOW(($27+8)&4294967295, 32); //@line 178 "pi.c"
        var $29=HEAP[$28]; //@line 178 "pi.c"
        var $30=CHECK_OVERFLOW((($26) + ($29))&4294967295, 32); //@line 178 "pi.c"
        var $31=CHECK_OVERFLOW((($30) - 1)&4294967295, 32); //@line 178 "pi.c"
        var $32=HEAP[$resno]; //@line 178 "pi.c"
        var $33=CHECK_OVERFLOW((($31) - ($32))&4294967295, 32); //@line 178 "pi.c"
        var $34=($23) << ($33); //@line 178 "pi.c"
        HEAP[$dx]=$34; //@line 178 "pi.c"
        var $35=HEAP[$comp]; //@line 179 "pi.c"
        var $36=CHECK_OVERFLOW(($35+4)&4294967295, 32); //@line 179 "pi.c"
        var $37=HEAP[$36]; //@line 179 "pi.c"
        var $38=HEAP[$res]; //@line 179 "pi.c"
        var $39=CHECK_OVERFLOW(($38+4)&4294967295, 32); //@line 179 "pi.c"
        var $40=HEAP[$39]; //@line 179 "pi.c"
        var $41=HEAP[$comp]; //@line 179 "pi.c"
        var $42=CHECK_OVERFLOW(($41+8)&4294967295, 32); //@line 179 "pi.c"
        var $43=HEAP[$42]; //@line 179 "pi.c"
        var $44=CHECK_OVERFLOW((($40) + ($43))&4294967295, 32); //@line 179 "pi.c"
        var $45=CHECK_OVERFLOW((($44) - 1)&4294967295, 32); //@line 179 "pi.c"
        var $46=HEAP[$resno]; //@line 179 "pi.c"
        var $47=CHECK_OVERFLOW((($45) - ($46))&4294967295, 32); //@line 179 "pi.c"
        var $48=($37) << ($47); //@line 179 "pi.c"
        HEAP[$dy]=$48; //@line 179 "pi.c"
        var $49=HEAP[$pi_addr]; //@line 180 "pi.c"
        var $50=CHECK_OVERFLOW(($49+224)&4294967295, 32); //@line 180 "pi.c"
        var $51=HEAP[$50]; //@line 180 "pi.c"
        var $52=($51)!=0; //@line 180 "pi.c"
        if ($52) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 180 "pi.c"
      case 4: // $bb3
        var $53=HEAP[$pi_addr]; //@line 180 "pi.c"
        var $54=CHECK_OVERFLOW(($53+224)&4294967295, 32); //@line 180 "pi.c"
        var $55=HEAP[$54]; //@line 180 "pi.c"
        var $56=HEAP[$dx]; //@line 180 "pi.c"
        var $57=_int_min36($55, $56); //@line 180 "pi.c"
        HEAP[$iftmp_0]=$57; //@line 180 "pi.c"
        __label__ = 6; break; //@line 180 "pi.c"
      case 5: // $bb4
        var $58=HEAP[$dx]; //@line 180 "pi.c"
        HEAP[$iftmp_0]=$58; //@line 180 "pi.c"
        __label__ = 6; break; //@line 180 "pi.c"
      case 6: // $bb5
        var $59=HEAP[$pi_addr]; //@line 180 "pi.c"
        var $60=CHECK_OVERFLOW(($59+224)&4294967295, 32); //@line 180 "pi.c"
        var $61=HEAP[$iftmp_0]; //@line 180 "pi.c"
        HEAP[$60]=$61; //@line 180 "pi.c"
        var $62=HEAP[$pi_addr]; //@line 181 "pi.c"
        var $63=CHECK_OVERFLOW(($62+228)&4294967295, 32); //@line 181 "pi.c"
        var $64=HEAP[$63]; //@line 181 "pi.c"
        var $65=($64)!=0; //@line 181 "pi.c"
        if ($65) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 181 "pi.c"
      case 7: // $bb6
        var $66=HEAP[$pi_addr]; //@line 181 "pi.c"
        var $67=CHECK_OVERFLOW(($66+228)&4294967295, 32); //@line 181 "pi.c"
        var $68=HEAP[$67]; //@line 181 "pi.c"
        var $69=HEAP[$dy]; //@line 181 "pi.c"
        var $70=_int_min36($68, $69); //@line 181 "pi.c"
        HEAP[$iftmp_1]=$70; //@line 181 "pi.c"
        __label__ = 9; break; //@line 181 "pi.c"
      case 8: // $bb7
        var $71=HEAP[$dy]; //@line 181 "pi.c"
        HEAP[$iftmp_1]=$71; //@line 181 "pi.c"
        __label__ = 9; break; //@line 181 "pi.c"
      case 9: // $bb8
        var $72=HEAP[$pi_addr]; //@line 181 "pi.c"
        var $73=CHECK_OVERFLOW(($72+228)&4294967295, 32); //@line 181 "pi.c"
        var $74=HEAP[$iftmp_1]; //@line 181 "pi.c"
        HEAP[$73]=$74; //@line 181 "pi.c"
        var $75=HEAP[$resno]; //@line 175 "pi.c"
        var $76=CHECK_OVERFLOW((($75) + 1)&4294967295, 32); //@line 175 "pi.c"
        HEAP[$resno]=$76; //@line 175 "pi.c"
        __label__ = 3; break; //@line 175 "pi.c"
      case 3: // $bb9
        var $77=HEAP[$comp]; //@line 175 "pi.c"
        var $78=CHECK_OVERFLOW(($77+8)&4294967295, 32); //@line 175 "pi.c"
        var $79=HEAP[$78]; //@line 175 "pi.c"
        var $80=HEAP[$resno]; //@line 175 "pi.c"
        var $81=($79) > ($80); //@line 175 "pi.c"
        if ($81) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 175 "pi.c"
      case 11: // $bb10
        var $82=HEAP[$compno]; //@line 173 "pi.c"
        var $83=CHECK_OVERFLOW((($82) + 1)&4294967295, 32); //@line 173 "pi.c"
        HEAP[$compno]=$83; //@line 173 "pi.c"
        __label__ = 2; break; //@line 173 "pi.c"
      case 2: // $bb11
        var $84=HEAP[$pi_addr]; //@line 173 "pi.c"
        var $85=CHECK_OVERFLOW(($84+192)&4294967295, 32); //@line 173 "pi.c"
        var $86=HEAP[$85]; //@line 173 "pi.c"
        var $87=HEAP[$compno]; //@line 173 "pi.c"
        var $88=($86) > ($87); //@line 173 "pi.c"
        if ($88) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 173 "pi.c"
      case 13: // $bb12
        var $89=HEAP[$pi_addr]; //@line 185 "pi.c"
        var $90=CHECK_OVERFLOW(($89)&4294967295, 32); //@line 185 "pi.c"
        var $91=HEAP[$90]; //@line 185 "pi.c"
        var $92=($91)==0; //@line 185 "pi.c"
        if ($92) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 185 "pi.c"
      case 14: // $bb13
        var $93=HEAP[$pi_addr]; //@line 186 "pi.c"
        var $94=CHECK_OVERFLOW(($93+204)&4294967295, 32); //@line 186 "pi.c"
        var $95=HEAP[$94]; //@line 186 "pi.c"
        var $96=HEAP[$pi_addr]; //@line 186 "pi.c"
        var $97=CHECK_OVERFLOW(($96+44)&4294967295, 32); //@line 186 "pi.c"
        var $98=CHECK_OVERFLOW(($97+60)&4294967295, 32); //@line 186 "pi.c"
        HEAP[$98]=$95; //@line 186 "pi.c"
        var $99=HEAP[$pi_addr]; //@line 187 "pi.c"
        var $100=CHECK_OVERFLOW(($99+200)&4294967295, 32); //@line 187 "pi.c"
        var $101=HEAP[$100]; //@line 187 "pi.c"
        var $102=HEAP[$pi_addr]; //@line 187 "pi.c"
        var $103=CHECK_OVERFLOW(($102+44)&4294967295, 32); //@line 187 "pi.c"
        var $104=CHECK_OVERFLOW(($103+52)&4294967295, 32); //@line 187 "pi.c"
        HEAP[$104]=$101; //@line 187 "pi.c"
        var $105=HEAP[$pi_addr]; //@line 188 "pi.c"
        var $106=CHECK_OVERFLOW(($105+212)&4294967295, 32); //@line 188 "pi.c"
        var $107=HEAP[$106]; //@line 188 "pi.c"
        var $108=HEAP[$pi_addr]; //@line 188 "pi.c"
        var $109=CHECK_OVERFLOW(($108+44)&4294967295, 32); //@line 188 "pi.c"
        var $110=CHECK_OVERFLOW(($109+64)&4294967295, 32); //@line 188 "pi.c"
        HEAP[$110]=$107; //@line 188 "pi.c"
        var $111=HEAP[$pi_addr]; //@line 189 "pi.c"
        var $112=CHECK_OVERFLOW(($111+208)&4294967295, 32); //@line 189 "pi.c"
        var $113=HEAP[$112]; //@line 189 "pi.c"
        var $114=HEAP[$pi_addr]; //@line 189 "pi.c"
        var $115=CHECK_OVERFLOW(($114+44)&4294967295, 32); //@line 189 "pi.c"
        var $116=CHECK_OVERFLOW(($115+56)&4294967295, 32); //@line 189 "pi.c"
        HEAP[$116]=$113; //@line 189 "pi.c"
        __label__ = 15; break; //@line 189 "pi.c"
      case 15: // $bb14
        var $117=HEAP[$pi_addr]; //@line 191 "pi.c"
        var $118=CHECK_OVERFLOW(($117+44)&4294967295, 32); //@line 191 "pi.c"
        var $119=CHECK_OVERFLOW(($118)&4294967295, 32); //@line 191 "pi.c"
        var $120=HEAP[$119]; //@line 191 "pi.c"
        var $121=HEAP[$pi_addr]; //@line 191 "pi.c"
        var $122=CHECK_OVERFLOW(($121+28)&4294967295, 32); //@line 191 "pi.c"
        HEAP[$122]=$120; //@line 191 "pi.c"
        __label__ = 16; break; //@line 191 "pi.c"
      case 42: // $bb15
        var $123=HEAP[$pi_addr]; //@line 192 "pi.c"
        var $124=CHECK_OVERFLOW(($123+44)&4294967295, 32); //@line 192 "pi.c"
        var $125=CHECK_OVERFLOW(($124+60)&4294967295, 32); //@line 192 "pi.c"
        var $126=HEAP[$125]; //@line 192 "pi.c"
        var $127=HEAP[$pi_addr]; //@line 192 "pi.c"
        var $128=CHECK_OVERFLOW(($127+220)&4294967295, 32); //@line 192 "pi.c"
        HEAP[$128]=$126; //@line 192 "pi.c"
        __label__ = 17; break; //@line 192 "pi.c"
      case 40: // $bb16
        var $129=HEAP[$pi_addr]; //@line 193 "pi.c"
        var $130=CHECK_OVERFLOW(($129+44)&4294967295, 32); //@line 193 "pi.c"
        var $131=CHECK_OVERFLOW(($130+52)&4294967295, 32); //@line 193 "pi.c"
        var $132=HEAP[$131]; //@line 193 "pi.c"
        var $133=HEAP[$pi_addr]; //@line 193 "pi.c"
        var $134=CHECK_OVERFLOW(($133+216)&4294967295, 32); //@line 193 "pi.c"
        HEAP[$134]=$132; //@line 193 "pi.c"
        __label__ = 18; break; //@line 193 "pi.c"
      case 38: // $bb17
        var $135=HEAP[$pi_addr]; //@line 194 "pi.c"
        var $136=CHECK_OVERFLOW(($135+44)&4294967295, 32); //@line 194 "pi.c"
        var $137=CHECK_OVERFLOW(($136+4)&4294967295, 32); //@line 194 "pi.c"
        var $138=HEAP[$137]; //@line 194 "pi.c"
        var $139=HEAP[$pi_addr]; //@line 194 "pi.c"
        var $140=CHECK_OVERFLOW(($139+24)&4294967295, 32); //@line 194 "pi.c"
        HEAP[$140]=$138; //@line 194 "pi.c"
        __label__ = 19; break; //@line 194 "pi.c"
      case 36: // $bb18
        var $141=HEAP[$pi_addr]; //@line 200 "pi.c"
        var $142=CHECK_OVERFLOW(($141+196)&4294967295, 32); //@line 200 "pi.c"
        var $143=HEAP[$142]; //@line 200 "pi.c"
        var $144=HEAP[$pi_addr]; //@line 200 "pi.c"
        var $145=CHECK_OVERFLOW(($144+24)&4294967295, 32); //@line 200 "pi.c"
        var $146=HEAP[$145]; //@line 200 "pi.c"
        var $147=CHECK_OVERFLOW(($143+16*$146)&4294967295, 32); //@line 200 "pi.c"
        HEAP[$comp]=$147; //@line 200 "pi.c"
        var $148=HEAP[$pi_addr]; //@line 201 "pi.c"
        var $149=CHECK_OVERFLOW(($148+28)&4294967295, 32); //@line 201 "pi.c"
        var $150=HEAP[$149]; //@line 201 "pi.c"
        var $151=HEAP[$comp]; //@line 201 "pi.c"
        var $152=CHECK_OVERFLOW(($151+8)&4294967295, 32); //@line 201 "pi.c"
        var $153=HEAP[$152]; //@line 201 "pi.c"
        var $154=($150) >= ($153); //@line 201 "pi.c"
        if ($154) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 201 "pi.c"
      case 21: // $bb19
        var $155=HEAP[$comp]; //@line 204 "pi.c"
        var $156=CHECK_OVERFLOW(($155+12)&4294967295, 32); //@line 204 "pi.c"
        var $157=HEAP[$156]; //@line 204 "pi.c"
        var $158=HEAP[$pi_addr]; //@line 204 "pi.c"
        var $159=CHECK_OVERFLOW(($158+28)&4294967295, 32); //@line 204 "pi.c"
        var $160=HEAP[$159]; //@line 204 "pi.c"
        var $161=CHECK_OVERFLOW(($157+16*$160)&4294967295, 32); //@line 204 "pi.c"
        HEAP[$res]=$161; //@line 204 "pi.c"
        var $162=HEAP[$comp]; //@line 205 "pi.c"
        var $163=CHECK_OVERFLOW(($162+8)&4294967295, 32); //@line 205 "pi.c"
        var $164=HEAP[$163]; //@line 205 "pi.c"
        var $165=CHECK_OVERFLOW((($164) - 1)&4294967295, 32); //@line 205 "pi.c"
        var $166=HEAP[$pi_addr]; //@line 205 "pi.c"
        var $167=CHECK_OVERFLOW(($166+28)&4294967295, 32); //@line 205 "pi.c"
        var $168=HEAP[$167]; //@line 205 "pi.c"
        var $169=CHECK_OVERFLOW((($165) - ($168))&4294967295, 32); //@line 205 "pi.c"
        HEAP[$levelno]=$169; //@line 205 "pi.c"
        var $170=HEAP[$comp]; //@line 206 "pi.c"
        var $171=CHECK_OVERFLOW(($170)&4294967295, 32); //@line 206 "pi.c"
        var $172=HEAP[$171]; //@line 206 "pi.c"
        var $173=HEAP[$levelno]; //@line 206 "pi.c"
        var $174=($172) << ($173); //@line 206 "pi.c"
        var $175=HEAP[$pi_addr]; //@line 206 "pi.c"
        var $176=CHECK_OVERFLOW(($175+200)&4294967295, 32); //@line 206 "pi.c"
        var $177=HEAP[$176]; //@line 206 "pi.c"
        var $178=_int_ceildiv37($177, $174); //@line 206 "pi.c"
        HEAP[$trx0]=$178; //@line 206 "pi.c"
        var $179=HEAP[$comp]; //@line 207 "pi.c"
        var $180=CHECK_OVERFLOW(($179+4)&4294967295, 32); //@line 207 "pi.c"
        var $181=HEAP[$180]; //@line 207 "pi.c"
        var $182=HEAP[$levelno]; //@line 207 "pi.c"
        var $183=($181) << ($182); //@line 207 "pi.c"
        var $184=HEAP[$pi_addr]; //@line 207 "pi.c"
        var $185=CHECK_OVERFLOW(($184+204)&4294967295, 32); //@line 207 "pi.c"
        var $186=HEAP[$185]; //@line 207 "pi.c"
        var $187=_int_ceildiv37($186, $183); //@line 207 "pi.c"
        HEAP[$try0]=$187; //@line 207 "pi.c"
        var $188=HEAP[$comp]; //@line 208 "pi.c"
        var $189=CHECK_OVERFLOW(($188)&4294967295, 32); //@line 208 "pi.c"
        var $190=HEAP[$189]; //@line 208 "pi.c"
        var $191=HEAP[$levelno]; //@line 208 "pi.c"
        var $192=($190) << ($191); //@line 208 "pi.c"
        var $193=HEAP[$pi_addr]; //@line 208 "pi.c"
        var $194=CHECK_OVERFLOW(($193+208)&4294967295, 32); //@line 208 "pi.c"
        var $195=HEAP[$194]; //@line 208 "pi.c"
        var $196=_int_ceildiv37($195, $192); //@line 208 "pi.c"
        HEAP[$trx1]=$196; //@line 208 "pi.c"
        var $197=HEAP[$comp]; //@line 209 "pi.c"
        var $198=CHECK_OVERFLOW(($197+4)&4294967295, 32); //@line 209 "pi.c"
        var $199=HEAP[$198]; //@line 209 "pi.c"
        var $200=HEAP[$levelno]; //@line 209 "pi.c"
        var $201=($199) << ($200); //@line 209 "pi.c"
        var $202=HEAP[$pi_addr]; //@line 209 "pi.c"
        var $203=CHECK_OVERFLOW(($202+212)&4294967295, 32); //@line 209 "pi.c"
        var $204=HEAP[$203]; //@line 209 "pi.c"
        var $205=_int_ceildiv37($204, $201); //@line 209 "pi.c"
        HEAP[$try1]=$205; //@line 209 "pi.c"
        var $206=HEAP[$res]; //@line 210 "pi.c"
        var $207=CHECK_OVERFLOW(($206)&4294967295, 32); //@line 210 "pi.c"
        var $208=HEAP[$207]; //@line 210 "pi.c"
        var $209=HEAP[$levelno]; //@line 210 "pi.c"
        var $210=CHECK_OVERFLOW((($208) + ($209))&4294967295, 32); //@line 210 "pi.c"
        HEAP[$rpx]=$210; //@line 210 "pi.c"
        var $211=HEAP[$res]; //@line 211 "pi.c"
        var $212=CHECK_OVERFLOW(($211+4)&4294967295, 32); //@line 211 "pi.c"
        var $213=HEAP[$212]; //@line 211 "pi.c"
        var $214=HEAP[$levelno]; //@line 211 "pi.c"
        var $215=CHECK_OVERFLOW((($213) + ($214))&4294967295, 32); //@line 211 "pi.c"
        HEAP[$rpy]=$215; //@line 211 "pi.c"
        var $216=HEAP[$pi_addr]; //@line 212 "pi.c"
        var $217=CHECK_OVERFLOW(($216+220)&4294967295, 32); //@line 212 "pi.c"
        var $218=HEAP[$217]; //@line 212 "pi.c"
        var $219=HEAP[$comp]; //@line 212 "pi.c"
        var $220=CHECK_OVERFLOW(($219+4)&4294967295, 32); //@line 212 "pi.c"
        var $221=HEAP[$220]; //@line 212 "pi.c"
        var $222=HEAP[$rpy]; //@line 212 "pi.c"
        var $223=($221) << ($222); //@line 212 "pi.c"
        var $224=($218) % ($223); //@line 212 "pi.c"
        var $225=($224)!=0; //@line 212 "pi.c"
        if ($225) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 212 "pi.c"
      case 22: // $bb20
        var $226=HEAP[$pi_addr]; //@line 212 "pi.c"
        var $227=CHECK_OVERFLOW(($226+220)&4294967295, 32); //@line 212 "pi.c"
        var $228=HEAP[$227]; //@line 212 "pi.c"
        var $229=HEAP[$pi_addr]; //@line 212 "pi.c"
        var $230=CHECK_OVERFLOW(($229+204)&4294967295, 32); //@line 212 "pi.c"
        var $231=HEAP[$230]; //@line 212 "pi.c"
        var $232=($228)!=($231); //@line 212 "pi.c"
        if ($232) { __label__ = 20; break; } else { __label__ = 24; break; } //@line 212 "pi.c"
      case 24: // $bb21
        var $233=HEAP[$try0]; //@line 212 "pi.c"
        var $234=HEAP[$levelno]; //@line 212 "pi.c"
        var $235=($233) << ($234); //@line 212 "pi.c"
        var $236=HEAP[$rpy]; //@line 212 "pi.c"
        var $237=1 << ($236); //@line 212 "pi.c"
        var $238=($235) % ($237); //@line 212 "pi.c"
        var $239=($238)==0; //@line 212 "pi.c"
        if ($239) { __label__ = 20; break; } else { __label__ = 23; break; } //@line 212 "pi.c"
      case 23: // $bb22
        var $240=HEAP[$pi_addr]; //@line 215 "pi.c"
        var $241=CHECK_OVERFLOW(($240+216)&4294967295, 32); //@line 215 "pi.c"
        var $242=HEAP[$241]; //@line 215 "pi.c"
        var $243=HEAP[$comp]; //@line 215 "pi.c"
        var $244=CHECK_OVERFLOW(($243)&4294967295, 32); //@line 215 "pi.c"
        var $245=HEAP[$244]; //@line 215 "pi.c"
        var $246=HEAP[$rpx]; //@line 215 "pi.c"
        var $247=($245) << ($246); //@line 215 "pi.c"
        var $248=($242) % ($247); //@line 215 "pi.c"
        var $249=($248)!=0; //@line 215 "pi.c"
        if ($249) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 215 "pi.c"
      case 25: // $bb23
        var $250=HEAP[$pi_addr]; //@line 215 "pi.c"
        var $251=CHECK_OVERFLOW(($250+216)&4294967295, 32); //@line 215 "pi.c"
        var $252=HEAP[$251]; //@line 215 "pi.c"
        var $253=HEAP[$pi_addr]; //@line 215 "pi.c"
        var $254=CHECK_OVERFLOW(($253+200)&4294967295, 32); //@line 215 "pi.c"
        var $255=HEAP[$254]; //@line 215 "pi.c"
        var $256=($252)!=($255); //@line 215 "pi.c"
        if ($256) { __label__ = 20; break; } else { __label__ = 27; break; } //@line 215 "pi.c"
      case 27: // $bb24
        var $257=HEAP[$trx0]; //@line 215 "pi.c"
        var $258=HEAP[$levelno]; //@line 215 "pi.c"
        var $259=($257) << ($258); //@line 215 "pi.c"
        var $260=HEAP[$rpx]; //@line 215 "pi.c"
        var $261=1 << ($260); //@line 215 "pi.c"
        var $262=($259) % ($261); //@line 215 "pi.c"
        var $263=($262)==0; //@line 215 "pi.c"
        if ($263) { __label__ = 20; break; } else { __label__ = 26; break; } //@line 215 "pi.c"
      case 26: // $bb25
        var $264=HEAP[$res]; //@line 219 "pi.c"
        var $265=CHECK_OVERFLOW(($264+8)&4294967295, 32); //@line 219 "pi.c"
        var $266=HEAP[$265]; //@line 219 "pi.c"
        var $267=($266)==0; //@line 219 "pi.c"
        if ($267) { __label__ = 20; break; } else { __label__ = 28; break; } //@line 219 "pi.c"
      case 28: // $bb26
        var $268=HEAP[$res]; //@line 219 "pi.c"
        var $269=CHECK_OVERFLOW(($268+12)&4294967295, 32); //@line 219 "pi.c"
        var $270=HEAP[$269]; //@line 219 "pi.c"
        var $271=($270)==0; //@line 219 "pi.c"
        if ($271) { __label__ = 20; break; } else { __label__ = 29; break; } //@line 219 "pi.c"
      case 29: // $bb27
        var $272=HEAP[$trx0]; //@line 221 "pi.c"
        var $273=HEAP[$trx1]; //@line 221 "pi.c"
        var $274=($272)==($273); //@line 221 "pi.c"
        if ($274) { __label__ = 20; break; } else { __label__ = 30; break; } //@line 221 "pi.c"
      case 30: // $bb28
        var $275=HEAP[$try0]; //@line 221 "pi.c"
        var $276=HEAP[$try1]; //@line 221 "pi.c"
        var $277=($275)==($276); //@line 221 "pi.c"
        if ($277) { __label__ = 20; break; } else { __label__ = 31; break; } //@line 221 "pi.c"
      case 31: // $bb29
        var $278=HEAP[$res]; //@line 223 "pi.c"
        var $279=CHECK_OVERFLOW(($278)&4294967295, 32); //@line 223 "pi.c"
        var $280=HEAP[$279]; //@line 223 "pi.c"
        var $281=HEAP[$comp]; //@line 223 "pi.c"
        var $282=CHECK_OVERFLOW(($281)&4294967295, 32); //@line 223 "pi.c"
        var $283=HEAP[$282]; //@line 223 "pi.c"
        var $284=HEAP[$levelno]; //@line 223 "pi.c"
        var $285=($283) << ($284); //@line 223 "pi.c"
        var $286=HEAP[$pi_addr]; //@line 223 "pi.c"
        var $287=CHECK_OVERFLOW(($286+216)&4294967295, 32); //@line 223 "pi.c"
        var $288=HEAP[$287]; //@line 223 "pi.c"
        var $289=_int_ceildiv37($288, $285); //@line 223 "pi.c"
        var $290=_int_floordivpow2($289, $280); //@line 223 "pi.c"
        var $291=HEAP[$res]; //@line 223 "pi.c"
        var $292=CHECK_OVERFLOW(($291)&4294967295, 32); //@line 223 "pi.c"
        var $293=HEAP[$292]; //@line 223 "pi.c"
        var $294=HEAP[$trx0]; //@line 223 "pi.c"
        var $295=_int_floordivpow2($294, $293); //@line 223 "pi.c"
        var $296=CHECK_OVERFLOW((($290) - ($295))&4294967295, 32); //@line 223 "pi.c"
        HEAP[$prci]=$296; //@line 223 "pi.c"
        var $297=HEAP[$res]; //@line 225 "pi.c"
        var $298=CHECK_OVERFLOW(($297+4)&4294967295, 32); //@line 225 "pi.c"
        var $299=HEAP[$298]; //@line 225 "pi.c"
        var $300=HEAP[$comp]; //@line 225 "pi.c"
        var $301=CHECK_OVERFLOW(($300+4)&4294967295, 32); //@line 225 "pi.c"
        var $302=HEAP[$301]; //@line 225 "pi.c"
        var $303=HEAP[$levelno]; //@line 225 "pi.c"
        var $304=($302) << ($303); //@line 225 "pi.c"
        var $305=HEAP[$pi_addr]; //@line 225 "pi.c"
        var $306=CHECK_OVERFLOW(($305+220)&4294967295, 32); //@line 225 "pi.c"
        var $307=HEAP[$306]; //@line 225 "pi.c"
        var $308=_int_ceildiv37($307, $304); //@line 225 "pi.c"
        var $309=_int_floordivpow2($308, $299); //@line 225 "pi.c"
        var $310=HEAP[$res]; //@line 225 "pi.c"
        var $311=CHECK_OVERFLOW(($310+4)&4294967295, 32); //@line 225 "pi.c"
        var $312=HEAP[$311]; //@line 225 "pi.c"
        var $313=HEAP[$try0]; //@line 225 "pi.c"
        var $314=_int_floordivpow2($313, $312); //@line 225 "pi.c"
        var $315=CHECK_OVERFLOW((($309) - ($314))&4294967295, 32); //@line 225 "pi.c"
        HEAP[$prcj]=$315; //@line 225 "pi.c"
        var $316=HEAP[$res]; //@line 227 "pi.c"
        var $317=CHECK_OVERFLOW(($316+8)&4294967295, 32); //@line 227 "pi.c"
        var $318=HEAP[$317]; //@line 227 "pi.c"
        var $319=HEAP[$prcj]; //@line 227 "pi.c"
        var $320=CHECK_OVERFLOW((($318) * ($319))&4294967295, 32); //@line 227 "pi.c"
        var $321=HEAP[$prci]; //@line 227 "pi.c"
        var $322=CHECK_OVERFLOW((($320) + ($321))&4294967295, 32); //@line 227 "pi.c"
        var $323=HEAP[$pi_addr]; //@line 227 "pi.c"
        var $324=CHECK_OVERFLOW(($323+32)&4294967295, 32); //@line 227 "pi.c"
        HEAP[$324]=$322; //@line 227 "pi.c"
        var $325=HEAP[$pi_addr]; //@line 228 "pi.c"
        var $326=CHECK_OVERFLOW(($325+44)&4294967295, 32); //@line 228 "pi.c"
        var $327=CHECK_OVERFLOW(($326+20)&4294967295, 32); //@line 228 "pi.c"
        var $328=HEAP[$327]; //@line 228 "pi.c"
        var $329=HEAP[$pi_addr]; //@line 228 "pi.c"
        var $330=CHECK_OVERFLOW(($329+36)&4294967295, 32); //@line 228 "pi.c"
        HEAP[$330]=$328; //@line 228 "pi.c"
        __label__ = 32; break; //@line 228 "pi.c"
      case 35: // $bb30
        var $331=HEAP[$pi_addr]; //@line 229 "pi.c"
        var $332=CHECK_OVERFLOW(($331+36)&4294967295, 32); //@line 229 "pi.c"
        var $333=HEAP[$332]; //@line 229 "pi.c"
        var $334=HEAP[$pi_addr]; //@line 229 "pi.c"
        var $335=CHECK_OVERFLOW(($334+8)&4294967295, 32); //@line 229 "pi.c"
        var $336=HEAP[$335]; //@line 229 "pi.c"
        var $337=CHECK_OVERFLOW((($333) * ($336))&4294967295, 32); //@line 229 "pi.c"
        var $338=HEAP[$pi_addr]; //@line 229 "pi.c"
        var $339=CHECK_OVERFLOW(($338+28)&4294967295, 32); //@line 229 "pi.c"
        var $340=HEAP[$339]; //@line 229 "pi.c"
        var $341=HEAP[$pi_addr]; //@line 229 "pi.c"
        var $342=CHECK_OVERFLOW(($341+12)&4294967295, 32); //@line 229 "pi.c"
        var $343=HEAP[$342]; //@line 229 "pi.c"
        var $344=CHECK_OVERFLOW((($340) * ($343))&4294967295, 32); //@line 229 "pi.c"
        var $345=CHECK_OVERFLOW((($337) + ($344))&4294967295, 32); //@line 229 "pi.c"
        var $346=HEAP[$pi_addr]; //@line 229 "pi.c"
        var $347=CHECK_OVERFLOW(($346+32)&4294967295, 32); //@line 229 "pi.c"
        var $348=HEAP[$347]; //@line 229 "pi.c"
        var $349=HEAP[$pi_addr]; //@line 229 "pi.c"
        var $350=CHECK_OVERFLOW(($349+20)&4294967295, 32); //@line 229 "pi.c"
        var $351=HEAP[$350]; //@line 229 "pi.c"
        var $352=CHECK_OVERFLOW((($348) * ($351))&4294967295, 32); //@line 229 "pi.c"
        var $353=HEAP[$pi_addr]; //@line 229 "pi.c"
        var $354=CHECK_OVERFLOW(($353+24)&4294967295, 32); //@line 229 "pi.c"
        var $355=HEAP[$354]; //@line 229 "pi.c"
        var $356=HEAP[$pi_addr]; //@line 229 "pi.c"
        var $357=CHECK_OVERFLOW(($356+16)&4294967295, 32); //@line 229 "pi.c"
        var $358=HEAP[$357]; //@line 229 "pi.c"
        var $359=CHECK_OVERFLOW((($355) * ($358))&4294967295, 32); //@line 229 "pi.c"
        var $360=CHECK_OVERFLOW((($352) + ($359))&4294967295, 32); //@line 229 "pi.c"
        var $361=CHECK_OVERFLOW((($345) + ($360))&4294967295, 32); //@line 229 "pi.c"
        HEAP[$index]=$361; //@line 229 "pi.c"
        var $362=HEAP[$pi_addr]; //@line 230 "pi.c"
        var $363=CHECK_OVERFLOW(($362+4)&4294967295, 32); //@line 230 "pi.c"
        var $364=HEAP[$363]; //@line 230 "pi.c"
        var $365=HEAP[$index]; //@line 230 "pi.c"
        var $366=CHECK_OVERFLOW(($364+2*$365)&4294967295, 32); //@line 230 "pi.c"
        var $367=HEAP[$366]; //@line 230 "pi.c"
        var $368=($367)==0; //@line 230 "pi.c"
        if ($368) { __label__ = 33; break; } else { __label__ = 0; break; } //@line 230 "pi.c"
      case 33: // $bb31
        var $369=HEAP[$pi_addr]; //@line 231 "pi.c"
        var $370=CHECK_OVERFLOW(($369+4)&4294967295, 32); //@line 231 "pi.c"
        var $371=HEAP[$370]; //@line 231 "pi.c"
        var $372=HEAP[$index]; //@line 231 "pi.c"
        var $373=CHECK_OVERFLOW(($371+2*$372)&4294967295, 32); //@line 231 "pi.c"
        HEAP[$373]=1; //@line 231 "pi.c"
        HEAP[$0]=1; //@line 232 "pi.c"
        __label__ = 34; break; //@line 232 "pi.c"
      case 0: // $LABEL_SKIP
        var $374=HEAP[$pi_addr]; //@line 228 "pi.c"
        var $375=CHECK_OVERFLOW(($374+36)&4294967295, 32); //@line 228 "pi.c"
        var $376=HEAP[$375]; //@line 228 "pi.c"
        var $377=CHECK_OVERFLOW((($376) + 1)&4294967295, 32); //@line 228 "pi.c"
        var $378=HEAP[$pi_addr]; //@line 228 "pi.c"
        var $379=CHECK_OVERFLOW(($378+36)&4294967295, 32); //@line 228 "pi.c"
        HEAP[$379]=$377; //@line 228 "pi.c"
        __label__ = 32; break; //@line 228 "pi.c"
      case 32: // $bb32
        var $380=HEAP[$pi_addr]; //@line 228 "pi.c"
        var $381=CHECK_OVERFLOW(($380+36)&4294967295, 32); //@line 228 "pi.c"
        var $382=HEAP[$381]; //@line 228 "pi.c"
        var $383=HEAP[$pi_addr]; //@line 228 "pi.c"
        var $384=CHECK_OVERFLOW(($383+44)&4294967295, 32); //@line 228 "pi.c"
        var $385=CHECK_OVERFLOW(($384+8)&4294967295, 32); //@line 228 "pi.c"
        var $386=HEAP[$385]; //@line 228 "pi.c"
        var $387=($382) < ($386); //@line 228 "pi.c"
        if ($387) { __label__ = 35; break; } else { __label__ = 20; break; } //@line 228 "pi.c"
      case 20: // $bb33
        var $388=HEAP[$pi_addr]; //@line 194 "pi.c"
        var $389=CHECK_OVERFLOW(($388+24)&4294967295, 32); //@line 194 "pi.c"
        var $390=HEAP[$389]; //@line 194 "pi.c"
        var $391=CHECK_OVERFLOW((($390) + 1)&4294967295, 32); //@line 194 "pi.c"
        var $392=HEAP[$pi_addr]; //@line 194 "pi.c"
        var $393=CHECK_OVERFLOW(($392+24)&4294967295, 32); //@line 194 "pi.c"
        HEAP[$393]=$391; //@line 194 "pi.c"
        __label__ = 19; break; //@line 194 "pi.c"
      case 19: // $bb34
        var $394=HEAP[$pi_addr]; //@line 194 "pi.c"
        var $395=CHECK_OVERFLOW(($394+24)&4294967295, 32); //@line 194 "pi.c"
        var $396=HEAP[$395]; //@line 194 "pi.c"
        var $397=HEAP[$pi_addr]; //@line 194 "pi.c"
        var $398=CHECK_OVERFLOW(($397+44)&4294967295, 32); //@line 194 "pi.c"
        var $399=CHECK_OVERFLOW(($398+16)&4294967295, 32); //@line 194 "pi.c"
        var $400=HEAP[$399]; //@line 194 "pi.c"
        var $401=($396) < ($400); //@line 194 "pi.c"
        if ($401) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 194 "pi.c"
      case 37: // $bb35
        var $402=HEAP[$pi_addr]; //@line 193 "pi.c"
        var $403=CHECK_OVERFLOW(($402+216)&4294967295, 32); //@line 193 "pi.c"
        var $404=HEAP[$403]; //@line 193 "pi.c"
        var $405=HEAP[$pi_addr]; //@line 193 "pi.c"
        var $406=CHECK_OVERFLOW(($405+224)&4294967295, 32); //@line 193 "pi.c"
        var $407=HEAP[$406]; //@line 193 "pi.c"
        var $408=HEAP[$pi_addr]; //@line 193 "pi.c"
        var $409=CHECK_OVERFLOW(($408+216)&4294967295, 32); //@line 193 "pi.c"
        var $410=HEAP[$409]; //@line 193 "pi.c"
        var $411=HEAP[$pi_addr]; //@line 193 "pi.c"
        var $412=CHECK_OVERFLOW(($411+224)&4294967295, 32); //@line 193 "pi.c"
        var $413=HEAP[$412]; //@line 193 "pi.c"
        var $414=($410) % ($413); //@line 193 "pi.c"
        var $415=CHECK_OVERFLOW((($407) - ($414))&4294967295, 32); //@line 193 "pi.c"
        var $416=CHECK_OVERFLOW((($404) + ($415))&4294967295, 32); //@line 193 "pi.c"
        var $417=HEAP[$pi_addr]; //@line 193 "pi.c"
        var $418=CHECK_OVERFLOW(($417+216)&4294967295, 32); //@line 193 "pi.c"
        HEAP[$418]=$416; //@line 193 "pi.c"
        __label__ = 18; break; //@line 193 "pi.c"
      case 18: // $bb36
        var $419=HEAP[$pi_addr]; //@line 193 "pi.c"
        var $420=CHECK_OVERFLOW(($419+216)&4294967295, 32); //@line 193 "pi.c"
        var $421=HEAP[$420]; //@line 193 "pi.c"
        var $422=HEAP[$pi_addr]; //@line 193 "pi.c"
        var $423=CHECK_OVERFLOW(($422+44)&4294967295, 32); //@line 193 "pi.c"
        var $424=CHECK_OVERFLOW(($423+56)&4294967295, 32); //@line 193 "pi.c"
        var $425=HEAP[$424]; //@line 193 "pi.c"
        var $426=($421) < ($425); //@line 193 "pi.c"
        if ($426) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 193 "pi.c"
      case 39: // $bb37
        var $427=HEAP[$pi_addr]; //@line 192 "pi.c"
        var $428=CHECK_OVERFLOW(($427+220)&4294967295, 32); //@line 192 "pi.c"
        var $429=HEAP[$428]; //@line 192 "pi.c"
        var $430=HEAP[$pi_addr]; //@line 192 "pi.c"
        var $431=CHECK_OVERFLOW(($430+228)&4294967295, 32); //@line 192 "pi.c"
        var $432=HEAP[$431]; //@line 192 "pi.c"
        var $433=HEAP[$pi_addr]; //@line 192 "pi.c"
        var $434=CHECK_OVERFLOW(($433+220)&4294967295, 32); //@line 192 "pi.c"
        var $435=HEAP[$434]; //@line 192 "pi.c"
        var $436=HEAP[$pi_addr]; //@line 192 "pi.c"
        var $437=CHECK_OVERFLOW(($436+228)&4294967295, 32); //@line 192 "pi.c"
        var $438=HEAP[$437]; //@line 192 "pi.c"
        var $439=($435) % ($438); //@line 192 "pi.c"
        var $440=CHECK_OVERFLOW((($432) - ($439))&4294967295, 32); //@line 192 "pi.c"
        var $441=CHECK_OVERFLOW((($429) + ($440))&4294967295, 32); //@line 192 "pi.c"
        var $442=HEAP[$pi_addr]; //@line 192 "pi.c"
        var $443=CHECK_OVERFLOW(($442+220)&4294967295, 32); //@line 192 "pi.c"
        HEAP[$443]=$441; //@line 192 "pi.c"
        __label__ = 17; break; //@line 192 "pi.c"
      case 17: // $bb38
        var $444=HEAP[$pi_addr]; //@line 192 "pi.c"
        var $445=CHECK_OVERFLOW(($444+220)&4294967295, 32); //@line 192 "pi.c"
        var $446=HEAP[$445]; //@line 192 "pi.c"
        var $447=HEAP[$pi_addr]; //@line 192 "pi.c"
        var $448=CHECK_OVERFLOW(($447+44)&4294967295, 32); //@line 192 "pi.c"
        var $449=CHECK_OVERFLOW(($448+64)&4294967295, 32); //@line 192 "pi.c"
        var $450=HEAP[$449]; //@line 192 "pi.c"
        var $451=($446) < ($450); //@line 192 "pi.c"
        if ($451) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 192 "pi.c"
      case 41: // $bb39
        var $452=HEAP[$pi_addr]; //@line 191 "pi.c"
        var $453=CHECK_OVERFLOW(($452+28)&4294967295, 32); //@line 191 "pi.c"
        var $454=HEAP[$453]; //@line 191 "pi.c"
        var $455=CHECK_OVERFLOW((($454) + 1)&4294967295, 32); //@line 191 "pi.c"
        var $456=HEAP[$pi_addr]; //@line 191 "pi.c"
        var $457=CHECK_OVERFLOW(($456+28)&4294967295, 32); //@line 191 "pi.c"
        HEAP[$457]=$455; //@line 191 "pi.c"
        __label__ = 16; break; //@line 191 "pi.c"
      case 16: // $bb40
        var $458=HEAP[$pi_addr]; //@line 191 "pi.c"
        var $459=CHECK_OVERFLOW(($458+28)&4294967295, 32); //@line 191 "pi.c"
        var $460=HEAP[$459]; //@line 191 "pi.c"
        var $461=HEAP[$pi_addr]; //@line 191 "pi.c"
        var $462=CHECK_OVERFLOW(($461+44)&4294967295, 32); //@line 191 "pi.c"
        var $463=CHECK_OVERFLOW(($462+12)&4294967295, 32); //@line 191 "pi.c"
        var $464=HEAP[$463]; //@line 191 "pi.c"
        var $465=($460) < ($464); //@line 191 "pi.c"
        if ($465) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 191 "pi.c"
      case 43: // $bb41
        HEAP[$0]=0; //@line 241 "pi.c"
        __label__ = 34; break; //@line 241 "pi.c"
      case 34: // $bb42
        var $466=HEAP[$0]; //@line 232 "pi.c"
        HEAP[$retval]=$466; //@line 232 "pi.c"
        __label__ = 44; break; //@line 232 "pi.c"
      case 44: // $return
        var $retval43=HEAP[$retval]; //@line 232 "pi.c"
        STACKTOP = __stackBase__;
        return $retval43; //@line 232 "pi.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_min36($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$b_addr]; //@line 51 "int.h"
        var $2=HEAP[$a_addr]; //@line 51 "int.h"
        var $3=($1) <= ($2); //@line 51 "int.h"
        var $min=($3) ? ($1) : ($2); //@line 51 "int.h"
        HEAP[$0]=$min; //@line 51 "int.h"
        var $4=HEAP[$0]; //@line 51 "int.h"
        HEAP[$retval]=$4; //@line 51 "int.h"
        __label__ = 0; break; //@line 51 "int.h"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 51 "int.h"
        STACKTOP = __stackBase__;
        return $retval1; //@line 51 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_ceildiv37($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$a_addr]; //@line 87 "int.h"
        var $2=HEAP[$b_addr]; //@line 87 "int.h"
        var $3=CHECK_OVERFLOW((($1) + ($2))&4294967295, 32); //@line 87 "int.h"
        var $4=CHECK_OVERFLOW((($3) - 1)&4294967295, 32); //@line 87 "int.h"
        var $5=HEAP[$b_addr]; //@line 87 "int.h"
        var $6=(($4)/($5)|0); //@line 87 "int.h"
        HEAP[$0]=$6; //@line 87 "int.h"
        var $7=HEAP[$0]; //@line 87 "int.h"
        HEAP[$retval]=$7; //@line 87 "int.h"
        __label__ = 0; break; //@line 87 "int.h"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 87 "int.h"
        STACKTOP = __stackBase__;
        return $retval1; //@line 87 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_floordivpow2($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$a_addr]; //@line 101 "int.h"
        var $2=HEAP[$b_addr]; //@line 101 "int.h"
        var $3=($1) >> ($2); //@line 101 "int.h"
        HEAP[$0]=$3; //@line 101 "int.h"
        var $4=HEAP[$0]; //@line 101 "int.h"
        HEAP[$retval]=$4; //@line 101 "int.h"
        __label__ = 0; break; //@line 101 "int.h"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 101 "int.h"
        STACKTOP = __stackBase__;
        return $retval1; //@line 101 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _pi_next_pcrl($pi) {
    var __stackBase__  = STACKTOP; STACKTOP += 84; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 84);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $pi_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $iftmp_3=__stackBase__+12;
        var $iftmp_2=__stackBase__+16;
        var $comp=__stackBase__+20;
        var $res=__stackBase__+24;
        var $index=__stackBase__+28;
        var $compno=__stackBase__+32;
        var $resno=__stackBase__+36;
        var $dx=__stackBase__+40;
        var $dy=__stackBase__+44;
        var $levelno=__stackBase__+48;
        var $trx0=__stackBase__+52;
        var $try0=__stackBase__+56;
        var $trx1=__stackBase__+60;
        var $try1=__stackBase__+64;
        var $rpx=__stackBase__+68;
        var $rpy=__stackBase__+72;
        var $prci=__stackBase__+76;
        var $prcj=__stackBase__+80;
        var $_alloca_point_=0;
        HEAP[$pi_addr]=$pi;
        HEAP[$comp]=0; //@line 245 "pi.c"
        HEAP[$res]=0; //@line 246 "pi.c"
        HEAP[$index]=0; //@line 247 "pi.c"
        var $1=HEAP[$pi_addr]; //@line 249 "pi.c"
        var $2=CHECK_OVERFLOW(($1+40)&4294967295, 32); //@line 249 "pi.c"
        var $3=HEAP[$2]; //@line 249 "pi.c"
        var $4=($3)==0; //@line 249 "pi.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 249 "pi.c"
      case 0: // $bb
        var $5=HEAP[$pi_addr]; //@line 250 "pi.c"
        var $6=CHECK_OVERFLOW(($5+196)&4294967295, 32); //@line 250 "pi.c"
        var $7=HEAP[$6]; //@line 250 "pi.c"
        var $8=HEAP[$pi_addr]; //@line 250 "pi.c"
        var $9=CHECK_OVERFLOW(($8+24)&4294967295, 32); //@line 250 "pi.c"
        var $10=HEAP[$9]; //@line 250 "pi.c"
        var $11=CHECK_OVERFLOW(($7+16*$10)&4294967295, 32); //@line 250 "pi.c"
        HEAP[$comp]=$11; //@line 250 "pi.c"
        __label__ = 2; break; //@line 250 "pi.c"
      case 1: // $bb1
        var $12=HEAP[$pi_addr]; //@line 254 "pi.c"
        var $13=CHECK_OVERFLOW(($12+40)&4294967295, 32); //@line 254 "pi.c"
        HEAP[$13]=0; //@line 254 "pi.c"
        var $14=HEAP[$pi_addr]; //@line 255 "pi.c"
        var $15=CHECK_OVERFLOW(($14+224)&4294967295, 32); //@line 255 "pi.c"
        HEAP[$15]=0; //@line 255 "pi.c"
        var $16=HEAP[$pi_addr]; //@line 256 "pi.c"
        var $17=CHECK_OVERFLOW(($16+228)&4294967295, 32); //@line 256 "pi.c"
        HEAP[$17]=0; //@line 256 "pi.c"
        HEAP[$compno]=0; //@line 257 "pi.c"
        __label__ = 3; break; //@line 257 "pi.c"
      case 13: // $bb2
        var $18=HEAP[$pi_addr]; //@line 258 "pi.c"
        var $19=CHECK_OVERFLOW(($18+196)&4294967295, 32); //@line 258 "pi.c"
        var $20=HEAP[$19]; //@line 258 "pi.c"
        var $21=HEAP[$compno]; //@line 258 "pi.c"
        var $22=CHECK_OVERFLOW(($20+16*$21)&4294967295, 32); //@line 258 "pi.c"
        HEAP[$comp]=$22; //@line 258 "pi.c"
        HEAP[$resno]=0; //@line 259 "pi.c"
        __label__ = 4; break; //@line 259 "pi.c"
      case 11: // $bb3
        var $23=HEAP[$comp]; //@line 261 "pi.c"
        var $24=CHECK_OVERFLOW(($23+12)&4294967295, 32); //@line 261 "pi.c"
        var $25=HEAP[$24]; //@line 261 "pi.c"
        var $26=HEAP[$resno]; //@line 261 "pi.c"
        var $27=CHECK_OVERFLOW(($25+16*$26)&4294967295, 32); //@line 261 "pi.c"
        HEAP[$res]=$27; //@line 261 "pi.c"
        var $28=HEAP[$comp]; //@line 262 "pi.c"
        var $29=CHECK_OVERFLOW(($28)&4294967295, 32); //@line 262 "pi.c"
        var $30=HEAP[$29]; //@line 262 "pi.c"
        var $31=HEAP[$res]; //@line 262 "pi.c"
        var $32=CHECK_OVERFLOW(($31)&4294967295, 32); //@line 262 "pi.c"
        var $33=HEAP[$32]; //@line 262 "pi.c"
        var $34=HEAP[$comp]; //@line 262 "pi.c"
        var $35=CHECK_OVERFLOW(($34+8)&4294967295, 32); //@line 262 "pi.c"
        var $36=HEAP[$35]; //@line 262 "pi.c"
        var $37=CHECK_OVERFLOW((($33) + ($36))&4294967295, 32); //@line 262 "pi.c"
        var $38=CHECK_OVERFLOW((($37) - 1)&4294967295, 32); //@line 262 "pi.c"
        var $39=HEAP[$resno]; //@line 262 "pi.c"
        var $40=CHECK_OVERFLOW((($38) - ($39))&4294967295, 32); //@line 262 "pi.c"
        var $41=($30) << ($40); //@line 262 "pi.c"
        HEAP[$dx]=$41; //@line 262 "pi.c"
        var $42=HEAP[$comp]; //@line 263 "pi.c"
        var $43=CHECK_OVERFLOW(($42+4)&4294967295, 32); //@line 263 "pi.c"
        var $44=HEAP[$43]; //@line 263 "pi.c"
        var $45=HEAP[$res]; //@line 263 "pi.c"
        var $46=CHECK_OVERFLOW(($45+4)&4294967295, 32); //@line 263 "pi.c"
        var $47=HEAP[$46]; //@line 263 "pi.c"
        var $48=HEAP[$comp]; //@line 263 "pi.c"
        var $49=CHECK_OVERFLOW(($48+8)&4294967295, 32); //@line 263 "pi.c"
        var $50=HEAP[$49]; //@line 263 "pi.c"
        var $51=CHECK_OVERFLOW((($47) + ($50))&4294967295, 32); //@line 263 "pi.c"
        var $52=CHECK_OVERFLOW((($51) - 1)&4294967295, 32); //@line 263 "pi.c"
        var $53=HEAP[$resno]; //@line 263 "pi.c"
        var $54=CHECK_OVERFLOW((($52) - ($53))&4294967295, 32); //@line 263 "pi.c"
        var $55=($44) << ($54); //@line 263 "pi.c"
        HEAP[$dy]=$55; //@line 263 "pi.c"
        var $56=HEAP[$pi_addr]; //@line 264 "pi.c"
        var $57=CHECK_OVERFLOW(($56+224)&4294967295, 32); //@line 264 "pi.c"
        var $58=HEAP[$57]; //@line 264 "pi.c"
        var $59=($58)!=0; //@line 264 "pi.c"
        if ($59) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 264 "pi.c"
      case 5: // $bb4
        var $60=HEAP[$pi_addr]; //@line 264 "pi.c"
        var $61=CHECK_OVERFLOW(($60+224)&4294967295, 32); //@line 264 "pi.c"
        var $62=HEAP[$61]; //@line 264 "pi.c"
        var $63=HEAP[$dx]; //@line 264 "pi.c"
        var $64=_int_min36($62, $63); //@line 264 "pi.c"
        HEAP[$iftmp_2]=$64; //@line 264 "pi.c"
        __label__ = 7; break; //@line 264 "pi.c"
      case 6: // $bb5
        var $65=HEAP[$dx]; //@line 264 "pi.c"
        HEAP[$iftmp_2]=$65; //@line 264 "pi.c"
        __label__ = 7; break; //@line 264 "pi.c"
      case 7: // $bb6
        var $66=HEAP[$pi_addr]; //@line 264 "pi.c"
        var $67=CHECK_OVERFLOW(($66+224)&4294967295, 32); //@line 264 "pi.c"
        var $68=HEAP[$iftmp_2]; //@line 264 "pi.c"
        HEAP[$67]=$68; //@line 264 "pi.c"
        var $69=HEAP[$pi_addr]; //@line 265 "pi.c"
        var $70=CHECK_OVERFLOW(($69+228)&4294967295, 32); //@line 265 "pi.c"
        var $71=HEAP[$70]; //@line 265 "pi.c"
        var $72=($71)!=0; //@line 265 "pi.c"
        if ($72) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 265 "pi.c"
      case 8: // $bb7
        var $73=HEAP[$pi_addr]; //@line 265 "pi.c"
        var $74=CHECK_OVERFLOW(($73+228)&4294967295, 32); //@line 265 "pi.c"
        var $75=HEAP[$74]; //@line 265 "pi.c"
        var $76=HEAP[$dy]; //@line 265 "pi.c"
        var $77=_int_min36($75, $76); //@line 265 "pi.c"
        HEAP[$iftmp_3]=$77; //@line 265 "pi.c"
        __label__ = 10; break; //@line 265 "pi.c"
      case 9: // $bb8
        var $78=HEAP[$dy]; //@line 265 "pi.c"
        HEAP[$iftmp_3]=$78; //@line 265 "pi.c"
        __label__ = 10; break; //@line 265 "pi.c"
      case 10: // $bb9
        var $79=HEAP[$pi_addr]; //@line 265 "pi.c"
        var $80=CHECK_OVERFLOW(($79+228)&4294967295, 32); //@line 265 "pi.c"
        var $81=HEAP[$iftmp_3]; //@line 265 "pi.c"
        HEAP[$80]=$81; //@line 265 "pi.c"
        var $82=HEAP[$resno]; //@line 259 "pi.c"
        var $83=CHECK_OVERFLOW((($82) + 1)&4294967295, 32); //@line 259 "pi.c"
        HEAP[$resno]=$83; //@line 259 "pi.c"
        __label__ = 4; break; //@line 259 "pi.c"
      case 4: // $bb10
        var $84=HEAP[$comp]; //@line 259 "pi.c"
        var $85=CHECK_OVERFLOW(($84+8)&4294967295, 32); //@line 259 "pi.c"
        var $86=HEAP[$85]; //@line 259 "pi.c"
        var $87=HEAP[$resno]; //@line 259 "pi.c"
        var $88=($86) > ($87); //@line 259 "pi.c"
        if ($88) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 259 "pi.c"
      case 12: // $bb11
        var $89=HEAP[$compno]; //@line 257 "pi.c"
        var $90=CHECK_OVERFLOW((($89) + 1)&4294967295, 32); //@line 257 "pi.c"
        HEAP[$compno]=$90; //@line 257 "pi.c"
        __label__ = 3; break; //@line 257 "pi.c"
      case 3: // $bb12
        var $91=HEAP[$pi_addr]; //@line 257 "pi.c"
        var $92=CHECK_OVERFLOW(($91+192)&4294967295, 32); //@line 257 "pi.c"
        var $93=HEAP[$92]; //@line 257 "pi.c"
        var $94=HEAP[$compno]; //@line 257 "pi.c"
        var $95=($93) > ($94); //@line 257 "pi.c"
        if ($95) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 257 "pi.c"
      case 14: // $bb13
        var $96=HEAP[$pi_addr]; //@line 269 "pi.c"
        var $97=CHECK_OVERFLOW(($96)&4294967295, 32); //@line 269 "pi.c"
        var $98=HEAP[$97]; //@line 269 "pi.c"
        var $99=($98)==0; //@line 269 "pi.c"
        if ($99) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 269 "pi.c"
      case 15: // $bb14
        var $100=HEAP[$pi_addr]; //@line 270 "pi.c"
        var $101=CHECK_OVERFLOW(($100+204)&4294967295, 32); //@line 270 "pi.c"
        var $102=HEAP[$101]; //@line 270 "pi.c"
        var $103=HEAP[$pi_addr]; //@line 270 "pi.c"
        var $104=CHECK_OVERFLOW(($103+44)&4294967295, 32); //@line 270 "pi.c"
        var $105=CHECK_OVERFLOW(($104+60)&4294967295, 32); //@line 270 "pi.c"
        HEAP[$105]=$102; //@line 270 "pi.c"
        var $106=HEAP[$pi_addr]; //@line 271 "pi.c"
        var $107=CHECK_OVERFLOW(($106+200)&4294967295, 32); //@line 271 "pi.c"
        var $108=HEAP[$107]; //@line 271 "pi.c"
        var $109=HEAP[$pi_addr]; //@line 271 "pi.c"
        var $110=CHECK_OVERFLOW(($109+44)&4294967295, 32); //@line 271 "pi.c"
        var $111=CHECK_OVERFLOW(($110+52)&4294967295, 32); //@line 271 "pi.c"
        HEAP[$111]=$108; //@line 271 "pi.c"
        var $112=HEAP[$pi_addr]; //@line 272 "pi.c"
        var $113=CHECK_OVERFLOW(($112+212)&4294967295, 32); //@line 272 "pi.c"
        var $114=HEAP[$113]; //@line 272 "pi.c"
        var $115=HEAP[$pi_addr]; //@line 272 "pi.c"
        var $116=CHECK_OVERFLOW(($115+44)&4294967295, 32); //@line 272 "pi.c"
        var $117=CHECK_OVERFLOW(($116+64)&4294967295, 32); //@line 272 "pi.c"
        HEAP[$117]=$114; //@line 272 "pi.c"
        var $118=HEAP[$pi_addr]; //@line 273 "pi.c"
        var $119=CHECK_OVERFLOW(($118+208)&4294967295, 32); //@line 273 "pi.c"
        var $120=HEAP[$119]; //@line 273 "pi.c"
        var $121=HEAP[$pi_addr]; //@line 273 "pi.c"
        var $122=CHECK_OVERFLOW(($121+44)&4294967295, 32); //@line 273 "pi.c"
        var $123=CHECK_OVERFLOW(($122+56)&4294967295, 32); //@line 273 "pi.c"
        HEAP[$123]=$120; //@line 273 "pi.c"
        __label__ = 16; break; //@line 273 "pi.c"
      case 16: // $bb15
        var $124=HEAP[$pi_addr]; //@line 275 "pi.c"
        var $125=CHECK_OVERFLOW(($124+44)&4294967295, 32); //@line 275 "pi.c"
        var $126=CHECK_OVERFLOW(($125+60)&4294967295, 32); //@line 275 "pi.c"
        var $127=HEAP[$126]; //@line 275 "pi.c"
        var $128=HEAP[$pi_addr]; //@line 275 "pi.c"
        var $129=CHECK_OVERFLOW(($128+220)&4294967295, 32); //@line 275 "pi.c"
        HEAP[$129]=$127; //@line 275 "pi.c"
        __label__ = 17; break; //@line 275 "pi.c"
      case 42: // $bb16
        var $130=HEAP[$pi_addr]; //@line 276 "pi.c"
        var $131=CHECK_OVERFLOW(($130+44)&4294967295, 32); //@line 276 "pi.c"
        var $132=CHECK_OVERFLOW(($131+52)&4294967295, 32); //@line 276 "pi.c"
        var $133=HEAP[$132]; //@line 276 "pi.c"
        var $134=HEAP[$pi_addr]; //@line 276 "pi.c"
        var $135=CHECK_OVERFLOW(($134+216)&4294967295, 32); //@line 276 "pi.c"
        HEAP[$135]=$133; //@line 276 "pi.c"
        __label__ = 18; break; //@line 276 "pi.c"
      case 40: // $bb17
        var $136=HEAP[$pi_addr]; //@line 277 "pi.c"
        var $137=CHECK_OVERFLOW(($136+44)&4294967295, 32); //@line 277 "pi.c"
        var $138=CHECK_OVERFLOW(($137+4)&4294967295, 32); //@line 277 "pi.c"
        var $139=HEAP[$138]; //@line 277 "pi.c"
        var $140=HEAP[$pi_addr]; //@line 277 "pi.c"
        var $141=CHECK_OVERFLOW(($140+24)&4294967295, 32); //@line 277 "pi.c"
        HEAP[$141]=$139; //@line 277 "pi.c"
        __label__ = 19; break; //@line 277 "pi.c"
      case 38: // $bb18
        var $142=HEAP[$pi_addr]; //@line 278 "pi.c"
        var $143=CHECK_OVERFLOW(($142+196)&4294967295, 32); //@line 278 "pi.c"
        var $144=HEAP[$143]; //@line 278 "pi.c"
        var $145=HEAP[$pi_addr]; //@line 278 "pi.c"
        var $146=CHECK_OVERFLOW(($145+24)&4294967295, 32); //@line 278 "pi.c"
        var $147=HEAP[$146]; //@line 278 "pi.c"
        var $148=CHECK_OVERFLOW(($144+16*$147)&4294967295, 32); //@line 278 "pi.c"
        HEAP[$comp]=$148; //@line 278 "pi.c"
        var $149=HEAP[$pi_addr]; //@line 279 "pi.c"
        var $150=CHECK_OVERFLOW(($149+44)&4294967295, 32); //@line 279 "pi.c"
        var $151=CHECK_OVERFLOW(($150)&4294967295, 32); //@line 279 "pi.c"
        var $152=HEAP[$151]; //@line 279 "pi.c"
        var $153=HEAP[$pi_addr]; //@line 279 "pi.c"
        var $154=CHECK_OVERFLOW(($153+28)&4294967295, 32); //@line 279 "pi.c"
        HEAP[$154]=$152; //@line 279 "pi.c"
        __label__ = 20; break; //@line 279 "pi.c"
      case 36: // $bb19
        var $155=HEAP[$comp]; //@line 285 "pi.c"
        var $156=CHECK_OVERFLOW(($155+12)&4294967295, 32); //@line 285 "pi.c"
        var $157=HEAP[$156]; //@line 285 "pi.c"
        var $158=HEAP[$pi_addr]; //@line 285 "pi.c"
        var $159=CHECK_OVERFLOW(($158+28)&4294967295, 32); //@line 285 "pi.c"
        var $160=HEAP[$159]; //@line 285 "pi.c"
        var $161=CHECK_OVERFLOW(($157+16*$160)&4294967295, 32); //@line 285 "pi.c"
        HEAP[$res]=$161; //@line 285 "pi.c"
        var $162=HEAP[$comp]; //@line 286 "pi.c"
        var $163=CHECK_OVERFLOW(($162+8)&4294967295, 32); //@line 286 "pi.c"
        var $164=HEAP[$163]; //@line 286 "pi.c"
        var $165=CHECK_OVERFLOW((($164) - 1)&4294967295, 32); //@line 286 "pi.c"
        var $166=HEAP[$pi_addr]; //@line 286 "pi.c"
        var $167=CHECK_OVERFLOW(($166+28)&4294967295, 32); //@line 286 "pi.c"
        var $168=HEAP[$167]; //@line 286 "pi.c"
        var $169=CHECK_OVERFLOW((($165) - ($168))&4294967295, 32); //@line 286 "pi.c"
        HEAP[$levelno]=$169; //@line 286 "pi.c"
        var $170=HEAP[$comp]; //@line 287 "pi.c"
        var $171=CHECK_OVERFLOW(($170)&4294967295, 32); //@line 287 "pi.c"
        var $172=HEAP[$171]; //@line 287 "pi.c"
        var $173=HEAP[$levelno]; //@line 287 "pi.c"
        var $174=($172) << ($173); //@line 287 "pi.c"
        var $175=HEAP[$pi_addr]; //@line 287 "pi.c"
        var $176=CHECK_OVERFLOW(($175+200)&4294967295, 32); //@line 287 "pi.c"
        var $177=HEAP[$176]; //@line 287 "pi.c"
        var $178=_int_ceildiv37($177, $174); //@line 287 "pi.c"
        HEAP[$trx0]=$178; //@line 287 "pi.c"
        var $179=HEAP[$comp]; //@line 288 "pi.c"
        var $180=CHECK_OVERFLOW(($179+4)&4294967295, 32); //@line 288 "pi.c"
        var $181=HEAP[$180]; //@line 288 "pi.c"
        var $182=HEAP[$levelno]; //@line 288 "pi.c"
        var $183=($181) << ($182); //@line 288 "pi.c"
        var $184=HEAP[$pi_addr]; //@line 288 "pi.c"
        var $185=CHECK_OVERFLOW(($184+204)&4294967295, 32); //@line 288 "pi.c"
        var $186=HEAP[$185]; //@line 288 "pi.c"
        var $187=_int_ceildiv37($186, $183); //@line 288 "pi.c"
        HEAP[$try0]=$187; //@line 288 "pi.c"
        var $188=HEAP[$comp]; //@line 289 "pi.c"
        var $189=CHECK_OVERFLOW(($188)&4294967295, 32); //@line 289 "pi.c"
        var $190=HEAP[$189]; //@line 289 "pi.c"
        var $191=HEAP[$levelno]; //@line 289 "pi.c"
        var $192=($190) << ($191); //@line 289 "pi.c"
        var $193=HEAP[$pi_addr]; //@line 289 "pi.c"
        var $194=CHECK_OVERFLOW(($193+208)&4294967295, 32); //@line 289 "pi.c"
        var $195=HEAP[$194]; //@line 289 "pi.c"
        var $196=_int_ceildiv37($195, $192); //@line 289 "pi.c"
        HEAP[$trx1]=$196; //@line 289 "pi.c"
        var $197=HEAP[$comp]; //@line 290 "pi.c"
        var $198=CHECK_OVERFLOW(($197+4)&4294967295, 32); //@line 290 "pi.c"
        var $199=HEAP[$198]; //@line 290 "pi.c"
        var $200=HEAP[$levelno]; //@line 290 "pi.c"
        var $201=($199) << ($200); //@line 290 "pi.c"
        var $202=HEAP[$pi_addr]; //@line 290 "pi.c"
        var $203=CHECK_OVERFLOW(($202+212)&4294967295, 32); //@line 290 "pi.c"
        var $204=HEAP[$203]; //@line 290 "pi.c"
        var $205=_int_ceildiv37($204, $201); //@line 290 "pi.c"
        HEAP[$try1]=$205; //@line 290 "pi.c"
        var $206=HEAP[$res]; //@line 291 "pi.c"
        var $207=CHECK_OVERFLOW(($206)&4294967295, 32); //@line 291 "pi.c"
        var $208=HEAP[$207]; //@line 291 "pi.c"
        var $209=HEAP[$levelno]; //@line 291 "pi.c"
        var $210=CHECK_OVERFLOW((($208) + ($209))&4294967295, 32); //@line 291 "pi.c"
        HEAP[$rpx]=$210; //@line 291 "pi.c"
        var $211=HEAP[$res]; //@line 292 "pi.c"
        var $212=CHECK_OVERFLOW(($211+4)&4294967295, 32); //@line 292 "pi.c"
        var $213=HEAP[$212]; //@line 292 "pi.c"
        var $214=HEAP[$levelno]; //@line 292 "pi.c"
        var $215=CHECK_OVERFLOW((($213) + ($214))&4294967295, 32); //@line 292 "pi.c"
        HEAP[$rpy]=$215; //@line 292 "pi.c"
        var $216=HEAP[$pi_addr]; //@line 293 "pi.c"
        var $217=CHECK_OVERFLOW(($216+220)&4294967295, 32); //@line 293 "pi.c"
        var $218=HEAP[$217]; //@line 293 "pi.c"
        var $219=HEAP[$comp]; //@line 293 "pi.c"
        var $220=CHECK_OVERFLOW(($219+4)&4294967295, 32); //@line 293 "pi.c"
        var $221=HEAP[$220]; //@line 293 "pi.c"
        var $222=HEAP[$rpy]; //@line 293 "pi.c"
        var $223=($221) << ($222); //@line 293 "pi.c"
        var $224=($218) % ($223); //@line 293 "pi.c"
        var $225=($224)!=0; //@line 293 "pi.c"
        if ($225) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 293 "pi.c"
      case 21: // $bb20
        var $226=HEAP[$pi_addr]; //@line 293 "pi.c"
        var $227=CHECK_OVERFLOW(($226+220)&4294967295, 32); //@line 293 "pi.c"
        var $228=HEAP[$227]; //@line 293 "pi.c"
        var $229=HEAP[$pi_addr]; //@line 293 "pi.c"
        var $230=CHECK_OVERFLOW(($229+204)&4294967295, 32); //@line 293 "pi.c"
        var $231=HEAP[$230]; //@line 293 "pi.c"
        var $232=($228)!=($231); //@line 293 "pi.c"
        if ($232) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 293 "pi.c"
      case 24: // $bb21
        var $233=HEAP[$try0]; //@line 293 "pi.c"
        var $234=HEAP[$levelno]; //@line 293 "pi.c"
        var $235=($233) << ($234); //@line 293 "pi.c"
        var $236=HEAP[$rpy]; //@line 293 "pi.c"
        var $237=1 << ($236); //@line 293 "pi.c"
        var $238=($235) % ($237); //@line 293 "pi.c"
        var $239=($238)==0; //@line 293 "pi.c"
        if ($239) { __label__ = 23; break; } else { __label__ = 22; break; } //@line 293 "pi.c"
      case 22: // $bb22
        var $240=HEAP[$pi_addr]; //@line 296 "pi.c"
        var $241=CHECK_OVERFLOW(($240+216)&4294967295, 32); //@line 296 "pi.c"
        var $242=HEAP[$241]; //@line 296 "pi.c"
        var $243=HEAP[$comp]; //@line 296 "pi.c"
        var $244=CHECK_OVERFLOW(($243)&4294967295, 32); //@line 296 "pi.c"
        var $245=HEAP[$244]; //@line 296 "pi.c"
        var $246=HEAP[$rpx]; //@line 296 "pi.c"
        var $247=($245) << ($246); //@line 296 "pi.c"
        var $248=($242) % ($247); //@line 296 "pi.c"
        var $249=($248)!=0; //@line 296 "pi.c"
        if ($249) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 296 "pi.c"
      case 25: // $bb23
        var $250=HEAP[$pi_addr]; //@line 296 "pi.c"
        var $251=CHECK_OVERFLOW(($250+216)&4294967295, 32); //@line 296 "pi.c"
        var $252=HEAP[$251]; //@line 296 "pi.c"
        var $253=HEAP[$pi_addr]; //@line 296 "pi.c"
        var $254=CHECK_OVERFLOW(($253+200)&4294967295, 32); //@line 296 "pi.c"
        var $255=HEAP[$254]; //@line 296 "pi.c"
        var $256=($252)!=($255); //@line 296 "pi.c"
        if ($256) { __label__ = 23; break; } else { __label__ = 27; break; } //@line 296 "pi.c"
      case 27: // $bb24
        var $257=HEAP[$trx0]; //@line 296 "pi.c"
        var $258=HEAP[$levelno]; //@line 296 "pi.c"
        var $259=($257) << ($258); //@line 296 "pi.c"
        var $260=HEAP[$rpx]; //@line 296 "pi.c"
        var $261=1 << ($260); //@line 296 "pi.c"
        var $262=($259) % ($261); //@line 296 "pi.c"
        var $263=($262)==0; //@line 296 "pi.c"
        if ($263) { __label__ = 23; break; } else { __label__ = 26; break; } //@line 296 "pi.c"
      case 26: // $bb25
        var $264=HEAP[$res]; //@line 300 "pi.c"
        var $265=CHECK_OVERFLOW(($264+8)&4294967295, 32); //@line 300 "pi.c"
        var $266=HEAP[$265]; //@line 300 "pi.c"
        var $267=($266)==0; //@line 300 "pi.c"
        if ($267) { __label__ = 23; break; } else { __label__ = 28; break; } //@line 300 "pi.c"
      case 28: // $bb26
        var $268=HEAP[$res]; //@line 300 "pi.c"
        var $269=CHECK_OVERFLOW(($268+12)&4294967295, 32); //@line 300 "pi.c"
        var $270=HEAP[$269]; //@line 300 "pi.c"
        var $271=($270)==0; //@line 300 "pi.c"
        if ($271) { __label__ = 23; break; } else { __label__ = 29; break; } //@line 300 "pi.c"
      case 29: // $bb27
        var $272=HEAP[$trx0]; //@line 302 "pi.c"
        var $273=HEAP[$trx1]; //@line 302 "pi.c"
        var $274=($272)==($273); //@line 302 "pi.c"
        if ($274) { __label__ = 23; break; } else { __label__ = 30; break; } //@line 302 "pi.c"
      case 30: // $bb28
        var $275=HEAP[$try0]; //@line 302 "pi.c"
        var $276=HEAP[$try1]; //@line 302 "pi.c"
        var $277=($275)==($276); //@line 302 "pi.c"
        if ($277) { __label__ = 23; break; } else { __label__ = 31; break; } //@line 302 "pi.c"
      case 31: // $bb29
        var $278=HEAP[$res]; //@line 304 "pi.c"
        var $279=CHECK_OVERFLOW(($278)&4294967295, 32); //@line 304 "pi.c"
        var $280=HEAP[$279]; //@line 304 "pi.c"
        var $281=HEAP[$comp]; //@line 304 "pi.c"
        var $282=CHECK_OVERFLOW(($281)&4294967295, 32); //@line 304 "pi.c"
        var $283=HEAP[$282]; //@line 304 "pi.c"
        var $284=HEAP[$levelno]; //@line 304 "pi.c"
        var $285=($283) << ($284); //@line 304 "pi.c"
        var $286=HEAP[$pi_addr]; //@line 304 "pi.c"
        var $287=CHECK_OVERFLOW(($286+216)&4294967295, 32); //@line 304 "pi.c"
        var $288=HEAP[$287]; //@line 304 "pi.c"
        var $289=_int_ceildiv37($288, $285); //@line 304 "pi.c"
        var $290=_int_floordivpow2($289, $280); //@line 304 "pi.c"
        var $291=HEAP[$res]; //@line 304 "pi.c"
        var $292=CHECK_OVERFLOW(($291)&4294967295, 32); //@line 304 "pi.c"
        var $293=HEAP[$292]; //@line 304 "pi.c"
        var $294=HEAP[$trx0]; //@line 304 "pi.c"
        var $295=_int_floordivpow2($294, $293); //@line 304 "pi.c"
        var $296=CHECK_OVERFLOW((($290) - ($295))&4294967295, 32); //@line 304 "pi.c"
        HEAP[$prci]=$296; //@line 304 "pi.c"
        var $297=HEAP[$res]; //@line 306 "pi.c"
        var $298=CHECK_OVERFLOW(($297+4)&4294967295, 32); //@line 306 "pi.c"
        var $299=HEAP[$298]; //@line 306 "pi.c"
        var $300=HEAP[$comp]; //@line 306 "pi.c"
        var $301=CHECK_OVERFLOW(($300+4)&4294967295, 32); //@line 306 "pi.c"
        var $302=HEAP[$301]; //@line 306 "pi.c"
        var $303=HEAP[$levelno]; //@line 306 "pi.c"
        var $304=($302) << ($303); //@line 306 "pi.c"
        var $305=HEAP[$pi_addr]; //@line 306 "pi.c"
        var $306=CHECK_OVERFLOW(($305+220)&4294967295, 32); //@line 306 "pi.c"
        var $307=HEAP[$306]; //@line 306 "pi.c"
        var $308=_int_ceildiv37($307, $304); //@line 306 "pi.c"
        var $309=_int_floordivpow2($308, $299); //@line 306 "pi.c"
        var $310=HEAP[$res]; //@line 306 "pi.c"
        var $311=CHECK_OVERFLOW(($310+4)&4294967295, 32); //@line 306 "pi.c"
        var $312=HEAP[$311]; //@line 306 "pi.c"
        var $313=HEAP[$try0]; //@line 306 "pi.c"
        var $314=_int_floordivpow2($313, $312); //@line 306 "pi.c"
        var $315=CHECK_OVERFLOW((($309) - ($314))&4294967295, 32); //@line 306 "pi.c"
        HEAP[$prcj]=$315; //@line 306 "pi.c"
        var $316=HEAP[$res]; //@line 308 "pi.c"
        var $317=CHECK_OVERFLOW(($316+8)&4294967295, 32); //@line 308 "pi.c"
        var $318=HEAP[$317]; //@line 308 "pi.c"
        var $319=HEAP[$prcj]; //@line 308 "pi.c"
        var $320=CHECK_OVERFLOW((($318) * ($319))&4294967295, 32); //@line 308 "pi.c"
        var $321=HEAP[$prci]; //@line 308 "pi.c"
        var $322=CHECK_OVERFLOW((($320) + ($321))&4294967295, 32); //@line 308 "pi.c"
        var $323=HEAP[$pi_addr]; //@line 308 "pi.c"
        var $324=CHECK_OVERFLOW(($323+32)&4294967295, 32); //@line 308 "pi.c"
        HEAP[$324]=$322; //@line 308 "pi.c"
        var $325=HEAP[$pi_addr]; //@line 309 "pi.c"
        var $326=CHECK_OVERFLOW(($325+44)&4294967295, 32); //@line 309 "pi.c"
        var $327=CHECK_OVERFLOW(($326+20)&4294967295, 32); //@line 309 "pi.c"
        var $328=HEAP[$327]; //@line 309 "pi.c"
        var $329=HEAP[$pi_addr]; //@line 309 "pi.c"
        var $330=CHECK_OVERFLOW(($329+36)&4294967295, 32); //@line 309 "pi.c"
        HEAP[$330]=$328; //@line 309 "pi.c"
        __label__ = 32; break; //@line 309 "pi.c"
      case 35: // $bb30
        var $331=HEAP[$pi_addr]; //@line 310 "pi.c"
        var $332=CHECK_OVERFLOW(($331+36)&4294967295, 32); //@line 310 "pi.c"
        var $333=HEAP[$332]; //@line 310 "pi.c"
        var $334=HEAP[$pi_addr]; //@line 310 "pi.c"
        var $335=CHECK_OVERFLOW(($334+8)&4294967295, 32); //@line 310 "pi.c"
        var $336=HEAP[$335]; //@line 310 "pi.c"
        var $337=CHECK_OVERFLOW((($333) * ($336))&4294967295, 32); //@line 310 "pi.c"
        var $338=HEAP[$pi_addr]; //@line 310 "pi.c"
        var $339=CHECK_OVERFLOW(($338+28)&4294967295, 32); //@line 310 "pi.c"
        var $340=HEAP[$339]; //@line 310 "pi.c"
        var $341=HEAP[$pi_addr]; //@line 310 "pi.c"
        var $342=CHECK_OVERFLOW(($341+12)&4294967295, 32); //@line 310 "pi.c"
        var $343=HEAP[$342]; //@line 310 "pi.c"
        var $344=CHECK_OVERFLOW((($340) * ($343))&4294967295, 32); //@line 310 "pi.c"
        var $345=CHECK_OVERFLOW((($337) + ($344))&4294967295, 32); //@line 310 "pi.c"
        var $346=HEAP[$pi_addr]; //@line 310 "pi.c"
        var $347=CHECK_OVERFLOW(($346+32)&4294967295, 32); //@line 310 "pi.c"
        var $348=HEAP[$347]; //@line 310 "pi.c"
        var $349=HEAP[$pi_addr]; //@line 310 "pi.c"
        var $350=CHECK_OVERFLOW(($349+20)&4294967295, 32); //@line 310 "pi.c"
        var $351=HEAP[$350]; //@line 310 "pi.c"
        var $352=CHECK_OVERFLOW((($348) * ($351))&4294967295, 32); //@line 310 "pi.c"
        var $353=HEAP[$pi_addr]; //@line 310 "pi.c"
        var $354=CHECK_OVERFLOW(($353+24)&4294967295, 32); //@line 310 "pi.c"
        var $355=HEAP[$354]; //@line 310 "pi.c"
        var $356=HEAP[$pi_addr]; //@line 310 "pi.c"
        var $357=CHECK_OVERFLOW(($356+16)&4294967295, 32); //@line 310 "pi.c"
        var $358=HEAP[$357]; //@line 310 "pi.c"
        var $359=CHECK_OVERFLOW((($355) * ($358))&4294967295, 32); //@line 310 "pi.c"
        var $360=CHECK_OVERFLOW((($352) + ($359))&4294967295, 32); //@line 310 "pi.c"
        var $361=CHECK_OVERFLOW((($345) + ($360))&4294967295, 32); //@line 310 "pi.c"
        HEAP[$index]=$361; //@line 310 "pi.c"
        var $362=HEAP[$pi_addr]; //@line 311 "pi.c"
        var $363=CHECK_OVERFLOW(($362+4)&4294967295, 32); //@line 311 "pi.c"
        var $364=HEAP[$363]; //@line 311 "pi.c"
        var $365=HEAP[$index]; //@line 311 "pi.c"
        var $366=CHECK_OVERFLOW(($364+2*$365)&4294967295, 32); //@line 311 "pi.c"
        var $367=HEAP[$366]; //@line 311 "pi.c"
        var $368=($367)==0; //@line 311 "pi.c"
        if ($368) { __label__ = 33; break; } else { __label__ = 2; break; } //@line 311 "pi.c"
      case 33: // $bb31
        var $369=HEAP[$pi_addr]; //@line 312 "pi.c"
        var $370=CHECK_OVERFLOW(($369+4)&4294967295, 32); //@line 312 "pi.c"
        var $371=HEAP[$370]; //@line 312 "pi.c"
        var $372=HEAP[$index]; //@line 312 "pi.c"
        var $373=CHECK_OVERFLOW(($371+2*$372)&4294967295, 32); //@line 312 "pi.c"
        HEAP[$373]=1; //@line 312 "pi.c"
        HEAP[$0]=1; //@line 313 "pi.c"
        __label__ = 34; break; //@line 313 "pi.c"
      case 2: // $LABEL_SKIP
        var $374=HEAP[$pi_addr]; //@line 309 "pi.c"
        var $375=CHECK_OVERFLOW(($374+36)&4294967295, 32); //@line 309 "pi.c"
        var $376=HEAP[$375]; //@line 309 "pi.c"
        var $377=CHECK_OVERFLOW((($376) + 1)&4294967295, 32); //@line 309 "pi.c"
        var $378=HEAP[$pi_addr]; //@line 309 "pi.c"
        var $379=CHECK_OVERFLOW(($378+36)&4294967295, 32); //@line 309 "pi.c"
        HEAP[$379]=$377; //@line 309 "pi.c"
        __label__ = 32; break; //@line 309 "pi.c"
      case 32: // $bb32
        var $380=HEAP[$pi_addr]; //@line 309 "pi.c"
        var $381=CHECK_OVERFLOW(($380+36)&4294967295, 32); //@line 309 "pi.c"
        var $382=HEAP[$381]; //@line 309 "pi.c"
        var $383=HEAP[$pi_addr]; //@line 309 "pi.c"
        var $384=CHECK_OVERFLOW(($383+44)&4294967295, 32); //@line 309 "pi.c"
        var $385=CHECK_OVERFLOW(($384+8)&4294967295, 32); //@line 309 "pi.c"
        var $386=HEAP[$385]; //@line 309 "pi.c"
        var $387=($382) < ($386); //@line 309 "pi.c"
        if ($387) { __label__ = 35; break; } else { __label__ = 23; break; } //@line 309 "pi.c"
      case 23: // $bb33
        var $388=HEAP[$pi_addr]; //@line 279 "pi.c"
        var $389=CHECK_OVERFLOW(($388+28)&4294967295, 32); //@line 279 "pi.c"
        var $390=HEAP[$389]; //@line 279 "pi.c"
        var $391=CHECK_OVERFLOW((($390) + 1)&4294967295, 32); //@line 279 "pi.c"
        var $392=HEAP[$pi_addr]; //@line 279 "pi.c"
        var $393=CHECK_OVERFLOW(($392+28)&4294967295, 32); //@line 279 "pi.c"
        HEAP[$393]=$391; //@line 279 "pi.c"
        __label__ = 20; break; //@line 279 "pi.c"
      case 20: // $bb34
        var $394=HEAP[$pi_addr]; //@line 279 "pi.c"
        var $395=CHECK_OVERFLOW(($394+28)&4294967295, 32); //@line 279 "pi.c"
        var $396=HEAP[$395]; //@line 279 "pi.c"
        var $397=HEAP[$comp]; //@line 279 "pi.c"
        var $398=CHECK_OVERFLOW(($397+8)&4294967295, 32); //@line 279 "pi.c"
        var $399=HEAP[$398]; //@line 279 "pi.c"
        var $400=HEAP[$pi_addr]; //@line 279 "pi.c"
        var $401=CHECK_OVERFLOW(($400+44)&4294967295, 32); //@line 279 "pi.c"
        var $402=CHECK_OVERFLOW(($401+12)&4294967295, 32); //@line 279 "pi.c"
        var $403=HEAP[$402]; //@line 279 "pi.c"
        var $404=_int_min36($403, $399); //@line 279 "pi.c"
        var $405=($396) < ($404); //@line 279 "pi.c"
        if ($405) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 279 "pi.c"
      case 37: // $bb35
        var $406=HEAP[$pi_addr]; //@line 277 "pi.c"
        var $407=CHECK_OVERFLOW(($406+24)&4294967295, 32); //@line 277 "pi.c"
        var $408=HEAP[$407]; //@line 277 "pi.c"
        var $409=CHECK_OVERFLOW((($408) + 1)&4294967295, 32); //@line 277 "pi.c"
        var $410=HEAP[$pi_addr]; //@line 277 "pi.c"
        var $411=CHECK_OVERFLOW(($410+24)&4294967295, 32); //@line 277 "pi.c"
        HEAP[$411]=$409; //@line 277 "pi.c"
        __label__ = 19; break; //@line 277 "pi.c"
      case 19: // $bb36
        var $412=HEAP[$pi_addr]; //@line 277 "pi.c"
        var $413=CHECK_OVERFLOW(($412+24)&4294967295, 32); //@line 277 "pi.c"
        var $414=HEAP[$413]; //@line 277 "pi.c"
        var $415=HEAP[$pi_addr]; //@line 277 "pi.c"
        var $416=CHECK_OVERFLOW(($415+44)&4294967295, 32); //@line 277 "pi.c"
        var $417=CHECK_OVERFLOW(($416+16)&4294967295, 32); //@line 277 "pi.c"
        var $418=HEAP[$417]; //@line 277 "pi.c"
        var $419=($414) < ($418); //@line 277 "pi.c"
        if ($419) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 277 "pi.c"
      case 39: // $bb37
        var $420=HEAP[$pi_addr]; //@line 276 "pi.c"
        var $421=CHECK_OVERFLOW(($420+216)&4294967295, 32); //@line 276 "pi.c"
        var $422=HEAP[$421]; //@line 276 "pi.c"
        var $423=HEAP[$pi_addr]; //@line 276 "pi.c"
        var $424=CHECK_OVERFLOW(($423+224)&4294967295, 32); //@line 276 "pi.c"
        var $425=HEAP[$424]; //@line 276 "pi.c"
        var $426=HEAP[$pi_addr]; //@line 276 "pi.c"
        var $427=CHECK_OVERFLOW(($426+216)&4294967295, 32); //@line 276 "pi.c"
        var $428=HEAP[$427]; //@line 276 "pi.c"
        var $429=HEAP[$pi_addr]; //@line 276 "pi.c"
        var $430=CHECK_OVERFLOW(($429+224)&4294967295, 32); //@line 276 "pi.c"
        var $431=HEAP[$430]; //@line 276 "pi.c"
        var $432=($428) % ($431); //@line 276 "pi.c"
        var $433=CHECK_OVERFLOW((($425) - ($432))&4294967295, 32); //@line 276 "pi.c"
        var $434=CHECK_OVERFLOW((($422) + ($433))&4294967295, 32); //@line 276 "pi.c"
        var $435=HEAP[$pi_addr]; //@line 276 "pi.c"
        var $436=CHECK_OVERFLOW(($435+216)&4294967295, 32); //@line 276 "pi.c"
        HEAP[$436]=$434; //@line 276 "pi.c"
        __label__ = 18; break; //@line 276 "pi.c"
      case 18: // $bb38
        var $437=HEAP[$pi_addr]; //@line 276 "pi.c"
        var $438=CHECK_OVERFLOW(($437+216)&4294967295, 32); //@line 276 "pi.c"
        var $439=HEAP[$438]; //@line 276 "pi.c"
        var $440=HEAP[$pi_addr]; //@line 276 "pi.c"
        var $441=CHECK_OVERFLOW(($440+44)&4294967295, 32); //@line 276 "pi.c"
        var $442=CHECK_OVERFLOW(($441+56)&4294967295, 32); //@line 276 "pi.c"
        var $443=HEAP[$442]; //@line 276 "pi.c"
        var $444=($439) < ($443); //@line 276 "pi.c"
        if ($444) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 276 "pi.c"
      case 41: // $bb39
        var $445=HEAP[$pi_addr]; //@line 275 "pi.c"
        var $446=CHECK_OVERFLOW(($445+220)&4294967295, 32); //@line 275 "pi.c"
        var $447=HEAP[$446]; //@line 275 "pi.c"
        var $448=HEAP[$pi_addr]; //@line 275 "pi.c"
        var $449=CHECK_OVERFLOW(($448+228)&4294967295, 32); //@line 275 "pi.c"
        var $450=HEAP[$449]; //@line 275 "pi.c"
        var $451=HEAP[$pi_addr]; //@line 275 "pi.c"
        var $452=CHECK_OVERFLOW(($451+220)&4294967295, 32); //@line 275 "pi.c"
        var $453=HEAP[$452]; //@line 275 "pi.c"
        var $454=HEAP[$pi_addr]; //@line 275 "pi.c"
        var $455=CHECK_OVERFLOW(($454+228)&4294967295, 32); //@line 275 "pi.c"
        var $456=HEAP[$455]; //@line 275 "pi.c"
        var $457=($453) % ($456); //@line 275 "pi.c"
        var $458=CHECK_OVERFLOW((($450) - ($457))&4294967295, 32); //@line 275 "pi.c"
        var $459=CHECK_OVERFLOW((($447) + ($458))&4294967295, 32); //@line 275 "pi.c"
        var $460=HEAP[$pi_addr]; //@line 275 "pi.c"
        var $461=CHECK_OVERFLOW(($460+220)&4294967295, 32); //@line 275 "pi.c"
        HEAP[$461]=$459; //@line 275 "pi.c"
        __label__ = 17; break; //@line 275 "pi.c"
      case 17: // $bb40
        var $462=HEAP[$pi_addr]; //@line 275 "pi.c"
        var $463=CHECK_OVERFLOW(($462+220)&4294967295, 32); //@line 275 "pi.c"
        var $464=HEAP[$463]; //@line 275 "pi.c"
        var $465=HEAP[$pi_addr]; //@line 275 "pi.c"
        var $466=CHECK_OVERFLOW(($465+44)&4294967295, 32); //@line 275 "pi.c"
        var $467=CHECK_OVERFLOW(($466+64)&4294967295, 32); //@line 275 "pi.c"
        var $468=HEAP[$467]; //@line 275 "pi.c"
        var $469=($464) < ($468); //@line 275 "pi.c"
        if ($469) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 275 "pi.c"
      case 43: // $bb41
        HEAP[$0]=0; //@line 322 "pi.c"
        __label__ = 34; break; //@line 322 "pi.c"
      case 34: // $bb42
        var $470=HEAP[$0]; //@line 313 "pi.c"
        HEAP[$retval]=$470; //@line 313 "pi.c"
        __label__ = 44; break; //@line 313 "pi.c"
      case 44: // $return
        var $retval43=HEAP[$retval]; //@line 313 "pi.c"
        STACKTOP = __stackBase__;
        return $retval43; //@line 313 "pi.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _pi_next_cprl($pi) {
    var __stackBase__  = STACKTOP; STACKTOP += 80; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 80);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $pi_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $iftmp_5=__stackBase__+12;
        var $iftmp_4=__stackBase__+16;
        var $comp=__stackBase__+20;
        var $res=__stackBase__+24;
        var $index=__stackBase__+28;
        var $resno=__stackBase__+32;
        var $dx=__stackBase__+36;
        var $dy=__stackBase__+40;
        var $levelno=__stackBase__+44;
        var $trx0=__stackBase__+48;
        var $try0=__stackBase__+52;
        var $trx1=__stackBase__+56;
        var $try1=__stackBase__+60;
        var $rpx=__stackBase__+64;
        var $rpy=__stackBase__+68;
        var $prci=__stackBase__+72;
        var $prcj=__stackBase__+76;
        var $_alloca_point_=0;
        HEAP[$pi_addr]=$pi;
        HEAP[$comp]=0; //@line 326 "pi.c"
        HEAP[$res]=0; //@line 327 "pi.c"
        HEAP[$index]=0; //@line 328 "pi.c"
        var $1=HEAP[$pi_addr]; //@line 330 "pi.c"
        var $2=CHECK_OVERFLOW(($1+40)&4294967295, 32); //@line 330 "pi.c"
        var $3=HEAP[$2]; //@line 330 "pi.c"
        var $4=($3)==0; //@line 330 "pi.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 330 "pi.c"
      case 0: // $bb
        var $5=HEAP[$pi_addr]; //@line 331 "pi.c"
        var $6=CHECK_OVERFLOW(($5+196)&4294967295, 32); //@line 331 "pi.c"
        var $7=HEAP[$6]; //@line 331 "pi.c"
        var $8=HEAP[$pi_addr]; //@line 331 "pi.c"
        var $9=CHECK_OVERFLOW(($8+24)&4294967295, 32); //@line 331 "pi.c"
        var $10=HEAP[$9]; //@line 331 "pi.c"
        var $11=CHECK_OVERFLOW(($7+16*$10)&4294967295, 32); //@line 331 "pi.c"
        HEAP[$comp]=$11; //@line 331 "pi.c"
        __label__ = 2; break; //@line 331 "pi.c"
      case 1: // $bb1
        var $12=HEAP[$pi_addr]; //@line 334 "pi.c"
        var $13=CHECK_OVERFLOW(($12+40)&4294967295, 32); //@line 334 "pi.c"
        HEAP[$13]=0; //@line 334 "pi.c"
        var $14=HEAP[$pi_addr]; //@line 337 "pi.c"
        var $15=CHECK_OVERFLOW(($14+44)&4294967295, 32); //@line 337 "pi.c"
        var $16=CHECK_OVERFLOW(($15+4)&4294967295, 32); //@line 337 "pi.c"
        var $17=HEAP[$16]; //@line 337 "pi.c"
        var $18=HEAP[$pi_addr]; //@line 337 "pi.c"
        var $19=CHECK_OVERFLOW(($18+24)&4294967295, 32); //@line 337 "pi.c"
        HEAP[$19]=$17; //@line 337 "pi.c"
        __label__ = 3; break; //@line 337 "pi.c"
      case 39: // $bb2
        var $20=HEAP[$pi_addr]; //@line 339 "pi.c"
        var $21=CHECK_OVERFLOW(($20+196)&4294967295, 32); //@line 339 "pi.c"
        var $22=HEAP[$21]; //@line 339 "pi.c"
        var $23=HEAP[$pi_addr]; //@line 339 "pi.c"
        var $24=CHECK_OVERFLOW(($23+24)&4294967295, 32); //@line 339 "pi.c"
        var $25=HEAP[$24]; //@line 339 "pi.c"
        var $26=CHECK_OVERFLOW(($22+16*$25)&4294967295, 32); //@line 339 "pi.c"
        HEAP[$comp]=$26; //@line 339 "pi.c"
        var $27=HEAP[$pi_addr]; //@line 340 "pi.c"
        var $28=CHECK_OVERFLOW(($27+224)&4294967295, 32); //@line 340 "pi.c"
        HEAP[$28]=0; //@line 340 "pi.c"
        var $29=HEAP[$pi_addr]; //@line 341 "pi.c"
        var $30=CHECK_OVERFLOW(($29+228)&4294967295, 32); //@line 341 "pi.c"
        HEAP[$30]=0; //@line 341 "pi.c"
        HEAP[$resno]=0; //@line 342 "pi.c"
        __label__ = 4; break; //@line 342 "pi.c"
      case 11: // $bb3
        var $31=HEAP[$comp]; //@line 344 "pi.c"
        var $32=CHECK_OVERFLOW(($31+12)&4294967295, 32); //@line 344 "pi.c"
        var $33=HEAP[$32]; //@line 344 "pi.c"
        var $34=HEAP[$resno]; //@line 344 "pi.c"
        var $35=CHECK_OVERFLOW(($33+16*$34)&4294967295, 32); //@line 344 "pi.c"
        HEAP[$res]=$35; //@line 344 "pi.c"
        var $36=HEAP[$comp]; //@line 345 "pi.c"
        var $37=CHECK_OVERFLOW(($36)&4294967295, 32); //@line 345 "pi.c"
        var $38=HEAP[$37]; //@line 345 "pi.c"
        var $39=HEAP[$res]; //@line 345 "pi.c"
        var $40=CHECK_OVERFLOW(($39)&4294967295, 32); //@line 345 "pi.c"
        var $41=HEAP[$40]; //@line 345 "pi.c"
        var $42=HEAP[$comp]; //@line 345 "pi.c"
        var $43=CHECK_OVERFLOW(($42+8)&4294967295, 32); //@line 345 "pi.c"
        var $44=HEAP[$43]; //@line 345 "pi.c"
        var $45=CHECK_OVERFLOW((($41) + ($44))&4294967295, 32); //@line 345 "pi.c"
        var $46=CHECK_OVERFLOW((($45) - 1)&4294967295, 32); //@line 345 "pi.c"
        var $47=HEAP[$resno]; //@line 345 "pi.c"
        var $48=CHECK_OVERFLOW((($46) - ($47))&4294967295, 32); //@line 345 "pi.c"
        var $49=($38) << ($48); //@line 345 "pi.c"
        HEAP[$dx]=$49; //@line 345 "pi.c"
        var $50=HEAP[$comp]; //@line 346 "pi.c"
        var $51=CHECK_OVERFLOW(($50+4)&4294967295, 32); //@line 346 "pi.c"
        var $52=HEAP[$51]; //@line 346 "pi.c"
        var $53=HEAP[$res]; //@line 346 "pi.c"
        var $54=CHECK_OVERFLOW(($53+4)&4294967295, 32); //@line 346 "pi.c"
        var $55=HEAP[$54]; //@line 346 "pi.c"
        var $56=HEAP[$comp]; //@line 346 "pi.c"
        var $57=CHECK_OVERFLOW(($56+8)&4294967295, 32); //@line 346 "pi.c"
        var $58=HEAP[$57]; //@line 346 "pi.c"
        var $59=CHECK_OVERFLOW((($55) + ($58))&4294967295, 32); //@line 346 "pi.c"
        var $60=CHECK_OVERFLOW((($59) - 1)&4294967295, 32); //@line 346 "pi.c"
        var $61=HEAP[$resno]; //@line 346 "pi.c"
        var $62=CHECK_OVERFLOW((($60) - ($61))&4294967295, 32); //@line 346 "pi.c"
        var $63=($52) << ($62); //@line 346 "pi.c"
        HEAP[$dy]=$63; //@line 346 "pi.c"
        var $64=HEAP[$pi_addr]; //@line 347 "pi.c"
        var $65=CHECK_OVERFLOW(($64+224)&4294967295, 32); //@line 347 "pi.c"
        var $66=HEAP[$65]; //@line 347 "pi.c"
        var $67=($66)!=0; //@line 347 "pi.c"
        if ($67) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 347 "pi.c"
      case 5: // $bb4
        var $68=HEAP[$pi_addr]; //@line 347 "pi.c"
        var $69=CHECK_OVERFLOW(($68+224)&4294967295, 32); //@line 347 "pi.c"
        var $70=HEAP[$69]; //@line 347 "pi.c"
        var $71=HEAP[$dx]; //@line 347 "pi.c"
        var $72=_int_min36($70, $71); //@line 347 "pi.c"
        HEAP[$iftmp_4]=$72; //@line 347 "pi.c"
        __label__ = 7; break; //@line 347 "pi.c"
      case 6: // $bb5
        var $73=HEAP[$dx]; //@line 347 "pi.c"
        HEAP[$iftmp_4]=$73; //@line 347 "pi.c"
        __label__ = 7; break; //@line 347 "pi.c"
      case 7: // $bb6
        var $74=HEAP[$pi_addr]; //@line 347 "pi.c"
        var $75=CHECK_OVERFLOW(($74+224)&4294967295, 32); //@line 347 "pi.c"
        var $76=HEAP[$iftmp_4]; //@line 347 "pi.c"
        HEAP[$75]=$76; //@line 347 "pi.c"
        var $77=HEAP[$pi_addr]; //@line 348 "pi.c"
        var $78=CHECK_OVERFLOW(($77+228)&4294967295, 32); //@line 348 "pi.c"
        var $79=HEAP[$78]; //@line 348 "pi.c"
        var $80=($79)!=0; //@line 348 "pi.c"
        if ($80) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 348 "pi.c"
      case 8: // $bb7
        var $81=HEAP[$pi_addr]; //@line 348 "pi.c"
        var $82=CHECK_OVERFLOW(($81+228)&4294967295, 32); //@line 348 "pi.c"
        var $83=HEAP[$82]; //@line 348 "pi.c"
        var $84=HEAP[$dy]; //@line 348 "pi.c"
        var $85=_int_min36($83, $84); //@line 348 "pi.c"
        HEAP[$iftmp_5]=$85; //@line 348 "pi.c"
        __label__ = 10; break; //@line 348 "pi.c"
      case 9: // $bb8
        var $86=HEAP[$dy]; //@line 348 "pi.c"
        HEAP[$iftmp_5]=$86; //@line 348 "pi.c"
        __label__ = 10; break; //@line 348 "pi.c"
      case 10: // $bb9
        var $87=HEAP[$pi_addr]; //@line 348 "pi.c"
        var $88=CHECK_OVERFLOW(($87+228)&4294967295, 32); //@line 348 "pi.c"
        var $89=HEAP[$iftmp_5]; //@line 348 "pi.c"
        HEAP[$88]=$89; //@line 348 "pi.c"
        var $90=HEAP[$resno]; //@line 342 "pi.c"
        var $91=CHECK_OVERFLOW((($90) + 1)&4294967295, 32); //@line 342 "pi.c"
        HEAP[$resno]=$91; //@line 342 "pi.c"
        __label__ = 4; break; //@line 342 "pi.c"
      case 4: // $bb10
        var $92=HEAP[$comp]; //@line 342 "pi.c"
        var $93=CHECK_OVERFLOW(($92+8)&4294967295, 32); //@line 342 "pi.c"
        var $94=HEAP[$93]; //@line 342 "pi.c"
        var $95=HEAP[$resno]; //@line 342 "pi.c"
        var $96=($94) > ($95); //@line 342 "pi.c"
        if ($96) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 342 "pi.c"
      case 12: // $bb11
        var $97=HEAP[$pi_addr]; //@line 350 "pi.c"
        var $98=CHECK_OVERFLOW(($97)&4294967295, 32); //@line 350 "pi.c"
        var $99=HEAP[$98]; //@line 350 "pi.c"
        var $100=($99)==0; //@line 350 "pi.c"
        if ($100) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 350 "pi.c"
      case 13: // $bb12
        var $101=HEAP[$pi_addr]; //@line 351 "pi.c"
        var $102=CHECK_OVERFLOW(($101+204)&4294967295, 32); //@line 351 "pi.c"
        var $103=HEAP[$102]; //@line 351 "pi.c"
        var $104=HEAP[$pi_addr]; //@line 351 "pi.c"
        var $105=CHECK_OVERFLOW(($104+44)&4294967295, 32); //@line 351 "pi.c"
        var $106=CHECK_OVERFLOW(($105+60)&4294967295, 32); //@line 351 "pi.c"
        HEAP[$106]=$103; //@line 351 "pi.c"
        var $107=HEAP[$pi_addr]; //@line 352 "pi.c"
        var $108=CHECK_OVERFLOW(($107+200)&4294967295, 32); //@line 352 "pi.c"
        var $109=HEAP[$108]; //@line 352 "pi.c"
        var $110=HEAP[$pi_addr]; //@line 352 "pi.c"
        var $111=CHECK_OVERFLOW(($110+44)&4294967295, 32); //@line 352 "pi.c"
        var $112=CHECK_OVERFLOW(($111+52)&4294967295, 32); //@line 352 "pi.c"
        HEAP[$112]=$109; //@line 352 "pi.c"
        var $113=HEAP[$pi_addr]; //@line 353 "pi.c"
        var $114=CHECK_OVERFLOW(($113+212)&4294967295, 32); //@line 353 "pi.c"
        var $115=HEAP[$114]; //@line 353 "pi.c"
        var $116=HEAP[$pi_addr]; //@line 353 "pi.c"
        var $117=CHECK_OVERFLOW(($116+44)&4294967295, 32); //@line 353 "pi.c"
        var $118=CHECK_OVERFLOW(($117+64)&4294967295, 32); //@line 353 "pi.c"
        HEAP[$118]=$115; //@line 353 "pi.c"
        var $119=HEAP[$pi_addr]; //@line 354 "pi.c"
        var $120=CHECK_OVERFLOW(($119+208)&4294967295, 32); //@line 354 "pi.c"
        var $121=HEAP[$120]; //@line 354 "pi.c"
        var $122=HEAP[$pi_addr]; //@line 354 "pi.c"
        var $123=CHECK_OVERFLOW(($122+44)&4294967295, 32); //@line 354 "pi.c"
        var $124=CHECK_OVERFLOW(($123+56)&4294967295, 32); //@line 354 "pi.c"
        HEAP[$124]=$121; //@line 354 "pi.c"
        __label__ = 14; break; //@line 354 "pi.c"
      case 14: // $bb13
        var $125=HEAP[$pi_addr]; //@line 356 "pi.c"
        var $126=CHECK_OVERFLOW(($125+44)&4294967295, 32); //@line 356 "pi.c"
        var $127=CHECK_OVERFLOW(($126+60)&4294967295, 32); //@line 356 "pi.c"
        var $128=HEAP[$127]; //@line 356 "pi.c"
        var $129=HEAP[$pi_addr]; //@line 356 "pi.c"
        var $130=CHECK_OVERFLOW(($129+220)&4294967295, 32); //@line 356 "pi.c"
        HEAP[$130]=$128; //@line 356 "pi.c"
        __label__ = 15; break; //@line 356 "pi.c"
      case 37: // $bb14
        var $131=HEAP[$pi_addr]; //@line 357 "pi.c"
        var $132=CHECK_OVERFLOW(($131+44)&4294967295, 32); //@line 357 "pi.c"
        var $133=CHECK_OVERFLOW(($132+52)&4294967295, 32); //@line 357 "pi.c"
        var $134=HEAP[$133]; //@line 357 "pi.c"
        var $135=HEAP[$pi_addr]; //@line 357 "pi.c"
        var $136=CHECK_OVERFLOW(($135+216)&4294967295, 32); //@line 357 "pi.c"
        HEAP[$136]=$134; //@line 357 "pi.c"
        __label__ = 16; break; //@line 357 "pi.c"
      case 35: // $bb15
        var $137=HEAP[$pi_addr]; //@line 358 "pi.c"
        var $138=CHECK_OVERFLOW(($137+44)&4294967295, 32); //@line 358 "pi.c"
        var $139=CHECK_OVERFLOW(($138)&4294967295, 32); //@line 358 "pi.c"
        var $140=HEAP[$139]; //@line 358 "pi.c"
        var $141=HEAP[$pi_addr]; //@line 358 "pi.c"
        var $142=CHECK_OVERFLOW(($141+28)&4294967295, 32); //@line 358 "pi.c"
        HEAP[$142]=$140; //@line 358 "pi.c"
        __label__ = 17; break; //@line 358 "pi.c"
      case 33: // $bb16
        var $143=HEAP[$comp]; //@line 364 "pi.c"
        var $144=CHECK_OVERFLOW(($143+12)&4294967295, 32); //@line 364 "pi.c"
        var $145=HEAP[$144]; //@line 364 "pi.c"
        var $146=HEAP[$pi_addr]; //@line 364 "pi.c"
        var $147=CHECK_OVERFLOW(($146+28)&4294967295, 32); //@line 364 "pi.c"
        var $148=HEAP[$147]; //@line 364 "pi.c"
        var $149=CHECK_OVERFLOW(($145+16*$148)&4294967295, 32); //@line 364 "pi.c"
        HEAP[$res]=$149; //@line 364 "pi.c"
        var $150=HEAP[$comp]; //@line 365 "pi.c"
        var $151=CHECK_OVERFLOW(($150+8)&4294967295, 32); //@line 365 "pi.c"
        var $152=HEAP[$151]; //@line 365 "pi.c"
        var $153=CHECK_OVERFLOW((($152) - 1)&4294967295, 32); //@line 365 "pi.c"
        var $154=HEAP[$pi_addr]; //@line 365 "pi.c"
        var $155=CHECK_OVERFLOW(($154+28)&4294967295, 32); //@line 365 "pi.c"
        var $156=HEAP[$155]; //@line 365 "pi.c"
        var $157=CHECK_OVERFLOW((($153) - ($156))&4294967295, 32); //@line 365 "pi.c"
        HEAP[$levelno]=$157; //@line 365 "pi.c"
        var $158=HEAP[$comp]; //@line 366 "pi.c"
        var $159=CHECK_OVERFLOW(($158)&4294967295, 32); //@line 366 "pi.c"
        var $160=HEAP[$159]; //@line 366 "pi.c"
        var $161=HEAP[$levelno]; //@line 366 "pi.c"
        var $162=($160) << ($161); //@line 366 "pi.c"
        var $163=HEAP[$pi_addr]; //@line 366 "pi.c"
        var $164=CHECK_OVERFLOW(($163+200)&4294967295, 32); //@line 366 "pi.c"
        var $165=HEAP[$164]; //@line 366 "pi.c"
        var $166=_int_ceildiv37($165, $162); //@line 366 "pi.c"
        HEAP[$trx0]=$166; //@line 366 "pi.c"
        var $167=HEAP[$comp]; //@line 367 "pi.c"
        var $168=CHECK_OVERFLOW(($167+4)&4294967295, 32); //@line 367 "pi.c"
        var $169=HEAP[$168]; //@line 367 "pi.c"
        var $170=HEAP[$levelno]; //@line 367 "pi.c"
        var $171=($169) << ($170); //@line 367 "pi.c"
        var $172=HEAP[$pi_addr]; //@line 367 "pi.c"
        var $173=CHECK_OVERFLOW(($172+204)&4294967295, 32); //@line 367 "pi.c"
        var $174=HEAP[$173]; //@line 367 "pi.c"
        var $175=_int_ceildiv37($174, $171); //@line 367 "pi.c"
        HEAP[$try0]=$175; //@line 367 "pi.c"
        var $176=HEAP[$comp]; //@line 368 "pi.c"
        var $177=CHECK_OVERFLOW(($176)&4294967295, 32); //@line 368 "pi.c"
        var $178=HEAP[$177]; //@line 368 "pi.c"
        var $179=HEAP[$levelno]; //@line 368 "pi.c"
        var $180=($178) << ($179); //@line 368 "pi.c"
        var $181=HEAP[$pi_addr]; //@line 368 "pi.c"
        var $182=CHECK_OVERFLOW(($181+208)&4294967295, 32); //@line 368 "pi.c"
        var $183=HEAP[$182]; //@line 368 "pi.c"
        var $184=_int_ceildiv37($183, $180); //@line 368 "pi.c"
        HEAP[$trx1]=$184; //@line 368 "pi.c"
        var $185=HEAP[$comp]; //@line 369 "pi.c"
        var $186=CHECK_OVERFLOW(($185+4)&4294967295, 32); //@line 369 "pi.c"
        var $187=HEAP[$186]; //@line 369 "pi.c"
        var $188=HEAP[$levelno]; //@line 369 "pi.c"
        var $189=($187) << ($188); //@line 369 "pi.c"
        var $190=HEAP[$pi_addr]; //@line 369 "pi.c"
        var $191=CHECK_OVERFLOW(($190+212)&4294967295, 32); //@line 369 "pi.c"
        var $192=HEAP[$191]; //@line 369 "pi.c"
        var $193=_int_ceildiv37($192, $189); //@line 369 "pi.c"
        HEAP[$try1]=$193; //@line 369 "pi.c"
        var $194=HEAP[$res]; //@line 370 "pi.c"
        var $195=CHECK_OVERFLOW(($194)&4294967295, 32); //@line 370 "pi.c"
        var $196=HEAP[$195]; //@line 370 "pi.c"
        var $197=HEAP[$levelno]; //@line 370 "pi.c"
        var $198=CHECK_OVERFLOW((($196) + ($197))&4294967295, 32); //@line 370 "pi.c"
        HEAP[$rpx]=$198; //@line 370 "pi.c"
        var $199=HEAP[$res]; //@line 371 "pi.c"
        var $200=CHECK_OVERFLOW(($199+4)&4294967295, 32); //@line 371 "pi.c"
        var $201=HEAP[$200]; //@line 371 "pi.c"
        var $202=HEAP[$levelno]; //@line 371 "pi.c"
        var $203=CHECK_OVERFLOW((($201) + ($202))&4294967295, 32); //@line 371 "pi.c"
        HEAP[$rpy]=$203; //@line 371 "pi.c"
        var $204=HEAP[$pi_addr]; //@line 372 "pi.c"
        var $205=CHECK_OVERFLOW(($204+220)&4294967295, 32); //@line 372 "pi.c"
        var $206=HEAP[$205]; //@line 372 "pi.c"
        var $207=HEAP[$comp]; //@line 372 "pi.c"
        var $208=CHECK_OVERFLOW(($207+4)&4294967295, 32); //@line 372 "pi.c"
        var $209=HEAP[$208]; //@line 372 "pi.c"
        var $210=HEAP[$rpy]; //@line 372 "pi.c"
        var $211=($209) << ($210); //@line 372 "pi.c"
        var $212=($206) % ($211); //@line 372 "pi.c"
        var $213=($212)!=0; //@line 372 "pi.c"
        if ($213) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 372 "pi.c"
      case 18: // $bb17
        var $214=HEAP[$pi_addr]; //@line 372 "pi.c"
        var $215=CHECK_OVERFLOW(($214+220)&4294967295, 32); //@line 372 "pi.c"
        var $216=HEAP[$215]; //@line 372 "pi.c"
        var $217=HEAP[$pi_addr]; //@line 372 "pi.c"
        var $218=CHECK_OVERFLOW(($217+204)&4294967295, 32); //@line 372 "pi.c"
        var $219=HEAP[$218]; //@line 372 "pi.c"
        var $220=($216)!=($219); //@line 372 "pi.c"
        if ($220) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 372 "pi.c"
      case 21: // $bb18
        var $221=HEAP[$try0]; //@line 372 "pi.c"
        var $222=HEAP[$levelno]; //@line 372 "pi.c"
        var $223=($221) << ($222); //@line 372 "pi.c"
        var $224=HEAP[$rpy]; //@line 372 "pi.c"
        var $225=1 << ($224); //@line 372 "pi.c"
        var $226=($223) % ($225); //@line 372 "pi.c"
        var $227=($226)==0; //@line 372 "pi.c"
        if ($227) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 372 "pi.c"
      case 19: // $bb19
        var $228=HEAP[$pi_addr]; //@line 375 "pi.c"
        var $229=CHECK_OVERFLOW(($228+216)&4294967295, 32); //@line 375 "pi.c"
        var $230=HEAP[$229]; //@line 375 "pi.c"
        var $231=HEAP[$comp]; //@line 375 "pi.c"
        var $232=CHECK_OVERFLOW(($231)&4294967295, 32); //@line 375 "pi.c"
        var $233=HEAP[$232]; //@line 375 "pi.c"
        var $234=HEAP[$rpx]; //@line 375 "pi.c"
        var $235=($233) << ($234); //@line 375 "pi.c"
        var $236=($230) % ($235); //@line 375 "pi.c"
        var $237=($236)!=0; //@line 375 "pi.c"
        if ($237) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 375 "pi.c"
      case 22: // $bb20
        var $238=HEAP[$pi_addr]; //@line 375 "pi.c"
        var $239=CHECK_OVERFLOW(($238+216)&4294967295, 32); //@line 375 "pi.c"
        var $240=HEAP[$239]; //@line 375 "pi.c"
        var $241=HEAP[$pi_addr]; //@line 375 "pi.c"
        var $242=CHECK_OVERFLOW(($241+200)&4294967295, 32); //@line 375 "pi.c"
        var $243=HEAP[$242]; //@line 375 "pi.c"
        var $244=($240)!=($243); //@line 375 "pi.c"
        if ($244) { __label__ = 20; break; } else { __label__ = 24; break; } //@line 375 "pi.c"
      case 24: // $bb21
        var $245=HEAP[$trx0]; //@line 375 "pi.c"
        var $246=HEAP[$levelno]; //@line 375 "pi.c"
        var $247=($245) << ($246); //@line 375 "pi.c"
        var $248=HEAP[$rpx]; //@line 375 "pi.c"
        var $249=1 << ($248); //@line 375 "pi.c"
        var $250=($247) % ($249); //@line 375 "pi.c"
        var $251=($250)==0; //@line 375 "pi.c"
        if ($251) { __label__ = 20; break; } else { __label__ = 23; break; } //@line 375 "pi.c"
      case 23: // $bb22
        var $252=HEAP[$res]; //@line 379 "pi.c"
        var $253=CHECK_OVERFLOW(($252+8)&4294967295, 32); //@line 379 "pi.c"
        var $254=HEAP[$253]; //@line 379 "pi.c"
        var $255=($254)==0; //@line 379 "pi.c"
        if ($255) { __label__ = 20; break; } else { __label__ = 25; break; } //@line 379 "pi.c"
      case 25: // $bb23
        var $256=HEAP[$res]; //@line 379 "pi.c"
        var $257=CHECK_OVERFLOW(($256+12)&4294967295, 32); //@line 379 "pi.c"
        var $258=HEAP[$257]; //@line 379 "pi.c"
        var $259=($258)==0; //@line 379 "pi.c"
        if ($259) { __label__ = 20; break; } else { __label__ = 26; break; } //@line 379 "pi.c"
      case 26: // $bb24
        var $260=HEAP[$trx0]; //@line 381 "pi.c"
        var $261=HEAP[$trx1]; //@line 381 "pi.c"
        var $262=($260)==($261); //@line 381 "pi.c"
        if ($262) { __label__ = 20; break; } else { __label__ = 27; break; } //@line 381 "pi.c"
      case 27: // $bb25
        var $263=HEAP[$try0]; //@line 381 "pi.c"
        var $264=HEAP[$try1]; //@line 381 "pi.c"
        var $265=($263)==($264); //@line 381 "pi.c"
        if ($265) { __label__ = 20; break; } else { __label__ = 28; break; } //@line 381 "pi.c"
      case 28: // $bb26
        var $266=HEAP[$res]; //@line 383 "pi.c"
        var $267=CHECK_OVERFLOW(($266)&4294967295, 32); //@line 383 "pi.c"
        var $268=HEAP[$267]; //@line 383 "pi.c"
        var $269=HEAP[$comp]; //@line 383 "pi.c"
        var $270=CHECK_OVERFLOW(($269)&4294967295, 32); //@line 383 "pi.c"
        var $271=HEAP[$270]; //@line 383 "pi.c"
        var $272=HEAP[$levelno]; //@line 383 "pi.c"
        var $273=($271) << ($272); //@line 383 "pi.c"
        var $274=HEAP[$pi_addr]; //@line 383 "pi.c"
        var $275=CHECK_OVERFLOW(($274+216)&4294967295, 32); //@line 383 "pi.c"
        var $276=HEAP[$275]; //@line 383 "pi.c"
        var $277=_int_ceildiv37($276, $273); //@line 383 "pi.c"
        var $278=_int_floordivpow2($277, $268); //@line 383 "pi.c"
        var $279=HEAP[$res]; //@line 383 "pi.c"
        var $280=CHECK_OVERFLOW(($279)&4294967295, 32); //@line 383 "pi.c"
        var $281=HEAP[$280]; //@line 383 "pi.c"
        var $282=HEAP[$trx0]; //@line 383 "pi.c"
        var $283=_int_floordivpow2($282, $281); //@line 383 "pi.c"
        var $284=CHECK_OVERFLOW((($278) - ($283))&4294967295, 32); //@line 383 "pi.c"
        HEAP[$prci]=$284; //@line 383 "pi.c"
        var $285=HEAP[$res]; //@line 385 "pi.c"
        var $286=CHECK_OVERFLOW(($285+4)&4294967295, 32); //@line 385 "pi.c"
        var $287=HEAP[$286]; //@line 385 "pi.c"
        var $288=HEAP[$comp]; //@line 385 "pi.c"
        var $289=CHECK_OVERFLOW(($288+4)&4294967295, 32); //@line 385 "pi.c"
        var $290=HEAP[$289]; //@line 385 "pi.c"
        var $291=HEAP[$levelno]; //@line 385 "pi.c"
        var $292=($290) << ($291); //@line 385 "pi.c"
        var $293=HEAP[$pi_addr]; //@line 385 "pi.c"
        var $294=CHECK_OVERFLOW(($293+220)&4294967295, 32); //@line 385 "pi.c"
        var $295=HEAP[$294]; //@line 385 "pi.c"
        var $296=_int_ceildiv37($295, $292); //@line 385 "pi.c"
        var $297=_int_floordivpow2($296, $287); //@line 385 "pi.c"
        var $298=HEAP[$res]; //@line 385 "pi.c"
        var $299=CHECK_OVERFLOW(($298+4)&4294967295, 32); //@line 385 "pi.c"
        var $300=HEAP[$299]; //@line 385 "pi.c"
        var $301=HEAP[$try0]; //@line 385 "pi.c"
        var $302=_int_floordivpow2($301, $300); //@line 385 "pi.c"
        var $303=CHECK_OVERFLOW((($297) - ($302))&4294967295, 32); //@line 385 "pi.c"
        HEAP[$prcj]=$303; //@line 385 "pi.c"
        var $304=HEAP[$res]; //@line 387 "pi.c"
        var $305=CHECK_OVERFLOW(($304+8)&4294967295, 32); //@line 387 "pi.c"
        var $306=HEAP[$305]; //@line 387 "pi.c"
        var $307=HEAP[$prcj]; //@line 387 "pi.c"
        var $308=CHECK_OVERFLOW((($306) * ($307))&4294967295, 32); //@line 387 "pi.c"
        var $309=HEAP[$prci]; //@line 387 "pi.c"
        var $310=CHECK_OVERFLOW((($308) + ($309))&4294967295, 32); //@line 387 "pi.c"
        var $311=HEAP[$pi_addr]; //@line 387 "pi.c"
        var $312=CHECK_OVERFLOW(($311+32)&4294967295, 32); //@line 387 "pi.c"
        HEAP[$312]=$310; //@line 387 "pi.c"
        var $313=HEAP[$pi_addr]; //@line 388 "pi.c"
        var $314=CHECK_OVERFLOW(($313+44)&4294967295, 32); //@line 388 "pi.c"
        var $315=CHECK_OVERFLOW(($314+20)&4294967295, 32); //@line 388 "pi.c"
        var $316=HEAP[$315]; //@line 388 "pi.c"
        var $317=HEAP[$pi_addr]; //@line 388 "pi.c"
        var $318=CHECK_OVERFLOW(($317+36)&4294967295, 32); //@line 388 "pi.c"
        HEAP[$318]=$316; //@line 388 "pi.c"
        __label__ = 29; break; //@line 388 "pi.c"
      case 32: // $bb27
        var $319=HEAP[$pi_addr]; //@line 389 "pi.c"
        var $320=CHECK_OVERFLOW(($319+36)&4294967295, 32); //@line 389 "pi.c"
        var $321=HEAP[$320]; //@line 389 "pi.c"
        var $322=HEAP[$pi_addr]; //@line 389 "pi.c"
        var $323=CHECK_OVERFLOW(($322+8)&4294967295, 32); //@line 389 "pi.c"
        var $324=HEAP[$323]; //@line 389 "pi.c"
        var $325=CHECK_OVERFLOW((($321) * ($324))&4294967295, 32); //@line 389 "pi.c"
        var $326=HEAP[$pi_addr]; //@line 389 "pi.c"
        var $327=CHECK_OVERFLOW(($326+28)&4294967295, 32); //@line 389 "pi.c"
        var $328=HEAP[$327]; //@line 389 "pi.c"
        var $329=HEAP[$pi_addr]; //@line 389 "pi.c"
        var $330=CHECK_OVERFLOW(($329+12)&4294967295, 32); //@line 389 "pi.c"
        var $331=HEAP[$330]; //@line 389 "pi.c"
        var $332=CHECK_OVERFLOW((($328) * ($331))&4294967295, 32); //@line 389 "pi.c"
        var $333=CHECK_OVERFLOW((($325) + ($332))&4294967295, 32); //@line 389 "pi.c"
        var $334=HEAP[$pi_addr]; //@line 389 "pi.c"
        var $335=CHECK_OVERFLOW(($334+32)&4294967295, 32); //@line 389 "pi.c"
        var $336=HEAP[$335]; //@line 389 "pi.c"
        var $337=HEAP[$pi_addr]; //@line 389 "pi.c"
        var $338=CHECK_OVERFLOW(($337+20)&4294967295, 32); //@line 389 "pi.c"
        var $339=HEAP[$338]; //@line 389 "pi.c"
        var $340=CHECK_OVERFLOW((($336) * ($339))&4294967295, 32); //@line 389 "pi.c"
        var $341=HEAP[$pi_addr]; //@line 389 "pi.c"
        var $342=CHECK_OVERFLOW(($341+24)&4294967295, 32); //@line 389 "pi.c"
        var $343=HEAP[$342]; //@line 389 "pi.c"
        var $344=HEAP[$pi_addr]; //@line 389 "pi.c"
        var $345=CHECK_OVERFLOW(($344+16)&4294967295, 32); //@line 389 "pi.c"
        var $346=HEAP[$345]; //@line 389 "pi.c"
        var $347=CHECK_OVERFLOW((($343) * ($346))&4294967295, 32); //@line 389 "pi.c"
        var $348=CHECK_OVERFLOW((($340) + ($347))&4294967295, 32); //@line 389 "pi.c"
        var $349=CHECK_OVERFLOW((($333) + ($348))&4294967295, 32); //@line 389 "pi.c"
        HEAP[$index]=$349; //@line 389 "pi.c"
        var $350=HEAP[$pi_addr]; //@line 390 "pi.c"
        var $351=CHECK_OVERFLOW(($350+4)&4294967295, 32); //@line 390 "pi.c"
        var $352=HEAP[$351]; //@line 390 "pi.c"
        var $353=HEAP[$index]; //@line 390 "pi.c"
        var $354=CHECK_OVERFLOW(($352+2*$353)&4294967295, 32); //@line 390 "pi.c"
        var $355=HEAP[$354]; //@line 390 "pi.c"
        var $356=($355)==0; //@line 390 "pi.c"
        if ($356) { __label__ = 30; break; } else { __label__ = 2; break; } //@line 390 "pi.c"
      case 30: // $bb28
        var $357=HEAP[$pi_addr]; //@line 391 "pi.c"
        var $358=CHECK_OVERFLOW(($357+4)&4294967295, 32); //@line 391 "pi.c"
        var $359=HEAP[$358]; //@line 391 "pi.c"
        var $360=HEAP[$index]; //@line 391 "pi.c"
        var $361=CHECK_OVERFLOW(($359+2*$360)&4294967295, 32); //@line 391 "pi.c"
        HEAP[$361]=1; //@line 391 "pi.c"
        HEAP[$0]=1; //@line 392 "pi.c"
        __label__ = 31; break; //@line 392 "pi.c"
      case 2: // $LABEL_SKIP
        var $362=HEAP[$pi_addr]; //@line 388 "pi.c"
        var $363=CHECK_OVERFLOW(($362+36)&4294967295, 32); //@line 388 "pi.c"
        var $364=HEAP[$363]; //@line 388 "pi.c"
        var $365=CHECK_OVERFLOW((($364) + 1)&4294967295, 32); //@line 388 "pi.c"
        var $366=HEAP[$pi_addr]; //@line 388 "pi.c"
        var $367=CHECK_OVERFLOW(($366+36)&4294967295, 32); //@line 388 "pi.c"
        HEAP[$367]=$365; //@line 388 "pi.c"
        __label__ = 29; break; //@line 388 "pi.c"
      case 29: // $bb29
        var $368=HEAP[$pi_addr]; //@line 388 "pi.c"
        var $369=CHECK_OVERFLOW(($368+36)&4294967295, 32); //@line 388 "pi.c"
        var $370=HEAP[$369]; //@line 388 "pi.c"
        var $371=HEAP[$pi_addr]; //@line 388 "pi.c"
        var $372=CHECK_OVERFLOW(($371+44)&4294967295, 32); //@line 388 "pi.c"
        var $373=CHECK_OVERFLOW(($372+8)&4294967295, 32); //@line 388 "pi.c"
        var $374=HEAP[$373]; //@line 388 "pi.c"
        var $375=($370) < ($374); //@line 388 "pi.c"
        if ($375) { __label__ = 32; break; } else { __label__ = 20; break; } //@line 388 "pi.c"
      case 20: // $bb30
        var $376=HEAP[$pi_addr]; //@line 358 "pi.c"
        var $377=CHECK_OVERFLOW(($376+28)&4294967295, 32); //@line 358 "pi.c"
        var $378=HEAP[$377]; //@line 358 "pi.c"
        var $379=CHECK_OVERFLOW((($378) + 1)&4294967295, 32); //@line 358 "pi.c"
        var $380=HEAP[$pi_addr]; //@line 358 "pi.c"
        var $381=CHECK_OVERFLOW(($380+28)&4294967295, 32); //@line 358 "pi.c"
        HEAP[$381]=$379; //@line 358 "pi.c"
        __label__ = 17; break; //@line 358 "pi.c"
      case 17: // $bb31
        var $382=HEAP[$pi_addr]; //@line 358 "pi.c"
        var $383=CHECK_OVERFLOW(($382+28)&4294967295, 32); //@line 358 "pi.c"
        var $384=HEAP[$383]; //@line 358 "pi.c"
        var $385=HEAP[$comp]; //@line 358 "pi.c"
        var $386=CHECK_OVERFLOW(($385+8)&4294967295, 32); //@line 358 "pi.c"
        var $387=HEAP[$386]; //@line 358 "pi.c"
        var $388=HEAP[$pi_addr]; //@line 358 "pi.c"
        var $389=CHECK_OVERFLOW(($388+44)&4294967295, 32); //@line 358 "pi.c"
        var $390=CHECK_OVERFLOW(($389+12)&4294967295, 32); //@line 358 "pi.c"
        var $391=HEAP[$390]; //@line 358 "pi.c"
        var $392=_int_min36($391, $387); //@line 358 "pi.c"
        var $393=($384) < ($392); //@line 358 "pi.c"
        if ($393) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 358 "pi.c"
      case 34: // $bb32
        var $394=HEAP[$pi_addr]; //@line 357 "pi.c"
        var $395=CHECK_OVERFLOW(($394+216)&4294967295, 32); //@line 357 "pi.c"
        var $396=HEAP[$395]; //@line 357 "pi.c"
        var $397=HEAP[$pi_addr]; //@line 357 "pi.c"
        var $398=CHECK_OVERFLOW(($397+224)&4294967295, 32); //@line 357 "pi.c"
        var $399=HEAP[$398]; //@line 357 "pi.c"
        var $400=HEAP[$pi_addr]; //@line 357 "pi.c"
        var $401=CHECK_OVERFLOW(($400+216)&4294967295, 32); //@line 357 "pi.c"
        var $402=HEAP[$401]; //@line 357 "pi.c"
        var $403=HEAP[$pi_addr]; //@line 357 "pi.c"
        var $404=CHECK_OVERFLOW(($403+224)&4294967295, 32); //@line 357 "pi.c"
        var $405=HEAP[$404]; //@line 357 "pi.c"
        var $406=($402) % ($405); //@line 357 "pi.c"
        var $407=CHECK_OVERFLOW((($399) - ($406))&4294967295, 32); //@line 357 "pi.c"
        var $408=CHECK_OVERFLOW((($396) + ($407))&4294967295, 32); //@line 357 "pi.c"
        var $409=HEAP[$pi_addr]; //@line 357 "pi.c"
        var $410=CHECK_OVERFLOW(($409+216)&4294967295, 32); //@line 357 "pi.c"
        HEAP[$410]=$408; //@line 357 "pi.c"
        __label__ = 16; break; //@line 357 "pi.c"
      case 16: // $bb33
        var $411=HEAP[$pi_addr]; //@line 357 "pi.c"
        var $412=CHECK_OVERFLOW(($411+216)&4294967295, 32); //@line 357 "pi.c"
        var $413=HEAP[$412]; //@line 357 "pi.c"
        var $414=HEAP[$pi_addr]; //@line 357 "pi.c"
        var $415=CHECK_OVERFLOW(($414+44)&4294967295, 32); //@line 357 "pi.c"
        var $416=CHECK_OVERFLOW(($415+56)&4294967295, 32); //@line 357 "pi.c"
        var $417=HEAP[$416]; //@line 357 "pi.c"
        var $418=($413) < ($417); //@line 357 "pi.c"
        if ($418) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 357 "pi.c"
      case 36: // $bb34
        var $419=HEAP[$pi_addr]; //@line 356 "pi.c"
        var $420=CHECK_OVERFLOW(($419+220)&4294967295, 32); //@line 356 "pi.c"
        var $421=HEAP[$420]; //@line 356 "pi.c"
        var $422=HEAP[$pi_addr]; //@line 356 "pi.c"
        var $423=CHECK_OVERFLOW(($422+228)&4294967295, 32); //@line 356 "pi.c"
        var $424=HEAP[$423]; //@line 356 "pi.c"
        var $425=HEAP[$pi_addr]; //@line 356 "pi.c"
        var $426=CHECK_OVERFLOW(($425+220)&4294967295, 32); //@line 356 "pi.c"
        var $427=HEAP[$426]; //@line 356 "pi.c"
        var $428=HEAP[$pi_addr]; //@line 356 "pi.c"
        var $429=CHECK_OVERFLOW(($428+228)&4294967295, 32); //@line 356 "pi.c"
        var $430=HEAP[$429]; //@line 356 "pi.c"
        var $431=($427) % ($430); //@line 356 "pi.c"
        var $432=CHECK_OVERFLOW((($424) - ($431))&4294967295, 32); //@line 356 "pi.c"
        var $433=CHECK_OVERFLOW((($421) + ($432))&4294967295, 32); //@line 356 "pi.c"
        var $434=HEAP[$pi_addr]; //@line 356 "pi.c"
        var $435=CHECK_OVERFLOW(($434+220)&4294967295, 32); //@line 356 "pi.c"
        HEAP[$435]=$433; //@line 356 "pi.c"
        __label__ = 15; break; //@line 356 "pi.c"
      case 15: // $bb35
        var $436=HEAP[$pi_addr]; //@line 356 "pi.c"
        var $437=CHECK_OVERFLOW(($436+220)&4294967295, 32); //@line 356 "pi.c"
        var $438=HEAP[$437]; //@line 356 "pi.c"
        var $439=HEAP[$pi_addr]; //@line 356 "pi.c"
        var $440=CHECK_OVERFLOW(($439+44)&4294967295, 32); //@line 356 "pi.c"
        var $441=CHECK_OVERFLOW(($440+64)&4294967295, 32); //@line 356 "pi.c"
        var $442=HEAP[$441]; //@line 356 "pi.c"
        var $443=($438) < ($442); //@line 356 "pi.c"
        if ($443) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 356 "pi.c"
      case 38: // $bb36
        var $444=HEAP[$pi_addr]; //@line 337 "pi.c"
        var $445=CHECK_OVERFLOW(($444+24)&4294967295, 32); //@line 337 "pi.c"
        var $446=HEAP[$445]; //@line 337 "pi.c"
        var $447=CHECK_OVERFLOW((($446) + 1)&4294967295, 32); //@line 337 "pi.c"
        var $448=HEAP[$pi_addr]; //@line 337 "pi.c"
        var $449=CHECK_OVERFLOW(($448+24)&4294967295, 32); //@line 337 "pi.c"
        HEAP[$449]=$447; //@line 337 "pi.c"
        __label__ = 3; break; //@line 337 "pi.c"
      case 3: // $bb37
        var $450=HEAP[$pi_addr]; //@line 337 "pi.c"
        var $451=CHECK_OVERFLOW(($450+24)&4294967295, 32); //@line 337 "pi.c"
        var $452=HEAP[$451]; //@line 337 "pi.c"
        var $453=HEAP[$pi_addr]; //@line 337 "pi.c"
        var $454=CHECK_OVERFLOW(($453+44)&4294967295, 32); //@line 337 "pi.c"
        var $455=CHECK_OVERFLOW(($454+16)&4294967295, 32); //@line 337 "pi.c"
        var $456=HEAP[$455]; //@line 337 "pi.c"
        var $457=($452) < ($456); //@line 337 "pi.c"
        if ($457) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 337 "pi.c"
      case 40: // $bb38
        HEAP[$0]=0; //@line 401 "pi.c"
        __label__ = 31; break; //@line 401 "pi.c"
      case 31: // $bb39
        var $458=HEAP[$0]; //@line 392 "pi.c"
        HEAP[$retval]=$458; //@line 392 "pi.c"
        __label__ = 41; break; //@line 392 "pi.c"
      case 41: // $return
        var $retval40=HEAP[$retval]; //@line 392 "pi.c"
        STACKTOP = __stackBase__;
        return $retval40; //@line 392 "pi.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _pi_create_decode($image, $cp, $tileno) {
    var __stackBase__  = STACKTOP; STACKTOP += 128; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 128);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $image_addr=__stackBase__;
        var $cp_addr=__stackBase__+4;
        var $tileno_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $iftmp_9=__stackBase__+16;
        var $iftmp_8=__stackBase__+20;
        var $0=__stackBase__+24;
        var $p=__stackBase__+28;
        var $q=__stackBase__+32;
        var $compno=__stackBase__+36;
        var $resno=__stackBase__+40;
        var $pino=__stackBase__+44;
        var $pi=__stackBase__+48;
        var $tcp=__stackBase__+52;
        var $tccp=__stackBase__+56;
        var $maxres=__stackBase__+60;
        var $maxprec=__stackBase__+64;
        var $tcx0=__stackBase__+68;
        var $tcy0=__stackBase__+72;
        var $tcx1=__stackBase__+76;
        var $tcy1=__stackBase__+80;
        var $comp=__stackBase__+84;
        var $levelno=__stackBase__+88;
        var $rx0=__stackBase__+92;
        var $ry0=__stackBase__+96;
        var $rx1=__stackBase__+100;
        var $ry1=__stackBase__+104;
        var $px0=__stackBase__+108;
        var $py0=__stackBase__+112;
        var $px1=__stackBase__+116;
        var $py1=__stackBase__+120;
        var $res=__stackBase__+124;
        var $_alloca_point_=0;
        HEAP[$image_addr]=$image;
        HEAP[$cp_addr]=$cp;
        HEAP[$tileno_addr]=$tileno;
        HEAP[$pi]=0; //@line 413 "pi.c"
        HEAP[$tcp]=0; //@line 414 "pi.c"
        HEAP[$tccp]=0; //@line 415 "pi.c"
        var $1=HEAP[$cp_addr]; //@line 417 "pi.c"
        var $2=CHECK_OVERFLOW(($1+108)&4294967295, 32); //@line 417 "pi.c"
        var $3=HEAP[$2]; //@line 417 "pi.c"
        var $4=HEAP[$tileno_addr]; //@line 417 "pi.c"
        var $5=CHECK_OVERFLOW(($3+5588*$4)&4294967295, 32); //@line 417 "pi.c"
        HEAP[$tcp]=$5; //@line 417 "pi.c"
        var $6=HEAP[$tcp]; //@line 419 "pi.c"
        var $7=CHECK_OVERFLOW(($6+420)&4294967295, 32); //@line 419 "pi.c"
        var $8=HEAP[$7]; //@line 419 "pi.c"
        var $9=CHECK_OVERFLOW((($8) + 1)&4294967295, 32); //@line 419 "pi.c"
        var $10=_calloc($9, 232); //@line 419 "pi.c"
        var $11=$10; //@line 419 "pi.c"
        HEAP[$pi]=$11; //@line 419 "pi.c"
        var $12=HEAP[$pi]; //@line 420 "pi.c"
        var $13=($12)==0; //@line 420 "pi.c"
        if ($13) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 420 "pi.c"
      case 0: // $bb
        HEAP[$0]=0; //@line 422 "pi.c"
        __label__ = 2; break; //@line 422 "pi.c"
      case 1: // $bb1
        HEAP[$pino]=0; //@line 425 "pi.c"
        __label__ = 3; break; //@line 425 "pi.c"
      case 35: // $bb2
        HEAP[$maxres]=0; //@line 426 "pi.c"
        HEAP[$maxprec]=0; //@line 427 "pi.c"
        var $14=HEAP[$cp_addr]; //@line 428 "pi.c"
        var $15=CHECK_OVERFLOW(($14+68)&4294967295, 32); //@line 428 "pi.c"
        var $16=HEAP[$15]; //@line 428 "pi.c"
        var $17=HEAP[$tileno_addr]; //@line 428 "pi.c"
        var $18=($17) % ($16); //@line 428 "pi.c"
        HEAP[$p]=$18; //@line 428 "pi.c"
        var $19=HEAP[$cp_addr]; //@line 429 "pi.c"
        var $20=CHECK_OVERFLOW(($19+68)&4294967295, 32); //@line 429 "pi.c"
        var $21=HEAP[$20]; //@line 429 "pi.c"
        var $22=HEAP[$tileno_addr]; //@line 429 "pi.c"
        var $23=(($22)/($21)|0); //@line 429 "pi.c"
        HEAP[$q]=$23; //@line 429 "pi.c"
        var $24=HEAP[$pi]; //@line 431 "pi.c"
        var $25=HEAP[$pino]; //@line 431 "pi.c"
        var $26=CHECK_OVERFLOW(($24+232*$25)&4294967295, 32); //@line 431 "pi.c"
        var $27=HEAP[$image_addr]; //@line 431 "pi.c"
        var $28=CHECK_OVERFLOW(($27)&4294967295, 32); //@line 431 "pi.c"
        var $29=HEAP[$28]; //@line 431 "pi.c"
        var $30=HEAP[$cp_addr]; //@line 431 "pi.c"
        var $31=CHECK_OVERFLOW(($30+48)&4294967295, 32); //@line 431 "pi.c"
        var $32=HEAP[$31]; //@line 431 "pi.c"
        var $33=HEAP[$cp_addr]; //@line 431 "pi.c"
        var $34=CHECK_OVERFLOW(($33+56)&4294967295, 32); //@line 431 "pi.c"
        var $35=HEAP[$34]; //@line 431 "pi.c"
        var $36=HEAP[$p]; //@line 431 "pi.c"
        var $37=CHECK_OVERFLOW((($35) * ($36))&4294967295, 32); //@line 431 "pi.c"
        var $38=CHECK_OVERFLOW((($32) + ($37))&4294967295, 32); //@line 431 "pi.c"
        var $39=_int_max($38, $29); //@line 431 "pi.c"
        var $40=CHECK_OVERFLOW(($26+200)&4294967295, 32); //@line 431 "pi.c"
        HEAP[$40]=$39; //@line 431 "pi.c"
        var $41=HEAP[$pi]; //@line 432 "pi.c"
        var $42=HEAP[$pino]; //@line 432 "pi.c"
        var $43=CHECK_OVERFLOW(($41+232*$42)&4294967295, 32); //@line 432 "pi.c"
        var $44=HEAP[$image_addr]; //@line 432 "pi.c"
        var $45=CHECK_OVERFLOW(($44+4)&4294967295, 32); //@line 432 "pi.c"
        var $46=HEAP[$45]; //@line 432 "pi.c"
        var $47=HEAP[$cp_addr]; //@line 432 "pi.c"
        var $48=CHECK_OVERFLOW(($47+52)&4294967295, 32); //@line 432 "pi.c"
        var $49=HEAP[$48]; //@line 432 "pi.c"
        var $50=HEAP[$cp_addr]; //@line 432 "pi.c"
        var $51=CHECK_OVERFLOW(($50+60)&4294967295, 32); //@line 432 "pi.c"
        var $52=HEAP[$51]; //@line 432 "pi.c"
        var $53=HEAP[$q]; //@line 432 "pi.c"
        var $54=CHECK_OVERFLOW((($52) * ($53))&4294967295, 32); //@line 432 "pi.c"
        var $55=CHECK_OVERFLOW((($49) + ($54))&4294967295, 32); //@line 432 "pi.c"
        var $56=_int_max($55, $46); //@line 432 "pi.c"
        var $57=CHECK_OVERFLOW(($43+204)&4294967295, 32); //@line 432 "pi.c"
        HEAP[$57]=$56; //@line 432 "pi.c"
        var $58=HEAP[$pi]; //@line 433 "pi.c"
        var $59=HEAP[$pino]; //@line 433 "pi.c"
        var $60=CHECK_OVERFLOW(($58+232*$59)&4294967295, 32); //@line 433 "pi.c"
        var $61=HEAP[$image_addr]; //@line 433 "pi.c"
        var $62=CHECK_OVERFLOW(($61+8)&4294967295, 32); //@line 433 "pi.c"
        var $63=HEAP[$62]; //@line 433 "pi.c"
        var $64=HEAP[$cp_addr]; //@line 433 "pi.c"
        var $65=CHECK_OVERFLOW(($64+48)&4294967295, 32); //@line 433 "pi.c"
        var $66=HEAP[$65]; //@line 433 "pi.c"
        var $67=HEAP[$p]; //@line 433 "pi.c"
        var $68=CHECK_OVERFLOW((($67) + 1)&4294967295, 32); //@line 433 "pi.c"
        var $69=HEAP[$cp_addr]; //@line 433 "pi.c"
        var $70=CHECK_OVERFLOW(($69+56)&4294967295, 32); //@line 433 "pi.c"
        var $71=HEAP[$70]; //@line 433 "pi.c"
        var $72=CHECK_OVERFLOW((($68) * ($71))&4294967295, 32); //@line 433 "pi.c"
        var $73=CHECK_OVERFLOW((($66) + ($72))&4294967295, 32); //@line 433 "pi.c"
        var $74=_int_min36($73, $63); //@line 433 "pi.c"
        var $75=CHECK_OVERFLOW(($60+208)&4294967295, 32); //@line 433 "pi.c"
        HEAP[$75]=$74; //@line 433 "pi.c"
        var $76=HEAP[$pi]; //@line 434 "pi.c"
        var $77=HEAP[$pino]; //@line 434 "pi.c"
        var $78=CHECK_OVERFLOW(($76+232*$77)&4294967295, 32); //@line 434 "pi.c"
        var $79=HEAP[$image_addr]; //@line 434 "pi.c"
        var $80=CHECK_OVERFLOW(($79+12)&4294967295, 32); //@line 434 "pi.c"
        var $81=HEAP[$80]; //@line 434 "pi.c"
        var $82=HEAP[$cp_addr]; //@line 434 "pi.c"
        var $83=CHECK_OVERFLOW(($82+52)&4294967295, 32); //@line 434 "pi.c"
        var $84=HEAP[$83]; //@line 434 "pi.c"
        var $85=HEAP[$q]; //@line 434 "pi.c"
        var $86=CHECK_OVERFLOW((($85) + 1)&4294967295, 32); //@line 434 "pi.c"
        var $87=HEAP[$cp_addr]; //@line 434 "pi.c"
        var $88=CHECK_OVERFLOW(($87+60)&4294967295, 32); //@line 434 "pi.c"
        var $89=HEAP[$88]; //@line 434 "pi.c"
        var $90=CHECK_OVERFLOW((($86) * ($89))&4294967295, 32); //@line 434 "pi.c"
        var $91=CHECK_OVERFLOW((($84) + ($90))&4294967295, 32); //@line 434 "pi.c"
        var $92=_int_min36($91, $81); //@line 434 "pi.c"
        var $93=CHECK_OVERFLOW(($78+212)&4294967295, 32); //@line 434 "pi.c"
        HEAP[$93]=$92; //@line 434 "pi.c"
        var $94=HEAP[$pi]; //@line 435 "pi.c"
        var $95=HEAP[$pino]; //@line 435 "pi.c"
        var $96=CHECK_OVERFLOW(($94+232*$95)&4294967295, 32); //@line 435 "pi.c"
        var $97=HEAP[$image_addr]; //@line 435 "pi.c"
        var $98=CHECK_OVERFLOW(($97+16)&4294967295, 32); //@line 435 "pi.c"
        var $99=HEAP[$98]; //@line 435 "pi.c"
        var $100=CHECK_OVERFLOW(($96+192)&4294967295, 32); //@line 435 "pi.c"
        HEAP[$100]=$99; //@line 435 "pi.c"
        var $101=HEAP[$pi]; //@line 437 "pi.c"
        var $102=HEAP[$pino]; //@line 437 "pi.c"
        var $103=CHECK_OVERFLOW(($101+232*$102)&4294967295, 32); //@line 437 "pi.c"
        var $104=HEAP[$image_addr]; //@line 437 "pi.c"
        var $105=CHECK_OVERFLOW(($104+16)&4294967295, 32); //@line 437 "pi.c"
        var $106=HEAP[$105]; //@line 437 "pi.c"
        var $107=_calloc($106, 16); //@line 437 "pi.c"
        var $108=$107; //@line 437 "pi.c"
        var $109=CHECK_OVERFLOW(($103+196)&4294967295, 32); //@line 437 "pi.c"
        HEAP[$109]=$108; //@line 437 "pi.c"
        var $110=HEAP[$pi]; //@line 438 "pi.c"
        var $111=HEAP[$pino]; //@line 438 "pi.c"
        var $112=CHECK_OVERFLOW(($110+232*$111)&4294967295, 32); //@line 438 "pi.c"
        var $113=CHECK_OVERFLOW(($112+196)&4294967295, 32); //@line 438 "pi.c"
        var $114=HEAP[$113]; //@line 438 "pi.c"
        var $115=($114)==0; //@line 438 "pi.c"
        if ($115) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 438 "pi.c"
      case 4: // $bb3
        var $116=HEAP[$pi]; //@line 440 "pi.c"
        var $117=HEAP[$cp_addr]; //@line 440 "pi.c"
        var $118=HEAP[$tileno_addr]; //@line 440 "pi.c"
        _pi_destroy($116, $117, $118); //@line 440 "pi.c"
        HEAP[$0]=0; //@line 441 "pi.c"
        __label__ = 2; break; //@line 441 "pi.c"
      case 5: // $bb4
        HEAP[$compno]=0; //@line 444 "pi.c"
        __label__ = 6; break; //@line 444 "pi.c"
      case 25: // $bb5
        var $119=HEAP[$pi]; //@line 446 "pi.c"
        var $120=HEAP[$pino]; //@line 446 "pi.c"
        var $121=CHECK_OVERFLOW(($119+232*$120)&4294967295, 32); //@line 446 "pi.c"
        var $122=CHECK_OVERFLOW(($121+196)&4294967295, 32); //@line 446 "pi.c"
        var $123=HEAP[$122]; //@line 446 "pi.c"
        var $124=HEAP[$compno]; //@line 446 "pi.c"
        var $125=CHECK_OVERFLOW(($123+16*$124)&4294967295, 32); //@line 446 "pi.c"
        HEAP[$comp]=$125; //@line 446 "pi.c"
        var $126=HEAP[$tcp]; //@line 447 "pi.c"
        var $127=CHECK_OVERFLOW(($126+5584)&4294967295, 32); //@line 447 "pi.c"
        var $128=HEAP[$127]; //@line 447 "pi.c"
        var $129=HEAP[$compno]; //@line 447 "pi.c"
        var $130=CHECK_OVERFLOW(($128+1076*$129)&4294967295, 32); //@line 447 "pi.c"
        HEAP[$tccp]=$130; //@line 447 "pi.c"
        var $131=HEAP[$image_addr]; //@line 448 "pi.c"
        var $132=CHECK_OVERFLOW(($131+24)&4294967295, 32); //@line 448 "pi.c"
        var $133=HEAP[$132]; //@line 448 "pi.c"
        var $134=HEAP[$compno]; //@line 448 "pi.c"
        var $135=CHECK_OVERFLOW(($133+48*$134)&4294967295, 32); //@line 448 "pi.c"
        var $136=CHECK_OVERFLOW(($135)&4294967295, 32); //@line 448 "pi.c"
        var $137=HEAP[$136]; //@line 448 "pi.c"
        var $138=HEAP[$comp]; //@line 448 "pi.c"
        var $139=CHECK_OVERFLOW(($138)&4294967295, 32); //@line 448 "pi.c"
        HEAP[$139]=$137; //@line 448 "pi.c"
        var $140=HEAP[$image_addr]; //@line 449 "pi.c"
        var $141=CHECK_OVERFLOW(($140+24)&4294967295, 32); //@line 449 "pi.c"
        var $142=HEAP[$141]; //@line 449 "pi.c"
        var $143=HEAP[$compno]; //@line 449 "pi.c"
        var $144=CHECK_OVERFLOW(($142+48*$143)&4294967295, 32); //@line 449 "pi.c"
        var $145=CHECK_OVERFLOW(($144+4)&4294967295, 32); //@line 449 "pi.c"
        var $146=HEAP[$145]; //@line 449 "pi.c"
        var $147=HEAP[$comp]; //@line 449 "pi.c"
        var $148=CHECK_OVERFLOW(($147+4)&4294967295, 32); //@line 449 "pi.c"
        HEAP[$148]=$146; //@line 449 "pi.c"
        var $149=HEAP[$tccp]; //@line 450 "pi.c"
        var $150=CHECK_OVERFLOW(($149+4)&4294967295, 32); //@line 450 "pi.c"
        var $151=HEAP[$150]; //@line 450 "pi.c"
        var $152=HEAP[$comp]; //@line 450 "pi.c"
        var $153=CHECK_OVERFLOW(($152+8)&4294967295, 32); //@line 450 "pi.c"
        HEAP[$153]=$151; //@line 450 "pi.c"
        var $154=HEAP[$comp]; //@line 452 "pi.c"
        var $155=CHECK_OVERFLOW(($154+8)&4294967295, 32); //@line 452 "pi.c"
        var $156=HEAP[$155]; //@line 452 "pi.c"
        var $157=_calloc($156, 16); //@line 452 "pi.c"
        var $158=$157; //@line 452 "pi.c"
        var $159=HEAP[$comp]; //@line 452 "pi.c"
        var $160=CHECK_OVERFLOW(($159+12)&4294967295, 32); //@line 452 "pi.c"
        HEAP[$160]=$158; //@line 452 "pi.c"
        var $161=HEAP[$comp]; //@line 453 "pi.c"
        var $162=CHECK_OVERFLOW(($161+12)&4294967295, 32); //@line 453 "pi.c"
        var $163=HEAP[$162]; //@line 453 "pi.c"
        var $164=($163)==0; //@line 453 "pi.c"
        if ($164) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 453 "pi.c"
      case 7: // $bb6
        var $165=HEAP[$pi]; //@line 455 "pi.c"
        var $166=HEAP[$cp_addr]; //@line 455 "pi.c"
        var $167=HEAP[$tileno_addr]; //@line 455 "pi.c"
        _pi_destroy($165, $166, $167); //@line 455 "pi.c"
        HEAP[$0]=0; //@line 456 "pi.c"
        __label__ = 2; break; //@line 456 "pi.c"
      case 8: // $bb7
        var $168=HEAP[$comp]; //@line 459 "pi.c"
        var $169=CHECK_OVERFLOW(($168)&4294967295, 32); //@line 459 "pi.c"
        var $170=HEAP[$169]; //@line 459 "pi.c"
        var $171=HEAP[$pi]; //@line 459 "pi.c"
        var $172=CHECK_OVERFLOW(($171+200)&4294967295, 32); //@line 459 "pi.c"
        var $173=HEAP[$172]; //@line 459 "pi.c"
        var $174=_int_ceildiv37($173, $170); //@line 459 "pi.c"
        HEAP[$tcx0]=$174; //@line 459 "pi.c"
        var $175=HEAP[$comp]; //@line 460 "pi.c"
        var $176=CHECK_OVERFLOW(($175+4)&4294967295, 32); //@line 460 "pi.c"
        var $177=HEAP[$176]; //@line 460 "pi.c"
        var $178=HEAP[$pi]; //@line 460 "pi.c"
        var $179=CHECK_OVERFLOW(($178+204)&4294967295, 32); //@line 460 "pi.c"
        var $180=HEAP[$179]; //@line 460 "pi.c"
        var $181=_int_ceildiv37($180, $177); //@line 460 "pi.c"
        HEAP[$tcy0]=$181; //@line 460 "pi.c"
        var $182=HEAP[$comp]; //@line 461 "pi.c"
        var $183=CHECK_OVERFLOW(($182)&4294967295, 32); //@line 461 "pi.c"
        var $184=HEAP[$183]; //@line 461 "pi.c"
        var $185=HEAP[$pi]; //@line 461 "pi.c"
        var $186=CHECK_OVERFLOW(($185+208)&4294967295, 32); //@line 461 "pi.c"
        var $187=HEAP[$186]; //@line 461 "pi.c"
        var $188=_int_ceildiv37($187, $184); //@line 461 "pi.c"
        HEAP[$tcx1]=$188; //@line 461 "pi.c"
        var $189=HEAP[$comp]; //@line 462 "pi.c"
        var $190=CHECK_OVERFLOW(($189+4)&4294967295, 32); //@line 462 "pi.c"
        var $191=HEAP[$190]; //@line 462 "pi.c"
        var $192=HEAP[$pi]; //@line 462 "pi.c"
        var $193=CHECK_OVERFLOW(($192+212)&4294967295, 32); //@line 462 "pi.c"
        var $194=HEAP[$193]; //@line 462 "pi.c"
        var $195=_int_ceildiv37($194, $191); //@line 462 "pi.c"
        HEAP[$tcy1]=$195; //@line 462 "pi.c"
        var $196=HEAP[$comp]; //@line 463 "pi.c"
        var $197=CHECK_OVERFLOW(($196+8)&4294967295, 32); //@line 463 "pi.c"
        var $198=HEAP[$197]; //@line 463 "pi.c"
        var $199=HEAP[$maxres]; //@line 463 "pi.c"
        var $200=($198) > ($199); //@line 463 "pi.c"
        if ($200) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 463 "pi.c"
      case 9: // $bb8
        var $201=HEAP[$comp]; //@line 464 "pi.c"
        var $202=CHECK_OVERFLOW(($201+8)&4294967295, 32); //@line 464 "pi.c"
        var $203=HEAP[$202]; //@line 464 "pi.c"
        HEAP[$maxres]=$203; //@line 464 "pi.c"
        __label__ = 10; break; //@line 464 "pi.c"
      case 10: // $bb9
        HEAP[$resno]=0; //@line 467 "pi.c"
        __label__ = 11; break; //@line 467 "pi.c"
      case 23: // $bb10
        var $204=HEAP[$comp]; //@line 471 "pi.c"
        var $205=CHECK_OVERFLOW(($204+12)&4294967295, 32); //@line 471 "pi.c"
        var $206=HEAP[$205]; //@line 471 "pi.c"
        var $207=HEAP[$resno]; //@line 471 "pi.c"
        var $208=CHECK_OVERFLOW(($206+16*$207)&4294967295, 32); //@line 471 "pi.c"
        HEAP[$res]=$208; //@line 471 "pi.c"
        var $209=HEAP[$tccp]; //@line 472 "pi.c"
        var $210=CHECK_OVERFLOW(($209)&4294967295, 32); //@line 472 "pi.c"
        var $211=HEAP[$210]; //@line 472 "pi.c"
        var $212=($211) & 1; //@line 472 "pi.c"
        var $213=((($212)) & 255); //@line 472 "pi.c"
        var $toBool=($213)!=0; //@line 472 "pi.c"
        if ($toBool) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 472 "pi.c"
      case 12: // $bb11
        var $214=HEAP[$resno]; //@line 473 "pi.c"
        var $215=HEAP[$tccp]; //@line 473 "pi.c"
        var $216=CHECK_OVERFLOW(($215+812)&4294967295, 32); //@line 473 "pi.c"
        var $217=CHECK_OVERFLOW(($216+$214*4)&4294967295, 32); //@line 473 "pi.c"
        var $218=HEAP[$217]; //@line 473 "pi.c"
        var $219=HEAP[$res]; //@line 473 "pi.c"
        var $220=CHECK_OVERFLOW(($219)&4294967295, 32); //@line 473 "pi.c"
        HEAP[$220]=$218; //@line 473 "pi.c"
        var $221=HEAP[$resno]; //@line 474 "pi.c"
        var $222=HEAP[$tccp]; //@line 474 "pi.c"
        var $223=CHECK_OVERFLOW(($222+944)&4294967295, 32); //@line 474 "pi.c"
        var $224=CHECK_OVERFLOW(($223+$221*4)&4294967295, 32); //@line 474 "pi.c"
        var $225=HEAP[$224]; //@line 474 "pi.c"
        var $226=HEAP[$res]; //@line 474 "pi.c"
        var $227=CHECK_OVERFLOW(($226+4)&4294967295, 32); //@line 474 "pi.c"
        HEAP[$227]=$225; //@line 474 "pi.c"
        __label__ = 14; break; //@line 474 "pi.c"
      case 13: // $bb12
        var $228=HEAP[$res]; //@line 476 "pi.c"
        var $229=CHECK_OVERFLOW(($228)&4294967295, 32); //@line 476 "pi.c"
        HEAP[$229]=15; //@line 476 "pi.c"
        var $230=HEAP[$res]; //@line 477 "pi.c"
        var $231=CHECK_OVERFLOW(($230+4)&4294967295, 32); //@line 477 "pi.c"
        HEAP[$231]=15; //@line 477 "pi.c"
        __label__ = 14; break; //@line 477 "pi.c"
      case 14: // $bb13
        var $232=HEAP[$comp]; //@line 479 "pi.c"
        var $233=CHECK_OVERFLOW(($232+8)&4294967295, 32); //@line 479 "pi.c"
        var $234=HEAP[$233]; //@line 479 "pi.c"
        var $235=CHECK_OVERFLOW((($234) - 1)&4294967295, 32); //@line 479 "pi.c"
        var $236=HEAP[$resno]; //@line 479 "pi.c"
        var $237=CHECK_OVERFLOW((($235) - ($236))&4294967295, 32); //@line 479 "pi.c"
        HEAP[$levelno]=$237; //@line 479 "pi.c"
        var $238=HEAP[$tcx0]; //@line 480 "pi.c"
        var $239=HEAP[$levelno]; //@line 480 "pi.c"
        var $240=_int_ceildivpow2($238, $239); //@line 480 "pi.c"
        HEAP[$rx0]=$240; //@line 480 "pi.c"
        var $241=HEAP[$tcy0]; //@line 481 "pi.c"
        var $242=HEAP[$levelno]; //@line 481 "pi.c"
        var $243=_int_ceildivpow2($241, $242); //@line 481 "pi.c"
        HEAP[$ry0]=$243; //@line 481 "pi.c"
        var $244=HEAP[$tcx1]; //@line 482 "pi.c"
        var $245=HEAP[$levelno]; //@line 482 "pi.c"
        var $246=_int_ceildivpow2($244, $245); //@line 482 "pi.c"
        HEAP[$rx1]=$246; //@line 482 "pi.c"
        var $247=HEAP[$tcy1]; //@line 483 "pi.c"
        var $248=HEAP[$levelno]; //@line 483 "pi.c"
        var $249=_int_ceildivpow2($247, $248); //@line 483 "pi.c"
        HEAP[$ry1]=$249; //@line 483 "pi.c"
        var $250=HEAP[$res]; //@line 484 "pi.c"
        var $251=CHECK_OVERFLOW(($250)&4294967295, 32); //@line 484 "pi.c"
        var $252=HEAP[$251]; //@line 484 "pi.c"
        var $253=HEAP[$rx0]; //@line 484 "pi.c"
        var $254=_int_floordivpow2($253, $252); //@line 484 "pi.c"
        var $255=HEAP[$res]; //@line 484 "pi.c"
        var $256=CHECK_OVERFLOW(($255)&4294967295, 32); //@line 484 "pi.c"
        var $257=HEAP[$256]; //@line 484 "pi.c"
        var $258=($254) << ($257); //@line 484 "pi.c"
        HEAP[$px0]=$258; //@line 484 "pi.c"
        var $259=HEAP[$res]; //@line 485 "pi.c"
        var $260=CHECK_OVERFLOW(($259+4)&4294967295, 32); //@line 485 "pi.c"
        var $261=HEAP[$260]; //@line 485 "pi.c"
        var $262=HEAP[$ry0]; //@line 485 "pi.c"
        var $263=_int_floordivpow2($262, $261); //@line 485 "pi.c"
        var $264=HEAP[$res]; //@line 485 "pi.c"
        var $265=CHECK_OVERFLOW(($264+4)&4294967295, 32); //@line 485 "pi.c"
        var $266=HEAP[$265]; //@line 485 "pi.c"
        var $267=($263) << ($266); //@line 485 "pi.c"
        HEAP[$py0]=$267; //@line 485 "pi.c"
        var $268=HEAP[$res]; //@line 486 "pi.c"
        var $269=CHECK_OVERFLOW(($268)&4294967295, 32); //@line 486 "pi.c"
        var $270=HEAP[$269]; //@line 486 "pi.c"
        var $271=HEAP[$rx1]; //@line 486 "pi.c"
        var $272=_int_ceildivpow2($271, $270); //@line 486 "pi.c"
        var $273=HEAP[$res]; //@line 486 "pi.c"
        var $274=CHECK_OVERFLOW(($273)&4294967295, 32); //@line 486 "pi.c"
        var $275=HEAP[$274]; //@line 486 "pi.c"
        var $276=($272) << ($275); //@line 486 "pi.c"
        HEAP[$px1]=$276; //@line 486 "pi.c"
        var $277=HEAP[$res]; //@line 487 "pi.c"
        var $278=CHECK_OVERFLOW(($277+4)&4294967295, 32); //@line 487 "pi.c"
        var $279=HEAP[$278]; //@line 487 "pi.c"
        var $280=HEAP[$ry1]; //@line 487 "pi.c"
        var $281=_int_ceildivpow2($280, $279); //@line 487 "pi.c"
        var $282=HEAP[$res]; //@line 487 "pi.c"
        var $283=CHECK_OVERFLOW(($282+4)&4294967295, 32); //@line 487 "pi.c"
        var $284=HEAP[$283]; //@line 487 "pi.c"
        var $285=($281) << ($284); //@line 487 "pi.c"
        HEAP[$py1]=$285; //@line 487 "pi.c"
        var $286=HEAP[$rx0]; //@line 488 "pi.c"
        var $287=HEAP[$rx1]; //@line 488 "pi.c"
        var $288=($286)!=($287); //@line 488 "pi.c"
        if ($288) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 488 "pi.c"
      case 15: // $bb14
        var $289=HEAP[$px1]; //@line 488 "pi.c"
        var $290=HEAP[$px0]; //@line 488 "pi.c"
        var $291=CHECK_OVERFLOW((($289) - ($290))&4294967295, 32); //@line 488 "pi.c"
        var $292=HEAP[$res]; //@line 488 "pi.c"
        var $293=CHECK_OVERFLOW(($292)&4294967295, 32); //@line 488 "pi.c"
        var $294=HEAP[$293]; //@line 488 "pi.c"
        var $295=($291) >> ($294); //@line 488 "pi.c"
        HEAP[$iftmp_8]=$295; //@line 488 "pi.c"
        __label__ = 17; break; //@line 488 "pi.c"
      case 16: // $bb15
        HEAP[$iftmp_8]=0; //@line 488 "pi.c"
        __label__ = 17; break; //@line 488 "pi.c"
      case 17: // $bb16
        var $296=HEAP[$res]; //@line 488 "pi.c"
        var $297=CHECK_OVERFLOW(($296+8)&4294967295, 32); //@line 488 "pi.c"
        var $298=HEAP[$iftmp_8]; //@line 488 "pi.c"
        HEAP[$297]=$298; //@line 488 "pi.c"
        var $299=HEAP[$ry0]; //@line 489 "pi.c"
        var $300=HEAP[$ry1]; //@line 489 "pi.c"
        var $301=($299)!=($300); //@line 489 "pi.c"
        if ($301) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 489 "pi.c"
      case 18: // $bb17
        var $302=HEAP[$py1]; //@line 489 "pi.c"
        var $303=HEAP[$py0]; //@line 489 "pi.c"
        var $304=CHECK_OVERFLOW((($302) - ($303))&4294967295, 32); //@line 489 "pi.c"
        var $305=HEAP[$res]; //@line 489 "pi.c"
        var $306=CHECK_OVERFLOW(($305+4)&4294967295, 32); //@line 489 "pi.c"
        var $307=HEAP[$306]; //@line 489 "pi.c"
        var $308=($304) >> ($307); //@line 489 "pi.c"
        HEAP[$iftmp_9]=$308; //@line 489 "pi.c"
        __label__ = 20; break; //@line 489 "pi.c"
      case 19: // $bb18
        HEAP[$iftmp_9]=0; //@line 489 "pi.c"
        __label__ = 20; break; //@line 489 "pi.c"
      case 20: // $bb19
        var $309=HEAP[$res]; //@line 489 "pi.c"
        var $310=CHECK_OVERFLOW(($309+12)&4294967295, 32); //@line 489 "pi.c"
        var $311=HEAP[$iftmp_9]; //@line 489 "pi.c"
        HEAP[$310]=$311; //@line 489 "pi.c"
        var $312=HEAP[$res]; //@line 491 "pi.c"
        var $313=CHECK_OVERFLOW(($312+8)&4294967295, 32); //@line 491 "pi.c"
        var $314=HEAP[$313]; //@line 491 "pi.c"
        var $315=HEAP[$res]; //@line 491 "pi.c"
        var $316=CHECK_OVERFLOW(($315+12)&4294967295, 32); //@line 491 "pi.c"
        var $317=HEAP[$316]; //@line 491 "pi.c"
        var $318=CHECK_OVERFLOW((($314) * ($317))&4294967295, 32); //@line 491 "pi.c"
        var $319=HEAP[$maxprec]; //@line 491 "pi.c"
        var $320=($318) > ($319); //@line 491 "pi.c"
        if ($320) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 491 "pi.c"
      case 21: // $bb20
        var $321=HEAP[$res]; //@line 492 "pi.c"
        var $322=CHECK_OVERFLOW(($321+8)&4294967295, 32); //@line 492 "pi.c"
        var $323=HEAP[$322]; //@line 492 "pi.c"
        var $324=HEAP[$res]; //@line 492 "pi.c"
        var $325=CHECK_OVERFLOW(($324+12)&4294967295, 32); //@line 492 "pi.c"
        var $326=HEAP[$325]; //@line 492 "pi.c"
        var $327=CHECK_OVERFLOW((($323) * ($326))&4294967295, 32); //@line 492 "pi.c"
        HEAP[$maxprec]=$327; //@line 492 "pi.c"
        __label__ = 22; break; //@line 492 "pi.c"
      case 22: // $bb21
        var $328=HEAP[$resno]; //@line 467 "pi.c"
        var $329=CHECK_OVERFLOW((($328) + 1)&4294967295, 32); //@line 467 "pi.c"
        HEAP[$resno]=$329; //@line 467 "pi.c"
        __label__ = 11; break; //@line 467 "pi.c"
      case 11: // $bb22
        var $330=HEAP[$comp]; //@line 467 "pi.c"
        var $331=CHECK_OVERFLOW(($330+8)&4294967295, 32); //@line 467 "pi.c"
        var $332=HEAP[$331]; //@line 467 "pi.c"
        var $333=HEAP[$resno]; //@line 467 "pi.c"
        var $334=($332) > ($333); //@line 467 "pi.c"
        if ($334) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 467 "pi.c"
      case 24: // $bb23
        var $335=HEAP[$compno]; //@line 444 "pi.c"
        var $336=CHECK_OVERFLOW((($335) + 1)&4294967295, 32); //@line 444 "pi.c"
        HEAP[$compno]=$336; //@line 444 "pi.c"
        __label__ = 6; break; //@line 444 "pi.c"
      case 6: // $bb24
        var $337=HEAP[$pi]; //@line 444 "pi.c"
        var $338=CHECK_OVERFLOW(($337+192)&4294967295, 32); //@line 444 "pi.c"
        var $339=HEAP[$338]; //@line 444 "pi.c"
        var $340=HEAP[$compno]; //@line 444 "pi.c"
        var $341=($339) > ($340); //@line 444 "pi.c"
        if ($341) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 444 "pi.c"
      case 26: // $bb25
        var $342=HEAP[$tcp]; //@line 498 "pi.c"
        var $343=CHECK_OVERFLOW(($342+5584)&4294967295, 32); //@line 498 "pi.c"
        var $344=HEAP[$343]; //@line 498 "pi.c"
        var $345=CHECK_OVERFLOW(($344)&4294967295, 32); //@line 498 "pi.c"
        HEAP[$tccp]=$345; //@line 498 "pi.c"
        var $346=HEAP[$pi]; //@line 499 "pi.c"
        var $347=HEAP[$pino]; //@line 499 "pi.c"
        var $348=CHECK_OVERFLOW(($346+232*$347)&4294967295, 32); //@line 499 "pi.c"
        var $349=CHECK_OVERFLOW(($348+20)&4294967295, 32); //@line 499 "pi.c"
        HEAP[$349]=1; //@line 499 "pi.c"
        var $350=HEAP[$pi]; //@line 500 "pi.c"
        var $351=HEAP[$pino]; //@line 500 "pi.c"
        var $352=CHECK_OVERFLOW(($350+232*$351)&4294967295, 32); //@line 500 "pi.c"
        var $353=HEAP[$pi]; //@line 500 "pi.c"
        var $354=HEAP[$pino]; //@line 500 "pi.c"
        var $355=CHECK_OVERFLOW(($353+232*$354)&4294967295, 32); //@line 500 "pi.c"
        var $356=CHECK_OVERFLOW(($355+20)&4294967295, 32); //@line 500 "pi.c"
        var $357=HEAP[$356]; //@line 500 "pi.c"
        var $358=HEAP[$maxprec]; //@line 500 "pi.c"
        var $359=CHECK_OVERFLOW((($357) * ($358))&4294967295, 32); //@line 500 "pi.c"
        var $360=CHECK_OVERFLOW(($352+16)&4294967295, 32); //@line 500 "pi.c"
        HEAP[$360]=$359; //@line 500 "pi.c"
        var $361=HEAP[$pi]; //@line 501 "pi.c"
        var $362=HEAP[$pino]; //@line 501 "pi.c"
        var $363=CHECK_OVERFLOW(($361+232*$362)&4294967295, 32); //@line 501 "pi.c"
        var $364=HEAP[$image_addr]; //@line 501 "pi.c"
        var $365=CHECK_OVERFLOW(($364+16)&4294967295, 32); //@line 501 "pi.c"
        var $366=HEAP[$365]; //@line 501 "pi.c"
        var $367=HEAP[$pi]; //@line 501 "pi.c"
        var $368=HEAP[$pino]; //@line 501 "pi.c"
        var $369=CHECK_OVERFLOW(($367+232*$368)&4294967295, 32); //@line 501 "pi.c"
        var $370=CHECK_OVERFLOW(($369+16)&4294967295, 32); //@line 501 "pi.c"
        var $371=HEAP[$370]; //@line 501 "pi.c"
        var $372=CHECK_OVERFLOW((($366) * ($371))&4294967295, 32); //@line 501 "pi.c"
        var $373=CHECK_OVERFLOW(($363+12)&4294967295, 32); //@line 501 "pi.c"
        HEAP[$373]=$372; //@line 501 "pi.c"
        var $374=HEAP[$pi]; //@line 502 "pi.c"
        var $375=HEAP[$pino]; //@line 502 "pi.c"
        var $376=CHECK_OVERFLOW(($374+232*$375)&4294967295, 32); //@line 502 "pi.c"
        var $377=HEAP[$pi]; //@line 502 "pi.c"
        var $378=HEAP[$pino]; //@line 502 "pi.c"
        var $379=CHECK_OVERFLOW(($377+232*$378)&4294967295, 32); //@line 502 "pi.c"
        var $380=CHECK_OVERFLOW(($379+12)&4294967295, 32); //@line 502 "pi.c"
        var $381=HEAP[$380]; //@line 502 "pi.c"
        var $382=HEAP[$maxres]; //@line 502 "pi.c"
        var $383=CHECK_OVERFLOW((($381) * ($382))&4294967295, 32); //@line 502 "pi.c"
        var $384=CHECK_OVERFLOW(($376+8)&4294967295, 32); //@line 502 "pi.c"
        HEAP[$384]=$383; //@line 502 "pi.c"
        var $385=HEAP[$pino]; //@line 504 "pi.c"
        var $386=($385)==0; //@line 504 "pi.c"
        if ($386) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 504 "pi.c"
      case 27: // $bb26
        var $387=HEAP[$pi]; //@line 505 "pi.c"
        var $388=HEAP[$pino]; //@line 505 "pi.c"
        var $389=CHECK_OVERFLOW(($387+232*$388)&4294967295, 32); //@line 505 "pi.c"
        var $390=HEAP[$image_addr]; //@line 505 "pi.c"
        var $391=CHECK_OVERFLOW(($390+16)&4294967295, 32); //@line 505 "pi.c"
        var $392=HEAP[$391]; //@line 505 "pi.c"
        var $393=HEAP[$maxres]; //@line 505 "pi.c"
        var $394=CHECK_OVERFLOW((($392) * ($393))&4294967295, 32); //@line 505 "pi.c"
        var $395=HEAP[$tcp]; //@line 505 "pi.c"
        var $396=CHECK_OVERFLOW(($395+12)&4294967295, 32); //@line 505 "pi.c"
        var $397=HEAP[$396]; //@line 505 "pi.c"
        var $398=CHECK_OVERFLOW((($394) * ($397))&4294967295, 32); //@line 505 "pi.c"
        var $399=HEAP[$maxprec]; //@line 505 "pi.c"
        var $400=CHECK_OVERFLOW((($398) * ($399))&4294967295, 32); //@line 505 "pi.c"
        var $401=_calloc($400, 2); //@line 505 "pi.c"
        var $402=$401; //@line 505 "pi.c"
        var $403=CHECK_OVERFLOW(($389+4)&4294967295, 32); //@line 505 "pi.c"
        HEAP[$403]=$402; //@line 505 "pi.c"
        var $404=HEAP[$pi]; //@line 506 "pi.c"
        var $405=HEAP[$pino]; //@line 506 "pi.c"
        var $406=CHECK_OVERFLOW(($404+232*$405)&4294967295, 32); //@line 506 "pi.c"
        var $407=CHECK_OVERFLOW(($406+4)&4294967295, 32); //@line 506 "pi.c"
        var $408=HEAP[$407]; //@line 506 "pi.c"
        var $409=($408)==0; //@line 506 "pi.c"
        if ($409) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 506 "pi.c"
      case 29: // $bb27
        var $410=HEAP[$pi]; //@line 508 "pi.c"
        var $411=HEAP[$cp_addr]; //@line 508 "pi.c"
        var $412=HEAP[$tileno_addr]; //@line 508 "pi.c"
        _pi_destroy($410, $411, $412); //@line 508 "pi.c"
        HEAP[$0]=0; //@line 509 "pi.c"
        __label__ = 2; break; //@line 509 "pi.c"
      case 30: // $bb28
        __label__ = 31; break; //@line 509 "pi.c"
      case 28: // $bb29
        var $413=HEAP[$pi]; //@line 513 "pi.c"
        var $414=HEAP[$pino]; //@line 513 "pi.c"
        var $415=CHECK_OVERFLOW(($413+232*$414)&4294967295, 32); //@line 513 "pi.c"
        var $416=HEAP[$pino]; //@line 513 "pi.c"
        var $417=CHECK_OVERFLOW((($416) - 1)&4294967295, 32); //@line 513 "pi.c"
        var $418=HEAP[$pi]; //@line 513 "pi.c"
        var $419=CHECK_OVERFLOW(($418+232*$417)&4294967295, 32); //@line 513 "pi.c"
        var $420=CHECK_OVERFLOW(($419+4)&4294967295, 32); //@line 513 "pi.c"
        var $421=HEAP[$420]; //@line 513 "pi.c"
        var $422=CHECK_OVERFLOW(($415+4)&4294967295, 32); //@line 513 "pi.c"
        HEAP[$422]=$421; //@line 513 "pi.c"
        __label__ = 31; break; //@line 513 "pi.c"
      case 31: // $bb30
        var $423=HEAP[$tcp]; //@line 516 "pi.c"
        var $424=CHECK_OVERFLOW(($423+424)&4294967295, 32); //@line 516 "pi.c"
        var $425=HEAP[$424]; //@line 516 "pi.c"
        var $426=($425)==0; //@line 516 "pi.c"
        if ($426) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 516 "pi.c"
      case 32: // $bb31
        var $427=HEAP[$pi]; //@line 517 "pi.c"
        var $428=HEAP[$pino]; //@line 517 "pi.c"
        var $429=CHECK_OVERFLOW(($427+232*$428)&4294967295, 32); //@line 517 "pi.c"
        var $430=CHECK_OVERFLOW(($429+40)&4294967295, 32); //@line 517 "pi.c"
        HEAP[$430]=1; //@line 517 "pi.c"
        var $431=HEAP[$pi]; //@line 518 "pi.c"
        var $432=HEAP[$pino]; //@line 518 "pi.c"
        var $433=CHECK_OVERFLOW(($431+232*$432)&4294967295, 32); //@line 518 "pi.c"
        var $434=CHECK_OVERFLOW(($433+44)&4294967295, 32); //@line 518 "pi.c"
        var $435=CHECK_OVERFLOW(($434)&4294967295, 32); //@line 518 "pi.c"
        HEAP[$435]=0; //@line 518 "pi.c"
        var $436=HEAP[$pi]; //@line 519 "pi.c"
        var $437=HEAP[$pino]; //@line 519 "pi.c"
        var $438=CHECK_OVERFLOW(($436+232*$437)&4294967295, 32); //@line 519 "pi.c"
        var $439=CHECK_OVERFLOW(($438+44)&4294967295, 32); //@line 519 "pi.c"
        var $440=CHECK_OVERFLOW(($439+4)&4294967295, 32); //@line 519 "pi.c"
        HEAP[$440]=0; //@line 519 "pi.c"
        var $441=HEAP[$pi]; //@line 520 "pi.c"
        var $442=HEAP[$pino]; //@line 520 "pi.c"
        var $443=CHECK_OVERFLOW(($441+232*$442)&4294967295, 32); //@line 520 "pi.c"
        var $444=HEAP[$tcp]; //@line 520 "pi.c"
        var $445=CHECK_OVERFLOW(($444+12)&4294967295, 32); //@line 520 "pi.c"
        var $446=HEAP[$445]; //@line 520 "pi.c"
        var $447=CHECK_OVERFLOW(($443+44)&4294967295, 32); //@line 520 "pi.c"
        var $448=CHECK_OVERFLOW(($447+8)&4294967295, 32); //@line 520 "pi.c"
        HEAP[$448]=$446; //@line 520 "pi.c"
        var $449=HEAP[$pi]; //@line 521 "pi.c"
        var $450=HEAP[$pino]; //@line 521 "pi.c"
        var $451=CHECK_OVERFLOW(($449+232*$450)&4294967295, 32); //@line 521 "pi.c"
        var $452=CHECK_OVERFLOW(($451+44)&4294967295, 32); //@line 521 "pi.c"
        var $453=CHECK_OVERFLOW(($452+12)&4294967295, 32); //@line 521 "pi.c"
        var $454=HEAP[$maxres]; //@line 521 "pi.c"
        HEAP[$453]=$454; //@line 521 "pi.c"
        var $455=HEAP[$pi]; //@line 522 "pi.c"
        var $456=HEAP[$pino]; //@line 522 "pi.c"
        var $457=CHECK_OVERFLOW(($455+232*$456)&4294967295, 32); //@line 522 "pi.c"
        var $458=HEAP[$image_addr]; //@line 522 "pi.c"
        var $459=CHECK_OVERFLOW(($458+16)&4294967295, 32); //@line 522 "pi.c"
        var $460=HEAP[$459]; //@line 522 "pi.c"
        var $461=CHECK_OVERFLOW(($457+44)&4294967295, 32); //@line 522 "pi.c"
        var $462=CHECK_OVERFLOW(($461+16)&4294967295, 32); //@line 522 "pi.c"
        HEAP[$462]=$460; //@line 522 "pi.c"
        var $463=HEAP[$pi]; //@line 523 "pi.c"
        var $464=HEAP[$pino]; //@line 523 "pi.c"
        var $465=CHECK_OVERFLOW(($463+232*$464)&4294967295, 32); //@line 523 "pi.c"
        var $466=HEAP[$tcp]; //@line 523 "pi.c"
        var $467=CHECK_OVERFLOW(($466+8)&4294967295, 32); //@line 523 "pi.c"
        var $468=HEAP[$467]; //@line 523 "pi.c"
        var $469=CHECK_OVERFLOW(($465+44)&4294967295, 32); //@line 523 "pi.c"
        var $470=CHECK_OVERFLOW(($469+36)&4294967295, 32); //@line 523 "pi.c"
        HEAP[$470]=$468; //@line 523 "pi.c"
        __label__ = 34; break; //@line 523 "pi.c"
      case 33: // $bb32
        var $471=HEAP[$pi]; //@line 525 "pi.c"
        var $472=HEAP[$pino]; //@line 525 "pi.c"
        var $473=CHECK_OVERFLOW(($471+232*$472)&4294967295, 32); //@line 525 "pi.c"
        var $474=CHECK_OVERFLOW(($473+40)&4294967295, 32); //@line 525 "pi.c"
        HEAP[$474]=1; //@line 525 "pi.c"
        var $475=HEAP[$pi]; //@line 526 "pi.c"
        var $476=HEAP[$pino]; //@line 526 "pi.c"
        var $477=CHECK_OVERFLOW(($475+232*$476)&4294967295, 32); //@line 526 "pi.c"
        var $478=HEAP[$pino]; //@line 526 "pi.c"
        var $479=HEAP[$tcp]; //@line 526 "pi.c"
        var $480=CHECK_OVERFLOW(($479+428)&4294967295, 32); //@line 526 "pi.c"
        var $481=CHECK_OVERFLOW(($480+$478*148)&4294967295, 32); //@line 526 "pi.c"
        var $482=CHECK_OVERFLOW(($481)&4294967295, 32); //@line 526 "pi.c"
        var $483=HEAP[$482]; //@line 526 "pi.c"
        var $484=CHECK_OVERFLOW(($477+44)&4294967295, 32); //@line 526 "pi.c"
        var $485=CHECK_OVERFLOW(($484)&4294967295, 32); //@line 526 "pi.c"
        HEAP[$485]=$483; //@line 526 "pi.c"
        var $486=HEAP[$pi]; //@line 527 "pi.c"
        var $487=HEAP[$pino]; //@line 527 "pi.c"
        var $488=CHECK_OVERFLOW(($486+232*$487)&4294967295, 32); //@line 527 "pi.c"
        var $489=HEAP[$pino]; //@line 527 "pi.c"
        var $490=HEAP[$tcp]; //@line 527 "pi.c"
        var $491=CHECK_OVERFLOW(($490+428)&4294967295, 32); //@line 527 "pi.c"
        var $492=CHECK_OVERFLOW(($491+$489*148)&4294967295, 32); //@line 527 "pi.c"
        var $493=CHECK_OVERFLOW(($492+4)&4294967295, 32); //@line 527 "pi.c"
        var $494=HEAP[$493]; //@line 527 "pi.c"
        var $495=CHECK_OVERFLOW(($488+44)&4294967295, 32); //@line 527 "pi.c"
        var $496=CHECK_OVERFLOW(($495+4)&4294967295, 32); //@line 527 "pi.c"
        HEAP[$496]=$494; //@line 527 "pi.c"
        var $497=HEAP[$pi]; //@line 528 "pi.c"
        var $498=HEAP[$pino]; //@line 528 "pi.c"
        var $499=CHECK_OVERFLOW(($497+232*$498)&4294967295, 32); //@line 528 "pi.c"
        var $500=HEAP[$pino]; //@line 528 "pi.c"
        var $501=HEAP[$tcp]; //@line 528 "pi.c"
        var $502=CHECK_OVERFLOW(($501+428)&4294967295, 32); //@line 528 "pi.c"
        var $503=CHECK_OVERFLOW(($502+$500*148)&4294967295, 32); //@line 528 "pi.c"
        var $504=CHECK_OVERFLOW(($503+8)&4294967295, 32); //@line 528 "pi.c"
        var $505=HEAP[$504]; //@line 528 "pi.c"
        var $506=CHECK_OVERFLOW(($499+44)&4294967295, 32); //@line 528 "pi.c"
        var $507=CHECK_OVERFLOW(($506+8)&4294967295, 32); //@line 528 "pi.c"
        HEAP[$507]=$505; //@line 528 "pi.c"
        var $508=HEAP[$pi]; //@line 529 "pi.c"
        var $509=HEAP[$pino]; //@line 529 "pi.c"
        var $510=CHECK_OVERFLOW(($508+232*$509)&4294967295, 32); //@line 529 "pi.c"
        var $511=HEAP[$pino]; //@line 529 "pi.c"
        var $512=HEAP[$tcp]; //@line 529 "pi.c"
        var $513=CHECK_OVERFLOW(($512+428)&4294967295, 32); //@line 529 "pi.c"
        var $514=CHECK_OVERFLOW(($513+$511*148)&4294967295, 32); //@line 529 "pi.c"
        var $515=CHECK_OVERFLOW(($514+12)&4294967295, 32); //@line 529 "pi.c"
        var $516=HEAP[$515]; //@line 529 "pi.c"
        var $517=CHECK_OVERFLOW(($510+44)&4294967295, 32); //@line 529 "pi.c"
        var $518=CHECK_OVERFLOW(($517+12)&4294967295, 32); //@line 529 "pi.c"
        HEAP[$518]=$516; //@line 529 "pi.c"
        var $519=HEAP[$pi]; //@line 530 "pi.c"
        var $520=HEAP[$pino]; //@line 530 "pi.c"
        var $521=CHECK_OVERFLOW(($519+232*$520)&4294967295, 32); //@line 530 "pi.c"
        var $522=HEAP[$pino]; //@line 530 "pi.c"
        var $523=HEAP[$tcp]; //@line 530 "pi.c"
        var $524=CHECK_OVERFLOW(($523+428)&4294967295, 32); //@line 530 "pi.c"
        var $525=CHECK_OVERFLOW(($524+$522*148)&4294967295, 32); //@line 530 "pi.c"
        var $526=CHECK_OVERFLOW(($525+16)&4294967295, 32); //@line 530 "pi.c"
        var $527=HEAP[$526]; //@line 530 "pi.c"
        var $528=CHECK_OVERFLOW(($521+44)&4294967295, 32); //@line 530 "pi.c"
        var $529=CHECK_OVERFLOW(($528+16)&4294967295, 32); //@line 530 "pi.c"
        HEAP[$529]=$527; //@line 530 "pi.c"
        var $530=HEAP[$pi]; //@line 531 "pi.c"
        var $531=HEAP[$pino]; //@line 531 "pi.c"
        var $532=CHECK_OVERFLOW(($530+232*$531)&4294967295, 32); //@line 531 "pi.c"
        var $533=HEAP[$pino]; //@line 531 "pi.c"
        var $534=HEAP[$tcp]; //@line 531 "pi.c"
        var $535=CHECK_OVERFLOW(($534+428)&4294967295, 32); //@line 531 "pi.c"
        var $536=CHECK_OVERFLOW(($535+$533*148)&4294967295, 32); //@line 531 "pi.c"
        var $537=CHECK_OVERFLOW(($536+36)&4294967295, 32); //@line 531 "pi.c"
        var $538=HEAP[$537]; //@line 531 "pi.c"
        var $539=CHECK_OVERFLOW(($532+44)&4294967295, 32); //@line 531 "pi.c"
        var $540=CHECK_OVERFLOW(($539+36)&4294967295, 32); //@line 531 "pi.c"
        HEAP[$540]=$538; //@line 531 "pi.c"
        __label__ = 34; break; //@line 531 "pi.c"
      case 34: // $bb33
        var $541=HEAP[$pi]; //@line 533 "pi.c"
        var $542=HEAP[$pino]; //@line 533 "pi.c"
        var $543=CHECK_OVERFLOW(($541+232*$542)&4294967295, 32); //@line 533 "pi.c"
        var $544=CHECK_OVERFLOW(($543+44)&4294967295, 32); //@line 533 "pi.c"
        var $545=CHECK_OVERFLOW(($544+20)&4294967295, 32); //@line 533 "pi.c"
        HEAP[$545]=0; //@line 533 "pi.c"
        var $546=HEAP[$pi]; //@line 534 "pi.c"
        var $547=HEAP[$pino]; //@line 534 "pi.c"
        var $548=CHECK_OVERFLOW(($546+232*$547)&4294967295, 32); //@line 534 "pi.c"
        var $549=CHECK_OVERFLOW(($548+44)&4294967295, 32); //@line 534 "pi.c"
        var $550=CHECK_OVERFLOW(($549+24)&4294967295, 32); //@line 534 "pi.c"
        HEAP[$550]=0; //@line 534 "pi.c"
        var $551=HEAP[$pi]; //@line 535 "pi.c"
        var $552=HEAP[$pino]; //@line 535 "pi.c"
        var $553=CHECK_OVERFLOW(($551+232*$552)&4294967295, 32); //@line 535 "pi.c"
        var $554=CHECK_OVERFLOW(($553+44)&4294967295, 32); //@line 535 "pi.c"
        var $555=CHECK_OVERFLOW(($554+28)&4294967295, 32); //@line 535 "pi.c"
        var $556=HEAP[$maxprec]; //@line 535 "pi.c"
        HEAP[$555]=$556; //@line 535 "pi.c"
        var $557=HEAP[$pino]; //@line 425 "pi.c"
        var $558=CHECK_OVERFLOW((($557) + 1)&4294967295, 32); //@line 425 "pi.c"
        HEAP[$pino]=$558; //@line 425 "pi.c"
        __label__ = 3; break; //@line 425 "pi.c"
      case 3: // $bb34
        var $559=HEAP[$tcp]; //@line 425 "pi.c"
        var $560=CHECK_OVERFLOW(($559+420)&4294967295, 32); //@line 425 "pi.c"
        var $561=HEAP[$560]; //@line 425 "pi.c"
        var $562=CHECK_OVERFLOW((($561) + 1)&4294967295, 32); //@line 425 "pi.c"
        var $563=HEAP[$pino]; //@line 425 "pi.c"
        var $564=($562) > ($563); //@line 425 "pi.c"
        if ($564) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 425 "pi.c"
      case 36: // $bb35
        var $565=HEAP[$pi]; //@line 539 "pi.c"
        HEAP[$0]=$565; //@line 539 "pi.c"
        __label__ = 2; break; //@line 539 "pi.c"
      case 2: // $bb36
        var $566=HEAP[$0]; //@line 422 "pi.c"
        HEAP[$retval]=$566; //@line 422 "pi.c"
        __label__ = 37; break; //@line 422 "pi.c"
      case 37: // $return
        var $retval37=HEAP[$retval]; //@line 422 "pi.c"
        STACKTOP = __stackBase__;
        return $retval37; //@line 422 "pi.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_max($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$b_addr]; //@line 58 "int.h"
        var $2=HEAP[$a_addr]; //@line 58 "int.h"
        var $3=($1) >= ($2); //@line 58 "int.h"
        var $max=($3) ? ($1) : ($2); //@line 58 "int.h"
        HEAP[$0]=$max; //@line 58 "int.h"
        var $4=HEAP[$0]; //@line 58 "int.h"
        HEAP[$retval]=$4; //@line 58 "int.h"
        __label__ = 0; break; //@line 58 "int.h"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 58 "int.h"
        STACKTOP = __stackBase__;
        return $retval1; //@line 58 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_ceildivpow2($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$b_addr]; //@line 94 "int.h"
        var $2=1 << ($1); //@line 94 "int.h"
        var $3=HEAP[$a_addr]; //@line 94 "int.h"
        var $4=CHECK_OVERFLOW((($2) + ($3))&4294967295, 32); //@line 94 "int.h"
        var $5=CHECK_OVERFLOW((($4) - 1)&4294967295, 32); //@line 94 "int.h"
        var $6=HEAP[$b_addr]; //@line 94 "int.h"
        var $7=($5) >> ($6); //@line 94 "int.h"
        HEAP[$0]=$7; //@line 94 "int.h"
        var $8=HEAP[$0]; //@line 94 "int.h"
        HEAP[$retval]=$8; //@line 94 "int.h"
        __label__ = 0; break; //@line 94 "int.h"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 94 "int.h"
        STACKTOP = __stackBase__;
        return $retval1; //@line 94 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _pi_initialise_encode($image, $cp, $tileno, $t2_mode) {
    var __stackBase__  = STACKTOP; STACKTOP += 160; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 160);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $image_addr=__stackBase__;
        var $cp_addr=__stackBase__+4;
        var $tileno_addr=__stackBase__+8;
        var $t2_mode_addr=__stackBase__+12;
        var $retval=__stackBase__+16;
        var $iftmp_35=__stackBase__+20;
        var $iftmp_21=__stackBase__+24;
        var $iftmp_20=__stackBase__+28;
        var $iftmp_19=__stackBase__+32;
        var $iftmp_18=__stackBase__+36;
        var $0=__stackBase__+40;
        var $p=__stackBase__+44;
        var $q=__stackBase__+48;
        var $pino=__stackBase__+52;
        var $compno=__stackBase__+56;
        var $resno=__stackBase__+60;
        var $maxres=__stackBase__+64;
        var $maxprec=__stackBase__+68;
        var $pi=__stackBase__+72;
        var $tcp=__stackBase__+76;
        var $tccp=__stackBase__+80;
        var $tcx0=__stackBase__+84;
        var $tcy0=__stackBase__+88;
        var $tcx1=__stackBase__+92;
        var $tcy1=__stackBase__+96;
        var $comp=__stackBase__+100;
        var $levelno=__stackBase__+104;
        var $rx0=__stackBase__+108;
        var $ry0=__stackBase__+112;
        var $rx1=__stackBase__+116;
        var $ry1=__stackBase__+120;
        var $px0=__stackBase__+124;
        var $py0=__stackBase__+128;
        var $px1=__stackBase__+132;
        var $py1=__stackBase__+136;
        var $res=__stackBase__+140;
        var $comp27=__stackBase__+144;
        var $dx=__stackBase__+148;
        var $dy=__stackBase__+152;
        var $res29=__stackBase__+156;
        var $_alloca_point_=0;
        HEAP[$image_addr]=$image;
        HEAP[$cp_addr]=$cp;
        HEAP[$tileno_addr]=$tileno;
        HEAP[$t2_mode_addr]=$t2_mode;
        HEAP[$maxres]=0; //@line 546 "pi.c"
        HEAP[$maxprec]=0; //@line 547 "pi.c"
        HEAP[$pi]=0; //@line 548 "pi.c"
        HEAP[$tcp]=0; //@line 549 "pi.c"
        HEAP[$tccp]=0; //@line 550 "pi.c"
        var $1=HEAP[$cp_addr]; //@line 552 "pi.c"
        var $2=CHECK_OVERFLOW(($1+108)&4294967295, 32); //@line 552 "pi.c"
        var $3=HEAP[$2]; //@line 552 "pi.c"
        var $4=HEAP[$tileno_addr]; //@line 552 "pi.c"
        var $5=CHECK_OVERFLOW(($3+5588*$4)&4294967295, 32); //@line 552 "pi.c"
        HEAP[$tcp]=$5; //@line 552 "pi.c"
        var $6=HEAP[$tcp]; //@line 554 "pi.c"
        var $7=CHECK_OVERFLOW(($6+420)&4294967295, 32); //@line 554 "pi.c"
        var $8=HEAP[$7]; //@line 554 "pi.c"
        var $9=CHECK_OVERFLOW((($8) + 1)&4294967295, 32); //@line 554 "pi.c"
        var $10=_calloc($9, 232); //@line 554 "pi.c"
        var $11=$10; //@line 554 "pi.c"
        HEAP[$pi]=$11; //@line 554 "pi.c"
        var $12=HEAP[$pi]; //@line 555 "pi.c"
        var $13=($12)==0; //@line 555 "pi.c"
        if ($13) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 555 "pi.c"
      case 0: // $bb
        HEAP[$0]=0; //@line 555 "pi.c"
        __label__ = 2; break; //@line 555 "pi.c"
      case 1: // $bb1
        var $14=HEAP[$cp_addr]; //@line 556 "pi.c"
        var $15=CHECK_OVERFLOW(($14+16)&4294967295, 32); //@line 556 "pi.c"
        var $16=HEAP[$15]; //@line 556 "pi.c"
        var $17=HEAP[$pi]; //@line 556 "pi.c"
        var $18=CHECK_OVERFLOW(($17)&4294967295, 32); //@line 556 "pi.c"
        HEAP[$18]=$16; //@line 556 "pi.c"
        HEAP[$pino]=0; //@line 558 "pi.c"
        __label__ = 3; break; //@line 558 "pi.c"
      case 55: // $bb2
        var $19=HEAP[$cp_addr]; //@line 559 "pi.c"
        var $20=CHECK_OVERFLOW(($19+68)&4294967295, 32); //@line 559 "pi.c"
        var $21=HEAP[$20]; //@line 559 "pi.c"
        var $22=HEAP[$tileno_addr]; //@line 559 "pi.c"
        var $23=($22) % ($21); //@line 559 "pi.c"
        HEAP[$p]=$23; //@line 559 "pi.c"
        var $24=HEAP[$cp_addr]; //@line 560 "pi.c"
        var $25=CHECK_OVERFLOW(($24+68)&4294967295, 32); //@line 560 "pi.c"
        var $26=HEAP[$25]; //@line 560 "pi.c"
        var $27=HEAP[$tileno_addr]; //@line 560 "pi.c"
        var $28=(($27)/($26)|0); //@line 560 "pi.c"
        HEAP[$q]=$28; //@line 560 "pi.c"
        var $29=HEAP[$pi]; //@line 562 "pi.c"
        var $30=HEAP[$pino]; //@line 562 "pi.c"
        var $31=CHECK_OVERFLOW(($29+232*$30)&4294967295, 32); //@line 562 "pi.c"
        var $32=HEAP[$image_addr]; //@line 562 "pi.c"
        var $33=CHECK_OVERFLOW(($32)&4294967295, 32); //@line 562 "pi.c"
        var $34=HEAP[$33]; //@line 562 "pi.c"
        var $35=HEAP[$cp_addr]; //@line 562 "pi.c"
        var $36=CHECK_OVERFLOW(($35+48)&4294967295, 32); //@line 562 "pi.c"
        var $37=HEAP[$36]; //@line 562 "pi.c"
        var $38=HEAP[$cp_addr]; //@line 562 "pi.c"
        var $39=CHECK_OVERFLOW(($38+56)&4294967295, 32); //@line 562 "pi.c"
        var $40=HEAP[$39]; //@line 562 "pi.c"
        var $41=HEAP[$p]; //@line 562 "pi.c"
        var $42=CHECK_OVERFLOW((($40) * ($41))&4294967295, 32); //@line 562 "pi.c"
        var $43=CHECK_OVERFLOW((($37) + ($42))&4294967295, 32); //@line 562 "pi.c"
        var $44=_int_max($43, $34); //@line 562 "pi.c"
        var $45=CHECK_OVERFLOW(($31+200)&4294967295, 32); //@line 562 "pi.c"
        HEAP[$45]=$44; //@line 562 "pi.c"
        var $46=HEAP[$pi]; //@line 563 "pi.c"
        var $47=HEAP[$pino]; //@line 563 "pi.c"
        var $48=CHECK_OVERFLOW(($46+232*$47)&4294967295, 32); //@line 563 "pi.c"
        var $49=HEAP[$image_addr]; //@line 563 "pi.c"
        var $50=CHECK_OVERFLOW(($49+4)&4294967295, 32); //@line 563 "pi.c"
        var $51=HEAP[$50]; //@line 563 "pi.c"
        var $52=HEAP[$cp_addr]; //@line 563 "pi.c"
        var $53=CHECK_OVERFLOW(($52+52)&4294967295, 32); //@line 563 "pi.c"
        var $54=HEAP[$53]; //@line 563 "pi.c"
        var $55=HEAP[$cp_addr]; //@line 563 "pi.c"
        var $56=CHECK_OVERFLOW(($55+60)&4294967295, 32); //@line 563 "pi.c"
        var $57=HEAP[$56]; //@line 563 "pi.c"
        var $58=HEAP[$q]; //@line 563 "pi.c"
        var $59=CHECK_OVERFLOW((($57) * ($58))&4294967295, 32); //@line 563 "pi.c"
        var $60=CHECK_OVERFLOW((($54) + ($59))&4294967295, 32); //@line 563 "pi.c"
        var $61=_int_max($60, $51); //@line 563 "pi.c"
        var $62=CHECK_OVERFLOW(($48+204)&4294967295, 32); //@line 563 "pi.c"
        HEAP[$62]=$61; //@line 563 "pi.c"
        var $63=HEAP[$pi]; //@line 564 "pi.c"
        var $64=HEAP[$pino]; //@line 564 "pi.c"
        var $65=CHECK_OVERFLOW(($63+232*$64)&4294967295, 32); //@line 564 "pi.c"
        var $66=HEAP[$image_addr]; //@line 564 "pi.c"
        var $67=CHECK_OVERFLOW(($66+8)&4294967295, 32); //@line 564 "pi.c"
        var $68=HEAP[$67]; //@line 564 "pi.c"
        var $69=HEAP[$cp_addr]; //@line 564 "pi.c"
        var $70=CHECK_OVERFLOW(($69+48)&4294967295, 32); //@line 564 "pi.c"
        var $71=HEAP[$70]; //@line 564 "pi.c"
        var $72=HEAP[$p]; //@line 564 "pi.c"
        var $73=CHECK_OVERFLOW((($72) + 1)&4294967295, 32); //@line 564 "pi.c"
        var $74=HEAP[$cp_addr]; //@line 564 "pi.c"
        var $75=CHECK_OVERFLOW(($74+56)&4294967295, 32); //@line 564 "pi.c"
        var $76=HEAP[$75]; //@line 564 "pi.c"
        var $77=CHECK_OVERFLOW((($73) * ($76))&4294967295, 32); //@line 564 "pi.c"
        var $78=CHECK_OVERFLOW((($71) + ($77))&4294967295, 32); //@line 564 "pi.c"
        var $79=_int_min36($78, $68); //@line 564 "pi.c"
        var $80=CHECK_OVERFLOW(($65+208)&4294967295, 32); //@line 564 "pi.c"
        HEAP[$80]=$79; //@line 564 "pi.c"
        var $81=HEAP[$pi]; //@line 565 "pi.c"
        var $82=HEAP[$pino]; //@line 565 "pi.c"
        var $83=CHECK_OVERFLOW(($81+232*$82)&4294967295, 32); //@line 565 "pi.c"
        var $84=HEAP[$image_addr]; //@line 565 "pi.c"
        var $85=CHECK_OVERFLOW(($84+12)&4294967295, 32); //@line 565 "pi.c"
        var $86=HEAP[$85]; //@line 565 "pi.c"
        var $87=HEAP[$cp_addr]; //@line 565 "pi.c"
        var $88=CHECK_OVERFLOW(($87+52)&4294967295, 32); //@line 565 "pi.c"
        var $89=HEAP[$88]; //@line 565 "pi.c"
        var $90=HEAP[$q]; //@line 565 "pi.c"
        var $91=CHECK_OVERFLOW((($90) + 1)&4294967295, 32); //@line 565 "pi.c"
        var $92=HEAP[$cp_addr]; //@line 565 "pi.c"
        var $93=CHECK_OVERFLOW(($92+60)&4294967295, 32); //@line 565 "pi.c"
        var $94=HEAP[$93]; //@line 565 "pi.c"
        var $95=CHECK_OVERFLOW((($91) * ($94))&4294967295, 32); //@line 565 "pi.c"
        var $96=CHECK_OVERFLOW((($89) + ($95))&4294967295, 32); //@line 565 "pi.c"
        var $97=_int_min36($96, $86); //@line 565 "pi.c"
        var $98=CHECK_OVERFLOW(($83+212)&4294967295, 32); //@line 565 "pi.c"
        HEAP[$98]=$97; //@line 565 "pi.c"
        var $99=HEAP[$pi]; //@line 566 "pi.c"
        var $100=HEAP[$pino]; //@line 566 "pi.c"
        var $101=CHECK_OVERFLOW(($99+232*$100)&4294967295, 32); //@line 566 "pi.c"
        var $102=HEAP[$image_addr]; //@line 566 "pi.c"
        var $103=CHECK_OVERFLOW(($102+16)&4294967295, 32); //@line 566 "pi.c"
        var $104=HEAP[$103]; //@line 566 "pi.c"
        var $105=CHECK_OVERFLOW(($101+192)&4294967295, 32); //@line 566 "pi.c"
        HEAP[$105]=$104; //@line 566 "pi.c"
        var $106=HEAP[$pi]; //@line 568 "pi.c"
        var $107=HEAP[$pino]; //@line 568 "pi.c"
        var $108=CHECK_OVERFLOW(($106+232*$107)&4294967295, 32); //@line 568 "pi.c"
        var $109=HEAP[$image_addr]; //@line 568 "pi.c"
        var $110=CHECK_OVERFLOW(($109+16)&4294967295, 32); //@line 568 "pi.c"
        var $111=HEAP[$110]; //@line 568 "pi.c"
        var $112=_calloc($111, 16); //@line 568 "pi.c"
        var $113=$112; //@line 568 "pi.c"
        var $114=CHECK_OVERFLOW(($108+196)&4294967295, 32); //@line 568 "pi.c"
        HEAP[$114]=$113; //@line 568 "pi.c"
        var $115=HEAP[$pi]; //@line 569 "pi.c"
        var $116=HEAP[$pino]; //@line 569 "pi.c"
        var $117=CHECK_OVERFLOW(($115+232*$116)&4294967295, 32); //@line 569 "pi.c"
        var $118=CHECK_OVERFLOW(($117+196)&4294967295, 32); //@line 569 "pi.c"
        var $119=HEAP[$118]; //@line 569 "pi.c"
        var $120=($119)==0; //@line 569 "pi.c"
        if ($120) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 569 "pi.c"
      case 4: // $bb3
        var $121=HEAP[$pi]; //@line 570 "pi.c"
        var $122=HEAP[$cp_addr]; //@line 570 "pi.c"
        var $123=HEAP[$tileno_addr]; //@line 570 "pi.c"
        _pi_destroy($121, $122, $123); //@line 570 "pi.c"
        HEAP[$0]=0; //@line 571 "pi.c"
        __label__ = 2; break; //@line 571 "pi.c"
      case 5: // $bb4
        HEAP[$compno]=0; //@line 574 "pi.c"
        __label__ = 6; break; //@line 574 "pi.c"
      case 25: // $bb5
        var $124=HEAP[$pi]; //@line 576 "pi.c"
        var $125=HEAP[$pino]; //@line 576 "pi.c"
        var $126=CHECK_OVERFLOW(($124+232*$125)&4294967295, 32); //@line 576 "pi.c"
        var $127=CHECK_OVERFLOW(($126+196)&4294967295, 32); //@line 576 "pi.c"
        var $128=HEAP[$127]; //@line 576 "pi.c"
        var $129=HEAP[$compno]; //@line 576 "pi.c"
        var $130=CHECK_OVERFLOW(($128+16*$129)&4294967295, 32); //@line 576 "pi.c"
        HEAP[$comp]=$130; //@line 576 "pi.c"
        var $131=HEAP[$tcp]; //@line 577 "pi.c"
        var $132=CHECK_OVERFLOW(($131+5584)&4294967295, 32); //@line 577 "pi.c"
        var $133=HEAP[$132]; //@line 577 "pi.c"
        var $134=HEAP[$compno]; //@line 577 "pi.c"
        var $135=CHECK_OVERFLOW(($133+1076*$134)&4294967295, 32); //@line 577 "pi.c"
        HEAP[$tccp]=$135; //@line 577 "pi.c"
        var $136=HEAP[$image_addr]; //@line 578 "pi.c"
        var $137=CHECK_OVERFLOW(($136+24)&4294967295, 32); //@line 578 "pi.c"
        var $138=HEAP[$137]; //@line 578 "pi.c"
        var $139=HEAP[$compno]; //@line 578 "pi.c"
        var $140=CHECK_OVERFLOW(($138+48*$139)&4294967295, 32); //@line 578 "pi.c"
        var $141=CHECK_OVERFLOW(($140)&4294967295, 32); //@line 578 "pi.c"
        var $142=HEAP[$141]; //@line 578 "pi.c"
        var $143=HEAP[$comp]; //@line 578 "pi.c"
        var $144=CHECK_OVERFLOW(($143)&4294967295, 32); //@line 578 "pi.c"
        HEAP[$144]=$142; //@line 578 "pi.c"
        var $145=HEAP[$image_addr]; //@line 579 "pi.c"
        var $146=CHECK_OVERFLOW(($145+24)&4294967295, 32); //@line 579 "pi.c"
        var $147=HEAP[$146]; //@line 579 "pi.c"
        var $148=HEAP[$compno]; //@line 579 "pi.c"
        var $149=CHECK_OVERFLOW(($147+48*$148)&4294967295, 32); //@line 579 "pi.c"
        var $150=CHECK_OVERFLOW(($149+4)&4294967295, 32); //@line 579 "pi.c"
        var $151=HEAP[$150]; //@line 579 "pi.c"
        var $152=HEAP[$comp]; //@line 579 "pi.c"
        var $153=CHECK_OVERFLOW(($152+4)&4294967295, 32); //@line 579 "pi.c"
        HEAP[$153]=$151; //@line 579 "pi.c"
        var $154=HEAP[$tccp]; //@line 580 "pi.c"
        var $155=CHECK_OVERFLOW(($154+4)&4294967295, 32); //@line 580 "pi.c"
        var $156=HEAP[$155]; //@line 580 "pi.c"
        var $157=HEAP[$comp]; //@line 580 "pi.c"
        var $158=CHECK_OVERFLOW(($157+8)&4294967295, 32); //@line 580 "pi.c"
        HEAP[$158]=$156; //@line 580 "pi.c"
        var $159=HEAP[$comp]; //@line 582 "pi.c"
        var $160=CHECK_OVERFLOW(($159+8)&4294967295, 32); //@line 582 "pi.c"
        var $161=HEAP[$160]; //@line 582 "pi.c"
        var $162=CHECK_OVERFLOW((($161) * 16)&4294967295, 32); //@line 582 "pi.c"
        var $163=_malloc($162); //@line 582 "pi.c"
        var $164=$163; //@line 582 "pi.c"
        var $165=HEAP[$comp]; //@line 582 "pi.c"
        var $166=CHECK_OVERFLOW(($165+12)&4294967295, 32); //@line 582 "pi.c"
        HEAP[$166]=$164; //@line 582 "pi.c"
        var $167=HEAP[$comp]; //@line 583 "pi.c"
        var $168=CHECK_OVERFLOW(($167+12)&4294967295, 32); //@line 583 "pi.c"
        var $169=HEAP[$168]; //@line 583 "pi.c"
        var $170=($169)==0; //@line 583 "pi.c"
        if ($170) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 583 "pi.c"
      case 7: // $bb6
        var $171=HEAP[$pi]; //@line 584 "pi.c"
        var $172=HEAP[$cp_addr]; //@line 584 "pi.c"
        var $173=HEAP[$tileno_addr]; //@line 584 "pi.c"
        _pi_destroy($171, $172, $173); //@line 584 "pi.c"
        HEAP[$0]=0; //@line 585 "pi.c"
        __label__ = 2; break; //@line 585 "pi.c"
      case 8: // $bb7
        var $174=HEAP[$comp]; //@line 588 "pi.c"
        var $175=CHECK_OVERFLOW(($174)&4294967295, 32); //@line 588 "pi.c"
        var $176=HEAP[$175]; //@line 588 "pi.c"
        var $177=HEAP[$pi]; //@line 588 "pi.c"
        var $178=HEAP[$pino]; //@line 588 "pi.c"
        var $179=CHECK_OVERFLOW(($177+232*$178)&4294967295, 32); //@line 588 "pi.c"
        var $180=CHECK_OVERFLOW(($179+200)&4294967295, 32); //@line 588 "pi.c"
        var $181=HEAP[$180]; //@line 588 "pi.c"
        var $182=_int_ceildiv37($181, $176); //@line 588 "pi.c"
        HEAP[$tcx0]=$182; //@line 588 "pi.c"
        var $183=HEAP[$comp]; //@line 589 "pi.c"
        var $184=CHECK_OVERFLOW(($183+4)&4294967295, 32); //@line 589 "pi.c"
        var $185=HEAP[$184]; //@line 589 "pi.c"
        var $186=HEAP[$pi]; //@line 589 "pi.c"
        var $187=HEAP[$pino]; //@line 589 "pi.c"
        var $188=CHECK_OVERFLOW(($186+232*$187)&4294967295, 32); //@line 589 "pi.c"
        var $189=CHECK_OVERFLOW(($188+204)&4294967295, 32); //@line 589 "pi.c"
        var $190=HEAP[$189]; //@line 589 "pi.c"
        var $191=_int_ceildiv37($190, $185); //@line 589 "pi.c"
        HEAP[$tcy0]=$191; //@line 589 "pi.c"
        var $192=HEAP[$comp]; //@line 590 "pi.c"
        var $193=CHECK_OVERFLOW(($192)&4294967295, 32); //@line 590 "pi.c"
        var $194=HEAP[$193]; //@line 590 "pi.c"
        var $195=HEAP[$pi]; //@line 590 "pi.c"
        var $196=HEAP[$pino]; //@line 590 "pi.c"
        var $197=CHECK_OVERFLOW(($195+232*$196)&4294967295, 32); //@line 590 "pi.c"
        var $198=CHECK_OVERFLOW(($197+208)&4294967295, 32); //@line 590 "pi.c"
        var $199=HEAP[$198]; //@line 590 "pi.c"
        var $200=_int_ceildiv37($199, $194); //@line 590 "pi.c"
        HEAP[$tcx1]=$200; //@line 590 "pi.c"
        var $201=HEAP[$comp]; //@line 591 "pi.c"
        var $202=CHECK_OVERFLOW(($201+4)&4294967295, 32); //@line 591 "pi.c"
        var $203=HEAP[$202]; //@line 591 "pi.c"
        var $204=HEAP[$pi]; //@line 591 "pi.c"
        var $205=HEAP[$pino]; //@line 591 "pi.c"
        var $206=CHECK_OVERFLOW(($204+232*$205)&4294967295, 32); //@line 591 "pi.c"
        var $207=CHECK_OVERFLOW(($206+212)&4294967295, 32); //@line 591 "pi.c"
        var $208=HEAP[$207]; //@line 591 "pi.c"
        var $209=_int_ceildiv37($208, $203); //@line 591 "pi.c"
        HEAP[$tcy1]=$209; //@line 591 "pi.c"
        var $210=HEAP[$comp]; //@line 592 "pi.c"
        var $211=CHECK_OVERFLOW(($210+8)&4294967295, 32); //@line 592 "pi.c"
        var $212=HEAP[$211]; //@line 592 "pi.c"
        var $213=HEAP[$maxres]; //@line 592 "pi.c"
        var $214=($212) > ($213); //@line 592 "pi.c"
        if ($214) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 592 "pi.c"
      case 9: // $bb8
        var $215=HEAP[$comp]; //@line 593 "pi.c"
        var $216=CHECK_OVERFLOW(($215+8)&4294967295, 32); //@line 593 "pi.c"
        var $217=HEAP[$216]; //@line 593 "pi.c"
        HEAP[$maxres]=$217; //@line 593 "pi.c"
        __label__ = 10; break; //@line 593 "pi.c"
      case 10: // $bb9
        HEAP[$resno]=0; //@line 596 "pi.c"
        __label__ = 11; break; //@line 596 "pi.c"
      case 23: // $bb10
        var $218=HEAP[$comp]; //@line 600 "pi.c"
        var $219=CHECK_OVERFLOW(($218+12)&4294967295, 32); //@line 600 "pi.c"
        var $220=HEAP[$219]; //@line 600 "pi.c"
        var $221=HEAP[$resno]; //@line 600 "pi.c"
        var $222=CHECK_OVERFLOW(($220+16*$221)&4294967295, 32); //@line 600 "pi.c"
        HEAP[$res]=$222; //@line 600 "pi.c"
        var $223=HEAP[$tccp]; //@line 601 "pi.c"
        var $224=CHECK_OVERFLOW(($223)&4294967295, 32); //@line 601 "pi.c"
        var $225=HEAP[$224]; //@line 601 "pi.c"
        var $226=($225) & 1; //@line 601 "pi.c"
        var $227=((($226)) & 255); //@line 601 "pi.c"
        var $toBool=($227)!=0; //@line 601 "pi.c"
        if ($toBool) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 601 "pi.c"
      case 12: // $bb11
        var $228=HEAP[$resno]; //@line 602 "pi.c"
        var $229=HEAP[$tccp]; //@line 602 "pi.c"
        var $230=CHECK_OVERFLOW(($229+812)&4294967295, 32); //@line 602 "pi.c"
        var $231=CHECK_OVERFLOW(($230+$228*4)&4294967295, 32); //@line 602 "pi.c"
        var $232=HEAP[$231]; //@line 602 "pi.c"
        var $233=HEAP[$res]; //@line 602 "pi.c"
        var $234=CHECK_OVERFLOW(($233)&4294967295, 32); //@line 602 "pi.c"
        HEAP[$234]=$232; //@line 602 "pi.c"
        var $235=HEAP[$resno]; //@line 603 "pi.c"
        var $236=HEAP[$tccp]; //@line 603 "pi.c"
        var $237=CHECK_OVERFLOW(($236+944)&4294967295, 32); //@line 603 "pi.c"
        var $238=CHECK_OVERFLOW(($237+$235*4)&4294967295, 32); //@line 603 "pi.c"
        var $239=HEAP[$238]; //@line 603 "pi.c"
        var $240=HEAP[$res]; //@line 603 "pi.c"
        var $241=CHECK_OVERFLOW(($240+4)&4294967295, 32); //@line 603 "pi.c"
        HEAP[$241]=$239; //@line 603 "pi.c"
        __label__ = 14; break; //@line 603 "pi.c"
      case 13: // $bb12
        var $242=HEAP[$res]; //@line 605 "pi.c"
        var $243=CHECK_OVERFLOW(($242)&4294967295, 32); //@line 605 "pi.c"
        HEAP[$243]=15; //@line 605 "pi.c"
        var $244=HEAP[$res]; //@line 606 "pi.c"
        var $245=CHECK_OVERFLOW(($244+4)&4294967295, 32); //@line 606 "pi.c"
        HEAP[$245]=15; //@line 606 "pi.c"
        __label__ = 14; break; //@line 606 "pi.c"
      case 14: // $bb13
        var $246=HEAP[$comp]; //@line 608 "pi.c"
        var $247=CHECK_OVERFLOW(($246+8)&4294967295, 32); //@line 608 "pi.c"
        var $248=HEAP[$247]; //@line 608 "pi.c"
        var $249=CHECK_OVERFLOW((($248) - 1)&4294967295, 32); //@line 608 "pi.c"
        var $250=HEAP[$resno]; //@line 608 "pi.c"
        var $251=CHECK_OVERFLOW((($249) - ($250))&4294967295, 32); //@line 608 "pi.c"
        HEAP[$levelno]=$251; //@line 608 "pi.c"
        var $252=HEAP[$tcx0]; //@line 609 "pi.c"
        var $253=HEAP[$levelno]; //@line 609 "pi.c"
        var $254=_int_ceildivpow2($252, $253); //@line 609 "pi.c"
        HEAP[$rx0]=$254; //@line 609 "pi.c"
        var $255=HEAP[$tcy0]; //@line 610 "pi.c"
        var $256=HEAP[$levelno]; //@line 610 "pi.c"
        var $257=_int_ceildivpow2($255, $256); //@line 610 "pi.c"
        HEAP[$ry0]=$257; //@line 610 "pi.c"
        var $258=HEAP[$tcx1]; //@line 611 "pi.c"
        var $259=HEAP[$levelno]; //@line 611 "pi.c"
        var $260=_int_ceildivpow2($258, $259); //@line 611 "pi.c"
        HEAP[$rx1]=$260; //@line 611 "pi.c"
        var $261=HEAP[$tcy1]; //@line 612 "pi.c"
        var $262=HEAP[$levelno]; //@line 612 "pi.c"
        var $263=_int_ceildivpow2($261, $262); //@line 612 "pi.c"
        HEAP[$ry1]=$263; //@line 612 "pi.c"
        var $264=HEAP[$res]; //@line 613 "pi.c"
        var $265=CHECK_OVERFLOW(($264)&4294967295, 32); //@line 613 "pi.c"
        var $266=HEAP[$265]; //@line 613 "pi.c"
        var $267=HEAP[$rx0]; //@line 613 "pi.c"
        var $268=_int_floordivpow2($267, $266); //@line 613 "pi.c"
        var $269=HEAP[$res]; //@line 613 "pi.c"
        var $270=CHECK_OVERFLOW(($269)&4294967295, 32); //@line 613 "pi.c"
        var $271=HEAP[$270]; //@line 613 "pi.c"
        var $272=($268) << ($271); //@line 613 "pi.c"
        HEAP[$px0]=$272; //@line 613 "pi.c"
        var $273=HEAP[$res]; //@line 614 "pi.c"
        var $274=CHECK_OVERFLOW(($273+4)&4294967295, 32); //@line 614 "pi.c"
        var $275=HEAP[$274]; //@line 614 "pi.c"
        var $276=HEAP[$ry0]; //@line 614 "pi.c"
        var $277=_int_floordivpow2($276, $275); //@line 614 "pi.c"
        var $278=HEAP[$res]; //@line 614 "pi.c"
        var $279=CHECK_OVERFLOW(($278+4)&4294967295, 32); //@line 614 "pi.c"
        var $280=HEAP[$279]; //@line 614 "pi.c"
        var $281=($277) << ($280); //@line 614 "pi.c"
        HEAP[$py0]=$281; //@line 614 "pi.c"
        var $282=HEAP[$res]; //@line 615 "pi.c"
        var $283=CHECK_OVERFLOW(($282)&4294967295, 32); //@line 615 "pi.c"
        var $284=HEAP[$283]; //@line 615 "pi.c"
        var $285=HEAP[$rx1]; //@line 615 "pi.c"
        var $286=_int_ceildivpow2($285, $284); //@line 615 "pi.c"
        var $287=HEAP[$res]; //@line 615 "pi.c"
        var $288=CHECK_OVERFLOW(($287)&4294967295, 32); //@line 615 "pi.c"
        var $289=HEAP[$288]; //@line 615 "pi.c"
        var $290=($286) << ($289); //@line 615 "pi.c"
        HEAP[$px1]=$290; //@line 615 "pi.c"
        var $291=HEAP[$res]; //@line 616 "pi.c"
        var $292=CHECK_OVERFLOW(($291+4)&4294967295, 32); //@line 616 "pi.c"
        var $293=HEAP[$292]; //@line 616 "pi.c"
        var $294=HEAP[$ry1]; //@line 616 "pi.c"
        var $295=_int_ceildivpow2($294, $293); //@line 616 "pi.c"
        var $296=HEAP[$res]; //@line 616 "pi.c"
        var $297=CHECK_OVERFLOW(($296+4)&4294967295, 32); //@line 616 "pi.c"
        var $298=HEAP[$297]; //@line 616 "pi.c"
        var $299=($295) << ($298); //@line 616 "pi.c"
        HEAP[$py1]=$299; //@line 616 "pi.c"
        var $300=HEAP[$rx0]; //@line 617 "pi.c"
        var $301=HEAP[$rx1]; //@line 617 "pi.c"
        var $302=($300)!=($301); //@line 617 "pi.c"
        if ($302) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 617 "pi.c"
      case 15: // $bb14
        var $303=HEAP[$px1]; //@line 617 "pi.c"
        var $304=HEAP[$px0]; //@line 617 "pi.c"
        var $305=CHECK_OVERFLOW((($303) - ($304))&4294967295, 32); //@line 617 "pi.c"
        var $306=HEAP[$res]; //@line 617 "pi.c"
        var $307=CHECK_OVERFLOW(($306)&4294967295, 32); //@line 617 "pi.c"
        var $308=HEAP[$307]; //@line 617 "pi.c"
        var $309=($305) >> ($308); //@line 617 "pi.c"
        HEAP[$iftmp_18]=$309; //@line 617 "pi.c"
        __label__ = 17; break; //@line 617 "pi.c"
      case 16: // $bb15
        HEAP[$iftmp_18]=0; //@line 617 "pi.c"
        __label__ = 17; break; //@line 617 "pi.c"
      case 17: // $bb16
        var $310=HEAP[$res]; //@line 617 "pi.c"
        var $311=CHECK_OVERFLOW(($310+8)&4294967295, 32); //@line 617 "pi.c"
        var $312=HEAP[$iftmp_18]; //@line 617 "pi.c"
        HEAP[$311]=$312; //@line 617 "pi.c"
        var $313=HEAP[$ry0]; //@line 618 "pi.c"
        var $314=HEAP[$ry1]; //@line 618 "pi.c"
        var $315=($313)!=($314); //@line 618 "pi.c"
        if ($315) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 618 "pi.c"
      case 18: // $bb17
        var $316=HEAP[$py1]; //@line 618 "pi.c"
        var $317=HEAP[$py0]; //@line 618 "pi.c"
        var $318=CHECK_OVERFLOW((($316) - ($317))&4294967295, 32); //@line 618 "pi.c"
        var $319=HEAP[$res]; //@line 618 "pi.c"
        var $320=CHECK_OVERFLOW(($319+4)&4294967295, 32); //@line 618 "pi.c"
        var $321=HEAP[$320]; //@line 618 "pi.c"
        var $322=($318) >> ($321); //@line 618 "pi.c"
        HEAP[$iftmp_19]=$322; //@line 618 "pi.c"
        __label__ = 20; break; //@line 618 "pi.c"
      case 19: // $bb18
        HEAP[$iftmp_19]=0; //@line 618 "pi.c"
        __label__ = 20; break; //@line 618 "pi.c"
      case 20: // $bb19
        var $323=HEAP[$res]; //@line 618 "pi.c"
        var $324=CHECK_OVERFLOW(($323+12)&4294967295, 32); //@line 618 "pi.c"
        var $325=HEAP[$iftmp_19]; //@line 618 "pi.c"
        HEAP[$324]=$325; //@line 618 "pi.c"
        var $326=HEAP[$res]; //@line 620 "pi.c"
        var $327=CHECK_OVERFLOW(($326+8)&4294967295, 32); //@line 620 "pi.c"
        var $328=HEAP[$327]; //@line 620 "pi.c"
        var $329=HEAP[$res]; //@line 620 "pi.c"
        var $330=CHECK_OVERFLOW(($329+12)&4294967295, 32); //@line 620 "pi.c"
        var $331=HEAP[$330]; //@line 620 "pi.c"
        var $332=CHECK_OVERFLOW((($328) * ($331))&4294967295, 32); //@line 620 "pi.c"
        var $333=HEAP[$maxprec]; //@line 620 "pi.c"
        var $334=($332) > ($333); //@line 620 "pi.c"
        if ($334) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 620 "pi.c"
      case 21: // $bb20
        var $335=HEAP[$res]; //@line 621 "pi.c"
        var $336=CHECK_OVERFLOW(($335+8)&4294967295, 32); //@line 621 "pi.c"
        var $337=HEAP[$336]; //@line 621 "pi.c"
        var $338=HEAP[$res]; //@line 621 "pi.c"
        var $339=CHECK_OVERFLOW(($338+12)&4294967295, 32); //@line 621 "pi.c"
        var $340=HEAP[$339]; //@line 621 "pi.c"
        var $341=CHECK_OVERFLOW((($337) * ($340))&4294967295, 32); //@line 621 "pi.c"
        HEAP[$maxprec]=$341; //@line 621 "pi.c"
        __label__ = 22; break; //@line 621 "pi.c"
      case 22: // $bb21
        var $342=HEAP[$resno]; //@line 596 "pi.c"
        var $343=CHECK_OVERFLOW((($342) + 1)&4294967295, 32); //@line 596 "pi.c"
        HEAP[$resno]=$343; //@line 596 "pi.c"
        __label__ = 11; break; //@line 596 "pi.c"
      case 11: // $bb22
        var $344=HEAP[$comp]; //@line 596 "pi.c"
        var $345=CHECK_OVERFLOW(($344+8)&4294967295, 32); //@line 596 "pi.c"
        var $346=HEAP[$345]; //@line 596 "pi.c"
        var $347=HEAP[$resno]; //@line 596 "pi.c"
        var $348=($346) > ($347); //@line 596 "pi.c"
        if ($348) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 596 "pi.c"
      case 24: // $bb23
        var $349=HEAP[$compno]; //@line 574 "pi.c"
        var $350=CHECK_OVERFLOW((($349) + 1)&4294967295, 32); //@line 574 "pi.c"
        HEAP[$compno]=$350; //@line 574 "pi.c"
        __label__ = 6; break; //@line 574 "pi.c"
      case 6: // $bb24
        var $351=HEAP[$pi]; //@line 574 "pi.c"
        var $352=HEAP[$pino]; //@line 574 "pi.c"
        var $353=CHECK_OVERFLOW(($351+232*$352)&4294967295, 32); //@line 574 "pi.c"
        var $354=CHECK_OVERFLOW(($353+192)&4294967295, 32); //@line 574 "pi.c"
        var $355=HEAP[$354]; //@line 574 "pi.c"
        var $356=HEAP[$compno]; //@line 574 "pi.c"
        var $357=($355) > ($356); //@line 574 "pi.c"
        if ($357) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 574 "pi.c"
      case 26: // $bb25
        var $358=HEAP[$tcp]; //@line 626 "pi.c"
        var $359=CHECK_OVERFLOW(($358+5584)&4294967295, 32); //@line 626 "pi.c"
        var $360=HEAP[$359]; //@line 626 "pi.c"
        var $361=CHECK_OVERFLOW(($360)&4294967295, 32); //@line 626 "pi.c"
        HEAP[$tccp]=$361; //@line 626 "pi.c"
        var $362=HEAP[$pi]; //@line 627 "pi.c"
        var $363=HEAP[$pino]; //@line 627 "pi.c"
        var $364=CHECK_OVERFLOW(($362+232*$363)&4294967295, 32); //@line 627 "pi.c"
        var $365=CHECK_OVERFLOW(($364+20)&4294967295, 32); //@line 627 "pi.c"
        HEAP[$365]=1; //@line 627 "pi.c"
        var $366=HEAP[$pi]; //@line 628 "pi.c"
        var $367=HEAP[$pino]; //@line 628 "pi.c"
        var $368=CHECK_OVERFLOW(($366+232*$367)&4294967295, 32); //@line 628 "pi.c"
        var $369=HEAP[$pi]; //@line 628 "pi.c"
        var $370=HEAP[$pino]; //@line 628 "pi.c"
        var $371=CHECK_OVERFLOW(($369+232*$370)&4294967295, 32); //@line 628 "pi.c"
        var $372=CHECK_OVERFLOW(($371+20)&4294967295, 32); //@line 628 "pi.c"
        var $373=HEAP[$372]; //@line 628 "pi.c"
        var $374=HEAP[$maxprec]; //@line 628 "pi.c"
        var $375=CHECK_OVERFLOW((($373) * ($374))&4294967295, 32); //@line 628 "pi.c"
        var $376=CHECK_OVERFLOW(($368+16)&4294967295, 32); //@line 628 "pi.c"
        HEAP[$376]=$375; //@line 628 "pi.c"
        var $377=HEAP[$pi]; //@line 629 "pi.c"
        var $378=HEAP[$pino]; //@line 629 "pi.c"
        var $379=CHECK_OVERFLOW(($377+232*$378)&4294967295, 32); //@line 629 "pi.c"
        var $380=HEAP[$image_addr]; //@line 629 "pi.c"
        var $381=CHECK_OVERFLOW(($380+16)&4294967295, 32); //@line 629 "pi.c"
        var $382=HEAP[$381]; //@line 629 "pi.c"
        var $383=HEAP[$pi]; //@line 629 "pi.c"
        var $384=HEAP[$pino]; //@line 629 "pi.c"
        var $385=CHECK_OVERFLOW(($383+232*$384)&4294967295, 32); //@line 629 "pi.c"
        var $386=CHECK_OVERFLOW(($385+16)&4294967295, 32); //@line 629 "pi.c"
        var $387=HEAP[$386]; //@line 629 "pi.c"
        var $388=CHECK_OVERFLOW((($382) * ($387))&4294967295, 32); //@line 629 "pi.c"
        var $389=CHECK_OVERFLOW(($379+12)&4294967295, 32); //@line 629 "pi.c"
        HEAP[$389]=$388; //@line 629 "pi.c"
        var $390=HEAP[$pi]; //@line 630 "pi.c"
        var $391=HEAP[$pino]; //@line 630 "pi.c"
        var $392=CHECK_OVERFLOW(($390+232*$391)&4294967295, 32); //@line 630 "pi.c"
        var $393=HEAP[$pi]; //@line 630 "pi.c"
        var $394=HEAP[$pino]; //@line 630 "pi.c"
        var $395=CHECK_OVERFLOW(($393+232*$394)&4294967295, 32); //@line 630 "pi.c"
        var $396=CHECK_OVERFLOW(($395+12)&4294967295, 32); //@line 630 "pi.c"
        var $397=HEAP[$396]; //@line 630 "pi.c"
        var $398=HEAP[$maxres]; //@line 630 "pi.c"
        var $399=CHECK_OVERFLOW((($397) * ($398))&4294967295, 32); //@line 630 "pi.c"
        var $400=CHECK_OVERFLOW(($392+8)&4294967295, 32); //@line 630 "pi.c"
        HEAP[$400]=$399; //@line 630 "pi.c"
        HEAP[$compno]=0; //@line 632 "pi.c"
        __label__ = 27; break; //@line 632 "pi.c"
      case 37: // $bb26
        var $401=HEAP[$pi]; //@line 633 "pi.c"
        var $402=CHECK_OVERFLOW(($401+196)&4294967295, 32); //@line 633 "pi.c"
        var $403=HEAP[$402]; //@line 633 "pi.c"
        var $404=HEAP[$compno]; //@line 633 "pi.c"
        var $405=CHECK_OVERFLOW(($403+16*$404)&4294967295, 32); //@line 633 "pi.c"
        HEAP[$comp27]=$405; //@line 633 "pi.c"
        HEAP[$resno]=0; //@line 634 "pi.c"
        __label__ = 28; break; //@line 634 "pi.c"
      case 35: // $bb28
        var $406=HEAP[$comp27]; //@line 636 "pi.c"
        var $407=CHECK_OVERFLOW(($406+12)&4294967295, 32); //@line 636 "pi.c"
        var $408=HEAP[$407]; //@line 636 "pi.c"
        var $409=HEAP[$resno]; //@line 636 "pi.c"
        var $410=CHECK_OVERFLOW(($408+16*$409)&4294967295, 32); //@line 636 "pi.c"
        HEAP[$res29]=$410; //@line 636 "pi.c"
        var $411=HEAP[$comp27]; //@line 637 "pi.c"
        var $412=CHECK_OVERFLOW(($411)&4294967295, 32); //@line 637 "pi.c"
        var $413=HEAP[$412]; //@line 637 "pi.c"
        var $414=HEAP[$res29]; //@line 637 "pi.c"
        var $415=CHECK_OVERFLOW(($414)&4294967295, 32); //@line 637 "pi.c"
        var $416=HEAP[$415]; //@line 637 "pi.c"
        var $417=HEAP[$comp27]; //@line 637 "pi.c"
        var $418=CHECK_OVERFLOW(($417+8)&4294967295, 32); //@line 637 "pi.c"
        var $419=HEAP[$418]; //@line 637 "pi.c"
        var $420=CHECK_OVERFLOW((($416) + ($419))&4294967295, 32); //@line 637 "pi.c"
        var $421=CHECK_OVERFLOW((($420) - 1)&4294967295, 32); //@line 637 "pi.c"
        var $422=HEAP[$resno]; //@line 637 "pi.c"
        var $423=CHECK_OVERFLOW((($421) - ($422))&4294967295, 32); //@line 637 "pi.c"
        var $424=($413) << ($423); //@line 637 "pi.c"
        HEAP[$dx]=$424; //@line 637 "pi.c"
        var $425=HEAP[$comp27]; //@line 638 "pi.c"
        var $426=CHECK_OVERFLOW(($425+4)&4294967295, 32); //@line 638 "pi.c"
        var $427=HEAP[$426]; //@line 638 "pi.c"
        var $428=HEAP[$res29]; //@line 638 "pi.c"
        var $429=CHECK_OVERFLOW(($428+4)&4294967295, 32); //@line 638 "pi.c"
        var $430=HEAP[$429]; //@line 638 "pi.c"
        var $431=HEAP[$comp27]; //@line 638 "pi.c"
        var $432=CHECK_OVERFLOW(($431+8)&4294967295, 32); //@line 638 "pi.c"
        var $433=HEAP[$432]; //@line 638 "pi.c"
        var $434=CHECK_OVERFLOW((($430) + ($433))&4294967295, 32); //@line 638 "pi.c"
        var $435=CHECK_OVERFLOW((($434) - 1)&4294967295, 32); //@line 638 "pi.c"
        var $436=HEAP[$resno]; //@line 638 "pi.c"
        var $437=CHECK_OVERFLOW((($435) - ($436))&4294967295, 32); //@line 638 "pi.c"
        var $438=($427) << ($437); //@line 638 "pi.c"
        HEAP[$dy]=$438; //@line 638 "pi.c"
        var $439=HEAP[$pi]; //@line 639 "pi.c"
        var $440=HEAP[$pino]; //@line 639 "pi.c"
        var $441=CHECK_OVERFLOW(($439+232*$440)&4294967295, 32); //@line 639 "pi.c"
        var $442=HEAP[$pi]; //@line 639 "pi.c"
        var $443=CHECK_OVERFLOW(($442+224)&4294967295, 32); //@line 639 "pi.c"
        var $444=HEAP[$443]; //@line 639 "pi.c"
        var $445=($444)!=0; //@line 639 "pi.c"
        if ($445) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 639 "pi.c"
      case 29: // $bb30
        var $446=HEAP[$pi]; //@line 639 "pi.c"
        var $447=CHECK_OVERFLOW(($446+224)&4294967295, 32); //@line 639 "pi.c"
        var $448=HEAP[$447]; //@line 639 "pi.c"
        var $449=HEAP[$dx]; //@line 639 "pi.c"
        var $450=_int_min36($448, $449); //@line 639 "pi.c"
        HEAP[$iftmp_20]=$450; //@line 639 "pi.c"
        __label__ = 31; break; //@line 639 "pi.c"
      case 30: // $bb31
        var $451=HEAP[$dx]; //@line 639 "pi.c"
        HEAP[$iftmp_20]=$451; //@line 639 "pi.c"
        __label__ = 31; break; //@line 639 "pi.c"
      case 31: // $bb32
        var $452=CHECK_OVERFLOW(($441+224)&4294967295, 32); //@line 639 "pi.c"
        var $453=HEAP[$iftmp_20]; //@line 639 "pi.c"
        HEAP[$452]=$453; //@line 639 "pi.c"
        var $454=HEAP[$pi]; //@line 640 "pi.c"
        var $455=HEAP[$pino]; //@line 640 "pi.c"
        var $456=CHECK_OVERFLOW(($454+232*$455)&4294967295, 32); //@line 640 "pi.c"
        var $457=HEAP[$pi]; //@line 640 "pi.c"
        var $458=CHECK_OVERFLOW(($457+228)&4294967295, 32); //@line 640 "pi.c"
        var $459=HEAP[$458]; //@line 640 "pi.c"
        var $460=($459)!=0; //@line 640 "pi.c"
        if ($460) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 640 "pi.c"
      case 32: // $bb33
        var $461=HEAP[$pi]; //@line 640 "pi.c"
        var $462=CHECK_OVERFLOW(($461+228)&4294967295, 32); //@line 640 "pi.c"
        var $463=HEAP[$462]; //@line 640 "pi.c"
        var $464=HEAP[$dy]; //@line 640 "pi.c"
        var $465=_int_min36($463, $464); //@line 640 "pi.c"
        HEAP[$iftmp_21]=$465; //@line 640 "pi.c"
        __label__ = 34; break; //@line 640 "pi.c"
      case 33: // $bb34
        var $466=HEAP[$dy]; //@line 640 "pi.c"
        HEAP[$iftmp_21]=$466; //@line 640 "pi.c"
        __label__ = 34; break; //@line 640 "pi.c"
      case 34: // $bb35
        var $467=CHECK_OVERFLOW(($456+228)&4294967295, 32); //@line 640 "pi.c"
        var $468=HEAP[$iftmp_21]; //@line 640 "pi.c"
        HEAP[$467]=$468; //@line 640 "pi.c"
        var $469=HEAP[$resno]; //@line 634 "pi.c"
        var $470=CHECK_OVERFLOW((($469) + 1)&4294967295, 32); //@line 634 "pi.c"
        HEAP[$resno]=$470; //@line 634 "pi.c"
        __label__ = 28; break; //@line 634 "pi.c"
      case 28: // $bb36
        var $471=HEAP[$comp27]; //@line 634 "pi.c"
        var $472=CHECK_OVERFLOW(($471+8)&4294967295, 32); //@line 634 "pi.c"
        var $473=HEAP[$472]; //@line 634 "pi.c"
        var $474=HEAP[$resno]; //@line 634 "pi.c"
        var $475=($473) > ($474); //@line 634 "pi.c"
        if ($475) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 634 "pi.c"
      case 36: // $bb37
        var $476=HEAP[$compno]; //@line 632 "pi.c"
        var $477=CHECK_OVERFLOW((($476) + 1)&4294967295, 32); //@line 632 "pi.c"
        HEAP[$compno]=$477; //@line 632 "pi.c"
        __label__ = 27; break; //@line 632 "pi.c"
      case 27: // $bb38
        var $478=HEAP[$pi]; //@line 632 "pi.c"
        var $479=CHECK_OVERFLOW(($478+192)&4294967295, 32); //@line 632 "pi.c"
        var $480=HEAP[$479]; //@line 632 "pi.c"
        var $481=HEAP[$compno]; //@line 632 "pi.c"
        var $482=($480) > ($481); //@line 632 "pi.c"
        if ($482) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 632 "pi.c"
      case 38: // $bb39
        var $483=HEAP[$pino]; //@line 644 "pi.c"
        var $484=($483)==0; //@line 644 "pi.c"
        if ($484) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 644 "pi.c"
      case 39: // $bb40
        var $485=HEAP[$pi]; //@line 645 "pi.c"
        var $486=HEAP[$pino]; //@line 645 "pi.c"
        var $487=CHECK_OVERFLOW(($485+232*$486)&4294967295, 32); //@line 645 "pi.c"
        var $488=HEAP[$tcp]; //@line 645 "pi.c"
        var $489=CHECK_OVERFLOW(($488+12)&4294967295, 32); //@line 645 "pi.c"
        var $490=HEAP[$489]; //@line 645 "pi.c"
        var $491=HEAP[$pi]; //@line 645 "pi.c"
        var $492=HEAP[$pino]; //@line 645 "pi.c"
        var $493=CHECK_OVERFLOW(($491+232*$492)&4294967295, 32); //@line 645 "pi.c"
        var $494=CHECK_OVERFLOW(($493+8)&4294967295, 32); //@line 645 "pi.c"
        var $495=HEAP[$494]; //@line 645 "pi.c"
        var $496=CHECK_OVERFLOW((($490) * ($495))&4294967295, 32); //@line 645 "pi.c"
        var $497=_calloc($496, 2); //@line 645 "pi.c"
        var $498=$497; //@line 645 "pi.c"
        var $499=CHECK_OVERFLOW(($487+4)&4294967295, 32); //@line 645 "pi.c"
        HEAP[$499]=$498; //@line 645 "pi.c"
        var $500=HEAP[$pi]; //@line 646 "pi.c"
        var $501=HEAP[$pino]; //@line 646 "pi.c"
        var $502=CHECK_OVERFLOW(($500+232*$501)&4294967295, 32); //@line 646 "pi.c"
        var $503=CHECK_OVERFLOW(($502+4)&4294967295, 32); //@line 646 "pi.c"
        var $504=HEAP[$503]; //@line 646 "pi.c"
        var $505=($504)==0; //@line 646 "pi.c"
        if ($505) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 646 "pi.c"
      case 41: // $bb41
        var $506=HEAP[$pi]; //@line 647 "pi.c"
        var $507=HEAP[$cp_addr]; //@line 647 "pi.c"
        var $508=HEAP[$tileno_addr]; //@line 647 "pi.c"
        _pi_destroy($506, $507, $508); //@line 647 "pi.c"
        HEAP[$0]=0; //@line 648 "pi.c"
        __label__ = 2; break; //@line 648 "pi.c"
      case 42: // $bb42
        __label__ = 43; break; //@line 648 "pi.c"
      case 40: // $bb43
        var $509=HEAP[$pi]; //@line 652 "pi.c"
        var $510=HEAP[$pino]; //@line 652 "pi.c"
        var $511=CHECK_OVERFLOW(($509+232*$510)&4294967295, 32); //@line 652 "pi.c"
        var $512=HEAP[$pino]; //@line 652 "pi.c"
        var $513=CHECK_OVERFLOW((($512) - 1)&4294967295, 32); //@line 652 "pi.c"
        var $514=HEAP[$pi]; //@line 652 "pi.c"
        var $515=CHECK_OVERFLOW(($514+232*$513)&4294967295, 32); //@line 652 "pi.c"
        var $516=CHECK_OVERFLOW(($515+4)&4294967295, 32); //@line 652 "pi.c"
        var $517=HEAP[$516]; //@line 652 "pi.c"
        var $518=CHECK_OVERFLOW(($511+4)&4294967295, 32); //@line 652 "pi.c"
        HEAP[$518]=$517; //@line 652 "pi.c"
        __label__ = 43; break; //@line 652 "pi.c"
      case 43: // $bb44
        var $519=HEAP[$tcp]; //@line 656 "pi.c"
        var $520=CHECK_OVERFLOW(($519+424)&4294967295, 32); //@line 656 "pi.c"
        var $521=HEAP[$520]; //@line 656 "pi.c"
        var $522=($521)==0; //@line 656 "pi.c"
        if ($522) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 656 "pi.c"
      case 45: // $bb45
        var $523=HEAP[$cp_addr]; //@line 656 "pi.c"
        var $524=CHECK_OVERFLOW(($523)&4294967295, 32); //@line 656 "pi.c"
        var $525=HEAP[$524]; //@line 656 "pi.c"
        var $526=($525)!=0; //@line 656 "pi.c"
        if ($526) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 656 "pi.c"
      case 47: // $bb46
        var $527=HEAP[$cp_addr]; //@line 656 "pi.c"
        var $528=CHECK_OVERFLOW(($527)&4294967295, 32); //@line 656 "pi.c"
        var $529=HEAP[$528]; //@line 656 "pi.c"
        var $530=($529)!=0; //@line 656 "pi.c"
        if ($530) { __label__ = 44; break; } else { __label__ = 48; break; } //@line 656 "pi.c"
      case 48: // $bb47
        var $531=HEAP[$t2_mode_addr]; //@line 656 "pi.c"
        var $532=($531)==1; //@line 656 "pi.c"
        if ($532) { __label__ = 46; break; } else { __label__ = 44; break; } //@line 656 "pi.c"
      case 46: // $bb48
        var $533=HEAP[$pino]; //@line 657 "pi.c"
        var $534=HEAP[$pino]; //@line 657 "pi.c"
        var $535=HEAP[$tcp]; //@line 657 "pi.c"
        var $536=CHECK_OVERFLOW(($535+428)&4294967295, 32); //@line 657 "pi.c"
        var $537=CHECK_OVERFLOW(($536+$534*148)&4294967295, 32); //@line 657 "pi.c"
        var $538=CHECK_OVERFLOW(($537+4)&4294967295, 32); //@line 657 "pi.c"
        var $539=HEAP[$538]; //@line 657 "pi.c"
        var $540=HEAP[$tcp]; //@line 657 "pi.c"
        var $541=CHECK_OVERFLOW(($540+428)&4294967295, 32); //@line 657 "pi.c"
        var $542=CHECK_OVERFLOW(($541+$533*148)&4294967295, 32); //@line 657 "pi.c"
        var $543=CHECK_OVERFLOW(($542+76)&4294967295, 32); //@line 657 "pi.c"
        HEAP[$543]=$539; //@line 657 "pi.c"
        var $544=HEAP[$pino]; //@line 658 "pi.c"
        var $545=HEAP[$pino]; //@line 658 "pi.c"
        var $546=HEAP[$tcp]; //@line 658 "pi.c"
        var $547=CHECK_OVERFLOW(($546+428)&4294967295, 32); //@line 658 "pi.c"
        var $548=CHECK_OVERFLOW(($547+$545*148)&4294967295, 32); //@line 658 "pi.c"
        var $549=CHECK_OVERFLOW(($548+16)&4294967295, 32); //@line 658 "pi.c"
        var $550=HEAP[$549]; //@line 658 "pi.c"
        var $551=HEAP[$tcp]; //@line 658 "pi.c"
        var $552=CHECK_OVERFLOW(($551+428)&4294967295, 32); //@line 658 "pi.c"
        var $553=CHECK_OVERFLOW(($552+$544*148)&4294967295, 32); //@line 658 "pi.c"
        var $554=CHECK_OVERFLOW(($553+92)&4294967295, 32); //@line 658 "pi.c"
        HEAP[$554]=$550; //@line 658 "pi.c"
        var $555=HEAP[$pino]; //@line 659 "pi.c"
        var $556=HEAP[$pino]; //@line 659 "pi.c"
        var $557=HEAP[$tcp]; //@line 659 "pi.c"
        var $558=CHECK_OVERFLOW(($557+428)&4294967295, 32); //@line 659 "pi.c"
        var $559=CHECK_OVERFLOW(($558+$556*148)&4294967295, 32); //@line 659 "pi.c"
        var $560=CHECK_OVERFLOW(($559)&4294967295, 32); //@line 659 "pi.c"
        var $561=HEAP[$560]; //@line 659 "pi.c"
        var $562=HEAP[$tcp]; //@line 659 "pi.c"
        var $563=CHECK_OVERFLOW(($562+428)&4294967295, 32); //@line 659 "pi.c"
        var $564=CHECK_OVERFLOW(($563+$555*148)&4294967295, 32); //@line 659 "pi.c"
        var $565=CHECK_OVERFLOW(($564+72)&4294967295, 32); //@line 659 "pi.c"
        HEAP[$565]=$561; //@line 659 "pi.c"
        var $566=HEAP[$pino]; //@line 660 "pi.c"
        var $567=HEAP[$pino]; //@line 660 "pi.c"
        var $568=HEAP[$tcp]; //@line 660 "pi.c"
        var $569=CHECK_OVERFLOW(($568+428)&4294967295, 32); //@line 660 "pi.c"
        var $570=CHECK_OVERFLOW(($569+$567*148)&4294967295, 32); //@line 660 "pi.c"
        var $571=CHECK_OVERFLOW(($570+12)&4294967295, 32); //@line 660 "pi.c"
        var $572=HEAP[$571]; //@line 660 "pi.c"
        var $573=HEAP[$tcp]; //@line 660 "pi.c"
        var $574=CHECK_OVERFLOW(($573+428)&4294967295, 32); //@line 660 "pi.c"
        var $575=CHECK_OVERFLOW(($574+$566*148)&4294967295, 32); //@line 660 "pi.c"
        var $576=CHECK_OVERFLOW(($575+88)&4294967295, 32); //@line 660 "pi.c"
        HEAP[$576]=$572; //@line 660 "pi.c"
        var $577=HEAP[$pino]; //@line 661 "pi.c"
        var $578=HEAP[$pino]; //@line 661 "pi.c"
        var $579=HEAP[$tcp]; //@line 661 "pi.c"
        var $580=CHECK_OVERFLOW(($579+428)&4294967295, 32); //@line 661 "pi.c"
        var $581=CHECK_OVERFLOW(($580+$578*148)&4294967295, 32); //@line 661 "pi.c"
        var $582=CHECK_OVERFLOW(($581+8)&4294967295, 32); //@line 661 "pi.c"
        var $583=HEAP[$582]; //@line 661 "pi.c"
        var $584=HEAP[$tcp]; //@line 661 "pi.c"
        var $585=CHECK_OVERFLOW(($584+428)&4294967295, 32); //@line 661 "pi.c"
        var $586=CHECK_OVERFLOW(($585+$577*148)&4294967295, 32); //@line 661 "pi.c"
        var $587=CHECK_OVERFLOW(($586+84)&4294967295, 32); //@line 661 "pi.c"
        HEAP[$587]=$583; //@line 661 "pi.c"
        var $588=HEAP[$pino]; //@line 662 "pi.c"
        var $589=HEAP[$pino]; //@line 662 "pi.c"
        var $590=HEAP[$tcp]; //@line 662 "pi.c"
        var $591=CHECK_OVERFLOW(($590+428)&4294967295, 32); //@line 662 "pi.c"
        var $592=CHECK_OVERFLOW(($591+$589*148)&4294967295, 32); //@line 662 "pi.c"
        var $593=CHECK_OVERFLOW(($592+32)&4294967295, 32); //@line 662 "pi.c"
        var $594=HEAP[$593]; //@line 662 "pi.c"
        var $595=HEAP[$tcp]; //@line 662 "pi.c"
        var $596=CHECK_OVERFLOW(($595+428)&4294967295, 32); //@line 662 "pi.c"
        var $597=CHECK_OVERFLOW(($596+$588*148)&4294967295, 32); //@line 662 "pi.c"
        var $598=CHECK_OVERFLOW(($597+36)&4294967295, 32); //@line 662 "pi.c"
        HEAP[$598]=$594; //@line 662 "pi.c"
        var $599=HEAP[$pino]; //@line 663 "pi.c"
        var $600=($599) > 0; //@line 663 "pi.c"
        if ($600) { __label__ = 49; break; } else { __label__ = 50; break; } //@line 663 "pi.c"
      case 49: // $bb49
        var $601=HEAP[$pino]; //@line 664 "pi.c"
        var $602=HEAP[$pino]; //@line 664 "pi.c"
        var $603=HEAP[$tcp]; //@line 664 "pi.c"
        var $604=CHECK_OVERFLOW(($603+428)&4294967295, 32); //@line 664 "pi.c"
        var $605=CHECK_OVERFLOW(($604+$602*148)&4294967295, 32); //@line 664 "pi.c"
        var $606=CHECK_OVERFLOW(($605+84)&4294967295, 32); //@line 664 "pi.c"
        var $607=HEAP[$606]; //@line 664 "pi.c"
        var $608=HEAP[$pino]; //@line 664 "pi.c"
        var $609=CHECK_OVERFLOW((($608) - 1)&4294967295, 32); //@line 664 "pi.c"
        var $610=HEAP[$tcp]; //@line 664 "pi.c"
        var $611=CHECK_OVERFLOW(($610+428)&4294967295, 32); //@line 664 "pi.c"
        var $612=CHECK_OVERFLOW(($611+$609*148)&4294967295, 32); //@line 664 "pi.c"
        var $613=CHECK_OVERFLOW(($612+84)&4294967295, 32); //@line 664 "pi.c"
        var $614=HEAP[$613]; //@line 664 "pi.c"
        var $615=($607) > ($614); //@line 664 "pi.c"
        if ($615) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 664 "pi.c"
      case 51: // $bb50
        var $616=HEAP[$pino]; //@line 664 "pi.c"
        var $617=CHECK_OVERFLOW((($616) - 1)&4294967295, 32); //@line 664 "pi.c"
        var $618=HEAP[$tcp]; //@line 664 "pi.c"
        var $619=CHECK_OVERFLOW(($618+428)&4294967295, 32); //@line 664 "pi.c"
        var $620=CHECK_OVERFLOW(($619+$617*148)&4294967295, 32); //@line 664 "pi.c"
        var $621=CHECK_OVERFLOW(($620+84)&4294967295, 32); //@line 664 "pi.c"
        var $622=HEAP[$621]; //@line 664 "pi.c"
        HEAP[$iftmp_35]=$622; //@line 664 "pi.c"
        __label__ = 53; break; //@line 664 "pi.c"
      case 52: // $bb51
        HEAP[$iftmp_35]=0; //@line 664 "pi.c"
        __label__ = 53; break; //@line 664 "pi.c"
      case 53: // $bb52
        var $623=HEAP[$tcp]; //@line 664 "pi.c"
        var $624=CHECK_OVERFLOW(($623+428)&4294967295, 32); //@line 664 "pi.c"
        var $625=CHECK_OVERFLOW(($624+$601*148)&4294967295, 32); //@line 664 "pi.c"
        var $626=CHECK_OVERFLOW(($625+68)&4294967295, 32); //@line 664 "pi.c"
        var $627=HEAP[$iftmp_35]; //@line 664 "pi.c"
        HEAP[$626]=$627; //@line 664 "pi.c"
        __label__ = 50; break; //@line 664 "pi.c"
      case 50: // $bb53
        __label__ = 54; break; //@line 664 "pi.c"
      case 44: // $bb54
        var $628=HEAP[$pino]; //@line 666 "pi.c"
        var $629=HEAP[$tcp]; //@line 666 "pi.c"
        var $630=CHECK_OVERFLOW(($629+428)&4294967295, 32); //@line 666 "pi.c"
        var $631=CHECK_OVERFLOW(($630+$628*148)&4294967295, 32); //@line 666 "pi.c"
        var $632=CHECK_OVERFLOW(($631+76)&4294967295, 32); //@line 666 "pi.c"
        HEAP[$632]=0; //@line 666 "pi.c"
        var $633=HEAP[$pino]; //@line 667 "pi.c"
        var $634=HEAP[$image_addr]; //@line 667 "pi.c"
        var $635=CHECK_OVERFLOW(($634+16)&4294967295, 32); //@line 667 "pi.c"
        var $636=HEAP[$635]; //@line 667 "pi.c"
        var $637=HEAP[$tcp]; //@line 667 "pi.c"
        var $638=CHECK_OVERFLOW(($637+428)&4294967295, 32); //@line 667 "pi.c"
        var $639=CHECK_OVERFLOW(($638+$633*148)&4294967295, 32); //@line 667 "pi.c"
        var $640=CHECK_OVERFLOW(($639+92)&4294967295, 32); //@line 667 "pi.c"
        HEAP[$640]=$636; //@line 667 "pi.c"
        var $641=HEAP[$pino]; //@line 668 "pi.c"
        var $642=HEAP[$tcp]; //@line 668 "pi.c"
        var $643=CHECK_OVERFLOW(($642+428)&4294967295, 32); //@line 668 "pi.c"
        var $644=CHECK_OVERFLOW(($643+$641*148)&4294967295, 32); //@line 668 "pi.c"
        var $645=CHECK_OVERFLOW(($644+72)&4294967295, 32); //@line 668 "pi.c"
        HEAP[$645]=0; //@line 668 "pi.c"
        var $646=HEAP[$pino]; //@line 669 "pi.c"
        var $647=HEAP[$tcp]; //@line 669 "pi.c"
        var $648=CHECK_OVERFLOW(($647+428)&4294967295, 32); //@line 669 "pi.c"
        var $649=CHECK_OVERFLOW(($648+$646*148)&4294967295, 32); //@line 669 "pi.c"
        var $650=CHECK_OVERFLOW(($649+88)&4294967295, 32); //@line 669 "pi.c"
        var $651=HEAP[$maxres]; //@line 669 "pi.c"
        HEAP[$650]=$651; //@line 669 "pi.c"
        var $652=HEAP[$pino]; //@line 670 "pi.c"
        var $653=HEAP[$tcp]; //@line 670 "pi.c"
        var $654=CHECK_OVERFLOW(($653+428)&4294967295, 32); //@line 670 "pi.c"
        var $655=CHECK_OVERFLOW(($654+$652*148)&4294967295, 32); //@line 670 "pi.c"
        var $656=CHECK_OVERFLOW(($655+68)&4294967295, 32); //@line 670 "pi.c"
        HEAP[$656]=0; //@line 670 "pi.c"
        var $657=HEAP[$pino]; //@line 671 "pi.c"
        var $658=HEAP[$tcp]; //@line 671 "pi.c"
        var $659=CHECK_OVERFLOW(($658+12)&4294967295, 32); //@line 671 "pi.c"
        var $660=HEAP[$659]; //@line 671 "pi.c"
        var $661=HEAP[$tcp]; //@line 671 "pi.c"
        var $662=CHECK_OVERFLOW(($661+428)&4294967295, 32); //@line 671 "pi.c"
        var $663=CHECK_OVERFLOW(($662+$657*148)&4294967295, 32); //@line 671 "pi.c"
        var $664=CHECK_OVERFLOW(($663+84)&4294967295, 32); //@line 671 "pi.c"
        HEAP[$664]=$660; //@line 671 "pi.c"
        var $665=HEAP[$pino]; //@line 672 "pi.c"
        var $666=HEAP[$tcp]; //@line 672 "pi.c"
        var $667=CHECK_OVERFLOW(($666+8)&4294967295, 32); //@line 672 "pi.c"
        var $668=HEAP[$667]; //@line 672 "pi.c"
        var $669=HEAP[$tcp]; //@line 672 "pi.c"
        var $670=CHECK_OVERFLOW(($669+428)&4294967295, 32); //@line 672 "pi.c"
        var $671=CHECK_OVERFLOW(($670+$665*148)&4294967295, 32); //@line 672 "pi.c"
        var $672=CHECK_OVERFLOW(($671+36)&4294967295, 32); //@line 672 "pi.c"
        HEAP[$672]=$668; //@line 672 "pi.c"
        __label__ = 54; break; //@line 672 "pi.c"
      case 54: // $bb55
        var $673=HEAP[$pino]; //@line 674 "pi.c"
        var $674=HEAP[$tcp]; //@line 674 "pi.c"
        var $675=CHECK_OVERFLOW(($674+428)&4294967295, 32); //@line 674 "pi.c"
        var $676=CHECK_OVERFLOW(($675+$673*148)&4294967295, 32); //@line 674 "pi.c"
        var $677=CHECK_OVERFLOW(($676+80)&4294967295, 32); //@line 674 "pi.c"
        HEAP[$677]=0; //@line 674 "pi.c"
        var $678=HEAP[$pino]; //@line 675 "pi.c"
        var $679=HEAP[$tcp]; //@line 675 "pi.c"
        var $680=CHECK_OVERFLOW(($679+428)&4294967295, 32); //@line 675 "pi.c"
        var $681=CHECK_OVERFLOW(($680+$678*148)&4294967295, 32); //@line 675 "pi.c"
        var $682=CHECK_OVERFLOW(($681+96)&4294967295, 32); //@line 675 "pi.c"
        var $683=HEAP[$maxprec]; //@line 675 "pi.c"
        HEAP[$682]=$683; //@line 675 "pi.c"
        var $684=HEAP[$pino]; //@line 676 "pi.c"
        var $685=HEAP[$pi]; //@line 676 "pi.c"
        var $686=HEAP[$pino]; //@line 676 "pi.c"
        var $687=CHECK_OVERFLOW(($685+232*$686)&4294967295, 32); //@line 676 "pi.c"
        var $688=CHECK_OVERFLOW(($687+200)&4294967295, 32); //@line 676 "pi.c"
        var $689=HEAP[$688]; //@line 676 "pi.c"
        var $690=HEAP[$tcp]; //@line 676 "pi.c"
        var $691=CHECK_OVERFLOW(($690+428)&4294967295, 32); //@line 676 "pi.c"
        var $692=CHECK_OVERFLOW(($691+$684*148)&4294967295, 32); //@line 676 "pi.c"
        var $693=CHECK_OVERFLOW(($692+100)&4294967295, 32); //@line 676 "pi.c"
        HEAP[$693]=$689; //@line 676 "pi.c"
        var $694=HEAP[$pino]; //@line 677 "pi.c"
        var $695=HEAP[$pi]; //@line 677 "pi.c"
        var $696=HEAP[$pino]; //@line 677 "pi.c"
        var $697=CHECK_OVERFLOW(($695+232*$696)&4294967295, 32); //@line 677 "pi.c"
        var $698=CHECK_OVERFLOW(($697+208)&4294967295, 32); //@line 677 "pi.c"
        var $699=HEAP[$698]; //@line 677 "pi.c"
        var $700=HEAP[$tcp]; //@line 677 "pi.c"
        var $701=CHECK_OVERFLOW(($700+428)&4294967295, 32); //@line 677 "pi.c"
        var $702=CHECK_OVERFLOW(($701+$694*148)&4294967295, 32); //@line 677 "pi.c"
        var $703=CHECK_OVERFLOW(($702+104)&4294967295, 32); //@line 677 "pi.c"
        HEAP[$703]=$699; //@line 677 "pi.c"
        var $704=HEAP[$pino]; //@line 678 "pi.c"
        var $705=HEAP[$pi]; //@line 678 "pi.c"
        var $706=HEAP[$pino]; //@line 678 "pi.c"
        var $707=CHECK_OVERFLOW(($705+232*$706)&4294967295, 32); //@line 678 "pi.c"
        var $708=CHECK_OVERFLOW(($707+204)&4294967295, 32); //@line 678 "pi.c"
        var $709=HEAP[$708]; //@line 678 "pi.c"
        var $710=HEAP[$tcp]; //@line 678 "pi.c"
        var $711=CHECK_OVERFLOW(($710+428)&4294967295, 32); //@line 678 "pi.c"
        var $712=CHECK_OVERFLOW(($711+$704*148)&4294967295, 32); //@line 678 "pi.c"
        var $713=CHECK_OVERFLOW(($712+108)&4294967295, 32); //@line 678 "pi.c"
        HEAP[$713]=$709; //@line 678 "pi.c"
        var $714=HEAP[$pino]; //@line 679 "pi.c"
        var $715=HEAP[$pi]; //@line 679 "pi.c"
        var $716=HEAP[$pino]; //@line 679 "pi.c"
        var $717=CHECK_OVERFLOW(($715+232*$716)&4294967295, 32); //@line 679 "pi.c"
        var $718=CHECK_OVERFLOW(($717+212)&4294967295, 32); //@line 679 "pi.c"
        var $719=HEAP[$718]; //@line 679 "pi.c"
        var $720=HEAP[$tcp]; //@line 679 "pi.c"
        var $721=CHECK_OVERFLOW(($720+428)&4294967295, 32); //@line 679 "pi.c"
        var $722=CHECK_OVERFLOW(($721+$714*148)&4294967295, 32); //@line 679 "pi.c"
        var $723=CHECK_OVERFLOW(($722+112)&4294967295, 32); //@line 679 "pi.c"
        HEAP[$723]=$719; //@line 679 "pi.c"
        var $724=HEAP[$pino]; //@line 680 "pi.c"
        var $725=HEAP[$pi]; //@line 680 "pi.c"
        var $726=HEAP[$pino]; //@line 680 "pi.c"
        var $727=CHECK_OVERFLOW(($725+232*$726)&4294967295, 32); //@line 680 "pi.c"
        var $728=CHECK_OVERFLOW(($727+224)&4294967295, 32); //@line 680 "pi.c"
        var $729=HEAP[$728]; //@line 680 "pi.c"
        var $730=HEAP[$tcp]; //@line 680 "pi.c"
        var $731=CHECK_OVERFLOW(($730+428)&4294967295, 32); //@line 680 "pi.c"
        var $732=CHECK_OVERFLOW(($731+$724*148)&4294967295, 32); //@line 680 "pi.c"
        var $733=CHECK_OVERFLOW(($732+116)&4294967295, 32); //@line 680 "pi.c"
        HEAP[$733]=$729; //@line 680 "pi.c"
        var $734=HEAP[$pino]; //@line 681 "pi.c"
        var $735=HEAP[$pi]; //@line 681 "pi.c"
        var $736=HEAP[$pino]; //@line 681 "pi.c"
        var $737=CHECK_OVERFLOW(($735+232*$736)&4294967295, 32); //@line 681 "pi.c"
        var $738=CHECK_OVERFLOW(($737+228)&4294967295, 32); //@line 681 "pi.c"
        var $739=HEAP[$738]; //@line 681 "pi.c"
        var $740=HEAP[$tcp]; //@line 681 "pi.c"
        var $741=CHECK_OVERFLOW(($740+428)&4294967295, 32); //@line 681 "pi.c"
        var $742=CHECK_OVERFLOW(($741+$734*148)&4294967295, 32); //@line 681 "pi.c"
        var $743=CHECK_OVERFLOW(($742+120)&4294967295, 32); //@line 681 "pi.c"
        HEAP[$743]=$739; //@line 681 "pi.c"
        var $744=HEAP[$pino]; //@line 558 "pi.c"
        var $745=CHECK_OVERFLOW((($744) + 1)&4294967295, 32); //@line 558 "pi.c"
        HEAP[$pino]=$745; //@line 558 "pi.c"
        __label__ = 3; break; //@line 558 "pi.c"
      case 3: // $bb56
        var $746=HEAP[$tcp]; //@line 558 "pi.c"
        var $747=CHECK_OVERFLOW(($746+420)&4294967295, 32); //@line 558 "pi.c"
        var $748=HEAP[$747]; //@line 558 "pi.c"
        var $749=CHECK_OVERFLOW((($748) + 1)&4294967295, 32); //@line 558 "pi.c"
        var $750=HEAP[$pino]; //@line 558 "pi.c"
        var $751=($749) > ($750); //@line 558 "pi.c"
        if ($751) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 558 "pi.c"
      case 56: // $bb57
        var $752=HEAP[$pi]; //@line 683 "pi.c"
        HEAP[$0]=$752; //@line 683 "pi.c"
        __label__ = 2; break; //@line 683 "pi.c"
      case 2: // $bb58
        var $753=HEAP[$0]; //@line 555 "pi.c"
        HEAP[$retval]=$753; //@line 555 "pi.c"
        __label__ = 57; break; //@line 555 "pi.c"
      case 57: // $return
        var $retval59=HEAP[$retval]; //@line 555 "pi.c"
        STACKTOP = __stackBase__;
        return $retval59; //@line 555 "pi.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _pi_destroy($pi, $cp, $tileno) {
    var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 28);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $pi_addr=__stackBase__;
        var $cp_addr=__stackBase__+4;
        var $tileno_addr=__stackBase__+8;
        var $compno=__stackBase__+12;
        var $pino=__stackBase__+16;
        var $tcp=__stackBase__+20;
        var $comp=__stackBase__+24;
        var $_alloca_point_=0;
        HEAP[$pi_addr]=$pi;
        HEAP[$cp_addr]=$cp;
        HEAP[$tileno_addr]=$tileno;
        var $0=HEAP[$cp_addr]; //@line 690 "pi.c"
        var $1=CHECK_OVERFLOW(($0+108)&4294967295, 32); //@line 690 "pi.c"
        var $2=HEAP[$1]; //@line 690 "pi.c"
        var $3=HEAP[$tileno_addr]; //@line 690 "pi.c"
        var $4=CHECK_OVERFLOW(($2+5588*$3)&4294967295, 32); //@line 690 "pi.c"
        HEAP[$tcp]=$4; //@line 690 "pi.c"
        var $5=HEAP[$pi_addr]; //@line 691 "pi.c"
        var $6=($5)!=0; //@line 691 "pi.c"
        if ($6) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 691 "pi.c"
      case 0: // $bb
        HEAP[$pino]=0; //@line 692 "pi.c"
        __label__ = 2; break; //@line 692 "pi.c"
      case 10: // $bb1
        var $7=HEAP[$pi_addr]; //@line 693 "pi.c"
        var $8=HEAP[$pino]; //@line 693 "pi.c"
        var $9=CHECK_OVERFLOW(($7+232*$8)&4294967295, 32); //@line 693 "pi.c"
        var $10=CHECK_OVERFLOW(($9+196)&4294967295, 32); //@line 693 "pi.c"
        var $11=HEAP[$10]; //@line 693 "pi.c"
        var $12=($11)!=0; //@line 693 "pi.c"
        if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 693 "pi.c"
      case 3: // $bb2
        HEAP[$compno]=0; //@line 694 "pi.c"
        __label__ = 5; break; //@line 694 "pi.c"
      case 8: // $bb3
        var $13=HEAP[$pi_addr]; //@line 695 "pi.c"
        var $14=HEAP[$pino]; //@line 695 "pi.c"
        var $15=CHECK_OVERFLOW(($13+232*$14)&4294967295, 32); //@line 695 "pi.c"
        var $16=CHECK_OVERFLOW(($15+196)&4294967295, 32); //@line 695 "pi.c"
        var $17=HEAP[$16]; //@line 695 "pi.c"
        var $18=HEAP[$compno]; //@line 695 "pi.c"
        var $19=CHECK_OVERFLOW(($17+16*$18)&4294967295, 32); //@line 695 "pi.c"
        HEAP[$comp]=$19; //@line 695 "pi.c"
        var $20=HEAP[$comp]; //@line 696 "pi.c"
        var $21=CHECK_OVERFLOW(($20+12)&4294967295, 32); //@line 696 "pi.c"
        var $22=HEAP[$21]; //@line 696 "pi.c"
        var $23=($22)!=0; //@line 696 "pi.c"
        if ($23) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 696 "pi.c"
      case 6: // $bb4
        var $24=HEAP[$comp]; //@line 697 "pi.c"
        var $25=CHECK_OVERFLOW(($24+12)&4294967295, 32); //@line 697 "pi.c"
        var $26=HEAP[$25]; //@line 697 "pi.c"
        var $27=$26; //@line 697 "pi.c"
        _free($27); //@line 697 "pi.c"
        __label__ = 7; break; //@line 697 "pi.c"
      case 7: // $bb5
        var $28=HEAP[$compno]; //@line 694 "pi.c"
        var $29=CHECK_OVERFLOW((($28) + 1)&4294967295, 32); //@line 694 "pi.c"
        HEAP[$compno]=$29; //@line 694 "pi.c"
        __label__ = 5; break; //@line 694 "pi.c"
      case 5: // $bb6
        var $30=HEAP[$pi_addr]; //@line 694 "pi.c"
        var $31=CHECK_OVERFLOW(($30+192)&4294967295, 32); //@line 694 "pi.c"
        var $32=HEAP[$31]; //@line 694 "pi.c"
        var $33=HEAP[$compno]; //@line 694 "pi.c"
        var $34=($32) > ($33); //@line 694 "pi.c"
        if ($34) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 694 "pi.c"
      case 9: // $bb7
        var $35=HEAP[$pi_addr]; //@line 700 "pi.c"
        var $36=HEAP[$pino]; //@line 700 "pi.c"
        var $37=CHECK_OVERFLOW(($35+232*$36)&4294967295, 32); //@line 700 "pi.c"
        var $38=CHECK_OVERFLOW(($37+196)&4294967295, 32); //@line 700 "pi.c"
        var $39=HEAP[$38]; //@line 700 "pi.c"
        var $40=$39; //@line 700 "pi.c"
        _free($40); //@line 700 "pi.c"
        __label__ = 4; break; //@line 700 "pi.c"
      case 4: // $bb8
        var $41=HEAP[$pino]; //@line 692 "pi.c"
        var $42=CHECK_OVERFLOW((($41) + 1)&4294967295, 32); //@line 692 "pi.c"
        HEAP[$pino]=$42; //@line 692 "pi.c"
        __label__ = 2; break; //@line 692 "pi.c"
      case 2: // $bb9
        var $43=HEAP[$tcp]; //@line 692 "pi.c"
        var $44=CHECK_OVERFLOW(($43+420)&4294967295, 32); //@line 692 "pi.c"
        var $45=HEAP[$44]; //@line 692 "pi.c"
        var $46=CHECK_OVERFLOW((($45) + 1)&4294967295, 32); //@line 692 "pi.c"
        var $47=HEAP[$pino]; //@line 692 "pi.c"
        var $48=($46) > ($47); //@line 692 "pi.c"
        if ($48) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 692 "pi.c"
      case 11: // $bb10
        var $49=HEAP[$pi_addr]; //@line 703 "pi.c"
        var $50=CHECK_OVERFLOW(($49+4)&4294967295, 32); //@line 703 "pi.c"
        var $51=HEAP[$50]; //@line 703 "pi.c"
        var $52=($51)!=0; //@line 703 "pi.c"
        if ($52) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 703 "pi.c"
      case 12: // $bb11
        var $53=HEAP[$pi_addr]; //@line 704 "pi.c"
        var $54=CHECK_OVERFLOW(($53+4)&4294967295, 32); //@line 704 "pi.c"
        var $55=HEAP[$54]; //@line 704 "pi.c"
        var $56=$55; //@line 704 "pi.c"
        _free($56); //@line 704 "pi.c"
        __label__ = 13; break; //@line 704 "pi.c"
      case 13: // $bb12
        var $57=HEAP[$pi_addr]; //@line 706 "pi.c"
        var $58=$57; //@line 706 "pi.c"
        _free($58); //@line 706 "pi.c"
        __label__ = 1; break; //@line 706 "pi.c"
      case 1: // $bb13
        __label__ = 14; break; //@line 708 "pi.c"
      case 14: // $return
        STACKTOP = __stackBase__;
        return; //@line 708 "pi.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _pi_next($pi) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $pi_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$pi_addr]=$pi;
        var $1=HEAP[$pi_addr]; //@line 711 "pi.c"
        var $2=CHECK_OVERFLOW(($1+44)&4294967295, 32); //@line 711 "pi.c"
        var $3=CHECK_OVERFLOW(($2+36)&4294967295, 32); //@line 711 "pi.c"
        var $4=HEAP[$3]; //@line 711 "pi.c"
        if ($4 == -1) {
          __label__ = 2; break;
        }
        else if ($4 == 0) {
          __label__ = 3; break;
        }
        else if ($4 == 1) {
          __label__ = 4; break;
        }
        else if ($4 == 2) {
          __label__ = 5; break;
        }
        else if ($4 == 3) {
          __label__ = 6; break;
        }
        else if ($4 == 4) {
          __label__ = 7; break;
        }
        else {
        __label__ = 8; break;
        }
        
      case 3: // $bb
        var $5=HEAP[$pi_addr]; //@line 713 "pi.c"
        var $6=_pi_next_lrcp($5); //@line 713 "pi.c"
        HEAP[$0]=$6; //@line 713 "pi.c"
        __label__ = 0; break; //@line 713 "pi.c"
      case 4: // $bb1
        var $7=HEAP[$pi_addr]; //@line 715 "pi.c"
        var $8=_pi_next_rlcp($7); //@line 715 "pi.c"
        HEAP[$0]=$8; //@line 715 "pi.c"
        __label__ = 0; break; //@line 715 "pi.c"
      case 5: // $bb2
        var $9=HEAP[$pi_addr]; //@line 717 "pi.c"
        var $10=_pi_next_rpcl($9); //@line 717 "pi.c"
        HEAP[$0]=$10; //@line 717 "pi.c"
        __label__ = 0; break; //@line 717 "pi.c"
      case 6: // $bb3
        var $11=HEAP[$pi_addr]; //@line 719 "pi.c"
        var $12=_pi_next_pcrl($11); //@line 719 "pi.c"
        HEAP[$0]=$12; //@line 719 "pi.c"
        __label__ = 0; break; //@line 719 "pi.c"
      case 7: // $bb4
        var $13=HEAP[$pi_addr]; //@line 721 "pi.c"
        var $14=_pi_next_cprl($13); //@line 721 "pi.c"
        HEAP[$0]=$14; //@line 721 "pi.c"
        __label__ = 0; break; //@line 721 "pi.c"
      case 2: // $bb5
        HEAP[$0]=0; //@line 723 "pi.c"
        __label__ = 0; break; //@line 723 "pi.c"
      case 8: // $bb6
        HEAP[$0]=0; //@line 726 "pi.c"
        __label__ = 0; break; //@line 726 "pi.c"
      case 0: // $bb7
        var $15=HEAP[$0]; //@line 713 "pi.c"
        HEAP[$retval]=$15; //@line 713 "pi.c"
        __label__ = 1; break; //@line 713 "pi.c"
      case 1: // $return
        var $retval8=HEAP[$retval]; //@line 713 "pi.c"
        STACKTOP = __stackBase__;
        return $retval8; //@line 713 "pi.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _pi_create_encode($pi, $cp, $tileno, $pino, $tpnum, $tppos, $t2_mode, $cur_totnum_tp) {
    var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 64);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $pi_addr=__stackBase__;
        var $cp_addr=__stackBase__+4;
        var $tileno_addr=__stackBase__+8;
        var $pino_addr=__stackBase__+12;
        var $tpnum_addr=__stackBase__+16;
        var $tppos_addr=__stackBase__+20;
        var $t2_mode_addr=__stackBase__+24;
        var $cur_totnum_tp_addr=__stackBase__+28;
        var $retval=__stackBase__+32;
        var $0=__stackBase__+36;
        var $prog=__stackBase__+40;
        var $i=__stackBase__+44;
        var $incr_top=__stackBase__+48;
        var $resetX=__stackBase__+52;
        var $tcps=__stackBase__+56;
        var $tcp=__stackBase__+60;
        var $_alloca_point_=0;
        HEAP[$pi_addr]=$pi;
        HEAP[$cp_addr]=$cp;
        HEAP[$tileno_addr]=$tileno;
        HEAP[$pino_addr]=$pino;
        HEAP[$tpnum_addr]=$tpnum;
        HEAP[$tppos_addr]=$tppos;
        HEAP[$t2_mode_addr]=$t2_mode;
        HEAP[$cur_totnum_tp_addr]=$cur_totnum_tp;
        HEAP[$incr_top]=1; //@line 732 "pi.c"
        HEAP[$resetX]=0; //@line 732 "pi.c"
        var $1=HEAP[$cp_addr]; //@line 733 "pi.c"
        var $2=CHECK_OVERFLOW(($1+108)&4294967295, 32); //@line 733 "pi.c"
        var $3=HEAP[$2]; //@line 733 "pi.c"
        var $4=HEAP[$tileno_addr]; //@line 733 "pi.c"
        var $5=CHECK_OVERFLOW(($3+5588*$4)&4294967295, 32); //@line 733 "pi.c"
        HEAP[$tcps]=$5; //@line 733 "pi.c"
        var $6=HEAP[$pino_addr]; //@line 734 "pi.c"
        var $7=HEAP[$tcps]; //@line 734 "pi.c"
        var $8=CHECK_OVERFLOW(($7+428)&4294967295, 32); //@line 734 "pi.c"
        var $9=CHECK_OVERFLOW(($8+$6*148)&4294967295, 32); //@line 734 "pi.c"
        HEAP[$tcp]=$9; //@line 734 "pi.c"
        var $10=HEAP[$pi_addr]; //@line 736 "pi.c"
        var $11=HEAP[$pino_addr]; //@line 736 "pi.c"
        var $12=CHECK_OVERFLOW(($10+232*$11)&4294967295, 32); //@line 736 "pi.c"
        var $13=CHECK_OVERFLOW(($12+40)&4294967295, 32); //@line 736 "pi.c"
        HEAP[$13]=1; //@line 736 "pi.c"
        var $14=HEAP[$pi_addr]; //@line 737 "pi.c"
        var $15=HEAP[$pino_addr]; //@line 737 "pi.c"
        var $16=CHECK_OVERFLOW(($14+232*$15)&4294967295, 32); //@line 737 "pi.c"
        var $17=HEAP[$tcp]; //@line 737 "pi.c"
        var $18=CHECK_OVERFLOW(($17+36)&4294967295, 32); //@line 737 "pi.c"
        var $19=HEAP[$18]; //@line 737 "pi.c"
        var $20=CHECK_OVERFLOW(($16+44)&4294967295, 32); //@line 737 "pi.c"
        var $21=CHECK_OVERFLOW(($20+36)&4294967295, 32); //@line 737 "pi.c"
        HEAP[$21]=$19; //@line 737 "pi.c"
        var $22=HEAP[$tcp]; //@line 739 "pi.c"
        var $23=CHECK_OVERFLOW(($22+36)&4294967295, 32); //@line 739 "pi.c"
        var $24=HEAP[$23]; //@line 739 "pi.c"
        if ($24 == -1) {
          __label__ = 67; break;
        }
        else if ($24 == 0) {
          __label__ = 68; break;
        }
        else if ($24 == 1) {
          __label__ = 69; break;
        }
        else if ($24 == 2) {
          __label__ = 70; break;
        }
        else if ($24 == 3) {
          __label__ = 71; break;
        }
        else if ($24 == 4) {
          __label__ = 72; break;
        }
        else {
        __label__ = 0; break;
        }
        
      case 72: // $bb
        var $prog1=$prog; //@line 740 "pi.c"
        _llvm_memcpy_p0i8_p0i8_i32($prog1, CHECK_OVERFLOW((__str31107)&4294967295, 32), 4, 1, 0); //@line 740 "pi.c"
        __label__ = 0; break; //@line 740 "pi.c"
      case 68: // $bb2
        var $prog3=$prog; //@line 742 "pi.c"
        _llvm_memcpy_p0i8_p0i8_i32($prog3, CHECK_OVERFLOW((__str132)&4294967295, 32), 4, 1, 0); //@line 742 "pi.c"
        __label__ = 0; break; //@line 742 "pi.c"
      case 71: // $bb4
        var $prog5=$prog; //@line 744 "pi.c"
        _llvm_memcpy_p0i8_p0i8_i32($prog5, CHECK_OVERFLOW((__str233)&4294967295, 32), 4, 1, 0); //@line 744 "pi.c"
        __label__ = 0; break; //@line 744 "pi.c"
      case 69: // $bb6
        var $prog7=$prog; //@line 746 "pi.c"
        _llvm_memcpy_p0i8_p0i8_i32($prog7, CHECK_OVERFLOW((__str334)&4294967295, 32), 4, 1, 0); //@line 746 "pi.c"
        __label__ = 0; break; //@line 746 "pi.c"
      case 70: // $bb8
        var $prog9=$prog; //@line 748 "pi.c"
        _llvm_memcpy_p0i8_p0i8_i32($prog9, CHECK_OVERFLOW((__str435)&4294967295, 32), 4, 1, 0); //@line 748 "pi.c"
        __label__ = 0; break; //@line 748 "pi.c"
      case 67: // $bb10
        HEAP[$0]=1; //@line 751 "pi.c"
        __label__ = 1; break; //@line 751 "pi.c"
      case 0: // $bb11
        var $25=HEAP[$cp_addr]; //@line 754 "pi.c"
        var $26=CHECK_OVERFLOW(($25+16)&4294967295, 32); //@line 754 "pi.c"
        var $27=HEAP[$26]; //@line 754 "pi.c"
        var $28=($27)==0; //@line 754 "pi.c"
        if ($28) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 754 "pi.c"
      case 3: // $bb12
        var $29=HEAP[$cp_addr]; //@line 754 "pi.c"
        var $30=CHECK_OVERFLOW(($29)&4294967295, 32); //@line 754 "pi.c"
        var $31=HEAP[$30]; //@line 754 "pi.c"
        var $32=($31)!=0; //@line 754 "pi.c"
        if ($32) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 754 "pi.c"
      case 5: // $bb13
        var $33=HEAP[$t2_mode_addr]; //@line 754 "pi.c"
        var $34=($33)!=1; //@line 754 "pi.c"
        if ($34) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 754 "pi.c"
      case 4: // $bb14
        var $35=HEAP[$cp_addr]; //@line 754 "pi.c"
        var $36=CHECK_OVERFLOW(($35)&4294967295, 32); //@line 754 "pi.c"
        var $37=HEAP[$36]; //@line 754 "pi.c"
        var $38=($37)==0; //@line 754 "pi.c"
        if ($38) { __label__ = 2; break; } else { __label__ = 6; break; } //@line 754 "pi.c"
      case 2: // $bb15
        var $39=HEAP[$pi_addr]; //@line 755 "pi.c"
        var $40=HEAP[$pino_addr]; //@line 755 "pi.c"
        var $41=CHECK_OVERFLOW(($39+232*$40)&4294967295, 32); //@line 755 "pi.c"
        var $42=HEAP[$tcp]; //@line 755 "pi.c"
        var $43=CHECK_OVERFLOW(($42+72)&4294967295, 32); //@line 755 "pi.c"
        var $44=HEAP[$43]; //@line 755 "pi.c"
        var $45=CHECK_OVERFLOW(($41+44)&4294967295, 32); //@line 755 "pi.c"
        var $46=CHECK_OVERFLOW(($45)&4294967295, 32); //@line 755 "pi.c"
        HEAP[$46]=$44; //@line 755 "pi.c"
        var $47=HEAP[$pi_addr]; //@line 756 "pi.c"
        var $48=HEAP[$pino_addr]; //@line 756 "pi.c"
        var $49=CHECK_OVERFLOW(($47+232*$48)&4294967295, 32); //@line 756 "pi.c"
        var $50=HEAP[$tcp]; //@line 756 "pi.c"
        var $51=CHECK_OVERFLOW(($50+88)&4294967295, 32); //@line 756 "pi.c"
        var $52=HEAP[$51]; //@line 756 "pi.c"
        var $53=CHECK_OVERFLOW(($49+44)&4294967295, 32); //@line 756 "pi.c"
        var $54=CHECK_OVERFLOW(($53+12)&4294967295, 32); //@line 756 "pi.c"
        HEAP[$54]=$52; //@line 756 "pi.c"
        var $55=HEAP[$pi_addr]; //@line 757 "pi.c"
        var $56=HEAP[$pino_addr]; //@line 757 "pi.c"
        var $57=CHECK_OVERFLOW(($55+232*$56)&4294967295, 32); //@line 757 "pi.c"
        var $58=HEAP[$tcp]; //@line 757 "pi.c"
        var $59=CHECK_OVERFLOW(($58+76)&4294967295, 32); //@line 757 "pi.c"
        var $60=HEAP[$59]; //@line 757 "pi.c"
        var $61=CHECK_OVERFLOW(($57+44)&4294967295, 32); //@line 757 "pi.c"
        var $62=CHECK_OVERFLOW(($61+4)&4294967295, 32); //@line 757 "pi.c"
        HEAP[$62]=$60; //@line 757 "pi.c"
        var $63=HEAP[$pi_addr]; //@line 758 "pi.c"
        var $64=HEAP[$pino_addr]; //@line 758 "pi.c"
        var $65=CHECK_OVERFLOW(($63+232*$64)&4294967295, 32); //@line 758 "pi.c"
        var $66=HEAP[$tcp]; //@line 758 "pi.c"
        var $67=CHECK_OVERFLOW(($66+92)&4294967295, 32); //@line 758 "pi.c"
        var $68=HEAP[$67]; //@line 758 "pi.c"
        var $69=CHECK_OVERFLOW(($65+44)&4294967295, 32); //@line 758 "pi.c"
        var $70=CHECK_OVERFLOW(($69+16)&4294967295, 32); //@line 758 "pi.c"
        HEAP[$70]=$68; //@line 758 "pi.c"
        var $71=HEAP[$pi_addr]; //@line 759 "pi.c"
        var $72=HEAP[$pino_addr]; //@line 759 "pi.c"
        var $73=CHECK_OVERFLOW(($71+232*$72)&4294967295, 32); //@line 759 "pi.c"
        var $74=HEAP[$tcp]; //@line 759 "pi.c"
        var $75=CHECK_OVERFLOW(($74+68)&4294967295, 32); //@line 759 "pi.c"
        var $76=HEAP[$75]; //@line 759 "pi.c"
        var $77=CHECK_OVERFLOW(($73+44)&4294967295, 32); //@line 759 "pi.c"
        var $78=CHECK_OVERFLOW(($77+20)&4294967295, 32); //@line 759 "pi.c"
        HEAP[$78]=$76; //@line 759 "pi.c"
        var $79=HEAP[$pi_addr]; //@line 760 "pi.c"
        var $80=HEAP[$pino_addr]; //@line 760 "pi.c"
        var $81=CHECK_OVERFLOW(($79+232*$80)&4294967295, 32); //@line 760 "pi.c"
        var $82=HEAP[$tcp]; //@line 760 "pi.c"
        var $83=CHECK_OVERFLOW(($82+84)&4294967295, 32); //@line 760 "pi.c"
        var $84=HEAP[$83]; //@line 760 "pi.c"
        var $85=CHECK_OVERFLOW(($81+44)&4294967295, 32); //@line 760 "pi.c"
        var $86=CHECK_OVERFLOW(($85+8)&4294967295, 32); //@line 760 "pi.c"
        HEAP[$86]=$84; //@line 760 "pi.c"
        var $87=HEAP[$pi_addr]; //@line 761 "pi.c"
        var $88=HEAP[$pino_addr]; //@line 761 "pi.c"
        var $89=CHECK_OVERFLOW(($87+232*$88)&4294967295, 32); //@line 761 "pi.c"
        var $90=HEAP[$tcp]; //@line 761 "pi.c"
        var $91=CHECK_OVERFLOW(($90+80)&4294967295, 32); //@line 761 "pi.c"
        var $92=HEAP[$91]; //@line 761 "pi.c"
        var $93=CHECK_OVERFLOW(($89+44)&4294967295, 32); //@line 761 "pi.c"
        var $94=CHECK_OVERFLOW(($93+24)&4294967295, 32); //@line 761 "pi.c"
        HEAP[$94]=$92; //@line 761 "pi.c"
        var $95=HEAP[$pi_addr]; //@line 762 "pi.c"
        var $96=HEAP[$pino_addr]; //@line 762 "pi.c"
        var $97=CHECK_OVERFLOW(($95+232*$96)&4294967295, 32); //@line 762 "pi.c"
        var $98=HEAP[$tcp]; //@line 762 "pi.c"
        var $99=CHECK_OVERFLOW(($98+96)&4294967295, 32); //@line 762 "pi.c"
        var $100=HEAP[$99]; //@line 762 "pi.c"
        var $101=CHECK_OVERFLOW(($97+44)&4294967295, 32); //@line 762 "pi.c"
        var $102=CHECK_OVERFLOW(($101+28)&4294967295, 32); //@line 762 "pi.c"
        HEAP[$102]=$100; //@line 762 "pi.c"
        var $103=HEAP[$pi_addr]; //@line 763 "pi.c"
        var $104=HEAP[$pino_addr]; //@line 763 "pi.c"
        var $105=CHECK_OVERFLOW(($103+232*$104)&4294967295, 32); //@line 763 "pi.c"
        var $106=HEAP[$tcp]; //@line 763 "pi.c"
        var $107=CHECK_OVERFLOW(($106+100)&4294967295, 32); //@line 763 "pi.c"
        var $108=HEAP[$107]; //@line 763 "pi.c"
        var $109=CHECK_OVERFLOW(($105+44)&4294967295, 32); //@line 763 "pi.c"
        var $110=CHECK_OVERFLOW(($109+52)&4294967295, 32); //@line 763 "pi.c"
        HEAP[$110]=$108; //@line 763 "pi.c"
        var $111=HEAP[$pi_addr]; //@line 764 "pi.c"
        var $112=HEAP[$pino_addr]; //@line 764 "pi.c"
        var $113=CHECK_OVERFLOW(($111+232*$112)&4294967295, 32); //@line 764 "pi.c"
        var $114=HEAP[$tcp]; //@line 764 "pi.c"
        var $115=CHECK_OVERFLOW(($114+108)&4294967295, 32); //@line 764 "pi.c"
        var $116=HEAP[$115]; //@line 764 "pi.c"
        var $117=CHECK_OVERFLOW(($113+44)&4294967295, 32); //@line 764 "pi.c"
        var $118=CHECK_OVERFLOW(($117+60)&4294967295, 32); //@line 764 "pi.c"
        HEAP[$118]=$116; //@line 764 "pi.c"
        var $119=HEAP[$pi_addr]; //@line 765 "pi.c"
        var $120=HEAP[$pino_addr]; //@line 765 "pi.c"
        var $121=CHECK_OVERFLOW(($119+232*$120)&4294967295, 32); //@line 765 "pi.c"
        var $122=HEAP[$tcp]; //@line 765 "pi.c"
        var $123=CHECK_OVERFLOW(($122+104)&4294967295, 32); //@line 765 "pi.c"
        var $124=HEAP[$123]; //@line 765 "pi.c"
        var $125=CHECK_OVERFLOW(($121+44)&4294967295, 32); //@line 765 "pi.c"
        var $126=CHECK_OVERFLOW(($125+56)&4294967295, 32); //@line 765 "pi.c"
        HEAP[$126]=$124; //@line 765 "pi.c"
        var $127=HEAP[$pi_addr]; //@line 766 "pi.c"
        var $128=HEAP[$pino_addr]; //@line 766 "pi.c"
        var $129=CHECK_OVERFLOW(($127+232*$128)&4294967295, 32); //@line 766 "pi.c"
        var $130=HEAP[$tcp]; //@line 766 "pi.c"
        var $131=CHECK_OVERFLOW(($130+112)&4294967295, 32); //@line 766 "pi.c"
        var $132=HEAP[$131]; //@line 766 "pi.c"
        var $133=CHECK_OVERFLOW(($129+44)&4294967295, 32); //@line 766 "pi.c"
        var $134=CHECK_OVERFLOW(($133+64)&4294967295, 32); //@line 766 "pi.c"
        HEAP[$134]=$132; //@line 766 "pi.c"
        __label__ = 7; break; //@line 766 "pi.c"
      case 6: // $bb16
        var $135=HEAP[$tpnum_addr]; //@line 768 "pi.c"
        var $136=HEAP[$cur_totnum_tp_addr]; //@line 768 "pi.c"
        var $137=($135) < ($136); //@line 768 "pi.c"
        if ($137) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 768 "pi.c"
      case 8: // $bb17
        HEAP[$i]=3; //@line 769 "pi.c"
        __label__ = 9; break; //@line 769 "pi.c"
      case 65: // $bb18
        var $138=HEAP[$i]; //@line 770 "pi.c"
        var $139=CHECK_OVERFLOW(($prog+$138)&4294967295, 32); //@line 770 "pi.c"
        var $140=HEAP[$139]; //@line 770 "pi.c"
        var $141=($140); //@line 770 "pi.c"
        if ($141 == 67) {
          __label__ = 73; break;
        }
        else if ($141 == 76) {
          __label__ = 74; break;
        }
        else if ($141 == 80) {
          __label__ = 75; break;
        }
        else if ($141 == 82) {
          __label__ = 76; break;
        }
        else {
        __label__ = 20; break;
        }
        
      case 73: // $bb19
        var $142=HEAP[$i]; //@line 772 "pi.c"
        var $143=HEAP[$tppos_addr]; //@line 772 "pi.c"
        var $144=($142) > ($143); //@line 772 "pi.c"
        if ($144) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 772 "pi.c"
      case 10: // $bb20
        var $145=HEAP[$pi_addr]; //@line 773 "pi.c"
        var $146=HEAP[$pino_addr]; //@line 773 "pi.c"
        var $147=CHECK_OVERFLOW(($145+232*$146)&4294967295, 32); //@line 773 "pi.c"
        var $148=HEAP[$tcp]; //@line 773 "pi.c"
        var $149=CHECK_OVERFLOW(($148+76)&4294967295, 32); //@line 773 "pi.c"
        var $150=HEAP[$149]; //@line 773 "pi.c"
        var $151=CHECK_OVERFLOW(($147+44)&4294967295, 32); //@line 773 "pi.c"
        var $152=CHECK_OVERFLOW(($151+4)&4294967295, 32); //@line 773 "pi.c"
        HEAP[$152]=$150; //@line 773 "pi.c"
        var $153=HEAP[$pi_addr]; //@line 774 "pi.c"
        var $154=HEAP[$pino_addr]; //@line 774 "pi.c"
        var $155=CHECK_OVERFLOW(($153+232*$154)&4294967295, 32); //@line 774 "pi.c"
        var $156=HEAP[$tcp]; //@line 774 "pi.c"
        var $157=CHECK_OVERFLOW(($156+92)&4294967295, 32); //@line 774 "pi.c"
        var $158=HEAP[$157]; //@line 774 "pi.c"
        var $159=CHECK_OVERFLOW(($155+44)&4294967295, 32); //@line 774 "pi.c"
        var $160=CHECK_OVERFLOW(($159+16)&4294967295, 32); //@line 774 "pi.c"
        HEAP[$160]=$158; //@line 774 "pi.c"
        __label__ = 12; break; //@line 774 "pi.c"
      case 11: // $bb21
        var $161=HEAP[$tpnum_addr]; //@line 776 "pi.c"
        var $162=($161)==0; //@line 776 "pi.c"
        if ($162) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 776 "pi.c"
      case 13: // $bb22
        var $163=HEAP[$tcp]; //@line 777 "pi.c"
        var $164=CHECK_OVERFLOW(($163+76)&4294967295, 32); //@line 777 "pi.c"
        var $165=HEAP[$164]; //@line 777 "pi.c"
        var $166=HEAP[$tcp]; //@line 777 "pi.c"
        var $167=CHECK_OVERFLOW(($166+132)&4294967295, 32); //@line 777 "pi.c"
        HEAP[$167]=$165; //@line 777 "pi.c"
        var $168=HEAP[$pi_addr]; //@line 778 "pi.c"
        var $169=HEAP[$pino_addr]; //@line 778 "pi.c"
        var $170=CHECK_OVERFLOW(($168+232*$169)&4294967295, 32); //@line 778 "pi.c"
        var $171=HEAP[$tcp]; //@line 778 "pi.c"
        var $172=CHECK_OVERFLOW(($171+132)&4294967295, 32); //@line 778 "pi.c"
        var $173=HEAP[$172]; //@line 778 "pi.c"
        var $174=CHECK_OVERFLOW(($170+44)&4294967295, 32); //@line 778 "pi.c"
        var $175=CHECK_OVERFLOW(($174+4)&4294967295, 32); //@line 778 "pi.c"
        HEAP[$175]=$173; //@line 778 "pi.c"
        var $176=HEAP[$pi_addr]; //@line 779 "pi.c"
        var $177=HEAP[$pino_addr]; //@line 779 "pi.c"
        var $178=CHECK_OVERFLOW(($176+232*$177)&4294967295, 32); //@line 779 "pi.c"
        var $179=HEAP[$tcp]; //@line 779 "pi.c"
        var $180=CHECK_OVERFLOW(($179+132)&4294967295, 32); //@line 779 "pi.c"
        var $181=HEAP[$180]; //@line 779 "pi.c"
        var $182=CHECK_OVERFLOW((($181) + 1)&4294967295, 32); //@line 779 "pi.c"
        var $183=CHECK_OVERFLOW(($178+44)&4294967295, 32); //@line 779 "pi.c"
        var $184=CHECK_OVERFLOW(($183+16)&4294967295, 32); //@line 779 "pi.c"
        HEAP[$184]=$182; //@line 779 "pi.c"
        var $185=HEAP[$tcp]; //@line 780 "pi.c"
        var $186=CHECK_OVERFLOW(($185+132)&4294967295, 32); //@line 780 "pi.c"
        var $187=HEAP[$186]; //@line 780 "pi.c"
        var $188=CHECK_OVERFLOW((($187) + 1)&4294967295, 32); //@line 780 "pi.c"
        var $189=HEAP[$tcp]; //@line 780 "pi.c"
        var $190=CHECK_OVERFLOW(($189+132)&4294967295, 32); //@line 780 "pi.c"
        HEAP[$190]=$188; //@line 780 "pi.c"
        __label__ = 12; break; //@line 780 "pi.c"
      case 14: // $bb23
        var $191=HEAP[$incr_top]; //@line 782 "pi.c"
        var $192=($191)==1; //@line 782 "pi.c"
        if ($192) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 782 "pi.c"
      case 15: // $bb24
        var $193=HEAP[$tcp]; //@line 783 "pi.c"
        var $194=CHECK_OVERFLOW(($193+132)&4294967295, 32); //@line 783 "pi.c"
        var $195=HEAP[$194]; //@line 783 "pi.c"
        var $196=HEAP[$tcp]; //@line 783 "pi.c"
        var $197=CHECK_OVERFLOW(($196+92)&4294967295, 32); //@line 783 "pi.c"
        var $198=HEAP[$197]; //@line 783 "pi.c"
        var $199=($195)==($198); //@line 783 "pi.c"
        if ($199) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 783 "pi.c"
      case 17: // $bb25
        var $200=HEAP[$tcp]; //@line 784 "pi.c"
        var $201=CHECK_OVERFLOW(($200+76)&4294967295, 32); //@line 784 "pi.c"
        var $202=HEAP[$201]; //@line 784 "pi.c"
        var $203=HEAP[$tcp]; //@line 784 "pi.c"
        var $204=CHECK_OVERFLOW(($203+132)&4294967295, 32); //@line 784 "pi.c"
        HEAP[$204]=$202; //@line 784 "pi.c"
        var $205=HEAP[$pi_addr]; //@line 785 "pi.c"
        var $206=HEAP[$pino_addr]; //@line 785 "pi.c"
        var $207=CHECK_OVERFLOW(($205+232*$206)&4294967295, 32); //@line 785 "pi.c"
        var $208=HEAP[$tcp]; //@line 785 "pi.c"
        var $209=CHECK_OVERFLOW(($208+132)&4294967295, 32); //@line 785 "pi.c"
        var $210=HEAP[$209]; //@line 785 "pi.c"
        var $211=CHECK_OVERFLOW(($207+44)&4294967295, 32); //@line 785 "pi.c"
        var $212=CHECK_OVERFLOW(($211+4)&4294967295, 32); //@line 785 "pi.c"
        HEAP[$212]=$210; //@line 785 "pi.c"
        var $213=HEAP[$pi_addr]; //@line 786 "pi.c"
        var $214=HEAP[$pino_addr]; //@line 786 "pi.c"
        var $215=CHECK_OVERFLOW(($213+232*$214)&4294967295, 32); //@line 786 "pi.c"
        var $216=HEAP[$tcp]; //@line 786 "pi.c"
        var $217=CHECK_OVERFLOW(($216+132)&4294967295, 32); //@line 786 "pi.c"
        var $218=HEAP[$217]; //@line 786 "pi.c"
        var $219=CHECK_OVERFLOW((($218) + 1)&4294967295, 32); //@line 786 "pi.c"
        var $220=CHECK_OVERFLOW(($215+44)&4294967295, 32); //@line 786 "pi.c"
        var $221=CHECK_OVERFLOW(($220+16)&4294967295, 32); //@line 786 "pi.c"
        HEAP[$221]=$219; //@line 786 "pi.c"
        var $222=HEAP[$tcp]; //@line 787 "pi.c"
        var $223=CHECK_OVERFLOW(($222+132)&4294967295, 32); //@line 787 "pi.c"
        var $224=HEAP[$223]; //@line 787 "pi.c"
        var $225=CHECK_OVERFLOW((($224) + 1)&4294967295, 32); //@line 787 "pi.c"
        var $226=HEAP[$tcp]; //@line 787 "pi.c"
        var $227=CHECK_OVERFLOW(($226+132)&4294967295, 32); //@line 787 "pi.c"
        HEAP[$227]=$225; //@line 787 "pi.c"
        HEAP[$incr_top]=1; //@line 788 "pi.c"
        __label__ = 19; break; //@line 788 "pi.c"
      case 18: // $bb26
        var $228=HEAP[$pi_addr]; //@line 790 "pi.c"
        var $229=HEAP[$pino_addr]; //@line 790 "pi.c"
        var $230=CHECK_OVERFLOW(($228+232*$229)&4294967295, 32); //@line 790 "pi.c"
        var $231=HEAP[$tcp]; //@line 790 "pi.c"
        var $232=CHECK_OVERFLOW(($231+132)&4294967295, 32); //@line 790 "pi.c"
        var $233=HEAP[$232]; //@line 790 "pi.c"
        var $234=CHECK_OVERFLOW(($230+44)&4294967295, 32); //@line 790 "pi.c"
        var $235=CHECK_OVERFLOW(($234+4)&4294967295, 32); //@line 790 "pi.c"
        HEAP[$235]=$233; //@line 790 "pi.c"
        var $236=HEAP[$pi_addr]; //@line 791 "pi.c"
        var $237=HEAP[$pino_addr]; //@line 791 "pi.c"
        var $238=CHECK_OVERFLOW(($236+232*$237)&4294967295, 32); //@line 791 "pi.c"
        var $239=HEAP[$tcp]; //@line 791 "pi.c"
        var $240=CHECK_OVERFLOW(($239+132)&4294967295, 32); //@line 791 "pi.c"
        var $241=HEAP[$240]; //@line 791 "pi.c"
        var $242=CHECK_OVERFLOW((($241) + 1)&4294967295, 32); //@line 791 "pi.c"
        var $243=CHECK_OVERFLOW(($238+44)&4294967295, 32); //@line 791 "pi.c"
        var $244=CHECK_OVERFLOW(($243+16)&4294967295, 32); //@line 791 "pi.c"
        HEAP[$244]=$242; //@line 791 "pi.c"
        var $245=HEAP[$tcp]; //@line 792 "pi.c"
        var $246=CHECK_OVERFLOW(($245+132)&4294967295, 32); //@line 792 "pi.c"
        var $247=HEAP[$246]; //@line 792 "pi.c"
        var $248=CHECK_OVERFLOW((($247) + 1)&4294967295, 32); //@line 792 "pi.c"
        var $249=HEAP[$tcp]; //@line 792 "pi.c"
        var $250=CHECK_OVERFLOW(($249+132)&4294967295, 32); //@line 792 "pi.c"
        HEAP[$250]=$248; //@line 792 "pi.c"
        HEAP[$incr_top]=0; //@line 793 "pi.c"
        __label__ = 19; break; //@line 793 "pi.c"
      case 19: // $bb27
        __label__ = 12; break; //@line 793 "pi.c"
      case 16: // $bb28
        var $251=HEAP[$pi_addr]; //@line 796 "pi.c"
        var $252=HEAP[$pino_addr]; //@line 796 "pi.c"
        var $253=CHECK_OVERFLOW(($251+232*$252)&4294967295, 32); //@line 796 "pi.c"
        var $254=HEAP[$tcp]; //@line 796 "pi.c"
        var $255=CHECK_OVERFLOW(($254+132)&4294967295, 32); //@line 796 "pi.c"
        var $256=HEAP[$255]; //@line 796 "pi.c"
        var $257=CHECK_OVERFLOW((($256) - 1)&4294967295, 32); //@line 796 "pi.c"
        var $258=CHECK_OVERFLOW(($253+44)&4294967295, 32); //@line 796 "pi.c"
        var $259=CHECK_OVERFLOW(($258+4)&4294967295, 32); //@line 796 "pi.c"
        HEAP[$259]=$257; //@line 796 "pi.c"
        var $260=HEAP[$pi_addr]; //@line 797 "pi.c"
        var $261=HEAP[$pino_addr]; //@line 797 "pi.c"
        var $262=CHECK_OVERFLOW(($260+232*$261)&4294967295, 32); //@line 797 "pi.c"
        var $263=HEAP[$tcp]; //@line 797 "pi.c"
        var $264=CHECK_OVERFLOW(($263+132)&4294967295, 32); //@line 797 "pi.c"
        var $265=HEAP[$264]; //@line 797 "pi.c"
        var $266=CHECK_OVERFLOW(($262+44)&4294967295, 32); //@line 797 "pi.c"
        var $267=CHECK_OVERFLOW(($266+16)&4294967295, 32); //@line 797 "pi.c"
        HEAP[$267]=$265; //@line 797 "pi.c"
        __label__ = 12; break; //@line 797 "pi.c"
      case 12: // $bb29
        __label__ = 20; break; //@line 797 "pi.c"
      case 76: // $bb30
        var $268=HEAP[$i]; //@line 804 "pi.c"
        var $269=HEAP[$tppos_addr]; //@line 804 "pi.c"
        var $270=($268) > ($269); //@line 804 "pi.c"
        if ($270) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 804 "pi.c"
      case 21: // $bb31
        var $271=HEAP[$pi_addr]; //@line 805 "pi.c"
        var $272=HEAP[$pino_addr]; //@line 805 "pi.c"
        var $273=CHECK_OVERFLOW(($271+232*$272)&4294967295, 32); //@line 805 "pi.c"
        var $274=HEAP[$tcp]; //@line 805 "pi.c"
        var $275=CHECK_OVERFLOW(($274+72)&4294967295, 32); //@line 805 "pi.c"
        var $276=HEAP[$275]; //@line 805 "pi.c"
        var $277=CHECK_OVERFLOW(($273+44)&4294967295, 32); //@line 805 "pi.c"
        var $278=CHECK_OVERFLOW(($277)&4294967295, 32); //@line 805 "pi.c"
        HEAP[$278]=$276; //@line 805 "pi.c"
        var $279=HEAP[$pi_addr]; //@line 806 "pi.c"
        var $280=HEAP[$pino_addr]; //@line 806 "pi.c"
        var $281=CHECK_OVERFLOW(($279+232*$280)&4294967295, 32); //@line 806 "pi.c"
        var $282=HEAP[$tcp]; //@line 806 "pi.c"
        var $283=CHECK_OVERFLOW(($282+88)&4294967295, 32); //@line 806 "pi.c"
        var $284=HEAP[$283]; //@line 806 "pi.c"
        var $285=CHECK_OVERFLOW(($281+44)&4294967295, 32); //@line 806 "pi.c"
        var $286=CHECK_OVERFLOW(($285+12)&4294967295, 32); //@line 806 "pi.c"
        HEAP[$286]=$284; //@line 806 "pi.c"
        __label__ = 23; break; //@line 806 "pi.c"
      case 22: // $bb32
        var $287=HEAP[$tpnum_addr]; //@line 808 "pi.c"
        var $288=($287)==0; //@line 808 "pi.c"
        if ($288) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 808 "pi.c"
      case 24: // $bb33
        var $289=HEAP[$tcp]; //@line 809 "pi.c"
        var $290=CHECK_OVERFLOW(($289+72)&4294967295, 32); //@line 809 "pi.c"
        var $291=HEAP[$290]; //@line 809 "pi.c"
        var $292=HEAP[$tcp]; //@line 809 "pi.c"
        var $293=CHECK_OVERFLOW(($292+128)&4294967295, 32); //@line 809 "pi.c"
        HEAP[$293]=$291; //@line 809 "pi.c"
        var $294=HEAP[$pi_addr]; //@line 810 "pi.c"
        var $295=HEAP[$pino_addr]; //@line 810 "pi.c"
        var $296=CHECK_OVERFLOW(($294+232*$295)&4294967295, 32); //@line 810 "pi.c"
        var $297=HEAP[$tcp]; //@line 810 "pi.c"
        var $298=CHECK_OVERFLOW(($297+128)&4294967295, 32); //@line 810 "pi.c"
        var $299=HEAP[$298]; //@line 810 "pi.c"
        var $300=CHECK_OVERFLOW(($296+44)&4294967295, 32); //@line 810 "pi.c"
        var $301=CHECK_OVERFLOW(($300)&4294967295, 32); //@line 810 "pi.c"
        HEAP[$301]=$299; //@line 810 "pi.c"
        var $302=HEAP[$pi_addr]; //@line 811 "pi.c"
        var $303=HEAP[$pino_addr]; //@line 811 "pi.c"
        var $304=CHECK_OVERFLOW(($302+232*$303)&4294967295, 32); //@line 811 "pi.c"
        var $305=HEAP[$tcp]; //@line 811 "pi.c"
        var $306=CHECK_OVERFLOW(($305+128)&4294967295, 32); //@line 811 "pi.c"
        var $307=HEAP[$306]; //@line 811 "pi.c"
        var $308=CHECK_OVERFLOW((($307) + 1)&4294967295, 32); //@line 811 "pi.c"
        var $309=CHECK_OVERFLOW(($304+44)&4294967295, 32); //@line 811 "pi.c"
        var $310=CHECK_OVERFLOW(($309+12)&4294967295, 32); //@line 811 "pi.c"
        HEAP[$310]=$308; //@line 811 "pi.c"
        var $311=HEAP[$tcp]; //@line 812 "pi.c"
        var $312=CHECK_OVERFLOW(($311+128)&4294967295, 32); //@line 812 "pi.c"
        var $313=HEAP[$312]; //@line 812 "pi.c"
        var $314=CHECK_OVERFLOW((($313) + 1)&4294967295, 32); //@line 812 "pi.c"
        var $315=HEAP[$tcp]; //@line 812 "pi.c"
        var $316=CHECK_OVERFLOW(($315+128)&4294967295, 32); //@line 812 "pi.c"
        HEAP[$316]=$314; //@line 812 "pi.c"
        __label__ = 23; break; //@line 812 "pi.c"
      case 25: // $bb34
        var $317=HEAP[$incr_top]; //@line 814 "pi.c"
        var $318=($317)==1; //@line 814 "pi.c"
        if ($318) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 814 "pi.c"
      case 26: // $bb35
        var $319=HEAP[$tcp]; //@line 815 "pi.c"
        var $320=CHECK_OVERFLOW(($319+128)&4294967295, 32); //@line 815 "pi.c"
        var $321=HEAP[$320]; //@line 815 "pi.c"
        var $322=HEAP[$tcp]; //@line 815 "pi.c"
        var $323=CHECK_OVERFLOW(($322+88)&4294967295, 32); //@line 815 "pi.c"
        var $324=HEAP[$323]; //@line 815 "pi.c"
        var $325=($321)==($324); //@line 815 "pi.c"
        if ($325) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 815 "pi.c"
      case 28: // $bb36
        var $326=HEAP[$tcp]; //@line 816 "pi.c"
        var $327=CHECK_OVERFLOW(($326+72)&4294967295, 32); //@line 816 "pi.c"
        var $328=HEAP[$327]; //@line 816 "pi.c"
        var $329=HEAP[$tcp]; //@line 816 "pi.c"
        var $330=CHECK_OVERFLOW(($329+128)&4294967295, 32); //@line 816 "pi.c"
        HEAP[$330]=$328; //@line 816 "pi.c"
        var $331=HEAP[$pi_addr]; //@line 817 "pi.c"
        var $332=HEAP[$pino_addr]; //@line 817 "pi.c"
        var $333=CHECK_OVERFLOW(($331+232*$332)&4294967295, 32); //@line 817 "pi.c"
        var $334=HEAP[$tcp]; //@line 817 "pi.c"
        var $335=CHECK_OVERFLOW(($334+128)&4294967295, 32); //@line 817 "pi.c"
        var $336=HEAP[$335]; //@line 817 "pi.c"
        var $337=CHECK_OVERFLOW(($333+44)&4294967295, 32); //@line 817 "pi.c"
        var $338=CHECK_OVERFLOW(($337)&4294967295, 32); //@line 817 "pi.c"
        HEAP[$338]=$336; //@line 817 "pi.c"
        var $339=HEAP[$pi_addr]; //@line 818 "pi.c"
        var $340=HEAP[$pino_addr]; //@line 818 "pi.c"
        var $341=CHECK_OVERFLOW(($339+232*$340)&4294967295, 32); //@line 818 "pi.c"
        var $342=HEAP[$tcp]; //@line 818 "pi.c"
        var $343=CHECK_OVERFLOW(($342+128)&4294967295, 32); //@line 818 "pi.c"
        var $344=HEAP[$343]; //@line 818 "pi.c"
        var $345=CHECK_OVERFLOW((($344) + 1)&4294967295, 32); //@line 818 "pi.c"
        var $346=CHECK_OVERFLOW(($341+44)&4294967295, 32); //@line 818 "pi.c"
        var $347=CHECK_OVERFLOW(($346+12)&4294967295, 32); //@line 818 "pi.c"
        HEAP[$347]=$345; //@line 818 "pi.c"
        var $348=HEAP[$tcp]; //@line 819 "pi.c"
        var $349=CHECK_OVERFLOW(($348+128)&4294967295, 32); //@line 819 "pi.c"
        var $350=HEAP[$349]; //@line 819 "pi.c"
        var $351=CHECK_OVERFLOW((($350) + 1)&4294967295, 32); //@line 819 "pi.c"
        var $352=HEAP[$tcp]; //@line 819 "pi.c"
        var $353=CHECK_OVERFLOW(($352+128)&4294967295, 32); //@line 819 "pi.c"
        HEAP[$353]=$351; //@line 819 "pi.c"
        HEAP[$incr_top]=1; //@line 820 "pi.c"
        __label__ = 30; break; //@line 820 "pi.c"
      case 29: // $bb37
        var $354=HEAP[$pi_addr]; //@line 822 "pi.c"
        var $355=HEAP[$pino_addr]; //@line 822 "pi.c"
        var $356=CHECK_OVERFLOW(($354+232*$355)&4294967295, 32); //@line 822 "pi.c"
        var $357=HEAP[$tcp]; //@line 822 "pi.c"
        var $358=CHECK_OVERFLOW(($357+128)&4294967295, 32); //@line 822 "pi.c"
        var $359=HEAP[$358]; //@line 822 "pi.c"
        var $360=CHECK_OVERFLOW(($356+44)&4294967295, 32); //@line 822 "pi.c"
        var $361=CHECK_OVERFLOW(($360)&4294967295, 32); //@line 822 "pi.c"
        HEAP[$361]=$359; //@line 822 "pi.c"
        var $362=HEAP[$pi_addr]; //@line 823 "pi.c"
        var $363=HEAP[$pino_addr]; //@line 823 "pi.c"
        var $364=CHECK_OVERFLOW(($362+232*$363)&4294967295, 32); //@line 823 "pi.c"
        var $365=HEAP[$tcp]; //@line 823 "pi.c"
        var $366=CHECK_OVERFLOW(($365+128)&4294967295, 32); //@line 823 "pi.c"
        var $367=HEAP[$366]; //@line 823 "pi.c"
        var $368=CHECK_OVERFLOW((($367) + 1)&4294967295, 32); //@line 823 "pi.c"
        var $369=CHECK_OVERFLOW(($364+44)&4294967295, 32); //@line 823 "pi.c"
        var $370=CHECK_OVERFLOW(($369+12)&4294967295, 32); //@line 823 "pi.c"
        HEAP[$370]=$368; //@line 823 "pi.c"
        var $371=HEAP[$tcp]; //@line 824 "pi.c"
        var $372=CHECK_OVERFLOW(($371+128)&4294967295, 32); //@line 824 "pi.c"
        var $373=HEAP[$372]; //@line 824 "pi.c"
        var $374=CHECK_OVERFLOW((($373) + 1)&4294967295, 32); //@line 824 "pi.c"
        var $375=HEAP[$tcp]; //@line 824 "pi.c"
        var $376=CHECK_OVERFLOW(($375+128)&4294967295, 32); //@line 824 "pi.c"
        HEAP[$376]=$374; //@line 824 "pi.c"
        HEAP[$incr_top]=0; //@line 825 "pi.c"
        __label__ = 30; break; //@line 825 "pi.c"
      case 30: // $bb38
        __label__ = 23; break; //@line 825 "pi.c"
      case 27: // $bb39
        var $377=HEAP[$pi_addr]; //@line 828 "pi.c"
        var $378=HEAP[$pino_addr]; //@line 828 "pi.c"
        var $379=CHECK_OVERFLOW(($377+232*$378)&4294967295, 32); //@line 828 "pi.c"
        var $380=HEAP[$tcp]; //@line 828 "pi.c"
        var $381=CHECK_OVERFLOW(($380+128)&4294967295, 32); //@line 828 "pi.c"
        var $382=HEAP[$381]; //@line 828 "pi.c"
        var $383=CHECK_OVERFLOW((($382) - 1)&4294967295, 32); //@line 828 "pi.c"
        var $384=CHECK_OVERFLOW(($379+44)&4294967295, 32); //@line 828 "pi.c"
        var $385=CHECK_OVERFLOW(($384)&4294967295, 32); //@line 828 "pi.c"
        HEAP[$385]=$383; //@line 828 "pi.c"
        var $386=HEAP[$pi_addr]; //@line 829 "pi.c"
        var $387=HEAP[$pino_addr]; //@line 829 "pi.c"
        var $388=CHECK_OVERFLOW(($386+232*$387)&4294967295, 32); //@line 829 "pi.c"
        var $389=HEAP[$tcp]; //@line 829 "pi.c"
        var $390=CHECK_OVERFLOW(($389+128)&4294967295, 32); //@line 829 "pi.c"
        var $391=HEAP[$390]; //@line 829 "pi.c"
        var $392=CHECK_OVERFLOW(($388+44)&4294967295, 32); //@line 829 "pi.c"
        var $393=CHECK_OVERFLOW(($392+12)&4294967295, 32); //@line 829 "pi.c"
        HEAP[$393]=$391; //@line 829 "pi.c"
        __label__ = 23; break; //@line 829 "pi.c"
      case 23: // $bb40
        __label__ = 20; break; //@line 829 "pi.c"
      case 74: // $bb41
        var $394=HEAP[$i]; //@line 836 "pi.c"
        var $395=HEAP[$tppos_addr]; //@line 836 "pi.c"
        var $396=($394) > ($395); //@line 836 "pi.c"
        if ($396) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 836 "pi.c"
      case 31: // $bb42
        var $397=HEAP[$pi_addr]; //@line 837 "pi.c"
        var $398=HEAP[$pino_addr]; //@line 837 "pi.c"
        var $399=CHECK_OVERFLOW(($397+232*$398)&4294967295, 32); //@line 837 "pi.c"
        var $400=HEAP[$tcp]; //@line 837 "pi.c"
        var $401=CHECK_OVERFLOW(($400+68)&4294967295, 32); //@line 837 "pi.c"
        var $402=HEAP[$401]; //@line 837 "pi.c"
        var $403=CHECK_OVERFLOW(($399+44)&4294967295, 32); //@line 837 "pi.c"
        var $404=CHECK_OVERFLOW(($403+20)&4294967295, 32); //@line 837 "pi.c"
        HEAP[$404]=$402; //@line 837 "pi.c"
        var $405=HEAP[$pi_addr]; //@line 838 "pi.c"
        var $406=HEAP[$pino_addr]; //@line 838 "pi.c"
        var $407=CHECK_OVERFLOW(($405+232*$406)&4294967295, 32); //@line 838 "pi.c"
        var $408=HEAP[$tcp]; //@line 838 "pi.c"
        var $409=CHECK_OVERFLOW(($408+84)&4294967295, 32); //@line 838 "pi.c"
        var $410=HEAP[$409]; //@line 838 "pi.c"
        var $411=CHECK_OVERFLOW(($407+44)&4294967295, 32); //@line 838 "pi.c"
        var $412=CHECK_OVERFLOW(($411+8)&4294967295, 32); //@line 838 "pi.c"
        HEAP[$412]=$410; //@line 838 "pi.c"
        __label__ = 33; break; //@line 838 "pi.c"
      case 32: // $bb43
        var $413=HEAP[$tpnum_addr]; //@line 840 "pi.c"
        var $414=($413)==0; //@line 840 "pi.c"
        if ($414) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 840 "pi.c"
      case 34: // $bb44
        var $415=HEAP[$tcp]; //@line 841 "pi.c"
        var $416=CHECK_OVERFLOW(($415+68)&4294967295, 32); //@line 841 "pi.c"
        var $417=HEAP[$416]; //@line 841 "pi.c"
        var $418=HEAP[$tcp]; //@line 841 "pi.c"
        var $419=CHECK_OVERFLOW(($418+124)&4294967295, 32); //@line 841 "pi.c"
        HEAP[$419]=$417; //@line 841 "pi.c"
        var $420=HEAP[$pi_addr]; //@line 842 "pi.c"
        var $421=HEAP[$pino_addr]; //@line 842 "pi.c"
        var $422=CHECK_OVERFLOW(($420+232*$421)&4294967295, 32); //@line 842 "pi.c"
        var $423=HEAP[$tcp]; //@line 842 "pi.c"
        var $424=CHECK_OVERFLOW(($423+124)&4294967295, 32); //@line 842 "pi.c"
        var $425=HEAP[$424]; //@line 842 "pi.c"
        var $426=CHECK_OVERFLOW(($422+44)&4294967295, 32); //@line 842 "pi.c"
        var $427=CHECK_OVERFLOW(($426+20)&4294967295, 32); //@line 842 "pi.c"
        HEAP[$427]=$425; //@line 842 "pi.c"
        var $428=HEAP[$pi_addr]; //@line 843 "pi.c"
        var $429=HEAP[$pino_addr]; //@line 843 "pi.c"
        var $430=CHECK_OVERFLOW(($428+232*$429)&4294967295, 32); //@line 843 "pi.c"
        var $431=HEAP[$tcp]; //@line 843 "pi.c"
        var $432=CHECK_OVERFLOW(($431+124)&4294967295, 32); //@line 843 "pi.c"
        var $433=HEAP[$432]; //@line 843 "pi.c"
        var $434=CHECK_OVERFLOW((($433) + 1)&4294967295, 32); //@line 843 "pi.c"
        var $435=CHECK_OVERFLOW(($430+44)&4294967295, 32); //@line 843 "pi.c"
        var $436=CHECK_OVERFLOW(($435+8)&4294967295, 32); //@line 843 "pi.c"
        HEAP[$436]=$434; //@line 843 "pi.c"
        var $437=HEAP[$tcp]; //@line 844 "pi.c"
        var $438=CHECK_OVERFLOW(($437+124)&4294967295, 32); //@line 844 "pi.c"
        var $439=HEAP[$438]; //@line 844 "pi.c"
        var $440=CHECK_OVERFLOW((($439) + 1)&4294967295, 32); //@line 844 "pi.c"
        var $441=HEAP[$tcp]; //@line 844 "pi.c"
        var $442=CHECK_OVERFLOW(($441+124)&4294967295, 32); //@line 844 "pi.c"
        HEAP[$442]=$440; //@line 844 "pi.c"
        __label__ = 33; break; //@line 844 "pi.c"
      case 35: // $bb45
        var $443=HEAP[$incr_top]; //@line 846 "pi.c"
        var $444=($443)==1; //@line 846 "pi.c"
        if ($444) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 846 "pi.c"
      case 36: // $bb46
        var $445=HEAP[$tcp]; //@line 847 "pi.c"
        var $446=CHECK_OVERFLOW(($445+124)&4294967295, 32); //@line 847 "pi.c"
        var $447=HEAP[$446]; //@line 847 "pi.c"
        var $448=HEAP[$tcp]; //@line 847 "pi.c"
        var $449=CHECK_OVERFLOW(($448+84)&4294967295, 32); //@line 847 "pi.c"
        var $450=HEAP[$449]; //@line 847 "pi.c"
        var $451=($447)==($450); //@line 847 "pi.c"
        if ($451) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 847 "pi.c"
      case 38: // $bb47
        var $452=HEAP[$tcp]; //@line 848 "pi.c"
        var $453=CHECK_OVERFLOW(($452+68)&4294967295, 32); //@line 848 "pi.c"
        var $454=HEAP[$453]; //@line 848 "pi.c"
        var $455=HEAP[$tcp]; //@line 848 "pi.c"
        var $456=CHECK_OVERFLOW(($455+124)&4294967295, 32); //@line 848 "pi.c"
        HEAP[$456]=$454; //@line 848 "pi.c"
        var $457=HEAP[$pi_addr]; //@line 849 "pi.c"
        var $458=HEAP[$pino_addr]; //@line 849 "pi.c"
        var $459=CHECK_OVERFLOW(($457+232*$458)&4294967295, 32); //@line 849 "pi.c"
        var $460=HEAP[$tcp]; //@line 849 "pi.c"
        var $461=CHECK_OVERFLOW(($460+124)&4294967295, 32); //@line 849 "pi.c"
        var $462=HEAP[$461]; //@line 849 "pi.c"
        var $463=CHECK_OVERFLOW(($459+44)&4294967295, 32); //@line 849 "pi.c"
        var $464=CHECK_OVERFLOW(($463+20)&4294967295, 32); //@line 849 "pi.c"
        HEAP[$464]=$462; //@line 849 "pi.c"
        var $465=HEAP[$pi_addr]; //@line 850 "pi.c"
        var $466=HEAP[$pino_addr]; //@line 850 "pi.c"
        var $467=CHECK_OVERFLOW(($465+232*$466)&4294967295, 32); //@line 850 "pi.c"
        var $468=HEAP[$tcp]; //@line 850 "pi.c"
        var $469=CHECK_OVERFLOW(($468+124)&4294967295, 32); //@line 850 "pi.c"
        var $470=HEAP[$469]; //@line 850 "pi.c"
        var $471=CHECK_OVERFLOW((($470) + 1)&4294967295, 32); //@line 850 "pi.c"
        var $472=CHECK_OVERFLOW(($467+44)&4294967295, 32); //@line 850 "pi.c"
        var $473=CHECK_OVERFLOW(($472+8)&4294967295, 32); //@line 850 "pi.c"
        HEAP[$473]=$471; //@line 850 "pi.c"
        var $474=HEAP[$tcp]; //@line 851 "pi.c"
        var $475=CHECK_OVERFLOW(($474+124)&4294967295, 32); //@line 851 "pi.c"
        var $476=HEAP[$475]; //@line 851 "pi.c"
        var $477=CHECK_OVERFLOW((($476) + 1)&4294967295, 32); //@line 851 "pi.c"
        var $478=HEAP[$tcp]; //@line 851 "pi.c"
        var $479=CHECK_OVERFLOW(($478+124)&4294967295, 32); //@line 851 "pi.c"
        HEAP[$479]=$477; //@line 851 "pi.c"
        HEAP[$incr_top]=1; //@line 852 "pi.c"
        __label__ = 40; break; //@line 852 "pi.c"
      case 39: // $bb48
        var $480=HEAP[$pi_addr]; //@line 854 "pi.c"
        var $481=HEAP[$pino_addr]; //@line 854 "pi.c"
        var $482=CHECK_OVERFLOW(($480+232*$481)&4294967295, 32); //@line 854 "pi.c"
        var $483=HEAP[$tcp]; //@line 854 "pi.c"
        var $484=CHECK_OVERFLOW(($483+124)&4294967295, 32); //@line 854 "pi.c"
        var $485=HEAP[$484]; //@line 854 "pi.c"
        var $486=CHECK_OVERFLOW(($482+44)&4294967295, 32); //@line 854 "pi.c"
        var $487=CHECK_OVERFLOW(($486+20)&4294967295, 32); //@line 854 "pi.c"
        HEAP[$487]=$485; //@line 854 "pi.c"
        var $488=HEAP[$pi_addr]; //@line 855 "pi.c"
        var $489=HEAP[$pino_addr]; //@line 855 "pi.c"
        var $490=CHECK_OVERFLOW(($488+232*$489)&4294967295, 32); //@line 855 "pi.c"
        var $491=HEAP[$tcp]; //@line 855 "pi.c"
        var $492=CHECK_OVERFLOW(($491+124)&4294967295, 32); //@line 855 "pi.c"
        var $493=HEAP[$492]; //@line 855 "pi.c"
        var $494=CHECK_OVERFLOW((($493) + 1)&4294967295, 32); //@line 855 "pi.c"
        var $495=CHECK_OVERFLOW(($490+44)&4294967295, 32); //@line 855 "pi.c"
        var $496=CHECK_OVERFLOW(($495+8)&4294967295, 32); //@line 855 "pi.c"
        HEAP[$496]=$494; //@line 855 "pi.c"
        var $497=HEAP[$tcp]; //@line 856 "pi.c"
        var $498=CHECK_OVERFLOW(($497+124)&4294967295, 32); //@line 856 "pi.c"
        var $499=HEAP[$498]; //@line 856 "pi.c"
        var $500=CHECK_OVERFLOW((($499) + 1)&4294967295, 32); //@line 856 "pi.c"
        var $501=HEAP[$tcp]; //@line 856 "pi.c"
        var $502=CHECK_OVERFLOW(($501+124)&4294967295, 32); //@line 856 "pi.c"
        HEAP[$502]=$500; //@line 856 "pi.c"
        HEAP[$incr_top]=0; //@line 857 "pi.c"
        __label__ = 40; break; //@line 857 "pi.c"
      case 40: // $bb49
        __label__ = 33; break; //@line 857 "pi.c"
      case 37: // $bb50
        var $503=HEAP[$pi_addr]; //@line 860 "pi.c"
        var $504=HEAP[$pino_addr]; //@line 860 "pi.c"
        var $505=CHECK_OVERFLOW(($503+232*$504)&4294967295, 32); //@line 860 "pi.c"
        var $506=HEAP[$tcp]; //@line 860 "pi.c"
        var $507=CHECK_OVERFLOW(($506+124)&4294967295, 32); //@line 860 "pi.c"
        var $508=HEAP[$507]; //@line 860 "pi.c"
        var $509=CHECK_OVERFLOW((($508) - 1)&4294967295, 32); //@line 860 "pi.c"
        var $510=CHECK_OVERFLOW(($505+44)&4294967295, 32); //@line 860 "pi.c"
        var $511=CHECK_OVERFLOW(($510+20)&4294967295, 32); //@line 860 "pi.c"
        HEAP[$511]=$509; //@line 860 "pi.c"
        var $512=HEAP[$pi_addr]; //@line 861 "pi.c"
        var $513=HEAP[$pino_addr]; //@line 861 "pi.c"
        var $514=CHECK_OVERFLOW(($512+232*$513)&4294967295, 32); //@line 861 "pi.c"
        var $515=HEAP[$tcp]; //@line 861 "pi.c"
        var $516=CHECK_OVERFLOW(($515+124)&4294967295, 32); //@line 861 "pi.c"
        var $517=HEAP[$516]; //@line 861 "pi.c"
        var $518=CHECK_OVERFLOW(($514+44)&4294967295, 32); //@line 861 "pi.c"
        var $519=CHECK_OVERFLOW(($518+8)&4294967295, 32); //@line 861 "pi.c"
        HEAP[$519]=$517; //@line 861 "pi.c"
        __label__ = 33; break; //@line 861 "pi.c"
      case 33: // $bb51
        __label__ = 20; break; //@line 861 "pi.c"
      case 75: // $bb52
        var $520=HEAP[$tcp]; //@line 868 "pi.c"
        var $521=CHECK_OVERFLOW(($520+36)&4294967295, 32); //@line 868 "pi.c"
        var $522=HEAP[$521]; //@line 868 "pi.c"
        if ($522 == 0) {
          __label__ = 77; break;
        }
        else if ($522 == 1) {
          __label__ = 77; break;
        }
        else {
        __label__ = 78; break;
        }
        
      case 77: // $bb53
        var $523=HEAP[$i]; //@line 871 "pi.c"
        var $524=HEAP[$tppos_addr]; //@line 871 "pi.c"
        var $525=($523) > ($524); //@line 871 "pi.c"
        if ($525) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 871 "pi.c"
      case 41: // $bb54
        var $526=HEAP[$pi_addr]; //@line 872 "pi.c"
        var $527=HEAP[$pino_addr]; //@line 872 "pi.c"
        var $528=CHECK_OVERFLOW(($526+232*$527)&4294967295, 32); //@line 872 "pi.c"
        var $529=HEAP[$tcp]; //@line 872 "pi.c"
        var $530=CHECK_OVERFLOW(($529+80)&4294967295, 32); //@line 872 "pi.c"
        var $531=HEAP[$530]; //@line 872 "pi.c"
        var $532=CHECK_OVERFLOW(($528+44)&4294967295, 32); //@line 872 "pi.c"
        var $533=CHECK_OVERFLOW(($532+24)&4294967295, 32); //@line 872 "pi.c"
        HEAP[$533]=$531; //@line 872 "pi.c"
        var $534=HEAP[$pi_addr]; //@line 873 "pi.c"
        var $535=HEAP[$pino_addr]; //@line 873 "pi.c"
        var $536=CHECK_OVERFLOW(($534+232*$535)&4294967295, 32); //@line 873 "pi.c"
        var $537=HEAP[$tcp]; //@line 873 "pi.c"
        var $538=CHECK_OVERFLOW(($537+96)&4294967295, 32); //@line 873 "pi.c"
        var $539=HEAP[$538]; //@line 873 "pi.c"
        var $540=CHECK_OVERFLOW(($536+44)&4294967295, 32); //@line 873 "pi.c"
        var $541=CHECK_OVERFLOW(($540+28)&4294967295, 32); //@line 873 "pi.c"
        HEAP[$541]=$539; //@line 873 "pi.c"
        __label__ = 43; break; //@line 873 "pi.c"
      case 42: // $bb55
        var $542=HEAP[$tpnum_addr]; //@line 875 "pi.c"
        var $543=($542)==0; //@line 875 "pi.c"
        if ($543) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 875 "pi.c"
      case 44: // $bb56
        var $544=HEAP[$tcp]; //@line 876 "pi.c"
        var $545=CHECK_OVERFLOW(($544+80)&4294967295, 32); //@line 876 "pi.c"
        var $546=HEAP[$545]; //@line 876 "pi.c"
        var $547=HEAP[$tcp]; //@line 876 "pi.c"
        var $548=CHECK_OVERFLOW(($547+136)&4294967295, 32); //@line 876 "pi.c"
        HEAP[$548]=$546; //@line 876 "pi.c"
        var $549=HEAP[$pi_addr]; //@line 877 "pi.c"
        var $550=HEAP[$pino_addr]; //@line 877 "pi.c"
        var $551=CHECK_OVERFLOW(($549+232*$550)&4294967295, 32); //@line 877 "pi.c"
        var $552=HEAP[$tcp]; //@line 877 "pi.c"
        var $553=CHECK_OVERFLOW(($552+136)&4294967295, 32); //@line 877 "pi.c"
        var $554=HEAP[$553]; //@line 877 "pi.c"
        var $555=CHECK_OVERFLOW(($551+44)&4294967295, 32); //@line 877 "pi.c"
        var $556=CHECK_OVERFLOW(($555+24)&4294967295, 32); //@line 877 "pi.c"
        HEAP[$556]=$554; //@line 877 "pi.c"
        var $557=HEAP[$pi_addr]; //@line 878 "pi.c"
        var $558=HEAP[$pino_addr]; //@line 878 "pi.c"
        var $559=CHECK_OVERFLOW(($557+232*$558)&4294967295, 32); //@line 878 "pi.c"
        var $560=HEAP[$tcp]; //@line 878 "pi.c"
        var $561=CHECK_OVERFLOW(($560+136)&4294967295, 32); //@line 878 "pi.c"
        var $562=HEAP[$561]; //@line 878 "pi.c"
        var $563=CHECK_OVERFLOW((($562) + 1)&4294967295, 32); //@line 878 "pi.c"
        var $564=CHECK_OVERFLOW(($559+44)&4294967295, 32); //@line 878 "pi.c"
        var $565=CHECK_OVERFLOW(($564+28)&4294967295, 32); //@line 878 "pi.c"
        HEAP[$565]=$563; //@line 878 "pi.c"
        var $566=HEAP[$tcp]; //@line 879 "pi.c"
        var $567=CHECK_OVERFLOW(($566+136)&4294967295, 32); //@line 879 "pi.c"
        var $568=HEAP[$567]; //@line 879 "pi.c"
        var $569=CHECK_OVERFLOW((($568) + 1)&4294967295, 32); //@line 879 "pi.c"
        var $570=HEAP[$tcp]; //@line 879 "pi.c"
        var $571=CHECK_OVERFLOW(($570+136)&4294967295, 32); //@line 879 "pi.c"
        HEAP[$571]=$569; //@line 879 "pi.c"
        __label__ = 43; break; //@line 879 "pi.c"
      case 45: // $bb57
        var $572=HEAP[$incr_top]; //@line 881 "pi.c"
        var $573=($572)==1; //@line 881 "pi.c"
        if ($573) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 881 "pi.c"
      case 46: // $bb58
        var $574=HEAP[$tcp]; //@line 882 "pi.c"
        var $575=CHECK_OVERFLOW(($574+136)&4294967295, 32); //@line 882 "pi.c"
        var $576=HEAP[$575]; //@line 882 "pi.c"
        var $577=HEAP[$tcp]; //@line 882 "pi.c"
        var $578=CHECK_OVERFLOW(($577+96)&4294967295, 32); //@line 882 "pi.c"
        var $579=HEAP[$578]; //@line 882 "pi.c"
        var $580=($576)==($579); //@line 882 "pi.c"
        if ($580) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 882 "pi.c"
      case 48: // $bb59
        var $581=HEAP[$tcp]; //@line 883 "pi.c"
        var $582=CHECK_OVERFLOW(($581+80)&4294967295, 32); //@line 883 "pi.c"
        var $583=HEAP[$582]; //@line 883 "pi.c"
        var $584=HEAP[$tcp]; //@line 883 "pi.c"
        var $585=CHECK_OVERFLOW(($584+136)&4294967295, 32); //@line 883 "pi.c"
        HEAP[$585]=$583; //@line 883 "pi.c"
        var $586=HEAP[$pi_addr]; //@line 884 "pi.c"
        var $587=HEAP[$pino_addr]; //@line 884 "pi.c"
        var $588=CHECK_OVERFLOW(($586+232*$587)&4294967295, 32); //@line 884 "pi.c"
        var $589=HEAP[$tcp]; //@line 884 "pi.c"
        var $590=CHECK_OVERFLOW(($589+136)&4294967295, 32); //@line 884 "pi.c"
        var $591=HEAP[$590]; //@line 884 "pi.c"
        var $592=CHECK_OVERFLOW(($588+44)&4294967295, 32); //@line 884 "pi.c"
        var $593=CHECK_OVERFLOW(($592+24)&4294967295, 32); //@line 884 "pi.c"
        HEAP[$593]=$591; //@line 884 "pi.c"
        var $594=HEAP[$pi_addr]; //@line 885 "pi.c"
        var $595=HEAP[$pino_addr]; //@line 885 "pi.c"
        var $596=CHECK_OVERFLOW(($594+232*$595)&4294967295, 32); //@line 885 "pi.c"
        var $597=HEAP[$tcp]; //@line 885 "pi.c"
        var $598=CHECK_OVERFLOW(($597+136)&4294967295, 32); //@line 885 "pi.c"
        var $599=HEAP[$598]; //@line 885 "pi.c"
        var $600=CHECK_OVERFLOW((($599) + 1)&4294967295, 32); //@line 885 "pi.c"
        var $601=CHECK_OVERFLOW(($596+44)&4294967295, 32); //@line 885 "pi.c"
        var $602=CHECK_OVERFLOW(($601+28)&4294967295, 32); //@line 885 "pi.c"
        HEAP[$602]=$600; //@line 885 "pi.c"
        var $603=HEAP[$tcp]; //@line 886 "pi.c"
        var $604=CHECK_OVERFLOW(($603+136)&4294967295, 32); //@line 886 "pi.c"
        var $605=HEAP[$604]; //@line 886 "pi.c"
        var $606=CHECK_OVERFLOW((($605) + 1)&4294967295, 32); //@line 886 "pi.c"
        var $607=HEAP[$tcp]; //@line 886 "pi.c"
        var $608=CHECK_OVERFLOW(($607+136)&4294967295, 32); //@line 886 "pi.c"
        HEAP[$608]=$606; //@line 886 "pi.c"
        HEAP[$incr_top]=1; //@line 887 "pi.c"
        __label__ = 50; break; //@line 887 "pi.c"
      case 49: // $bb60
        var $609=HEAP[$pi_addr]; //@line 889 "pi.c"
        var $610=HEAP[$pino_addr]; //@line 889 "pi.c"
        var $611=CHECK_OVERFLOW(($609+232*$610)&4294967295, 32); //@line 889 "pi.c"
        var $612=HEAP[$tcp]; //@line 889 "pi.c"
        var $613=CHECK_OVERFLOW(($612+136)&4294967295, 32); //@line 889 "pi.c"
        var $614=HEAP[$613]; //@line 889 "pi.c"
        var $615=CHECK_OVERFLOW(($611+44)&4294967295, 32); //@line 889 "pi.c"
        var $616=CHECK_OVERFLOW(($615+24)&4294967295, 32); //@line 889 "pi.c"
        HEAP[$616]=$614; //@line 889 "pi.c"
        var $617=HEAP[$pi_addr]; //@line 890 "pi.c"
        var $618=HEAP[$pino_addr]; //@line 890 "pi.c"
        var $619=CHECK_OVERFLOW(($617+232*$618)&4294967295, 32); //@line 890 "pi.c"
        var $620=HEAP[$tcp]; //@line 890 "pi.c"
        var $621=CHECK_OVERFLOW(($620+136)&4294967295, 32); //@line 890 "pi.c"
        var $622=HEAP[$621]; //@line 890 "pi.c"
        var $623=CHECK_OVERFLOW((($622) + 1)&4294967295, 32); //@line 890 "pi.c"
        var $624=CHECK_OVERFLOW(($619+44)&4294967295, 32); //@line 890 "pi.c"
        var $625=CHECK_OVERFLOW(($624+28)&4294967295, 32); //@line 890 "pi.c"
        HEAP[$625]=$623; //@line 890 "pi.c"
        var $626=HEAP[$tcp]; //@line 891 "pi.c"
        var $627=CHECK_OVERFLOW(($626+136)&4294967295, 32); //@line 891 "pi.c"
        var $628=HEAP[$627]; //@line 891 "pi.c"
        var $629=CHECK_OVERFLOW((($628) + 1)&4294967295, 32); //@line 891 "pi.c"
        var $630=HEAP[$tcp]; //@line 891 "pi.c"
        var $631=CHECK_OVERFLOW(($630+136)&4294967295, 32); //@line 891 "pi.c"
        HEAP[$631]=$629; //@line 891 "pi.c"
        HEAP[$incr_top]=0; //@line 892 "pi.c"
        __label__ = 50; break; //@line 892 "pi.c"
      case 50: // $bb61
        __label__ = 43; break; //@line 892 "pi.c"
      case 47: // $bb62
        var $632=HEAP[$pi_addr]; //@line 895 "pi.c"
        var $633=HEAP[$pino_addr]; //@line 895 "pi.c"
        var $634=CHECK_OVERFLOW(($632+232*$633)&4294967295, 32); //@line 895 "pi.c"
        var $635=HEAP[$tcp]; //@line 895 "pi.c"
        var $636=CHECK_OVERFLOW(($635+136)&4294967295, 32); //@line 895 "pi.c"
        var $637=HEAP[$636]; //@line 895 "pi.c"
        var $638=CHECK_OVERFLOW((($637) - 1)&4294967295, 32); //@line 895 "pi.c"
        var $639=CHECK_OVERFLOW(($634+44)&4294967295, 32); //@line 895 "pi.c"
        var $640=CHECK_OVERFLOW(($639+24)&4294967295, 32); //@line 895 "pi.c"
        HEAP[$640]=$638; //@line 895 "pi.c"
        var $641=HEAP[$pi_addr]; //@line 896 "pi.c"
        var $642=HEAP[$pino_addr]; //@line 896 "pi.c"
        var $643=CHECK_OVERFLOW(($641+232*$642)&4294967295, 32); //@line 896 "pi.c"
        var $644=HEAP[$tcp]; //@line 896 "pi.c"
        var $645=CHECK_OVERFLOW(($644+136)&4294967295, 32); //@line 896 "pi.c"
        var $646=HEAP[$645]; //@line 896 "pi.c"
        var $647=CHECK_OVERFLOW(($643+44)&4294967295, 32); //@line 896 "pi.c"
        var $648=CHECK_OVERFLOW(($647+28)&4294967295, 32); //@line 896 "pi.c"
        HEAP[$648]=$646; //@line 896 "pi.c"
        __label__ = 43; break; //@line 896 "pi.c"
      case 43: // $bb63
        __label__ = 20; break; //@line 896 "pi.c"
      case 78: // $bb64
        var $649=HEAP[$i]; //@line 902 "pi.c"
        var $650=HEAP[$tppos_addr]; //@line 902 "pi.c"
        var $651=($649) > ($650); //@line 902 "pi.c"
        if ($651) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 902 "pi.c"
      case 51: // $bb65
        var $652=HEAP[$pi_addr]; //@line 903 "pi.c"
        var $653=HEAP[$pino_addr]; //@line 903 "pi.c"
        var $654=CHECK_OVERFLOW(($652+232*$653)&4294967295, 32); //@line 903 "pi.c"
        var $655=HEAP[$tcp]; //@line 903 "pi.c"
        var $656=CHECK_OVERFLOW(($655+100)&4294967295, 32); //@line 903 "pi.c"
        var $657=HEAP[$656]; //@line 903 "pi.c"
        var $658=CHECK_OVERFLOW(($654+44)&4294967295, 32); //@line 903 "pi.c"
        var $659=CHECK_OVERFLOW(($658+52)&4294967295, 32); //@line 903 "pi.c"
        HEAP[$659]=$657; //@line 903 "pi.c"
        var $660=HEAP[$pi_addr]; //@line 904 "pi.c"
        var $661=HEAP[$pino_addr]; //@line 904 "pi.c"
        var $662=CHECK_OVERFLOW(($660+232*$661)&4294967295, 32); //@line 904 "pi.c"
        var $663=HEAP[$tcp]; //@line 904 "pi.c"
        var $664=CHECK_OVERFLOW(($663+108)&4294967295, 32); //@line 904 "pi.c"
        var $665=HEAP[$664]; //@line 904 "pi.c"
        var $666=CHECK_OVERFLOW(($662+44)&4294967295, 32); //@line 904 "pi.c"
        var $667=CHECK_OVERFLOW(($666+60)&4294967295, 32); //@line 904 "pi.c"
        HEAP[$667]=$665; //@line 904 "pi.c"
        var $668=HEAP[$pi_addr]; //@line 905 "pi.c"
        var $669=HEAP[$pino_addr]; //@line 905 "pi.c"
        var $670=CHECK_OVERFLOW(($668+232*$669)&4294967295, 32); //@line 905 "pi.c"
        var $671=HEAP[$tcp]; //@line 905 "pi.c"
        var $672=CHECK_OVERFLOW(($671+104)&4294967295, 32); //@line 905 "pi.c"
        var $673=HEAP[$672]; //@line 905 "pi.c"
        var $674=CHECK_OVERFLOW(($670+44)&4294967295, 32); //@line 905 "pi.c"
        var $675=CHECK_OVERFLOW(($674+56)&4294967295, 32); //@line 905 "pi.c"
        HEAP[$675]=$673; //@line 905 "pi.c"
        var $676=HEAP[$pi_addr]; //@line 906 "pi.c"
        var $677=HEAP[$pino_addr]; //@line 906 "pi.c"
        var $678=CHECK_OVERFLOW(($676+232*$677)&4294967295, 32); //@line 906 "pi.c"
        var $679=HEAP[$tcp]; //@line 906 "pi.c"
        var $680=CHECK_OVERFLOW(($679+112)&4294967295, 32); //@line 906 "pi.c"
        var $681=HEAP[$680]; //@line 906 "pi.c"
        var $682=CHECK_OVERFLOW(($678+44)&4294967295, 32); //@line 906 "pi.c"
        var $683=CHECK_OVERFLOW(($682+64)&4294967295, 32); //@line 906 "pi.c"
        HEAP[$683]=$681; //@line 906 "pi.c"
        __label__ = 20; break; //@line 906 "pi.c"
      case 52: // $bb66
        var $684=HEAP[$tpnum_addr]; //@line 908 "pi.c"
        var $685=($684)==0; //@line 908 "pi.c"
        if ($685) { __label__ = 53; break; } else { __label__ = 54; break; } //@line 908 "pi.c"
      case 53: // $bb67
        var $686=HEAP[$tcp]; //@line 909 "pi.c"
        var $687=CHECK_OVERFLOW(($686+100)&4294967295, 32); //@line 909 "pi.c"
        var $688=HEAP[$687]; //@line 909 "pi.c"
        var $689=HEAP[$tcp]; //@line 909 "pi.c"
        var $690=CHECK_OVERFLOW(($689+140)&4294967295, 32); //@line 909 "pi.c"
        HEAP[$690]=$688; //@line 909 "pi.c"
        var $691=HEAP[$tcp]; //@line 910 "pi.c"
        var $692=CHECK_OVERFLOW(($691+108)&4294967295, 32); //@line 910 "pi.c"
        var $693=HEAP[$692]; //@line 910 "pi.c"
        var $694=HEAP[$tcp]; //@line 910 "pi.c"
        var $695=CHECK_OVERFLOW(($694+144)&4294967295, 32); //@line 910 "pi.c"
        HEAP[$695]=$693; //@line 910 "pi.c"
        var $696=HEAP[$pi_addr]; //@line 911 "pi.c"
        var $697=HEAP[$pino_addr]; //@line 911 "pi.c"
        var $698=CHECK_OVERFLOW(($696+232*$697)&4294967295, 32); //@line 911 "pi.c"
        var $699=HEAP[$tcp]; //@line 911 "pi.c"
        var $700=CHECK_OVERFLOW(($699+140)&4294967295, 32); //@line 911 "pi.c"
        var $701=HEAP[$700]; //@line 911 "pi.c"
        var $702=CHECK_OVERFLOW(($698+44)&4294967295, 32); //@line 911 "pi.c"
        var $703=CHECK_OVERFLOW(($702+52)&4294967295, 32); //@line 911 "pi.c"
        HEAP[$703]=$701; //@line 911 "pi.c"
        var $704=HEAP[$pi_addr]; //@line 912 "pi.c"
        var $705=HEAP[$pino_addr]; //@line 912 "pi.c"
        var $706=CHECK_OVERFLOW(($704+232*$705)&4294967295, 32); //@line 912 "pi.c"
        var $707=HEAP[$tcp]; //@line 912 "pi.c"
        var $708=CHECK_OVERFLOW(($707+140)&4294967295, 32); //@line 912 "pi.c"
        var $709=HEAP[$708]; //@line 912 "pi.c"
        var $710=HEAP[$tcp]; //@line 912 "pi.c"
        var $711=CHECK_OVERFLOW(($710+116)&4294967295, 32); //@line 912 "pi.c"
        var $712=HEAP[$711]; //@line 912 "pi.c"
        var $713=CHECK_OVERFLOW((($709) + ($712))&4294967295, 32); //@line 912 "pi.c"
        var $714=HEAP[$tcp]; //@line 912 "pi.c"
        var $715=CHECK_OVERFLOW(($714+140)&4294967295, 32); //@line 912 "pi.c"
        var $716=HEAP[$715]; //@line 912 "pi.c"
        var $717=HEAP[$tcp]; //@line 912 "pi.c"
        var $718=CHECK_OVERFLOW(($717+116)&4294967295, 32); //@line 912 "pi.c"
        var $719=HEAP[$718]; //@line 912 "pi.c"
        var $720=($716) % ($719); //@line 912 "pi.c"
        var $721=CHECK_OVERFLOW((($713) - ($720))&4294967295, 32); //@line 912 "pi.c"
        var $722=CHECK_OVERFLOW(($706+44)&4294967295, 32); //@line 912 "pi.c"
        var $723=CHECK_OVERFLOW(($722+56)&4294967295, 32); //@line 912 "pi.c"
        HEAP[$723]=$721; //@line 912 "pi.c"
        var $724=HEAP[$pi_addr]; //@line 913 "pi.c"
        var $725=HEAP[$pino_addr]; //@line 913 "pi.c"
        var $726=CHECK_OVERFLOW(($724+232*$725)&4294967295, 32); //@line 913 "pi.c"
        var $727=HEAP[$tcp]; //@line 913 "pi.c"
        var $728=CHECK_OVERFLOW(($727+144)&4294967295, 32); //@line 913 "pi.c"
        var $729=HEAP[$728]; //@line 913 "pi.c"
        var $730=CHECK_OVERFLOW(($726+44)&4294967295, 32); //@line 913 "pi.c"
        var $731=CHECK_OVERFLOW(($730+60)&4294967295, 32); //@line 913 "pi.c"
        HEAP[$731]=$729; //@line 913 "pi.c"
        var $732=HEAP[$pi_addr]; //@line 914 "pi.c"
        var $733=HEAP[$pino_addr]; //@line 914 "pi.c"
        var $734=CHECK_OVERFLOW(($732+232*$733)&4294967295, 32); //@line 914 "pi.c"
        var $735=HEAP[$tcp]; //@line 914 "pi.c"
        var $736=CHECK_OVERFLOW(($735+144)&4294967295, 32); //@line 914 "pi.c"
        var $737=HEAP[$736]; //@line 914 "pi.c"
        var $738=HEAP[$tcp]; //@line 914 "pi.c"
        var $739=CHECK_OVERFLOW(($738+120)&4294967295, 32); //@line 914 "pi.c"
        var $740=HEAP[$739]; //@line 914 "pi.c"
        var $741=CHECK_OVERFLOW((($737) + ($740))&4294967295, 32); //@line 914 "pi.c"
        var $742=HEAP[$tcp]; //@line 914 "pi.c"
        var $743=CHECK_OVERFLOW(($742+144)&4294967295, 32); //@line 914 "pi.c"
        var $744=HEAP[$743]; //@line 914 "pi.c"
        var $745=HEAP[$tcp]; //@line 914 "pi.c"
        var $746=CHECK_OVERFLOW(($745+120)&4294967295, 32); //@line 914 "pi.c"
        var $747=HEAP[$746]; //@line 914 "pi.c"
        var $748=($744) % ($747); //@line 914 "pi.c"
        var $749=CHECK_OVERFLOW((($741) - ($748))&4294967295, 32); //@line 914 "pi.c"
        var $750=CHECK_OVERFLOW(($734+44)&4294967295, 32); //@line 914 "pi.c"
        var $751=CHECK_OVERFLOW(($750+64)&4294967295, 32); //@line 914 "pi.c"
        HEAP[$751]=$749; //@line 914 "pi.c"
        var $752=HEAP[$pi_addr]; //@line 915 "pi.c"
        var $753=HEAP[$pino_addr]; //@line 915 "pi.c"
        var $754=CHECK_OVERFLOW(($752+232*$753)&4294967295, 32); //@line 915 "pi.c"
        var $755=CHECK_OVERFLOW(($754+44)&4294967295, 32); //@line 915 "pi.c"
        var $756=CHECK_OVERFLOW(($755+56)&4294967295, 32); //@line 915 "pi.c"
        var $757=HEAP[$756]; //@line 915 "pi.c"
        var $758=HEAP[$tcp]; //@line 915 "pi.c"
        var $759=CHECK_OVERFLOW(($758+140)&4294967295, 32); //@line 915 "pi.c"
        HEAP[$759]=$757; //@line 915 "pi.c"
        var $760=HEAP[$pi_addr]; //@line 916 "pi.c"
        var $761=HEAP[$pino_addr]; //@line 916 "pi.c"
        var $762=CHECK_OVERFLOW(($760+232*$761)&4294967295, 32); //@line 916 "pi.c"
        var $763=CHECK_OVERFLOW(($762+44)&4294967295, 32); //@line 916 "pi.c"
        var $764=CHECK_OVERFLOW(($763+64)&4294967295, 32); //@line 916 "pi.c"
        var $765=HEAP[$764]; //@line 916 "pi.c"
        var $766=HEAP[$tcp]; //@line 916 "pi.c"
        var $767=CHECK_OVERFLOW(($766+144)&4294967295, 32); //@line 916 "pi.c"
        HEAP[$767]=$765; //@line 916 "pi.c"
        __label__ = 20; break; //@line 916 "pi.c"
      case 54: // $bb68
        var $768=HEAP[$incr_top]; //@line 918 "pi.c"
        var $769=($768)==1; //@line 918 "pi.c"
        if ($769) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 918 "pi.c"
      case 55: // $bb69
        var $770=HEAP[$tcp]; //@line 919 "pi.c"
        var $771=CHECK_OVERFLOW(($770+140)&4294967295, 32); //@line 919 "pi.c"
        var $772=HEAP[$771]; //@line 919 "pi.c"
        var $773=HEAP[$tcp]; //@line 919 "pi.c"
        var $774=CHECK_OVERFLOW(($773+104)&4294967295, 32); //@line 919 "pi.c"
        var $775=HEAP[$774]; //@line 919 "pi.c"
        var $776=($772) >= ($775); //@line 919 "pi.c"
        if ($776) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 919 "pi.c"
      case 57: // $bb70
        var $777=HEAP[$tcp]; //@line 920 "pi.c"
        var $778=CHECK_OVERFLOW(($777+144)&4294967295, 32); //@line 920 "pi.c"
        var $779=HEAP[$778]; //@line 920 "pi.c"
        var $780=HEAP[$tcp]; //@line 920 "pi.c"
        var $781=CHECK_OVERFLOW(($780+112)&4294967295, 32); //@line 920 "pi.c"
        var $782=HEAP[$781]; //@line 920 "pi.c"
        var $783=($779) >= ($782); //@line 920 "pi.c"
        if ($783) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 920 "pi.c"
      case 59: // $bb71
        var $784=HEAP[$tcp]; //@line 921 "pi.c"
        var $785=CHECK_OVERFLOW(($784+108)&4294967295, 32); //@line 921 "pi.c"
        var $786=HEAP[$785]; //@line 921 "pi.c"
        var $787=HEAP[$tcp]; //@line 921 "pi.c"
        var $788=CHECK_OVERFLOW(($787+144)&4294967295, 32); //@line 921 "pi.c"
        HEAP[$788]=$786; //@line 921 "pi.c"
        var $789=HEAP[$pi_addr]; //@line 922 "pi.c"
        var $790=HEAP[$pino_addr]; //@line 922 "pi.c"
        var $791=CHECK_OVERFLOW(($789+232*$790)&4294967295, 32); //@line 922 "pi.c"
        var $792=HEAP[$tcp]; //@line 922 "pi.c"
        var $793=CHECK_OVERFLOW(($792+144)&4294967295, 32); //@line 922 "pi.c"
        var $794=HEAP[$793]; //@line 922 "pi.c"
        var $795=CHECK_OVERFLOW(($791+44)&4294967295, 32); //@line 922 "pi.c"
        var $796=CHECK_OVERFLOW(($795+60)&4294967295, 32); //@line 922 "pi.c"
        HEAP[$796]=$794; //@line 922 "pi.c"
        var $797=HEAP[$pi_addr]; //@line 923 "pi.c"
        var $798=HEAP[$pino_addr]; //@line 923 "pi.c"
        var $799=CHECK_OVERFLOW(($797+232*$798)&4294967295, 32); //@line 923 "pi.c"
        var $800=HEAP[$tcp]; //@line 923 "pi.c"
        var $801=CHECK_OVERFLOW(($800+144)&4294967295, 32); //@line 923 "pi.c"
        var $802=HEAP[$801]; //@line 923 "pi.c"
        var $803=HEAP[$tcp]; //@line 923 "pi.c"
        var $804=CHECK_OVERFLOW(($803+120)&4294967295, 32); //@line 923 "pi.c"
        var $805=HEAP[$804]; //@line 923 "pi.c"
        var $806=CHECK_OVERFLOW((($802) + ($805))&4294967295, 32); //@line 923 "pi.c"
        var $807=HEAP[$tcp]; //@line 923 "pi.c"
        var $808=CHECK_OVERFLOW(($807+144)&4294967295, 32); //@line 923 "pi.c"
        var $809=HEAP[$808]; //@line 923 "pi.c"
        var $810=HEAP[$tcp]; //@line 923 "pi.c"
        var $811=CHECK_OVERFLOW(($810+120)&4294967295, 32); //@line 923 "pi.c"
        var $812=HEAP[$811]; //@line 923 "pi.c"
        var $813=($809) % ($812); //@line 923 "pi.c"
        var $814=CHECK_OVERFLOW((($806) - ($813))&4294967295, 32); //@line 923 "pi.c"
        var $815=CHECK_OVERFLOW(($799+44)&4294967295, 32); //@line 923 "pi.c"
        var $816=CHECK_OVERFLOW(($815+64)&4294967295, 32); //@line 923 "pi.c"
        HEAP[$816]=$814; //@line 923 "pi.c"
        var $817=HEAP[$pi_addr]; //@line 924 "pi.c"
        var $818=HEAP[$pino_addr]; //@line 924 "pi.c"
        var $819=CHECK_OVERFLOW(($817+232*$818)&4294967295, 32); //@line 924 "pi.c"
        var $820=CHECK_OVERFLOW(($819+44)&4294967295, 32); //@line 924 "pi.c"
        var $821=CHECK_OVERFLOW(($820+64)&4294967295, 32); //@line 924 "pi.c"
        var $822=HEAP[$821]; //@line 924 "pi.c"
        var $823=HEAP[$tcp]; //@line 924 "pi.c"
        var $824=CHECK_OVERFLOW(($823+144)&4294967295, 32); //@line 924 "pi.c"
        HEAP[$824]=$822; //@line 924 "pi.c"
        HEAP[$incr_top]=1; //@line 925 "pi.c"
        HEAP[$resetX]=1; //@line 925 "pi.c"
        __label__ = 61; break; //@line 925 "pi.c"
      case 60: // $bb72
        var $825=HEAP[$pi_addr]; //@line 927 "pi.c"
        var $826=HEAP[$pino_addr]; //@line 927 "pi.c"
        var $827=CHECK_OVERFLOW(($825+232*$826)&4294967295, 32); //@line 927 "pi.c"
        var $828=HEAP[$tcp]; //@line 927 "pi.c"
        var $829=CHECK_OVERFLOW(($828+144)&4294967295, 32); //@line 927 "pi.c"
        var $830=HEAP[$829]; //@line 927 "pi.c"
        var $831=CHECK_OVERFLOW(($827+44)&4294967295, 32); //@line 927 "pi.c"
        var $832=CHECK_OVERFLOW(($831+60)&4294967295, 32); //@line 927 "pi.c"
        HEAP[$832]=$830; //@line 927 "pi.c"
        var $833=HEAP[$pi_addr]; //@line 928 "pi.c"
        var $834=HEAP[$pino_addr]; //@line 928 "pi.c"
        var $835=CHECK_OVERFLOW(($833+232*$834)&4294967295, 32); //@line 928 "pi.c"
        var $836=HEAP[$tcp]; //@line 928 "pi.c"
        var $837=CHECK_OVERFLOW(($836+144)&4294967295, 32); //@line 928 "pi.c"
        var $838=HEAP[$837]; //@line 928 "pi.c"
        var $839=HEAP[$tcp]; //@line 928 "pi.c"
        var $840=CHECK_OVERFLOW(($839+120)&4294967295, 32); //@line 928 "pi.c"
        var $841=HEAP[$840]; //@line 928 "pi.c"
        var $842=CHECK_OVERFLOW((($838) + ($841))&4294967295, 32); //@line 928 "pi.c"
        var $843=HEAP[$tcp]; //@line 928 "pi.c"
        var $844=CHECK_OVERFLOW(($843+144)&4294967295, 32); //@line 928 "pi.c"
        var $845=HEAP[$844]; //@line 928 "pi.c"
        var $846=HEAP[$tcp]; //@line 928 "pi.c"
        var $847=CHECK_OVERFLOW(($846+120)&4294967295, 32); //@line 928 "pi.c"
        var $848=HEAP[$847]; //@line 928 "pi.c"
        var $849=($845) % ($848); //@line 928 "pi.c"
        var $850=CHECK_OVERFLOW((($842) - ($849))&4294967295, 32); //@line 928 "pi.c"
        var $851=CHECK_OVERFLOW(($835+44)&4294967295, 32); //@line 928 "pi.c"
        var $852=CHECK_OVERFLOW(($851+64)&4294967295, 32); //@line 928 "pi.c"
        HEAP[$852]=$850; //@line 928 "pi.c"
        var $853=HEAP[$pi_addr]; //@line 929 "pi.c"
        var $854=HEAP[$pino_addr]; //@line 929 "pi.c"
        var $855=CHECK_OVERFLOW(($853+232*$854)&4294967295, 32); //@line 929 "pi.c"
        var $856=CHECK_OVERFLOW(($855+44)&4294967295, 32); //@line 929 "pi.c"
        var $857=CHECK_OVERFLOW(($856+64)&4294967295, 32); //@line 929 "pi.c"
        var $858=HEAP[$857]; //@line 929 "pi.c"
        var $859=HEAP[$tcp]; //@line 929 "pi.c"
        var $860=CHECK_OVERFLOW(($859+144)&4294967295, 32); //@line 929 "pi.c"
        HEAP[$860]=$858; //@line 929 "pi.c"
        HEAP[$incr_top]=0; //@line 930 "pi.c"
        HEAP[$resetX]=1; //@line 930 "pi.c"
        __label__ = 61; break; //@line 930 "pi.c"
      case 61: // $bb73
        var $861=HEAP[$resetX]; //@line 932 "pi.c"
        var $862=($861)==1; //@line 932 "pi.c"
        if ($862) { __label__ = 62; break; } else { __label__ = 63; break; } //@line 932 "pi.c"
      case 62: // $bb74
        var $863=HEAP[$tcp]; //@line 933 "pi.c"
        var $864=CHECK_OVERFLOW(($863+100)&4294967295, 32); //@line 933 "pi.c"
        var $865=HEAP[$864]; //@line 933 "pi.c"
        var $866=HEAP[$tcp]; //@line 933 "pi.c"
        var $867=CHECK_OVERFLOW(($866+140)&4294967295, 32); //@line 933 "pi.c"
        HEAP[$867]=$865; //@line 933 "pi.c"
        var $868=HEAP[$pi_addr]; //@line 934 "pi.c"
        var $869=HEAP[$pino_addr]; //@line 934 "pi.c"
        var $870=CHECK_OVERFLOW(($868+232*$869)&4294967295, 32); //@line 934 "pi.c"
        var $871=HEAP[$tcp]; //@line 934 "pi.c"
        var $872=CHECK_OVERFLOW(($871+140)&4294967295, 32); //@line 934 "pi.c"
        var $873=HEAP[$872]; //@line 934 "pi.c"
        var $874=CHECK_OVERFLOW(($870+44)&4294967295, 32); //@line 934 "pi.c"
        var $875=CHECK_OVERFLOW(($874+52)&4294967295, 32); //@line 934 "pi.c"
        HEAP[$875]=$873; //@line 934 "pi.c"
        var $876=HEAP[$pi_addr]; //@line 935 "pi.c"
        var $877=HEAP[$pino_addr]; //@line 935 "pi.c"
        var $878=CHECK_OVERFLOW(($876+232*$877)&4294967295, 32); //@line 935 "pi.c"
        var $879=HEAP[$tcp]; //@line 935 "pi.c"
        var $880=CHECK_OVERFLOW(($879+140)&4294967295, 32); //@line 935 "pi.c"
        var $881=HEAP[$880]; //@line 935 "pi.c"
        var $882=HEAP[$tcp]; //@line 935 "pi.c"
        var $883=CHECK_OVERFLOW(($882+116)&4294967295, 32); //@line 935 "pi.c"
        var $884=HEAP[$883]; //@line 935 "pi.c"
        var $885=CHECK_OVERFLOW((($881) + ($884))&4294967295, 32); //@line 935 "pi.c"
        var $886=HEAP[$tcp]; //@line 935 "pi.c"
        var $887=CHECK_OVERFLOW(($886+140)&4294967295, 32); //@line 935 "pi.c"
        var $888=HEAP[$887]; //@line 935 "pi.c"
        var $889=HEAP[$tcp]; //@line 935 "pi.c"
        var $890=CHECK_OVERFLOW(($889+116)&4294967295, 32); //@line 935 "pi.c"
        var $891=HEAP[$890]; //@line 935 "pi.c"
        var $892=($888) % ($891); //@line 935 "pi.c"
        var $893=CHECK_OVERFLOW((($885) - ($892))&4294967295, 32); //@line 935 "pi.c"
        var $894=CHECK_OVERFLOW(($878+44)&4294967295, 32); //@line 935 "pi.c"
        var $895=CHECK_OVERFLOW(($894+56)&4294967295, 32); //@line 935 "pi.c"
        HEAP[$895]=$893; //@line 935 "pi.c"
        var $896=HEAP[$pi_addr]; //@line 936 "pi.c"
        var $897=HEAP[$pino_addr]; //@line 936 "pi.c"
        var $898=CHECK_OVERFLOW(($896+232*$897)&4294967295, 32); //@line 936 "pi.c"
        var $899=CHECK_OVERFLOW(($898+44)&4294967295, 32); //@line 936 "pi.c"
        var $900=CHECK_OVERFLOW(($899+56)&4294967295, 32); //@line 936 "pi.c"
        var $901=HEAP[$900]; //@line 936 "pi.c"
        var $902=HEAP[$tcp]; //@line 936 "pi.c"
        var $903=CHECK_OVERFLOW(($902+140)&4294967295, 32); //@line 936 "pi.c"
        HEAP[$903]=$901; //@line 936 "pi.c"
        __label__ = 63; break; //@line 936 "pi.c"
      case 63: // $bb75
        __label__ = 64; break; //@line 936 "pi.c"
      case 58: // $bb76
        var $904=HEAP[$pi_addr]; //@line 939 "pi.c"
        var $905=HEAP[$pino_addr]; //@line 939 "pi.c"
        var $906=CHECK_OVERFLOW(($904+232*$905)&4294967295, 32); //@line 939 "pi.c"
        var $907=HEAP[$tcp]; //@line 939 "pi.c"
        var $908=CHECK_OVERFLOW(($907+140)&4294967295, 32); //@line 939 "pi.c"
        var $909=HEAP[$908]; //@line 939 "pi.c"
        var $910=CHECK_OVERFLOW(($906+44)&4294967295, 32); //@line 939 "pi.c"
        var $911=CHECK_OVERFLOW(($910+52)&4294967295, 32); //@line 939 "pi.c"
        HEAP[$911]=$909; //@line 939 "pi.c"
        var $912=HEAP[$pi_addr]; //@line 940 "pi.c"
        var $913=HEAP[$pino_addr]; //@line 940 "pi.c"
        var $914=CHECK_OVERFLOW(($912+232*$913)&4294967295, 32); //@line 940 "pi.c"
        var $915=HEAP[$tcp]; //@line 940 "pi.c"
        var $916=CHECK_OVERFLOW(($915+140)&4294967295, 32); //@line 940 "pi.c"
        var $917=HEAP[$916]; //@line 940 "pi.c"
        var $918=HEAP[$tcp]; //@line 940 "pi.c"
        var $919=CHECK_OVERFLOW(($918+116)&4294967295, 32); //@line 940 "pi.c"
        var $920=HEAP[$919]; //@line 940 "pi.c"
        var $921=CHECK_OVERFLOW((($917) + ($920))&4294967295, 32); //@line 940 "pi.c"
        var $922=HEAP[$tcp]; //@line 940 "pi.c"
        var $923=CHECK_OVERFLOW(($922+140)&4294967295, 32); //@line 940 "pi.c"
        var $924=HEAP[$923]; //@line 940 "pi.c"
        var $925=HEAP[$tcp]; //@line 940 "pi.c"
        var $926=CHECK_OVERFLOW(($925+116)&4294967295, 32); //@line 940 "pi.c"
        var $927=HEAP[$926]; //@line 940 "pi.c"
        var $928=($924) % ($927); //@line 940 "pi.c"
        var $929=CHECK_OVERFLOW((($921) - ($928))&4294967295, 32); //@line 940 "pi.c"
        var $930=CHECK_OVERFLOW(($914+44)&4294967295, 32); //@line 940 "pi.c"
        var $931=CHECK_OVERFLOW(($930+56)&4294967295, 32); //@line 940 "pi.c"
        HEAP[$931]=$929; //@line 940 "pi.c"
        var $932=HEAP[$pi_addr]; //@line 941 "pi.c"
        var $933=HEAP[$pino_addr]; //@line 941 "pi.c"
        var $934=CHECK_OVERFLOW(($932+232*$933)&4294967295, 32); //@line 941 "pi.c"
        var $935=CHECK_OVERFLOW(($934+44)&4294967295, 32); //@line 941 "pi.c"
        var $936=CHECK_OVERFLOW(($935+56)&4294967295, 32); //@line 941 "pi.c"
        var $937=HEAP[$936]; //@line 941 "pi.c"
        var $938=HEAP[$tcp]; //@line 941 "pi.c"
        var $939=CHECK_OVERFLOW(($938+140)&4294967295, 32); //@line 941 "pi.c"
        HEAP[$939]=$937; //@line 941 "pi.c"
        var $940=HEAP[$pi_addr]; //@line 942 "pi.c"
        var $941=HEAP[$pino_addr]; //@line 942 "pi.c"
        var $942=CHECK_OVERFLOW(($940+232*$941)&4294967295, 32); //@line 942 "pi.c"
        var $943=HEAP[$tcp]; //@line 942 "pi.c"
        var $944=CHECK_OVERFLOW(($943+144)&4294967295, 32); //@line 942 "pi.c"
        var $945=HEAP[$944]; //@line 942 "pi.c"
        var $946=HEAP[$tcp]; //@line 942 "pi.c"
        var $947=CHECK_OVERFLOW(($946+120)&4294967295, 32); //@line 942 "pi.c"
        var $948=HEAP[$947]; //@line 942 "pi.c"
        var $949=CHECK_OVERFLOW((($945) - ($948))&4294967295, 32); //@line 942 "pi.c"
        var $950=HEAP[$tcp]; //@line 942 "pi.c"
        var $951=CHECK_OVERFLOW(($950+144)&4294967295, 32); //@line 942 "pi.c"
        var $952=HEAP[$951]; //@line 942 "pi.c"
        var $953=HEAP[$tcp]; //@line 942 "pi.c"
        var $954=CHECK_OVERFLOW(($953+120)&4294967295, 32); //@line 942 "pi.c"
        var $955=HEAP[$954]; //@line 942 "pi.c"
        var $956=($952) % ($955); //@line 942 "pi.c"
        var $957=CHECK_OVERFLOW((($949) - ($956))&4294967295, 32); //@line 942 "pi.c"
        var $958=CHECK_OVERFLOW(($942+44)&4294967295, 32); //@line 942 "pi.c"
        var $959=CHECK_OVERFLOW(($958+60)&4294967295, 32); //@line 942 "pi.c"
        HEAP[$959]=$957; //@line 942 "pi.c"
        var $960=HEAP[$pi_addr]; //@line 943 "pi.c"
        var $961=HEAP[$pino_addr]; //@line 943 "pi.c"
        var $962=CHECK_OVERFLOW(($960+232*$961)&4294967295, 32); //@line 943 "pi.c"
        var $963=HEAP[$tcp]; //@line 943 "pi.c"
        var $964=CHECK_OVERFLOW(($963+144)&4294967295, 32); //@line 943 "pi.c"
        var $965=HEAP[$964]; //@line 943 "pi.c"
        var $966=CHECK_OVERFLOW(($962+44)&4294967295, 32); //@line 943 "pi.c"
        var $967=CHECK_OVERFLOW(($966+64)&4294967295, 32); //@line 943 "pi.c"
        HEAP[$967]=$965; //@line 943 "pi.c"
        HEAP[$incr_top]=0; //@line 944 "pi.c"
        __label__ = 64; break; //@line 944 "pi.c"
      case 64: // $bb77
        __label__ = 20; break; //@line 944 "pi.c"
      case 56: // $bb78
        var $968=HEAP[$pi_addr]; //@line 947 "pi.c"
        var $969=HEAP[$pino_addr]; //@line 947 "pi.c"
        var $970=CHECK_OVERFLOW(($968+232*$969)&4294967295, 32); //@line 947 "pi.c"
        var $971=HEAP[$tcp]; //@line 947 "pi.c"
        var $972=CHECK_OVERFLOW(($971+140)&4294967295, 32); //@line 947 "pi.c"
        var $973=HEAP[$972]; //@line 947 "pi.c"
        var $974=HEAP[$tcp]; //@line 947 "pi.c"
        var $975=CHECK_OVERFLOW(($974+116)&4294967295, 32); //@line 947 "pi.c"
        var $976=HEAP[$975]; //@line 947 "pi.c"
        var $977=CHECK_OVERFLOW((($973) - ($976))&4294967295, 32); //@line 947 "pi.c"
        var $978=HEAP[$tcp]; //@line 947 "pi.c"
        var $979=CHECK_OVERFLOW(($978+140)&4294967295, 32); //@line 947 "pi.c"
        var $980=HEAP[$979]; //@line 947 "pi.c"
        var $981=HEAP[$tcp]; //@line 947 "pi.c"
        var $982=CHECK_OVERFLOW(($981+116)&4294967295, 32); //@line 947 "pi.c"
        var $983=HEAP[$982]; //@line 947 "pi.c"
        var $984=($980) % ($983); //@line 947 "pi.c"
        var $985=CHECK_OVERFLOW((($977) - ($984))&4294967295, 32); //@line 947 "pi.c"
        var $986=CHECK_OVERFLOW(($970+44)&4294967295, 32); //@line 947 "pi.c"
        var $987=CHECK_OVERFLOW(($986+52)&4294967295, 32); //@line 947 "pi.c"
        HEAP[$987]=$985; //@line 947 "pi.c"
        var $988=HEAP[$pi_addr]; //@line 948 "pi.c"
        var $989=HEAP[$pino_addr]; //@line 948 "pi.c"
        var $990=CHECK_OVERFLOW(($988+232*$989)&4294967295, 32); //@line 948 "pi.c"
        var $991=HEAP[$tcp]; //@line 948 "pi.c"
        var $992=CHECK_OVERFLOW(($991+140)&4294967295, 32); //@line 948 "pi.c"
        var $993=HEAP[$992]; //@line 948 "pi.c"
        var $994=CHECK_OVERFLOW(($990+44)&4294967295, 32); //@line 948 "pi.c"
        var $995=CHECK_OVERFLOW(($994+56)&4294967295, 32); //@line 948 "pi.c"
        HEAP[$995]=$993; //@line 948 "pi.c"
        var $996=HEAP[$pi_addr]; //@line 949 "pi.c"
        var $997=HEAP[$pino_addr]; //@line 949 "pi.c"
        var $998=CHECK_OVERFLOW(($996+232*$997)&4294967295, 32); //@line 949 "pi.c"
        var $999=HEAP[$tcp]; //@line 949 "pi.c"
        var $1000=CHECK_OVERFLOW(($999+144)&4294967295, 32); //@line 949 "pi.c"
        var $1001=HEAP[$1000]; //@line 949 "pi.c"
        var $1002=HEAP[$tcp]; //@line 949 "pi.c"
        var $1003=CHECK_OVERFLOW(($1002+120)&4294967295, 32); //@line 949 "pi.c"
        var $1004=HEAP[$1003]; //@line 949 "pi.c"
        var $1005=CHECK_OVERFLOW((($1001) - ($1004))&4294967295, 32); //@line 949 "pi.c"
        var $1006=HEAP[$tcp]; //@line 949 "pi.c"
        var $1007=CHECK_OVERFLOW(($1006+144)&4294967295, 32); //@line 949 "pi.c"
        var $1008=HEAP[$1007]; //@line 949 "pi.c"
        var $1009=HEAP[$tcp]; //@line 949 "pi.c"
        var $1010=CHECK_OVERFLOW(($1009+120)&4294967295, 32); //@line 949 "pi.c"
        var $1011=HEAP[$1010]; //@line 949 "pi.c"
        var $1012=($1008) % ($1011); //@line 949 "pi.c"
        var $1013=CHECK_OVERFLOW((($1005) - ($1012))&4294967295, 32); //@line 949 "pi.c"
        var $1014=CHECK_OVERFLOW(($998+44)&4294967295, 32); //@line 949 "pi.c"
        var $1015=CHECK_OVERFLOW(($1014+60)&4294967295, 32); //@line 949 "pi.c"
        HEAP[$1015]=$1013; //@line 949 "pi.c"
        var $1016=HEAP[$pi_addr]; //@line 950 "pi.c"
        var $1017=HEAP[$pino_addr]; //@line 950 "pi.c"
        var $1018=CHECK_OVERFLOW(($1016+232*$1017)&4294967295, 32); //@line 950 "pi.c"
        var $1019=HEAP[$tcp]; //@line 950 "pi.c"
        var $1020=CHECK_OVERFLOW(($1019+144)&4294967295, 32); //@line 950 "pi.c"
        var $1021=HEAP[$1020]; //@line 950 "pi.c"
        var $1022=CHECK_OVERFLOW(($1018+44)&4294967295, 32); //@line 950 "pi.c"
        var $1023=CHECK_OVERFLOW(($1022+64)&4294967295, 32); //@line 950 "pi.c"
        HEAP[$1023]=$1021; //@line 950 "pi.c"
        __label__ = 20; break; //@line 950 "pi.c"
      case 20: // $bb79
        var $1024=HEAP[$i]; //@line 769 "pi.c"
        var $1025=CHECK_OVERFLOW((($1024) - 1)&4294967295, 32); //@line 769 "pi.c"
        HEAP[$i]=$1025; //@line 769 "pi.c"
        __label__ = 9; break; //@line 769 "pi.c"
      case 9: // $bb80
        var $1026=HEAP[$i]; //@line 769 "pi.c"
        var $1027=($1026) >= 0; //@line 769 "pi.c"
        if ($1027) { __label__ = 65; break; } else { __label__ = 7; break; } //@line 769 "pi.c"
      case 7: // $bb81
        HEAP[$0]=0; //@line 961 "pi.c"
        __label__ = 1; break; //@line 961 "pi.c"
      case 1: // $bb82
        var $1028=HEAP[$0]; //@line 751 "pi.c"
        HEAP[$retval]=$1028; //@line 751 "pi.c"
        __label__ = 66; break; //@line 751 "pi.c"
      case 66: // $return
        var $retval83=HEAP[$retval]; //@line 751 "pi.c"
        STACKTOP = __stackBase__;
        return $retval83; //@line 751 "pi.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _raw_create() {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $retval=__stackBase__;
        var $0=__stackBase__+4;
        var $raw=__stackBase__+8;
        var $_alloca_point_=0;
        var $1=_malloc(28); //@line 46 "raw.c"
        var $2=$1; //@line 46 "raw.c"
        HEAP[$raw]=$2; //@line 46 "raw.c"
        var $3=HEAP[$raw]; //@line 47 "raw.c"
        HEAP[$0]=$3; //@line 47 "raw.c"
        var $4=HEAP[$0]; //@line 47 "raw.c"
        HEAP[$retval]=$4; //@line 47 "raw.c"
        __label__ = 0; break; //@line 47 "raw.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 47 "raw.c"
        STACKTOP = __stackBase__;
        return $retval1; //@line 47 "raw.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _raw_destroy($raw) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $raw_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$raw_addr]=$raw;
        var $0=HEAP[$raw_addr]; //@line 51 "raw.c"
        var $1=($0)!=0; //@line 51 "raw.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 51 "raw.c"
      case 0: // $bb
        var $2=HEAP[$raw_addr]; //@line 52 "raw.c"
        var $3=$2; //@line 52 "raw.c"
        _free($3); //@line 52 "raw.c"
        __label__ = 1; break; //@line 52 "raw.c"
      case 1: // $bb1
        __label__ = 2; break; //@line 54 "raw.c"
      case 2: // $return
        STACKTOP = __stackBase__;
        return; //@line 54 "raw.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _raw_numbytes($raw) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $raw_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$raw_addr]=$raw;
        var $1=HEAP[$raw_addr]; //@line 57 "raw.c"
        var $2=CHECK_OVERFLOW(($1+16)&4294967295, 32); //@line 57 "raw.c"
        var $3=HEAP[$2]; //@line 57 "raw.c"
        var $4=($3); //@line 57 "raw.c"
        var $5=HEAP[$raw_addr]; //@line 57 "raw.c"
        var $6=CHECK_OVERFLOW(($5+20)&4294967295, 32); //@line 57 "raw.c"
        var $7=HEAP[$6]; //@line 57 "raw.c"
        var $8=($7); //@line 57 "raw.c"
        var $9=CHECK_OVERFLOW((($4) - ($8))&4294967295, 32); //@line 57 "raw.c"
        HEAP[$0]=$9; //@line 57 "raw.c"
        var $10=HEAP[$0]; //@line 57 "raw.c"
        HEAP[$retval]=$10; //@line 57 "raw.c"
        __label__ = 0; break; //@line 57 "raw.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 57 "raw.c"
        STACKTOP = __stackBase__;
        return $retval1; //@line 57 "raw.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _raw_init_dec($raw, $bp, $len) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $raw_addr=__stackBase__;
        var $bp_addr=__stackBase__+4;
        var $len_addr=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$raw_addr]=$raw;
        HEAP[$bp_addr]=$bp;
        HEAP[$len_addr]=$len;
        var $0=HEAP[$raw_addr]; //@line 61 "raw.c"
        var $1=CHECK_OVERFLOW(($0+20)&4294967295, 32); //@line 61 "raw.c"
        var $2=HEAP[$bp_addr]; //@line 61 "raw.c"
        HEAP[$1]=$2; //@line 61 "raw.c"
        var $3=HEAP[$len_addr]; //@line 62 "raw.c"
        var $4=HEAP[$raw_addr]; //@line 62 "raw.c"
        var $5=CHECK_OVERFLOW(($4+8)&4294967295, 32); //@line 62 "raw.c"
        HEAP[$5]=$3; //@line 62 "raw.c"
        var $6=HEAP[$raw_addr]; //@line 63 "raw.c"
        var $7=CHECK_OVERFLOW(($6+12)&4294967295, 32); //@line 63 "raw.c"
        HEAP[$7]=0; //@line 63 "raw.c"
        var $8=HEAP[$raw_addr]; //@line 64 "raw.c"
        var $9=CHECK_OVERFLOW(($8)&4294967295, 32); //@line 64 "raw.c"
        HEAP[$9]=0; //@line 64 "raw.c"
        var $10=HEAP[$raw_addr]; //@line 65 "raw.c"
        var $11=CHECK_OVERFLOW(($10+4)&4294967295, 32); //@line 65 "raw.c"
        HEAP[$11]=0; //@line 65 "raw.c"
        __label__ = 0; break; //@line 66 "raw.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 66 "raw.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _raw_decode($raw) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $raw_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $d=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$raw_addr]=$raw;
        var $1=HEAP[$raw_addr]; //@line 70 "raw.c"
        var $2=CHECK_OVERFLOW(($1+4)&4294967295, 32); //@line 70 "raw.c"
        var $3=HEAP[$2]; //@line 70 "raw.c"
        var $4=($3)==0; //@line 70 "raw.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 70 "raw.c"
      case 0: // $bb
        var $5=HEAP[$raw_addr]; //@line 71 "raw.c"
        var $6=CHECK_OVERFLOW(($5+4)&4294967295, 32); //@line 71 "raw.c"
        HEAP[$6]=8; //@line 71 "raw.c"
        var $7=HEAP[$raw_addr]; //@line 72 "raw.c"
        var $8=CHECK_OVERFLOW(($7+12)&4294967295, 32); //@line 72 "raw.c"
        var $9=HEAP[$8]; //@line 72 "raw.c"
        var $10=HEAP[$raw_addr]; //@line 72 "raw.c"
        var $11=CHECK_OVERFLOW(($10+8)&4294967295, 32); //@line 72 "raw.c"
        var $12=HEAP[$11]; //@line 72 "raw.c"
        var $13=($9)==($12); //@line 72 "raw.c"
        if ($13) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 72 "raw.c"
      case 2: // $bb1
        var $14=HEAP[$raw_addr]; //@line 73 "raw.c"
        var $15=CHECK_OVERFLOW(($14)&4294967295, 32); //@line 73 "raw.c"
        HEAP[$15]=-1; //@line 73 "raw.c"
        __label__ = 1; break; //@line 73 "raw.c"
      case 3: // $bb2
        var $16=HEAP[$raw_addr]; //@line 75 "raw.c"
        var $17=CHECK_OVERFLOW(($16)&4294967295, 32); //@line 75 "raw.c"
        var $18=HEAP[$17]; //@line 75 "raw.c"
        var $19=($18)==-1; //@line 75 "raw.c"
        if ($19) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 75 "raw.c"
      case 4: // $bb3
        var $20=HEAP[$raw_addr]; //@line 76 "raw.c"
        var $21=CHECK_OVERFLOW(($20+4)&4294967295, 32); //@line 76 "raw.c"
        HEAP[$21]=7; //@line 76 "raw.c"
        __label__ = 5; break; //@line 76 "raw.c"
      case 5: // $bb4
        var $22=HEAP[$raw_addr]; //@line 78 "raw.c"
        var $23=CHECK_OVERFLOW(($22+20)&4294967295, 32); //@line 78 "raw.c"
        var $24=HEAP[$23]; //@line 78 "raw.c"
        var $25=HEAP[$raw_addr]; //@line 78 "raw.c"
        var $26=CHECK_OVERFLOW(($25+12)&4294967295, 32); //@line 78 "raw.c"
        var $27=HEAP[$26]; //@line 78 "raw.c"
        var $28=CHECK_OVERFLOW(($24+$27)&4294967295, 32); //@line 78 "raw.c"
        var $29=HEAP[$28]; //@line 78 "raw.c"
        var $30=HEAP[$raw_addr]; //@line 78 "raw.c"
        var $31=CHECK_OVERFLOW(($30)&4294967295, 32); //@line 78 "raw.c"
        HEAP[$31]=$29; //@line 78 "raw.c"
        var $32=HEAP[$raw_addr]; //@line 79 "raw.c"
        var $33=CHECK_OVERFLOW(($32+12)&4294967295, 32); //@line 79 "raw.c"
        var $34=HEAP[$33]; //@line 79 "raw.c"
        var $35=CHECK_OVERFLOW((($34) + 1)&4294967295, 32); //@line 79 "raw.c"
        var $36=HEAP[$raw_addr]; //@line 79 "raw.c"
        var $37=CHECK_OVERFLOW(($36+12)&4294967295, 32); //@line 79 "raw.c"
        HEAP[$37]=$35; //@line 79 "raw.c"
        __label__ = 1; break; //@line 79 "raw.c"
      case 1: // $bb5
        var $38=HEAP[$raw_addr]; //@line 82 "raw.c"
        var $39=CHECK_OVERFLOW(($38+4)&4294967295, 32); //@line 82 "raw.c"
        var $40=HEAP[$39]; //@line 82 "raw.c"
        var $41=CHECK_OVERFLOW((($40) - 1)&4294967295, 32); //@line 82 "raw.c"
        var $42=HEAP[$raw_addr]; //@line 82 "raw.c"
        var $43=CHECK_OVERFLOW(($42+4)&4294967295, 32); //@line 82 "raw.c"
        HEAP[$43]=$41; //@line 82 "raw.c"
        var $44=HEAP[$raw_addr]; //@line 83 "raw.c"
        var $45=CHECK_OVERFLOW(($44)&4294967295, 32); //@line 83 "raw.c"
        var $46=HEAP[$45]; //@line 83 "raw.c"
        var $47=($46); //@line 83 "raw.c"
        var $48=HEAP[$raw_addr]; //@line 83 "raw.c"
        var $49=CHECK_OVERFLOW(($48+4)&4294967295, 32); //@line 83 "raw.c"
        var $50=HEAP[$49]; //@line 83 "raw.c"
        var $51=($47) >> ($50); //@line 83 "raw.c"
        var $52=($51) & 1; //@line 83 "raw.c"
        HEAP[$d]=$52; //@line 83 "raw.c"
        var $53=HEAP[$d]; //@line 85 "raw.c"
        HEAP[$0]=$53; //@line 85 "raw.c"
        var $54=HEAP[$0]; //@line 85 "raw.c"
        HEAP[$retval]=$54; //@line 85 "raw.c"
        __label__ = 6; break; //@line 85 "raw.c"
      case 6: // $return
        var $retval6=HEAP[$retval]; //@line 85 "raw.c"
        STACKTOP = __stackBase__;
        return $retval6; //@line 85 "raw.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_getctxno_sc($f) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $f_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$f_addr]=$f;
        var $1=HEAP[$f_addr]; //@line 284 "t1.c"
        var $2=($1) & 4080; //@line 284 "t1.c"
        var $3=($2) >> 4; //@line 284 "t1.c"
        var $4=CHECK_OVERFLOW((_lut_ctxno_sc+$3)&4294967295, 32); //@line 284 "t1.c"
        var $5=HEAP[$4]; //@line 284 "t1.c"
        var $6=($5); //@line 284 "t1.c"
        HEAP[$0]=$6; //@line 284 "t1.c"
        var $7=HEAP[$0]; //@line 284 "t1.c"
        HEAP[$retval]=$7; //@line 284 "t1.c"
        __label__ = 0; break; //@line 284 "t1.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 284 "t1.c"
        var $retval12=((($retval1)) & 255); //@line 284 "t1.c"
        STACKTOP = __stackBase__;
        return $retval12; //@line 284 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_getspb($f) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $f_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$f_addr]=$f;
        var $1=HEAP[$f_addr]; //@line 294 "t1.c"
        var $2=($1) & 4080; //@line 294 "t1.c"
        var $3=($2) >> 4; //@line 294 "t1.c"
        var $4=CHECK_OVERFLOW((_lut_spb+$3)&4294967295, 32); //@line 294 "t1.c"
        var $5=HEAP[$4]; //@line 294 "t1.c"
        var $6=($5); //@line 294 "t1.c"
        HEAP[$0]=$6; //@line 294 "t1.c"
        var $7=HEAP[$0]; //@line 294 "t1.c"
        HEAP[$retval]=$7; //@line 294 "t1.c"
        __label__ = 0; break; //@line 294 "t1.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 294 "t1.c"
        var $retval12=((($retval1)) & 255); //@line 294 "t1.c"
        STACKTOP = __stackBase__;
        return $retval12; //@line 294 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_getnmsedec_sig($x, $bitpos) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $x_addr=__stackBase__;
        var $bitpos_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$x_addr]=$x;
        HEAP[$bitpos_addr]=$bitpos;
        var $1=HEAP[$bitpos_addr]; //@line 298 "t1.c"
        var $2=($1) > 6; //@line 298 "t1.c"
        if ($2) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 298 "t1.c"
      case 0: // $bb
        var $3=HEAP[$bitpos_addr]; //@line 299 "t1.c"
        var $4=CHECK_OVERFLOW((($3) - 6)&4294967295, 32); //@line 299 "t1.c"
        var $5=HEAP[$x_addr]; //@line 299 "t1.c"
        var $6=($5) >> ($4); //@line 299 "t1.c"
        var $7=($6) & 127; //@line 299 "t1.c"
        var $8=CHECK_OVERFLOW((_lut_nmsedec_sig+$7*2)&4294967295, 32); //@line 299 "t1.c"
        var $9=HEAP[$8]; //@line 299 "t1.c"
        var $10=($9); //@line 299 "t1.c"
        HEAP[$0]=$10; //@line 299 "t1.c"
        __label__ = 2; break; //@line 299 "t1.c"
      case 1: // $bb1
        var $11=HEAP[$x_addr]; //@line 302 "t1.c"
        var $12=($11) & 127; //@line 302 "t1.c"
        var $13=CHECK_OVERFLOW((_lut_nmsedec_sig0+$12*2)&4294967295, 32); //@line 302 "t1.c"
        var $14=HEAP[$13]; //@line 302 "t1.c"
        var $15=($14); //@line 302 "t1.c"
        HEAP[$0]=$15; //@line 302 "t1.c"
        __label__ = 2; break; //@line 302 "t1.c"
      case 2: // $bb2
        var $16=HEAP[$0]; //@line 299 "t1.c"
        HEAP[$retval]=$16; //@line 299 "t1.c"
        __label__ = 3; break; //@line 299 "t1.c"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 299 "t1.c"
        var $retval34=((($retval3)) & 65535); //@line 299 "t1.c"
        STACKTOP = __stackBase__;
        return $retval34; //@line 299 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_getnmsedec_ref($x, $bitpos) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $x_addr=__stackBase__;
        var $bitpos_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$x_addr]=$x;
        HEAP[$bitpos_addr]=$bitpos;
        var $1=HEAP[$bitpos_addr]; //@line 306 "t1.c"
        var $2=($1) > 6; //@line 306 "t1.c"
        if ($2) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 306 "t1.c"
      case 0: // $bb
        var $3=HEAP[$bitpos_addr]; //@line 307 "t1.c"
        var $4=CHECK_OVERFLOW((($3) - 6)&4294967295, 32); //@line 307 "t1.c"
        var $5=HEAP[$x_addr]; //@line 307 "t1.c"
        var $6=($5) >> ($4); //@line 307 "t1.c"
        var $7=($6) & 127; //@line 307 "t1.c"
        var $8=CHECK_OVERFLOW((_lut_nmsedec_ref+$7*2)&4294967295, 32); //@line 307 "t1.c"
        var $9=HEAP[$8]; //@line 307 "t1.c"
        var $10=($9); //@line 307 "t1.c"
        HEAP[$0]=$10; //@line 307 "t1.c"
        __label__ = 2; break; //@line 307 "t1.c"
      case 1: // $bb1
        var $11=HEAP[$x_addr]; //@line 310 "t1.c"
        var $12=($11) & 127; //@line 310 "t1.c"
        var $13=CHECK_OVERFLOW((_lut_nmsedec_ref0+$12*2)&4294967295, 32); //@line 310 "t1.c"
        var $14=HEAP[$13]; //@line 310 "t1.c"
        var $15=($14); //@line 310 "t1.c"
        HEAP[$0]=$15; //@line 310 "t1.c"
        __label__ = 2; break; //@line 310 "t1.c"
      case 2: // $bb2
        var $16=HEAP[$0]; //@line 307 "t1.c"
        HEAP[$retval]=$16; //@line 307 "t1.c"
        __label__ = 3; break; //@line 307 "t1.c"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 307 "t1.c"
        var $retval34=((($retval3)) & 65535); //@line 307 "t1.c"
        STACKTOP = __stackBase__;
        return $retval34; //@line 307 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_updateflags($flagsp, $s, $stride) {
    var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 20);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $flagsp_addr=__stackBase__;
        var $s_addr=__stackBase__+4;
        var $stride_addr=__stackBase__+8;
        var $np=__stackBase__+12;
        var $sp=__stackBase__+16;
        var $_alloca_point_=0;
        HEAP[$flagsp_addr]=$flagsp;
        HEAP[$s_addr]=$s;
        HEAP[$stride_addr]=$stride;
        var $0=HEAP[$stride_addr]; //@line 314 "t1.c"
        var $1=CHECK_OVERFLOW((0 - ($0))&4294967295, 32); //@line 314 "t1.c"
        var $2=HEAP[$flagsp_addr]; //@line 314 "t1.c"
        var $3=CHECK_OVERFLOW(($2+2*$1)&4294967295, 32); //@line 314 "t1.c"
        HEAP[$np]=$3; //@line 314 "t1.c"
        var $4=HEAP[$flagsp_addr]; //@line 315 "t1.c"
        var $5=HEAP[$stride_addr]; //@line 315 "t1.c"
        var $6=CHECK_OVERFLOW(($4+2*$5)&4294967295, 32); //@line 315 "t1.c"
        HEAP[$sp]=$6; //@line 315 "t1.c"
        var $7=HEAP[$np]; //@line 324 "t1.c"
        var $8=CHECK_OVERFLOW(($7+-2)&4294967295, 32); //@line 324 "t1.c"
        var $9=HEAP[$8]; //@line 324 "t1.c"
        var $10=($9) | 2; //@line 324 "t1.c"
        var $11=HEAP[$np]; //@line 324 "t1.c"
        var $12=CHECK_OVERFLOW(($11+-2)&4294967295, 32); //@line 324 "t1.c"
        HEAP[$12]=$10; //@line 324 "t1.c"
        var $13=HEAP[$np]; //@line 325 "t1.c"
        var $14=CHECK_OVERFLOW(($13)&4294967295, 32); //@line 325 "t1.c"
        var $15=HEAP[$14]; //@line 325 "t1.c"
        var $16=HEAP[$s_addr]; //@line 325 "t1.c"
        var $17=CHECK_OVERFLOW((_mod_5300+$16*2)&4294967295, 32); //@line 325 "t1.c"
        var $18=HEAP[$17]; //@line 325 "t1.c"
        var $19=($15) | ($18); //@line 325 "t1.c"
        var $20=HEAP[$np]; //@line 325 "t1.c"
        var $21=CHECK_OVERFLOW(($20)&4294967295, 32); //@line 325 "t1.c"
        HEAP[$21]=$19; //@line 325 "t1.c"
        var $22=HEAP[$np]; //@line 326 "t1.c"
        var $23=CHECK_OVERFLOW(($22+2)&4294967295, 32); //@line 326 "t1.c"
        var $24=HEAP[$23]; //@line 326 "t1.c"
        var $25=($24) | 4; //@line 326 "t1.c"
        var $26=HEAP[$np]; //@line 326 "t1.c"
        var $27=CHECK_OVERFLOW(($26+2)&4294967295, 32); //@line 326 "t1.c"
        HEAP[$27]=$25; //@line 326 "t1.c"
        var $28=HEAP[$flagsp_addr]; //@line 328 "t1.c"
        var $29=CHECK_OVERFLOW(($28+-2)&4294967295, 32); //@line 328 "t1.c"
        var $30=HEAP[$29]; //@line 328 "t1.c"
        var $31=HEAP[$s_addr]; //@line 328 "t1.c"
        var $32=CHECK_OVERFLOW((($31) + 2)&4294967295, 32); //@line 328 "t1.c"
        var $33=CHECK_OVERFLOW((_mod_5300+$32*2)&4294967295, 32); //@line 328 "t1.c"
        var $34=HEAP[$33]; //@line 328 "t1.c"
        var $35=($30) | ($34); //@line 328 "t1.c"
        var $36=HEAP[$flagsp_addr]; //@line 328 "t1.c"
        var $37=CHECK_OVERFLOW(($36+-2)&4294967295, 32); //@line 328 "t1.c"
        HEAP[$37]=$35; //@line 328 "t1.c"
        var $38=HEAP[$flagsp_addr]; //@line 329 "t1.c"
        var $39=CHECK_OVERFLOW(($38)&4294967295, 32); //@line 329 "t1.c"
        var $40=HEAP[$39]; //@line 329 "t1.c"
        var $41=($40) | 4096; //@line 329 "t1.c"
        var $42=HEAP[$flagsp_addr]; //@line 329 "t1.c"
        var $43=CHECK_OVERFLOW(($42)&4294967295, 32); //@line 329 "t1.c"
        HEAP[$43]=$41; //@line 329 "t1.c"
        var $44=HEAP[$flagsp_addr]; //@line 330 "t1.c"
        var $45=CHECK_OVERFLOW(($44+2)&4294967295, 32); //@line 330 "t1.c"
        var $46=HEAP[$45]; //@line 330 "t1.c"
        var $47=HEAP[$s_addr]; //@line 330 "t1.c"
        var $48=CHECK_OVERFLOW((($47) + 4)&4294967295, 32); //@line 330 "t1.c"
        var $49=CHECK_OVERFLOW((_mod_5300+$48*2)&4294967295, 32); //@line 330 "t1.c"
        var $50=HEAP[$49]; //@line 330 "t1.c"
        var $51=($46) | ($50); //@line 330 "t1.c"
        var $52=HEAP[$flagsp_addr]; //@line 330 "t1.c"
        var $53=CHECK_OVERFLOW(($52+2)&4294967295, 32); //@line 330 "t1.c"
        HEAP[$53]=$51; //@line 330 "t1.c"
        var $54=HEAP[$sp]; //@line 332 "t1.c"
        var $55=CHECK_OVERFLOW(($54+-2)&4294967295, 32); //@line 332 "t1.c"
        var $56=HEAP[$55]; //@line 332 "t1.c"
        var $57=($56) | 1; //@line 332 "t1.c"
        var $58=HEAP[$sp]; //@line 332 "t1.c"
        var $59=CHECK_OVERFLOW(($58+-2)&4294967295, 32); //@line 332 "t1.c"
        HEAP[$59]=$57; //@line 332 "t1.c"
        var $60=HEAP[$sp]; //@line 333 "t1.c"
        var $61=CHECK_OVERFLOW(($60)&4294967295, 32); //@line 333 "t1.c"
        var $62=HEAP[$61]; //@line 333 "t1.c"
        var $63=HEAP[$s_addr]; //@line 333 "t1.c"
        var $64=CHECK_OVERFLOW((($63) + 6)&4294967295, 32); //@line 333 "t1.c"
        var $65=CHECK_OVERFLOW((_mod_5300+$64*2)&4294967295, 32); //@line 333 "t1.c"
        var $66=HEAP[$65]; //@line 333 "t1.c"
        var $67=($62) | ($66); //@line 333 "t1.c"
        var $68=HEAP[$sp]; //@line 333 "t1.c"
        var $69=CHECK_OVERFLOW(($68)&4294967295, 32); //@line 333 "t1.c"
        HEAP[$69]=$67; //@line 333 "t1.c"
        var $70=HEAP[$sp]; //@line 334 "t1.c"
        var $71=CHECK_OVERFLOW(($70+2)&4294967295, 32); //@line 334 "t1.c"
        var $72=HEAP[$71]; //@line 334 "t1.c"
        var $73=($72) | 8; //@line 334 "t1.c"
        var $74=HEAP[$sp]; //@line 334 "t1.c"
        var $75=CHECK_OVERFLOW(($74+2)&4294967295, 32); //@line 334 "t1.c"
        HEAP[$75]=$73; //@line 334 "t1.c"
        __label__ = 0; break; //@line 335 "t1.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 335 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_enc_sigpass_step($t1, $flagsp, $datap, $orient, $bpno, $one, $nmsedec, $type, $vsc) {
    var __stackBase__  = STACKTOP; STACKTOP += 49; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 49);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $flagsp_addr=__stackBase__+4;
        var $datap_addr=__stackBase__+8;
        var $orient_addr=__stackBase__+12;
        var $bpno_addr=__stackBase__+16;
        var $one_addr=__stackBase__+20;
        var $nmsedec_addr=__stackBase__+24;
        var $type_addr=__stackBase__+28;
        var $vsc_addr=__stackBase__+29;
        var $iftmp_3=__stackBase__+33;
        var $v=__stackBase__+37;
        var $flag=__stackBase__+41;
        var $mqc=__stackBase__+45;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$flagsp_addr]=$flagsp;
        HEAP[$datap_addr]=$datap;
        HEAP[$orient_addr]=$orient;
        HEAP[$bpno_addr]=$bpno;
        HEAP[$one_addr]=$one;
        HEAP[$nmsedec_addr]=$nmsedec;
        HEAP[$type_addr]=$type;
        HEAP[$vsc_addr]=$vsc;
        var $0=HEAP[$t1_addr]; //@line 350 "t1.c"
        var $1=CHECK_OVERFLOW(($0+4)&4294967295, 32); //@line 350 "t1.c"
        var $2=HEAP[$1]; //@line 350 "t1.c"
        HEAP[$mqc]=$2; //@line 350 "t1.c"
        var $3=HEAP[$vsc_addr]; //@line 352 "t1.c"
        var $4=($3)!=0; //@line 352 "t1.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 352 "t1.c"
      case 0: // $bb
        var $5=HEAP[$flagsp_addr]; //@line 352 "t1.c"
        var $6=HEAP[$5]; //@line 352 "t1.c"
        var $7=($6) & -1095; //@line 352 "t1.c"
        var $8=($7); //@line 352 "t1.c"
        HEAP[$iftmp_3]=$8; //@line 352 "t1.c"
        __label__ = 2; break; //@line 352 "t1.c"
      case 1: // $bb1
        var $9=HEAP[$flagsp_addr]; //@line 352 "t1.c"
        var $10=HEAP[$9]; //@line 352 "t1.c"
        var $11=($10); //@line 352 "t1.c"
        HEAP[$iftmp_3]=$11; //@line 352 "t1.c"
        __label__ = 2; break; //@line 352 "t1.c"
      case 2: // $bb2
        var $12=HEAP[$iftmp_3]; //@line 352 "t1.c"
        HEAP[$flag]=$12; //@line 352 "t1.c"
        var $13=HEAP[$flag]; //@line 353 "t1.c"
        var $14=($13) & 255; //@line 353 "t1.c"
        var $15=($14)!=0; //@line 353 "t1.c"
        if ($15) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 353 "t1.c"
      case 3: // $bb3
        var $16=HEAP[$flag]; //@line 353 "t1.c"
        var $17=($16) & 20480; //@line 353 "t1.c"
        var $18=($17)==0; //@line 353 "t1.c"
        if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 353 "t1.c"
      case 5: // $bb4
        var $19=HEAP[$datap_addr]; //@line 354 "t1.c"
        var $20=HEAP[$19]; //@line 354 "t1.c"
        var $21=_int_abs($20); //@line 354 "t1.c"
        var $22=HEAP[$one_addr]; //@line 354 "t1.c"
        var $23=($21) & ($22); //@line 354 "t1.c"
        var $24=($23)!=0; //@line 354 "t1.c"
        var $25=($24); //@line 354 "t1.c"
        HEAP[$v]=$25; //@line 354 "t1.c"
        var $26=HEAP[$flag]; //@line 355 "t1.c"
        var $27=HEAP[$orient_addr]; //@line 355 "t1.c"
        var $28=_t1_getctxno_zc($26, $27); //@line 355 "t1.c"
        var $29=($28); //@line 355 "t1.c"
        var $30=HEAP[$mqc]; //@line 355 "t1.c"
        var $31=CHECK_OVERFLOW(($30+24)&4294967295, 32); //@line 355 "t1.c"
        var $32=CHECK_OVERFLOW(($31+$29*4)&4294967295, 32); //@line 355 "t1.c"
        var $33=HEAP[$mqc]; //@line 355 "t1.c"
        var $34=CHECK_OVERFLOW(($33+100)&4294967295, 32); //@line 355 "t1.c"
        HEAP[$34]=$32; //@line 355 "t1.c"
        var $35=HEAP[$type_addr]; //@line 356 "t1.c"
        var $36=($35)==1; //@line 356 "t1.c"
        if ($36) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 356 "t1.c"
      case 6: // $bb5
        var $37=HEAP[$mqc]; //@line 357 "t1.c"
        var $38=HEAP[$v]; //@line 357 "t1.c"
        _mqc_bypass_enc($37, $38); //@line 357 "t1.c"
        __label__ = 8; break; //@line 357 "t1.c"
      case 7: // $bb6
        var $39=HEAP[$mqc]; //@line 359 "t1.c"
        var $40=HEAP[$v]; //@line 359 "t1.c"
        _mqc_encode($39, $40); //@line 359 "t1.c"
        __label__ = 8; break; //@line 359 "t1.c"
      case 8: // $bb7
        var $41=HEAP[$v]; //@line 361 "t1.c"
        var $42=($41)!=0; //@line 361 "t1.c"
        if ($42) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 361 "t1.c"
      case 9: // $bb8
        var $43=HEAP[$datap_addr]; //@line 362 "t1.c"
        var $44=HEAP[$43]; //@line 362 "t1.c"
        var $45=($44) < 0; //@line 362 "t1.c"
        var $46=($45); //@line 362 "t1.c"
        HEAP[$v]=$46; //@line 362 "t1.c"
        var $47=HEAP[$nmsedec_addr]; //@line 363 "t1.c"
        var $48=HEAP[$47]; //@line 363 "t1.c"
        var $49=HEAP[$bpno_addr]; //@line 363 "t1.c"
        var $50=CHECK_OVERFLOW((($49) + 6)&4294967295, 32); //@line 363 "t1.c"
        var $51=HEAP[$datap_addr]; //@line 363 "t1.c"
        var $52=HEAP[$51]; //@line 363 "t1.c"
        var $53=_int_abs($52); //@line 363 "t1.c"
        var $54=_t1_getnmsedec_sig($53, $50); //@line 363 "t1.c"
        var $55=($54); //@line 363 "t1.c"
        var $56=CHECK_OVERFLOW((($48) + ($55))&4294967295, 32); //@line 363 "t1.c"
        var $57=HEAP[$nmsedec_addr]; //@line 363 "t1.c"
        HEAP[$57]=$56; //@line 363 "t1.c"
        var $58=HEAP[$flag]; //@line 364 "t1.c"
        var $59=_t1_getctxno_sc($58); //@line 364 "t1.c"
        var $60=($59); //@line 364 "t1.c"
        var $61=HEAP[$mqc]; //@line 364 "t1.c"
        var $62=CHECK_OVERFLOW(($61+24)&4294967295, 32); //@line 364 "t1.c"
        var $63=CHECK_OVERFLOW(($62+$60*4)&4294967295, 32); //@line 364 "t1.c"
        var $64=HEAP[$mqc]; //@line 364 "t1.c"
        var $65=CHECK_OVERFLOW(($64+100)&4294967295, 32); //@line 364 "t1.c"
        HEAP[$65]=$63; //@line 364 "t1.c"
        var $66=HEAP[$type_addr]; //@line 365 "t1.c"
        var $67=($66)==1; //@line 365 "t1.c"
        if ($67) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 365 "t1.c"
      case 11: // $bb9
        var $68=HEAP[$mqc]; //@line 366 "t1.c"
        var $69=HEAP[$v]; //@line 366 "t1.c"
        _mqc_bypass_enc($68, $69); //@line 366 "t1.c"
        __label__ = 13; break; //@line 366 "t1.c"
      case 12: // $bb10
        var $70=HEAP[$flag]; //@line 368 "t1.c"
        var $71=_t1_getspb($70); //@line 368 "t1.c"
        var $72=($71); //@line 368 "t1.c"
        var $73=HEAP[$v]; //@line 368 "t1.c"
        var $74=($72) ^ ($73); //@line 368 "t1.c"
        var $75=HEAP[$mqc]; //@line 368 "t1.c"
        _mqc_encode($75, $74); //@line 368 "t1.c"
        __label__ = 13; break; //@line 368 "t1.c"
      case 13: // $bb11
        var $76=HEAP[$t1_addr]; //@line 370 "t1.c"
        var $77=CHECK_OVERFLOW(($76+36)&4294967295, 32); //@line 370 "t1.c"
        var $78=HEAP[$77]; //@line 370 "t1.c"
        var $79=HEAP[$flagsp_addr]; //@line 370 "t1.c"
        var $80=HEAP[$v]; //@line 370 "t1.c"
        _t1_updateflags($79, $80, $78); //@line 370 "t1.c"
        __label__ = 10; break; //@line 370 "t1.c"
      case 10: // $bb12
        var $81=HEAP[$flagsp_addr]; //@line 372 "t1.c"
        var $82=HEAP[$81]; //@line 372 "t1.c"
        var $83=($82) | 16384; //@line 372 "t1.c"
        var $84=HEAP[$flagsp_addr]; //@line 372 "t1.c"
        HEAP[$84]=$83; //@line 372 "t1.c"
        __label__ = 4; break; //@line 372 "t1.c"
      case 4: // $bb13
        __label__ = 14; break; //@line 374 "t1.c"
      case 14: // $return
        STACKTOP = __stackBase__;
        return; //@line 374 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_abs($a) {
    var __stackBase__  = STACKTOP; STACKTOP += 12; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 12);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        var $1=HEAP[$a_addr]; //@line 80 "int.h"
        var $neg=CHECK_OVERFLOW((0 - ($1))&4294967295, 32); //@line 80 "int.h"
        var $abscond=($1) >= 0; //@line 80 "int.h"
        var $abs=($abscond) ? ($1) : ($neg); //@line 80 "int.h"
        HEAP[$0]=$abs; //@line 80 "int.h"
        var $2=HEAP[$0]; //@line 80 "int.h"
        HEAP[$retval]=$2; //@line 80 "int.h"
        __label__ = 0; break; //@line 80 "int.h"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 80 "int.h"
        STACKTOP = __stackBase__;
        return $retval1; //@line 80 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_getctxno_zc($f, $orient) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $f_addr=__stackBase__;
        var $orient_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$f_addr]=$f;
        HEAP[$orient_addr]=$orient;
        var $1=HEAP[$orient_addr]; //@line 280 "t1.c"
        var $2=($1) << 8; //@line 280 "t1.c"
        var $3=HEAP[$f_addr]; //@line 280 "t1.c"
        var $4=($3) & 255; //@line 280 "t1.c"
        var $5=($2) | ($4); //@line 280 "t1.c"
        var $6=CHECK_OVERFLOW((_lut_ctxno_zc+$5)&4294967295, 32); //@line 280 "t1.c"
        var $7=HEAP[$6]; //@line 280 "t1.c"
        var $8=($7); //@line 280 "t1.c"
        HEAP[$0]=$8; //@line 280 "t1.c"
        var $9=HEAP[$0]; //@line 280 "t1.c"
        HEAP[$retval]=$9; //@line 280 "t1.c"
        __label__ = 0; break; //@line 280 "t1.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 280 "t1.c"
        var $retval12=((($retval1)) & 255); //@line 280 "t1.c"
        STACKTOP = __stackBase__;
        return $retval12; //@line 280 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_enc_sigpass($t1, $bpno, $orient, $nmsedec, $type, $cblksty) {
    var __stackBase__  = STACKTOP; STACKTOP += 45; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 45);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $bpno_addr=__stackBase__+4;
        var $orient_addr=__stackBase__+8;
        var $nmsedec_addr=__stackBase__+12;
        var $type_addr=__stackBase__+16;
        var $cblksty_addr=__stackBase__+17;
        var $iftmp_9=__stackBase__+21;
        var $i=__stackBase__+25;
        var $j=__stackBase__+29;
        var $k=__stackBase__+33;
        var $one=__stackBase__+37;
        var $vsc=__stackBase__+41;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$bpno_addr]=$bpno;
        HEAP[$orient_addr]=$orient;
        HEAP[$nmsedec_addr]=$nmsedec;
        HEAP[$type_addr]=$type;
        HEAP[$cblksty_addr]=$cblksty;
        var $0=HEAP[$nmsedec_addr]; //@line 457 "t1.c"
        HEAP[$0]=0; //@line 457 "t1.c"
        var $1=HEAP[$bpno_addr]; //@line 458 "t1.c"
        var $2=CHECK_OVERFLOW((($1) + 6)&4294967295, 32); //@line 458 "t1.c"
        var $3=1 << ($2); //@line 458 "t1.c"
        HEAP[$one]=$3; //@line 458 "t1.c"
        HEAP[$k]=0; //@line 459 "t1.c"
        __label__ = 0; break; //@line 459 "t1.c"
      case 13: // $bb
        HEAP[$i]=0; //@line 460 "t1.c"
        __label__ = 1; break; //@line 460 "t1.c"
      case 11: // $bb1
        var $4=HEAP[$k]; //@line 461 "t1.c"
        HEAP[$j]=$4; //@line 461 "t1.c"
        __label__ = 2; break; //@line 461 "t1.c"
      case 10: // $bb2
        var $5=HEAP[$cblksty_addr]; //@line 462 "t1.c"
        var $6=($5) & 8; //@line 462 "t1.c"
        var $7=($6)==0; //@line 462 "t1.c"
        if ($7) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 462 "t1.c"
      case 4: // $bb3
        var $8=HEAP[$k]; //@line 462 "t1.c"
        var $9=CHECK_OVERFLOW((($8) + 3)&4294967295, 32); //@line 462 "t1.c"
        var $10=HEAP[$j]; //@line 462 "t1.c"
        var $11=($9)==($10); //@line 462 "t1.c"
        if ($11) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 462 "t1.c"
      case 6: // $bb4
        var $12=HEAP[$t1_addr]; //@line 462 "t1.c"
        var $13=CHECK_OVERFLOW(($12+24)&4294967295, 32); //@line 462 "t1.c"
        var $14=HEAP[$13]; //@line 462 "t1.c"
        var $15=CHECK_OVERFLOW((($14) - 1)&4294967295, 32); //@line 462 "t1.c"
        var $16=HEAP[$j]; //@line 462 "t1.c"
        var $17=($15)==($16); //@line 462 "t1.c"
        if ($17) { __label__ = 5; break; } else { __label__ = 3; break; } //@line 462 "t1.c"
      case 5: // $bb5
        HEAP[$iftmp_9]=1; //@line 462 "t1.c"
        __label__ = 7; break; //@line 462 "t1.c"
      case 3: // $bb6
        HEAP[$iftmp_9]=0; //@line 462 "t1.c"
        __label__ = 7; break; //@line 462 "t1.c"
      case 7: // $bb7
        var $18=HEAP[$iftmp_9]; //@line 462 "t1.c"
        HEAP[$vsc]=$18; //@line 462 "t1.c"
        var $19=HEAP[$type_addr]; //@line 463 "t1.c"
        var $20=($19); //@line 463 "t1.c"
        var $21=HEAP[$t1_addr]; //@line 463 "t1.c"
        var $22=CHECK_OVERFLOW(($21+12)&4294967295, 32); //@line 463 "t1.c"
        var $23=HEAP[$22]; //@line 463 "t1.c"
        var $24=HEAP[$t1_addr]; //@line 463 "t1.c"
        var $25=CHECK_OVERFLOW(($24+20)&4294967295, 32); //@line 463 "t1.c"
        var $26=HEAP[$25]; //@line 463 "t1.c"
        var $27=HEAP[$j]; //@line 463 "t1.c"
        var $28=CHECK_OVERFLOW((($26) * ($27))&4294967295, 32); //@line 463 "t1.c"
        var $29=HEAP[$i]; //@line 463 "t1.c"
        var $30=CHECK_OVERFLOW((($28) + ($29))&4294967295, 32); //@line 463 "t1.c"
        var $31=CHECK_OVERFLOW(($23+4*$30)&4294967295, 32); //@line 463 "t1.c"
        var $32=HEAP[$t1_addr]; //@line 463 "t1.c"
        var $33=CHECK_OVERFLOW(($32+16)&4294967295, 32); //@line 463 "t1.c"
        var $34=HEAP[$33]; //@line 463 "t1.c"
        var $35=HEAP[$j]; //@line 463 "t1.c"
        var $36=CHECK_OVERFLOW((($35) + 1)&4294967295, 32); //@line 463 "t1.c"
        var $37=HEAP[$t1_addr]; //@line 463 "t1.c"
        var $38=CHECK_OVERFLOW(($37+36)&4294967295, 32); //@line 463 "t1.c"
        var $39=HEAP[$38]; //@line 463 "t1.c"
        var $40=CHECK_OVERFLOW((($36) * ($39))&4294967295, 32); //@line 463 "t1.c"
        var $41=HEAP[$i]; //@line 463 "t1.c"
        var $42=CHECK_OVERFLOW((($40) + ($41))&4294967295, 32); //@line 463 "t1.c"
        var $43=CHECK_OVERFLOW((($42) + 1)&4294967295, 32); //@line 463 "t1.c"
        var $44=CHECK_OVERFLOW(($34+2*$43)&4294967295, 32); //@line 463 "t1.c"
        var $45=HEAP[$t1_addr]; //@line 463 "t1.c"
        var $46=HEAP[$orient_addr]; //@line 463 "t1.c"
        var $47=HEAP[$bpno_addr]; //@line 463 "t1.c"
        var $48=HEAP[$one]; //@line 463 "t1.c"
        var $49=HEAP[$nmsedec_addr]; //@line 463 "t1.c"
        var $50=((($20)) & 255); //@line 463 "t1.c"
        var $51=HEAP[$vsc]; //@line 463 "t1.c"
        _t1_enc_sigpass_step($45, $44, $31, $46, $47, $48, $49, $50, $51); //@line 463 "t1.c"
        var $52=HEAP[$j]; //@line 461 "t1.c"
        var $53=CHECK_OVERFLOW((($52) + 1)&4294967295, 32); //@line 461 "t1.c"
        HEAP[$j]=$53; //@line 461 "t1.c"
        __label__ = 2; break; //@line 461 "t1.c"
      case 2: // $bb8
        var $54=HEAP[$k]; //@line 461 "t1.c"
        var $55=CHECK_OVERFLOW((($54) + 4)&4294967295, 32); //@line 461 "t1.c"
        var $56=HEAP[$j]; //@line 461 "t1.c"
        var $57=($55) <= ($56); //@line 461 "t1.c"
        if ($57) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 461 "t1.c"
      case 9: // $bb9
        var $58=HEAP[$t1_addr]; //@line 461 "t1.c"
        var $59=CHECK_OVERFLOW(($58+24)&4294967295, 32); //@line 461 "t1.c"
        var $60=HEAP[$59]; //@line 461 "t1.c"
        var $61=HEAP[$j]; //@line 461 "t1.c"
        var $62=($60) > ($61); //@line 461 "t1.c"
        if ($62) { __label__ = 10; break; } else { __label__ = 8; break; } //@line 461 "t1.c"
      case 8: // $bb10
        var $63=HEAP[$i]; //@line 460 "t1.c"
        var $64=CHECK_OVERFLOW((($63) + 1)&4294967295, 32); //@line 460 "t1.c"
        HEAP[$i]=$64; //@line 460 "t1.c"
        __label__ = 1; break; //@line 460 "t1.c"
      case 1: // $bb11
        var $65=HEAP[$t1_addr]; //@line 460 "t1.c"
        var $66=CHECK_OVERFLOW(($65+20)&4294967295, 32); //@line 460 "t1.c"
        var $67=HEAP[$66]; //@line 460 "t1.c"
        var $68=HEAP[$i]; //@line 460 "t1.c"
        var $69=($67) > ($68); //@line 460 "t1.c"
        if ($69) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 460 "t1.c"
      case 12: // $bb12
        var $70=HEAP[$k]; //@line 459 "t1.c"
        var $71=CHECK_OVERFLOW((($70) + 4)&4294967295, 32); //@line 459 "t1.c"
        HEAP[$k]=$71; //@line 459 "t1.c"
        __label__ = 0; break; //@line 459 "t1.c"
      case 0: // $bb13
        var $72=HEAP[$t1_addr]; //@line 459 "t1.c"
        var $73=CHECK_OVERFLOW(($72+24)&4294967295, 32); //@line 459 "t1.c"
        var $74=HEAP[$73]; //@line 459 "t1.c"
        var $75=HEAP[$k]; //@line 459 "t1.c"
        var $76=($74) > ($75); //@line 459 "t1.c"
        if ($76) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 459 "t1.c"
      case 14: // $bb14
        __label__ = 15; break; //@line 476 "t1.c"
      case 15: // $return
        STACKTOP = __stackBase__;
        return; //@line 476 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_dec_sigpass_raw($t1, $bpno, $orient, $cblksty) {
    var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 48);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $bpno_addr=__stackBase__+4;
        var $orient_addr=__stackBase__+8;
        var $cblksty_addr=__stackBase__+12;
        var $iftmp_10=__stackBase__+16;
        var $i=__stackBase__+20;
        var $j=__stackBase__+24;
        var $k=__stackBase__+28;
        var $one=__stackBase__+32;
        var $half=__stackBase__+36;
        var $oneplushalf=__stackBase__+40;
        var $vsc=__stackBase__+44;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$bpno_addr]=$bpno;
        HEAP[$orient_addr]=$orient;
        HEAP[$cblksty_addr]=$cblksty;
        var $0=HEAP[$bpno_addr]; //@line 485 "t1.c"
        var $1=1 << ($0); //@line 485 "t1.c"
        HEAP[$one]=$1; //@line 485 "t1.c"
        var $2=HEAP[$one]; //@line 486 "t1.c"
        var $3=($2) >> 1; //@line 486 "t1.c"
        HEAP[$half]=$3; //@line 486 "t1.c"
        var $4=HEAP[$one]; //@line 487 "t1.c"
        var $5=HEAP[$half]; //@line 487 "t1.c"
        var $6=($4) | ($5); //@line 487 "t1.c"
        HEAP[$oneplushalf]=$6; //@line 487 "t1.c"
        HEAP[$k]=0; //@line 488 "t1.c"
        __label__ = 0; break; //@line 488 "t1.c"
      case 13: // $bb
        HEAP[$i]=0; //@line 489 "t1.c"
        __label__ = 1; break; //@line 489 "t1.c"
      case 11: // $bb1
        var $7=HEAP[$k]; //@line 490 "t1.c"
        HEAP[$j]=$7; //@line 490 "t1.c"
        __label__ = 2; break; //@line 490 "t1.c"
      case 10: // $bb2
        var $8=HEAP[$cblksty_addr]; //@line 491 "t1.c"
        var $9=($8) & 8; //@line 491 "t1.c"
        var $10=($9)==0; //@line 491 "t1.c"
        if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 491 "t1.c"
      case 4: // $bb3
        var $11=HEAP[$k]; //@line 491 "t1.c"
        var $12=CHECK_OVERFLOW((($11) + 3)&4294967295, 32); //@line 491 "t1.c"
        var $13=HEAP[$j]; //@line 491 "t1.c"
        var $14=($12)==($13); //@line 491 "t1.c"
        if ($14) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 491 "t1.c"
      case 6: // $bb4
        var $15=HEAP[$t1_addr]; //@line 491 "t1.c"
        var $16=CHECK_OVERFLOW(($15+24)&4294967295, 32); //@line 491 "t1.c"
        var $17=HEAP[$16]; //@line 491 "t1.c"
        var $18=CHECK_OVERFLOW((($17) - 1)&4294967295, 32); //@line 491 "t1.c"
        var $19=HEAP[$j]; //@line 491 "t1.c"
        var $20=($18)==($19); //@line 491 "t1.c"
        if ($20) { __label__ = 5; break; } else { __label__ = 3; break; } //@line 491 "t1.c"
      case 5: // $bb5
        HEAP[$iftmp_10]=1; //@line 491 "t1.c"
        __label__ = 7; break; //@line 491 "t1.c"
      case 3: // $bb6
        HEAP[$iftmp_10]=0; //@line 491 "t1.c"
        __label__ = 7; break; //@line 491 "t1.c"
      case 7: // $bb7
        var $21=HEAP[$iftmp_10]; //@line 491 "t1.c"
        HEAP[$vsc]=$21; //@line 491 "t1.c"
        var $22=HEAP[$t1_addr]; //@line 492 "t1.c"
        var $23=CHECK_OVERFLOW(($22+12)&4294967295, 32); //@line 492 "t1.c"
        var $24=HEAP[$23]; //@line 492 "t1.c"
        var $25=HEAP[$t1_addr]; //@line 492 "t1.c"
        var $26=CHECK_OVERFLOW(($25+20)&4294967295, 32); //@line 492 "t1.c"
        var $27=HEAP[$26]; //@line 492 "t1.c"
        var $28=HEAP[$j]; //@line 492 "t1.c"
        var $29=CHECK_OVERFLOW((($27) * ($28))&4294967295, 32); //@line 492 "t1.c"
        var $30=HEAP[$i]; //@line 492 "t1.c"
        var $31=CHECK_OVERFLOW((($29) + ($30))&4294967295, 32); //@line 492 "t1.c"
        var $32=CHECK_OVERFLOW(($24+4*$31)&4294967295, 32); //@line 492 "t1.c"
        var $33=HEAP[$t1_addr]; //@line 492 "t1.c"
        var $34=CHECK_OVERFLOW(($33+16)&4294967295, 32); //@line 492 "t1.c"
        var $35=HEAP[$34]; //@line 492 "t1.c"
        var $36=HEAP[$j]; //@line 492 "t1.c"
        var $37=CHECK_OVERFLOW((($36) + 1)&4294967295, 32); //@line 492 "t1.c"
        var $38=HEAP[$t1_addr]; //@line 492 "t1.c"
        var $39=CHECK_OVERFLOW(($38+36)&4294967295, 32); //@line 492 "t1.c"
        var $40=HEAP[$39]; //@line 492 "t1.c"
        var $41=CHECK_OVERFLOW((($37) * ($40))&4294967295, 32); //@line 492 "t1.c"
        var $42=HEAP[$i]; //@line 492 "t1.c"
        var $43=CHECK_OVERFLOW((($41) + ($42))&4294967295, 32); //@line 492 "t1.c"
        var $44=CHECK_OVERFLOW((($43) + 1)&4294967295, 32); //@line 492 "t1.c"
        var $45=CHECK_OVERFLOW(($35+2*$44)&4294967295, 32); //@line 492 "t1.c"
        var $46=HEAP[$t1_addr]; //@line 492 "t1.c"
        var $47=HEAP[$orient_addr]; //@line 492 "t1.c"
        var $48=HEAP[$oneplushalf]; //@line 492 "t1.c"
        var $49=HEAP[$vsc]; //@line 492 "t1.c"
        _t1_dec_sigpass_step_raw($46, $45, $32, $47, $48, $49); //@line 492 "t1.c"
        var $50=HEAP[$j]; //@line 490 "t1.c"
        var $51=CHECK_OVERFLOW((($50) + 1)&4294967295, 32); //@line 490 "t1.c"
        HEAP[$j]=$51; //@line 490 "t1.c"
        __label__ = 2; break; //@line 490 "t1.c"
      case 2: // $bb8
        var $52=HEAP[$k]; //@line 490 "t1.c"
        var $53=CHECK_OVERFLOW((($52) + 4)&4294967295, 32); //@line 490 "t1.c"
        var $54=HEAP[$j]; //@line 490 "t1.c"
        var $55=($53) <= ($54); //@line 490 "t1.c"
        if ($55) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 490 "t1.c"
      case 9: // $bb9
        var $56=HEAP[$t1_addr]; //@line 490 "t1.c"
        var $57=CHECK_OVERFLOW(($56+24)&4294967295, 32); //@line 490 "t1.c"
        var $58=HEAP[$57]; //@line 490 "t1.c"
        var $59=HEAP[$j]; //@line 490 "t1.c"
        var $60=($58) > ($59); //@line 490 "t1.c"
        if ($60) { __label__ = 10; break; } else { __label__ = 8; break; } //@line 490 "t1.c"
      case 8: // $bb10
        var $61=HEAP[$i]; //@line 489 "t1.c"
        var $62=CHECK_OVERFLOW((($61) + 1)&4294967295, 32); //@line 489 "t1.c"
        HEAP[$i]=$62; //@line 489 "t1.c"
        __label__ = 1; break; //@line 489 "t1.c"
      case 1: // $bb11
        var $63=HEAP[$t1_addr]; //@line 489 "t1.c"
        var $64=CHECK_OVERFLOW(($63+20)&4294967295, 32); //@line 489 "t1.c"
        var $65=HEAP[$64]; //@line 489 "t1.c"
        var $66=HEAP[$i]; //@line 489 "t1.c"
        var $67=($65) > ($66); //@line 489 "t1.c"
        if ($67) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 489 "t1.c"
      case 12: // $bb12
        var $68=HEAP[$k]; //@line 488 "t1.c"
        var $69=CHECK_OVERFLOW((($68) + 4)&4294967295, 32); //@line 488 "t1.c"
        HEAP[$k]=$69; //@line 488 "t1.c"
        __label__ = 0; break; //@line 488 "t1.c"
      case 0: // $bb13
        var $70=HEAP[$t1_addr]; //@line 488 "t1.c"
        var $71=CHECK_OVERFLOW(($70+24)&4294967295, 32); //@line 488 "t1.c"
        var $72=HEAP[$71]; //@line 488 "t1.c"
        var $73=HEAP[$k]; //@line 488 "t1.c"
        var $74=($72) > ($73); //@line 488 "t1.c"
        if ($74) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 488 "t1.c"
      case 14: // $bb14
        __label__ = 15; break; //@line 502 "t1.c"
      case 15: // $return
        STACKTOP = __stackBase__;
        return; //@line 502 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_dec_sigpass_step_raw($t1, $flagsp, $datap, $orient, $oneplushalf, $vsc) {
    var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 44);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $flagsp_addr=__stackBase__+4;
        var $datap_addr=__stackBase__+8;
        var $orient_addr=__stackBase__+12;
        var $oneplushalf_addr=__stackBase__+16;
        var $vsc_addr=__stackBase__+20;
        var $iftmp_5=__stackBase__+24;
        var $iftmp_4=__stackBase__+28;
        var $v=__stackBase__+32;
        var $flag=__stackBase__+36;
        var $raw=__stackBase__+40;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$flagsp_addr]=$flagsp;
        HEAP[$datap_addr]=$datap;
        HEAP[$orient_addr]=$orient;
        HEAP[$oneplushalf_addr]=$oneplushalf;
        HEAP[$vsc_addr]=$vsc;
        var $0=HEAP[$t1_addr]; //@line 386 "t1.c"
        var $1=CHECK_OVERFLOW(($0+8)&4294967295, 32); //@line 386 "t1.c"
        var $2=HEAP[$1]; //@line 386 "t1.c"
        HEAP[$raw]=$2; //@line 386 "t1.c"
        var $3=HEAP[$vsc_addr]; //@line 388 "t1.c"
        var $4=($3)!=0; //@line 388 "t1.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 388 "t1.c"
      case 0: // $bb
        var $5=HEAP[$flagsp_addr]; //@line 388 "t1.c"
        var $6=HEAP[$5]; //@line 388 "t1.c"
        var $7=($6) & -1095; //@line 388 "t1.c"
        var $8=($7); //@line 388 "t1.c"
        HEAP[$iftmp_4]=$8; //@line 388 "t1.c"
        __label__ = 2; break; //@line 388 "t1.c"
      case 1: // $bb1
        var $9=HEAP[$flagsp_addr]; //@line 388 "t1.c"
        var $10=HEAP[$9]; //@line 388 "t1.c"
        var $11=($10); //@line 388 "t1.c"
        HEAP[$iftmp_4]=$11; //@line 388 "t1.c"
        __label__ = 2; break; //@line 388 "t1.c"
      case 2: // $bb2
        var $12=HEAP[$iftmp_4]; //@line 388 "t1.c"
        HEAP[$flag]=$12; //@line 388 "t1.c"
        var $13=HEAP[$flag]; //@line 389 "t1.c"
        var $14=($13) & 255; //@line 389 "t1.c"
        var $15=($14)!=0; //@line 389 "t1.c"
        if ($15) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 389 "t1.c"
      case 3: // $bb3
        var $16=HEAP[$flag]; //@line 389 "t1.c"
        var $17=($16) & 20480; //@line 389 "t1.c"
        var $18=($17)==0; //@line 389 "t1.c"
        if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 389 "t1.c"
      case 5: // $bb4
        var $19=HEAP[$raw]; //@line 390 "t1.c"
        var $20=_raw_decode($19); //@line 390 "t1.c"
        var $21=($20)!=0; //@line 390 "t1.c"
        if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 390 "t1.c"
      case 6: // $bb5
        var $22=HEAP[$raw]; //@line 391 "t1.c"
        var $23=_raw_decode($22); //@line 391 "t1.c"
        HEAP[$v]=$23; //@line 391 "t1.c"
        var $24=HEAP[$v]; //@line 392 "t1.c"
        var $25=($24)!=0; //@line 392 "t1.c"
        if ($25) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 392 "t1.c"
      case 8: // $bb6
        var $26=HEAP[$oneplushalf_addr]; //@line 392 "t1.c"
        var $27=CHECK_OVERFLOW((0 - ($26))&4294967295, 32); //@line 392 "t1.c"
        HEAP[$iftmp_5]=$27; //@line 392 "t1.c"
        __label__ = 10; break; //@line 392 "t1.c"
      case 9: // $bb7
        var $28=HEAP[$oneplushalf_addr]; //@line 392 "t1.c"
        HEAP[$iftmp_5]=$28; //@line 392 "t1.c"
        __label__ = 10; break; //@line 392 "t1.c"
      case 10: // $bb8
        var $29=HEAP[$datap_addr]; //@line 392 "t1.c"
        var $30=HEAP[$iftmp_5]; //@line 392 "t1.c"
        HEAP[$29]=$30; //@line 392 "t1.c"
        var $31=HEAP[$t1_addr]; //@line 393 "t1.c"
        var $32=CHECK_OVERFLOW(($31+36)&4294967295, 32); //@line 393 "t1.c"
        var $33=HEAP[$32]; //@line 393 "t1.c"
        var $34=HEAP[$flagsp_addr]; //@line 393 "t1.c"
        var $35=HEAP[$v]; //@line 393 "t1.c"
        _t1_updateflags($34, $35, $33); //@line 393 "t1.c"
        __label__ = 7; break; //@line 393 "t1.c"
      case 7: // $bb9
        var $36=HEAP[$flagsp_addr]; //@line 395 "t1.c"
        var $37=HEAP[$36]; //@line 395 "t1.c"
        var $38=($37) | 16384; //@line 395 "t1.c"
        var $39=HEAP[$flagsp_addr]; //@line 395 "t1.c"
        HEAP[$39]=$38; //@line 395 "t1.c"
        __label__ = 4; break; //@line 395 "t1.c"
      case 4: // $bb10
        __label__ = 11; break; //@line 397 "t1.c"
      case 11: // $return
        STACKTOP = __stackBase__;
        return; //@line 397 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_dec_sigpass_mqc($t1, $bpno, $orient) {
    var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 60);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $bpno_addr=__stackBase__+4;
        var $orient_addr=__stackBase__+8;
        var $i=__stackBase__+12;
        var $j=__stackBase__+16;
        var $k=__stackBase__+20;
        var $one=__stackBase__+24;
        var $half=__stackBase__+28;
        var $oneplushalf=__stackBase__+32;
        var $data1=__stackBase__+36;
        var $flags1=__stackBase__+40;
        var $data2=__stackBase__+44;
        var $flags2=__stackBase__+48;
        var $data27=__stackBase__+52;
        var $flags28=__stackBase__+56;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$bpno_addr]=$bpno;
        HEAP[$orient_addr]=$orient;
        var $0=HEAP[$t1_addr]; //@line 510 "t1.c"
        var $1=CHECK_OVERFLOW(($0+12)&4294967295, 32); //@line 510 "t1.c"
        var $2=HEAP[$1]; //@line 510 "t1.c"
        HEAP[$data1]=$2; //@line 510 "t1.c"
        var $3=HEAP[$t1_addr]; //@line 511 "t1.c"
        var $4=CHECK_OVERFLOW(($3+16)&4294967295, 32); //@line 511 "t1.c"
        var $5=HEAP[$4]; //@line 511 "t1.c"
        var $6=CHECK_OVERFLOW(($5+2)&4294967295, 32); //@line 511 "t1.c"
        HEAP[$flags1]=$6; //@line 511 "t1.c"
        var $7=HEAP[$bpno_addr]; //@line 512 "t1.c"
        var $8=1 << ($7); //@line 512 "t1.c"
        HEAP[$one]=$8; //@line 512 "t1.c"
        var $9=HEAP[$one]; //@line 513 "t1.c"
        var $10=($9) >> 1; //@line 513 "t1.c"
        HEAP[$half]=$10; //@line 513 "t1.c"
        var $11=HEAP[$one]; //@line 514 "t1.c"
        var $12=HEAP[$half]; //@line 514 "t1.c"
        var $13=($11) | ($12); //@line 514 "t1.c"
        HEAP[$oneplushalf]=$13; //@line 514 "t1.c"
        HEAP[$k]=0; //@line 515 "t1.c"
        __label__ = 0; break; //@line 515 "t1.c"
      case 4: // $bb
        HEAP[$i]=0; //@line 516 "t1.c"
        __label__ = 1; break; //@line 516 "t1.c"
      case 2: // $bb1
        var $14=HEAP[$data1]; //@line 517 "t1.c"
        var $15=HEAP[$i]; //@line 517 "t1.c"
        var $16=CHECK_OVERFLOW(($14+4*$15)&4294967295, 32); //@line 517 "t1.c"
        HEAP[$data2]=$16; //@line 517 "t1.c"
        var $17=HEAP[$flags1]; //@line 518 "t1.c"
        var $18=HEAP[$i]; //@line 518 "t1.c"
        var $19=CHECK_OVERFLOW(($17+2*$18)&4294967295, 32); //@line 518 "t1.c"
        HEAP[$flags2]=$19; //@line 518 "t1.c"
        var $20=HEAP[$t1_addr]; //@line 519 "t1.c"
        var $21=CHECK_OVERFLOW(($20+36)&4294967295, 32); //@line 519 "t1.c"
        var $22=HEAP[$21]; //@line 519 "t1.c"
        var $23=HEAP[$flags2]; //@line 519 "t1.c"
        var $24=CHECK_OVERFLOW(($23+2*$22)&4294967295, 32); //@line 519 "t1.c"
        HEAP[$flags2]=$24; //@line 519 "t1.c"
        var $25=HEAP[$t1_addr]; //@line 520 "t1.c"
        var $26=HEAP[$flags2]; //@line 520 "t1.c"
        var $27=HEAP[$data2]; //@line 520 "t1.c"
        var $28=HEAP[$orient_addr]; //@line 520 "t1.c"
        var $29=HEAP[$oneplushalf]; //@line 520 "t1.c"
        _t1_dec_sigpass_step_mqc($25, $26, $27, $28, $29); //@line 520 "t1.c"
        var $30=HEAP[$t1_addr]; //@line 521 "t1.c"
        var $31=CHECK_OVERFLOW(($30+20)&4294967295, 32); //@line 521 "t1.c"
        var $32=HEAP[$31]; //@line 521 "t1.c"
        var $33=HEAP[$data2]; //@line 521 "t1.c"
        var $34=CHECK_OVERFLOW(($33+4*$32)&4294967295, 32); //@line 521 "t1.c"
        HEAP[$data2]=$34; //@line 521 "t1.c"
        var $35=HEAP[$t1_addr]; //@line 522 "t1.c"
        var $36=CHECK_OVERFLOW(($35+36)&4294967295, 32); //@line 522 "t1.c"
        var $37=HEAP[$36]; //@line 522 "t1.c"
        var $38=HEAP[$flags2]; //@line 522 "t1.c"
        var $39=CHECK_OVERFLOW(($38+2*$37)&4294967295, 32); //@line 522 "t1.c"
        HEAP[$flags2]=$39; //@line 522 "t1.c"
        var $40=HEAP[$t1_addr]; //@line 523 "t1.c"
        var $41=HEAP[$flags2]; //@line 523 "t1.c"
        var $42=HEAP[$data2]; //@line 523 "t1.c"
        var $43=HEAP[$orient_addr]; //@line 523 "t1.c"
        var $44=HEAP[$oneplushalf]; //@line 523 "t1.c"
        _t1_dec_sigpass_step_mqc($40, $41, $42, $43, $44); //@line 523 "t1.c"
        var $45=HEAP[$t1_addr]; //@line 524 "t1.c"
        var $46=CHECK_OVERFLOW(($45+20)&4294967295, 32); //@line 524 "t1.c"
        var $47=HEAP[$46]; //@line 524 "t1.c"
        var $48=HEAP[$data2]; //@line 524 "t1.c"
        var $49=CHECK_OVERFLOW(($48+4*$47)&4294967295, 32); //@line 524 "t1.c"
        HEAP[$data2]=$49; //@line 524 "t1.c"
        var $50=HEAP[$t1_addr]; //@line 525 "t1.c"
        var $51=CHECK_OVERFLOW(($50+36)&4294967295, 32); //@line 525 "t1.c"
        var $52=HEAP[$51]; //@line 525 "t1.c"
        var $53=HEAP[$flags2]; //@line 525 "t1.c"
        var $54=CHECK_OVERFLOW(($53+2*$52)&4294967295, 32); //@line 525 "t1.c"
        HEAP[$flags2]=$54; //@line 525 "t1.c"
        var $55=HEAP[$t1_addr]; //@line 526 "t1.c"
        var $56=HEAP[$flags2]; //@line 526 "t1.c"
        var $57=HEAP[$data2]; //@line 526 "t1.c"
        var $58=HEAP[$orient_addr]; //@line 526 "t1.c"
        var $59=HEAP[$oneplushalf]; //@line 526 "t1.c"
        _t1_dec_sigpass_step_mqc($55, $56, $57, $58, $59); //@line 526 "t1.c"
        var $60=HEAP[$t1_addr]; //@line 527 "t1.c"
        var $61=CHECK_OVERFLOW(($60+20)&4294967295, 32); //@line 527 "t1.c"
        var $62=HEAP[$61]; //@line 527 "t1.c"
        var $63=HEAP[$data2]; //@line 527 "t1.c"
        var $64=CHECK_OVERFLOW(($63+4*$62)&4294967295, 32); //@line 527 "t1.c"
        HEAP[$data2]=$64; //@line 527 "t1.c"
        var $65=HEAP[$t1_addr]; //@line 528 "t1.c"
        var $66=CHECK_OVERFLOW(($65+36)&4294967295, 32); //@line 528 "t1.c"
        var $67=HEAP[$66]; //@line 528 "t1.c"
        var $68=HEAP[$flags2]; //@line 528 "t1.c"
        var $69=CHECK_OVERFLOW(($68+2*$67)&4294967295, 32); //@line 528 "t1.c"
        HEAP[$flags2]=$69; //@line 528 "t1.c"
        var $70=HEAP[$t1_addr]; //@line 529 "t1.c"
        var $71=HEAP[$flags2]; //@line 529 "t1.c"
        var $72=HEAP[$data2]; //@line 529 "t1.c"
        var $73=HEAP[$orient_addr]; //@line 529 "t1.c"
        var $74=HEAP[$oneplushalf]; //@line 529 "t1.c"
        _t1_dec_sigpass_step_mqc($70, $71, $72, $73, $74); //@line 529 "t1.c"
        var $75=HEAP[$t1_addr]; //@line 530 "t1.c"
        var $76=CHECK_OVERFLOW(($75+20)&4294967295, 32); //@line 530 "t1.c"
        var $77=HEAP[$76]; //@line 530 "t1.c"
        var $78=HEAP[$data2]; //@line 530 "t1.c"
        var $79=CHECK_OVERFLOW(($78+4*$77)&4294967295, 32); //@line 530 "t1.c"
        HEAP[$data2]=$79; //@line 530 "t1.c"
        var $80=HEAP[$i]; //@line 516 "t1.c"
        var $81=CHECK_OVERFLOW((($80) + 1)&4294967295, 32); //@line 516 "t1.c"
        HEAP[$i]=$81; //@line 516 "t1.c"
        __label__ = 1; break; //@line 516 "t1.c"
      case 1: // $bb2
        var $82=HEAP[$t1_addr]; //@line 516 "t1.c"
        var $83=CHECK_OVERFLOW(($82+20)&4294967295, 32); //@line 516 "t1.c"
        var $84=HEAP[$83]; //@line 516 "t1.c"
        var $85=HEAP[$i]; //@line 516 "t1.c"
        var $86=($84) > ($85); //@line 516 "t1.c"
        if ($86) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 516 "t1.c"
      case 3: // $bb3
        var $87=HEAP[$t1_addr]; //@line 532 "t1.c"
        var $88=CHECK_OVERFLOW(($87+20)&4294967295, 32); //@line 532 "t1.c"
        var $89=HEAP[$88]; //@line 532 "t1.c"
        var $90=($89) << 2; //@line 532 "t1.c"
        var $91=HEAP[$data1]; //@line 532 "t1.c"
        var $92=CHECK_OVERFLOW(($91+4*$90)&4294967295, 32); //@line 532 "t1.c"
        HEAP[$data1]=$92; //@line 532 "t1.c"
        var $93=HEAP[$t1_addr]; //@line 533 "t1.c"
        var $94=CHECK_OVERFLOW(($93+36)&4294967295, 32); //@line 533 "t1.c"
        var $95=HEAP[$94]; //@line 533 "t1.c"
        var $96=($95) << 2; //@line 533 "t1.c"
        var $97=HEAP[$flags1]; //@line 533 "t1.c"
        var $98=CHECK_OVERFLOW(($97+2*$96)&4294967295, 32); //@line 533 "t1.c"
        HEAP[$flags1]=$98; //@line 533 "t1.c"
        var $99=HEAP[$k]; //@line 515 "t1.c"
        var $100=CHECK_OVERFLOW((($99) + 4)&4294967295, 32); //@line 515 "t1.c"
        HEAP[$k]=$100; //@line 515 "t1.c"
        __label__ = 0; break; //@line 515 "t1.c"
      case 0: // $bb4
        var $101=HEAP[$t1_addr]; //@line 515 "t1.c"
        var $102=CHECK_OVERFLOW(($101+24)&4294967295, 32); //@line 515 "t1.c"
        var $103=HEAP[$102]; //@line 515 "t1.c"
        var $104=($103) & -4; //@line 515 "t1.c"
        var $105=HEAP[$k]; //@line 515 "t1.c"
        var $106=($104) > ($105); //@line 515 "t1.c"
        if ($106) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 515 "t1.c"
      case 5: // $bb5
        HEAP[$i]=0; //@line 535 "t1.c"
        __label__ = 6; break; //@line 535 "t1.c"
      case 10: // $bb6
        var $107=HEAP[$data1]; //@line 536 "t1.c"
        var $108=HEAP[$i]; //@line 536 "t1.c"
        var $109=CHECK_OVERFLOW(($107+4*$108)&4294967295, 32); //@line 536 "t1.c"
        HEAP[$data27]=$109; //@line 536 "t1.c"
        var $110=HEAP[$flags1]; //@line 537 "t1.c"
        var $111=HEAP[$i]; //@line 537 "t1.c"
        var $112=CHECK_OVERFLOW(($110+2*$111)&4294967295, 32); //@line 537 "t1.c"
        HEAP[$flags28]=$112; //@line 537 "t1.c"
        var $113=HEAP[$k]; //@line 538 "t1.c"
        HEAP[$j]=$113; //@line 538 "t1.c"
        __label__ = 7; break; //@line 538 "t1.c"
      case 8: // $bb9
        var $114=HEAP[$t1_addr]; //@line 539 "t1.c"
        var $115=CHECK_OVERFLOW(($114+36)&4294967295, 32); //@line 539 "t1.c"
        var $116=HEAP[$115]; //@line 539 "t1.c"
        var $117=HEAP[$flags28]; //@line 539 "t1.c"
        var $118=CHECK_OVERFLOW(($117+2*$116)&4294967295, 32); //@line 539 "t1.c"
        HEAP[$flags28]=$118; //@line 539 "t1.c"
        var $119=HEAP[$t1_addr]; //@line 540 "t1.c"
        var $120=HEAP[$flags28]; //@line 540 "t1.c"
        var $121=HEAP[$data27]; //@line 540 "t1.c"
        var $122=HEAP[$orient_addr]; //@line 540 "t1.c"
        var $123=HEAP[$oneplushalf]; //@line 540 "t1.c"
        _t1_dec_sigpass_step_mqc($119, $120, $121, $122, $123); //@line 540 "t1.c"
        var $124=HEAP[$t1_addr]; //@line 541 "t1.c"
        var $125=CHECK_OVERFLOW(($124+20)&4294967295, 32); //@line 541 "t1.c"
        var $126=HEAP[$125]; //@line 541 "t1.c"
        var $127=HEAP[$data27]; //@line 541 "t1.c"
        var $128=CHECK_OVERFLOW(($127+4*$126)&4294967295, 32); //@line 541 "t1.c"
        HEAP[$data27]=$128; //@line 541 "t1.c"
        var $129=HEAP[$j]; //@line 538 "t1.c"
        var $130=CHECK_OVERFLOW((($129) + 1)&4294967295, 32); //@line 538 "t1.c"
        HEAP[$j]=$130; //@line 538 "t1.c"
        __label__ = 7; break; //@line 538 "t1.c"
      case 7: // $bb10
        var $131=HEAP[$t1_addr]; //@line 538 "t1.c"
        var $132=CHECK_OVERFLOW(($131+24)&4294967295, 32); //@line 538 "t1.c"
        var $133=HEAP[$132]; //@line 538 "t1.c"
        var $134=HEAP[$j]; //@line 538 "t1.c"
        var $135=($133) > ($134); //@line 538 "t1.c"
        if ($135) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 538 "t1.c"
      case 9: // $bb11
        var $136=HEAP[$i]; //@line 535 "t1.c"
        var $137=CHECK_OVERFLOW((($136) + 1)&4294967295, 32); //@line 535 "t1.c"
        HEAP[$i]=$137; //@line 535 "t1.c"
        __label__ = 6; break; //@line 535 "t1.c"
      case 6: // $bb12
        var $138=HEAP[$t1_addr]; //@line 535 "t1.c"
        var $139=CHECK_OVERFLOW(($138+20)&4294967295, 32); //@line 535 "t1.c"
        var $140=HEAP[$139]; //@line 535 "t1.c"
        var $141=HEAP[$i]; //@line 535 "t1.c"
        var $142=($140) > ($141); //@line 535 "t1.c"
        if ($142) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 535 "t1.c"
      case 11: // $bb13
        __label__ = 12; break; //@line 544 "t1.c"
      case 12: // $return
        STACKTOP = __stackBase__;
        return; //@line 544 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_dec_sigpass_step_mqc($t1, $flagsp, $datap, $orient, $oneplushalf) {
    var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 36);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $flagsp_addr=__stackBase__+4;
        var $datap_addr=__stackBase__+8;
        var $orient_addr=__stackBase__+12;
        var $oneplushalf_addr=__stackBase__+16;
        var $iftmp_6=__stackBase__+20;
        var $v=__stackBase__+24;
        var $flag=__stackBase__+28;
        var $mqc=__stackBase__+32;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$flagsp_addr]=$flagsp;
        HEAP[$datap_addr]=$datap;
        HEAP[$orient_addr]=$orient;
        HEAP[$oneplushalf_addr]=$oneplushalf;
        var $0=HEAP[$t1_addr]; //@line 408 "t1.c"
        var $1=CHECK_OVERFLOW(($0+4)&4294967295, 32); //@line 408 "t1.c"
        var $2=HEAP[$1]; //@line 408 "t1.c"
        HEAP[$mqc]=$2; //@line 408 "t1.c"
        var $3=HEAP[$flagsp_addr]; //@line 410 "t1.c"
        var $4=HEAP[$3]; //@line 410 "t1.c"
        var $5=($4); //@line 410 "t1.c"
        HEAP[$flag]=$5; //@line 410 "t1.c"
        var $6=HEAP[$flag]; //@line 411 "t1.c"
        var $7=($6) & 255; //@line 411 "t1.c"
        var $8=($7)!=0; //@line 411 "t1.c"
        if ($8) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 411 "t1.c"
      case 0: // $bb
        var $9=HEAP[$flag]; //@line 411 "t1.c"
        var $10=($9) & 20480; //@line 411 "t1.c"
        var $11=($10)==0; //@line 411 "t1.c"
        if ($11) { __label__ = 2; break; } else { __label__ = 1; break; } //@line 411 "t1.c"
      case 2: // $bb1
        var $12=HEAP[$flag]; //@line 412 "t1.c"
        var $13=HEAP[$orient_addr]; //@line 412 "t1.c"
        var $14=_t1_getctxno_zc($12, $13); //@line 412 "t1.c"
        var $15=($14); //@line 412 "t1.c"
        var $16=HEAP[$mqc]; //@line 412 "t1.c"
        var $17=CHECK_OVERFLOW(($16+24)&4294967295, 32); //@line 412 "t1.c"
        var $18=CHECK_OVERFLOW(($17+$15*4)&4294967295, 32); //@line 412 "t1.c"
        var $19=HEAP[$mqc]; //@line 412 "t1.c"
        var $20=CHECK_OVERFLOW(($19+100)&4294967295, 32); //@line 412 "t1.c"
        HEAP[$20]=$18; //@line 412 "t1.c"
        var $21=HEAP[$mqc]; //@line 413 "t1.c"
        var $22=_mqc_decode($21); //@line 413 "t1.c"
        var $23=($22)!=0; //@line 413 "t1.c"
        if ($23) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 413 "t1.c"
      case 3: // $bb2
        var $24=HEAP[$flag]; //@line 414 "t1.c"
        var $25=_t1_getctxno_sc($24); //@line 414 "t1.c"
        var $26=($25); //@line 414 "t1.c"
        var $27=HEAP[$mqc]; //@line 414 "t1.c"
        var $28=CHECK_OVERFLOW(($27+24)&4294967295, 32); //@line 414 "t1.c"
        var $29=CHECK_OVERFLOW(($28+$26*4)&4294967295, 32); //@line 414 "t1.c"
        var $30=HEAP[$mqc]; //@line 414 "t1.c"
        var $31=CHECK_OVERFLOW(($30+100)&4294967295, 32); //@line 414 "t1.c"
        HEAP[$31]=$29; //@line 414 "t1.c"
        var $32=HEAP[$mqc]; //@line 415 "t1.c"
        var $33=_mqc_decode($32); //@line 415 "t1.c"
        var $34=HEAP[$flag]; //@line 415 "t1.c"
        var $35=_t1_getspb($34); //@line 415 "t1.c"
        var $36=($35); //@line 415 "t1.c"
        var $37=($33) ^ ($36); //@line 415 "t1.c"
        HEAP[$v]=$37; //@line 415 "t1.c"
        var $38=HEAP[$v]; //@line 416 "t1.c"
        var $39=($38)!=0; //@line 416 "t1.c"
        if ($39) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 416 "t1.c"
      case 5: // $bb3
        var $40=HEAP[$oneplushalf_addr]; //@line 416 "t1.c"
        var $41=CHECK_OVERFLOW((0 - ($40))&4294967295, 32); //@line 416 "t1.c"
        HEAP[$iftmp_6]=$41; //@line 416 "t1.c"
        __label__ = 7; break; //@line 416 "t1.c"
      case 6: // $bb4
        var $42=HEAP[$oneplushalf_addr]; //@line 416 "t1.c"
        HEAP[$iftmp_6]=$42; //@line 416 "t1.c"
        __label__ = 7; break; //@line 416 "t1.c"
      case 7: // $bb5
        var $43=HEAP[$datap_addr]; //@line 416 "t1.c"
        var $44=HEAP[$iftmp_6]; //@line 416 "t1.c"
        HEAP[$43]=$44; //@line 416 "t1.c"
        var $45=HEAP[$t1_addr]; //@line 417 "t1.c"
        var $46=CHECK_OVERFLOW(($45+36)&4294967295, 32); //@line 417 "t1.c"
        var $47=HEAP[$46]; //@line 417 "t1.c"
        var $48=HEAP[$flagsp_addr]; //@line 417 "t1.c"
        var $49=HEAP[$v]; //@line 417 "t1.c"
        _t1_updateflags($48, $49, $47); //@line 417 "t1.c"
        __label__ = 4; break; //@line 417 "t1.c"
      case 4: // $bb6
        var $50=HEAP[$flagsp_addr]; //@line 419 "t1.c"
        var $51=HEAP[$50]; //@line 419 "t1.c"
        var $52=($51) | 16384; //@line 419 "t1.c"
        var $53=HEAP[$flagsp_addr]; //@line 419 "t1.c"
        HEAP[$53]=$52; //@line 419 "t1.c"
        __label__ = 1; break; //@line 419 "t1.c"
      case 1: // $bb7
        __label__ = 8; break; //@line 421 "t1.c"
      case 8: // $return
        STACKTOP = __stackBase__;
        return; //@line 421 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_dec_sigpass_mqc_vsc($t1, $bpno, $orient) {
    var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 44);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $bpno_addr=__stackBase__+4;
        var $orient_addr=__stackBase__+8;
        var $iftmp_11=__stackBase__+12;
        var $i=__stackBase__+16;
        var $j=__stackBase__+20;
        var $k=__stackBase__+24;
        var $one=__stackBase__+28;
        var $half=__stackBase__+32;
        var $oneplushalf=__stackBase__+36;
        var $vsc=__stackBase__+40;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$bpno_addr]=$bpno;
        HEAP[$orient_addr]=$orient;
        var $0=HEAP[$bpno_addr]; //@line 552 "t1.c"
        var $1=1 << ($0); //@line 552 "t1.c"
        HEAP[$one]=$1; //@line 552 "t1.c"
        var $2=HEAP[$one]; //@line 553 "t1.c"
        var $3=($2) >> 1; //@line 553 "t1.c"
        HEAP[$half]=$3; //@line 553 "t1.c"
        var $4=HEAP[$one]; //@line 554 "t1.c"
        var $5=HEAP[$half]; //@line 554 "t1.c"
        var $6=($4) | ($5); //@line 554 "t1.c"
        HEAP[$oneplushalf]=$6; //@line 554 "t1.c"
        HEAP[$k]=0; //@line 555 "t1.c"
        __label__ = 0; break; //@line 555 "t1.c"
      case 12: // $bb
        HEAP[$i]=0; //@line 556 "t1.c"
        __label__ = 1; break; //@line 556 "t1.c"
      case 10: // $bb1
        var $7=HEAP[$k]; //@line 557 "t1.c"
        HEAP[$j]=$7; //@line 557 "t1.c"
        __label__ = 2; break; //@line 557 "t1.c"
      case 9: // $bb2
        var $8=HEAP[$k]; //@line 558 "t1.c"
        var $9=CHECK_OVERFLOW((($8) + 3)&4294967295, 32); //@line 558 "t1.c"
        var $10=HEAP[$j]; //@line 558 "t1.c"
        var $11=($9)==($10); //@line 558 "t1.c"
        if ($11) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 558 "t1.c"
      case 4: // $bb3
        var $12=HEAP[$t1_addr]; //@line 558 "t1.c"
        var $13=CHECK_OVERFLOW(($12+24)&4294967295, 32); //@line 558 "t1.c"
        var $14=HEAP[$13]; //@line 558 "t1.c"
        var $15=CHECK_OVERFLOW((($14) - 1)&4294967295, 32); //@line 558 "t1.c"
        var $16=HEAP[$j]; //@line 558 "t1.c"
        var $17=($15)==($16); //@line 558 "t1.c"
        if ($17) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 558 "t1.c"
      case 3: // $bb4
        HEAP[$iftmp_11]=1; //@line 558 "t1.c"
        __label__ = 6; break; //@line 558 "t1.c"
      case 5: // $bb5
        HEAP[$iftmp_11]=0; //@line 558 "t1.c"
        __label__ = 6; break; //@line 558 "t1.c"
      case 6: // $bb6
        var $18=HEAP[$iftmp_11]; //@line 558 "t1.c"
        HEAP[$vsc]=$18; //@line 558 "t1.c"
        var $19=HEAP[$t1_addr]; //@line 559 "t1.c"
        var $20=CHECK_OVERFLOW(($19+12)&4294967295, 32); //@line 559 "t1.c"
        var $21=HEAP[$20]; //@line 559 "t1.c"
        var $22=HEAP[$t1_addr]; //@line 559 "t1.c"
        var $23=CHECK_OVERFLOW(($22+20)&4294967295, 32); //@line 559 "t1.c"
        var $24=HEAP[$23]; //@line 559 "t1.c"
        var $25=HEAP[$j]; //@line 559 "t1.c"
        var $26=CHECK_OVERFLOW((($24) * ($25))&4294967295, 32); //@line 559 "t1.c"
        var $27=HEAP[$i]; //@line 559 "t1.c"
        var $28=CHECK_OVERFLOW((($26) + ($27))&4294967295, 32); //@line 559 "t1.c"
        var $29=CHECK_OVERFLOW(($21+4*$28)&4294967295, 32); //@line 559 "t1.c"
        var $30=HEAP[$t1_addr]; //@line 559 "t1.c"
        var $31=CHECK_OVERFLOW(($30+16)&4294967295, 32); //@line 559 "t1.c"
        var $32=HEAP[$31]; //@line 559 "t1.c"
        var $33=HEAP[$j]; //@line 559 "t1.c"
        var $34=CHECK_OVERFLOW((($33) + 1)&4294967295, 32); //@line 559 "t1.c"
        var $35=HEAP[$t1_addr]; //@line 559 "t1.c"
        var $36=CHECK_OVERFLOW(($35+36)&4294967295, 32); //@line 559 "t1.c"
        var $37=HEAP[$36]; //@line 559 "t1.c"
        var $38=CHECK_OVERFLOW((($34) * ($37))&4294967295, 32); //@line 559 "t1.c"
        var $39=HEAP[$i]; //@line 559 "t1.c"
        var $40=CHECK_OVERFLOW((($38) + ($39))&4294967295, 32); //@line 559 "t1.c"
        var $41=CHECK_OVERFLOW((($40) + 1)&4294967295, 32); //@line 559 "t1.c"
        var $42=CHECK_OVERFLOW(($32+2*$41)&4294967295, 32); //@line 559 "t1.c"
        var $43=HEAP[$t1_addr]; //@line 559 "t1.c"
        var $44=HEAP[$orient_addr]; //@line 559 "t1.c"
        var $45=HEAP[$oneplushalf]; //@line 559 "t1.c"
        var $46=HEAP[$vsc]; //@line 559 "t1.c"
        _t1_dec_sigpass_step_mqc_vsc($43, $42, $29, $44, $45, $46); //@line 559 "t1.c"
        var $47=HEAP[$j]; //@line 557 "t1.c"
        var $48=CHECK_OVERFLOW((($47) + 1)&4294967295, 32); //@line 557 "t1.c"
        HEAP[$j]=$48; //@line 557 "t1.c"
        __label__ = 2; break; //@line 557 "t1.c"
      case 2: // $bb7
        var $49=HEAP[$k]; //@line 557 "t1.c"
        var $50=CHECK_OVERFLOW((($49) + 4)&4294967295, 32); //@line 557 "t1.c"
        var $51=HEAP[$j]; //@line 557 "t1.c"
        var $52=($50) <= ($51); //@line 557 "t1.c"
        if ($52) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 557 "t1.c"
      case 8: // $bb8
        var $53=HEAP[$t1_addr]; //@line 557 "t1.c"
        var $54=CHECK_OVERFLOW(($53+24)&4294967295, 32); //@line 557 "t1.c"
        var $55=HEAP[$54]; //@line 557 "t1.c"
        var $56=HEAP[$j]; //@line 557 "t1.c"
        var $57=($55) > ($56); //@line 557 "t1.c"
        if ($57) { __label__ = 9; break; } else { __label__ = 7; break; } //@line 557 "t1.c"
      case 7: // $bb9
        var $58=HEAP[$i]; //@line 556 "t1.c"
        var $59=CHECK_OVERFLOW((($58) + 1)&4294967295, 32); //@line 556 "t1.c"
        HEAP[$i]=$59; //@line 556 "t1.c"
        __label__ = 1; break; //@line 556 "t1.c"
      case 1: // $bb10
        var $60=HEAP[$t1_addr]; //@line 556 "t1.c"
        var $61=CHECK_OVERFLOW(($60+20)&4294967295, 32); //@line 556 "t1.c"
        var $62=HEAP[$61]; //@line 556 "t1.c"
        var $63=HEAP[$i]; //@line 556 "t1.c"
        var $64=($62) > ($63); //@line 556 "t1.c"
        if ($64) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 556 "t1.c"
      case 11: // $bb11
        var $65=HEAP[$k]; //@line 555 "t1.c"
        var $66=CHECK_OVERFLOW((($65) + 4)&4294967295, 32); //@line 555 "t1.c"
        HEAP[$k]=$66; //@line 555 "t1.c"
        __label__ = 0; break; //@line 555 "t1.c"
      case 0: // $bb12
        var $67=HEAP[$t1_addr]; //@line 555 "t1.c"
        var $68=CHECK_OVERFLOW(($67+24)&4294967295, 32); //@line 555 "t1.c"
        var $69=HEAP[$68]; //@line 555 "t1.c"
        var $70=HEAP[$k]; //@line 555 "t1.c"
        var $71=($69) > ($70); //@line 555 "t1.c"
        if ($71) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 555 "t1.c"
      case 13: // $bb13
        __label__ = 14; break; //@line 569 "t1.c"
      case 14: // $return
        STACKTOP = __stackBase__;
        return; //@line 569 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_dec_sigpass_step_mqc_vsc($t1, $flagsp, $datap, $orient, $oneplushalf, $vsc) {
    var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 44);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $flagsp_addr=__stackBase__+4;
        var $datap_addr=__stackBase__+8;
        var $orient_addr=__stackBase__+12;
        var $oneplushalf_addr=__stackBase__+16;
        var $vsc_addr=__stackBase__+20;
        var $iftmp_8=__stackBase__+24;
        var $iftmp_7=__stackBase__+28;
        var $v=__stackBase__+32;
        var $flag=__stackBase__+36;
        var $mqc=__stackBase__+40;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$flagsp_addr]=$flagsp;
        HEAP[$datap_addr]=$datap;
        HEAP[$orient_addr]=$orient;
        HEAP[$oneplushalf_addr]=$oneplushalf;
        HEAP[$vsc_addr]=$vsc;
        var $0=HEAP[$t1_addr]; //@line 433 "t1.c"
        var $1=CHECK_OVERFLOW(($0+4)&4294967295, 32); //@line 433 "t1.c"
        var $2=HEAP[$1]; //@line 433 "t1.c"
        HEAP[$mqc]=$2; //@line 433 "t1.c"
        var $3=HEAP[$vsc_addr]; //@line 435 "t1.c"
        var $4=($3)!=0; //@line 435 "t1.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 435 "t1.c"
      case 0: // $bb
        var $5=HEAP[$flagsp_addr]; //@line 435 "t1.c"
        var $6=HEAP[$5]; //@line 435 "t1.c"
        var $7=($6) & -1095; //@line 435 "t1.c"
        var $8=($7); //@line 435 "t1.c"
        HEAP[$iftmp_7]=$8; //@line 435 "t1.c"
        __label__ = 2; break; //@line 435 "t1.c"
      case 1: // $bb1
        var $9=HEAP[$flagsp_addr]; //@line 435 "t1.c"
        var $10=HEAP[$9]; //@line 435 "t1.c"
        var $11=($10); //@line 435 "t1.c"
        HEAP[$iftmp_7]=$11; //@line 435 "t1.c"
        __label__ = 2; break; //@line 435 "t1.c"
      case 2: // $bb2
        var $12=HEAP[$iftmp_7]; //@line 435 "t1.c"
        HEAP[$flag]=$12; //@line 435 "t1.c"
        var $13=HEAP[$flag]; //@line 436 "t1.c"
        var $14=($13) & 255; //@line 436 "t1.c"
        var $15=($14)!=0; //@line 436 "t1.c"
        if ($15) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 436 "t1.c"
      case 3: // $bb3
        var $16=HEAP[$flag]; //@line 436 "t1.c"
        var $17=($16) & 20480; //@line 436 "t1.c"
        var $18=($17)==0; //@line 436 "t1.c"
        if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 436 "t1.c"
      case 5: // $bb4
        var $19=HEAP[$flag]; //@line 437 "t1.c"
        var $20=HEAP[$orient_addr]; //@line 437 "t1.c"
        var $21=_t1_getctxno_zc($19, $20); //@line 437 "t1.c"
        var $22=($21); //@line 437 "t1.c"
        var $23=HEAP[$mqc]; //@line 437 "t1.c"
        var $24=CHECK_OVERFLOW(($23+24)&4294967295, 32); //@line 437 "t1.c"
        var $25=CHECK_OVERFLOW(($24+$22*4)&4294967295, 32); //@line 437 "t1.c"
        var $26=HEAP[$mqc]; //@line 437 "t1.c"
        var $27=CHECK_OVERFLOW(($26+100)&4294967295, 32); //@line 437 "t1.c"
        HEAP[$27]=$25; //@line 437 "t1.c"
        var $28=HEAP[$mqc]; //@line 438 "t1.c"
        var $29=_mqc_decode($28); //@line 438 "t1.c"
        var $30=($29)!=0; //@line 438 "t1.c"
        if ($30) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 438 "t1.c"
      case 6: // $bb5
        var $31=HEAP[$flag]; //@line 439 "t1.c"
        var $32=_t1_getctxno_sc($31); //@line 439 "t1.c"
        var $33=($32); //@line 439 "t1.c"
        var $34=HEAP[$mqc]; //@line 439 "t1.c"
        var $35=CHECK_OVERFLOW(($34+24)&4294967295, 32); //@line 439 "t1.c"
        var $36=CHECK_OVERFLOW(($35+$33*4)&4294967295, 32); //@line 439 "t1.c"
        var $37=HEAP[$mqc]; //@line 439 "t1.c"
        var $38=CHECK_OVERFLOW(($37+100)&4294967295, 32); //@line 439 "t1.c"
        HEAP[$38]=$36; //@line 439 "t1.c"
        var $39=HEAP[$mqc]; //@line 440 "t1.c"
        var $40=_mqc_decode($39); //@line 440 "t1.c"
        var $41=HEAP[$flag]; //@line 440 "t1.c"
        var $42=_t1_getspb($41); //@line 440 "t1.c"
        var $43=($42); //@line 440 "t1.c"
        var $44=($40) ^ ($43); //@line 440 "t1.c"
        HEAP[$v]=$44; //@line 440 "t1.c"
        var $45=HEAP[$v]; //@line 441 "t1.c"
        var $46=($45)!=0; //@line 441 "t1.c"
        if ($46) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 441 "t1.c"
      case 8: // $bb6
        var $47=HEAP[$oneplushalf_addr]; //@line 441 "t1.c"
        var $48=CHECK_OVERFLOW((0 - ($47))&4294967295, 32); //@line 441 "t1.c"
        HEAP[$iftmp_8]=$48; //@line 441 "t1.c"
        __label__ = 10; break; //@line 441 "t1.c"
      case 9: // $bb7
        var $49=HEAP[$oneplushalf_addr]; //@line 441 "t1.c"
        HEAP[$iftmp_8]=$49; //@line 441 "t1.c"
        __label__ = 10; break; //@line 441 "t1.c"
      case 10: // $bb8
        var $50=HEAP[$datap_addr]; //@line 441 "t1.c"
        var $51=HEAP[$iftmp_8]; //@line 441 "t1.c"
        HEAP[$50]=$51; //@line 441 "t1.c"
        var $52=HEAP[$t1_addr]; //@line 442 "t1.c"
        var $53=CHECK_OVERFLOW(($52+36)&4294967295, 32); //@line 442 "t1.c"
        var $54=HEAP[$53]; //@line 442 "t1.c"
        var $55=HEAP[$flagsp_addr]; //@line 442 "t1.c"
        var $56=HEAP[$v]; //@line 442 "t1.c"
        _t1_updateflags($55, $56, $54); //@line 442 "t1.c"
        __label__ = 7; break; //@line 442 "t1.c"
      case 7: // $bb9
        var $57=HEAP[$flagsp_addr]; //@line 444 "t1.c"
        var $58=HEAP[$57]; //@line 444 "t1.c"
        var $59=($58) | 16384; //@line 444 "t1.c"
        var $60=HEAP[$flagsp_addr]; //@line 444 "t1.c"
        HEAP[$60]=$59; //@line 444 "t1.c"
        __label__ = 4; break; //@line 444 "t1.c"
      case 4: // $bb10
        __label__ = 11; break; //@line 446 "t1.c"
      case 11: // $return
        STACKTOP = __stackBase__;
        return; //@line 446 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_enc_refpass_step($t1, $flagsp, $datap, $bpno, $one, $nmsedec, $type, $vsc) {
    var __stackBase__  = STACKTOP; STACKTOP += 45; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 45);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $flagsp_addr=__stackBase__+4;
        var $datap_addr=__stackBase__+8;
        var $bpno_addr=__stackBase__+12;
        var $one_addr=__stackBase__+16;
        var $nmsedec_addr=__stackBase__+20;
        var $type_addr=__stackBase__+24;
        var $vsc_addr=__stackBase__+25;
        var $iftmp_12=__stackBase__+29;
        var $v=__stackBase__+33;
        var $flag=__stackBase__+37;
        var $mqc=__stackBase__+41;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$flagsp_addr]=$flagsp;
        HEAP[$datap_addr]=$datap;
        HEAP[$bpno_addr]=$bpno;
        HEAP[$one_addr]=$one;
        HEAP[$nmsedec_addr]=$nmsedec;
        HEAP[$type_addr]=$type;
        HEAP[$vsc_addr]=$vsc;
        var $0=HEAP[$t1_addr]; //@line 583 "t1.c"
        var $1=CHECK_OVERFLOW(($0+4)&4294967295, 32); //@line 583 "t1.c"
        var $2=HEAP[$1]; //@line 583 "t1.c"
        HEAP[$mqc]=$2; //@line 583 "t1.c"
        var $3=HEAP[$vsc_addr]; //@line 585 "t1.c"
        var $4=($3)!=0; //@line 585 "t1.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 585 "t1.c"
      case 0: // $bb
        var $5=HEAP[$flagsp_addr]; //@line 585 "t1.c"
        var $6=HEAP[$5]; //@line 585 "t1.c"
        var $7=($6) & -1095; //@line 585 "t1.c"
        var $8=($7); //@line 585 "t1.c"
        HEAP[$iftmp_12]=$8; //@line 585 "t1.c"
        __label__ = 2; break; //@line 585 "t1.c"
      case 1: // $bb1
        var $9=HEAP[$flagsp_addr]; //@line 585 "t1.c"
        var $10=HEAP[$9]; //@line 585 "t1.c"
        var $11=($10); //@line 585 "t1.c"
        HEAP[$iftmp_12]=$11; //@line 585 "t1.c"
        __label__ = 2; break; //@line 585 "t1.c"
      case 2: // $bb2
        var $12=HEAP[$iftmp_12]; //@line 585 "t1.c"
        HEAP[$flag]=$12; //@line 585 "t1.c"
        var $13=HEAP[$flag]; //@line 586 "t1.c"
        var $14=($13) & 20480; //@line 586 "t1.c"
        var $15=($14)==4096; //@line 586 "t1.c"
        if ($15) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 586 "t1.c"
      case 3: // $bb3
        var $16=HEAP[$nmsedec_addr]; //@line 587 "t1.c"
        var $17=HEAP[$16]; //@line 587 "t1.c"
        var $18=HEAP[$bpno_addr]; //@line 587 "t1.c"
        var $19=CHECK_OVERFLOW((($18) + 6)&4294967295, 32); //@line 587 "t1.c"
        var $20=HEAP[$datap_addr]; //@line 587 "t1.c"
        var $21=HEAP[$20]; //@line 587 "t1.c"
        var $22=_int_abs($21); //@line 587 "t1.c"
        var $23=_t1_getnmsedec_ref($22, $19); //@line 587 "t1.c"
        var $24=($23); //@line 587 "t1.c"
        var $25=CHECK_OVERFLOW((($17) + ($24))&4294967295, 32); //@line 587 "t1.c"
        var $26=HEAP[$nmsedec_addr]; //@line 587 "t1.c"
        HEAP[$26]=$25; //@line 587 "t1.c"
        var $27=HEAP[$datap_addr]; //@line 588 "t1.c"
        var $28=HEAP[$27]; //@line 588 "t1.c"
        var $29=_int_abs($28); //@line 588 "t1.c"
        var $30=HEAP[$one_addr]; //@line 588 "t1.c"
        var $31=($29) & ($30); //@line 588 "t1.c"
        var $32=($31)!=0; //@line 588 "t1.c"
        var $33=($32); //@line 588 "t1.c"
        HEAP[$v]=$33; //@line 588 "t1.c"
        var $34=HEAP[$flag]; //@line 589 "t1.c"
        var $35=_t1_getctxno_mag($34); //@line 589 "t1.c"
        var $36=HEAP[$mqc]; //@line 589 "t1.c"
        var $37=CHECK_OVERFLOW(($36+24)&4294967295, 32); //@line 589 "t1.c"
        var $38=CHECK_OVERFLOW(($37+$35*4)&4294967295, 32); //@line 589 "t1.c"
        var $39=HEAP[$mqc]; //@line 589 "t1.c"
        var $40=CHECK_OVERFLOW(($39+100)&4294967295, 32); //@line 589 "t1.c"
        HEAP[$40]=$38; //@line 589 "t1.c"
        var $41=HEAP[$type_addr]; //@line 590 "t1.c"
        var $42=($41)==1; //@line 590 "t1.c"
        if ($42) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 590 "t1.c"
      case 5: // $bb4
        var $43=HEAP[$mqc]; //@line 591 "t1.c"
        var $44=HEAP[$v]; //@line 591 "t1.c"
        _mqc_bypass_enc($43, $44); //@line 591 "t1.c"
        __label__ = 7; break; //@line 591 "t1.c"
      case 6: // $bb5
        var $45=HEAP[$mqc]; //@line 593 "t1.c"
        var $46=HEAP[$v]; //@line 593 "t1.c"
        _mqc_encode($45, $46); //@line 593 "t1.c"
        __label__ = 7; break; //@line 593 "t1.c"
      case 7: // $bb6
        var $47=HEAP[$flagsp_addr]; //@line 595 "t1.c"
        var $48=HEAP[$47]; //@line 595 "t1.c"
        var $49=($48) | 8192; //@line 595 "t1.c"
        var $50=HEAP[$flagsp_addr]; //@line 595 "t1.c"
        HEAP[$50]=$49; //@line 595 "t1.c"
        __label__ = 4; break; //@line 595 "t1.c"
      case 4: // $bb7
        __label__ = 8; break; //@line 597 "t1.c"
      case 8: // $return
        STACKTOP = __stackBase__;
        return; //@line 597 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_getctxno_mag($f) {
    var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 28);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $f_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $iftmp_1=__stackBase__+12;
        var $iftmp_0=__stackBase__+16;
        var $tmp1=__stackBase__+20;
        var $tmp2=__stackBase__+24;
        var $_alloca_point_=0;
        HEAP[$f_addr]=$f;
        var $1=HEAP[$f_addr]; //@line 288 "t1.c"
        var $2=($1) & 255; //@line 288 "t1.c"
        var $3=($2)!=0; //@line 288 "t1.c"
        if ($3) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 288 "t1.c"
      case 0: // $bb
        HEAP[$iftmp_0]=15; //@line 288 "t1.c"
        __label__ = 2; break; //@line 288 "t1.c"
      case 1: // $bb1
        HEAP[$iftmp_0]=14; //@line 288 "t1.c"
        __label__ = 2; break; //@line 288 "t1.c"
      case 2: // $bb2
        var $4=HEAP[$iftmp_0]; //@line 288 "t1.c"
        HEAP[$tmp1]=$4; //@line 288 "t1.c"
        var $5=HEAP[$f_addr]; //@line 289 "t1.c"
        var $6=($5) & 8192; //@line 289 "t1.c"
        var $7=($6)==0; //@line 289 "t1.c"
        if ($7) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 289 "t1.c"
      case 3: // $bb3
        var $8=HEAP[$tmp1]; //@line 289 "t1.c"
        HEAP[$iftmp_1]=$8; //@line 289 "t1.c"
        __label__ = 5; break; //@line 289 "t1.c"
      case 4: // $bb4
        HEAP[$iftmp_1]=16; //@line 289 "t1.c"
        __label__ = 5; break; //@line 289 "t1.c"
      case 5: // $bb5
        var $9=HEAP[$iftmp_1]; //@line 289 "t1.c"
        HEAP[$tmp2]=$9; //@line 289 "t1.c"
        var $10=HEAP[$tmp2]; //@line 290 "t1.c"
        HEAP[$0]=$10; //@line 290 "t1.c"
        var $11=HEAP[$0]; //@line 290 "t1.c"
        HEAP[$retval]=$11; //@line 290 "t1.c"
        __label__ = 6; break; //@line 290 "t1.c"
      case 6: // $return
        var $retval6=HEAP[$retval]; //@line 290 "t1.c"
        STACKTOP = __stackBase__;
        return $retval6; //@line 290 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_enc_refpass($t1, $bpno, $nmsedec, $type, $cblksty) {
    var __stackBase__  = STACKTOP; STACKTOP += 41; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 41);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $bpno_addr=__stackBase__+4;
        var $nmsedec_addr=__stackBase__+8;
        var $type_addr=__stackBase__+12;
        var $cblksty_addr=__stackBase__+13;
        var $iftmp_21=__stackBase__+17;
        var $i=__stackBase__+21;
        var $j=__stackBase__+25;
        var $k=__stackBase__+29;
        var $one=__stackBase__+33;
        var $vsc=__stackBase__+37;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$bpno_addr]=$bpno;
        HEAP[$nmsedec_addr]=$nmsedec;
        HEAP[$type_addr]=$type;
        HEAP[$cblksty_addr]=$cblksty;
        var $0=HEAP[$nmsedec_addr]; //@line 671 "t1.c"
        HEAP[$0]=0; //@line 671 "t1.c"
        var $1=HEAP[$bpno_addr]; //@line 672 "t1.c"
        var $2=CHECK_OVERFLOW((($1) + 6)&4294967295, 32); //@line 672 "t1.c"
        var $3=1 << ($2); //@line 672 "t1.c"
        HEAP[$one]=$3; //@line 672 "t1.c"
        HEAP[$k]=0; //@line 673 "t1.c"
        __label__ = 0; break; //@line 673 "t1.c"
      case 13: // $bb
        HEAP[$i]=0; //@line 674 "t1.c"
        __label__ = 1; break; //@line 674 "t1.c"
      case 11: // $bb1
        var $4=HEAP[$k]; //@line 675 "t1.c"
        HEAP[$j]=$4; //@line 675 "t1.c"
        __label__ = 2; break; //@line 675 "t1.c"
      case 10: // $bb2
        var $5=HEAP[$cblksty_addr]; //@line 676 "t1.c"
        var $6=($5) & 8; //@line 676 "t1.c"
        var $7=($6)==0; //@line 676 "t1.c"
        if ($7) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 676 "t1.c"
      case 4: // $bb3
        var $8=HEAP[$k]; //@line 676 "t1.c"
        var $9=CHECK_OVERFLOW((($8) + 3)&4294967295, 32); //@line 676 "t1.c"
        var $10=HEAP[$j]; //@line 676 "t1.c"
        var $11=($9)==($10); //@line 676 "t1.c"
        if ($11) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 676 "t1.c"
      case 6: // $bb4
        var $12=HEAP[$t1_addr]; //@line 676 "t1.c"
        var $13=CHECK_OVERFLOW(($12+24)&4294967295, 32); //@line 676 "t1.c"
        var $14=HEAP[$13]; //@line 676 "t1.c"
        var $15=CHECK_OVERFLOW((($14) - 1)&4294967295, 32); //@line 676 "t1.c"
        var $16=HEAP[$j]; //@line 676 "t1.c"
        var $17=($15)==($16); //@line 676 "t1.c"
        if ($17) { __label__ = 5; break; } else { __label__ = 3; break; } //@line 676 "t1.c"
      case 5: // $bb5
        HEAP[$iftmp_21]=1; //@line 676 "t1.c"
        __label__ = 7; break; //@line 676 "t1.c"
      case 3: // $bb6
        HEAP[$iftmp_21]=0; //@line 676 "t1.c"
        __label__ = 7; break; //@line 676 "t1.c"
      case 7: // $bb7
        var $18=HEAP[$iftmp_21]; //@line 676 "t1.c"
        HEAP[$vsc]=$18; //@line 676 "t1.c"
        var $19=HEAP[$type_addr]; //@line 677 "t1.c"
        var $20=($19); //@line 677 "t1.c"
        var $21=HEAP[$t1_addr]; //@line 677 "t1.c"
        var $22=CHECK_OVERFLOW(($21+12)&4294967295, 32); //@line 677 "t1.c"
        var $23=HEAP[$22]; //@line 677 "t1.c"
        var $24=HEAP[$t1_addr]; //@line 677 "t1.c"
        var $25=CHECK_OVERFLOW(($24+20)&4294967295, 32); //@line 677 "t1.c"
        var $26=HEAP[$25]; //@line 677 "t1.c"
        var $27=HEAP[$j]; //@line 677 "t1.c"
        var $28=CHECK_OVERFLOW((($26) * ($27))&4294967295, 32); //@line 677 "t1.c"
        var $29=HEAP[$i]; //@line 677 "t1.c"
        var $30=CHECK_OVERFLOW((($28) + ($29))&4294967295, 32); //@line 677 "t1.c"
        var $31=CHECK_OVERFLOW(($23+4*$30)&4294967295, 32); //@line 677 "t1.c"
        var $32=HEAP[$t1_addr]; //@line 677 "t1.c"
        var $33=CHECK_OVERFLOW(($32+16)&4294967295, 32); //@line 677 "t1.c"
        var $34=HEAP[$33]; //@line 677 "t1.c"
        var $35=HEAP[$j]; //@line 677 "t1.c"
        var $36=CHECK_OVERFLOW((($35) + 1)&4294967295, 32); //@line 677 "t1.c"
        var $37=HEAP[$t1_addr]; //@line 677 "t1.c"
        var $38=CHECK_OVERFLOW(($37+36)&4294967295, 32); //@line 677 "t1.c"
        var $39=HEAP[$38]; //@line 677 "t1.c"
        var $40=CHECK_OVERFLOW((($36) * ($39))&4294967295, 32); //@line 677 "t1.c"
        var $41=HEAP[$i]; //@line 677 "t1.c"
        var $42=CHECK_OVERFLOW((($40) + ($41))&4294967295, 32); //@line 677 "t1.c"
        var $43=CHECK_OVERFLOW((($42) + 1)&4294967295, 32); //@line 677 "t1.c"
        var $44=CHECK_OVERFLOW(($34+2*$43)&4294967295, 32); //@line 677 "t1.c"
        var $45=HEAP[$t1_addr]; //@line 677 "t1.c"
        var $46=HEAP[$bpno_addr]; //@line 677 "t1.c"
        var $47=HEAP[$one]; //@line 677 "t1.c"
        var $48=HEAP[$nmsedec_addr]; //@line 677 "t1.c"
        var $49=((($20)) & 255); //@line 677 "t1.c"
        var $50=HEAP[$vsc]; //@line 677 "t1.c"
        _t1_enc_refpass_step($45, $44, $31, $46, $47, $48, $49, $50); //@line 677 "t1.c"
        var $51=HEAP[$j]; //@line 675 "t1.c"
        var $52=CHECK_OVERFLOW((($51) + 1)&4294967295, 32); //@line 675 "t1.c"
        HEAP[$j]=$52; //@line 675 "t1.c"
        __label__ = 2; break; //@line 675 "t1.c"
      case 2: // $bb8
        var $53=HEAP[$k]; //@line 675 "t1.c"
        var $54=CHECK_OVERFLOW((($53) + 4)&4294967295, 32); //@line 675 "t1.c"
        var $55=HEAP[$j]; //@line 675 "t1.c"
        var $56=($54) <= ($55); //@line 675 "t1.c"
        if ($56) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 675 "t1.c"
      case 9: // $bb9
        var $57=HEAP[$t1_addr]; //@line 675 "t1.c"
        var $58=CHECK_OVERFLOW(($57+24)&4294967295, 32); //@line 675 "t1.c"
        var $59=HEAP[$58]; //@line 675 "t1.c"
        var $60=HEAP[$j]; //@line 675 "t1.c"
        var $61=($59) > ($60); //@line 675 "t1.c"
        if ($61) { __label__ = 10; break; } else { __label__ = 8; break; } //@line 675 "t1.c"
      case 8: // $bb10
        var $62=HEAP[$i]; //@line 674 "t1.c"
        var $63=CHECK_OVERFLOW((($62) + 1)&4294967295, 32); //@line 674 "t1.c"
        HEAP[$i]=$63; //@line 674 "t1.c"
        __label__ = 1; break; //@line 674 "t1.c"
      case 1: // $bb11
        var $64=HEAP[$t1_addr]; //@line 674 "t1.c"
        var $65=CHECK_OVERFLOW(($64+20)&4294967295, 32); //@line 674 "t1.c"
        var $66=HEAP[$65]; //@line 674 "t1.c"
        var $67=HEAP[$i]; //@line 674 "t1.c"
        var $68=($66) > ($67); //@line 674 "t1.c"
        if ($68) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 674 "t1.c"
      case 12: // $bb12
        var $69=HEAP[$k]; //@line 673 "t1.c"
        var $70=CHECK_OVERFLOW((($69) + 4)&4294967295, 32); //@line 673 "t1.c"
        HEAP[$k]=$70; //@line 673 "t1.c"
        __label__ = 0; break; //@line 673 "t1.c"
      case 0: // $bb13
        var $71=HEAP[$t1_addr]; //@line 673 "t1.c"
        var $72=CHECK_OVERFLOW(($71+24)&4294967295, 32); //@line 673 "t1.c"
        var $73=HEAP[$72]; //@line 673 "t1.c"
        var $74=HEAP[$k]; //@line 673 "t1.c"
        var $75=($73) > ($74); //@line 673 "t1.c"
        if ($75) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 673 "t1.c"
      case 14: // $bb14
        __label__ = 15; break; //@line 689 "t1.c"
      case 15: // $return
        STACKTOP = __stackBase__;
        return; //@line 689 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_dec_refpass_raw($t1, $bpno, $cblksty) {
    var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 48);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $bpno_addr=__stackBase__+4;
        var $cblksty_addr=__stackBase__+8;
        var $iftmp_23=__stackBase__+12;
        var $iftmp_22=__stackBase__+16;
        var $i=__stackBase__+20;
        var $j=__stackBase__+24;
        var $k=__stackBase__+28;
        var $one=__stackBase__+32;
        var $poshalf=__stackBase__+36;
        var $neghalf=__stackBase__+40;
        var $vsc=__stackBase__+44;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$bpno_addr]=$bpno;
        HEAP[$cblksty_addr]=$cblksty;
        var $0=HEAP[$bpno_addr]; //@line 698 "t1.c"
        var $1=1 << ($0); //@line 698 "t1.c"
        HEAP[$one]=$1; //@line 698 "t1.c"
        var $2=HEAP[$one]; //@line 699 "t1.c"
        var $3=($2) >> 1; //@line 699 "t1.c"
        HEAP[$poshalf]=$3; //@line 699 "t1.c"
        var $4=HEAP[$bpno_addr]; //@line 700 "t1.c"
        var $5=($4) > 0; //@line 700 "t1.c"
        if ($5) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 700 "t1.c"
      case 0: // $bb
        var $6=HEAP[$poshalf]; //@line 700 "t1.c"
        var $7=CHECK_OVERFLOW((0 - ($6))&4294967295, 32); //@line 700 "t1.c"
        HEAP[$iftmp_22]=$7; //@line 700 "t1.c"
        __label__ = 2; break; //@line 700 "t1.c"
      case 1: // $bb1
        HEAP[$iftmp_22]=-1; //@line 700 "t1.c"
        __label__ = 2; break; //@line 700 "t1.c"
      case 2: // $bb2
        var $8=HEAP[$iftmp_22]; //@line 700 "t1.c"
        HEAP[$neghalf]=$8; //@line 700 "t1.c"
        HEAP[$k]=0; //@line 701 "t1.c"
        __label__ = 3; break; //@line 701 "t1.c"
      case 16: // $bb3
        HEAP[$i]=0; //@line 702 "t1.c"
        __label__ = 4; break; //@line 702 "t1.c"
      case 14: // $bb4
        var $9=HEAP[$k]; //@line 703 "t1.c"
        HEAP[$j]=$9; //@line 703 "t1.c"
        __label__ = 5; break; //@line 703 "t1.c"
      case 13: // $bb5
        var $10=HEAP[$cblksty_addr]; //@line 704 "t1.c"
        var $11=($10) & 8; //@line 704 "t1.c"
        var $12=($11)==0; //@line 704 "t1.c"
        if ($12) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 704 "t1.c"
      case 7: // $bb6
        var $13=HEAP[$k]; //@line 704 "t1.c"
        var $14=CHECK_OVERFLOW((($13) + 3)&4294967295, 32); //@line 704 "t1.c"
        var $15=HEAP[$j]; //@line 704 "t1.c"
        var $16=($14)==($15); //@line 704 "t1.c"
        if ($16) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 704 "t1.c"
      case 9: // $bb7
        var $17=HEAP[$t1_addr]; //@line 704 "t1.c"
        var $18=CHECK_OVERFLOW(($17+24)&4294967295, 32); //@line 704 "t1.c"
        var $19=HEAP[$18]; //@line 704 "t1.c"
        var $20=CHECK_OVERFLOW((($19) - 1)&4294967295, 32); //@line 704 "t1.c"
        var $21=HEAP[$j]; //@line 704 "t1.c"
        var $22=($20)==($21); //@line 704 "t1.c"
        if ($22) { __label__ = 8; break; } else { __label__ = 6; break; } //@line 704 "t1.c"
      case 8: // $bb8
        HEAP[$iftmp_23]=1; //@line 704 "t1.c"
        __label__ = 10; break; //@line 704 "t1.c"
      case 6: // $bb9
        HEAP[$iftmp_23]=0; //@line 704 "t1.c"
        __label__ = 10; break; //@line 704 "t1.c"
      case 10: // $bb10
        var $23=HEAP[$iftmp_23]; //@line 704 "t1.c"
        HEAP[$vsc]=$23; //@line 704 "t1.c"
        var $24=HEAP[$t1_addr]; //@line 705 "t1.c"
        var $25=CHECK_OVERFLOW(($24+12)&4294967295, 32); //@line 705 "t1.c"
        var $26=HEAP[$25]; //@line 705 "t1.c"
        var $27=HEAP[$t1_addr]; //@line 705 "t1.c"
        var $28=CHECK_OVERFLOW(($27+20)&4294967295, 32); //@line 705 "t1.c"
        var $29=HEAP[$28]; //@line 705 "t1.c"
        var $30=HEAP[$j]; //@line 705 "t1.c"
        var $31=CHECK_OVERFLOW((($29) * ($30))&4294967295, 32); //@line 705 "t1.c"
        var $32=HEAP[$i]; //@line 705 "t1.c"
        var $33=CHECK_OVERFLOW((($31) + ($32))&4294967295, 32); //@line 705 "t1.c"
        var $34=CHECK_OVERFLOW(($26+4*$33)&4294967295, 32); //@line 705 "t1.c"
        var $35=HEAP[$t1_addr]; //@line 705 "t1.c"
        var $36=CHECK_OVERFLOW(($35+16)&4294967295, 32); //@line 705 "t1.c"
        var $37=HEAP[$36]; //@line 705 "t1.c"
        var $38=HEAP[$j]; //@line 705 "t1.c"
        var $39=CHECK_OVERFLOW((($38) + 1)&4294967295, 32); //@line 705 "t1.c"
        var $40=HEAP[$t1_addr]; //@line 705 "t1.c"
        var $41=CHECK_OVERFLOW(($40+36)&4294967295, 32); //@line 705 "t1.c"
        var $42=HEAP[$41]; //@line 705 "t1.c"
        var $43=CHECK_OVERFLOW((($39) * ($42))&4294967295, 32); //@line 705 "t1.c"
        var $44=HEAP[$i]; //@line 705 "t1.c"
        var $45=CHECK_OVERFLOW((($43) + ($44))&4294967295, 32); //@line 705 "t1.c"
        var $46=CHECK_OVERFLOW((($45) + 1)&4294967295, 32); //@line 705 "t1.c"
        var $47=CHECK_OVERFLOW(($37+2*$46)&4294967295, 32); //@line 705 "t1.c"
        var $48=HEAP[$t1_addr]; //@line 705 "t1.c"
        var $49=HEAP[$poshalf]; //@line 705 "t1.c"
        var $50=HEAP[$neghalf]; //@line 705 "t1.c"
        var $51=HEAP[$vsc]; //@line 705 "t1.c"
        _t1_dec_refpass_step_raw($48, $47, $34, $49, $50, $51); //@line 705 "t1.c"
        var $52=HEAP[$j]; //@line 703 "t1.c"
        var $53=CHECK_OVERFLOW((($52) + 1)&4294967295, 32); //@line 703 "t1.c"
        HEAP[$j]=$53; //@line 703 "t1.c"
        __label__ = 5; break; //@line 703 "t1.c"
      case 5: // $bb11
        var $54=HEAP[$k]; //@line 703 "t1.c"
        var $55=CHECK_OVERFLOW((($54) + 4)&4294967295, 32); //@line 703 "t1.c"
        var $56=HEAP[$j]; //@line 703 "t1.c"
        var $57=($55) <= ($56); //@line 703 "t1.c"
        if ($57) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 703 "t1.c"
      case 12: // $bb12
        var $58=HEAP[$t1_addr]; //@line 703 "t1.c"
        var $59=CHECK_OVERFLOW(($58+24)&4294967295, 32); //@line 703 "t1.c"
        var $60=HEAP[$59]; //@line 703 "t1.c"
        var $61=HEAP[$j]; //@line 703 "t1.c"
        var $62=($60) > ($61); //@line 703 "t1.c"
        if ($62) { __label__ = 13; break; } else { __label__ = 11; break; } //@line 703 "t1.c"
      case 11: // $bb13
        var $63=HEAP[$i]; //@line 702 "t1.c"
        var $64=CHECK_OVERFLOW((($63) + 1)&4294967295, 32); //@line 702 "t1.c"
        HEAP[$i]=$64; //@line 702 "t1.c"
        __label__ = 4; break; //@line 702 "t1.c"
      case 4: // $bb14
        var $65=HEAP[$t1_addr]; //@line 702 "t1.c"
        var $66=CHECK_OVERFLOW(($65+20)&4294967295, 32); //@line 702 "t1.c"
        var $67=HEAP[$66]; //@line 702 "t1.c"
        var $68=HEAP[$i]; //@line 702 "t1.c"
        var $69=($67) > ($68); //@line 702 "t1.c"
        if ($69) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 702 "t1.c"
      case 15: // $bb15
        var $70=HEAP[$k]; //@line 701 "t1.c"
        var $71=CHECK_OVERFLOW((($70) + 4)&4294967295, 32); //@line 701 "t1.c"
        HEAP[$k]=$71; //@line 701 "t1.c"
        __label__ = 3; break; //@line 701 "t1.c"
      case 3: // $bb16
        var $72=HEAP[$t1_addr]; //@line 701 "t1.c"
        var $73=CHECK_OVERFLOW(($72+24)&4294967295, 32); //@line 701 "t1.c"
        var $74=HEAP[$73]; //@line 701 "t1.c"
        var $75=HEAP[$k]; //@line 701 "t1.c"
        var $76=($74) > ($75); //@line 701 "t1.c"
        if ($76) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 701 "t1.c"
      case 17: // $bb17
        __label__ = 18; break; //@line 715 "t1.c"
      case 18: // $return
        STACKTOP = __stackBase__;
        return; //@line 715 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_dec_refpass_step_raw($t1, $flagsp, $datap, $poshalf, $neghalf, $vsc) {
    var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 52);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $flagsp_addr=__stackBase__+4;
        var $datap_addr=__stackBase__+8;
        var $poshalf_addr=__stackBase__+12;
        var $neghalf_addr=__stackBase__+16;
        var $vsc_addr=__stackBase__+20;
        var $iftmp_15=__stackBase__+24;
        var $iftmp_14=__stackBase__+28;
        var $iftmp_13=__stackBase__+32;
        var $v=__stackBase__+36;
        var $t=__stackBase__+40;
        var $flag=__stackBase__+44;
        var $raw=__stackBase__+48;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$flagsp_addr]=$flagsp;
        HEAP[$datap_addr]=$datap;
        HEAP[$poshalf_addr]=$poshalf;
        HEAP[$neghalf_addr]=$neghalf;
        HEAP[$vsc_addr]=$vsc;
        var $0=HEAP[$t1_addr]; //@line 609 "t1.c"
        var $1=CHECK_OVERFLOW(($0+8)&4294967295, 32); //@line 609 "t1.c"
        var $2=HEAP[$1]; //@line 609 "t1.c"
        HEAP[$raw]=$2; //@line 609 "t1.c"
        var $3=HEAP[$vsc_addr]; //@line 611 "t1.c"
        var $4=($3)!=0; //@line 611 "t1.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 611 "t1.c"
      case 0: // $bb
        var $5=HEAP[$flagsp_addr]; //@line 611 "t1.c"
        var $6=HEAP[$5]; //@line 611 "t1.c"
        var $7=($6) & -1095; //@line 611 "t1.c"
        var $8=($7); //@line 611 "t1.c"
        HEAP[$iftmp_13]=$8; //@line 611 "t1.c"
        __label__ = 2; break; //@line 611 "t1.c"
      case 1: // $bb1
        var $9=HEAP[$flagsp_addr]; //@line 611 "t1.c"
        var $10=HEAP[$9]; //@line 611 "t1.c"
        var $11=($10); //@line 611 "t1.c"
        HEAP[$iftmp_13]=$11; //@line 611 "t1.c"
        __label__ = 2; break; //@line 611 "t1.c"
      case 2: // $bb2
        var $12=HEAP[$iftmp_13]; //@line 611 "t1.c"
        HEAP[$flag]=$12; //@line 611 "t1.c"
        var $13=HEAP[$flag]; //@line 612 "t1.c"
        var $14=($13) & 20480; //@line 612 "t1.c"
        var $15=($14)==4096; //@line 612 "t1.c"
        if ($15) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 612 "t1.c"
      case 3: // $bb3
        var $16=HEAP[$raw]; //@line 613 "t1.c"
        var $17=_raw_decode($16); //@line 613 "t1.c"
        HEAP[$v]=$17; //@line 613 "t1.c"
        var $18=HEAP[$v]; //@line 614 "t1.c"
        var $19=($18)!=0; //@line 614 "t1.c"
        if ($19) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 614 "t1.c"
      case 5: // $bb4
        var $20=HEAP[$poshalf_addr]; //@line 614 "t1.c"
        HEAP[$iftmp_14]=$20; //@line 614 "t1.c"
        __label__ = 7; break; //@line 614 "t1.c"
      case 6: // $bb5
        var $21=HEAP[$neghalf_addr]; //@line 614 "t1.c"
        HEAP[$iftmp_14]=$21; //@line 614 "t1.c"
        __label__ = 7; break; //@line 614 "t1.c"
      case 7: // $bb6
        var $22=HEAP[$iftmp_14]; //@line 614 "t1.c"
        HEAP[$t]=$22; //@line 614 "t1.c"
        var $23=HEAP[$datap_addr]; //@line 615 "t1.c"
        var $24=HEAP[$23]; //@line 615 "t1.c"
        var $25=HEAP[$datap_addr]; //@line 615 "t1.c"
        var $26=HEAP[$25]; //@line 615 "t1.c"
        var $27=($26) < 0; //@line 615 "t1.c"
        if ($27) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 615 "t1.c"
      case 8: // $bb7
        var $28=HEAP[$t]; //@line 615 "t1.c"
        var $29=CHECK_OVERFLOW((0 - ($28))&4294967295, 32); //@line 615 "t1.c"
        HEAP[$iftmp_15]=$29; //@line 615 "t1.c"
        __label__ = 10; break; //@line 615 "t1.c"
      case 9: // $bb8
        var $30=HEAP[$t]; //@line 615 "t1.c"
        HEAP[$iftmp_15]=$30; //@line 615 "t1.c"
        __label__ = 10; break; //@line 615 "t1.c"
      case 10: // $bb9
        var $31=HEAP[$iftmp_15]; //@line 615 "t1.c"
        var $32=CHECK_OVERFLOW((($24) + ($31))&4294967295, 32); //@line 615 "t1.c"
        var $33=HEAP[$datap_addr]; //@line 615 "t1.c"
        HEAP[$33]=$32; //@line 615 "t1.c"
        var $34=HEAP[$flagsp_addr]; //@line 616 "t1.c"
        var $35=HEAP[$34]; //@line 616 "t1.c"
        var $36=($35) | 8192; //@line 616 "t1.c"
        var $37=HEAP[$flagsp_addr]; //@line 616 "t1.c"
        HEAP[$37]=$36; //@line 616 "t1.c"
        __label__ = 4; break; //@line 616 "t1.c"
      case 4: // $bb10
        __label__ = 11; break; //@line 618 "t1.c"
      case 11: // $return
        STACKTOP = __stackBase__;
        return; //@line 618 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_dec_refpass_mqc($t1, $bpno) {
    var __stackBase__  = STACKTOP; STACKTOP += 60; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 60);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $bpno_addr=__stackBase__+4;
        var $iftmp_24=__stackBase__+8;
        var $i=__stackBase__+12;
        var $j=__stackBase__+16;
        var $k=__stackBase__+20;
        var $one=__stackBase__+24;
        var $poshalf=__stackBase__+28;
        var $neghalf=__stackBase__+32;
        var $data1=__stackBase__+36;
        var $flags1=__stackBase__+40;
        var $data2=__stackBase__+44;
        var $flags2=__stackBase__+48;
        var $data210=__stackBase__+52;
        var $flags211=__stackBase__+56;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$bpno_addr]=$bpno;
        var $0=HEAP[$t1_addr]; //@line 722 "t1.c"
        var $1=CHECK_OVERFLOW(($0+12)&4294967295, 32); //@line 722 "t1.c"
        var $2=HEAP[$1]; //@line 722 "t1.c"
        HEAP[$data1]=$2; //@line 722 "t1.c"
        var $3=HEAP[$t1_addr]; //@line 723 "t1.c"
        var $4=CHECK_OVERFLOW(($3+16)&4294967295, 32); //@line 723 "t1.c"
        var $5=HEAP[$4]; //@line 723 "t1.c"
        var $6=CHECK_OVERFLOW(($5+2)&4294967295, 32); //@line 723 "t1.c"
        HEAP[$flags1]=$6; //@line 723 "t1.c"
        var $7=HEAP[$bpno_addr]; //@line 724 "t1.c"
        var $8=1 << ($7); //@line 724 "t1.c"
        HEAP[$one]=$8; //@line 724 "t1.c"
        var $9=HEAP[$one]; //@line 725 "t1.c"
        var $10=($9) >> 1; //@line 725 "t1.c"
        HEAP[$poshalf]=$10; //@line 725 "t1.c"
        var $11=HEAP[$bpno_addr]; //@line 726 "t1.c"
        var $12=($11) > 0; //@line 726 "t1.c"
        if ($12) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 726 "t1.c"
      case 0: // $bb
        var $13=HEAP[$poshalf]; //@line 726 "t1.c"
        var $14=CHECK_OVERFLOW((0 - ($13))&4294967295, 32); //@line 726 "t1.c"
        HEAP[$iftmp_24]=$14; //@line 726 "t1.c"
        __label__ = 2; break; //@line 726 "t1.c"
      case 1: // $bb1
        HEAP[$iftmp_24]=-1; //@line 726 "t1.c"
        __label__ = 2; break; //@line 726 "t1.c"
      case 2: // $bb2
        var $15=HEAP[$iftmp_24]; //@line 726 "t1.c"
        HEAP[$neghalf]=$15; //@line 726 "t1.c"
        HEAP[$k]=0; //@line 727 "t1.c"
        __label__ = 3; break; //@line 727 "t1.c"
      case 7: // $bb3
        HEAP[$i]=0; //@line 728 "t1.c"
        __label__ = 4; break; //@line 728 "t1.c"
      case 5: // $bb4
        var $16=HEAP[$data1]; //@line 729 "t1.c"
        var $17=HEAP[$i]; //@line 729 "t1.c"
        var $18=CHECK_OVERFLOW(($16+4*$17)&4294967295, 32); //@line 729 "t1.c"
        HEAP[$data2]=$18; //@line 729 "t1.c"
        var $19=HEAP[$flags1]; //@line 730 "t1.c"
        var $20=HEAP[$i]; //@line 730 "t1.c"
        var $21=CHECK_OVERFLOW(($19+2*$20)&4294967295, 32); //@line 730 "t1.c"
        HEAP[$flags2]=$21; //@line 730 "t1.c"
        var $22=HEAP[$t1_addr]; //@line 731 "t1.c"
        var $23=CHECK_OVERFLOW(($22+36)&4294967295, 32); //@line 731 "t1.c"
        var $24=HEAP[$23]; //@line 731 "t1.c"
        var $25=HEAP[$flags2]; //@line 731 "t1.c"
        var $26=CHECK_OVERFLOW(($25+2*$24)&4294967295, 32); //@line 731 "t1.c"
        HEAP[$flags2]=$26; //@line 731 "t1.c"
        var $27=HEAP[$t1_addr]; //@line 732 "t1.c"
        var $28=HEAP[$flags2]; //@line 732 "t1.c"
        var $29=HEAP[$data2]; //@line 732 "t1.c"
        var $30=HEAP[$poshalf]; //@line 732 "t1.c"
        var $31=HEAP[$neghalf]; //@line 732 "t1.c"
        _t1_dec_refpass_step_mqc($27, $28, $29, $30, $31); //@line 732 "t1.c"
        var $32=HEAP[$t1_addr]; //@line 733 "t1.c"
        var $33=CHECK_OVERFLOW(($32+20)&4294967295, 32); //@line 733 "t1.c"
        var $34=HEAP[$33]; //@line 733 "t1.c"
        var $35=HEAP[$data2]; //@line 733 "t1.c"
        var $36=CHECK_OVERFLOW(($35+4*$34)&4294967295, 32); //@line 733 "t1.c"
        HEAP[$data2]=$36; //@line 733 "t1.c"
        var $37=HEAP[$t1_addr]; //@line 734 "t1.c"
        var $38=CHECK_OVERFLOW(($37+36)&4294967295, 32); //@line 734 "t1.c"
        var $39=HEAP[$38]; //@line 734 "t1.c"
        var $40=HEAP[$flags2]; //@line 734 "t1.c"
        var $41=CHECK_OVERFLOW(($40+2*$39)&4294967295, 32); //@line 734 "t1.c"
        HEAP[$flags2]=$41; //@line 734 "t1.c"
        var $42=HEAP[$t1_addr]; //@line 735 "t1.c"
        var $43=HEAP[$flags2]; //@line 735 "t1.c"
        var $44=HEAP[$data2]; //@line 735 "t1.c"
        var $45=HEAP[$poshalf]; //@line 735 "t1.c"
        var $46=HEAP[$neghalf]; //@line 735 "t1.c"
        _t1_dec_refpass_step_mqc($42, $43, $44, $45, $46); //@line 735 "t1.c"
        var $47=HEAP[$t1_addr]; //@line 736 "t1.c"
        var $48=CHECK_OVERFLOW(($47+20)&4294967295, 32); //@line 736 "t1.c"
        var $49=HEAP[$48]; //@line 736 "t1.c"
        var $50=HEAP[$data2]; //@line 736 "t1.c"
        var $51=CHECK_OVERFLOW(($50+4*$49)&4294967295, 32); //@line 736 "t1.c"
        HEAP[$data2]=$51; //@line 736 "t1.c"
        var $52=HEAP[$t1_addr]; //@line 737 "t1.c"
        var $53=CHECK_OVERFLOW(($52+36)&4294967295, 32); //@line 737 "t1.c"
        var $54=HEAP[$53]; //@line 737 "t1.c"
        var $55=HEAP[$flags2]; //@line 737 "t1.c"
        var $56=CHECK_OVERFLOW(($55+2*$54)&4294967295, 32); //@line 737 "t1.c"
        HEAP[$flags2]=$56; //@line 737 "t1.c"
        var $57=HEAP[$t1_addr]; //@line 738 "t1.c"
        var $58=HEAP[$flags2]; //@line 738 "t1.c"
        var $59=HEAP[$data2]; //@line 738 "t1.c"
        var $60=HEAP[$poshalf]; //@line 738 "t1.c"
        var $61=HEAP[$neghalf]; //@line 738 "t1.c"
        _t1_dec_refpass_step_mqc($57, $58, $59, $60, $61); //@line 738 "t1.c"
        var $62=HEAP[$t1_addr]; //@line 739 "t1.c"
        var $63=CHECK_OVERFLOW(($62+20)&4294967295, 32); //@line 739 "t1.c"
        var $64=HEAP[$63]; //@line 739 "t1.c"
        var $65=HEAP[$data2]; //@line 739 "t1.c"
        var $66=CHECK_OVERFLOW(($65+4*$64)&4294967295, 32); //@line 739 "t1.c"
        HEAP[$data2]=$66; //@line 739 "t1.c"
        var $67=HEAP[$t1_addr]; //@line 740 "t1.c"
        var $68=CHECK_OVERFLOW(($67+36)&4294967295, 32); //@line 740 "t1.c"
        var $69=HEAP[$68]; //@line 740 "t1.c"
        var $70=HEAP[$flags2]; //@line 740 "t1.c"
        var $71=CHECK_OVERFLOW(($70+2*$69)&4294967295, 32); //@line 740 "t1.c"
        HEAP[$flags2]=$71; //@line 740 "t1.c"
        var $72=HEAP[$t1_addr]; //@line 741 "t1.c"
        var $73=HEAP[$flags2]; //@line 741 "t1.c"
        var $74=HEAP[$data2]; //@line 741 "t1.c"
        var $75=HEAP[$poshalf]; //@line 741 "t1.c"
        var $76=HEAP[$neghalf]; //@line 741 "t1.c"
        _t1_dec_refpass_step_mqc($72, $73, $74, $75, $76); //@line 741 "t1.c"
        var $77=HEAP[$t1_addr]; //@line 742 "t1.c"
        var $78=CHECK_OVERFLOW(($77+20)&4294967295, 32); //@line 742 "t1.c"
        var $79=HEAP[$78]; //@line 742 "t1.c"
        var $80=HEAP[$data2]; //@line 742 "t1.c"
        var $81=CHECK_OVERFLOW(($80+4*$79)&4294967295, 32); //@line 742 "t1.c"
        HEAP[$data2]=$81; //@line 742 "t1.c"
        var $82=HEAP[$i]; //@line 728 "t1.c"
        var $83=CHECK_OVERFLOW((($82) + 1)&4294967295, 32); //@line 728 "t1.c"
        HEAP[$i]=$83; //@line 728 "t1.c"
        __label__ = 4; break; //@line 728 "t1.c"
      case 4: // $bb5
        var $84=HEAP[$t1_addr]; //@line 728 "t1.c"
        var $85=CHECK_OVERFLOW(($84+20)&4294967295, 32); //@line 728 "t1.c"
        var $86=HEAP[$85]; //@line 728 "t1.c"
        var $87=HEAP[$i]; //@line 728 "t1.c"
        var $88=($86) > ($87); //@line 728 "t1.c"
        if ($88) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 728 "t1.c"
      case 6: // $bb6
        var $89=HEAP[$t1_addr]; //@line 744 "t1.c"
        var $90=CHECK_OVERFLOW(($89+20)&4294967295, 32); //@line 744 "t1.c"
        var $91=HEAP[$90]; //@line 744 "t1.c"
        var $92=($91) << 2; //@line 744 "t1.c"
        var $93=HEAP[$data1]; //@line 744 "t1.c"
        var $94=CHECK_OVERFLOW(($93+4*$92)&4294967295, 32); //@line 744 "t1.c"
        HEAP[$data1]=$94; //@line 744 "t1.c"
        var $95=HEAP[$t1_addr]; //@line 745 "t1.c"
        var $96=CHECK_OVERFLOW(($95+36)&4294967295, 32); //@line 745 "t1.c"
        var $97=HEAP[$96]; //@line 745 "t1.c"
        var $98=($97) << 2; //@line 745 "t1.c"
        var $99=HEAP[$flags1]; //@line 745 "t1.c"
        var $100=CHECK_OVERFLOW(($99+2*$98)&4294967295, 32); //@line 745 "t1.c"
        HEAP[$flags1]=$100; //@line 745 "t1.c"
        var $101=HEAP[$k]; //@line 727 "t1.c"
        var $102=CHECK_OVERFLOW((($101) + 4)&4294967295, 32); //@line 727 "t1.c"
        HEAP[$k]=$102; //@line 727 "t1.c"
        __label__ = 3; break; //@line 727 "t1.c"
      case 3: // $bb7
        var $103=HEAP[$t1_addr]; //@line 727 "t1.c"
        var $104=CHECK_OVERFLOW(($103+24)&4294967295, 32); //@line 727 "t1.c"
        var $105=HEAP[$104]; //@line 727 "t1.c"
        var $106=($105) & -4; //@line 727 "t1.c"
        var $107=HEAP[$k]; //@line 727 "t1.c"
        var $108=($106) > ($107); //@line 727 "t1.c"
        if ($108) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 727 "t1.c"
      case 8: // $bb8
        HEAP[$i]=0; //@line 747 "t1.c"
        __label__ = 9; break; //@line 747 "t1.c"
      case 13: // $bb9
        var $109=HEAP[$data1]; //@line 748 "t1.c"
        var $110=HEAP[$i]; //@line 748 "t1.c"
        var $111=CHECK_OVERFLOW(($109+4*$110)&4294967295, 32); //@line 748 "t1.c"
        HEAP[$data210]=$111; //@line 748 "t1.c"
        var $112=HEAP[$flags1]; //@line 749 "t1.c"
        var $113=HEAP[$i]; //@line 749 "t1.c"
        var $114=CHECK_OVERFLOW(($112+2*$113)&4294967295, 32); //@line 749 "t1.c"
        HEAP[$flags211]=$114; //@line 749 "t1.c"
        var $115=HEAP[$k]; //@line 750 "t1.c"
        HEAP[$j]=$115; //@line 750 "t1.c"
        __label__ = 10; break; //@line 750 "t1.c"
      case 11: // $bb12
        var $116=HEAP[$t1_addr]; //@line 751 "t1.c"
        var $117=CHECK_OVERFLOW(($116+36)&4294967295, 32); //@line 751 "t1.c"
        var $118=HEAP[$117]; //@line 751 "t1.c"
        var $119=HEAP[$flags211]; //@line 751 "t1.c"
        var $120=CHECK_OVERFLOW(($119+2*$118)&4294967295, 32); //@line 751 "t1.c"
        HEAP[$flags211]=$120; //@line 751 "t1.c"
        var $121=HEAP[$t1_addr]; //@line 752 "t1.c"
        var $122=HEAP[$flags211]; //@line 752 "t1.c"
        var $123=HEAP[$data210]; //@line 752 "t1.c"
        var $124=HEAP[$poshalf]; //@line 752 "t1.c"
        var $125=HEAP[$neghalf]; //@line 752 "t1.c"
        _t1_dec_refpass_step_mqc($121, $122, $123, $124, $125); //@line 752 "t1.c"
        var $126=HEAP[$t1_addr]; //@line 753 "t1.c"
        var $127=CHECK_OVERFLOW(($126+20)&4294967295, 32); //@line 753 "t1.c"
        var $128=HEAP[$127]; //@line 753 "t1.c"
        var $129=HEAP[$data210]; //@line 753 "t1.c"
        var $130=CHECK_OVERFLOW(($129+4*$128)&4294967295, 32); //@line 753 "t1.c"
        HEAP[$data210]=$130; //@line 753 "t1.c"
        var $131=HEAP[$j]; //@line 750 "t1.c"
        var $132=CHECK_OVERFLOW((($131) + 1)&4294967295, 32); //@line 750 "t1.c"
        HEAP[$j]=$132; //@line 750 "t1.c"
        __label__ = 10; break; //@line 750 "t1.c"
      case 10: // $bb13
        var $133=HEAP[$t1_addr]; //@line 750 "t1.c"
        var $134=CHECK_OVERFLOW(($133+24)&4294967295, 32); //@line 750 "t1.c"
        var $135=HEAP[$134]; //@line 750 "t1.c"
        var $136=HEAP[$j]; //@line 750 "t1.c"
        var $137=($135) > ($136); //@line 750 "t1.c"
        if ($137) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 750 "t1.c"
      case 12: // $bb14
        var $138=HEAP[$i]; //@line 747 "t1.c"
        var $139=CHECK_OVERFLOW((($138) + 1)&4294967295, 32); //@line 747 "t1.c"
        HEAP[$i]=$139; //@line 747 "t1.c"
        __label__ = 9; break; //@line 747 "t1.c"
      case 9: // $bb15
        var $140=HEAP[$t1_addr]; //@line 747 "t1.c"
        var $141=CHECK_OVERFLOW(($140+20)&4294967295, 32); //@line 747 "t1.c"
        var $142=HEAP[$141]; //@line 747 "t1.c"
        var $143=HEAP[$i]; //@line 747 "t1.c"
        var $144=($142) > ($143); //@line 747 "t1.c"
        if ($144) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 747 "t1.c"
      case 14: // $bb16
        __label__ = 15; break; //@line 756 "t1.c"
      case 15: // $return
        STACKTOP = __stackBase__;
        return; //@line 756 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_dec_refpass_step_mqc($t1, $flagsp, $datap, $poshalf, $neghalf) {
    var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 44);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $flagsp_addr=__stackBase__+4;
        var $datap_addr=__stackBase__+8;
        var $poshalf_addr=__stackBase__+12;
        var $neghalf_addr=__stackBase__+16;
        var $iftmp_17=__stackBase__+20;
        var $iftmp_16=__stackBase__+24;
        var $v=__stackBase__+28;
        var $t=__stackBase__+32;
        var $flag=__stackBase__+36;
        var $mqc=__stackBase__+40;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$flagsp_addr]=$flagsp;
        HEAP[$datap_addr]=$datap;
        HEAP[$poshalf_addr]=$poshalf;
        HEAP[$neghalf_addr]=$neghalf;
        var $0=HEAP[$t1_addr]; //@line 629 "t1.c"
        var $1=CHECK_OVERFLOW(($0+4)&4294967295, 32); //@line 629 "t1.c"
        var $2=HEAP[$1]; //@line 629 "t1.c"
        HEAP[$mqc]=$2; //@line 629 "t1.c"
        var $3=HEAP[$flagsp_addr]; //@line 631 "t1.c"
        var $4=HEAP[$3]; //@line 631 "t1.c"
        var $5=($4); //@line 631 "t1.c"
        HEAP[$flag]=$5; //@line 631 "t1.c"
        var $6=HEAP[$flag]; //@line 632 "t1.c"
        var $7=($6) & 20480; //@line 632 "t1.c"
        var $8=($7)==4096; //@line 632 "t1.c"
        if ($8) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 632 "t1.c"
      case 0: // $bb
        var $9=HEAP[$flag]; //@line 633 "t1.c"
        var $10=_t1_getctxno_mag($9); //@line 633 "t1.c"
        var $11=HEAP[$mqc]; //@line 633 "t1.c"
        var $12=CHECK_OVERFLOW(($11+24)&4294967295, 32); //@line 633 "t1.c"
        var $13=CHECK_OVERFLOW(($12+$10*4)&4294967295, 32); //@line 633 "t1.c"
        var $14=HEAP[$mqc]; //@line 633 "t1.c"
        var $15=CHECK_OVERFLOW(($14+100)&4294967295, 32); //@line 633 "t1.c"
        HEAP[$15]=$13; //@line 633 "t1.c"
        var $16=HEAP[$mqc]; //@line 634 "t1.c"
        var $17=_mqc_decode($16); //@line 634 "t1.c"
        HEAP[$v]=$17; //@line 634 "t1.c"
        var $18=HEAP[$v]; //@line 635 "t1.c"
        var $19=($18)!=0; //@line 635 "t1.c"
        if ($19) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 635 "t1.c"
      case 2: // $bb1
        var $20=HEAP[$poshalf_addr]; //@line 635 "t1.c"
        HEAP[$iftmp_16]=$20; //@line 635 "t1.c"
        __label__ = 4; break; //@line 635 "t1.c"
      case 3: // $bb2
        var $21=HEAP[$neghalf_addr]; //@line 635 "t1.c"
        HEAP[$iftmp_16]=$21; //@line 635 "t1.c"
        __label__ = 4; break; //@line 635 "t1.c"
      case 4: // $bb3
        var $22=HEAP[$iftmp_16]; //@line 635 "t1.c"
        HEAP[$t]=$22; //@line 635 "t1.c"
        var $23=HEAP[$datap_addr]; //@line 636 "t1.c"
        var $24=HEAP[$23]; //@line 636 "t1.c"
        var $25=HEAP[$datap_addr]; //@line 636 "t1.c"
        var $26=HEAP[$25]; //@line 636 "t1.c"
        var $27=($26) < 0; //@line 636 "t1.c"
        if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 636 "t1.c"
      case 5: // $bb4
        var $28=HEAP[$t]; //@line 636 "t1.c"
        var $29=CHECK_OVERFLOW((0 - ($28))&4294967295, 32); //@line 636 "t1.c"
        HEAP[$iftmp_17]=$29; //@line 636 "t1.c"
        __label__ = 7; break; //@line 636 "t1.c"
      case 6: // $bb5
        var $30=HEAP[$t]; //@line 636 "t1.c"
        HEAP[$iftmp_17]=$30; //@line 636 "t1.c"
        __label__ = 7; break; //@line 636 "t1.c"
      case 7: // $bb6
        var $31=HEAP[$iftmp_17]; //@line 636 "t1.c"
        var $32=CHECK_OVERFLOW((($24) + ($31))&4294967295, 32); //@line 636 "t1.c"
        var $33=HEAP[$datap_addr]; //@line 636 "t1.c"
        HEAP[$33]=$32; //@line 636 "t1.c"
        var $34=HEAP[$flagsp_addr]; //@line 637 "t1.c"
        var $35=HEAP[$34]; //@line 637 "t1.c"
        var $36=($35) | 8192; //@line 637 "t1.c"
        var $37=HEAP[$flagsp_addr]; //@line 637 "t1.c"
        HEAP[$37]=$36; //@line 637 "t1.c"
        __label__ = 1; break; //@line 637 "t1.c"
      case 1: // $bb7
        __label__ = 8; break; //@line 639 "t1.c"
      case 8: // $return
        STACKTOP = __stackBase__;
        return; //@line 639 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_dec_refpass_mqc_vsc($t1, $bpno) {
    var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 44);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $bpno_addr=__stackBase__+4;
        var $iftmp_26=__stackBase__+8;
        var $iftmp_25=__stackBase__+12;
        var $i=__stackBase__+16;
        var $j=__stackBase__+20;
        var $k=__stackBase__+24;
        var $one=__stackBase__+28;
        var $poshalf=__stackBase__+32;
        var $neghalf=__stackBase__+36;
        var $vsc=__stackBase__+40;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$bpno_addr]=$bpno;
        var $0=HEAP[$bpno_addr]; //@line 764 "t1.c"
        var $1=1 << ($0); //@line 764 "t1.c"
        HEAP[$one]=$1; //@line 764 "t1.c"
        var $2=HEAP[$one]; //@line 765 "t1.c"
        var $3=($2) >> 1; //@line 765 "t1.c"
        HEAP[$poshalf]=$3; //@line 765 "t1.c"
        var $4=HEAP[$bpno_addr]; //@line 766 "t1.c"
        var $5=($4) > 0; //@line 766 "t1.c"
        if ($5) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 766 "t1.c"
      case 0: // $bb
        var $6=HEAP[$poshalf]; //@line 766 "t1.c"
        var $7=CHECK_OVERFLOW((0 - ($6))&4294967295, 32); //@line 766 "t1.c"
        HEAP[$iftmp_25]=$7; //@line 766 "t1.c"
        __label__ = 2; break; //@line 766 "t1.c"
      case 1: // $bb1
        HEAP[$iftmp_25]=-1; //@line 766 "t1.c"
        __label__ = 2; break; //@line 766 "t1.c"
      case 2: // $bb2
        var $8=HEAP[$iftmp_25]; //@line 766 "t1.c"
        HEAP[$neghalf]=$8; //@line 766 "t1.c"
        HEAP[$k]=0; //@line 767 "t1.c"
        __label__ = 3; break; //@line 767 "t1.c"
      case 15: // $bb3
        HEAP[$i]=0; //@line 768 "t1.c"
        __label__ = 4; break; //@line 768 "t1.c"
      case 13: // $bb4
        var $9=HEAP[$k]; //@line 769 "t1.c"
        HEAP[$j]=$9; //@line 769 "t1.c"
        __label__ = 5; break; //@line 769 "t1.c"
      case 12: // $bb5
        var $10=HEAP[$k]; //@line 770 "t1.c"
        var $11=CHECK_OVERFLOW((($10) + 3)&4294967295, 32); //@line 770 "t1.c"
        var $12=HEAP[$j]; //@line 770 "t1.c"
        var $13=($11)==($12); //@line 770 "t1.c"
        if ($13) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 770 "t1.c"
      case 7: // $bb6
        var $14=HEAP[$t1_addr]; //@line 770 "t1.c"
        var $15=CHECK_OVERFLOW(($14+24)&4294967295, 32); //@line 770 "t1.c"
        var $16=HEAP[$15]; //@line 770 "t1.c"
        var $17=CHECK_OVERFLOW((($16) - 1)&4294967295, 32); //@line 770 "t1.c"
        var $18=HEAP[$j]; //@line 770 "t1.c"
        var $19=($17)==($18); //@line 770 "t1.c"
        if ($19) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 770 "t1.c"
      case 6: // $bb7
        HEAP[$iftmp_26]=1; //@line 770 "t1.c"
        __label__ = 9; break; //@line 770 "t1.c"
      case 8: // $bb8
        HEAP[$iftmp_26]=0; //@line 770 "t1.c"
        __label__ = 9; break; //@line 770 "t1.c"
      case 9: // $bb9
        var $20=HEAP[$iftmp_26]; //@line 770 "t1.c"
        HEAP[$vsc]=$20; //@line 770 "t1.c"
        var $21=HEAP[$t1_addr]; //@line 771 "t1.c"
        var $22=CHECK_OVERFLOW(($21+12)&4294967295, 32); //@line 771 "t1.c"
        var $23=HEAP[$22]; //@line 771 "t1.c"
        var $24=HEAP[$t1_addr]; //@line 771 "t1.c"
        var $25=CHECK_OVERFLOW(($24+20)&4294967295, 32); //@line 771 "t1.c"
        var $26=HEAP[$25]; //@line 771 "t1.c"
        var $27=HEAP[$j]; //@line 771 "t1.c"
        var $28=CHECK_OVERFLOW((($26) * ($27))&4294967295, 32); //@line 771 "t1.c"
        var $29=HEAP[$i]; //@line 771 "t1.c"
        var $30=CHECK_OVERFLOW((($28) + ($29))&4294967295, 32); //@line 771 "t1.c"
        var $31=CHECK_OVERFLOW(($23+4*$30)&4294967295, 32); //@line 771 "t1.c"
        var $32=HEAP[$t1_addr]; //@line 771 "t1.c"
        var $33=CHECK_OVERFLOW(($32+16)&4294967295, 32); //@line 771 "t1.c"
        var $34=HEAP[$33]; //@line 771 "t1.c"
        var $35=HEAP[$j]; //@line 771 "t1.c"
        var $36=CHECK_OVERFLOW((($35) + 1)&4294967295, 32); //@line 771 "t1.c"
        var $37=HEAP[$t1_addr]; //@line 771 "t1.c"
        var $38=CHECK_OVERFLOW(($37+36)&4294967295, 32); //@line 771 "t1.c"
        var $39=HEAP[$38]; //@line 771 "t1.c"
        var $40=CHECK_OVERFLOW((($36) * ($39))&4294967295, 32); //@line 771 "t1.c"
        var $41=HEAP[$i]; //@line 771 "t1.c"
        var $42=CHECK_OVERFLOW((($40) + ($41))&4294967295, 32); //@line 771 "t1.c"
        var $43=CHECK_OVERFLOW((($42) + 1)&4294967295, 32); //@line 771 "t1.c"
        var $44=CHECK_OVERFLOW(($34+2*$43)&4294967295, 32); //@line 771 "t1.c"
        var $45=HEAP[$t1_addr]; //@line 771 "t1.c"
        var $46=HEAP[$poshalf]; //@line 771 "t1.c"
        var $47=HEAP[$neghalf]; //@line 771 "t1.c"
        var $48=HEAP[$vsc]; //@line 771 "t1.c"
        _t1_dec_refpass_step_mqc_vsc($45, $44, $31, $46, $47, $48); //@line 771 "t1.c"
        var $49=HEAP[$j]; //@line 769 "t1.c"
        var $50=CHECK_OVERFLOW((($49) + 1)&4294967295, 32); //@line 769 "t1.c"
        HEAP[$j]=$50; //@line 769 "t1.c"
        __label__ = 5; break; //@line 769 "t1.c"
      case 5: // $bb10
        var $51=HEAP[$k]; //@line 769 "t1.c"
        var $52=CHECK_OVERFLOW((($51) + 4)&4294967295, 32); //@line 769 "t1.c"
        var $53=HEAP[$j]; //@line 769 "t1.c"
        var $54=($52) <= ($53); //@line 769 "t1.c"
        if ($54) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 769 "t1.c"
      case 11: // $bb11
        var $55=HEAP[$t1_addr]; //@line 769 "t1.c"
        var $56=CHECK_OVERFLOW(($55+24)&4294967295, 32); //@line 769 "t1.c"
        var $57=HEAP[$56]; //@line 769 "t1.c"
        var $58=HEAP[$j]; //@line 769 "t1.c"
        var $59=($57) > ($58); //@line 769 "t1.c"
        if ($59) { __label__ = 12; break; } else { __label__ = 10; break; } //@line 769 "t1.c"
      case 10: // $bb12
        var $60=HEAP[$i]; //@line 768 "t1.c"
        var $61=CHECK_OVERFLOW((($60) + 1)&4294967295, 32); //@line 768 "t1.c"
        HEAP[$i]=$61; //@line 768 "t1.c"
        __label__ = 4; break; //@line 768 "t1.c"
      case 4: // $bb13
        var $62=HEAP[$t1_addr]; //@line 768 "t1.c"
        var $63=CHECK_OVERFLOW(($62+20)&4294967295, 32); //@line 768 "t1.c"
        var $64=HEAP[$63]; //@line 768 "t1.c"
        var $65=HEAP[$i]; //@line 768 "t1.c"
        var $66=($64) > ($65); //@line 768 "t1.c"
        if ($66) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 768 "t1.c"
      case 14: // $bb14
        var $67=HEAP[$k]; //@line 767 "t1.c"
        var $68=CHECK_OVERFLOW((($67) + 4)&4294967295, 32); //@line 767 "t1.c"
        HEAP[$k]=$68; //@line 767 "t1.c"
        __label__ = 3; break; //@line 767 "t1.c"
      case 3: // $bb15
        var $69=HEAP[$t1_addr]; //@line 767 "t1.c"
        var $70=CHECK_OVERFLOW(($69+24)&4294967295, 32); //@line 767 "t1.c"
        var $71=HEAP[$70]; //@line 767 "t1.c"
        var $72=HEAP[$k]; //@line 767 "t1.c"
        var $73=($71) > ($72); //@line 767 "t1.c"
        if ($73) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 767 "t1.c"
      case 16: // $bb16
        __label__ = 17; break; //@line 781 "t1.c"
      case 17: // $return
        STACKTOP = __stackBase__;
        return; //@line 781 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_dec_refpass_step_mqc_vsc($t1, $flagsp, $datap, $poshalf, $neghalf, $vsc) {
    var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 52);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $flagsp_addr=__stackBase__+4;
        var $datap_addr=__stackBase__+8;
        var $poshalf_addr=__stackBase__+12;
        var $neghalf_addr=__stackBase__+16;
        var $vsc_addr=__stackBase__+20;
        var $iftmp_20=__stackBase__+24;
        var $iftmp_19=__stackBase__+28;
        var $iftmp_18=__stackBase__+32;
        var $v=__stackBase__+36;
        var $t=__stackBase__+40;
        var $flag=__stackBase__+44;
        var $mqc=__stackBase__+48;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$flagsp_addr]=$flagsp;
        HEAP[$datap_addr]=$datap;
        HEAP[$poshalf_addr]=$poshalf;
        HEAP[$neghalf_addr]=$neghalf;
        HEAP[$vsc_addr]=$vsc;
        var $0=HEAP[$t1_addr]; //@line 651 "t1.c"
        var $1=CHECK_OVERFLOW(($0+4)&4294967295, 32); //@line 651 "t1.c"
        var $2=HEAP[$1]; //@line 651 "t1.c"
        HEAP[$mqc]=$2; //@line 651 "t1.c"
        var $3=HEAP[$vsc_addr]; //@line 653 "t1.c"
        var $4=($3)!=0; //@line 653 "t1.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 653 "t1.c"
      case 0: // $bb
        var $5=HEAP[$flagsp_addr]; //@line 653 "t1.c"
        var $6=HEAP[$5]; //@line 653 "t1.c"
        var $7=($6) & -1095; //@line 653 "t1.c"
        var $8=($7); //@line 653 "t1.c"
        HEAP[$iftmp_18]=$8; //@line 653 "t1.c"
        __label__ = 2; break; //@line 653 "t1.c"
      case 1: // $bb1
        var $9=HEAP[$flagsp_addr]; //@line 653 "t1.c"
        var $10=HEAP[$9]; //@line 653 "t1.c"
        var $11=($10); //@line 653 "t1.c"
        HEAP[$iftmp_18]=$11; //@line 653 "t1.c"
        __label__ = 2; break; //@line 653 "t1.c"
      case 2: // $bb2
        var $12=HEAP[$iftmp_18]; //@line 653 "t1.c"
        HEAP[$flag]=$12; //@line 653 "t1.c"
        var $13=HEAP[$flag]; //@line 654 "t1.c"
        var $14=($13) & 20480; //@line 654 "t1.c"
        var $15=($14)==4096; //@line 654 "t1.c"
        if ($15) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 654 "t1.c"
      case 3: // $bb3
        var $16=HEAP[$flag]; //@line 655 "t1.c"
        var $17=_t1_getctxno_mag($16); //@line 655 "t1.c"
        var $18=HEAP[$mqc]; //@line 655 "t1.c"
        var $19=CHECK_OVERFLOW(($18+24)&4294967295, 32); //@line 655 "t1.c"
        var $20=CHECK_OVERFLOW(($19+$17*4)&4294967295, 32); //@line 655 "t1.c"
        var $21=HEAP[$mqc]; //@line 655 "t1.c"
        var $22=CHECK_OVERFLOW(($21+100)&4294967295, 32); //@line 655 "t1.c"
        HEAP[$22]=$20; //@line 655 "t1.c"
        var $23=HEAP[$mqc]; //@line 656 "t1.c"
        var $24=_mqc_decode($23); //@line 656 "t1.c"
        HEAP[$v]=$24; //@line 656 "t1.c"
        var $25=HEAP[$v]; //@line 657 "t1.c"
        var $26=($25)!=0; //@line 657 "t1.c"
        if ($26) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 657 "t1.c"
      case 5: // $bb4
        var $27=HEAP[$poshalf_addr]; //@line 657 "t1.c"
        HEAP[$iftmp_19]=$27; //@line 657 "t1.c"
        __label__ = 7; break; //@line 657 "t1.c"
      case 6: // $bb5
        var $28=HEAP[$neghalf_addr]; //@line 657 "t1.c"
        HEAP[$iftmp_19]=$28; //@line 657 "t1.c"
        __label__ = 7; break; //@line 657 "t1.c"
      case 7: // $bb6
        var $29=HEAP[$iftmp_19]; //@line 657 "t1.c"
        HEAP[$t]=$29; //@line 657 "t1.c"
        var $30=HEAP[$datap_addr]; //@line 658 "t1.c"
        var $31=HEAP[$30]; //@line 658 "t1.c"
        var $32=HEAP[$datap_addr]; //@line 658 "t1.c"
        var $33=HEAP[$32]; //@line 658 "t1.c"
        var $34=($33) < 0; //@line 658 "t1.c"
        if ($34) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 658 "t1.c"
      case 8: // $bb7
        var $35=HEAP[$t]; //@line 658 "t1.c"
        var $36=CHECK_OVERFLOW((0 - ($35))&4294967295, 32); //@line 658 "t1.c"
        HEAP[$iftmp_20]=$36; //@line 658 "t1.c"
        __label__ = 10; break; //@line 658 "t1.c"
      case 9: // $bb8
        var $37=HEAP[$t]; //@line 658 "t1.c"
        HEAP[$iftmp_20]=$37; //@line 658 "t1.c"
        __label__ = 10; break; //@line 658 "t1.c"
      case 10: // $bb9
        var $38=HEAP[$iftmp_20]; //@line 658 "t1.c"
        var $39=CHECK_OVERFLOW((($31) + ($38))&4294967295, 32); //@line 658 "t1.c"
        var $40=HEAP[$datap_addr]; //@line 658 "t1.c"
        HEAP[$40]=$39; //@line 658 "t1.c"
        var $41=HEAP[$flagsp_addr]; //@line 659 "t1.c"
        var $42=HEAP[$41]; //@line 659 "t1.c"
        var $43=($42) | 8192; //@line 659 "t1.c"
        var $44=HEAP[$flagsp_addr]; //@line 659 "t1.c"
        HEAP[$44]=$43; //@line 659 "t1.c"
        __label__ = 4; break; //@line 659 "t1.c"
      case 4: // $bb10
        __label__ = 11; break; //@line 661 "t1.c"
      case 11: // $return
        STACKTOP = __stackBase__;
        return; //@line 661 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_enc_clnpass_step($t1, $flagsp, $datap, $orient, $bpno, $one, $nmsedec, $partial, $vsc) {
    var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 52);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $flagsp_addr=__stackBase__+4;
        var $datap_addr=__stackBase__+8;
        var $orient_addr=__stackBase__+12;
        var $bpno_addr=__stackBase__+16;
        var $one_addr=__stackBase__+20;
        var $nmsedec_addr=__stackBase__+24;
        var $partial_addr=__stackBase__+28;
        var $vsc_addr=__stackBase__+32;
        var $iftmp_27=__stackBase__+36;
        var $v=__stackBase__+40;
        var $flag=__stackBase__+44;
        var $mqc=__stackBase__+48;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$flagsp_addr]=$flagsp;
        HEAP[$datap_addr]=$datap;
        HEAP[$orient_addr]=$orient;
        HEAP[$bpno_addr]=$bpno;
        HEAP[$one_addr]=$one;
        HEAP[$nmsedec_addr]=$nmsedec;
        HEAP[$partial_addr]=$partial;
        HEAP[$vsc_addr]=$vsc;
        var $0=HEAP[$t1_addr]; //@line 796 "t1.c"
        var $1=CHECK_OVERFLOW(($0+4)&4294967295, 32); //@line 796 "t1.c"
        var $2=HEAP[$1]; //@line 796 "t1.c"
        HEAP[$mqc]=$2; //@line 796 "t1.c"
        var $3=HEAP[$vsc_addr]; //@line 798 "t1.c"
        var $4=($3)!=0; //@line 798 "t1.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 798 "t1.c"
      case 0: // $bb
        var $5=HEAP[$flagsp_addr]; //@line 798 "t1.c"
        var $6=HEAP[$5]; //@line 798 "t1.c"
        var $7=($6) & -1095; //@line 798 "t1.c"
        var $8=($7); //@line 798 "t1.c"
        HEAP[$iftmp_27]=$8; //@line 798 "t1.c"
        __label__ = 2; break; //@line 798 "t1.c"
      case 1: // $bb1
        var $9=HEAP[$flagsp_addr]; //@line 798 "t1.c"
        var $10=HEAP[$9]; //@line 798 "t1.c"
        var $11=($10); //@line 798 "t1.c"
        HEAP[$iftmp_27]=$11; //@line 798 "t1.c"
        __label__ = 2; break; //@line 798 "t1.c"
      case 2: // $bb2
        var $12=HEAP[$iftmp_27]; //@line 798 "t1.c"
        HEAP[$flag]=$12; //@line 798 "t1.c"
        var $13=HEAP[$partial_addr]; //@line 799 "t1.c"
        var $14=($13)!=0; //@line 799 "t1.c"
        if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 799 "t1.c"
      case 4: // $bb3
        var $15=HEAP[$flagsp_addr]; //@line 802 "t1.c"
        var $16=HEAP[$15]; //@line 802 "t1.c"
        var $17=($16); //@line 802 "t1.c"
        var $18=($17) & 20480; //@line 802 "t1.c"
        var $19=($18)==0; //@line 802 "t1.c"
        if ($19) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 802 "t1.c"
      case 5: // $bb4
        var $20=HEAP[$flag]; //@line 803 "t1.c"
        var $21=HEAP[$orient_addr]; //@line 803 "t1.c"
        var $22=_t1_getctxno_zc($20, $21); //@line 803 "t1.c"
        var $23=($22); //@line 803 "t1.c"
        var $24=HEAP[$mqc]; //@line 803 "t1.c"
        var $25=CHECK_OVERFLOW(($24+24)&4294967295, 32); //@line 803 "t1.c"
        var $26=CHECK_OVERFLOW(($25+$23*4)&4294967295, 32); //@line 803 "t1.c"
        var $27=HEAP[$mqc]; //@line 803 "t1.c"
        var $28=CHECK_OVERFLOW(($27+100)&4294967295, 32); //@line 803 "t1.c"
        HEAP[$28]=$26; //@line 803 "t1.c"
        var $29=HEAP[$datap_addr]; //@line 804 "t1.c"
        var $30=HEAP[$29]; //@line 804 "t1.c"
        var $31=_int_abs($30); //@line 804 "t1.c"
        var $32=HEAP[$one_addr]; //@line 804 "t1.c"
        var $33=($31) & ($32); //@line 804 "t1.c"
        var $34=($33)!=0; //@line 804 "t1.c"
        var $35=($34); //@line 804 "t1.c"
        HEAP[$v]=$35; //@line 804 "t1.c"
        var $36=HEAP[$mqc]; //@line 805 "t1.c"
        var $37=HEAP[$v]; //@line 805 "t1.c"
        _mqc_encode($36, $37); //@line 805 "t1.c"
        var $38=HEAP[$v]; //@line 806 "t1.c"
        var $39=($38)!=0; //@line 806 "t1.c"
        if ($39) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 806 "t1.c"
      case 3: // $LABEL_PARTIAL
        var $40=HEAP[$nmsedec_addr]; //@line 808 "t1.c"
        var $41=HEAP[$40]; //@line 808 "t1.c"
        var $42=HEAP[$bpno_addr]; //@line 808 "t1.c"
        var $43=CHECK_OVERFLOW((($42) + 6)&4294967295, 32); //@line 808 "t1.c"
        var $44=HEAP[$datap_addr]; //@line 808 "t1.c"
        var $45=HEAP[$44]; //@line 808 "t1.c"
        var $46=_int_abs($45); //@line 808 "t1.c"
        var $47=_t1_getnmsedec_sig($46, $43); //@line 808 "t1.c"
        var $48=($47); //@line 808 "t1.c"
        var $49=CHECK_OVERFLOW((($41) + ($48))&4294967295, 32); //@line 808 "t1.c"
        var $50=HEAP[$nmsedec_addr]; //@line 808 "t1.c"
        HEAP[$50]=$49; //@line 808 "t1.c"
        var $51=HEAP[$flag]; //@line 809 "t1.c"
        var $52=_t1_getctxno_sc($51); //@line 809 "t1.c"
        var $53=($52); //@line 809 "t1.c"
        var $54=HEAP[$mqc]; //@line 809 "t1.c"
        var $55=CHECK_OVERFLOW(($54+24)&4294967295, 32); //@line 809 "t1.c"
        var $56=CHECK_OVERFLOW(($55+$53*4)&4294967295, 32); //@line 809 "t1.c"
        var $57=HEAP[$mqc]; //@line 809 "t1.c"
        var $58=CHECK_OVERFLOW(($57+100)&4294967295, 32); //@line 809 "t1.c"
        HEAP[$58]=$56; //@line 809 "t1.c"
        var $59=HEAP[$datap_addr]; //@line 810 "t1.c"
        var $60=HEAP[$59]; //@line 810 "t1.c"
        var $61=($60) < 0; //@line 810 "t1.c"
        var $62=($61); //@line 810 "t1.c"
        HEAP[$v]=$62; //@line 810 "t1.c"
        var $63=HEAP[$flag]; //@line 811 "t1.c"
        var $64=_t1_getspb($63); //@line 811 "t1.c"
        var $65=($64); //@line 811 "t1.c"
        var $66=HEAP[$v]; //@line 811 "t1.c"
        var $67=($65) ^ ($66); //@line 811 "t1.c"
        var $68=HEAP[$mqc]; //@line 811 "t1.c"
        _mqc_encode($68, $67); //@line 811 "t1.c"
        var $69=HEAP[$t1_addr]; //@line 812 "t1.c"
        var $70=CHECK_OVERFLOW(($69+36)&4294967295, 32); //@line 812 "t1.c"
        var $71=HEAP[$70]; //@line 812 "t1.c"
        var $72=HEAP[$flagsp_addr]; //@line 812 "t1.c"
        var $73=HEAP[$v]; //@line 812 "t1.c"
        _t1_updateflags($72, $73, $71); //@line 812 "t1.c"
        __label__ = 6; break; //@line 812 "t1.c"
      case 6: // $bb5
        var $74=HEAP[$flagsp_addr]; //@line 815 "t1.c"
        var $75=HEAP[$74]; //@line 815 "t1.c"
        var $76=($75) & -16385; //@line 815 "t1.c"
        var $77=HEAP[$flagsp_addr]; //@line 815 "t1.c"
        HEAP[$77]=$76; //@line 815 "t1.c"
        __label__ = 7; break; //@line 816 "t1.c"
      case 7: // $return
        STACKTOP = __stackBase__;
        return; //@line 816 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_dec_clnpass_step_partial($t1, $flagsp, $datap, $orient, $oneplushalf) {
    var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 36);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $flagsp_addr=__stackBase__+4;
        var $datap_addr=__stackBase__+8;
        var $orient_addr=__stackBase__+12;
        var $oneplushalf_addr=__stackBase__+16;
        var $iftmp_28=__stackBase__+20;
        var $v=__stackBase__+24;
        var $flag=__stackBase__+28;
        var $mqc=__stackBase__+32;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$flagsp_addr]=$flagsp;
        HEAP[$datap_addr]=$datap;
        HEAP[$orient_addr]=$orient;
        HEAP[$oneplushalf_addr]=$oneplushalf;
        var $0=HEAP[$t1_addr]; //@line 827 "t1.c"
        var $1=CHECK_OVERFLOW(($0+4)&4294967295, 32); //@line 827 "t1.c"
        var $2=HEAP[$1]; //@line 827 "t1.c"
        HEAP[$mqc]=$2; //@line 827 "t1.c"
        var $3=HEAP[$flagsp_addr]; //@line 829 "t1.c"
        var $4=HEAP[$3]; //@line 829 "t1.c"
        var $5=($4); //@line 829 "t1.c"
        HEAP[$flag]=$5; //@line 829 "t1.c"
        var $6=HEAP[$flag]; //@line 830 "t1.c"
        var $7=_t1_getctxno_sc($6); //@line 830 "t1.c"
        var $8=($7); //@line 830 "t1.c"
        var $9=HEAP[$mqc]; //@line 830 "t1.c"
        var $10=CHECK_OVERFLOW(($9+24)&4294967295, 32); //@line 830 "t1.c"
        var $11=CHECK_OVERFLOW(($10+$8*4)&4294967295, 32); //@line 830 "t1.c"
        var $12=HEAP[$mqc]; //@line 830 "t1.c"
        var $13=CHECK_OVERFLOW(($12+100)&4294967295, 32); //@line 830 "t1.c"
        HEAP[$13]=$11; //@line 830 "t1.c"
        var $14=HEAP[$mqc]; //@line 831 "t1.c"
        var $15=_mqc_decode($14); //@line 831 "t1.c"
        var $16=HEAP[$flag]; //@line 831 "t1.c"
        var $17=_t1_getspb($16); //@line 831 "t1.c"
        var $18=($17); //@line 831 "t1.c"
        var $19=($15) ^ ($18); //@line 831 "t1.c"
        HEAP[$v]=$19; //@line 831 "t1.c"
        var $20=HEAP[$v]; //@line 832 "t1.c"
        var $21=($20)!=0; //@line 832 "t1.c"
        if ($21) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 832 "t1.c"
      case 0: // $bb
        var $22=HEAP[$oneplushalf_addr]; //@line 832 "t1.c"
        var $23=CHECK_OVERFLOW((0 - ($22))&4294967295, 32); //@line 832 "t1.c"
        HEAP[$iftmp_28]=$23; //@line 832 "t1.c"
        __label__ = 2; break; //@line 832 "t1.c"
      case 1: // $bb1
        var $24=HEAP[$oneplushalf_addr]; //@line 832 "t1.c"
        HEAP[$iftmp_28]=$24; //@line 832 "t1.c"
        __label__ = 2; break; //@line 832 "t1.c"
      case 2: // $bb2
        var $25=HEAP[$datap_addr]; //@line 832 "t1.c"
        var $26=HEAP[$iftmp_28]; //@line 832 "t1.c"
        HEAP[$25]=$26; //@line 832 "t1.c"
        var $27=HEAP[$t1_addr]; //@line 833 "t1.c"
        var $28=CHECK_OVERFLOW(($27+36)&4294967295, 32); //@line 833 "t1.c"
        var $29=HEAP[$28]; //@line 833 "t1.c"
        var $30=HEAP[$flagsp_addr]; //@line 833 "t1.c"
        var $31=HEAP[$v]; //@line 833 "t1.c"
        _t1_updateflags($30, $31, $29); //@line 833 "t1.c"
        var $32=HEAP[$flagsp_addr]; //@line 834 "t1.c"
        var $33=HEAP[$32]; //@line 834 "t1.c"
        var $34=($33) & -16385; //@line 834 "t1.c"
        var $35=HEAP[$flagsp_addr]; //@line 834 "t1.c"
        HEAP[$35]=$34; //@line 834 "t1.c"
        __label__ = 3; break; //@line 835 "t1.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 835 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_dec_clnpass_step($t1, $flagsp, $datap, $orient, $oneplushalf) {
    var __stackBase__  = STACKTOP; STACKTOP += 36; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 36);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $flagsp_addr=__stackBase__+4;
        var $datap_addr=__stackBase__+8;
        var $orient_addr=__stackBase__+12;
        var $oneplushalf_addr=__stackBase__+16;
        var $iftmp_29=__stackBase__+20;
        var $v=__stackBase__+24;
        var $flag=__stackBase__+28;
        var $mqc=__stackBase__+32;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$flagsp_addr]=$flagsp;
        HEAP[$datap_addr]=$datap;
        HEAP[$orient_addr]=$orient;
        HEAP[$oneplushalf_addr]=$oneplushalf;
        var $0=HEAP[$t1_addr]; //@line 846 "t1.c"
        var $1=CHECK_OVERFLOW(($0+4)&4294967295, 32); //@line 846 "t1.c"
        var $2=HEAP[$1]; //@line 846 "t1.c"
        HEAP[$mqc]=$2; //@line 846 "t1.c"
        var $3=HEAP[$flagsp_addr]; //@line 848 "t1.c"
        var $4=HEAP[$3]; //@line 848 "t1.c"
        var $5=($4); //@line 848 "t1.c"
        HEAP[$flag]=$5; //@line 848 "t1.c"
        var $6=HEAP[$flag]; //@line 849 "t1.c"
        var $7=($6) & 20480; //@line 849 "t1.c"
        var $8=($7)==0; //@line 849 "t1.c"
        if ($8) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 849 "t1.c"
      case 0: // $bb
        var $9=HEAP[$flag]; //@line 850 "t1.c"
        var $10=HEAP[$orient_addr]; //@line 850 "t1.c"
        var $11=_t1_getctxno_zc($9, $10); //@line 850 "t1.c"
        var $12=($11); //@line 850 "t1.c"
        var $13=HEAP[$mqc]; //@line 850 "t1.c"
        var $14=CHECK_OVERFLOW(($13+24)&4294967295, 32); //@line 850 "t1.c"
        var $15=CHECK_OVERFLOW(($14+$12*4)&4294967295, 32); //@line 850 "t1.c"
        var $16=HEAP[$mqc]; //@line 850 "t1.c"
        var $17=CHECK_OVERFLOW(($16+100)&4294967295, 32); //@line 850 "t1.c"
        HEAP[$17]=$15; //@line 850 "t1.c"
        var $18=HEAP[$mqc]; //@line 851 "t1.c"
        var $19=_mqc_decode($18); //@line 851 "t1.c"
        var $20=($19)!=0; //@line 851 "t1.c"
        if ($20) { __label__ = 2; break; } else { __label__ = 1; break; } //@line 851 "t1.c"
      case 2: // $bb1
        var $21=HEAP[$flag]; //@line 852 "t1.c"
        var $22=_t1_getctxno_sc($21); //@line 852 "t1.c"
        var $23=($22); //@line 852 "t1.c"
        var $24=HEAP[$mqc]; //@line 852 "t1.c"
        var $25=CHECK_OVERFLOW(($24+24)&4294967295, 32); //@line 852 "t1.c"
        var $26=CHECK_OVERFLOW(($25+$23*4)&4294967295, 32); //@line 852 "t1.c"
        var $27=HEAP[$mqc]; //@line 852 "t1.c"
        var $28=CHECK_OVERFLOW(($27+100)&4294967295, 32); //@line 852 "t1.c"
        HEAP[$28]=$26; //@line 852 "t1.c"
        var $29=HEAP[$mqc]; //@line 853 "t1.c"
        var $30=_mqc_decode($29); //@line 853 "t1.c"
        var $31=HEAP[$flag]; //@line 853 "t1.c"
        var $32=_t1_getspb($31); //@line 853 "t1.c"
        var $33=($32); //@line 853 "t1.c"
        var $34=($30) ^ ($33); //@line 853 "t1.c"
        HEAP[$v]=$34; //@line 853 "t1.c"
        var $35=HEAP[$v]; //@line 854 "t1.c"
        var $36=($35)!=0; //@line 854 "t1.c"
        if ($36) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 854 "t1.c"
      case 3: // $bb2
        var $37=HEAP[$oneplushalf_addr]; //@line 854 "t1.c"
        var $38=CHECK_OVERFLOW((0 - ($37))&4294967295, 32); //@line 854 "t1.c"
        HEAP[$iftmp_29]=$38; //@line 854 "t1.c"
        __label__ = 5; break; //@line 854 "t1.c"
      case 4: // $bb3
        var $39=HEAP[$oneplushalf_addr]; //@line 854 "t1.c"
        HEAP[$iftmp_29]=$39; //@line 854 "t1.c"
        __label__ = 5; break; //@line 854 "t1.c"
      case 5: // $bb4
        var $40=HEAP[$datap_addr]; //@line 854 "t1.c"
        var $41=HEAP[$iftmp_29]; //@line 854 "t1.c"
        HEAP[$40]=$41; //@line 854 "t1.c"
        var $42=HEAP[$t1_addr]; //@line 855 "t1.c"
        var $43=CHECK_OVERFLOW(($42+36)&4294967295, 32); //@line 855 "t1.c"
        var $44=HEAP[$43]; //@line 855 "t1.c"
        var $45=HEAP[$flagsp_addr]; //@line 855 "t1.c"
        var $46=HEAP[$v]; //@line 855 "t1.c"
        _t1_updateflags($45, $46, $44); //@line 855 "t1.c"
        __label__ = 1; break; //@line 855 "t1.c"
      case 1: // $bb5
        var $47=HEAP[$flagsp_addr]; //@line 858 "t1.c"
        var $48=HEAP[$47]; //@line 858 "t1.c"
        var $49=($48) & -16385; //@line 858 "t1.c"
        var $50=HEAP[$flagsp_addr]; //@line 858 "t1.c"
        HEAP[$50]=$49; //@line 858 "t1.c"
        __label__ = 6; break; //@line 859 "t1.c"
      case 6: // $return
        STACKTOP = __stackBase__;
        return; //@line 859 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_dec_clnpass_step_vsc($t1, $flagsp, $datap, $orient, $oneplushalf, $partial, $vsc) {
    var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 48);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $flagsp_addr=__stackBase__+4;
        var $datap_addr=__stackBase__+8;
        var $orient_addr=__stackBase__+12;
        var $oneplushalf_addr=__stackBase__+16;
        var $partial_addr=__stackBase__+20;
        var $vsc_addr=__stackBase__+24;
        var $iftmp_31=__stackBase__+28;
        var $iftmp_30=__stackBase__+32;
        var $v=__stackBase__+36;
        var $flag=__stackBase__+40;
        var $mqc=__stackBase__+44;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$flagsp_addr]=$flagsp;
        HEAP[$datap_addr]=$datap;
        HEAP[$orient_addr]=$orient;
        HEAP[$oneplushalf_addr]=$oneplushalf;
        HEAP[$partial_addr]=$partial;
        HEAP[$vsc_addr]=$vsc;
        var $0=HEAP[$t1_addr]; //@line 872 "t1.c"
        var $1=CHECK_OVERFLOW(($0+4)&4294967295, 32); //@line 872 "t1.c"
        var $2=HEAP[$1]; //@line 872 "t1.c"
        HEAP[$mqc]=$2; //@line 872 "t1.c"
        var $3=HEAP[$vsc_addr]; //@line 874 "t1.c"
        var $4=($3)!=0; //@line 874 "t1.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 874 "t1.c"
      case 0: // $bb
        var $5=HEAP[$flagsp_addr]; //@line 874 "t1.c"
        var $6=HEAP[$5]; //@line 874 "t1.c"
        var $7=($6) & -1095; //@line 874 "t1.c"
        var $8=($7); //@line 874 "t1.c"
        HEAP[$iftmp_30]=$8; //@line 874 "t1.c"
        __label__ = 2; break; //@line 874 "t1.c"
      case 1: // $bb1
        var $9=HEAP[$flagsp_addr]; //@line 874 "t1.c"
        var $10=HEAP[$9]; //@line 874 "t1.c"
        var $11=($10); //@line 874 "t1.c"
        HEAP[$iftmp_30]=$11; //@line 874 "t1.c"
        __label__ = 2; break; //@line 874 "t1.c"
      case 2: // $bb2
        var $12=HEAP[$iftmp_30]; //@line 874 "t1.c"
        HEAP[$flag]=$12; //@line 874 "t1.c"
        var $13=HEAP[$partial_addr]; //@line 875 "t1.c"
        var $14=($13)!=0; //@line 875 "t1.c"
        if ($14) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 875 "t1.c"
      case 4: // $bb3
        var $15=HEAP[$flag]; //@line 878 "t1.c"
        var $16=($15) & 20480; //@line 878 "t1.c"
        var $17=($16)==0; //@line 878 "t1.c"
        if ($17) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 878 "t1.c"
      case 5: // $bb4
        var $18=HEAP[$flag]; //@line 879 "t1.c"
        var $19=HEAP[$orient_addr]; //@line 879 "t1.c"
        var $20=_t1_getctxno_zc($18, $19); //@line 879 "t1.c"
        var $21=($20); //@line 879 "t1.c"
        var $22=HEAP[$mqc]; //@line 879 "t1.c"
        var $23=CHECK_OVERFLOW(($22+24)&4294967295, 32); //@line 879 "t1.c"
        var $24=CHECK_OVERFLOW(($23+$21*4)&4294967295, 32); //@line 879 "t1.c"
        var $25=HEAP[$mqc]; //@line 879 "t1.c"
        var $26=CHECK_OVERFLOW(($25+100)&4294967295, 32); //@line 879 "t1.c"
        HEAP[$26]=$24; //@line 879 "t1.c"
        var $27=HEAP[$mqc]; //@line 880 "t1.c"
        var $28=_mqc_decode($27); //@line 880 "t1.c"
        var $29=($28)!=0; //@line 880 "t1.c"
        if ($29) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 880 "t1.c"
      case 3: // $LABEL_PARTIAL
        var $30=HEAP[$flag]; //@line 882 "t1.c"
        var $31=_t1_getctxno_sc($30); //@line 882 "t1.c"
        var $32=($31); //@line 882 "t1.c"
        var $33=HEAP[$mqc]; //@line 882 "t1.c"
        var $34=CHECK_OVERFLOW(($33+24)&4294967295, 32); //@line 882 "t1.c"
        var $35=CHECK_OVERFLOW(($34+$32*4)&4294967295, 32); //@line 882 "t1.c"
        var $36=HEAP[$mqc]; //@line 882 "t1.c"
        var $37=CHECK_OVERFLOW(($36+100)&4294967295, 32); //@line 882 "t1.c"
        HEAP[$37]=$35; //@line 882 "t1.c"
        var $38=HEAP[$mqc]; //@line 883 "t1.c"
        var $39=_mqc_decode($38); //@line 883 "t1.c"
        var $40=HEAP[$flag]; //@line 883 "t1.c"
        var $41=_t1_getspb($40); //@line 883 "t1.c"
        var $42=($41); //@line 883 "t1.c"
        var $43=($39) ^ ($42); //@line 883 "t1.c"
        HEAP[$v]=$43; //@line 883 "t1.c"
        var $44=HEAP[$v]; //@line 884 "t1.c"
        var $45=($44)!=0; //@line 884 "t1.c"
        if ($45) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 884 "t1.c"
      case 7: // $bb5
        var $46=HEAP[$oneplushalf_addr]; //@line 884 "t1.c"
        var $47=CHECK_OVERFLOW((0 - ($46))&4294967295, 32); //@line 884 "t1.c"
        HEAP[$iftmp_31]=$47; //@line 884 "t1.c"
        __label__ = 9; break; //@line 884 "t1.c"
      case 8: // $bb6
        var $48=HEAP[$oneplushalf_addr]; //@line 884 "t1.c"
        HEAP[$iftmp_31]=$48; //@line 884 "t1.c"
        __label__ = 9; break; //@line 884 "t1.c"
      case 9: // $bb7
        var $49=HEAP[$datap_addr]; //@line 884 "t1.c"
        var $50=HEAP[$iftmp_31]; //@line 884 "t1.c"
        HEAP[$49]=$50; //@line 884 "t1.c"
        var $51=HEAP[$t1_addr]; //@line 885 "t1.c"
        var $52=CHECK_OVERFLOW(($51+36)&4294967295, 32); //@line 885 "t1.c"
        var $53=HEAP[$52]; //@line 885 "t1.c"
        var $54=HEAP[$flagsp_addr]; //@line 885 "t1.c"
        var $55=HEAP[$v]; //@line 885 "t1.c"
        _t1_updateflags($54, $55, $53); //@line 885 "t1.c"
        __label__ = 6; break; //@line 885 "t1.c"
      case 6: // $bb8
        var $56=HEAP[$flagsp_addr]; //@line 888 "t1.c"
        var $57=HEAP[$56]; //@line 888 "t1.c"
        var $58=($57) & -16385; //@line 888 "t1.c"
        var $59=HEAP[$flagsp_addr]; //@line 888 "t1.c"
        HEAP[$59]=$58; //@line 888 "t1.c"
        __label__ = 10; break; //@line 889 "t1.c"
      case 10: // $return
        STACKTOP = __stackBase__;
        return; //@line 889 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_enc_clnpass($t1, $bpno, $orient, $nmsedec, $cblksty) {
    var __stackBase__  = STACKTOP; STACKTOP += 68; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 68);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $bpno_addr=__stackBase__+4;
        var $orient_addr=__stackBase__+8;
        var $nmsedec_addr=__stackBase__+12;
        var $cblksty_addr=__stackBase__+16;
        var $iftmp_35=__stackBase__+20;
        var $iftmp_34=__stackBase__+24;
        var $iftmp_33=__stackBase__+28;
        var $iftmp_32=__stackBase__+32;
        var $i=__stackBase__+36;
        var $j=__stackBase__+40;
        var $k=__stackBase__+44;
        var $one=__stackBase__+48;
        var $agg=__stackBase__+52;
        var $runlen=__stackBase__+56;
        var $vsc=__stackBase__+60;
        var $mqc=__stackBase__+64;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$bpno_addr]=$bpno;
        HEAP[$orient_addr]=$orient;
        HEAP[$nmsedec_addr]=$nmsedec;
        HEAP[$cblksty_addr]=$cblksty;
        var $0=HEAP[$t1_addr]; //@line 900 "t1.c"
        var $1=CHECK_OVERFLOW(($0+4)&4294967295, 32); //@line 900 "t1.c"
        var $2=HEAP[$1]; //@line 900 "t1.c"
        HEAP[$mqc]=$2; //@line 900 "t1.c"
        var $3=HEAP[$nmsedec_addr]; //@line 902 "t1.c"
        HEAP[$3]=0; //@line 902 "t1.c"
        var $4=HEAP[$bpno_addr]; //@line 903 "t1.c"
        var $5=CHECK_OVERFLOW((($4) + 6)&4294967295, 32); //@line 903 "t1.c"
        var $6=1 << ($5); //@line 903 "t1.c"
        HEAP[$one]=$6; //@line 903 "t1.c"
        HEAP[$k]=0; //@line 904 "t1.c"
        __label__ = 0; break; //@line 904 "t1.c"
      case 43: // $bb
        HEAP[$i]=0; //@line 905 "t1.c"
        __label__ = 1; break; //@line 905 "t1.c"
      case 41: // $bb1
        var $7=HEAP[$k]; //@line 906 "t1.c"
        var $8=CHECK_OVERFLOW((($7) + 3)&4294967295, 32); //@line 906 "t1.c"
        var $9=HEAP[$t1_addr]; //@line 906 "t1.c"
        var $10=CHECK_OVERFLOW(($9+24)&4294967295, 32); //@line 906 "t1.c"
        var $11=HEAP[$10]; //@line 906 "t1.c"
        var $12=($8) < ($11); //@line 906 "t1.c"
        if ($12) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 906 "t1.c"
      case 2: // $bb2
        var $13=HEAP[$cblksty_addr]; //@line 907 "t1.c"
        var $14=($13) & 8; //@line 907 "t1.c"
        var $15=($14)!=0; //@line 907 "t1.c"
        if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 907 "t1.c"
      case 4: // $bb3
        var $16=HEAP[$t1_addr]; //@line 908 "t1.c"
        var $17=CHECK_OVERFLOW(($16+16)&4294967295, 32); //@line 908 "t1.c"
        var $18=HEAP[$17]; //@line 908 "t1.c"
        var $19=HEAP[$k]; //@line 908 "t1.c"
        var $20=CHECK_OVERFLOW((($19) + 1)&4294967295, 32); //@line 908 "t1.c"
        var $21=HEAP[$t1_addr]; //@line 908 "t1.c"
        var $22=CHECK_OVERFLOW(($21+36)&4294967295, 32); //@line 908 "t1.c"
        var $23=HEAP[$22]; //@line 908 "t1.c"
        var $24=CHECK_OVERFLOW((($20) * ($23))&4294967295, 32); //@line 908 "t1.c"
        var $25=HEAP[$i]; //@line 908 "t1.c"
        var $26=CHECK_OVERFLOW((($25) + 1)&4294967295, 32); //@line 908 "t1.c"
        var $27=CHECK_OVERFLOW((($24) + ($26))&4294967295, 32); //@line 908 "t1.c"
        var $28=CHECK_OVERFLOW(($18+2*$27)&4294967295, 32); //@line 908 "t1.c"
        var $29=HEAP[$28]; //@line 908 "t1.c"
        var $30=($29); //@line 908 "t1.c"
        var $31=($30) & 20735; //@line 908 "t1.c"
        var $32=($31)!=0; //@line 908 "t1.c"
        if ($32) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 908 "t1.c"
      case 7: // $bb4
        var $33=HEAP[$t1_addr]; //@line 908 "t1.c"
        var $34=CHECK_OVERFLOW(($33+16)&4294967295, 32); //@line 908 "t1.c"
        var $35=HEAP[$34]; //@line 908 "t1.c"
        var $36=HEAP[$k]; //@line 908 "t1.c"
        var $37=CHECK_OVERFLOW((($36) + 2)&4294967295, 32); //@line 908 "t1.c"
        var $38=HEAP[$t1_addr]; //@line 908 "t1.c"
        var $39=CHECK_OVERFLOW(($38+36)&4294967295, 32); //@line 908 "t1.c"
        var $40=HEAP[$39]; //@line 908 "t1.c"
        var $41=CHECK_OVERFLOW((($37) * ($40))&4294967295, 32); //@line 908 "t1.c"
        var $42=HEAP[$i]; //@line 908 "t1.c"
        var $43=CHECK_OVERFLOW((($42) + 1)&4294967295, 32); //@line 908 "t1.c"
        var $44=CHECK_OVERFLOW((($41) + ($43))&4294967295, 32); //@line 908 "t1.c"
        var $45=CHECK_OVERFLOW(($35+2*$44)&4294967295, 32); //@line 908 "t1.c"
        var $46=HEAP[$45]; //@line 908 "t1.c"
        var $47=($46); //@line 908 "t1.c"
        var $48=($47) & 20735; //@line 908 "t1.c"
        var $49=($48)!=0; //@line 908 "t1.c"
        if ($49) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 908 "t1.c"
      case 8: // $bb5
        var $50=HEAP[$t1_addr]; //@line 908 "t1.c"
        var $51=CHECK_OVERFLOW(($50+16)&4294967295, 32); //@line 908 "t1.c"
        var $52=HEAP[$51]; //@line 908 "t1.c"
        var $53=HEAP[$k]; //@line 908 "t1.c"
        var $54=CHECK_OVERFLOW((($53) + 3)&4294967295, 32); //@line 908 "t1.c"
        var $55=HEAP[$t1_addr]; //@line 908 "t1.c"
        var $56=CHECK_OVERFLOW(($55+36)&4294967295, 32); //@line 908 "t1.c"
        var $57=HEAP[$56]; //@line 908 "t1.c"
        var $58=CHECK_OVERFLOW((($54) * ($57))&4294967295, 32); //@line 908 "t1.c"
        var $59=HEAP[$i]; //@line 908 "t1.c"
        var $60=CHECK_OVERFLOW((($59) + 1)&4294967295, 32); //@line 908 "t1.c"
        var $61=CHECK_OVERFLOW((($58) + ($60))&4294967295, 32); //@line 908 "t1.c"
        var $62=CHECK_OVERFLOW(($52+2*$61)&4294967295, 32); //@line 908 "t1.c"
        var $63=HEAP[$62]; //@line 908 "t1.c"
        var $64=($63); //@line 908 "t1.c"
        var $65=($64) & 20735; //@line 908 "t1.c"
        var $66=($65)!=0; //@line 908 "t1.c"
        if ($66) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 908 "t1.c"
      case 9: // $bb6
        var $67=HEAP[$t1_addr]; //@line 908 "t1.c"
        var $68=CHECK_OVERFLOW(($67+16)&4294967295, 32); //@line 908 "t1.c"
        var $69=HEAP[$68]; //@line 908 "t1.c"
        var $70=HEAP[$k]; //@line 908 "t1.c"
        var $71=CHECK_OVERFLOW((($70) + 4)&4294967295, 32); //@line 908 "t1.c"
        var $72=HEAP[$t1_addr]; //@line 908 "t1.c"
        var $73=CHECK_OVERFLOW(($72+36)&4294967295, 32); //@line 908 "t1.c"
        var $74=HEAP[$73]; //@line 908 "t1.c"
        var $75=CHECK_OVERFLOW((($71) * ($74))&4294967295, 32); //@line 908 "t1.c"
        var $76=HEAP[$i]; //@line 908 "t1.c"
        var $77=CHECK_OVERFLOW((($76) + 1)&4294967295, 32); //@line 908 "t1.c"
        var $78=CHECK_OVERFLOW((($75) + ($77))&4294967295, 32); //@line 908 "t1.c"
        var $79=CHECK_OVERFLOW(($69+2*$78)&4294967295, 32); //@line 908 "t1.c"
        var $80=HEAP[$79]; //@line 908 "t1.c"
        var $81=($80); //@line 908 "t1.c"
        var $82=($81) & 20665; //@line 908 "t1.c"
        var $83=($82)!=0; //@line 908 "t1.c"
        if ($83) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 908 "t1.c"
      case 10: // $bb7
        HEAP[$iftmp_32]=1; //@line 908 "t1.c"
        __label__ = 11; break; //@line 908 "t1.c"
      case 6: // $bb8
        HEAP[$iftmp_32]=0; //@line 908 "t1.c"
        __label__ = 11; break; //@line 908 "t1.c"
      case 11: // $bb9
        var $84=HEAP[$iftmp_32]; //@line 908 "t1.c"
        HEAP[$agg]=$84; //@line 908 "t1.c"
        __label__ = 12; break; //@line 908 "t1.c"
      case 5: // $bb10
        var $85=HEAP[$t1_addr]; //@line 914 "t1.c"
        var $86=CHECK_OVERFLOW(($85+16)&4294967295, 32); //@line 914 "t1.c"
        var $87=HEAP[$86]; //@line 914 "t1.c"
        var $88=HEAP[$k]; //@line 914 "t1.c"
        var $89=CHECK_OVERFLOW((($88) + 1)&4294967295, 32); //@line 914 "t1.c"
        var $90=HEAP[$t1_addr]; //@line 914 "t1.c"
        var $91=CHECK_OVERFLOW(($90+36)&4294967295, 32); //@line 914 "t1.c"
        var $92=HEAP[$91]; //@line 914 "t1.c"
        var $93=CHECK_OVERFLOW((($89) * ($92))&4294967295, 32); //@line 914 "t1.c"
        var $94=HEAP[$i]; //@line 914 "t1.c"
        var $95=CHECK_OVERFLOW((($94) + 1)&4294967295, 32); //@line 914 "t1.c"
        var $96=CHECK_OVERFLOW((($93) + ($95))&4294967295, 32); //@line 914 "t1.c"
        var $97=CHECK_OVERFLOW(($87+2*$96)&4294967295, 32); //@line 914 "t1.c"
        var $98=HEAP[$97]; //@line 914 "t1.c"
        var $99=($98); //@line 914 "t1.c"
        var $100=($99) & 20735; //@line 914 "t1.c"
        var $101=($100)!=0; //@line 914 "t1.c"
        if ($101) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 914 "t1.c"
      case 14: // $bb11
        var $102=HEAP[$t1_addr]; //@line 914 "t1.c"
        var $103=CHECK_OVERFLOW(($102+16)&4294967295, 32); //@line 914 "t1.c"
        var $104=HEAP[$103]; //@line 914 "t1.c"
        var $105=HEAP[$k]; //@line 914 "t1.c"
        var $106=CHECK_OVERFLOW((($105) + 2)&4294967295, 32); //@line 914 "t1.c"
        var $107=HEAP[$t1_addr]; //@line 914 "t1.c"
        var $108=CHECK_OVERFLOW(($107+36)&4294967295, 32); //@line 914 "t1.c"
        var $109=HEAP[$108]; //@line 914 "t1.c"
        var $110=CHECK_OVERFLOW((($106) * ($109))&4294967295, 32); //@line 914 "t1.c"
        var $111=HEAP[$i]; //@line 914 "t1.c"
        var $112=CHECK_OVERFLOW((($111) + 1)&4294967295, 32); //@line 914 "t1.c"
        var $113=CHECK_OVERFLOW((($110) + ($112))&4294967295, 32); //@line 914 "t1.c"
        var $114=CHECK_OVERFLOW(($104+2*$113)&4294967295, 32); //@line 914 "t1.c"
        var $115=HEAP[$114]; //@line 914 "t1.c"
        var $116=($115); //@line 914 "t1.c"
        var $117=($116) & 20735; //@line 914 "t1.c"
        var $118=($117)!=0; //@line 914 "t1.c"
        if ($118) { __label__ = 13; break; } else { __label__ = 15; break; } //@line 914 "t1.c"
      case 15: // $bb12
        var $119=HEAP[$t1_addr]; //@line 914 "t1.c"
        var $120=CHECK_OVERFLOW(($119+16)&4294967295, 32); //@line 914 "t1.c"
        var $121=HEAP[$120]; //@line 914 "t1.c"
        var $122=HEAP[$k]; //@line 914 "t1.c"
        var $123=CHECK_OVERFLOW((($122) + 3)&4294967295, 32); //@line 914 "t1.c"
        var $124=HEAP[$t1_addr]; //@line 914 "t1.c"
        var $125=CHECK_OVERFLOW(($124+36)&4294967295, 32); //@line 914 "t1.c"
        var $126=HEAP[$125]; //@line 914 "t1.c"
        var $127=CHECK_OVERFLOW((($123) * ($126))&4294967295, 32); //@line 914 "t1.c"
        var $128=HEAP[$i]; //@line 914 "t1.c"
        var $129=CHECK_OVERFLOW((($128) + 1)&4294967295, 32); //@line 914 "t1.c"
        var $130=CHECK_OVERFLOW((($127) + ($129))&4294967295, 32); //@line 914 "t1.c"
        var $131=CHECK_OVERFLOW(($121+2*$130)&4294967295, 32); //@line 914 "t1.c"
        var $132=HEAP[$131]; //@line 914 "t1.c"
        var $133=($132); //@line 914 "t1.c"
        var $134=($133) & 20735; //@line 914 "t1.c"
        var $135=($134)!=0; //@line 914 "t1.c"
        if ($135) { __label__ = 13; break; } else { __label__ = 16; break; } //@line 914 "t1.c"
      case 16: // $bb13
        var $136=HEAP[$t1_addr]; //@line 914 "t1.c"
        var $137=CHECK_OVERFLOW(($136+16)&4294967295, 32); //@line 914 "t1.c"
        var $138=HEAP[$137]; //@line 914 "t1.c"
        var $139=HEAP[$k]; //@line 914 "t1.c"
        var $140=CHECK_OVERFLOW((($139) + 4)&4294967295, 32); //@line 914 "t1.c"
        var $141=HEAP[$t1_addr]; //@line 914 "t1.c"
        var $142=CHECK_OVERFLOW(($141+36)&4294967295, 32); //@line 914 "t1.c"
        var $143=HEAP[$142]; //@line 914 "t1.c"
        var $144=CHECK_OVERFLOW((($140) * ($143))&4294967295, 32); //@line 914 "t1.c"
        var $145=HEAP[$i]; //@line 914 "t1.c"
        var $146=CHECK_OVERFLOW((($145) + 1)&4294967295, 32); //@line 914 "t1.c"
        var $147=CHECK_OVERFLOW((($144) + ($146))&4294967295, 32); //@line 914 "t1.c"
        var $148=CHECK_OVERFLOW(($138+2*$147)&4294967295, 32); //@line 914 "t1.c"
        var $149=HEAP[$148]; //@line 914 "t1.c"
        var $150=($149); //@line 914 "t1.c"
        var $151=($150) & 20735; //@line 914 "t1.c"
        var $152=($151)!=0; //@line 914 "t1.c"
        if ($152) { __label__ = 13; break; } else { __label__ = 17; break; } //@line 914 "t1.c"
      case 17: // $bb14
        HEAP[$iftmp_33]=1; //@line 914 "t1.c"
        __label__ = 18; break; //@line 914 "t1.c"
      case 13: // $bb15
        HEAP[$iftmp_33]=0; //@line 914 "t1.c"
        __label__ = 18; break; //@line 914 "t1.c"
      case 18: // $bb16
        var $153=HEAP[$iftmp_33]; //@line 914 "t1.c"
        HEAP[$agg]=$153; //@line 914 "t1.c"
        __label__ = 12; break; //@line 914 "t1.c"
      case 12: // $bb17
        __label__ = 19; break; //@line 914 "t1.c"
      case 3: // $bb18
        HEAP[$agg]=0; //@line 920 "t1.c"
        __label__ = 19; break; //@line 920 "t1.c"
      case 19: // $bb19
        var $154=HEAP[$agg]; //@line 922 "t1.c"
        var $155=($154)!=0; //@line 922 "t1.c"
        if ($155) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 922 "t1.c"
      case 20: // $bb20
        HEAP[$runlen]=0; //@line 923 "t1.c"
        __label__ = 22; break; //@line 923 "t1.c"
      case 25: // $bb21
        var $156=HEAP[$t1_addr]; //@line 924 "t1.c"
        var $157=CHECK_OVERFLOW(($156+12)&4294967295, 32); //@line 924 "t1.c"
        var $158=HEAP[$157]; //@line 924 "t1.c"
        var $159=HEAP[$k]; //@line 924 "t1.c"
        var $160=HEAP[$runlen]; //@line 924 "t1.c"
        var $161=CHECK_OVERFLOW((($159) + ($160))&4294967295, 32); //@line 924 "t1.c"
        var $162=HEAP[$t1_addr]; //@line 924 "t1.c"
        var $163=CHECK_OVERFLOW(($162+20)&4294967295, 32); //@line 924 "t1.c"
        var $164=HEAP[$163]; //@line 924 "t1.c"
        var $165=CHECK_OVERFLOW((($161) * ($164))&4294967295, 32); //@line 924 "t1.c"
        var $166=HEAP[$i]; //@line 924 "t1.c"
        var $167=CHECK_OVERFLOW((($165) + ($166))&4294967295, 32); //@line 924 "t1.c"
        var $168=CHECK_OVERFLOW(($158+4*$167)&4294967295, 32); //@line 924 "t1.c"
        var $169=HEAP[$168]; //@line 924 "t1.c"
        var $170=_int_abs($169); //@line 924 "t1.c"
        var $171=HEAP[$one]; //@line 924 "t1.c"
        var $172=($170) & ($171); //@line 924 "t1.c"
        var $173=($172)!=0; //@line 924 "t1.c"
        if ($173) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 924 "t1.c"
      case 24: // $bb22
        var $174=HEAP[$runlen]; //@line 923 "t1.c"
        var $175=CHECK_OVERFLOW((($174) + 1)&4294967295, 32); //@line 923 "t1.c"
        HEAP[$runlen]=$175; //@line 923 "t1.c"
        __label__ = 22; break; //@line 923 "t1.c"
      case 22: // $bb23
        var $176=HEAP[$runlen]; //@line 923 "t1.c"
        var $177=($176) <= 3; //@line 923 "t1.c"
        if ($177) { __label__ = 25; break; } else { __label__ = 23; break; } //@line 923 "t1.c"
      case 23: // $bb24
        var $178=HEAP[$mqc]; //@line 927 "t1.c"
        var $179=CHECK_OVERFLOW(($178+24)&4294967295, 32); //@line 927 "t1.c"
        var $180=CHECK_OVERFLOW(($179+68)&4294967295, 32); //@line 927 "t1.c"
        var $181=HEAP[$mqc]; //@line 927 "t1.c"
        var $182=CHECK_OVERFLOW(($181+100)&4294967295, 32); //@line 927 "t1.c"
        HEAP[$182]=$180; //@line 927 "t1.c"
        var $183=HEAP[$runlen]; //@line 928 "t1.c"
        var $184=($183)!=4; //@line 928 "t1.c"
        var $185=($184); //@line 928 "t1.c"
        var $186=HEAP[$mqc]; //@line 928 "t1.c"
        _mqc_encode($186, $185); //@line 928 "t1.c"
        var $187=HEAP[$runlen]; //@line 929 "t1.c"
        var $188=($187)==4; //@line 929 "t1.c"
        if ($188) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 929 "t1.c"
      case 27: // $bb25
        var $189=HEAP[$mqc]; //@line 932 "t1.c"
        var $190=CHECK_OVERFLOW(($189+24)&4294967295, 32); //@line 932 "t1.c"
        var $191=CHECK_OVERFLOW(($190+72)&4294967295, 32); //@line 932 "t1.c"
        var $192=HEAP[$mqc]; //@line 932 "t1.c"
        var $193=CHECK_OVERFLOW(($192+100)&4294967295, 32); //@line 932 "t1.c"
        HEAP[$193]=$191; //@line 932 "t1.c"
        var $194=HEAP[$runlen]; //@line 933 "t1.c"
        var $195=($194) >> 1; //@line 933 "t1.c"
        var $196=HEAP[$mqc]; //@line 933 "t1.c"
        _mqc_encode($196, $195); //@line 933 "t1.c"
        var $197=HEAP[$runlen]; //@line 934 "t1.c"
        var $198=($197) & 1; //@line 934 "t1.c"
        var $199=HEAP[$mqc]; //@line 934 "t1.c"
        _mqc_encode($199, $198); //@line 934 "t1.c"
        __label__ = 28; break; //@line 934 "t1.c"
      case 21: // $bb26
        HEAP[$runlen]=0; //@line 936 "t1.c"
        __label__ = 28; break; //@line 936 "t1.c"
      case 28: // $bb27
        var $200=HEAP[$k]; //@line 938 "t1.c"
        var $201=HEAP[$runlen]; //@line 938 "t1.c"
        var $202=CHECK_OVERFLOW((($200) + ($201))&4294967295, 32); //@line 938 "t1.c"
        HEAP[$j]=$202; //@line 938 "t1.c"
        __label__ = 29; break; //@line 938 "t1.c"
      case 40: // $bb28
        var $203=HEAP[$cblksty_addr]; //@line 939 "t1.c"
        var $204=($203) & 8; //@line 939 "t1.c"
        var $205=($204)==0; //@line 939 "t1.c"
        if ($205) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 939 "t1.c"
      case 31: // $bb29
        var $206=HEAP[$k]; //@line 939 "t1.c"
        var $207=CHECK_OVERFLOW((($206) + 3)&4294967295, 32); //@line 939 "t1.c"
        var $208=HEAP[$j]; //@line 939 "t1.c"
        var $209=($207)==($208); //@line 939 "t1.c"
        if ($209) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 939 "t1.c"
      case 33: // $bb30
        var $210=HEAP[$t1_addr]; //@line 939 "t1.c"
        var $211=CHECK_OVERFLOW(($210+24)&4294967295, 32); //@line 939 "t1.c"
        var $212=HEAP[$211]; //@line 939 "t1.c"
        var $213=CHECK_OVERFLOW((($212) - 1)&4294967295, 32); //@line 939 "t1.c"
        var $214=HEAP[$j]; //@line 939 "t1.c"
        var $215=($213)==($214); //@line 939 "t1.c"
        if ($215) { __label__ = 32; break; } else { __label__ = 30; break; } //@line 939 "t1.c"
      case 32: // $bb31
        HEAP[$iftmp_34]=1; //@line 939 "t1.c"
        __label__ = 34; break; //@line 939 "t1.c"
      case 30: // $bb32
        HEAP[$iftmp_34]=0; //@line 939 "t1.c"
        __label__ = 34; break; //@line 939 "t1.c"
      case 34: // $bb33
        var $216=HEAP[$iftmp_34]; //@line 939 "t1.c"
        HEAP[$vsc]=$216; //@line 939 "t1.c"
        var $217=HEAP[$agg]; //@line 940 "t1.c"
        var $218=($217)==0; //@line 940 "t1.c"
        if ($218) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 940 "t1.c"
      case 36: // $bb34
        var $219=HEAP[$k]; //@line 940 "t1.c"
        var $220=HEAP[$runlen]; //@line 940 "t1.c"
        var $221=CHECK_OVERFLOW((($219) + ($220))&4294967295, 32); //@line 940 "t1.c"
        var $222=HEAP[$j]; //@line 940 "t1.c"
        var $223=($221)!=($222); //@line 940 "t1.c"
        if ($223) { __label__ = 35; break; } else { __label__ = 37; break; } //@line 940 "t1.c"
      case 37: // $bb35
        HEAP[$iftmp_35]=1; //@line 940 "t1.c"
        __label__ = 38; break; //@line 940 "t1.c"
      case 35: // $bb36
        HEAP[$iftmp_35]=0; //@line 940 "t1.c"
        __label__ = 38; break; //@line 940 "t1.c"
      case 38: // $bb37
        var $224=HEAP[$t1_addr]; //@line 940 "t1.c"
        var $225=CHECK_OVERFLOW(($224+12)&4294967295, 32); //@line 940 "t1.c"
        var $226=HEAP[$225]; //@line 940 "t1.c"
        var $227=HEAP[$t1_addr]; //@line 940 "t1.c"
        var $228=CHECK_OVERFLOW(($227+20)&4294967295, 32); //@line 940 "t1.c"
        var $229=HEAP[$228]; //@line 940 "t1.c"
        var $230=HEAP[$j]; //@line 940 "t1.c"
        var $231=CHECK_OVERFLOW((($229) * ($230))&4294967295, 32); //@line 940 "t1.c"
        var $232=HEAP[$i]; //@line 940 "t1.c"
        var $233=CHECK_OVERFLOW((($231) + ($232))&4294967295, 32); //@line 940 "t1.c"
        var $234=CHECK_OVERFLOW(($226+4*$233)&4294967295, 32); //@line 940 "t1.c"
        var $235=HEAP[$t1_addr]; //@line 940 "t1.c"
        var $236=CHECK_OVERFLOW(($235+16)&4294967295, 32); //@line 940 "t1.c"
        var $237=HEAP[$236]; //@line 940 "t1.c"
        var $238=HEAP[$j]; //@line 940 "t1.c"
        var $239=CHECK_OVERFLOW((($238) + 1)&4294967295, 32); //@line 940 "t1.c"
        var $240=HEAP[$t1_addr]; //@line 940 "t1.c"
        var $241=CHECK_OVERFLOW(($240+36)&4294967295, 32); //@line 940 "t1.c"
        var $242=HEAP[$241]; //@line 940 "t1.c"
        var $243=CHECK_OVERFLOW((($239) * ($242))&4294967295, 32); //@line 940 "t1.c"
        var $244=HEAP[$i]; //@line 940 "t1.c"
        var $245=CHECK_OVERFLOW((($243) + ($244))&4294967295, 32); //@line 940 "t1.c"
        var $246=CHECK_OVERFLOW((($245) + 1)&4294967295, 32); //@line 940 "t1.c"
        var $247=CHECK_OVERFLOW(($237+2*$246)&4294967295, 32); //@line 940 "t1.c"
        var $248=HEAP[$t1_addr]; //@line 940 "t1.c"
        var $249=HEAP[$orient_addr]; //@line 940 "t1.c"
        var $250=HEAP[$bpno_addr]; //@line 940 "t1.c"
        var $251=HEAP[$one]; //@line 940 "t1.c"
        var $252=HEAP[$nmsedec_addr]; //@line 940 "t1.c"
        var $253=HEAP[$iftmp_35]; //@line 940 "t1.c"
        var $254=HEAP[$vsc]; //@line 940 "t1.c"
        _t1_enc_clnpass_step($248, $247, $234, $249, $250, $251, $252, $253, $254); //@line 940 "t1.c"
        var $255=HEAP[$j]; //@line 938 "t1.c"
        var $256=CHECK_OVERFLOW((($255) + 1)&4294967295, 32); //@line 938 "t1.c"
        HEAP[$j]=$256; //@line 938 "t1.c"
        __label__ = 29; break; //@line 938 "t1.c"
      case 29: // $bb38
        var $257=HEAP[$k]; //@line 938 "t1.c"
        var $258=CHECK_OVERFLOW((($257) + 4)&4294967295, 32); //@line 938 "t1.c"
        var $259=HEAP[$j]; //@line 938 "t1.c"
        var $260=($258) <= ($259); //@line 938 "t1.c"
        if ($260) { __label__ = 26; break; } else { __label__ = 39; break; } //@line 938 "t1.c"
      case 39: // $bb39
        var $261=HEAP[$t1_addr]; //@line 938 "t1.c"
        var $262=CHECK_OVERFLOW(($261+24)&4294967295, 32); //@line 938 "t1.c"
        var $263=HEAP[$262]; //@line 938 "t1.c"
        var $264=HEAP[$j]; //@line 938 "t1.c"
        var $265=($263) > ($264); //@line 938 "t1.c"
        if ($265) { __label__ = 40; break; } else { __label__ = 26; break; } //@line 938 "t1.c"
      case 26: // $bb40
        var $266=HEAP[$i]; //@line 905 "t1.c"
        var $267=CHECK_OVERFLOW((($266) + 1)&4294967295, 32); //@line 905 "t1.c"
        HEAP[$i]=$267; //@line 905 "t1.c"
        __label__ = 1; break; //@line 905 "t1.c"
      case 1: // $bb41
        var $268=HEAP[$t1_addr]; //@line 905 "t1.c"
        var $269=CHECK_OVERFLOW(($268+20)&4294967295, 32); //@line 905 "t1.c"
        var $270=HEAP[$269]; //@line 905 "t1.c"
        var $271=HEAP[$i]; //@line 905 "t1.c"
        var $272=($270) > ($271); //@line 905 "t1.c"
        if ($272) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 905 "t1.c"
      case 42: // $bb42
        var $273=HEAP[$k]; //@line 904 "t1.c"
        var $274=CHECK_OVERFLOW((($273) + 4)&4294967295, 32); //@line 904 "t1.c"
        HEAP[$k]=$274; //@line 904 "t1.c"
        __label__ = 0; break; //@line 904 "t1.c"
      case 0: // $bb43
        var $275=HEAP[$t1_addr]; //@line 904 "t1.c"
        var $276=CHECK_OVERFLOW(($275+24)&4294967295, 32); //@line 904 "t1.c"
        var $277=HEAP[$276]; //@line 904 "t1.c"
        var $278=HEAP[$k]; //@line 904 "t1.c"
        var $279=($277) > ($278); //@line 904 "t1.c"
        if ($279) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 904 "t1.c"
      case 44: // $bb44
        __label__ = 45; break; //@line 953 "t1.c"
      case 45: // $return
        STACKTOP = __stackBase__;
        return; //@line 953 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_dec_clnpass($t1, $bpno, $orient, $cblksty) {
    var __stackBase__  = STACKTOP; STACKTOP += 104; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 104);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $bpno_addr=__stackBase__+4;
        var $orient_addr=__stackBase__+8;
        var $cblksty_addr=__stackBase__+12;
        var $iftmp_39=__stackBase__+16;
        var $iftmp_38=__stackBase__+20;
        var $iftmp_37=__stackBase__+24;
        var $iftmp_36=__stackBase__+28;
        var $i=__stackBase__+32;
        var $j=__stackBase__+36;
        var $k=__stackBase__+40;
        var $one=__stackBase__+44;
        var $half=__stackBase__+48;
        var $oneplushalf=__stackBase__+52;
        var $agg=__stackBase__+56;
        var $runlen=__stackBase__+60;
        var $vsc=__stackBase__+64;
        var $segsym=__stackBase__+68;
        var $mqc=__stackBase__+72;
        var $data1=__stackBase__+76;
        var $flags1=__stackBase__+80;
        var $data2=__stackBase__+84;
        var $flags2=__stackBase__+88;
        var $data258=__stackBase__+92;
        var $flags259=__stackBase__+96;
        var $v=__stackBase__+100;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$bpno_addr]=$bpno;
        HEAP[$orient_addr]=$orient;
        HEAP[$cblksty_addr]=$cblksty;
        var $0=HEAP[$cblksty_addr]; //@line 962 "t1.c"
        var $1=($0) & 32; //@line 962 "t1.c"
        HEAP[$segsym]=$1; //@line 962 "t1.c"
        var $2=HEAP[$t1_addr]; //@line 964 "t1.c"
        var $3=CHECK_OVERFLOW(($2+4)&4294967295, 32); //@line 964 "t1.c"
        var $4=HEAP[$3]; //@line 964 "t1.c"
        HEAP[$mqc]=$4; //@line 964 "t1.c"
        var $5=HEAP[$bpno_addr]; //@line 966 "t1.c"
        var $6=1 << ($5); //@line 966 "t1.c"
        HEAP[$one]=$6; //@line 966 "t1.c"
        var $7=HEAP[$one]; //@line 967 "t1.c"
        var $8=($7) >> 1; //@line 967 "t1.c"
        HEAP[$half]=$8; //@line 967 "t1.c"
        var $9=HEAP[$one]; //@line 968 "t1.c"
        var $10=HEAP[$half]; //@line 968 "t1.c"
        var $11=($9) | ($10); //@line 968 "t1.c"
        HEAP[$oneplushalf]=$11; //@line 968 "t1.c"
        var $12=HEAP[$cblksty_addr]; //@line 969 "t1.c"
        var $13=($12) & 8; //@line 969 "t1.c"
        var $14=($13)!=0; //@line 969 "t1.c"
        if ($14) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 969 "t1.c"
      case 0: // $bb
        HEAP[$k]=0; //@line 970 "t1.c"
        __label__ = 2; break; //@line 970 "t1.c"
      case 31: // $bb1
        HEAP[$i]=0; //@line 971 "t1.c"
        __label__ = 3; break; //@line 971 "t1.c"
      case 29: // $bb2
        var $15=HEAP[$k]; //@line 972 "t1.c"
        var $16=CHECK_OVERFLOW((($15) + 3)&4294967295, 32); //@line 972 "t1.c"
        var $17=HEAP[$t1_addr]; //@line 972 "t1.c"
        var $18=CHECK_OVERFLOW(($17+24)&4294967295, 32); //@line 972 "t1.c"
        var $19=HEAP[$18]; //@line 972 "t1.c"
        var $20=($16) < ($19); //@line 972 "t1.c"
        if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 972 "t1.c"
      case 4: // $bb3
        var $21=HEAP[$t1_addr]; //@line 973 "t1.c"
        var $22=CHECK_OVERFLOW(($21+16)&4294967295, 32); //@line 973 "t1.c"
        var $23=HEAP[$22]; //@line 973 "t1.c"
        var $24=HEAP[$k]; //@line 973 "t1.c"
        var $25=CHECK_OVERFLOW((($24) + 1)&4294967295, 32); //@line 973 "t1.c"
        var $26=HEAP[$t1_addr]; //@line 973 "t1.c"
        var $27=CHECK_OVERFLOW(($26+36)&4294967295, 32); //@line 973 "t1.c"
        var $28=HEAP[$27]; //@line 973 "t1.c"
        var $29=CHECK_OVERFLOW((($25) * ($28))&4294967295, 32); //@line 973 "t1.c"
        var $30=HEAP[$i]; //@line 973 "t1.c"
        var $31=CHECK_OVERFLOW((($30) + 1)&4294967295, 32); //@line 973 "t1.c"
        var $32=CHECK_OVERFLOW((($29) + ($31))&4294967295, 32); //@line 973 "t1.c"
        var $33=CHECK_OVERFLOW(($23+2*$32)&4294967295, 32); //@line 973 "t1.c"
        var $34=HEAP[$33]; //@line 973 "t1.c"
        var $35=($34); //@line 973 "t1.c"
        var $36=($35) & 20735; //@line 973 "t1.c"
        var $37=($36)!=0; //@line 973 "t1.c"
        if ($37) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 973 "t1.c"
      case 7: // $bb4
        var $38=HEAP[$t1_addr]; //@line 973 "t1.c"
        var $39=CHECK_OVERFLOW(($38+16)&4294967295, 32); //@line 973 "t1.c"
        var $40=HEAP[$39]; //@line 973 "t1.c"
        var $41=HEAP[$k]; //@line 973 "t1.c"
        var $42=CHECK_OVERFLOW((($41) + 2)&4294967295, 32); //@line 973 "t1.c"
        var $43=HEAP[$t1_addr]; //@line 973 "t1.c"
        var $44=CHECK_OVERFLOW(($43+36)&4294967295, 32); //@line 973 "t1.c"
        var $45=HEAP[$44]; //@line 973 "t1.c"
        var $46=CHECK_OVERFLOW((($42) * ($45))&4294967295, 32); //@line 973 "t1.c"
        var $47=HEAP[$i]; //@line 973 "t1.c"
        var $48=CHECK_OVERFLOW((($47) + 1)&4294967295, 32); //@line 973 "t1.c"
        var $49=CHECK_OVERFLOW((($46) + ($48))&4294967295, 32); //@line 973 "t1.c"
        var $50=CHECK_OVERFLOW(($40+2*$49)&4294967295, 32); //@line 973 "t1.c"
        var $51=HEAP[$50]; //@line 973 "t1.c"
        var $52=($51); //@line 973 "t1.c"
        var $53=($52) & 20735; //@line 973 "t1.c"
        var $54=($53)!=0; //@line 973 "t1.c"
        if ($54) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 973 "t1.c"
      case 8: // $bb5
        var $55=HEAP[$t1_addr]; //@line 973 "t1.c"
        var $56=CHECK_OVERFLOW(($55+16)&4294967295, 32); //@line 973 "t1.c"
        var $57=HEAP[$56]; //@line 973 "t1.c"
        var $58=HEAP[$k]; //@line 973 "t1.c"
        var $59=CHECK_OVERFLOW((($58) + 3)&4294967295, 32); //@line 973 "t1.c"
        var $60=HEAP[$t1_addr]; //@line 973 "t1.c"
        var $61=CHECK_OVERFLOW(($60+36)&4294967295, 32); //@line 973 "t1.c"
        var $62=HEAP[$61]; //@line 973 "t1.c"
        var $63=CHECK_OVERFLOW((($59) * ($62))&4294967295, 32); //@line 973 "t1.c"
        var $64=HEAP[$i]; //@line 973 "t1.c"
        var $65=CHECK_OVERFLOW((($64) + 1)&4294967295, 32); //@line 973 "t1.c"
        var $66=CHECK_OVERFLOW((($63) + ($65))&4294967295, 32); //@line 973 "t1.c"
        var $67=CHECK_OVERFLOW(($57+2*$66)&4294967295, 32); //@line 973 "t1.c"
        var $68=HEAP[$67]; //@line 973 "t1.c"
        var $69=($68); //@line 973 "t1.c"
        var $70=($69) & 20735; //@line 973 "t1.c"
        var $71=($70)!=0; //@line 973 "t1.c"
        if ($71) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 973 "t1.c"
      case 9: // $bb6
        var $72=HEAP[$t1_addr]; //@line 973 "t1.c"
        var $73=CHECK_OVERFLOW(($72+16)&4294967295, 32); //@line 973 "t1.c"
        var $74=HEAP[$73]; //@line 973 "t1.c"
        var $75=HEAP[$k]; //@line 973 "t1.c"
        var $76=CHECK_OVERFLOW((($75) + 4)&4294967295, 32); //@line 973 "t1.c"
        var $77=HEAP[$t1_addr]; //@line 973 "t1.c"
        var $78=CHECK_OVERFLOW(($77+36)&4294967295, 32); //@line 973 "t1.c"
        var $79=HEAP[$78]; //@line 973 "t1.c"
        var $80=CHECK_OVERFLOW((($76) * ($79))&4294967295, 32); //@line 973 "t1.c"
        var $81=HEAP[$i]; //@line 973 "t1.c"
        var $82=CHECK_OVERFLOW((($81) + 1)&4294967295, 32); //@line 973 "t1.c"
        var $83=CHECK_OVERFLOW((($80) + ($82))&4294967295, 32); //@line 973 "t1.c"
        var $84=CHECK_OVERFLOW(($74+2*$83)&4294967295, 32); //@line 973 "t1.c"
        var $85=HEAP[$84]; //@line 973 "t1.c"
        var $86=($85); //@line 973 "t1.c"
        var $87=($86) & 20665; //@line 973 "t1.c"
        var $88=($87)!=0; //@line 973 "t1.c"
        if ($88) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 973 "t1.c"
      case 10: // $bb7
        HEAP[$iftmp_36]=1; //@line 973 "t1.c"
        __label__ = 11; break; //@line 973 "t1.c"
      case 6: // $bb8
        HEAP[$iftmp_36]=0; //@line 973 "t1.c"
        __label__ = 11; break; //@line 973 "t1.c"
      case 11: // $bb9
        var $89=HEAP[$iftmp_36]; //@line 973 "t1.c"
        HEAP[$agg]=$89; //@line 973 "t1.c"
        __label__ = 12; break; //@line 973 "t1.c"
      case 5: // $bb10
        HEAP[$agg]=0; //@line 979 "t1.c"
        __label__ = 12; break; //@line 979 "t1.c"
      case 12: // $bb11
        var $90=HEAP[$agg]; //@line 981 "t1.c"
        var $91=($90)!=0; //@line 981 "t1.c"
        if ($91) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 981 "t1.c"
      case 13: // $bb12
        var $92=HEAP[$mqc]; //@line 982 "t1.c"
        var $93=CHECK_OVERFLOW(($92+24)&4294967295, 32); //@line 982 "t1.c"
        var $94=CHECK_OVERFLOW(($93+68)&4294967295, 32); //@line 982 "t1.c"
        var $95=HEAP[$mqc]; //@line 982 "t1.c"
        var $96=CHECK_OVERFLOW(($95+100)&4294967295, 32); //@line 982 "t1.c"
        HEAP[$96]=$94; //@line 982 "t1.c"
        var $97=HEAP[$mqc]; //@line 983 "t1.c"
        var $98=_mqc_decode($97); //@line 983 "t1.c"
        var $99=($98)==0; //@line 983 "t1.c"
        if ($99) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 983 "t1.c"
      case 16: // $bb13
        var $100=HEAP[$mqc]; //@line 986 "t1.c"
        var $101=CHECK_OVERFLOW(($100+24)&4294967295, 32); //@line 986 "t1.c"
        var $102=CHECK_OVERFLOW(($101+72)&4294967295, 32); //@line 986 "t1.c"
        var $103=HEAP[$mqc]; //@line 986 "t1.c"
        var $104=CHECK_OVERFLOW(($103+100)&4294967295, 32); //@line 986 "t1.c"
        HEAP[$104]=$102; //@line 986 "t1.c"
        var $105=HEAP[$mqc]; //@line 987 "t1.c"
        var $106=_mqc_decode($105); //@line 987 "t1.c"
        HEAP[$runlen]=$106; //@line 987 "t1.c"
        var $107=HEAP[$runlen]; //@line 988 "t1.c"
        var $108=($107) << 1; //@line 988 "t1.c"
        var $109=HEAP[$mqc]; //@line 988 "t1.c"
        var $110=_mqc_decode($109); //@line 988 "t1.c"
        var $111=($108) | ($110); //@line 988 "t1.c"
        HEAP[$runlen]=$111; //@line 988 "t1.c"
        __label__ = 17; break; //@line 988 "t1.c"
      case 14: // $bb14
        HEAP[$runlen]=0; //@line 990 "t1.c"
        __label__ = 17; break; //@line 990 "t1.c"
      case 17: // $bb15
        var $112=HEAP[$k]; //@line 992 "t1.c"
        var $113=HEAP[$runlen]; //@line 992 "t1.c"
        var $114=CHECK_OVERFLOW((($112) + ($113))&4294967295, 32); //@line 992 "t1.c"
        HEAP[$j]=$114; //@line 992 "t1.c"
        __label__ = 18; break; //@line 992 "t1.c"
      case 28: // $bb16
        var $115=HEAP[$k]; //@line 993 "t1.c"
        var $116=CHECK_OVERFLOW((($115) + 3)&4294967295, 32); //@line 993 "t1.c"
        var $117=HEAP[$j]; //@line 993 "t1.c"
        var $118=($116)==($117); //@line 993 "t1.c"
        if ($118) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 993 "t1.c"
      case 20: // $bb17
        var $119=HEAP[$t1_addr]; //@line 993 "t1.c"
        var $120=CHECK_OVERFLOW(($119+24)&4294967295, 32); //@line 993 "t1.c"
        var $121=HEAP[$120]; //@line 993 "t1.c"
        var $122=CHECK_OVERFLOW((($121) - 1)&4294967295, 32); //@line 993 "t1.c"
        var $123=HEAP[$j]; //@line 993 "t1.c"
        var $124=($122)==($123); //@line 993 "t1.c"
        if ($124) { __label__ = 19; break; } else { __label__ = 21; break; } //@line 993 "t1.c"
      case 19: // $bb18
        HEAP[$iftmp_37]=1; //@line 993 "t1.c"
        __label__ = 22; break; //@line 993 "t1.c"
      case 21: // $bb19
        HEAP[$iftmp_37]=0; //@line 993 "t1.c"
        __label__ = 22; break; //@line 993 "t1.c"
      case 22: // $bb20
        var $125=HEAP[$iftmp_37]; //@line 993 "t1.c"
        HEAP[$vsc]=$125; //@line 993 "t1.c"
        var $126=HEAP[$agg]; //@line 994 "t1.c"
        var $127=($126)==0; //@line 994 "t1.c"
        if ($127) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 994 "t1.c"
      case 24: // $bb21
        var $128=HEAP[$k]; //@line 994 "t1.c"
        var $129=HEAP[$runlen]; //@line 994 "t1.c"
        var $130=CHECK_OVERFLOW((($128) + ($129))&4294967295, 32); //@line 994 "t1.c"
        var $131=HEAP[$j]; //@line 994 "t1.c"
        var $132=($130)!=($131); //@line 994 "t1.c"
        if ($132) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 994 "t1.c"
      case 25: // $bb22
        HEAP[$iftmp_38]=1; //@line 994 "t1.c"
        __label__ = 26; break; //@line 994 "t1.c"
      case 23: // $bb23
        HEAP[$iftmp_38]=0; //@line 994 "t1.c"
        __label__ = 26; break; //@line 994 "t1.c"
      case 26: // $bb24
        var $133=HEAP[$t1_addr]; //@line 994 "t1.c"
        var $134=CHECK_OVERFLOW(($133+12)&4294967295, 32); //@line 994 "t1.c"
        var $135=HEAP[$134]; //@line 994 "t1.c"
        var $136=HEAP[$t1_addr]; //@line 994 "t1.c"
        var $137=CHECK_OVERFLOW(($136+20)&4294967295, 32); //@line 994 "t1.c"
        var $138=HEAP[$137]; //@line 994 "t1.c"
        var $139=HEAP[$j]; //@line 994 "t1.c"
        var $140=CHECK_OVERFLOW((($138) * ($139))&4294967295, 32); //@line 994 "t1.c"
        var $141=HEAP[$i]; //@line 994 "t1.c"
        var $142=CHECK_OVERFLOW((($140) + ($141))&4294967295, 32); //@line 994 "t1.c"
        var $143=CHECK_OVERFLOW(($135+4*$142)&4294967295, 32); //@line 994 "t1.c"
        var $144=HEAP[$t1_addr]; //@line 994 "t1.c"
        var $145=CHECK_OVERFLOW(($144+16)&4294967295, 32); //@line 994 "t1.c"
        var $146=HEAP[$145]; //@line 994 "t1.c"
        var $147=HEAP[$j]; //@line 994 "t1.c"
        var $148=CHECK_OVERFLOW((($147) + 1)&4294967295, 32); //@line 994 "t1.c"
        var $149=HEAP[$t1_addr]; //@line 994 "t1.c"
        var $150=CHECK_OVERFLOW(($149+36)&4294967295, 32); //@line 994 "t1.c"
        var $151=HEAP[$150]; //@line 994 "t1.c"
        var $152=CHECK_OVERFLOW((($148) * ($151))&4294967295, 32); //@line 994 "t1.c"
        var $153=HEAP[$i]; //@line 994 "t1.c"
        var $154=CHECK_OVERFLOW((($152) + ($153))&4294967295, 32); //@line 994 "t1.c"
        var $155=CHECK_OVERFLOW((($154) + 1)&4294967295, 32); //@line 994 "t1.c"
        var $156=CHECK_OVERFLOW(($146+2*$155)&4294967295, 32); //@line 994 "t1.c"
        var $157=HEAP[$t1_addr]; //@line 994 "t1.c"
        var $158=HEAP[$orient_addr]; //@line 994 "t1.c"
        var $159=HEAP[$oneplushalf]; //@line 994 "t1.c"
        var $160=HEAP[$iftmp_38]; //@line 994 "t1.c"
        var $161=HEAP[$vsc]; //@line 994 "t1.c"
        _t1_dec_clnpass_step_vsc($157, $156, $143, $158, $159, $160, $161); //@line 994 "t1.c"
        var $162=HEAP[$j]; //@line 992 "t1.c"
        var $163=CHECK_OVERFLOW((($162) + 1)&4294967295, 32); //@line 992 "t1.c"
        HEAP[$j]=$163; //@line 992 "t1.c"
        __label__ = 18; break; //@line 992 "t1.c"
      case 18: // $bb25
        var $164=HEAP[$k]; //@line 992 "t1.c"
        var $165=CHECK_OVERFLOW((($164) + 4)&4294967295, 32); //@line 992 "t1.c"
        var $166=HEAP[$j]; //@line 992 "t1.c"
        var $167=($165) <= ($166); //@line 992 "t1.c"
        if ($167) { __label__ = 15; break; } else { __label__ = 27; break; } //@line 992 "t1.c"
      case 27: // $bb26
        var $168=HEAP[$t1_addr]; //@line 992 "t1.c"
        var $169=CHECK_OVERFLOW(($168+24)&4294967295, 32); //@line 992 "t1.c"
        var $170=HEAP[$169]; //@line 992 "t1.c"
        var $171=HEAP[$j]; //@line 992 "t1.c"
        var $172=($170) > ($171); //@line 992 "t1.c"
        if ($172) { __label__ = 28; break; } else { __label__ = 15; break; } //@line 992 "t1.c"
      case 15: // $bb27
        var $173=HEAP[$i]; //@line 971 "t1.c"
        var $174=CHECK_OVERFLOW((($173) + 1)&4294967295, 32); //@line 971 "t1.c"
        HEAP[$i]=$174; //@line 971 "t1.c"
        __label__ = 3; break; //@line 971 "t1.c"
      case 3: // $bb28
        var $175=HEAP[$t1_addr]; //@line 971 "t1.c"
        var $176=CHECK_OVERFLOW(($175+20)&4294967295, 32); //@line 971 "t1.c"
        var $177=HEAP[$176]; //@line 971 "t1.c"
        var $178=HEAP[$i]; //@line 971 "t1.c"
        var $179=($177) > ($178); //@line 971 "t1.c"
        if ($179) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 971 "t1.c"
      case 30: // $bb29
        var $180=HEAP[$k]; //@line 970 "t1.c"
        var $181=CHECK_OVERFLOW((($180) + 4)&4294967295, 32); //@line 970 "t1.c"
        HEAP[$k]=$181; //@line 970 "t1.c"
        __label__ = 2; break; //@line 970 "t1.c"
      case 2: // $bb30
        var $182=HEAP[$t1_addr]; //@line 970 "t1.c"
        var $183=CHECK_OVERFLOW(($182+24)&4294967295, 32); //@line 970 "t1.c"
        var $184=HEAP[$183]; //@line 970 "t1.c"
        var $185=HEAP[$k]; //@line 970 "t1.c"
        var $186=($184) > ($185); //@line 970 "t1.c"
        if ($186) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 970 "t1.c"
      case 32: // $bb31
        __label__ = 33; break; //@line 970 "t1.c"
      case 1: // $bb32
        var $187=HEAP[$t1_addr]; //@line 1006 "t1.c"
        var $188=CHECK_OVERFLOW(($187+12)&4294967295, 32); //@line 1006 "t1.c"
        var $189=HEAP[$188]; //@line 1006 "t1.c"
        HEAP[$data1]=$189; //@line 1006 "t1.c"
        var $190=HEAP[$t1_addr]; //@line 1007 "t1.c"
        var $191=CHECK_OVERFLOW(($190+16)&4294967295, 32); //@line 1007 "t1.c"
        var $192=HEAP[$191]; //@line 1007 "t1.c"
        var $193=CHECK_OVERFLOW(($192+2)&4294967295, 32); //@line 1007 "t1.c"
        HEAP[$flags1]=$193; //@line 1007 "t1.c"
        HEAP[$k]=0; //@line 1008 "t1.c"
        __label__ = 34; break; //@line 1008 "t1.c"
      case 56: // $bb33
        HEAP[$i]=0; //@line 1009 "t1.c"
        __label__ = 35; break; //@line 1009 "t1.c"
      case 54: // $bb34
        var $194=HEAP[$data1]; //@line 1010 "t1.c"
        var $195=HEAP[$i]; //@line 1010 "t1.c"
        var $196=CHECK_OVERFLOW(($194+4*$195)&4294967295, 32); //@line 1010 "t1.c"
        HEAP[$data2]=$196; //@line 1010 "t1.c"
        var $197=HEAP[$flags1]; //@line 1011 "t1.c"
        var $198=HEAP[$i]; //@line 1011 "t1.c"
        var $199=CHECK_OVERFLOW(($197+2*$198)&4294967295, 32); //@line 1011 "t1.c"
        HEAP[$flags2]=$199; //@line 1011 "t1.c"
        var $200=HEAP[$t1_addr]; //@line 1012 "t1.c"
        var $201=CHECK_OVERFLOW(($200+16)&4294967295, 32); //@line 1012 "t1.c"
        var $202=HEAP[$201]; //@line 1012 "t1.c"
        var $203=HEAP[$k]; //@line 1012 "t1.c"
        var $204=CHECK_OVERFLOW((($203) + 1)&4294967295, 32); //@line 1012 "t1.c"
        var $205=HEAP[$t1_addr]; //@line 1012 "t1.c"
        var $206=CHECK_OVERFLOW(($205+36)&4294967295, 32); //@line 1012 "t1.c"
        var $207=HEAP[$206]; //@line 1012 "t1.c"
        var $208=CHECK_OVERFLOW((($204) * ($207))&4294967295, 32); //@line 1012 "t1.c"
        var $209=HEAP[$i]; //@line 1012 "t1.c"
        var $210=CHECK_OVERFLOW((($209) + 1)&4294967295, 32); //@line 1012 "t1.c"
        var $211=CHECK_OVERFLOW((($208) + ($210))&4294967295, 32); //@line 1012 "t1.c"
        var $212=CHECK_OVERFLOW(($202+2*$211)&4294967295, 32); //@line 1012 "t1.c"
        var $213=HEAP[$212]; //@line 1012 "t1.c"
        var $214=($213); //@line 1012 "t1.c"
        var $215=($214) & 20735; //@line 1012 "t1.c"
        var $216=($215)!=0; //@line 1012 "t1.c"
        if ($216) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 1012 "t1.c"
      case 37: // $bb35
        var $217=HEAP[$t1_addr]; //@line 1012 "t1.c"
        var $218=CHECK_OVERFLOW(($217+16)&4294967295, 32); //@line 1012 "t1.c"
        var $219=HEAP[$218]; //@line 1012 "t1.c"
        var $220=HEAP[$k]; //@line 1012 "t1.c"
        var $221=CHECK_OVERFLOW((($220) + 2)&4294967295, 32); //@line 1012 "t1.c"
        var $222=HEAP[$t1_addr]; //@line 1012 "t1.c"
        var $223=CHECK_OVERFLOW(($222+36)&4294967295, 32); //@line 1012 "t1.c"
        var $224=HEAP[$223]; //@line 1012 "t1.c"
        var $225=CHECK_OVERFLOW((($221) * ($224))&4294967295, 32); //@line 1012 "t1.c"
        var $226=HEAP[$i]; //@line 1012 "t1.c"
        var $227=CHECK_OVERFLOW((($226) + 1)&4294967295, 32); //@line 1012 "t1.c"
        var $228=CHECK_OVERFLOW((($225) + ($227))&4294967295, 32); //@line 1012 "t1.c"
        var $229=CHECK_OVERFLOW(($219+2*$228)&4294967295, 32); //@line 1012 "t1.c"
        var $230=HEAP[$229]; //@line 1012 "t1.c"
        var $231=($230); //@line 1012 "t1.c"
        var $232=($231) & 20735; //@line 1012 "t1.c"
        var $233=($232)!=0; //@line 1012 "t1.c"
        if ($233) { __label__ = 36; break; } else { __label__ = 38; break; } //@line 1012 "t1.c"
      case 38: // $bb36
        var $234=HEAP[$t1_addr]; //@line 1012 "t1.c"
        var $235=CHECK_OVERFLOW(($234+16)&4294967295, 32); //@line 1012 "t1.c"
        var $236=HEAP[$235]; //@line 1012 "t1.c"
        var $237=HEAP[$k]; //@line 1012 "t1.c"
        var $238=CHECK_OVERFLOW((($237) + 3)&4294967295, 32); //@line 1012 "t1.c"
        var $239=HEAP[$t1_addr]; //@line 1012 "t1.c"
        var $240=CHECK_OVERFLOW(($239+36)&4294967295, 32); //@line 1012 "t1.c"
        var $241=HEAP[$240]; //@line 1012 "t1.c"
        var $242=CHECK_OVERFLOW((($238) * ($241))&4294967295, 32); //@line 1012 "t1.c"
        var $243=HEAP[$i]; //@line 1012 "t1.c"
        var $244=CHECK_OVERFLOW((($243) + 1)&4294967295, 32); //@line 1012 "t1.c"
        var $245=CHECK_OVERFLOW((($242) + ($244))&4294967295, 32); //@line 1012 "t1.c"
        var $246=CHECK_OVERFLOW(($236+2*$245)&4294967295, 32); //@line 1012 "t1.c"
        var $247=HEAP[$246]; //@line 1012 "t1.c"
        var $248=($247); //@line 1012 "t1.c"
        var $249=($248) & 20735; //@line 1012 "t1.c"
        var $250=($249)!=0; //@line 1012 "t1.c"
        if ($250) { __label__ = 36; break; } else { __label__ = 39; break; } //@line 1012 "t1.c"
      case 39: // $bb37
        var $251=HEAP[$t1_addr]; //@line 1012 "t1.c"
        var $252=CHECK_OVERFLOW(($251+16)&4294967295, 32); //@line 1012 "t1.c"
        var $253=HEAP[$252]; //@line 1012 "t1.c"
        var $254=HEAP[$k]; //@line 1012 "t1.c"
        var $255=CHECK_OVERFLOW((($254) + 4)&4294967295, 32); //@line 1012 "t1.c"
        var $256=HEAP[$t1_addr]; //@line 1012 "t1.c"
        var $257=CHECK_OVERFLOW(($256+36)&4294967295, 32); //@line 1012 "t1.c"
        var $258=HEAP[$257]; //@line 1012 "t1.c"
        var $259=CHECK_OVERFLOW((($255) * ($258))&4294967295, 32); //@line 1012 "t1.c"
        var $260=HEAP[$i]; //@line 1012 "t1.c"
        var $261=CHECK_OVERFLOW((($260) + 1)&4294967295, 32); //@line 1012 "t1.c"
        var $262=CHECK_OVERFLOW((($259) + ($261))&4294967295, 32); //@line 1012 "t1.c"
        var $263=CHECK_OVERFLOW(($253+2*$262)&4294967295, 32); //@line 1012 "t1.c"
        var $264=HEAP[$263]; //@line 1012 "t1.c"
        var $265=($264); //@line 1012 "t1.c"
        var $266=($265) & 20735; //@line 1012 "t1.c"
        var $267=($266)!=0; //@line 1012 "t1.c"
        if ($267) { __label__ = 36; break; } else { __label__ = 40; break; } //@line 1012 "t1.c"
      case 40: // $bb38
        HEAP[$iftmp_39]=1; //@line 1012 "t1.c"
        __label__ = 41; break; //@line 1012 "t1.c"
      case 36: // $bb39
        HEAP[$iftmp_39]=0; //@line 1012 "t1.c"
        __label__ = 41; break; //@line 1012 "t1.c"
      case 41: // $bb40
        var $268=HEAP[$iftmp_39]; //@line 1012 "t1.c"
        HEAP[$agg]=$268; //@line 1012 "t1.c"
        var $269=HEAP[$agg]; //@line 1016 "t1.c"
        var $270=($269)!=0; //@line 1016 "t1.c"
        if ($270) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 1016 "t1.c"
      case 42: // $bb41
        var $271=HEAP[$mqc]; //@line 1017 "t1.c"
        var $272=CHECK_OVERFLOW(($271+24)&4294967295, 32); //@line 1017 "t1.c"
        var $273=CHECK_OVERFLOW(($272+68)&4294967295, 32); //@line 1017 "t1.c"
        var $274=HEAP[$mqc]; //@line 1017 "t1.c"
        var $275=CHECK_OVERFLOW(($274+100)&4294967295, 32); //@line 1017 "t1.c"
        HEAP[$275]=$273; //@line 1017 "t1.c"
        var $276=HEAP[$mqc]; //@line 1018 "t1.c"
        var $277=_mqc_decode($276); //@line 1018 "t1.c"
        var $278=($277)==0; //@line 1018 "t1.c"
        if ($278) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 1018 "t1.c"
      case 45: // $bb42
        var $279=HEAP[$mqc]; //@line 1021 "t1.c"
        var $280=CHECK_OVERFLOW(($279+24)&4294967295, 32); //@line 1021 "t1.c"
        var $281=CHECK_OVERFLOW(($280+72)&4294967295, 32); //@line 1021 "t1.c"
        var $282=HEAP[$mqc]; //@line 1021 "t1.c"
        var $283=CHECK_OVERFLOW(($282+100)&4294967295, 32); //@line 1021 "t1.c"
        HEAP[$283]=$281; //@line 1021 "t1.c"
        var $284=HEAP[$mqc]; //@line 1022 "t1.c"
        var $285=_mqc_decode($284); //@line 1022 "t1.c"
        HEAP[$runlen]=$285; //@line 1022 "t1.c"
        var $286=HEAP[$runlen]; //@line 1023 "t1.c"
        var $287=($286) << 1; //@line 1023 "t1.c"
        var $288=HEAP[$mqc]; //@line 1023 "t1.c"
        var $289=_mqc_decode($288); //@line 1023 "t1.c"
        var $290=($287) | ($289); //@line 1023 "t1.c"
        HEAP[$runlen]=$290; //@line 1023 "t1.c"
        var $291=HEAP[$t1_addr]; //@line 1024 "t1.c"
        var $292=CHECK_OVERFLOW(($291+36)&4294967295, 32); //@line 1024 "t1.c"
        var $293=HEAP[$292]; //@line 1024 "t1.c"
        var $294=HEAP[$runlen]; //@line 1024 "t1.c"
        var $295=CHECK_OVERFLOW((($293) * ($294))&4294967295, 32); //@line 1024 "t1.c"
        var $296=HEAP[$flags2]; //@line 1024 "t1.c"
        var $297=CHECK_OVERFLOW(($296+2*$295)&4294967295, 32); //@line 1024 "t1.c"
        HEAP[$flags2]=$297; //@line 1024 "t1.c"
        var $298=HEAP[$t1_addr]; //@line 1025 "t1.c"
        var $299=CHECK_OVERFLOW(($298+20)&4294967295, 32); //@line 1025 "t1.c"
        var $300=HEAP[$299]; //@line 1025 "t1.c"
        var $301=HEAP[$runlen]; //@line 1025 "t1.c"
        var $302=CHECK_OVERFLOW((($300) * ($301))&4294967295, 32); //@line 1025 "t1.c"
        var $303=HEAP[$data2]; //@line 1025 "t1.c"
        var $304=CHECK_OVERFLOW(($303+4*$302)&4294967295, 32); //@line 1025 "t1.c"
        HEAP[$data2]=$304; //@line 1025 "t1.c"
        var $305=HEAP[$k]; //@line 1026 "t1.c"
        var $306=HEAP[$runlen]; //@line 1026 "t1.c"
        var $307=CHECK_OVERFLOW((($305) + ($306))&4294967295, 32); //@line 1026 "t1.c"
        HEAP[$j]=$307; //@line 1026 "t1.c"
        __label__ = 46; break; //@line 1026 "t1.c"
      case 53: // $bb43
        var $308=HEAP[$t1_addr]; //@line 1027 "t1.c"
        var $309=CHECK_OVERFLOW(($308+36)&4294967295, 32); //@line 1027 "t1.c"
        var $310=HEAP[$309]; //@line 1027 "t1.c"
        var $311=HEAP[$flags2]; //@line 1027 "t1.c"
        var $312=CHECK_OVERFLOW(($311+2*$310)&4294967295, 32); //@line 1027 "t1.c"
        HEAP[$flags2]=$312; //@line 1027 "t1.c"
        var $313=HEAP[$agg]; //@line 1028 "t1.c"
        var $314=($313)==0; //@line 1028 "t1.c"
        if ($314) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 1028 "t1.c"
      case 48: // $bb44
        var $315=HEAP[$k]; //@line 1028 "t1.c"
        var $316=HEAP[$runlen]; //@line 1028 "t1.c"
        var $317=CHECK_OVERFLOW((($315) + ($316))&4294967295, 32); //@line 1028 "t1.c"
        var $318=HEAP[$j]; //@line 1028 "t1.c"
        var $319=($317)!=($318); //@line 1028 "t1.c"
        if ($319) { __label__ = 47; break; } else { __label__ = 49; break; } //@line 1028 "t1.c"
      case 49: // $bb45
        var $320=HEAP[$t1_addr]; //@line 1029 "t1.c"
        var $321=HEAP[$flags2]; //@line 1029 "t1.c"
        var $322=HEAP[$data2]; //@line 1029 "t1.c"
        var $323=HEAP[$orient_addr]; //@line 1029 "t1.c"
        var $324=HEAP[$oneplushalf]; //@line 1029 "t1.c"
        _t1_dec_clnpass_step_partial($320, $321, $322, $323, $324); //@line 1029 "t1.c"
        __label__ = 50; break; //@line 1029 "t1.c"
      case 47: // $bb46
        var $325=HEAP[$t1_addr]; //@line 1031 "t1.c"
        var $326=HEAP[$flags2]; //@line 1031 "t1.c"
        var $327=HEAP[$data2]; //@line 1031 "t1.c"
        var $328=HEAP[$orient_addr]; //@line 1031 "t1.c"
        var $329=HEAP[$oneplushalf]; //@line 1031 "t1.c"
        _t1_dec_clnpass_step($325, $326, $327, $328, $329); //@line 1031 "t1.c"
        __label__ = 50; break; //@line 1031 "t1.c"
      case 50: // $bb47
        var $330=HEAP[$t1_addr]; //@line 1033 "t1.c"
        var $331=CHECK_OVERFLOW(($330+20)&4294967295, 32); //@line 1033 "t1.c"
        var $332=HEAP[$331]; //@line 1033 "t1.c"
        var $333=HEAP[$data2]; //@line 1033 "t1.c"
        var $334=CHECK_OVERFLOW(($333+4*$332)&4294967295, 32); //@line 1033 "t1.c"
        HEAP[$data2]=$334; //@line 1033 "t1.c"
        var $335=HEAP[$j]; //@line 1026 "t1.c"
        var $336=CHECK_OVERFLOW((($335) + 1)&4294967295, 32); //@line 1026 "t1.c"
        HEAP[$j]=$336; //@line 1026 "t1.c"
        __label__ = 46; break; //@line 1026 "t1.c"
      case 46: // $bb48
        var $337=HEAP[$k]; //@line 1026 "t1.c"
        var $338=CHECK_OVERFLOW((($337) + 4)&4294967295, 32); //@line 1026 "t1.c"
        var $339=HEAP[$j]; //@line 1026 "t1.c"
        var $340=($338) <= ($339); //@line 1026 "t1.c"
        if ($340) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 1026 "t1.c"
      case 52: // $bb49
        var $341=HEAP[$t1_addr]; //@line 1026 "t1.c"
        var $342=CHECK_OVERFLOW(($341+24)&4294967295, 32); //@line 1026 "t1.c"
        var $343=HEAP[$342]; //@line 1026 "t1.c"
        var $344=HEAP[$j]; //@line 1026 "t1.c"
        var $345=($343) > ($344); //@line 1026 "t1.c"
        if ($345) { __label__ = 53; break; } else { __label__ = 51; break; } //@line 1026 "t1.c"
      case 51: // $bb50
        __label__ = 44; break; //@line 1026 "t1.c"
      case 43: // $bb51
        var $346=HEAP[$t1_addr]; //@line 1036 "t1.c"
        var $347=CHECK_OVERFLOW(($346+36)&4294967295, 32); //@line 1036 "t1.c"
        var $348=HEAP[$347]; //@line 1036 "t1.c"
        var $349=HEAP[$flags2]; //@line 1036 "t1.c"
        var $350=CHECK_OVERFLOW(($349+2*$348)&4294967295, 32); //@line 1036 "t1.c"
        HEAP[$flags2]=$350; //@line 1036 "t1.c"
        var $351=HEAP[$t1_addr]; //@line 1037 "t1.c"
        var $352=HEAP[$flags2]; //@line 1037 "t1.c"
        var $353=HEAP[$data2]; //@line 1037 "t1.c"
        var $354=HEAP[$orient_addr]; //@line 1037 "t1.c"
        var $355=HEAP[$oneplushalf]; //@line 1037 "t1.c"
        _t1_dec_clnpass_step($351, $352, $353, $354, $355); //@line 1037 "t1.c"
        var $356=HEAP[$t1_addr]; //@line 1038 "t1.c"
        var $357=CHECK_OVERFLOW(($356+20)&4294967295, 32); //@line 1038 "t1.c"
        var $358=HEAP[$357]; //@line 1038 "t1.c"
        var $359=HEAP[$data2]; //@line 1038 "t1.c"
        var $360=CHECK_OVERFLOW(($359+4*$358)&4294967295, 32); //@line 1038 "t1.c"
        HEAP[$data2]=$360; //@line 1038 "t1.c"
        var $361=HEAP[$t1_addr]; //@line 1039 "t1.c"
        var $362=CHECK_OVERFLOW(($361+36)&4294967295, 32); //@line 1039 "t1.c"
        var $363=HEAP[$362]; //@line 1039 "t1.c"
        var $364=HEAP[$flags2]; //@line 1039 "t1.c"
        var $365=CHECK_OVERFLOW(($364+2*$363)&4294967295, 32); //@line 1039 "t1.c"
        HEAP[$flags2]=$365; //@line 1039 "t1.c"
        var $366=HEAP[$t1_addr]; //@line 1040 "t1.c"
        var $367=HEAP[$flags2]; //@line 1040 "t1.c"
        var $368=HEAP[$data2]; //@line 1040 "t1.c"
        var $369=HEAP[$orient_addr]; //@line 1040 "t1.c"
        var $370=HEAP[$oneplushalf]; //@line 1040 "t1.c"
        _t1_dec_clnpass_step($366, $367, $368, $369, $370); //@line 1040 "t1.c"
        var $371=HEAP[$t1_addr]; //@line 1041 "t1.c"
        var $372=CHECK_OVERFLOW(($371+20)&4294967295, 32); //@line 1041 "t1.c"
        var $373=HEAP[$372]; //@line 1041 "t1.c"
        var $374=HEAP[$data2]; //@line 1041 "t1.c"
        var $375=CHECK_OVERFLOW(($374+4*$373)&4294967295, 32); //@line 1041 "t1.c"
        HEAP[$data2]=$375; //@line 1041 "t1.c"
        var $376=HEAP[$t1_addr]; //@line 1042 "t1.c"
        var $377=CHECK_OVERFLOW(($376+36)&4294967295, 32); //@line 1042 "t1.c"
        var $378=HEAP[$377]; //@line 1042 "t1.c"
        var $379=HEAP[$flags2]; //@line 1042 "t1.c"
        var $380=CHECK_OVERFLOW(($379+2*$378)&4294967295, 32); //@line 1042 "t1.c"
        HEAP[$flags2]=$380; //@line 1042 "t1.c"
        var $381=HEAP[$t1_addr]; //@line 1043 "t1.c"
        var $382=HEAP[$flags2]; //@line 1043 "t1.c"
        var $383=HEAP[$data2]; //@line 1043 "t1.c"
        var $384=HEAP[$orient_addr]; //@line 1043 "t1.c"
        var $385=HEAP[$oneplushalf]; //@line 1043 "t1.c"
        _t1_dec_clnpass_step($381, $382, $383, $384, $385); //@line 1043 "t1.c"
        var $386=HEAP[$t1_addr]; //@line 1044 "t1.c"
        var $387=CHECK_OVERFLOW(($386+20)&4294967295, 32); //@line 1044 "t1.c"
        var $388=HEAP[$387]; //@line 1044 "t1.c"
        var $389=HEAP[$data2]; //@line 1044 "t1.c"
        var $390=CHECK_OVERFLOW(($389+4*$388)&4294967295, 32); //@line 1044 "t1.c"
        HEAP[$data2]=$390; //@line 1044 "t1.c"
        var $391=HEAP[$t1_addr]; //@line 1045 "t1.c"
        var $392=CHECK_OVERFLOW(($391+36)&4294967295, 32); //@line 1045 "t1.c"
        var $393=HEAP[$392]; //@line 1045 "t1.c"
        var $394=HEAP[$flags2]; //@line 1045 "t1.c"
        var $395=CHECK_OVERFLOW(($394+2*$393)&4294967295, 32); //@line 1045 "t1.c"
        HEAP[$flags2]=$395; //@line 1045 "t1.c"
        var $396=HEAP[$t1_addr]; //@line 1046 "t1.c"
        var $397=HEAP[$flags2]; //@line 1046 "t1.c"
        var $398=HEAP[$data2]; //@line 1046 "t1.c"
        var $399=HEAP[$orient_addr]; //@line 1046 "t1.c"
        var $400=HEAP[$oneplushalf]; //@line 1046 "t1.c"
        _t1_dec_clnpass_step($396, $397, $398, $399, $400); //@line 1046 "t1.c"
        var $401=HEAP[$t1_addr]; //@line 1047 "t1.c"
        var $402=CHECK_OVERFLOW(($401+20)&4294967295, 32); //@line 1047 "t1.c"
        var $403=HEAP[$402]; //@line 1047 "t1.c"
        var $404=HEAP[$data2]; //@line 1047 "t1.c"
        var $405=CHECK_OVERFLOW(($404+4*$403)&4294967295, 32); //@line 1047 "t1.c"
        HEAP[$data2]=$405; //@line 1047 "t1.c"
        __label__ = 44; break; //@line 1047 "t1.c"
      case 44: // $bb52
        var $406=HEAP[$i]; //@line 1009 "t1.c"
        var $407=CHECK_OVERFLOW((($406) + 1)&4294967295, 32); //@line 1009 "t1.c"
        HEAP[$i]=$407; //@line 1009 "t1.c"
        __label__ = 35; break; //@line 1009 "t1.c"
      case 35: // $bb53
        var $408=HEAP[$t1_addr]; //@line 1009 "t1.c"
        var $409=CHECK_OVERFLOW(($408+20)&4294967295, 32); //@line 1009 "t1.c"
        var $410=HEAP[$409]; //@line 1009 "t1.c"
        var $411=HEAP[$i]; //@line 1009 "t1.c"
        var $412=($410) > ($411); //@line 1009 "t1.c"
        if ($412) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 1009 "t1.c"
      case 55: // $bb54
        var $413=HEAP[$t1_addr]; //@line 1050 "t1.c"
        var $414=CHECK_OVERFLOW(($413+20)&4294967295, 32); //@line 1050 "t1.c"
        var $415=HEAP[$414]; //@line 1050 "t1.c"
        var $416=($415) << 2; //@line 1050 "t1.c"
        var $417=HEAP[$data1]; //@line 1050 "t1.c"
        var $418=CHECK_OVERFLOW(($417+4*$416)&4294967295, 32); //@line 1050 "t1.c"
        HEAP[$data1]=$418; //@line 1050 "t1.c"
        var $419=HEAP[$t1_addr]; //@line 1051 "t1.c"
        var $420=CHECK_OVERFLOW(($419+36)&4294967295, 32); //@line 1051 "t1.c"
        var $421=HEAP[$420]; //@line 1051 "t1.c"
        var $422=($421) << 2; //@line 1051 "t1.c"
        var $423=HEAP[$flags1]; //@line 1051 "t1.c"
        var $424=CHECK_OVERFLOW(($423+2*$422)&4294967295, 32); //@line 1051 "t1.c"
        HEAP[$flags1]=$424; //@line 1051 "t1.c"
        var $425=HEAP[$k]; //@line 1008 "t1.c"
        var $426=CHECK_OVERFLOW((($425) + 4)&4294967295, 32); //@line 1008 "t1.c"
        HEAP[$k]=$426; //@line 1008 "t1.c"
        __label__ = 34; break; //@line 1008 "t1.c"
      case 34: // $bb55
        var $427=HEAP[$t1_addr]; //@line 1008 "t1.c"
        var $428=CHECK_OVERFLOW(($427+24)&4294967295, 32); //@line 1008 "t1.c"
        var $429=HEAP[$428]; //@line 1008 "t1.c"
        var $430=($429) & -4; //@line 1008 "t1.c"
        var $431=HEAP[$k]; //@line 1008 "t1.c"
        var $432=($430) > ($431); //@line 1008 "t1.c"
        if ($432) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 1008 "t1.c"
      case 57: // $bb56
        HEAP[$i]=0; //@line 1053 "t1.c"
        __label__ = 58; break; //@line 1053 "t1.c"
      case 62: // $bb57
        var $433=HEAP[$data1]; //@line 1054 "t1.c"
        var $434=HEAP[$i]; //@line 1054 "t1.c"
        var $435=CHECK_OVERFLOW(($433+4*$434)&4294967295, 32); //@line 1054 "t1.c"
        HEAP[$data258]=$435; //@line 1054 "t1.c"
        var $436=HEAP[$flags1]; //@line 1055 "t1.c"
        var $437=HEAP[$i]; //@line 1055 "t1.c"
        var $438=CHECK_OVERFLOW(($436+2*$437)&4294967295, 32); //@line 1055 "t1.c"
        HEAP[$flags259]=$438; //@line 1055 "t1.c"
        var $439=HEAP[$k]; //@line 1056 "t1.c"
        HEAP[$j]=$439; //@line 1056 "t1.c"
        __label__ = 59; break; //@line 1056 "t1.c"
      case 60: // $bb60
        var $440=HEAP[$t1_addr]; //@line 1057 "t1.c"
        var $441=CHECK_OVERFLOW(($440+36)&4294967295, 32); //@line 1057 "t1.c"
        var $442=HEAP[$441]; //@line 1057 "t1.c"
        var $443=HEAP[$flags259]; //@line 1057 "t1.c"
        var $444=CHECK_OVERFLOW(($443+2*$442)&4294967295, 32); //@line 1057 "t1.c"
        HEAP[$flags259]=$444; //@line 1057 "t1.c"
        var $445=HEAP[$t1_addr]; //@line 1058 "t1.c"
        var $446=HEAP[$flags259]; //@line 1058 "t1.c"
        var $447=HEAP[$data258]; //@line 1058 "t1.c"
        var $448=HEAP[$orient_addr]; //@line 1058 "t1.c"
        var $449=HEAP[$oneplushalf]; //@line 1058 "t1.c"
        _t1_dec_clnpass_step($445, $446, $447, $448, $449); //@line 1058 "t1.c"
        var $450=HEAP[$t1_addr]; //@line 1059 "t1.c"
        var $451=CHECK_OVERFLOW(($450+20)&4294967295, 32); //@line 1059 "t1.c"
        var $452=HEAP[$451]; //@line 1059 "t1.c"
        var $453=HEAP[$data258]; //@line 1059 "t1.c"
        var $454=CHECK_OVERFLOW(($453+4*$452)&4294967295, 32); //@line 1059 "t1.c"
        HEAP[$data258]=$454; //@line 1059 "t1.c"
        var $455=HEAP[$j]; //@line 1056 "t1.c"
        var $456=CHECK_OVERFLOW((($455) + 1)&4294967295, 32); //@line 1056 "t1.c"
        HEAP[$j]=$456; //@line 1056 "t1.c"
        __label__ = 59; break; //@line 1056 "t1.c"
      case 59: // $bb61
        var $457=HEAP[$t1_addr]; //@line 1056 "t1.c"
        var $458=CHECK_OVERFLOW(($457+24)&4294967295, 32); //@line 1056 "t1.c"
        var $459=HEAP[$458]; //@line 1056 "t1.c"
        var $460=HEAP[$j]; //@line 1056 "t1.c"
        var $461=($459) > ($460); //@line 1056 "t1.c"
        if ($461) { __label__ = 60; break; } else { __label__ = 61; break; } //@line 1056 "t1.c"
      case 61: // $bb62
        var $462=HEAP[$i]; //@line 1053 "t1.c"
        var $463=CHECK_OVERFLOW((($462) + 1)&4294967295, 32); //@line 1053 "t1.c"
        HEAP[$i]=$463; //@line 1053 "t1.c"
        __label__ = 58; break; //@line 1053 "t1.c"
      case 58: // $bb63
        var $464=HEAP[$t1_addr]; //@line 1053 "t1.c"
        var $465=CHECK_OVERFLOW(($464+20)&4294967295, 32); //@line 1053 "t1.c"
        var $466=HEAP[$465]; //@line 1053 "t1.c"
        var $467=HEAP[$i]; //@line 1053 "t1.c"
        var $468=($466) > ($467); //@line 1053 "t1.c"
        if ($468) { __label__ = 62; break; } else { __label__ = 33; break; } //@line 1053 "t1.c"
      case 33: // $bb64
        var $469=HEAP[$segsym]; //@line 1064 "t1.c"
        var $470=($469)!=0; //@line 1064 "t1.c"
        if ($470) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 1064 "t1.c"
      case 63: // $bb65
        HEAP[$v]=0; //@line 1065 "t1.c"
        var $471=HEAP[$mqc]; //@line 1066 "t1.c"
        var $472=CHECK_OVERFLOW(($471+24)&4294967295, 32); //@line 1066 "t1.c"
        var $473=CHECK_OVERFLOW(($472+72)&4294967295, 32); //@line 1066 "t1.c"
        var $474=HEAP[$mqc]; //@line 1066 "t1.c"
        var $475=CHECK_OVERFLOW(($474+100)&4294967295, 32); //@line 1066 "t1.c"
        HEAP[$475]=$473; //@line 1066 "t1.c"
        var $476=HEAP[$mqc]; //@line 1067 "t1.c"
        var $477=_mqc_decode($476); //@line 1067 "t1.c"
        HEAP[$v]=$477; //@line 1067 "t1.c"
        var $478=HEAP[$v]; //@line 1068 "t1.c"
        var $479=($478) << 1; //@line 1068 "t1.c"
        var $480=HEAP[$mqc]; //@line 1068 "t1.c"
        var $481=_mqc_decode($480); //@line 1068 "t1.c"
        var $482=($479) | ($481); //@line 1068 "t1.c"
        HEAP[$v]=$482; //@line 1068 "t1.c"
        var $483=HEAP[$v]; //@line 1069 "t1.c"
        var $484=($483) << 1; //@line 1069 "t1.c"
        var $485=HEAP[$mqc]; //@line 1069 "t1.c"
        var $486=_mqc_decode($485); //@line 1069 "t1.c"
        var $487=($484) | ($486); //@line 1069 "t1.c"
        HEAP[$v]=$487; //@line 1069 "t1.c"
        var $488=HEAP[$v]; //@line 1070 "t1.c"
        var $489=($488) << 1; //@line 1070 "t1.c"
        var $490=HEAP[$mqc]; //@line 1070 "t1.c"
        var $491=_mqc_decode($490); //@line 1070 "t1.c"
        var $492=($489) | ($491); //@line 1070 "t1.c"
        HEAP[$v]=$492; //@line 1070 "t1.c"
        __label__ = 64; break; //@line 1070 "t1.c"
      case 64: // $bb66
        __label__ = 65; break; //@line 1077 "t1.c"
      case 65: // $return
        STACKTOP = __stackBase__;
        return; //@line 1077 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_getwmsedec($nmsedec, $compno, $level, $orient, $bpno, $qmfbid, $stepsize, $numcomps, $mct) {
    var __stackBase__  = STACKTOP; STACKTOP += 96; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 96);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $nmsedec_addr=__stackBase__;
        var $compno_addr=__stackBase__+4;
        var $level_addr=__stackBase__+8;
        var $orient_addr=__stackBase__+12;
        var $bpno_addr=__stackBase__+16;
        var $qmfbid_addr=__stackBase__+20;
        var $stepsize_addr=__stackBase__+24;
        var $numcomps_addr=__stackBase__+32;
        var $mct_addr=__stackBase__+36;
        var $retval=__stackBase__+40;
        var $0=__stackBase__+48;
        var $iftmp_41=__stackBase__+56;
        var $iftmp_40=__stackBase__+64;
        var $w1=__stackBase__+72;
        var $w2=__stackBase__+80;
        var $wmsedec=__stackBase__+88;
        var $_alloca_point_=0;
        HEAP[$nmsedec_addr]=$nmsedec;
        HEAP[$compno_addr]=$compno;
        HEAP[$level_addr]=$level;
        HEAP[$orient_addr]=$orient;
        HEAP[$bpno_addr]=$bpno;
        HEAP[$qmfbid_addr]=$qmfbid;
        HEAP[$stepsize_addr]=$stepsize;
        HEAP[$numcomps_addr]=$numcomps;
        HEAP[$mct_addr]=$mct;
        var $1=HEAP[$qmfbid_addr]; //@line 1093 "t1.c"
        var $2=($1)==1; //@line 1093 "t1.c"
        if ($2) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1093 "t1.c"
      case 0: // $bb
        var $3=HEAP[$mct_addr]; //@line 1094 "t1.c"
        var $4=($3)==0; //@line 1094 "t1.c"
        if ($4) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1094 "t1.c"
      case 3: // $bb1
        var $5=HEAP[$numcomps_addr]; //@line 1094 "t1.c"
        var $6=($5)!=3; //@line 1094 "t1.c"
        if ($6) { __label__ = 2; break; } else { __label__ = 4; break; } //@line 1094 "t1.c"
      case 4: // $bb2
        var $7=HEAP[$compno_addr]; //@line 1094 "t1.c"
        var $8=_mct_getnorm($7); //@line 1094 "t1.c"
        HEAP[$iftmp_40]=$8; //@line 1094 "t1.c"
        __label__ = 5; break; //@line 1094 "t1.c"
      case 2: // $bb3
        HEAP[$iftmp_40]=1; //@line 1094 "t1.c"
        __label__ = 5; break; //@line 1094 "t1.c"
      case 5: // $bb4
        var $9=HEAP[$iftmp_40]; //@line 1094 "t1.c"
        HEAP[$w1]=$9; //@line 1094 "t1.c"
        var $10=HEAP[$level_addr]; //@line 1095 "t1.c"
        var $11=HEAP[$orient_addr]; //@line 1095 "t1.c"
        var $12=_dwt_getnorm($10, $11); //@line 1095 "t1.c"
        HEAP[$w2]=$12; //@line 1095 "t1.c"
        __label__ = 6; break; //@line 1095 "t1.c"
      case 1: // $bb5
        var $13=HEAP[$mct_addr]; //@line 1097 "t1.c"
        var $14=($13)==0; //@line 1097 "t1.c"
        if ($14) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1097 "t1.c"
      case 8: // $bb6
        var $15=HEAP[$numcomps_addr]; //@line 1097 "t1.c"
        var $16=($15)!=3; //@line 1097 "t1.c"
        if ($16) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 1097 "t1.c"
      case 9: // $bb7
        var $17=HEAP[$compno_addr]; //@line 1097 "t1.c"
        var $18=_mct_getnorm_real($17); //@line 1097 "t1.c"
        HEAP[$iftmp_41]=$18; //@line 1097 "t1.c"
        __label__ = 10; break; //@line 1097 "t1.c"
      case 7: // $bb8
        HEAP[$iftmp_41]=1; //@line 1097 "t1.c"
        __label__ = 10; break; //@line 1097 "t1.c"
      case 10: // $bb9
        var $19=HEAP[$iftmp_41]; //@line 1097 "t1.c"
        HEAP[$w1]=$19; //@line 1097 "t1.c"
        var $20=HEAP[$level_addr]; //@line 1098 "t1.c"
        var $21=HEAP[$orient_addr]; //@line 1098 "t1.c"
        var $22=_dwt_getnorm_real($20, $21); //@line 1098 "t1.c"
        HEAP[$w2]=$22; //@line 1098 "t1.c"
        __label__ = 6; break; //@line 1098 "t1.c"
      case 6: // $bb10
        var $23=HEAP[$w1]; //@line 1100 "t1.c"
        var $24=HEAP[$w2]; //@line 1100 "t1.c"
        var $25=($23) * ($24); //@line 1100 "t1.c"
        var $26=HEAP[$stepsize_addr]; //@line 1100 "t1.c"
        var $27=($25) * ($26); //@line 1100 "t1.c"
        var $28=HEAP[$bpno_addr]; //@line 1100 "t1.c"
        var $29=1 << ($28); //@line 1100 "t1.c"
        var $30=($29); //@line 1100 "t1.c"
        var $31=($27) * ($30); //@line 1100 "t1.c"
        HEAP[$wmsedec]=$31; //@line 1100 "t1.c"
        var $32=HEAP[$nmsedec_addr]; //@line 1101 "t1.c"
        var $33=($32); //@line 1101 "t1.c"
        var $34=HEAP[$wmsedec]; //@line 1101 "t1.c"
        var $35=($33) * ($34); //@line 1101 "t1.c"
        var $36=($35) / 8192; //@line 1101 "t1.c"
        var $37=HEAP[$wmsedec]; //@line 1101 "t1.c"
        var $38=($36) * ($37); //@line 1101 "t1.c"
        HEAP[$wmsedec]=$38; //@line 1101 "t1.c"
        var $39=HEAP[$wmsedec]; //@line 1103 "t1.c"
        HEAP[$0]=$39; //@line 1103 "t1.c"
        var $40=HEAP[$0]; //@line 1103 "t1.c"
        HEAP[$retval]=$40; //@line 1103 "t1.c"
        __label__ = 11; break; //@line 1103 "t1.c"
      case 11: // $return
        var $retval11=HEAP[$retval]; //@line 1103 "t1.c"
        STACKTOP = __stackBase__;
        return $retval11; //@line 1103 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _allocate_buffers($t1, $w, $h) {
    var __stackBase__  = STACKTOP; STACKTOP += 28; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 28);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $w_addr=__stackBase__+4;
        var $h_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $0=__stackBase__+16;
        var $datasize=__stackBase__+20;
        var $flagssize=__stackBase__+24;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$w_addr]=$w;
        HEAP[$h_addr]=$h;
        var $1=HEAP[$w_addr]; //@line 1111 "t1.c"
        var $2=HEAP[$h_addr]; //@line 1111 "t1.c"
        var $3=CHECK_OVERFLOW((($1) * ($2))&4294967295, 32); //@line 1111 "t1.c"
        HEAP[$datasize]=$3; //@line 1111 "t1.c"
        var $4=HEAP[$t1_addr]; //@line 1114 "t1.c"
        var $5=CHECK_OVERFLOW(($4+28)&4294967295, 32); //@line 1114 "t1.c"
        var $6=HEAP[$5]; //@line 1114 "t1.c"
        var $7=HEAP[$datasize]; //@line 1114 "t1.c"
        var $8=($6) < ($7); //@line 1114 "t1.c"
        if ($8) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1114 "t1.c"
      case 0: // $bb
        var $9=HEAP[$t1_addr]; //@line 1115 "t1.c"
        var $10=CHECK_OVERFLOW(($9+12)&4294967295, 32); //@line 1115 "t1.c"
        var $11=HEAP[$10]; //@line 1115 "t1.c"
        var $12=$11; //@line 1115 "t1.c"
        _free($12); //@line 1115 "t1.c"
        var $13=HEAP[$datasize]; //@line 1116 "t1.c"
        var $14=CHECK_OVERFLOW((($13) * 4)&4294967295, 32); //@line 1116 "t1.c"
        var $15=_memalign(16, $14); //@line 1116 "t1.c"
        var $16=$15; //@line 1116 "t1.c"
        var $17=HEAP[$t1_addr]; //@line 1116 "t1.c"
        var $18=CHECK_OVERFLOW(($17+12)&4294967295, 32); //@line 1116 "t1.c"
        HEAP[$18]=$16; //@line 1116 "t1.c"
        var $19=HEAP[$t1_addr]; //@line 1117 "t1.c"
        var $20=CHECK_OVERFLOW(($19+12)&4294967295, 32); //@line 1117 "t1.c"
        var $21=HEAP[$20]; //@line 1117 "t1.c"
        var $22=($21)==0; //@line 1117 "t1.c"
        if ($22) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1117 "t1.c"
      case 2: // $bb1
        HEAP[$0]=0; //@line 1118 "t1.c"
        __label__ = 4; break; //@line 1118 "t1.c"
      case 3: // $bb2
        var $23=HEAP[$t1_addr]; //@line 1120 "t1.c"
        var $24=CHECK_OVERFLOW(($23+28)&4294967295, 32); //@line 1120 "t1.c"
        var $25=HEAP[$datasize]; //@line 1120 "t1.c"
        HEAP[$24]=$25; //@line 1120 "t1.c"
        __label__ = 1; break; //@line 1120 "t1.c"
      case 1: // $bb3
        var $26=HEAP[$datasize]; //@line 1122 "t1.c"
        var $27=CHECK_OVERFLOW((($26) * 4)&4294967295, 32); //@line 1122 "t1.c"
        var $28=HEAP[$t1_addr]; //@line 1122 "t1.c"
        var $29=CHECK_OVERFLOW(($28+12)&4294967295, 32); //@line 1122 "t1.c"
        var $30=HEAP[$29]; //@line 1122 "t1.c"
        var $31=$30; //@line 1122 "t1.c"
        _llvm_memset_p0i8_i32($31, 0, $27, 1, 0); //@line 1122 "t1.c"
        var $32=HEAP[$w_addr]; //@line 1124 "t1.c"
        var $33=CHECK_OVERFLOW((($32) + 2)&4294967295, 32); //@line 1124 "t1.c"
        var $34=HEAP[$t1_addr]; //@line 1124 "t1.c"
        var $35=CHECK_OVERFLOW(($34+36)&4294967295, 32); //@line 1124 "t1.c"
        HEAP[$35]=$33; //@line 1124 "t1.c"
        var $36=HEAP[$t1_addr]; //@line 1125 "t1.c"
        var $37=CHECK_OVERFLOW(($36+36)&4294967295, 32); //@line 1125 "t1.c"
        var $38=HEAP[$37]; //@line 1125 "t1.c"
        var $39=HEAP[$h_addr]; //@line 1125 "t1.c"
        var $40=CHECK_OVERFLOW((($39) + 2)&4294967295, 32); //@line 1125 "t1.c"
        var $41=CHECK_OVERFLOW((($38) * ($40))&4294967295, 32); //@line 1125 "t1.c"
        HEAP[$flagssize]=$41; //@line 1125 "t1.c"
        var $42=HEAP[$t1_addr]; //@line 1127 "t1.c"
        var $43=CHECK_OVERFLOW(($42+32)&4294967295, 32); //@line 1127 "t1.c"
        var $44=HEAP[$43]; //@line 1127 "t1.c"
        var $45=HEAP[$flagssize]; //@line 1127 "t1.c"
        var $46=($44) < ($45); //@line 1127 "t1.c"
        if ($46) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1127 "t1.c"
      case 5: // $bb4
        var $47=HEAP[$t1_addr]; //@line 1128 "t1.c"
        var $48=CHECK_OVERFLOW(($47+16)&4294967295, 32); //@line 1128 "t1.c"
        var $49=HEAP[$48]; //@line 1128 "t1.c"
        var $50=$49; //@line 1128 "t1.c"
        _free($50); //@line 1128 "t1.c"
        var $51=HEAP[$flagssize]; //@line 1129 "t1.c"
        var $52=CHECK_OVERFLOW((($51) * 2)&4294967295, 32); //@line 1129 "t1.c"
        var $53=_memalign(16, $52); //@line 1129 "t1.c"
        var $54=$53; //@line 1129 "t1.c"
        var $55=HEAP[$t1_addr]; //@line 1129 "t1.c"
        var $56=CHECK_OVERFLOW(($55+16)&4294967295, 32); //@line 1129 "t1.c"
        HEAP[$56]=$54; //@line 1129 "t1.c"
        var $57=HEAP[$t1_addr]; //@line 1130 "t1.c"
        var $58=CHECK_OVERFLOW(($57+16)&4294967295, 32); //@line 1130 "t1.c"
        var $59=HEAP[$58]; //@line 1130 "t1.c"
        var $60=($59)==0; //@line 1130 "t1.c"
        if ($60) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1130 "t1.c"
      case 7: // $bb5
        HEAP[$0]=0; //@line 1131 "t1.c"
        __label__ = 4; break; //@line 1131 "t1.c"
      case 8: // $bb6
        var $61=HEAP[$t1_addr]; //@line 1133 "t1.c"
        var $62=CHECK_OVERFLOW(($61+32)&4294967295, 32); //@line 1133 "t1.c"
        var $63=HEAP[$flagssize]; //@line 1133 "t1.c"
        HEAP[$62]=$63; //@line 1133 "t1.c"
        __label__ = 6; break; //@line 1133 "t1.c"
      case 6: // $bb7
        var $64=HEAP[$flagssize]; //@line 1135 "t1.c"
        var $65=CHECK_OVERFLOW((($64) * 2)&4294967295, 32); //@line 1135 "t1.c"
        var $66=HEAP[$t1_addr]; //@line 1135 "t1.c"
        var $67=CHECK_OVERFLOW(($66+16)&4294967295, 32); //@line 1135 "t1.c"
        var $68=HEAP[$67]; //@line 1135 "t1.c"
        var $69=$68; //@line 1135 "t1.c"
        _llvm_memset_p0i8_i32($69, 0, $65, 1, 0); //@line 1135 "t1.c"
        var $70=HEAP[$t1_addr]; //@line 1137 "t1.c"
        var $71=CHECK_OVERFLOW(($70+20)&4294967295, 32); //@line 1137 "t1.c"
        var $72=HEAP[$w_addr]; //@line 1137 "t1.c"
        HEAP[$71]=$72; //@line 1137 "t1.c"
        var $73=HEAP[$t1_addr]; //@line 1138 "t1.c"
        var $74=CHECK_OVERFLOW(($73+24)&4294967295, 32); //@line 1138 "t1.c"
        var $75=HEAP[$h_addr]; //@line 1138 "t1.c"
        HEAP[$74]=$75; //@line 1138 "t1.c"
        HEAP[$0]=1; //@line 1140 "t1.c"
        __label__ = 4; break; //@line 1140 "t1.c"
      case 4: // $bb8
        var $76=HEAP[$0]; //@line 1118 "t1.c"
        HEAP[$retval]=$76; //@line 1118 "t1.c"
        __label__ = 9; break; //@line 1118 "t1.c"
      case 9: // $return
        var $retval9=HEAP[$retval]; //@line 1118 "t1.c"
        STACKTOP = __stackBase__;
        return $retval9; //@line 1118 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_encode_cblk($t1, $cblk, $orient, $compno, $level, $qmfbid, $stepsize, $cblksty, $numcomps, $mct, $tile) {
    var __stackBase__  = STACKTOP; STACKTOP += 125; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 125);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $cblk_addr=__stackBase__+4;
        var $orient_addr=__stackBase__+8;
        var $compno_addr=__stackBase__+12;
        var $level_addr=__stackBase__+16;
        var $qmfbid_addr=__stackBase__+20;
        var $stepsize_addr=__stackBase__+24;
        var $cblksty_addr=__stackBase__+32;
        var $numcomps_addr=__stackBase__+36;
        var $mct_addr=__stackBase__+40;
        var $tile_addr=__stackBase__+44;
        var $iftmp_50=__stackBase__+48;
        var $iftmp_49=__stackBase__+52;
        var $iftmp_47=__stackBase__+56;
        var $iftmp_46=__stackBase__+60;
        var $cumwmsedec=__stackBase__+64;
        var $mqc=__stackBase__+72;
        var $passno=__stackBase__+76;
        var $bpno=__stackBase__+80;
        var $passtype=__stackBase__+84;
        var $nmsedec=__stackBase__+88;
        var $i=__stackBase__+92;
        var $max=__stackBase__+96;
        var $type=__stackBase__+100;
        var $tempwmsedec=__stackBase__+101;
        var $tmp=__stackBase__+109;
        var $pass=__stackBase__+113;
        var $correction=__stackBase__+117;
        var $pass66=__stackBase__+121;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$cblk_addr]=$cblk;
        HEAP[$orient_addr]=$orient;
        HEAP[$compno_addr]=$compno;
        HEAP[$level_addr]=$level;
        HEAP[$qmfbid_addr]=$qmfbid;
        HEAP[$stepsize_addr]=$stepsize;
        HEAP[$cblksty_addr]=$cblksty;
        HEAP[$numcomps_addr]=$numcomps;
        HEAP[$mct_addr]=$mct;
        HEAP[$tile_addr]=$tile;
        HEAP[$cumwmsedec]=0; //@line 1157 "t1.c"
        var $0=HEAP[$t1_addr]; //@line 1159 "t1.c"
        var $1=CHECK_OVERFLOW(($0+4)&4294967295, 32); //@line 1159 "t1.c"
        var $2=HEAP[$1]; //@line 1159 "t1.c"
        HEAP[$mqc]=$2; //@line 1159 "t1.c"
        HEAP[$nmsedec]=0; //@line 1162 "t1.c"
        HEAP[$type]=0; //@line 1164 "t1.c"
        HEAP[$max]=0; //@line 1167 "t1.c"
        HEAP[$i]=0; //@line 1168 "t1.c"
        __label__ = 0; break; //@line 1168 "t1.c"
      case 1: // $bb
        var $3=HEAP[$t1_addr]; //@line 1169 "t1.c"
        var $4=CHECK_OVERFLOW(($3+12)&4294967295, 32); //@line 1169 "t1.c"
        var $5=HEAP[$4]; //@line 1169 "t1.c"
        var $6=HEAP[$i]; //@line 1169 "t1.c"
        var $7=CHECK_OVERFLOW(($5+4*$6)&4294967295, 32); //@line 1169 "t1.c"
        var $8=HEAP[$7]; //@line 1169 "t1.c"
        var $neg=CHECK_OVERFLOW((0 - ($8))&4294967295, 32); //@line 1169 "t1.c"
        var $abscond=($8) >= 0; //@line 1169 "t1.c"
        var $abs=($abscond) ? ($8) : ($neg); //@line 1169 "t1.c"
        HEAP[$tmp]=$abs; //@line 1169 "t1.c"
        var $9=HEAP[$max]; //@line 1170 "t1.c"
        var $10=HEAP[$tmp]; //@line 1170 "t1.c"
        var $11=_int_max40($9, $10); //@line 1170 "t1.c"
        HEAP[$max]=$11; //@line 1170 "t1.c"
        var $12=HEAP[$i]; //@line 1168 "t1.c"
        var $13=CHECK_OVERFLOW((($12) + 1)&4294967295, 32); //@line 1168 "t1.c"
        HEAP[$i]=$13; //@line 1168 "t1.c"
        __label__ = 0; break; //@line 1168 "t1.c"
      case 0: // $bb1
        var $14=HEAP[$t1_addr]; //@line 1168 "t1.c"
        var $15=CHECK_OVERFLOW(($14+20)&4294967295, 32); //@line 1168 "t1.c"
        var $16=HEAP[$15]; //@line 1168 "t1.c"
        var $17=HEAP[$t1_addr]; //@line 1168 "t1.c"
        var $18=CHECK_OVERFLOW(($17+24)&4294967295, 32); //@line 1168 "t1.c"
        var $19=HEAP[$18]; //@line 1168 "t1.c"
        var $20=CHECK_OVERFLOW((($16) * ($19))&4294967295, 32); //@line 1168 "t1.c"
        var $21=HEAP[$i]; //@line 1168 "t1.c"
        var $22=($20) > ($21); //@line 1168 "t1.c"
        if ($22) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 1168 "t1.c"
      case 2: // $bb2
        var $23=HEAP[$max]; //@line 1173 "t1.c"
        var $24=($23)!=0; //@line 1173 "t1.c"
        if ($24) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1173 "t1.c"
      case 3: // $bb3
        var $25=HEAP[$max]; //@line 1173 "t1.c"
        var $26=_int_floorlog241($25); //@line 1173 "t1.c"
        var $27=CHECK_OVERFLOW((($26) - 5)&4294967295, 32); //@line 1173 "t1.c"
        HEAP[$iftmp_46]=$27; //@line 1173 "t1.c"
        __label__ = 5; break; //@line 1173 "t1.c"
      case 4: // $bb4
        HEAP[$iftmp_46]=0; //@line 1173 "t1.c"
        __label__ = 5; break; //@line 1173 "t1.c"
      case 5: // $bb5
        var $28=HEAP[$cblk_addr]; //@line 1173 "t1.c"
        var $29=CHECK_OVERFLOW(($28+28)&4294967295, 32); //@line 1173 "t1.c"
        var $30=HEAP[$iftmp_46]; //@line 1173 "t1.c"
        HEAP[$29]=$30; //@line 1173 "t1.c"
        var $31=HEAP[$cblk_addr]; //@line 1175 "t1.c"
        var $32=CHECK_OVERFLOW(($31+28)&4294967295, 32); //@line 1175 "t1.c"
        var $33=HEAP[$32]; //@line 1175 "t1.c"
        var $34=CHECK_OVERFLOW((($33) - 1)&4294967295, 32); //@line 1175 "t1.c"
        HEAP[$bpno]=$34; //@line 1175 "t1.c"
        HEAP[$passtype]=2; //@line 1176 "t1.c"
        var $35=HEAP[$mqc]; //@line 1178 "t1.c"
        _mqc_resetstates($35); //@line 1178 "t1.c"
        var $36=HEAP[$mqc]; //@line 1179 "t1.c"
        _mqc_setstate($36, 18, 0, 46); //@line 1179 "t1.c"
        var $37=HEAP[$mqc]; //@line 1180 "t1.c"
        _mqc_setstate($37, 17, 0, 3); //@line 1180 "t1.c"
        var $38=HEAP[$mqc]; //@line 1181 "t1.c"
        _mqc_setstate($38, 0, 0, 4); //@line 1181 "t1.c"
        var $39=HEAP[$cblk_addr]; //@line 1182 "t1.c"
        var $40=CHECK_OVERFLOW(($39)&4294967295, 32); //@line 1182 "t1.c"
        var $41=HEAP[$40]; //@line 1182 "t1.c"
        var $42=HEAP[$mqc]; //@line 1182 "t1.c"
        _mqc_init_enc($42, $41); //@line 1182 "t1.c"
        HEAP[$passno]=0; //@line 1184 "t1.c"
        __label__ = 6; break; //@line 1184 "t1.c"
      case 45: // $bb6
        var $43=HEAP[$cblk_addr]; //@line 1185 "t1.c"
        var $44=CHECK_OVERFLOW(($43+8)&4294967295, 32); //@line 1185 "t1.c"
        var $45=HEAP[$44]; //@line 1185 "t1.c"
        var $46=HEAP[$passno]; //@line 1185 "t1.c"
        var $47=CHECK_OVERFLOW(($45+20*$46)&4294967295, 32); //@line 1185 "t1.c"
        HEAP[$pass]=$47; //@line 1185 "t1.c"
        HEAP[$correction]=3; //@line 1186 "t1.c"
        var $48=HEAP[$cblk_addr]; //@line 1187 "t1.c"
        var $49=CHECK_OVERFLOW(($48+28)&4294967295, 32); //@line 1187 "t1.c"
        var $50=HEAP[$49]; //@line 1187 "t1.c"
        var $51=CHECK_OVERFLOW((($50) - 4)&4294967295, 32); //@line 1187 "t1.c"
        var $52=HEAP[$bpno]; //@line 1187 "t1.c"
        var $53=($51) <= ($52); //@line 1187 "t1.c"
        if ($53) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1187 "t1.c"
      case 8: // $bb7
        var $54=HEAP[$passtype]; //@line 1187 "t1.c"
        var $55=($54) > 1; //@line 1187 "t1.c"
        if ($55) { __label__ = 7; break; } else { __label__ = 9; break; } //@line 1187 "t1.c"
      case 9: // $bb8
        var $56=HEAP[$cblksty_addr]; //@line 1187 "t1.c"
        var $57=($56) & 1; //@line 1187 "t1.c"
        var $58=((($57)) & 255); //@line 1187 "t1.c"
        var $toBool=($58)!=0; //@line 1187 "t1.c"
        var $toBoolnot=($toBool) ^ 1; //@line 1187 "t1.c"
        var $toBoolnot9=($toBoolnot); //@line 1187 "t1.c"
        var $toBool11=($toBoolnot9)!=0; //@line 1187 "t1.c"
        if ($toBool11) { __label__ = 7; break; } else { __label__ = 10; break; } //@line 1187 "t1.c"
      case 10: // $bb12
        HEAP[$iftmp_47]=1; //@line 1187 "t1.c"
        __label__ = 11; break; //@line 1187 "t1.c"
      case 7: // $bb13
        HEAP[$iftmp_47]=0; //@line 1187 "t1.c"
        __label__ = 11; break; //@line 1187 "t1.c"
      case 11: // $bb14
        var $59=HEAP[$iftmp_47]; //@line 1187 "t1.c"
        var $60=((($59)) & 255); //@line 1187 "t1.c"
        HEAP[$type]=$60; //@line 1187 "t1.c"
        var $61=HEAP[$passtype]; //@line 1189 "t1.c"
        if ($61 == 0) {
          __label__ = 63; break;
        }
        else if ($61 == 1) {
          __label__ = 64; break;
        }
        else if ($61 == 2) {
          __label__ = 65; break;
        }
        else {
        __label__ = 12; break;
        }
        
      case 63: // $bb15
        var $62=HEAP[$type]; //@line 1191 "t1.c"
        var $63=($62); //@line 1191 "t1.c"
        var $64=HEAP[$t1_addr]; //@line 1191 "t1.c"
        var $65=HEAP[$bpno]; //@line 1191 "t1.c"
        var $66=HEAP[$orient_addr]; //@line 1191 "t1.c"
        var $67=((($63)) & 255); //@line 1191 "t1.c"
        var $68=HEAP[$cblksty_addr]; //@line 1191 "t1.c"
        _t1_enc_sigpass($64, $65, $66, $nmsedec, $67, $68); //@line 1191 "t1.c"
        __label__ = 12; break; //@line 1191 "t1.c"
      case 64: // $bb16
        var $69=HEAP[$type]; //@line 1194 "t1.c"
        var $70=($69); //@line 1194 "t1.c"
        var $71=HEAP[$t1_addr]; //@line 1194 "t1.c"
        var $72=HEAP[$bpno]; //@line 1194 "t1.c"
        var $73=((($70)) & 255); //@line 1194 "t1.c"
        var $74=HEAP[$cblksty_addr]; //@line 1194 "t1.c"
        _t1_enc_refpass($71, $72, $nmsedec, $73, $74); //@line 1194 "t1.c"
        __label__ = 12; break; //@line 1194 "t1.c"
      case 65: // $bb17
        var $75=HEAP[$t1_addr]; //@line 1197 "t1.c"
        var $76=HEAP[$bpno]; //@line 1197 "t1.c"
        var $77=HEAP[$orient_addr]; //@line 1197 "t1.c"
        var $78=HEAP[$cblksty_addr]; //@line 1197 "t1.c"
        _t1_enc_clnpass($75, $76, $77, $nmsedec, $78); //@line 1197 "t1.c"
        var $79=HEAP[$cblksty_addr]; //@line 1199 "t1.c"
        var $80=($79) & 32; //@line 1199 "t1.c"
        var $81=($80)!=0; //@line 1199 "t1.c"
        if ($81) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 1199 "t1.c"
      case 13: // $bb18
        var $82=HEAP[$mqc]; //@line 1200 "t1.c"
        _mqc_segmark_enc($82); //@line 1200 "t1.c"
        __label__ = 12; break; //@line 1200 "t1.c"
      case 12: // $bb19
        var $83=HEAP[$nmsedec]; //@line 1205 "t1.c"
        var $84=HEAP[$compno_addr]; //@line 1205 "t1.c"
        var $85=HEAP[$level_addr]; //@line 1205 "t1.c"
        var $86=HEAP[$orient_addr]; //@line 1205 "t1.c"
        var $87=HEAP[$bpno]; //@line 1205 "t1.c"
        var $88=HEAP[$qmfbid_addr]; //@line 1205 "t1.c"
        var $89=HEAP[$stepsize_addr]; //@line 1205 "t1.c"
        var $90=HEAP[$numcomps_addr]; //@line 1205 "t1.c"
        var $91=HEAP[$mct_addr]; //@line 1205 "t1.c"
        var $92=_t1_getwmsedec($83, $84, $85, $86, $87, $88, $89, $90, $91); //@line 1205 "t1.c"
        HEAP[$tempwmsedec]=$92; //@line 1205 "t1.c"
        var $93=HEAP[$cumwmsedec]; //@line 1206 "t1.c"
        var $94=HEAP[$tempwmsedec]; //@line 1206 "t1.c"
        var $95=($93) + ($94); //@line 1206 "t1.c"
        HEAP[$cumwmsedec]=$95; //@line 1206 "t1.c"
        var $96=HEAP[$tile_addr]; //@line 1207 "t1.c"
        var $97=CHECK_OVERFLOW(($96+28)&4294967295, 32); //@line 1207 "t1.c"
        var $98=HEAP[$97]; //@line 1207 "t1.c"
        var $99=HEAP[$tempwmsedec]; //@line 1207 "t1.c"
        var $100=($98) + ($99); //@line 1207 "t1.c"
        var $101=HEAP[$tile_addr]; //@line 1207 "t1.c"
        var $102=CHECK_OVERFLOW(($101+28)&4294967295, 32); //@line 1207 "t1.c"
        HEAP[$102]=$100; //@line 1207 "t1.c"
        var $103=HEAP[$cblksty_addr]; //@line 1210 "t1.c"
        var $104=($103) & 4; //@line 1210 "t1.c"
        var $105=($104)==0; //@line 1210 "t1.c"
        if ($105) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1210 "t1.c"
      case 15: // $bb20
        var $106=HEAP[$passtype]; //@line 1210 "t1.c"
        var $107=($106)!=2; //@line 1210 "t1.c"
        if ($107) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1210 "t1.c"
      case 17: // $bb21
        var $108=HEAP[$bpno]; //@line 1210 "t1.c"
        var $109=CHECK_OVERFLOW((($108) - 1)&4294967295, 32); //@line 1210 "t1.c"
        var $110=($109) >= 0; //@line 1210 "t1.c"
        if ($110) { __label__ = 16; break; } else { __label__ = 14; break; } //@line 1210 "t1.c"
      case 16: // $bb22
        var $111=HEAP[$type]; //@line 1211 "t1.c"
        var $112=($111)==1; //@line 1211 "t1.c"
        if ($112) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1211 "t1.c"
      case 18: // $bb23
        var $113=HEAP[$mqc]; //@line 1212 "t1.c"
        _mqc_flush($113); //@line 1212 "t1.c"
        HEAP[$correction]=1; //@line 1213 "t1.c"
        __label__ = 20; break; //@line 1213 "t1.c"
      case 19: // $bb24
        var $114=HEAP[$mqc]; //@line 1216 "t1.c"
        _mqc_flush($114); //@line 1216 "t1.c"
        HEAP[$correction]=1; //@line 1217 "t1.c"
        __label__ = 20; break; //@line 1217 "t1.c"
      case 20: // $bb25
        var $115=HEAP[$pass]; //@line 1219 "t1.c"
        var $116=CHECK_OVERFLOW(($115+12)&4294967295, 32); //@line 1219 "t1.c"
        HEAP[$116]=1; //@line 1219 "t1.c"
        __label__ = 21; break; //@line 1219 "t1.c"
      case 14: // $bb26
        var $117=HEAP[$cblk_addr]; //@line 1221 "t1.c"
        var $118=CHECK_OVERFLOW(($117+28)&4294967295, 32); //@line 1221 "t1.c"
        var $119=HEAP[$118]; //@line 1221 "t1.c"
        var $120=CHECK_OVERFLOW((($119) - 4)&4294967295, 32); //@line 1221 "t1.c"
        var $121=HEAP[$bpno]; //@line 1221 "t1.c"
        var $122=($120) <= ($121); //@line 1221 "t1.c"
        if ($122) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1221 "t1.c"
      case 23: // $bb27
        var $123=HEAP[$passtype]; //@line 1221 "t1.c"
        var $124=($123) > 0; //@line 1221 "t1.c"
        if ($124) { __label__ = 24; break; } else { __label__ = 22; break; } //@line 1221 "t1.c"
      case 22: // $bb28
        var $125=HEAP[$cblk_addr]; //@line 1221 "t1.c"
        var $126=CHECK_OVERFLOW(($125+28)&4294967295, 32); //@line 1221 "t1.c"
        var $127=HEAP[$126]; //@line 1221 "t1.c"
        var $128=CHECK_OVERFLOW((($127) - 4)&4294967295, 32); //@line 1221 "t1.c"
        var $129=HEAP[$bpno]; //@line 1221 "t1.c"
        var $130=($128)!=($129); //@line 1221 "t1.c"
        if ($130) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1221 "t1.c"
      case 26: // $bb29
        var $131=HEAP[$passtype]; //@line 1221 "t1.c"
        var $132=($131)==2; //@line 1221 "t1.c"
        if ($132) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1221 "t1.c"
      case 24: // $bb30
        var $133=HEAP[$cblksty_addr]; //@line 1221 "t1.c"
        var $134=($133) & 1; //@line 1221 "t1.c"
        var $135=((($134)) & 255); //@line 1221 "t1.c"
        var $toBool31=($135)!=0; //@line 1221 "t1.c"
        var $toBool31not=($toBool31) ^ 1; //@line 1221 "t1.c"
        var $toBool31not32=($toBool31not); //@line 1221 "t1.c"
        var $toBool34=($toBool31not32)!=0; //@line 1221 "t1.c"
        if ($toBool34) { __label__ = 25; break; } else { __label__ = 27; break; } //@line 1221 "t1.c"
      case 27: // $bb35
        var $136=HEAP[$type]; //@line 1223 "t1.c"
        var $137=($136)==1; //@line 1223 "t1.c"
        if ($137) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 1223 "t1.c"
      case 28: // $bb36
        var $138=HEAP[$mqc]; //@line 1224 "t1.c"
        _mqc_flush($138); //@line 1224 "t1.c"
        HEAP[$correction]=1; //@line 1225 "t1.c"
        __label__ = 30; break; //@line 1225 "t1.c"
      case 29: // $bb37
        var $139=HEAP[$mqc]; //@line 1228 "t1.c"
        _mqc_flush($139); //@line 1228 "t1.c"
        HEAP[$correction]=1; //@line 1229 "t1.c"
        __label__ = 30; break; //@line 1229 "t1.c"
      case 30: // $bb38
        var $140=HEAP[$pass]; //@line 1231 "t1.c"
        var $141=CHECK_OVERFLOW(($140+12)&4294967295, 32); //@line 1231 "t1.c"
        HEAP[$141]=1; //@line 1231 "t1.c"
        __label__ = 21; break; //@line 1231 "t1.c"
      case 25: // $bb39
        var $142=HEAP[$pass]; //@line 1233 "t1.c"
        var $143=CHECK_OVERFLOW(($142+12)&4294967295, 32); //@line 1233 "t1.c"
        HEAP[$143]=0; //@line 1233 "t1.c"
        __label__ = 21; break; //@line 1233 "t1.c"
      case 21: // $bb40
        var $144=HEAP[$passtype]; //@line 1237 "t1.c"
        var $145=CHECK_OVERFLOW((($144) + 1)&4294967295, 32); //@line 1237 "t1.c"
        HEAP[$passtype]=$145; //@line 1237 "t1.c"
        var $146=HEAP[$passtype]; //@line 1237 "t1.c"
        var $147=($146)==3; //@line 1237 "t1.c"
        if ($147) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 1237 "t1.c"
      case 31: // $bb41
        HEAP[$passtype]=0; //@line 1238 "t1.c"
        var $148=HEAP[$bpno]; //@line 1239 "t1.c"
        var $149=CHECK_OVERFLOW((($148) - 1)&4294967295, 32); //@line 1239 "t1.c"
        HEAP[$bpno]=$149; //@line 1239 "t1.c"
        __label__ = 32; break; //@line 1239 "t1.c"
      case 32: // $bb42
        var $150=HEAP[$pass]; //@line 1242 "t1.c"
        var $151=CHECK_OVERFLOW(($150+12)&4294967295, 32); //@line 1242 "t1.c"
        var $152=HEAP[$151]; //@line 1242 "t1.c"
        var $153=($152)!=0; //@line 1242 "t1.c"
        if ($153) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 1242 "t1.c"
      case 33: // $bb43
        var $154=HEAP[$bpno]; //@line 1242 "t1.c"
        var $155=($154) > 0; //@line 1242 "t1.c"
        if ($155) { __label__ = 35; break; } else { __label__ = 34; break; } //@line 1242 "t1.c"
      case 35: // $bb44
        var $156=HEAP[$cblk_addr]; //@line 1243 "t1.c"
        var $157=CHECK_OVERFLOW(($156+28)&4294967295, 32); //@line 1243 "t1.c"
        var $158=HEAP[$157]; //@line 1243 "t1.c"
        var $159=CHECK_OVERFLOW((($158) - 4)&4294967295, 32); //@line 1243 "t1.c"
        var $160=HEAP[$bpno]; //@line 1243 "t1.c"
        var $161=($159) <= ($160); //@line 1243 "t1.c"
        if ($161) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 1243 "t1.c"
      case 37: // $bb45
        var $162=HEAP[$passtype]; //@line 1243 "t1.c"
        var $163=($162) > 1; //@line 1243 "t1.c"
        if ($163) { __label__ = 36; break; } else { __label__ = 38; break; } //@line 1243 "t1.c"
      case 38: // $bb46
        var $164=HEAP[$cblksty_addr]; //@line 1243 "t1.c"
        var $165=($164) & 1; //@line 1243 "t1.c"
        var $166=((($165)) & 255); //@line 1243 "t1.c"
        var $toBool47=($166)!=0; //@line 1243 "t1.c"
        var $toBool47not=($toBool47) ^ 1; //@line 1243 "t1.c"
        var $toBool47not48=($toBool47not); //@line 1243 "t1.c"
        var $toBool50=($toBool47not48)!=0; //@line 1243 "t1.c"
        if ($toBool50) { __label__ = 36; break; } else { __label__ = 39; break; } //@line 1243 "t1.c"
      case 39: // $bb51
        HEAP[$iftmp_49]=1; //@line 1243 "t1.c"
        __label__ = 40; break; //@line 1243 "t1.c"
      case 36: // $bb52
        HEAP[$iftmp_49]=0; //@line 1243 "t1.c"
        __label__ = 40; break; //@line 1243 "t1.c"
      case 40: // $bb53
        var $167=HEAP[$iftmp_49]; //@line 1243 "t1.c"
        var $168=((($167)) & 255); //@line 1243 "t1.c"
        HEAP[$type]=$168; //@line 1243 "t1.c"
        var $169=HEAP[$type]; //@line 1244 "t1.c"
        var $170=($169)==1; //@line 1244 "t1.c"
        if ($170) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 1244 "t1.c"
      case 41: // $bb54
        var $171=HEAP[$mqc]; //@line 1245 "t1.c"
        _mqc_bypass_init_enc($171); //@line 1245 "t1.c"
        __label__ = 34; break; //@line 1245 "t1.c"
      case 42: // $bb55
        var $172=HEAP[$mqc]; //@line 1247 "t1.c"
        _mqc_restart_init_enc($172); //@line 1247 "t1.c"
        __label__ = 34; break; //@line 1247 "t1.c"
      case 34: // $bb56
        var $173=HEAP[$pass]; //@line 1250 "t1.c"
        var $174=CHECK_OVERFLOW(($173+4)&4294967295, 32); //@line 1250 "t1.c"
        var $175=HEAP[$cumwmsedec]; //@line 1250 "t1.c"
        HEAP[$174]=$175; //@line 1250 "t1.c"
        var $176=HEAP[$mqc]; //@line 1251 "t1.c"
        var $177=_mqc_numbytes($176); //@line 1251 "t1.c"
        var $178=HEAP[$correction]; //@line 1251 "t1.c"
        var $179=CHECK_OVERFLOW((($177) + ($178))&4294967295, 32); //@line 1251 "t1.c"
        var $180=HEAP[$pass]; //@line 1251 "t1.c"
        var $181=CHECK_OVERFLOW(($180)&4294967295, 32); //@line 1251 "t1.c"
        HEAP[$181]=$179; //@line 1251 "t1.c"
        var $182=HEAP[$cblksty_addr]; //@line 1254 "t1.c"
        var $183=($182) & 2; //@line 1254 "t1.c"
        var $184=($183)!=0; //@line 1254 "t1.c"
        if ($184) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 1254 "t1.c"
      case 43: // $bb57
        var $185=HEAP[$mqc]; //@line 1255 "t1.c"
        _mqc_reset_enc($185); //@line 1255 "t1.c"
        __label__ = 44; break; //@line 1255 "t1.c"
      case 44: // $bb58
        var $186=HEAP[$passno]; //@line 1184 "t1.c"
        var $187=CHECK_OVERFLOW((($186) + 1)&4294967295, 32); //@line 1184 "t1.c"
        HEAP[$passno]=$187; //@line 1184 "t1.c"
        __label__ = 6; break; //@line 1184 "t1.c"
      case 6: // $bb59
        var $188=HEAP[$bpno]; //@line 1184 "t1.c"
        var $189=($188) >= 0; //@line 1184 "t1.c"
        if ($189) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 1184 "t1.c"
      case 46: // $bb60
        var $190=HEAP[$cblksty_addr]; //@line 1259 "t1.c"
        var $191=($190) & 16; //@line 1259 "t1.c"
        var $192=($191)!=0; //@line 1259 "t1.c"
        if ($192) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 1259 "t1.c"
      case 47: // $bb61
        var $193=HEAP[$mqc]; //@line 1260 "t1.c"
        _mqc_erterm_enc($193); //@line 1260 "t1.c"
        __label__ = 49; break; //@line 1260 "t1.c"
      case 48: // $bb62
        var $194=HEAP[$cblksty_addr]; //@line 1261 "t1.c"
        var $195=($194) & 1; //@line 1261 "t1.c"
        var $196=($195)==0; //@line 1261 "t1.c"
        if ($196) { __label__ = 50; break; } else { __label__ = 49; break; } //@line 1261 "t1.c"
      case 50: // $bb63
        var $197=HEAP[$mqc]; //@line 1262 "t1.c"
        _mqc_flush($197); //@line 1262 "t1.c"
        __label__ = 49; break; //@line 1262 "t1.c"
      case 49: // $bb64
        var $198=HEAP[$cblk_addr]; //@line 1264 "t1.c"
        var $199=CHECK_OVERFLOW(($198+44)&4294967295, 32); //@line 1264 "t1.c"
        var $200=HEAP[$passno]; //@line 1264 "t1.c"
        HEAP[$199]=$200; //@line 1264 "t1.c"
        HEAP[$passno]=0; //@line 1266 "t1.c"
        __label__ = 51; break; //@line 1266 "t1.c"
      case 60: // $bb65
        var $201=HEAP[$cblk_addr]; //@line 1267 "t1.c"
        var $202=CHECK_OVERFLOW(($201+8)&4294967295, 32); //@line 1267 "t1.c"
        var $203=HEAP[$202]; //@line 1267 "t1.c"
        var $204=HEAP[$passno]; //@line 1267 "t1.c"
        var $205=CHECK_OVERFLOW(($203+20*$204)&4294967295, 32); //@line 1267 "t1.c"
        HEAP[$pass66]=$205; //@line 1267 "t1.c"
        var $206=HEAP[$pass66]; //@line 1268 "t1.c"
        var $207=CHECK_OVERFLOW(($206)&4294967295, 32); //@line 1268 "t1.c"
        var $208=HEAP[$207]; //@line 1268 "t1.c"
        var $209=HEAP[$mqc]; //@line 1268 "t1.c"
        var $210=_mqc_numbytes($209); //@line 1268 "t1.c"
        var $211=($208) > ($210); //@line 1268 "t1.c"
        if ($211) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 1268 "t1.c"
      case 52: // $bb67
        var $212=HEAP[$mqc]; //@line 1269 "t1.c"
        var $213=_mqc_numbytes($212); //@line 1269 "t1.c"
        var $214=HEAP[$pass66]; //@line 1269 "t1.c"
        var $215=CHECK_OVERFLOW(($214)&4294967295, 32); //@line 1269 "t1.c"
        HEAP[$215]=$213; //@line 1269 "t1.c"
        __label__ = 53; break; //@line 1269 "t1.c"
      case 53: // $bb68
        var $216=HEAP[$pass66]; //@line 1271 "t1.c"
        var $217=CHECK_OVERFLOW(($216)&4294967295, 32); //@line 1271 "t1.c"
        var $218=HEAP[$217]; //@line 1271 "t1.c"
        var $219=($218) > 1; //@line 1271 "t1.c"
        if ($219) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 1271 "t1.c"
      case 54: // $bb69
        var $220=HEAP[$cblk_addr]; //@line 1271 "t1.c"
        var $221=CHECK_OVERFLOW(($220)&4294967295, 32); //@line 1271 "t1.c"
        var $222=HEAP[$221]; //@line 1271 "t1.c"
        var $223=HEAP[$pass66]; //@line 1271 "t1.c"
        var $224=CHECK_OVERFLOW(($223)&4294967295, 32); //@line 1271 "t1.c"
        var $225=HEAP[$224]; //@line 1271 "t1.c"
        var $226=CHECK_OVERFLOW((($225) - 1)&4294967295, 32); //@line 1271 "t1.c"
        var $227=CHECK_OVERFLOW(($222+$226)&4294967295, 32); //@line 1271 "t1.c"
        var $228=HEAP[$227]; //@line 1271 "t1.c"
        var $229=($228)==-1; //@line 1271 "t1.c"
        if ($229) { __label__ = 56; break; } else { __label__ = 55; break; } //@line 1271 "t1.c"
      case 56: // $bb70
        var $230=HEAP[$pass66]; //@line 1272 "t1.c"
        var $231=CHECK_OVERFLOW(($230)&4294967295, 32); //@line 1272 "t1.c"
        var $232=HEAP[$231]; //@line 1272 "t1.c"
        var $233=CHECK_OVERFLOW((($232) - 1)&4294967295, 32); //@line 1272 "t1.c"
        var $234=HEAP[$pass66]; //@line 1272 "t1.c"
        var $235=CHECK_OVERFLOW(($234)&4294967295, 32); //@line 1272 "t1.c"
        HEAP[$235]=$233; //@line 1272 "t1.c"
        __label__ = 55; break; //@line 1272 "t1.c"
      case 55: // $bb71
        var $236=HEAP[$pass66]; //@line 1274 "t1.c"
        var $237=CHECK_OVERFLOW(($236)&4294967295, 32); //@line 1274 "t1.c"
        var $238=HEAP[$237]; //@line 1274 "t1.c"
        var $239=HEAP[$passno]; //@line 1274 "t1.c"
        var $240=($239)!=0; //@line 1274 "t1.c"
        if ($240) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 1274 "t1.c"
      case 57: // $bb72
        var $241=HEAP[$cblk_addr]; //@line 1274 "t1.c"
        var $242=CHECK_OVERFLOW(($241+8)&4294967295, 32); //@line 1274 "t1.c"
        var $243=HEAP[$242]; //@line 1274 "t1.c"
        var $244=HEAP[$passno]; //@line 1274 "t1.c"
        var $245=CHECK_OVERFLOW((($244) - 1)&4294967295, 32); //@line 1274 "t1.c"
        var $246=CHECK_OVERFLOW(($243+20*$245)&4294967295, 32); //@line 1274 "t1.c"
        var $247=CHECK_OVERFLOW(($246)&4294967295, 32); //@line 1274 "t1.c"
        var $248=HEAP[$247]; //@line 1274 "t1.c"
        HEAP[$iftmp_50]=$248; //@line 1274 "t1.c"
        __label__ = 59; break; //@line 1274 "t1.c"
      case 58: // $bb73
        HEAP[$iftmp_50]=0; //@line 1274 "t1.c"
        __label__ = 59; break; //@line 1274 "t1.c"
      case 59: // $bb74
        var $249=HEAP[$iftmp_50]; //@line 1274 "t1.c"
        var $250=CHECK_OVERFLOW((($238) - ($249))&4294967295, 32); //@line 1274 "t1.c"
        var $251=HEAP[$pass66]; //@line 1274 "t1.c"
        var $252=CHECK_OVERFLOW(($251+16)&4294967295, 32); //@line 1274 "t1.c"
        HEAP[$252]=$250; //@line 1274 "t1.c"
        var $253=HEAP[$passno]; //@line 1266 "t1.c"
        var $254=CHECK_OVERFLOW((($253) + 1)&4294967295, 32); //@line 1266 "t1.c"
        HEAP[$passno]=$254; //@line 1266 "t1.c"
        __label__ = 51; break; //@line 1266 "t1.c"
      case 51: // $bb75
        var $255=HEAP[$cblk_addr]; //@line 1266 "t1.c"
        var $256=CHECK_OVERFLOW(($255+44)&4294967295, 32); //@line 1266 "t1.c"
        var $257=HEAP[$256]; //@line 1266 "t1.c"
        var $258=HEAP[$passno]; //@line 1266 "t1.c"
        var $259=($257) > ($258); //@line 1266 "t1.c"
        if ($259) { __label__ = 60; break; } else { __label__ = 61; break; } //@line 1266 "t1.c"
      case 61: // $bb76
        __label__ = 62; break; //@line 1276 "t1.c"
      case 62: // $return
        STACKTOP = __stackBase__;
        return; //@line 1276 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_max40($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$b_addr]; //@line 58 "int.h"
        var $2=HEAP[$a_addr]; //@line 58 "int.h"
        var $3=($1) >= ($2); //@line 58 "int.h"
        var $max=($3) ? ($1) : ($2); //@line 58 "int.h"
        HEAP[$0]=$max; //@line 58 "int.h"
        var $4=HEAP[$0]; //@line 58 "int.h"
        HEAP[$retval]=$4; //@line 58 "int.h"
        __label__ = 0; break; //@line 58 "int.h"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 58 "int.h"
        STACKTOP = __stackBase__;
        return $retval1; //@line 58 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_floorlog241($a) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $l=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$l]=0; //@line 109 "int.h"
        __label__ = 0; break; //@line 109 "int.h"
      case 1: // $bb
        var $1=HEAP[$a_addr]; //@line 110 "int.h"
        var $2=($1) >> 1; //@line 110 "int.h"
        HEAP[$a_addr]=$2; //@line 110 "int.h"
        var $3=HEAP[$l]; //@line 109 "int.h"
        var $4=CHECK_OVERFLOW((($3) + 1)&4294967295, 32); //@line 109 "int.h"
        HEAP[$l]=$4; //@line 109 "int.h"
        __label__ = 0; break; //@line 109 "int.h"
      case 0: // $bb1
        var $5=HEAP[$a_addr]; //@line 109 "int.h"
        var $6=($5) > 1; //@line 109 "int.h"
        if ($6) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 109 "int.h"
      case 2: // $bb2
        var $7=HEAP[$l]; //@line 112 "int.h"
        HEAP[$0]=$7; //@line 112 "int.h"
        var $8=HEAP[$0]; //@line 112 "int.h"
        HEAP[$retval]=$8; //@line 112 "int.h"
        __label__ = 3; break; //@line 112 "int.h"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 112 "int.h"
        STACKTOP = __stackBase__;
        return $retval3; //@line 112 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_decode_cblk($t1, $cblk, $orient, $roishift, $cblksty) {
    var __stackBase__  = STACKTOP; STACKTOP += 53; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 53);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $cblk_addr=__stackBase__+4;
        var $orient_addr=__stackBase__+8;
        var $roishift_addr=__stackBase__+12;
        var $cblksty_addr=__stackBase__+16;
        var $iftmp_51=__stackBase__+20;
        var $raw=__stackBase__+24;
        var $mqc=__stackBase__+28;
        var $bpno=__stackBase__+32;
        var $passtype=__stackBase__+36;
        var $segno=__stackBase__+40;
        var $passno=__stackBase__+44;
        var $type=__stackBase__+48;
        var $seg=__stackBase__+49;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$cblk_addr]=$cblk;
        HEAP[$orient_addr]=$orient;
        HEAP[$roishift_addr]=$roishift;
        HEAP[$cblksty_addr]=$cblksty;
        var $0=HEAP[$t1_addr]; //@line 1285 "t1.c"
        var $1=CHECK_OVERFLOW(($0+8)&4294967295, 32); //@line 1285 "t1.c"
        var $2=HEAP[$1]; //@line 1285 "t1.c"
        HEAP[$raw]=$2; //@line 1285 "t1.c"
        var $3=HEAP[$t1_addr]; //@line 1286 "t1.c"
        var $4=CHECK_OVERFLOW(($3+4)&4294967295, 32); //@line 1286 "t1.c"
        var $5=HEAP[$4]; //@line 1286 "t1.c"
        HEAP[$mqc]=$5; //@line 1286 "t1.c"
        HEAP[$type]=0; //@line 1290 "t1.c"
        var $6=HEAP[$cblk_addr]; //@line 1292 "t1.c"
        var $7=CHECK_OVERFLOW(($6+20)&4294967295, 32); //@line 1292 "t1.c"
        var $8=HEAP[$7]; //@line 1292 "t1.c"
        var $9=HEAP[$cblk_addr]; //@line 1292 "t1.c"
        var $10=CHECK_OVERFLOW(($9+12)&4294967295, 32); //@line 1292 "t1.c"
        var $11=HEAP[$10]; //@line 1292 "t1.c"
        var $12=CHECK_OVERFLOW((($8) - ($11))&4294967295, 32); //@line 1292 "t1.c"
        var $13=HEAP[$cblk_addr]; //@line 1292 "t1.c"
        var $14=CHECK_OVERFLOW(($13+16)&4294967295, 32); //@line 1292 "t1.c"
        var $15=HEAP[$14]; //@line 1292 "t1.c"
        var $16=HEAP[$cblk_addr]; //@line 1292 "t1.c"
        var $17=CHECK_OVERFLOW(($16+8)&4294967295, 32); //@line 1292 "t1.c"
        var $18=HEAP[$17]; //@line 1292 "t1.c"
        var $19=CHECK_OVERFLOW((($15) - ($18))&4294967295, 32); //@line 1292 "t1.c"
        var $20=HEAP[$t1_addr]; //@line 1292 "t1.c"
        var $21=_allocate_buffers($20, $19, $12); //@line 1292 "t1.c"
        var $22=($21)==0; //@line 1292 "t1.c"
        if ($22) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1292 "t1.c"
      case 1: // $bb
        var $23=HEAP[$cblk_addr]; //@line 1300 "t1.c"
        var $24=CHECK_OVERFLOW(($23+24)&4294967295, 32); //@line 1300 "t1.c"
        var $25=HEAP[$24]; //@line 1300 "t1.c"
        var $26=HEAP[$roishift_addr]; //@line 1300 "t1.c"
        var $27=CHECK_OVERFLOW((($25) + ($26))&4294967295, 32); //@line 1300 "t1.c"
        var $28=CHECK_OVERFLOW((($27) - 1)&4294967295, 32); //@line 1300 "t1.c"
        HEAP[$bpno]=$28; //@line 1300 "t1.c"
        HEAP[$passtype]=2; //@line 1301 "t1.c"
        var $29=HEAP[$mqc]; //@line 1303 "t1.c"
        _mqc_resetstates($29); //@line 1303 "t1.c"
        var $30=HEAP[$mqc]; //@line 1304 "t1.c"
        _mqc_setstate($30, 18, 0, 46); //@line 1304 "t1.c"
        var $31=HEAP[$mqc]; //@line 1305 "t1.c"
        _mqc_setstate($31, 17, 0, 3); //@line 1305 "t1.c"
        var $32=HEAP[$mqc]; //@line 1306 "t1.c"
        _mqc_setstate($32, 0, 0, 4); //@line 1306 "t1.c"
        HEAP[$segno]=0; //@line 1308 "t1.c"
        __label__ = 2; break; //@line 1308 "t1.c"
      case 31: // $bb1
        var $33=HEAP[$cblk_addr]; //@line 1309 "t1.c"
        var $34=CHECK_OVERFLOW(($33+4)&4294967295, 32); //@line 1309 "t1.c"
        var $35=HEAP[$34]; //@line 1309 "t1.c"
        var $36=HEAP[$segno]; //@line 1309 "t1.c"
        var $37=CHECK_OVERFLOW(($35+28*$36)&4294967295, 32); //@line 1309 "t1.c"
        HEAP[$seg]=$37; //@line 1309 "t1.c"
        var $38=HEAP[$cblk_addr]; //@line 1312 "t1.c"
        var $39=CHECK_OVERFLOW(($38+24)&4294967295, 32); //@line 1312 "t1.c"
        var $40=HEAP[$39]; //@line 1312 "t1.c"
        var $41=CHECK_OVERFLOW((($40) - 5)&4294967295, 32); //@line 1312 "t1.c"
        var $42=HEAP[$bpno]; //@line 1312 "t1.c"
        var $43=($41) < ($42); //@line 1312 "t1.c"
        if ($43) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1312 "t1.c"
      case 4: // $bb2
        var $44=HEAP[$passtype]; //@line 1312 "t1.c"
        var $45=($44) > 1; //@line 1312 "t1.c"
        if ($45) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 1312 "t1.c"
      case 5: // $bb3
        var $46=HEAP[$cblksty_addr]; //@line 1312 "t1.c"
        var $47=($46) & 1; //@line 1312 "t1.c"
        var $48=((($47)) & 255); //@line 1312 "t1.c"
        var $toBool=($48)!=0; //@line 1312 "t1.c"
        var $toBoolnot=($toBool) ^ 1; //@line 1312 "t1.c"
        var $toBoolnot4=($toBoolnot); //@line 1312 "t1.c"
        var $toBool6=($toBoolnot4)!=0; //@line 1312 "t1.c"
        if ($toBool6) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1312 "t1.c"
      case 6: // $bb7
        HEAP[$iftmp_51]=1; //@line 1312 "t1.c"
        __label__ = 7; break; //@line 1312 "t1.c"
      case 3: // $bb8
        HEAP[$iftmp_51]=0; //@line 1312 "t1.c"
        __label__ = 7; break; //@line 1312 "t1.c"
      case 7: // $bb9
        var $49=HEAP[$iftmp_51]; //@line 1312 "t1.c"
        var $50=((($49)) & 255); //@line 1312 "t1.c"
        HEAP[$type]=$50; //@line 1312 "t1.c"
        var $51=HEAP[$seg]; //@line 1314 "t1.c"
        var $52=CHECK_OVERFLOW(($51)&4294967295, 32); //@line 1314 "t1.c"
        var $53=HEAP[$52]; //@line 1314 "t1.c"
        var $54=($53)==0; //@line 1314 "t1.c"
        if ($54) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1314 "t1.c"
      case 9: // $bb10
        var $55=HEAP[$type]; //@line 1317 "t1.c"
        var $56=($55)==1; //@line 1317 "t1.c"
        if ($56) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1317 "t1.c"
      case 10: // $bb11
        var $57=HEAP[$seg]; //@line 1318 "t1.c"
        var $58=CHECK_OVERFLOW(($57+12)&4294967295, 32); //@line 1318 "t1.c"
        var $59=HEAP[$58]; //@line 1318 "t1.c"
        var $60=HEAP[$seg]; //@line 1318 "t1.c"
        var $61=CHECK_OVERFLOW(($60)&4294967295, 32); //@line 1318 "t1.c"
        var $62=HEAP[$61]; //@line 1318 "t1.c"
        var $63=HEAP[$62]; //@line 1318 "t1.c"
        var $64=HEAP[$seg]; //@line 1318 "t1.c"
        var $65=CHECK_OVERFLOW(($64+4)&4294967295, 32); //@line 1318 "t1.c"
        var $66=HEAP[$65]; //@line 1318 "t1.c"
        var $67=CHECK_OVERFLOW(($63+$66)&4294967295, 32); //@line 1318 "t1.c"
        var $68=HEAP[$raw]; //@line 1318 "t1.c"
        _raw_init_dec($68, $67, $59); //@line 1318 "t1.c"
        __label__ = 12; break; //@line 1318 "t1.c"
      case 11: // $bb12
        var $69=HEAP[$seg]; //@line 1320 "t1.c"
        var $70=CHECK_OVERFLOW(($69+12)&4294967295, 32); //@line 1320 "t1.c"
        var $71=HEAP[$70]; //@line 1320 "t1.c"
        var $72=HEAP[$seg]; //@line 1320 "t1.c"
        var $73=CHECK_OVERFLOW(($72)&4294967295, 32); //@line 1320 "t1.c"
        var $74=HEAP[$73]; //@line 1320 "t1.c"
        var $75=HEAP[$74]; //@line 1320 "t1.c"
        var $76=HEAP[$seg]; //@line 1320 "t1.c"
        var $77=CHECK_OVERFLOW(($76+4)&4294967295, 32); //@line 1320 "t1.c"
        var $78=HEAP[$77]; //@line 1320 "t1.c"
        var $79=CHECK_OVERFLOW(($75+$78)&4294967295, 32); //@line 1320 "t1.c"
        var $80=HEAP[$mqc]; //@line 1320 "t1.c"
        _mqc_init_dec($80, $79, $71); //@line 1320 "t1.c"
        __label__ = 12; break; //@line 1320 "t1.c"
      case 12: // $bb13
        HEAP[$passno]=0; //@line 1323 "t1.c"
        __label__ = 13; break; //@line 1323 "t1.c"
      case 30: // $bb14
        var $81=HEAP[$passtype]; //@line 1324 "t1.c"
        if ($81 == 0) {
          __label__ = 33; break;
        }
        else if ($81 == 1) {
          __label__ = 34; break;
        }
        else if ($81 == 2) {
          __label__ = 35; break;
        }
        else {
        __label__ = 19; break;
        }
        
      case 33: // $bb15
        var $82=HEAP[$type]; //@line 1326 "t1.c"
        var $83=($82)==1; //@line 1326 "t1.c"
        if ($83) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1326 "t1.c"
      case 14: // $bb16
        var $84=HEAP[$bpno]; //@line 1327 "t1.c"
        var $85=CHECK_OVERFLOW((($84) + 1)&4294967295, 32); //@line 1327 "t1.c"
        var $86=HEAP[$t1_addr]; //@line 1327 "t1.c"
        var $87=HEAP[$orient_addr]; //@line 1327 "t1.c"
        var $88=HEAP[$cblksty_addr]; //@line 1327 "t1.c"
        _t1_dec_sigpass_raw($86, $85, $87, $88); //@line 1327 "t1.c"
        __label__ = 16; break; //@line 1327 "t1.c"
      case 15: // $bb17
        var $89=HEAP[$cblksty_addr]; //@line 1329 "t1.c"
        var $90=($89) & 8; //@line 1329 "t1.c"
        var $91=($90)!=0; //@line 1329 "t1.c"
        if ($91) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1329 "t1.c"
      case 17: // $bb18
        var $92=HEAP[$bpno]; //@line 1330 "t1.c"
        var $93=CHECK_OVERFLOW((($92) + 1)&4294967295, 32); //@line 1330 "t1.c"
        var $94=HEAP[$t1_addr]; //@line 1330 "t1.c"
        var $95=HEAP[$orient_addr]; //@line 1330 "t1.c"
        _t1_dec_sigpass_mqc_vsc($94, $93, $95); //@line 1330 "t1.c"
        __label__ = 16; break; //@line 1330 "t1.c"
      case 18: // $bb19
        var $96=HEAP[$bpno]; //@line 1332 "t1.c"
        var $97=CHECK_OVERFLOW((($96) + 1)&4294967295, 32); //@line 1332 "t1.c"
        var $98=HEAP[$t1_addr]; //@line 1332 "t1.c"
        var $99=HEAP[$orient_addr]; //@line 1332 "t1.c"
        _t1_dec_sigpass_mqc($98, $97, $99); //@line 1332 "t1.c"
        __label__ = 16; break; //@line 1332 "t1.c"
      case 16: // $bb20
        __label__ = 19; break; //@line 1332 "t1.c"
      case 34: // $bb21
        var $100=HEAP[$type]; //@line 1337 "t1.c"
        var $101=($100)==1; //@line 1337 "t1.c"
        if ($101) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1337 "t1.c"
      case 20: // $bb22
        var $102=HEAP[$bpno]; //@line 1338 "t1.c"
        var $103=CHECK_OVERFLOW((($102) + 1)&4294967295, 32); //@line 1338 "t1.c"
        var $104=HEAP[$t1_addr]; //@line 1338 "t1.c"
        var $105=HEAP[$cblksty_addr]; //@line 1338 "t1.c"
        _t1_dec_refpass_raw($104, $103, $105); //@line 1338 "t1.c"
        __label__ = 22; break; //@line 1338 "t1.c"
      case 21: // $bb23
        var $106=HEAP[$cblksty_addr]; //@line 1340 "t1.c"
        var $107=($106) & 8; //@line 1340 "t1.c"
        var $108=($107)!=0; //@line 1340 "t1.c"
        if ($108) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1340 "t1.c"
      case 23: // $bb24
        var $109=HEAP[$bpno]; //@line 1341 "t1.c"
        var $110=CHECK_OVERFLOW((($109) + 1)&4294967295, 32); //@line 1341 "t1.c"
        var $111=HEAP[$t1_addr]; //@line 1341 "t1.c"
        _t1_dec_refpass_mqc_vsc($111, $110); //@line 1341 "t1.c"
        __label__ = 22; break; //@line 1341 "t1.c"
      case 24: // $bb25
        var $112=HEAP[$bpno]; //@line 1343 "t1.c"
        var $113=CHECK_OVERFLOW((($112) + 1)&4294967295, 32); //@line 1343 "t1.c"
        var $114=HEAP[$t1_addr]; //@line 1343 "t1.c"
        _t1_dec_refpass_mqc($114, $113); //@line 1343 "t1.c"
        __label__ = 22; break; //@line 1343 "t1.c"
      case 22: // $bb26
        __label__ = 19; break; //@line 1343 "t1.c"
      case 35: // $bb27
        var $115=HEAP[$bpno]; //@line 1348 "t1.c"
        var $116=CHECK_OVERFLOW((($115) + 1)&4294967295, 32); //@line 1348 "t1.c"
        var $117=HEAP[$t1_addr]; //@line 1348 "t1.c"
        var $118=HEAP[$orient_addr]; //@line 1348 "t1.c"
        var $119=HEAP[$cblksty_addr]; //@line 1348 "t1.c"
        _t1_dec_clnpass($117, $116, $118, $119); //@line 1348 "t1.c"
        __label__ = 19; break; //@line 1348 "t1.c"
      case 19: // $bb28
        var $120=HEAP[$cblksty_addr]; //@line 1352 "t1.c"
        var $121=($120) & 2; //@line 1352 "t1.c"
        var $122=($121)!=0; //@line 1352 "t1.c"
        if ($122) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1352 "t1.c"
      case 25: // $bb29
        var $123=HEAP[$type]; //@line 1352 "t1.c"
        var $124=($123)==0; //@line 1352 "t1.c"
        if ($124) { __label__ = 27; break; } else { __label__ = 26; break; } //@line 1352 "t1.c"
      case 27: // $bb30
        var $125=HEAP[$mqc]; //@line 1353 "t1.c"
        _mqc_resetstates($125); //@line 1353 "t1.c"
        var $126=HEAP[$mqc]; //@line 1354 "t1.c"
        _mqc_setstate($126, 18, 0, 46); //@line 1354 "t1.c"
        var $127=HEAP[$mqc]; //@line 1355 "t1.c"
        _mqc_setstate($127, 17, 0, 3); //@line 1355 "t1.c"
        var $128=HEAP[$mqc]; //@line 1356 "t1.c"
        _mqc_setstate($128, 0, 0, 4); //@line 1356 "t1.c"
        __label__ = 26; break; //@line 1356 "t1.c"
      case 26: // $bb31
        var $129=HEAP[$passtype]; //@line 1358 "t1.c"
        var $130=CHECK_OVERFLOW((($129) + 1)&4294967295, 32); //@line 1358 "t1.c"
        HEAP[$passtype]=$130; //@line 1358 "t1.c"
        var $131=HEAP[$passtype]; //@line 1358 "t1.c"
        var $132=($131)==3; //@line 1358 "t1.c"
        if ($132) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 1358 "t1.c"
      case 28: // $bb32
        HEAP[$passtype]=0; //@line 1359 "t1.c"
        var $133=HEAP[$bpno]; //@line 1360 "t1.c"
        var $134=CHECK_OVERFLOW((($133) - 1)&4294967295, 32); //@line 1360 "t1.c"
        HEAP[$bpno]=$134; //@line 1360 "t1.c"
        __label__ = 29; break; //@line 1360 "t1.c"
      case 29: // $bb33
        var $135=HEAP[$passno]; //@line 1323 "t1.c"
        var $136=CHECK_OVERFLOW((($135) + 1)&4294967295, 32); //@line 1323 "t1.c"
        HEAP[$passno]=$136; //@line 1323 "t1.c"
        __label__ = 13; break; //@line 1323 "t1.c"
      case 13: // $bb34
        var $137=HEAP[$seg]; //@line 1323 "t1.c"
        var $138=CHECK_OVERFLOW(($137+8)&4294967295, 32); //@line 1323 "t1.c"
        var $139=HEAP[$138]; //@line 1323 "t1.c"
        var $140=HEAP[$passno]; //@line 1323 "t1.c"
        var $141=($139) > ($140); //@line 1323 "t1.c"
        if ($141) { __label__ = 30; break; } else { __label__ = 8; break; } //@line 1323 "t1.c"
      case 8: // $bb35
        var $142=HEAP[$segno]; //@line 1308 "t1.c"
        var $143=CHECK_OVERFLOW((($142) + 1)&4294967295, 32); //@line 1308 "t1.c"
        HEAP[$segno]=$143; //@line 1308 "t1.c"
        __label__ = 2; break; //@line 1308 "t1.c"
      case 2: // $bb36
        var $144=HEAP[$cblk_addr]; //@line 1308 "t1.c"
        var $145=CHECK_OVERFLOW(($144+40)&4294967295, 32); //@line 1308 "t1.c"
        var $146=HEAP[$145]; //@line 1308 "t1.c"
        var $147=HEAP[$segno]; //@line 1308 "t1.c"
        var $148=($146) > ($147); //@line 1308 "t1.c"
        if ($148) { __label__ = 31; break; } else { __label__ = 0; break; } //@line 1308 "t1.c"
      case 0: // $bb37
        __label__ = 32; break; //@line 1297 "t1.c"
      case 32: // $return
        STACKTOP = __stackBase__;
        return; //@line 1297 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_create($cinfo) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cinfo_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $t1=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$cinfo_addr]=$cinfo;
        var $1=_malloc(40); //@line 1369 "t1.c"
        var $2=$1; //@line 1369 "t1.c"
        HEAP[$t1]=$2; //@line 1369 "t1.c"
        var $3=HEAP[$t1]; //@line 1370 "t1.c"
        var $4=($3)==0; //@line 1370 "t1.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1370 "t1.c"
      case 0: // $bb
        HEAP[$0]=0; //@line 1371 "t1.c"
        __label__ = 2; break; //@line 1371 "t1.c"
      case 1: // $bb1
        var $5=HEAP[$t1]; //@line 1373 "t1.c"
        var $6=CHECK_OVERFLOW(($5)&4294967295, 32); //@line 1373 "t1.c"
        var $7=HEAP[$cinfo_addr]; //@line 1373 "t1.c"
        HEAP[$6]=$7; //@line 1373 "t1.c"
        var $8=_mqc_create(); //@line 1375 "t1.c"
        var $9=HEAP[$t1]; //@line 1375 "t1.c"
        var $10=CHECK_OVERFLOW(($9+4)&4294967295, 32); //@line 1375 "t1.c"
        HEAP[$10]=$8; //@line 1375 "t1.c"
        var $11=_raw_create(); //@line 1376 "t1.c"
        var $12=HEAP[$t1]; //@line 1376 "t1.c"
        var $13=CHECK_OVERFLOW(($12+8)&4294967295, 32); //@line 1376 "t1.c"
        HEAP[$13]=$11; //@line 1376 "t1.c"
        var $14=HEAP[$t1]; //@line 1378 "t1.c"
        var $15=CHECK_OVERFLOW(($14+12)&4294967295, 32); //@line 1378 "t1.c"
        HEAP[$15]=0; //@line 1378 "t1.c"
        var $16=HEAP[$t1]; //@line 1379 "t1.c"
        var $17=CHECK_OVERFLOW(($16+16)&4294967295, 32); //@line 1379 "t1.c"
        HEAP[$17]=0; //@line 1379 "t1.c"
        var $18=HEAP[$t1]; //@line 1380 "t1.c"
        var $19=CHECK_OVERFLOW(($18+28)&4294967295, 32); //@line 1380 "t1.c"
        HEAP[$19]=0; //@line 1380 "t1.c"
        var $20=HEAP[$t1]; //@line 1381 "t1.c"
        var $21=CHECK_OVERFLOW(($20+32)&4294967295, 32); //@line 1381 "t1.c"
        HEAP[$21]=0; //@line 1381 "t1.c"
        var $22=HEAP[$t1]; //@line 1383 "t1.c"
        HEAP[$0]=$22; //@line 1383 "t1.c"
        __label__ = 2; break; //@line 1383 "t1.c"
      case 2: // $bb2
        var $23=HEAP[$0]; //@line 1371 "t1.c"
        HEAP[$retval]=$23; //@line 1371 "t1.c"
        __label__ = 3; break; //@line 1371 "t1.c"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 1371 "t1.c"
        STACKTOP = __stackBase__;
        return $retval3; //@line 1371 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_destroy($t1) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        var $0=HEAP[$t1_addr]; //@line 1387 "t1.c"
        var $1=($0)!=0; //@line 1387 "t1.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1387 "t1.c"
      case 0: // $bb
        var $2=HEAP[$t1_addr]; //@line 1389 "t1.c"
        var $3=CHECK_OVERFLOW(($2+4)&4294967295, 32); //@line 1389 "t1.c"
        var $4=HEAP[$3]; //@line 1389 "t1.c"
        _mqc_destroy($4); //@line 1389 "t1.c"
        var $5=HEAP[$t1_addr]; //@line 1390 "t1.c"
        var $6=CHECK_OVERFLOW(($5+8)&4294967295, 32); //@line 1390 "t1.c"
        var $7=HEAP[$6]; //@line 1390 "t1.c"
        _raw_destroy($7); //@line 1390 "t1.c"
        var $8=HEAP[$t1_addr]; //@line 1391 "t1.c"
        var $9=CHECK_OVERFLOW(($8+12)&4294967295, 32); //@line 1391 "t1.c"
        var $10=HEAP[$9]; //@line 1391 "t1.c"
        var $11=$10; //@line 1391 "t1.c"
        _free($11); //@line 1391 "t1.c"
        var $12=HEAP[$t1_addr]; //@line 1392 "t1.c"
        var $13=CHECK_OVERFLOW(($12+16)&4294967295, 32); //@line 1392 "t1.c"
        var $14=HEAP[$13]; //@line 1392 "t1.c"
        var $15=$14; //@line 1392 "t1.c"
        _free($15); //@line 1392 "t1.c"
        var $16=HEAP[$t1_addr]; //@line 1393 "t1.c"
        var $17=$16; //@line 1393 "t1.c"
        _free($17); //@line 1393 "t1.c"
        __label__ = 1; break; //@line 1393 "t1.c"
      case 1: // $bb1
        __label__ = 2; break; //@line 1395 "t1.c"
      case 2: // $return
        STACKTOP = __stackBase__;
        return; //@line 1395 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_encode_cblks($t1, $tile, $tcp) {
    var __stackBase__  = STACKTOP; STACKTOP += 108; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 108);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $tile_addr=__stackBase__+4;
        var $tcp_addr=__stackBase__+8;
        var $compno=__stackBase__+12;
        var $resno=__stackBase__+16;
        var $bandno=__stackBase__+20;
        var $precno=__stackBase__+24;
        var $cblkno=__stackBase__+28;
        var $tilec=__stackBase__+32;
        var $tccp=__stackBase__+36;
        var $tile_w=__stackBase__+40;
        var $res=__stackBase__+44;
        var $band=__stackBase__+48;
        var $prc=__stackBase__+52;
        var $cblk=__stackBase__+56;
        var $datap=__stackBase__+60;
        var $tiledp=__stackBase__+64;
        var $cblk_w=__stackBase__+68;
        var $cblk_h=__stackBase__+72;
        var $i=__stackBase__+76;
        var $j=__stackBase__+80;
        var $x=__stackBase__+84;
        var $y=__stackBase__+88;
        var $pres=__stackBase__+92;
        var $pres8=__stackBase__+96;
        var $tmp=__stackBase__+100;
        var $tmp21=__stackBase__+104;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$tile_addr]=$tile;
        HEAP[$tcp_addr]=$tcp;
        var $0=HEAP[$tile_addr]; //@line 1404 "t1.c"
        var $1=CHECK_OVERFLOW(($0+28)&4294967295, 32); //@line 1404 "t1.c"
        HEAP[$1]=0; //@line 1404 "t1.c"
        HEAP[$compno]=0; //@line 1406 "t1.c"
        __label__ = 0; break; //@line 1406 "t1.c"
      case 33: // $bb
        var $2=HEAP[$tile_addr]; //@line 1407 "t1.c"
        var $3=CHECK_OVERFLOW(($2+20)&4294967295, 32); //@line 1407 "t1.c"
        var $4=HEAP[$3]; //@line 1407 "t1.c"
        var $5=HEAP[$compno]; //@line 1407 "t1.c"
        var $6=CHECK_OVERFLOW(($4+32*$5)&4294967295, 32); //@line 1407 "t1.c"
        HEAP[$tilec]=$6; //@line 1407 "t1.c"
        var $7=HEAP[$tcp_addr]; //@line 1408 "t1.c"
        var $8=CHECK_OVERFLOW(($7+5584)&4294967295, 32); //@line 1408 "t1.c"
        var $9=HEAP[$8]; //@line 1408 "t1.c"
        var $10=HEAP[$compno]; //@line 1408 "t1.c"
        var $11=CHECK_OVERFLOW(($9+1076*$10)&4294967295, 32); //@line 1408 "t1.c"
        HEAP[$tccp]=$11; //@line 1408 "t1.c"
        var $12=HEAP[$tilec]; //@line 1409 "t1.c"
        var $13=CHECK_OVERFLOW(($12+8)&4294967295, 32); //@line 1409 "t1.c"
        var $14=HEAP[$13]; //@line 1409 "t1.c"
        var $15=HEAP[$tilec]; //@line 1409 "t1.c"
        var $16=CHECK_OVERFLOW(($15)&4294967295, 32); //@line 1409 "t1.c"
        var $17=HEAP[$16]; //@line 1409 "t1.c"
        var $18=CHECK_OVERFLOW((($14) - ($17))&4294967295, 32); //@line 1409 "t1.c"
        HEAP[$tile_w]=$18; //@line 1409 "t1.c"
        HEAP[$resno]=0; //@line 1411 "t1.c"
        __label__ = 1; break; //@line 1411 "t1.c"
      case 31: // $bb1
        var $19=HEAP[$tilec]; //@line 1412 "t1.c"
        var $20=CHECK_OVERFLOW(($19+20)&4294967295, 32); //@line 1412 "t1.c"
        var $21=HEAP[$20]; //@line 1412 "t1.c"
        var $22=HEAP[$resno]; //@line 1412 "t1.c"
        var $23=CHECK_OVERFLOW(($21+124*$22)&4294967295, 32); //@line 1412 "t1.c"
        HEAP[$res]=$23; //@line 1412 "t1.c"
        HEAP[$bandno]=0; //@line 1414 "t1.c"
        __label__ = 2; break; //@line 1414 "t1.c"
      case 29: // $bb2
        var $24=HEAP[$bandno]; //@line 1415 "t1.c"
        var $25=HEAP[$res]; //@line 1415 "t1.c"
        var $26=CHECK_OVERFLOW(($25+28)&4294967295, 32); //@line 1415 "t1.c"
        var $27=CHECK_OVERFLOW(($26+$24*32)&4294967295, 32); //@line 1415 "t1.c"
        HEAP[$band]=$27; //@line 1415 "t1.c"
        HEAP[$precno]=0; //@line 1417 "t1.c"
        __label__ = 3; break; //@line 1417 "t1.c"
      case 27: // $bb3
        var $28=HEAP[$band]; //@line 1418 "t1.c"
        var $29=CHECK_OVERFLOW(($28+20)&4294967295, 32); //@line 1418 "t1.c"
        var $30=HEAP[$29]; //@line 1418 "t1.c"
        var $31=HEAP[$precno]; //@line 1418 "t1.c"
        var $32=CHECK_OVERFLOW(($30+36*$31)&4294967295, 32); //@line 1418 "t1.c"
        HEAP[$prc]=$32; //@line 1418 "t1.c"
        HEAP[$cblkno]=0; //@line 1420 "t1.c"
        __label__ = 4; break; //@line 1420 "t1.c"
      case 25: // $bb4
        var $33=HEAP[$prc]; //@line 1421 "t1.c"
        var $34=CHECK_OVERFLOW(($33+24)&4294967295, 32); //@line 1421 "t1.c"
        var $35=CHECK_OVERFLOW(($34)&4294967295, 32); //@line 1421 "t1.c"
        var $36=HEAP[$35]; //@line 1421 "t1.c"
        var $37=HEAP[$cblkno]; //@line 1421 "t1.c"
        var $38=CHECK_OVERFLOW(($36+48*$37)&4294967295, 32); //@line 1421 "t1.c"
        HEAP[$cblk]=$38; //@line 1421 "t1.c"
        var $39=HEAP[$cblk]; //@line 1428 "t1.c"
        var $40=CHECK_OVERFLOW(($39+12)&4294967295, 32); //@line 1428 "t1.c"
        var $41=HEAP[$40]; //@line 1428 "t1.c"
        var $42=HEAP[$band]; //@line 1428 "t1.c"
        var $43=CHECK_OVERFLOW(($42)&4294967295, 32); //@line 1428 "t1.c"
        var $44=HEAP[$43]; //@line 1428 "t1.c"
        var $45=CHECK_OVERFLOW((($41) - ($44))&4294967295, 32); //@line 1428 "t1.c"
        HEAP[$x]=$45; //@line 1428 "t1.c"
        var $46=HEAP[$cblk]; //@line 1429 "t1.c"
        var $47=CHECK_OVERFLOW(($46+16)&4294967295, 32); //@line 1429 "t1.c"
        var $48=HEAP[$47]; //@line 1429 "t1.c"
        var $49=HEAP[$band]; //@line 1429 "t1.c"
        var $50=CHECK_OVERFLOW(($49+4)&4294967295, 32); //@line 1429 "t1.c"
        var $51=HEAP[$50]; //@line 1429 "t1.c"
        var $52=CHECK_OVERFLOW((($48) - ($51))&4294967295, 32); //@line 1429 "t1.c"
        HEAP[$y]=$52; //@line 1429 "t1.c"
        var $53=HEAP[$band]; //@line 1430 "t1.c"
        var $54=CHECK_OVERFLOW(($53+16)&4294967295, 32); //@line 1430 "t1.c"
        var $55=HEAP[$54]; //@line 1430 "t1.c"
        var $56=($55) & 1; //@line 1430 "t1.c"
        var $57=((($56)) & 255); //@line 1430 "t1.c"
        var $toBool=($57)!=0; //@line 1430 "t1.c"
        if ($toBool) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1430 "t1.c"
      case 5: // $bb5
        var $58=HEAP[$tilec]; //@line 1431 "t1.c"
        var $59=CHECK_OVERFLOW(($58+20)&4294967295, 32); //@line 1431 "t1.c"
        var $60=HEAP[$59]; //@line 1431 "t1.c"
        var $61=HEAP[$resno]; //@line 1431 "t1.c"
        var $62=CHECK_OVERFLOW((($61) - 1)&4294967295, 32); //@line 1431 "t1.c"
        var $63=CHECK_OVERFLOW(($60+124*$62)&4294967295, 32); //@line 1431 "t1.c"
        HEAP[$pres]=$63; //@line 1431 "t1.c"
        var $64=HEAP[$pres]; //@line 1432 "t1.c"
        var $65=CHECK_OVERFLOW(($64+8)&4294967295, 32); //@line 1432 "t1.c"
        var $66=HEAP[$65]; //@line 1432 "t1.c"
        var $67=HEAP[$pres]; //@line 1432 "t1.c"
        var $68=CHECK_OVERFLOW(($67)&4294967295, 32); //@line 1432 "t1.c"
        var $69=HEAP[$68]; //@line 1432 "t1.c"
        var $70=CHECK_OVERFLOW((($66) - ($69))&4294967295, 32); //@line 1432 "t1.c"
        var $71=HEAP[$x]; //@line 1432 "t1.c"
        var $72=CHECK_OVERFLOW((($70) + ($71))&4294967295, 32); //@line 1432 "t1.c"
        HEAP[$x]=$72; //@line 1432 "t1.c"
        __label__ = 6; break; //@line 1432 "t1.c"
      case 6: // $bb6
        var $73=HEAP[$band]; //@line 1434 "t1.c"
        var $74=CHECK_OVERFLOW(($73+16)&4294967295, 32); //@line 1434 "t1.c"
        var $75=HEAP[$74]; //@line 1434 "t1.c"
        var $76=($75) & 2; //@line 1434 "t1.c"
        var $77=($76)!=0; //@line 1434 "t1.c"
        if ($77) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1434 "t1.c"
      case 7: // $bb7
        var $78=HEAP[$tilec]; //@line 1435 "t1.c"
        var $79=CHECK_OVERFLOW(($78+20)&4294967295, 32); //@line 1435 "t1.c"
        var $80=HEAP[$79]; //@line 1435 "t1.c"
        var $81=HEAP[$resno]; //@line 1435 "t1.c"
        var $82=CHECK_OVERFLOW((($81) - 1)&4294967295, 32); //@line 1435 "t1.c"
        var $83=CHECK_OVERFLOW(($80+124*$82)&4294967295, 32); //@line 1435 "t1.c"
        HEAP[$pres8]=$83; //@line 1435 "t1.c"
        var $84=HEAP[$pres8]; //@line 1436 "t1.c"
        var $85=CHECK_OVERFLOW(($84+12)&4294967295, 32); //@line 1436 "t1.c"
        var $86=HEAP[$85]; //@line 1436 "t1.c"
        var $87=HEAP[$pres8]; //@line 1436 "t1.c"
        var $88=CHECK_OVERFLOW(($87+4)&4294967295, 32); //@line 1436 "t1.c"
        var $89=HEAP[$88]; //@line 1436 "t1.c"
        var $90=CHECK_OVERFLOW((($86) - ($89))&4294967295, 32); //@line 1436 "t1.c"
        var $91=HEAP[$y]; //@line 1436 "t1.c"
        var $92=CHECK_OVERFLOW((($90) + ($91))&4294967295, 32); //@line 1436 "t1.c"
        HEAP[$y]=$92; //@line 1436 "t1.c"
        __label__ = 8; break; //@line 1436 "t1.c"
      case 8: // $bb9
        var $93=HEAP[$cblk]; //@line 1439 "t1.c"
        var $94=CHECK_OVERFLOW(($93+24)&4294967295, 32); //@line 1439 "t1.c"
        var $95=HEAP[$94]; //@line 1439 "t1.c"
        var $96=HEAP[$cblk]; //@line 1439 "t1.c"
        var $97=CHECK_OVERFLOW(($96+16)&4294967295, 32); //@line 1439 "t1.c"
        var $98=HEAP[$97]; //@line 1439 "t1.c"
        var $99=CHECK_OVERFLOW((($95) - ($98))&4294967295, 32); //@line 1439 "t1.c"
        var $100=HEAP[$cblk]; //@line 1439 "t1.c"
        var $101=CHECK_OVERFLOW(($100+20)&4294967295, 32); //@line 1439 "t1.c"
        var $102=HEAP[$101]; //@line 1439 "t1.c"
        var $103=HEAP[$cblk]; //@line 1439 "t1.c"
        var $104=CHECK_OVERFLOW(($103+12)&4294967295, 32); //@line 1439 "t1.c"
        var $105=HEAP[$104]; //@line 1439 "t1.c"
        var $106=CHECK_OVERFLOW((($102) - ($105))&4294967295, 32); //@line 1439 "t1.c"
        var $107=HEAP[$t1_addr]; //@line 1439 "t1.c"
        var $108=_allocate_buffers($107, $106, $99); //@line 1439 "t1.c"
        var $109=($108)==0; //@line 1439 "t1.c"
        if ($109) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1439 "t1.c"
      case 10: // $bb10
        var $110=HEAP[$t1_addr]; //@line 1447 "t1.c"
        var $111=CHECK_OVERFLOW(($110+12)&4294967295, 32); //@line 1447 "t1.c"
        var $112=HEAP[$111]; //@line 1447 "t1.c"
        HEAP[$datap]=$112; //@line 1447 "t1.c"
        var $113=HEAP[$t1_addr]; //@line 1448 "t1.c"
        var $114=CHECK_OVERFLOW(($113+20)&4294967295, 32); //@line 1448 "t1.c"
        var $115=HEAP[$114]; //@line 1448 "t1.c"
        HEAP[$cblk_w]=$115; //@line 1448 "t1.c"
        var $116=HEAP[$t1_addr]; //@line 1449 "t1.c"
        var $117=CHECK_OVERFLOW(($116+24)&4294967295, 32); //@line 1449 "t1.c"
        var $118=HEAP[$117]; //@line 1449 "t1.c"
        HEAP[$cblk_h]=$118; //@line 1449 "t1.c"
        var $119=HEAP[$tilec]; //@line 1451 "t1.c"
        var $120=CHECK_OVERFLOW(($119+24)&4294967295, 32); //@line 1451 "t1.c"
        var $121=HEAP[$120]; //@line 1451 "t1.c"
        var $122=HEAP[$y]; //@line 1451 "t1.c"
        var $123=HEAP[$tile_w]; //@line 1451 "t1.c"
        var $124=CHECK_OVERFLOW((($122) * ($123))&4294967295, 32); //@line 1451 "t1.c"
        var $125=HEAP[$x]; //@line 1451 "t1.c"
        var $126=CHECK_OVERFLOW((($124) + ($125))&4294967295, 32); //@line 1451 "t1.c"
        var $127=CHECK_OVERFLOW(($121+4*$126)&4294967295, 32); //@line 1451 "t1.c"
        HEAP[$tiledp]=$127; //@line 1451 "t1.c"
        var $128=HEAP[$tccp]; //@line 1452 "t1.c"
        var $129=CHECK_OVERFLOW(($128+20)&4294967295, 32); //@line 1452 "t1.c"
        var $130=HEAP[$129]; //@line 1452 "t1.c"
        var $131=($130)==1; //@line 1452 "t1.c"
        if ($131) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1452 "t1.c"
      case 11: // $bb11
        HEAP[$j]=0; //@line 1453 "t1.c"
        __label__ = 13; break; //@line 1453 "t1.c"
      case 17: // $bb12
        HEAP[$i]=0; //@line 1454 "t1.c"
        __label__ = 14; break; //@line 1454 "t1.c"
      case 15: // $bb13
        var $132=HEAP[$j]; //@line 1455 "t1.c"
        var $133=HEAP[$tile_w]; //@line 1455 "t1.c"
        var $134=CHECK_OVERFLOW((($132) * ($133))&4294967295, 32); //@line 1455 "t1.c"
        var $135=HEAP[$i]; //@line 1455 "t1.c"
        var $136=CHECK_OVERFLOW((($134) + ($135))&4294967295, 32); //@line 1455 "t1.c"
        var $137=HEAP[$tiledp]; //@line 1455 "t1.c"
        var $138=CHECK_OVERFLOW(($137+4*$136)&4294967295, 32); //@line 1455 "t1.c"
        var $139=HEAP[$138]; //@line 1455 "t1.c"
        HEAP[$tmp]=$139; //@line 1455 "t1.c"
        var $140=HEAP[$j]; //@line 1456 "t1.c"
        var $141=HEAP[$cblk_w]; //@line 1456 "t1.c"
        var $142=CHECK_OVERFLOW((($140) * ($141))&4294967295, 32); //@line 1456 "t1.c"
        var $143=HEAP[$i]; //@line 1456 "t1.c"
        var $144=CHECK_OVERFLOW((($142) + ($143))&4294967295, 32); //@line 1456 "t1.c"
        var $145=HEAP[$tmp]; //@line 1456 "t1.c"
        var $146=($145) << 6; //@line 1456 "t1.c"
        var $147=HEAP[$datap]; //@line 1456 "t1.c"
        var $148=CHECK_OVERFLOW(($147+4*$144)&4294967295, 32); //@line 1456 "t1.c"
        HEAP[$148]=$146; //@line 1456 "t1.c"
        var $149=HEAP[$i]; //@line 1454 "t1.c"
        var $150=CHECK_OVERFLOW((($149) + 1)&4294967295, 32); //@line 1454 "t1.c"
        HEAP[$i]=$150; //@line 1454 "t1.c"
        __label__ = 14; break; //@line 1454 "t1.c"
      case 14: // $bb14
        var $151=HEAP[$i]; //@line 1454 "t1.c"
        var $152=HEAP[$cblk_w]; //@line 1454 "t1.c"
        var $153=($151) < ($152); //@line 1454 "t1.c"
        if ($153) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1454 "t1.c"
      case 16: // $bb15
        var $154=HEAP[$j]; //@line 1453 "t1.c"
        var $155=CHECK_OVERFLOW((($154) + 1)&4294967295, 32); //@line 1453 "t1.c"
        HEAP[$j]=$155; //@line 1453 "t1.c"
        __label__ = 13; break; //@line 1453 "t1.c"
      case 13: // $bb16
        var $156=HEAP[$j]; //@line 1453 "t1.c"
        var $157=HEAP[$cblk_h]; //@line 1453 "t1.c"
        var $158=($156) < ($157); //@line 1453 "t1.c"
        if ($158) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1453 "t1.c"
      case 18: // $bb17
        __label__ = 19; break; //@line 1453 "t1.c"
      case 12: // $bb18
        HEAP[$j]=0; //@line 1460 "t1.c"
        __label__ = 20; break; //@line 1460 "t1.c"
      case 24: // $bb19
        HEAP[$i]=0; //@line 1461 "t1.c"
        __label__ = 21; break; //@line 1461 "t1.c"
      case 22: // $bb20
        var $159=HEAP[$j]; //@line 1462 "t1.c"
        var $160=HEAP[$tile_w]; //@line 1462 "t1.c"
        var $161=CHECK_OVERFLOW((($159) * ($160))&4294967295, 32); //@line 1462 "t1.c"
        var $162=HEAP[$i]; //@line 1462 "t1.c"
        var $163=CHECK_OVERFLOW((($161) + ($162))&4294967295, 32); //@line 1462 "t1.c"
        var $164=HEAP[$tiledp]; //@line 1462 "t1.c"
        var $165=CHECK_OVERFLOW(($164+4*$163)&4294967295, 32); //@line 1462 "t1.c"
        var $166=HEAP[$165]; //@line 1462 "t1.c"
        HEAP[$tmp21]=$166; //@line 1462 "t1.c"
        var $167=HEAP[$j]; //@line 1463 "t1.c"
        var $168=HEAP[$cblk_w]; //@line 1463 "t1.c"
        var $169=CHECK_OVERFLOW((($167) * ($168))&4294967295, 32); //@line 1463 "t1.c"
        var $170=HEAP[$i]; //@line 1463 "t1.c"
        var $171=CHECK_OVERFLOW((($169) + ($170))&4294967295, 32); //@line 1463 "t1.c"
        var $172=HEAP[$band]; //@line 1463 "t1.c"
        var $173=CHECK_OVERFLOW(($172+28)&4294967295, 32); //@line 1463 "t1.c"
        var $174=HEAP[$173]; //@line 1463 "t1.c"
        var $175=($174) * 8192; //@line 1463 "t1.c"
        var $176=($175); //@line 1463 "t1.c"
        var $177=_floor($176); //@line 1463 "t1.c"
        var $178=(($177)|0); //@line 1463 "t1.c"
        var $179=(67108864/($178)|0); //@line 1463 "t1.c"
        var $180=HEAP[$tmp21]; //@line 1463 "t1.c"
        var $181=_fix_mul42($180, $179); //@line 1463 "t1.c"
        var $182=($181) >> 5; //@line 1463 "t1.c"
        var $183=HEAP[$datap]; //@line 1463 "t1.c"
        var $184=CHECK_OVERFLOW(($183+4*$171)&4294967295, 32); //@line 1463 "t1.c"
        HEAP[$184]=$182; //@line 1463 "t1.c"
        var $185=HEAP[$i]; //@line 1461 "t1.c"
        var $186=CHECK_OVERFLOW((($185) + 1)&4294967295, 32); //@line 1461 "t1.c"
        HEAP[$i]=$186; //@line 1461 "t1.c"
        __label__ = 21; break; //@line 1461 "t1.c"
      case 21: // $bb22
        var $187=HEAP[$i]; //@line 1461 "t1.c"
        var $188=HEAP[$cblk_w]; //@line 1461 "t1.c"
        var $189=($187) < ($188); //@line 1461 "t1.c"
        if ($189) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1461 "t1.c"
      case 23: // $bb23
        var $190=HEAP[$j]; //@line 1460 "t1.c"
        var $191=CHECK_OVERFLOW((($190) + 1)&4294967295, 32); //@line 1460 "t1.c"
        HEAP[$j]=$191; //@line 1460 "t1.c"
        __label__ = 20; break; //@line 1460 "t1.c"
      case 20: // $bb24
        var $192=HEAP[$j]; //@line 1460 "t1.c"
        var $193=HEAP[$cblk_h]; //@line 1460 "t1.c"
        var $194=($192) < ($193); //@line 1460 "t1.c"
        if ($194) { __label__ = 24; break; } else { __label__ = 19; break; } //@line 1460 "t1.c"
      case 19: // $bb25
        var $195=HEAP[$tcp_addr]; //@line 1471 "t1.c"
        var $196=CHECK_OVERFLOW(($195+16)&4294967295, 32); //@line 1471 "t1.c"
        var $197=HEAP[$196]; //@line 1471 "t1.c"
        var $198=HEAP[$tile_addr]; //@line 1471 "t1.c"
        var $199=CHECK_OVERFLOW(($198+16)&4294967295, 32); //@line 1471 "t1.c"
        var $200=HEAP[$199]; //@line 1471 "t1.c"
        var $201=HEAP[$tccp]; //@line 1471 "t1.c"
        var $202=CHECK_OVERFLOW(($201+16)&4294967295, 32); //@line 1471 "t1.c"
        var $203=HEAP[$202]; //@line 1471 "t1.c"
        var $204=HEAP[$band]; //@line 1471 "t1.c"
        var $205=CHECK_OVERFLOW(($204+28)&4294967295, 32); //@line 1471 "t1.c"
        var $206=HEAP[$205]; //@line 1471 "t1.c"
        var $207=($206); //@line 1471 "t1.c"
        var $208=HEAP[$tccp]; //@line 1471 "t1.c"
        var $209=CHECK_OVERFLOW(($208+20)&4294967295, 32); //@line 1471 "t1.c"
        var $210=HEAP[$209]; //@line 1471 "t1.c"
        var $211=HEAP[$tilec]; //@line 1471 "t1.c"
        var $212=CHECK_OVERFLOW(($211+16)&4294967295, 32); //@line 1471 "t1.c"
        var $213=HEAP[$212]; //@line 1471 "t1.c"
        var $214=CHECK_OVERFLOW((($213) - 1)&4294967295, 32); //@line 1471 "t1.c"
        var $215=HEAP[$resno]; //@line 1471 "t1.c"
        var $216=CHECK_OVERFLOW((($214) - ($215))&4294967295, 32); //@line 1471 "t1.c"
        var $217=HEAP[$band]; //@line 1471 "t1.c"
        var $218=CHECK_OVERFLOW(($217+16)&4294967295, 32); //@line 1471 "t1.c"
        var $219=HEAP[$218]; //@line 1471 "t1.c"
        var $220=HEAP[$t1_addr]; //@line 1471 "t1.c"
        var $221=HEAP[$cblk]; //@line 1471 "t1.c"
        var $222=HEAP[$compno]; //@line 1471 "t1.c"
        var $223=HEAP[$tile_addr]; //@line 1471 "t1.c"
        _t1_encode_cblk($220, $221, $219, $222, $216, $210, $207, $203, $200, $197, $223); //@line 1471 "t1.c"
        var $224=HEAP[$cblkno]; //@line 1420 "t1.c"
        var $225=CHECK_OVERFLOW((($224) + 1)&4294967295, 32); //@line 1420 "t1.c"
        HEAP[$cblkno]=$225; //@line 1420 "t1.c"
        __label__ = 4; break; //@line 1420 "t1.c"
      case 4: // $bb26
        var $226=HEAP[$prc]; //@line 1420 "t1.c"
        var $227=CHECK_OVERFLOW(($226+16)&4294967295, 32); //@line 1420 "t1.c"
        var $228=HEAP[$227]; //@line 1420 "t1.c"
        var $229=HEAP[$prc]; //@line 1420 "t1.c"
        var $230=CHECK_OVERFLOW(($229+20)&4294967295, 32); //@line 1420 "t1.c"
        var $231=HEAP[$230]; //@line 1420 "t1.c"
        var $232=CHECK_OVERFLOW((($228) * ($231))&4294967295, 32); //@line 1420 "t1.c"
        var $233=HEAP[$cblkno]; //@line 1420 "t1.c"
        var $234=($232) > ($233); //@line 1420 "t1.c"
        if ($234) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1420 "t1.c"
      case 26: // $bb27
        var $235=HEAP[$precno]; //@line 1417 "t1.c"
        var $236=CHECK_OVERFLOW((($235) + 1)&4294967295, 32); //@line 1417 "t1.c"
        HEAP[$precno]=$236; //@line 1417 "t1.c"
        __label__ = 3; break; //@line 1417 "t1.c"
      case 3: // $bb28
        var $237=HEAP[$res]; //@line 1417 "t1.c"
        var $238=CHECK_OVERFLOW(($237+16)&4294967295, 32); //@line 1417 "t1.c"
        var $239=HEAP[$238]; //@line 1417 "t1.c"
        var $240=HEAP[$res]; //@line 1417 "t1.c"
        var $241=CHECK_OVERFLOW(($240+20)&4294967295, 32); //@line 1417 "t1.c"
        var $242=HEAP[$241]; //@line 1417 "t1.c"
        var $243=CHECK_OVERFLOW((($239) * ($242))&4294967295, 32); //@line 1417 "t1.c"
        var $244=HEAP[$precno]; //@line 1417 "t1.c"
        var $245=($243) > ($244); //@line 1417 "t1.c"
        if ($245) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1417 "t1.c"
      case 28: // $bb29
        var $246=HEAP[$bandno]; //@line 1414 "t1.c"
        var $247=CHECK_OVERFLOW((($246) + 1)&4294967295, 32); //@line 1414 "t1.c"
        HEAP[$bandno]=$247; //@line 1414 "t1.c"
        __label__ = 2; break; //@line 1414 "t1.c"
      case 2: // $bb30
        var $248=HEAP[$res]; //@line 1414 "t1.c"
        var $249=CHECK_OVERFLOW(($248+24)&4294967295, 32); //@line 1414 "t1.c"
        var $250=HEAP[$249]; //@line 1414 "t1.c"
        var $251=HEAP[$bandno]; //@line 1414 "t1.c"
        var $252=($250) > ($251); //@line 1414 "t1.c"
        if ($252) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 1414 "t1.c"
      case 30: // $bb31
        var $253=HEAP[$resno]; //@line 1411 "t1.c"
        var $254=CHECK_OVERFLOW((($253) + 1)&4294967295, 32); //@line 1411 "t1.c"
        HEAP[$resno]=$254; //@line 1411 "t1.c"
        __label__ = 1; break; //@line 1411 "t1.c"
      case 1: // $bb32
        var $255=HEAP[$tilec]; //@line 1411 "t1.c"
        var $256=CHECK_OVERFLOW(($255+16)&4294967295, 32); //@line 1411 "t1.c"
        var $257=HEAP[$256]; //@line 1411 "t1.c"
        var $258=HEAP[$resno]; //@line 1411 "t1.c"
        var $259=($257) > ($258); //@line 1411 "t1.c"
        if ($259) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 1411 "t1.c"
      case 32: // $bb33
        var $260=HEAP[$compno]; //@line 1406 "t1.c"
        var $261=CHECK_OVERFLOW((($260) + 1)&4294967295, 32); //@line 1406 "t1.c"
        HEAP[$compno]=$261; //@line 1406 "t1.c"
        __label__ = 0; break; //@line 1406 "t1.c"
      case 0: // $bb34
        var $262=HEAP[$tile_addr]; //@line 1406 "t1.c"
        var $263=CHECK_OVERFLOW(($262+16)&4294967295, 32); //@line 1406 "t1.c"
        var $264=HEAP[$263]; //@line 1406 "t1.c"
        var $265=HEAP[$compno]; //@line 1406 "t1.c"
        var $266=($264) > ($265); //@line 1406 "t1.c"
        if ($266) { __label__ = 33; break; } else { __label__ = 9; break; } //@line 1406 "t1.c"
      case 9: // $bb35
        __label__ = 34; break; //@line 1444 "t1.c"
      case 34: // $return
        STACKTOP = __stackBase__;
        return; //@line 1444 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _fix_mul42($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $temp=__stackBase__+16;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$a_addr]; //@line 57 "fix.h"
        var $2=($1); //@line 57 "fix.h"
        var $3=HEAP[$b_addr]; //@line 57 "fix.h"
        var $4=($3); //@line 57 "fix.h"
        var $5=CHECK_OVERFLOW(($2) * ($4), 64); //@line 57 "fix.h"
        HEAP[$temp]=$5; //@line 57 "fix.h"
        var $6=HEAP[$temp]; //@line 58 "fix.h"
        var $7=($6) & 4096; //@line 58 "fix.h"
        var $8=HEAP[$temp]; //@line 58 "fix.h"
        var $9=CHECK_OVERFLOW(($7) + ($8), 64); //@line 58 "fix.h"
        HEAP[$temp]=$9; //@line 58 "fix.h"
        var $10=HEAP[$temp]; //@line 59 "fix.h"
        var $11=($10) >> 13; //@line 59 "fix.h"
        var $12=((($11)) & 4294967295); //@line 59 "fix.h"
        HEAP[$0]=$12; //@line 59 "fix.h"
        var $13=HEAP[$0]; //@line 59 "fix.h"
        HEAP[$retval]=$13; //@line 59 "fix.h"
        __label__ = 0; break; //@line 59 "fix.h"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 59 "fix.h"
        STACKTOP = __stackBase__;
        return $retval1; //@line 59 "fix.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t1_decode_cblks($t1, $tilec, $tccp) {
    var __stackBase__  = STACKTOP; STACKTOP += 120; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 120);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t1_addr=__stackBase__;
        var $tilec_addr=__stackBase__+4;
        var $tccp_addr=__stackBase__+8;
        var $iftmp_54=__stackBase__+12;
        var $resno=__stackBase__+16;
        var $bandno=__stackBase__+20;
        var $precno=__stackBase__+24;
        var $cblkno=__stackBase__+28;
        var $tile_w=__stackBase__+32;
        var $res=__stackBase__+36;
        var $band=__stackBase__+40;
        var $precinct=__stackBase__+44;
        var $cblk=__stackBase__+48;
        var $datap=__stackBase__+52;
        var $cblk_w=__stackBase__+56;
        var $cblk_h=__stackBase__+60;
        var $x=__stackBase__+64;
        var $y=__stackBase__+68;
        var $i=__stackBase__+72;
        var $j=__stackBase__+76;
        var $pres=__stackBase__+80;
        var $pres7=__stackBase__+84;
        var $thresh=__stackBase__+88;
        var $val=__stackBase__+92;
        var $mag=__stackBase__+96;
        var $tiledp=__stackBase__+100;
        var $tmp=__stackBase__+104;
        var $tiledp29=__stackBase__+108;
        var $tiledp2=__stackBase__+112;
        var $tmp32=__stackBase__+116;
        var $_alloca_point_=0;
        HEAP[$t1_addr]=$t1;
        HEAP[$tilec_addr]=$tilec;
        HEAP[$tccp_addr]=$tccp;
        var $0=HEAP[$tilec_addr]; //@line 1498 "t1.c"
        var $1=CHECK_OVERFLOW(($0+8)&4294967295, 32); //@line 1498 "t1.c"
        var $2=HEAP[$1]; //@line 1498 "t1.c"
        var $3=HEAP[$tilec_addr]; //@line 1498 "t1.c"
        var $4=CHECK_OVERFLOW(($3)&4294967295, 32); //@line 1498 "t1.c"
        var $5=HEAP[$4]; //@line 1498 "t1.c"
        var $6=CHECK_OVERFLOW((($2) - ($5))&4294967295, 32); //@line 1498 "t1.c"
        HEAP[$tile_w]=$6; //@line 1498 "t1.c"
        HEAP[$resno]=0; //@line 1500 "t1.c"
        __label__ = 0; break; //@line 1500 "t1.c"
      case 40: // $bb
        var $7=HEAP[$tilec_addr]; //@line 1501 "t1.c"
        var $8=CHECK_OVERFLOW(($7+20)&4294967295, 32); //@line 1501 "t1.c"
        var $9=HEAP[$8]; //@line 1501 "t1.c"
        var $10=HEAP[$resno]; //@line 1501 "t1.c"
        var $11=CHECK_OVERFLOW(($9+124*$10)&4294967295, 32); //@line 1501 "t1.c"
        HEAP[$res]=$11; //@line 1501 "t1.c"
        HEAP[$bandno]=0; //@line 1503 "t1.c"
        __label__ = 1; break; //@line 1503 "t1.c"
      case 38: // $bb1
        var $12=HEAP[$bandno]; //@line 1504 "t1.c"
        var $13=HEAP[$res]; //@line 1504 "t1.c"
        var $14=CHECK_OVERFLOW(($13+28)&4294967295, 32); //@line 1504 "t1.c"
        var $15=CHECK_OVERFLOW(($14+$12*32)&4294967295, 32); //@line 1504 "t1.c"
        HEAP[$band]=$15; //@line 1504 "t1.c"
        HEAP[$precno]=0; //@line 1506 "t1.c"
        __label__ = 2; break; //@line 1506 "t1.c"
      case 36: // $bb2
        var $16=HEAP[$band]; //@line 1507 "t1.c"
        var $17=CHECK_OVERFLOW(($16+20)&4294967295, 32); //@line 1507 "t1.c"
        var $18=HEAP[$17]; //@line 1507 "t1.c"
        var $19=HEAP[$precno]; //@line 1507 "t1.c"
        var $20=CHECK_OVERFLOW(($18+36*$19)&4294967295, 32); //@line 1507 "t1.c"
        HEAP[$precinct]=$20; //@line 1507 "t1.c"
        HEAP[$cblkno]=0; //@line 1509 "t1.c"
        __label__ = 3; break; //@line 1509 "t1.c"
      case 34: // $bb3
        var $21=HEAP[$precinct]; //@line 1510 "t1.c"
        var $22=CHECK_OVERFLOW(($21+24)&4294967295, 32); //@line 1510 "t1.c"
        var $23=CHECK_OVERFLOW(($22)&4294967295, 32); //@line 1510 "t1.c"
        var $24=$23; //@line 1510 "t1.c"
        var $25=HEAP[$24]; //@line 1510 "t1.c"
        var $26=HEAP[$cblkno]; //@line 1510 "t1.c"
        var $27=CHECK_OVERFLOW(($25+44*$26)&4294967295, 32); //@line 1510 "t1.c"
        HEAP[$cblk]=$27; //@line 1510 "t1.c"
        var $28=HEAP[$tccp_addr]; //@line 1516 "t1.c"
        var $29=CHECK_OVERFLOW(($28+16)&4294967295, 32); //@line 1516 "t1.c"
        var $30=HEAP[$29]; //@line 1516 "t1.c"
        var $31=HEAP[$tccp_addr]; //@line 1516 "t1.c"
        var $32=CHECK_OVERFLOW(($31+808)&4294967295, 32); //@line 1516 "t1.c"
        var $33=HEAP[$32]; //@line 1516 "t1.c"
        var $34=HEAP[$band]; //@line 1516 "t1.c"
        var $35=CHECK_OVERFLOW(($34+16)&4294967295, 32); //@line 1516 "t1.c"
        var $36=HEAP[$35]; //@line 1516 "t1.c"
        var $37=HEAP[$t1_addr]; //@line 1516 "t1.c"
        var $38=HEAP[$cblk]; //@line 1516 "t1.c"
        _t1_decode_cblk($37, $38, $36, $33, $30); //@line 1516 "t1.c"
        var $39=HEAP[$cblk]; //@line 1523 "t1.c"
        var $40=CHECK_OVERFLOW(($39+8)&4294967295, 32); //@line 1523 "t1.c"
        var $41=HEAP[$40]; //@line 1523 "t1.c"
        var $42=HEAP[$band]; //@line 1523 "t1.c"
        var $43=CHECK_OVERFLOW(($42)&4294967295, 32); //@line 1523 "t1.c"
        var $44=HEAP[$43]; //@line 1523 "t1.c"
        var $45=CHECK_OVERFLOW((($41) - ($44))&4294967295, 32); //@line 1523 "t1.c"
        HEAP[$x]=$45; //@line 1523 "t1.c"
        var $46=HEAP[$cblk]; //@line 1524 "t1.c"
        var $47=CHECK_OVERFLOW(($46+12)&4294967295, 32); //@line 1524 "t1.c"
        var $48=HEAP[$47]; //@line 1524 "t1.c"
        var $49=HEAP[$band]; //@line 1524 "t1.c"
        var $50=CHECK_OVERFLOW(($49+4)&4294967295, 32); //@line 1524 "t1.c"
        var $51=HEAP[$50]; //@line 1524 "t1.c"
        var $52=CHECK_OVERFLOW((($48) - ($51))&4294967295, 32); //@line 1524 "t1.c"
        HEAP[$y]=$52; //@line 1524 "t1.c"
        var $53=HEAP[$band]; //@line 1525 "t1.c"
        var $54=CHECK_OVERFLOW(($53+16)&4294967295, 32); //@line 1525 "t1.c"
        var $55=HEAP[$54]; //@line 1525 "t1.c"
        var $56=($55) & 1; //@line 1525 "t1.c"
        var $57=((($56)) & 255); //@line 1525 "t1.c"
        var $toBool=($57)!=0; //@line 1525 "t1.c"
        if ($toBool) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1525 "t1.c"
      case 4: // $bb4
        var $58=HEAP[$tilec_addr]; //@line 1526 "t1.c"
        var $59=CHECK_OVERFLOW(($58+20)&4294967295, 32); //@line 1526 "t1.c"
        var $60=HEAP[$59]; //@line 1526 "t1.c"
        var $61=HEAP[$resno]; //@line 1526 "t1.c"
        var $62=CHECK_OVERFLOW((($61) - 1)&4294967295, 32); //@line 1526 "t1.c"
        var $63=CHECK_OVERFLOW(($60+124*$62)&4294967295, 32); //@line 1526 "t1.c"
        HEAP[$pres]=$63; //@line 1526 "t1.c"
        var $64=HEAP[$pres]; //@line 1527 "t1.c"
        var $65=CHECK_OVERFLOW(($64+8)&4294967295, 32); //@line 1527 "t1.c"
        var $66=HEAP[$65]; //@line 1527 "t1.c"
        var $67=HEAP[$pres]; //@line 1527 "t1.c"
        var $68=CHECK_OVERFLOW(($67)&4294967295, 32); //@line 1527 "t1.c"
        var $69=HEAP[$68]; //@line 1527 "t1.c"
        var $70=CHECK_OVERFLOW((($66) - ($69))&4294967295, 32); //@line 1527 "t1.c"
        var $71=HEAP[$x]; //@line 1527 "t1.c"
        var $72=CHECK_OVERFLOW((($70) + ($71))&4294967295, 32); //@line 1527 "t1.c"
        HEAP[$x]=$72; //@line 1527 "t1.c"
        __label__ = 5; break; //@line 1527 "t1.c"
      case 5: // $bb5
        var $73=HEAP[$band]; //@line 1529 "t1.c"
        var $74=CHECK_OVERFLOW(($73+16)&4294967295, 32); //@line 1529 "t1.c"
        var $75=HEAP[$74]; //@line 1529 "t1.c"
        var $76=($75) & 2; //@line 1529 "t1.c"
        var $77=($76)!=0; //@line 1529 "t1.c"
        if ($77) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1529 "t1.c"
      case 6: // $bb6
        var $78=HEAP[$tilec_addr]; //@line 1530 "t1.c"
        var $79=CHECK_OVERFLOW(($78+20)&4294967295, 32); //@line 1530 "t1.c"
        var $80=HEAP[$79]; //@line 1530 "t1.c"
        var $81=HEAP[$resno]; //@line 1530 "t1.c"
        var $82=CHECK_OVERFLOW((($81) - 1)&4294967295, 32); //@line 1530 "t1.c"
        var $83=CHECK_OVERFLOW(($80+124*$82)&4294967295, 32); //@line 1530 "t1.c"
        HEAP[$pres7]=$83; //@line 1530 "t1.c"
        var $84=HEAP[$pres7]; //@line 1531 "t1.c"
        var $85=CHECK_OVERFLOW(($84+12)&4294967295, 32); //@line 1531 "t1.c"
        var $86=HEAP[$85]; //@line 1531 "t1.c"
        var $87=HEAP[$pres7]; //@line 1531 "t1.c"
        var $88=CHECK_OVERFLOW(($87+4)&4294967295, 32); //@line 1531 "t1.c"
        var $89=HEAP[$88]; //@line 1531 "t1.c"
        var $90=CHECK_OVERFLOW((($86) - ($89))&4294967295, 32); //@line 1531 "t1.c"
        var $91=HEAP[$y]; //@line 1531 "t1.c"
        var $92=CHECK_OVERFLOW((($90) + ($91))&4294967295, 32); //@line 1531 "t1.c"
        HEAP[$y]=$92; //@line 1531 "t1.c"
        __label__ = 7; break; //@line 1531 "t1.c"
      case 7: // $bb8
        var $93=HEAP[$t1_addr]; //@line 1534 "t1.c"
        var $94=CHECK_OVERFLOW(($93+12)&4294967295, 32); //@line 1534 "t1.c"
        var $95=HEAP[$94]; //@line 1534 "t1.c"
        HEAP[$datap]=$95; //@line 1534 "t1.c"
        var $96=HEAP[$t1_addr]; //@line 1535 "t1.c"
        var $97=CHECK_OVERFLOW(($96+20)&4294967295, 32); //@line 1535 "t1.c"
        var $98=HEAP[$97]; //@line 1535 "t1.c"
        HEAP[$cblk_w]=$98; //@line 1535 "t1.c"
        var $99=HEAP[$t1_addr]; //@line 1536 "t1.c"
        var $100=CHECK_OVERFLOW(($99+24)&4294967295, 32); //@line 1536 "t1.c"
        var $101=HEAP[$100]; //@line 1536 "t1.c"
        HEAP[$cblk_h]=$101; //@line 1536 "t1.c"
        var $102=HEAP[$tccp_addr]; //@line 1538 "t1.c"
        var $103=CHECK_OVERFLOW(($102+808)&4294967295, 32); //@line 1538 "t1.c"
        var $104=HEAP[$103]; //@line 1538 "t1.c"
        var $105=($104)!=0; //@line 1538 "t1.c"
        if ($105) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1538 "t1.c"
      case 8: // $bb9
        var $106=HEAP[$tccp_addr]; //@line 1539 "t1.c"
        var $107=CHECK_OVERFLOW(($106+808)&4294967295, 32); //@line 1539 "t1.c"
        var $108=HEAP[$107]; //@line 1539 "t1.c"
        var $109=1 << ($108); //@line 1539 "t1.c"
        HEAP[$thresh]=$109; //@line 1539 "t1.c"
        HEAP[$j]=0; //@line 1540 "t1.c"
        __label__ = 10; break; //@line 1540 "t1.c"
      case 19: // $bb10
        HEAP[$i]=0; //@line 1541 "t1.c"
        __label__ = 11; break; //@line 1541 "t1.c"
      case 17: // $bb11
        var $110=HEAP[$j]; //@line 1542 "t1.c"
        var $111=HEAP[$cblk_w]; //@line 1542 "t1.c"
        var $112=CHECK_OVERFLOW((($110) * ($111))&4294967295, 32); //@line 1542 "t1.c"
        var $113=HEAP[$i]; //@line 1542 "t1.c"
        var $114=CHECK_OVERFLOW((($112) + ($113))&4294967295, 32); //@line 1542 "t1.c"
        var $115=HEAP[$datap]; //@line 1542 "t1.c"
        var $116=CHECK_OVERFLOW(($115+4*$114)&4294967295, 32); //@line 1542 "t1.c"
        var $117=HEAP[$116]; //@line 1542 "t1.c"
        HEAP[$val]=$117; //@line 1542 "t1.c"
        var $118=HEAP[$val]; //@line 1543 "t1.c"
        var $neg=CHECK_OVERFLOW((0 - ($118))&4294967295, 32); //@line 1543 "t1.c"
        var $abscond=($118) >= 0; //@line 1543 "t1.c"
        var $abs=($abscond) ? ($118) : ($neg); //@line 1543 "t1.c"
        HEAP[$mag]=$abs; //@line 1543 "t1.c"
        var $119=HEAP[$mag]; //@line 1544 "t1.c"
        var $120=HEAP[$thresh]; //@line 1544 "t1.c"
        var $121=($119) >= ($120); //@line 1544 "t1.c"
        if ($121) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1544 "t1.c"
      case 12: // $bb12
        var $122=HEAP[$tccp_addr]; //@line 1545 "t1.c"
        var $123=CHECK_OVERFLOW(($122+808)&4294967295, 32); //@line 1545 "t1.c"
        var $124=HEAP[$123]; //@line 1545 "t1.c"
        var $125=HEAP[$mag]; //@line 1545 "t1.c"
        var $126=($125) >> ($124); //@line 1545 "t1.c"
        HEAP[$mag]=$126; //@line 1545 "t1.c"
        var $127=HEAP[$j]; //@line 1546 "t1.c"
        var $128=HEAP[$cblk_w]; //@line 1546 "t1.c"
        var $129=CHECK_OVERFLOW((($127) * ($128))&4294967295, 32); //@line 1546 "t1.c"
        var $130=HEAP[$i]; //@line 1546 "t1.c"
        var $131=CHECK_OVERFLOW((($129) + ($130))&4294967295, 32); //@line 1546 "t1.c"
        var $132=HEAP[$val]; //@line 1546 "t1.c"
        var $133=($132) < 0; //@line 1546 "t1.c"
        if ($133) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1546 "t1.c"
      case 14: // $bb13
        var $134=HEAP[$mag]; //@line 1546 "t1.c"
        var $135=CHECK_OVERFLOW((0 - ($134))&4294967295, 32); //@line 1546 "t1.c"
        HEAP[$iftmp_54]=$135; //@line 1546 "t1.c"
        __label__ = 16; break; //@line 1546 "t1.c"
      case 15: // $bb14
        var $136=HEAP[$mag]; //@line 1546 "t1.c"
        HEAP[$iftmp_54]=$136; //@line 1546 "t1.c"
        __label__ = 16; break; //@line 1546 "t1.c"
      case 16: // $bb15
        var $137=HEAP[$datap]; //@line 1546 "t1.c"
        var $138=CHECK_OVERFLOW(($137+4*$131)&4294967295, 32); //@line 1546 "t1.c"
        var $139=HEAP[$iftmp_54]; //@line 1546 "t1.c"
        HEAP[$138]=$139; //@line 1546 "t1.c"
        __label__ = 13; break; //@line 1546 "t1.c"
      case 13: // $bb16
        var $140=HEAP[$i]; //@line 1541 "t1.c"
        var $141=CHECK_OVERFLOW((($140) + 1)&4294967295, 32); //@line 1541 "t1.c"
        HEAP[$i]=$141; //@line 1541 "t1.c"
        __label__ = 11; break; //@line 1541 "t1.c"
      case 11: // $bb17
        var $142=HEAP[$i]; //@line 1541 "t1.c"
        var $143=HEAP[$cblk_w]; //@line 1541 "t1.c"
        var $144=($142) < ($143); //@line 1541 "t1.c"
        if ($144) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1541 "t1.c"
      case 18: // $bb18
        var $145=HEAP[$j]; //@line 1540 "t1.c"
        var $146=CHECK_OVERFLOW((($145) + 1)&4294967295, 32); //@line 1540 "t1.c"
        HEAP[$j]=$146; //@line 1540 "t1.c"
        __label__ = 10; break; //@line 1540 "t1.c"
      case 10: // $bb19
        var $147=HEAP[$j]; //@line 1540 "t1.c"
        var $148=HEAP[$cblk_h]; //@line 1540 "t1.c"
        var $149=($147) < ($148); //@line 1540 "t1.c"
        if ($149) { __label__ = 19; break; } else { __label__ = 9; break; } //@line 1540 "t1.c"
      case 9: // $bb20
        var $150=HEAP[$tccp_addr]; //@line 1552 "t1.c"
        var $151=CHECK_OVERFLOW(($150+20)&4294967295, 32); //@line 1552 "t1.c"
        var $152=HEAP[$151]; //@line 1552 "t1.c"
        var $153=($152)==1; //@line 1552 "t1.c"
        if ($153) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1552 "t1.c"
      case 20: // $bb21
        var $154=HEAP[$tilec_addr]; //@line 1553 "t1.c"
        var $155=CHECK_OVERFLOW(($154+24)&4294967295, 32); //@line 1553 "t1.c"
        var $156=HEAP[$155]; //@line 1553 "t1.c"
        var $157=HEAP[$y]; //@line 1553 "t1.c"
        var $158=HEAP[$tile_w]; //@line 1553 "t1.c"
        var $159=CHECK_OVERFLOW((($157) * ($158))&4294967295, 32); //@line 1553 "t1.c"
        var $160=HEAP[$x]; //@line 1553 "t1.c"
        var $161=CHECK_OVERFLOW((($159) + ($160))&4294967295, 32); //@line 1553 "t1.c"
        var $162=CHECK_OVERFLOW(($156+4*$161)&4294967295, 32); //@line 1553 "t1.c"
        HEAP[$tiledp]=$162; //@line 1553 "t1.c"
        HEAP[$j]=0; //@line 1554 "t1.c"
        __label__ = 22; break; //@line 1554 "t1.c"
      case 26: // $bb22
        HEAP[$i]=0; //@line 1555 "t1.c"
        __label__ = 23; break; //@line 1555 "t1.c"
      case 24: // $bb23
        var $163=HEAP[$j]; //@line 1556 "t1.c"
        var $164=HEAP[$cblk_w]; //@line 1556 "t1.c"
        var $165=CHECK_OVERFLOW((($163) * ($164))&4294967295, 32); //@line 1556 "t1.c"
        var $166=HEAP[$i]; //@line 1556 "t1.c"
        var $167=CHECK_OVERFLOW((($165) + ($166))&4294967295, 32); //@line 1556 "t1.c"
        var $168=HEAP[$datap]; //@line 1556 "t1.c"
        var $169=CHECK_OVERFLOW(($168+4*$167)&4294967295, 32); //@line 1556 "t1.c"
        var $170=HEAP[$169]; //@line 1556 "t1.c"
        HEAP[$tmp]=$170; //@line 1556 "t1.c"
        var $171=HEAP[$j]; //@line 1557 "t1.c"
        var $172=HEAP[$tile_w]; //@line 1557 "t1.c"
        var $173=CHECK_OVERFLOW((($171) * ($172))&4294967295, 32); //@line 1557 "t1.c"
        var $174=HEAP[$i]; //@line 1557 "t1.c"
        var $175=CHECK_OVERFLOW((($173) + ($174))&4294967295, 32); //@line 1557 "t1.c"
        var $176=HEAP[$tmp]; //@line 1557 "t1.c"
        var $177=(($176)/2|0); //@line 1557 "t1.c"
        var $178=HEAP[$tiledp]; //@line 1557 "t1.c"
        var $179=CHECK_OVERFLOW(($178+4*$175)&4294967295, 32); //@line 1557 "t1.c"
        HEAP[$179]=$177; //@line 1557 "t1.c"
        var $180=HEAP[$i]; //@line 1555 "t1.c"
        var $181=CHECK_OVERFLOW((($180) + 1)&4294967295, 32); //@line 1555 "t1.c"
        HEAP[$i]=$181; //@line 1555 "t1.c"
        __label__ = 23; break; //@line 1555 "t1.c"
      case 23: // $bb24
        var $182=HEAP[$i]; //@line 1555 "t1.c"
        var $183=HEAP[$cblk_w]; //@line 1555 "t1.c"
        var $184=($182) < ($183); //@line 1555 "t1.c"
        if ($184) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1555 "t1.c"
      case 25: // $bb25
        var $185=HEAP[$j]; //@line 1554 "t1.c"
        var $186=CHECK_OVERFLOW((($185) + 1)&4294967295, 32); //@line 1554 "t1.c"
        HEAP[$j]=$186; //@line 1554 "t1.c"
        __label__ = 22; break; //@line 1554 "t1.c"
      case 22: // $bb26
        var $187=HEAP[$j]; //@line 1554 "t1.c"
        var $188=HEAP[$cblk_h]; //@line 1554 "t1.c"
        var $189=($187) < ($188); //@line 1554 "t1.c"
        if ($189) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 1554 "t1.c"
      case 27: // $bb27
        __label__ = 28; break; //@line 1554 "t1.c"
      case 21: // $bb28
        var $190=HEAP[$tilec_addr]; //@line 1561 "t1.c"
        var $191=CHECK_OVERFLOW(($190+24)&4294967295, 32); //@line 1561 "t1.c"
        var $192=HEAP[$191]; //@line 1561 "t1.c"
        var $193=HEAP[$y]; //@line 1561 "t1.c"
        var $194=HEAP[$tile_w]; //@line 1561 "t1.c"
        var $195=CHECK_OVERFLOW((($193) * ($194))&4294967295, 32); //@line 1561 "t1.c"
        var $196=HEAP[$x]; //@line 1561 "t1.c"
        var $197=CHECK_OVERFLOW((($195) + ($196))&4294967295, 32); //@line 1561 "t1.c"
        var $198=CHECK_OVERFLOW(($192+4*$197)&4294967295, 32); //@line 1561 "t1.c"
        var $199=$198; //@line 1561 "t1.c"
        HEAP[$tiledp29]=$199; //@line 1561 "t1.c"
        HEAP[$j]=0; //@line 1562 "t1.c"
        __label__ = 29; break; //@line 1562 "t1.c"
      case 33: // $bb30
        var $200=HEAP[$tiledp29]; //@line 1563 "t1.c"
        HEAP[$tiledp2]=$200; //@line 1563 "t1.c"
        HEAP[$i]=0; //@line 1564 "t1.c"
        __label__ = 30; break; //@line 1564 "t1.c"
      case 31: // $bb31
        var $201=HEAP[$datap]; //@line 1565 "t1.c"
        var $202=HEAP[$201]; //@line 1565 "t1.c"
        var $203=($202); //@line 1565 "t1.c"
        var $204=HEAP[$band]; //@line 1565 "t1.c"
        var $205=CHECK_OVERFLOW(($204+28)&4294967295, 32); //@line 1565 "t1.c"
        var $206=HEAP[$205]; //@line 1565 "t1.c"
        var $207=($203) * ($206); //@line 1565 "t1.c"
        HEAP[$tmp32]=$207; //@line 1565 "t1.c"
        var $208=HEAP[$tiledp2]; //@line 1566 "t1.c"
        var $209=HEAP[$tmp32]; //@line 1566 "t1.c"
        HEAP[$208]=$209; //@line 1566 "t1.c"
        var $210=HEAP[$datap]; //@line 1567 "t1.c"
        var $211=CHECK_OVERFLOW(($210+4)&4294967295, 32); //@line 1567 "t1.c"
        HEAP[$datap]=$211; //@line 1567 "t1.c"
        var $212=HEAP[$tiledp2]; //@line 1568 "t1.c"
        var $213=CHECK_OVERFLOW(($212+4)&4294967295, 32); //@line 1568 "t1.c"
        HEAP[$tiledp2]=$213; //@line 1568 "t1.c"
        var $214=HEAP[$i]; //@line 1564 "t1.c"
        var $215=CHECK_OVERFLOW((($214) + 1)&4294967295, 32); //@line 1564 "t1.c"
        HEAP[$i]=$215; //@line 1564 "t1.c"
        __label__ = 30; break; //@line 1564 "t1.c"
      case 30: // $bb33
        var $216=HEAP[$i]; //@line 1564 "t1.c"
        var $217=HEAP[$cblk_w]; //@line 1564 "t1.c"
        var $218=($216) < ($217); //@line 1564 "t1.c"
        if ($218) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 1564 "t1.c"
      case 32: // $bb34
        var $219=HEAP[$tiledp29]; //@line 1570 "t1.c"
        var $220=HEAP[$tile_w]; //@line 1570 "t1.c"
        var $221=CHECK_OVERFLOW(($219+4*$220)&4294967295, 32); //@line 1570 "t1.c"
        HEAP[$tiledp29]=$221; //@line 1570 "t1.c"
        var $222=HEAP[$j]; //@line 1562 "t1.c"
        var $223=CHECK_OVERFLOW((($222) + 1)&4294967295, 32); //@line 1562 "t1.c"
        HEAP[$j]=$223; //@line 1562 "t1.c"
        __label__ = 29; break; //@line 1562 "t1.c"
      case 29: // $bb35
        var $224=HEAP[$j]; //@line 1562 "t1.c"
        var $225=HEAP[$cblk_h]; //@line 1562 "t1.c"
        var $226=($224) < ($225); //@line 1562 "t1.c"
        if ($226) { __label__ = 33; break; } else { __label__ = 28; break; } //@line 1562 "t1.c"
      case 28: // $bb36
        var $227=HEAP[$cblk]; //@line 1573 "t1.c"
        var $228=CHECK_OVERFLOW(($227)&4294967295, 32); //@line 1573 "t1.c"
        var $229=HEAP[$228]; //@line 1573 "t1.c"
        _free($229); //@line 1573 "t1.c"
        var $230=HEAP[$cblk]; //@line 1574 "t1.c"
        var $231=CHECK_OVERFLOW(($230+4)&4294967295, 32); //@line 1574 "t1.c"
        var $232=HEAP[$231]; //@line 1574 "t1.c"
        var $233=$232; //@line 1574 "t1.c"
        _free($233); //@line 1574 "t1.c"
        var $234=HEAP[$cblkno]; //@line 1509 "t1.c"
        var $235=CHECK_OVERFLOW((($234) + 1)&4294967295, 32); //@line 1509 "t1.c"
        HEAP[$cblkno]=$235; //@line 1509 "t1.c"
        __label__ = 3; break; //@line 1509 "t1.c"
      case 3: // $bb37
        var $236=HEAP[$precinct]; //@line 1509 "t1.c"
        var $237=CHECK_OVERFLOW(($236+16)&4294967295, 32); //@line 1509 "t1.c"
        var $238=HEAP[$237]; //@line 1509 "t1.c"
        var $239=HEAP[$precinct]; //@line 1509 "t1.c"
        var $240=CHECK_OVERFLOW(($239+20)&4294967295, 32); //@line 1509 "t1.c"
        var $241=HEAP[$240]; //@line 1509 "t1.c"
        var $242=CHECK_OVERFLOW((($238) * ($241))&4294967295, 32); //@line 1509 "t1.c"
        var $243=HEAP[$cblkno]; //@line 1509 "t1.c"
        var $244=($242) > ($243); //@line 1509 "t1.c"
        if ($244) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 1509 "t1.c"
      case 35: // $bb38
        var $245=HEAP[$precinct]; //@line 1576 "t1.c"
        var $246=CHECK_OVERFLOW(($245+24)&4294967295, 32); //@line 1576 "t1.c"
        var $247=CHECK_OVERFLOW(($246)&4294967295, 32); //@line 1576 "t1.c"
        var $248=$247; //@line 1576 "t1.c"
        var $249=HEAP[$248]; //@line 1576 "t1.c"
        var $250=$249; //@line 1576 "t1.c"
        _free($250); //@line 1576 "t1.c"
        var $251=HEAP[$precno]; //@line 1506 "t1.c"
        var $252=CHECK_OVERFLOW((($251) + 1)&4294967295, 32); //@line 1506 "t1.c"
        HEAP[$precno]=$252; //@line 1506 "t1.c"
        __label__ = 2; break; //@line 1506 "t1.c"
      case 2: // $bb39
        var $253=HEAP[$res]; //@line 1506 "t1.c"
        var $254=CHECK_OVERFLOW(($253+16)&4294967295, 32); //@line 1506 "t1.c"
        var $255=HEAP[$254]; //@line 1506 "t1.c"
        var $256=HEAP[$res]; //@line 1506 "t1.c"
        var $257=CHECK_OVERFLOW(($256+20)&4294967295, 32); //@line 1506 "t1.c"
        var $258=HEAP[$257]; //@line 1506 "t1.c"
        var $259=CHECK_OVERFLOW((($255) * ($258))&4294967295, 32); //@line 1506 "t1.c"
        var $260=HEAP[$precno]; //@line 1506 "t1.c"
        var $261=($259) > ($260); //@line 1506 "t1.c"
        if ($261) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 1506 "t1.c"
      case 37: // $bb40
        var $262=HEAP[$bandno]; //@line 1503 "t1.c"
        var $263=CHECK_OVERFLOW((($262) + 1)&4294967295, 32); //@line 1503 "t1.c"
        HEAP[$bandno]=$263; //@line 1503 "t1.c"
        __label__ = 1; break; //@line 1503 "t1.c"
      case 1: // $bb41
        var $264=HEAP[$res]; //@line 1503 "t1.c"
        var $265=CHECK_OVERFLOW(($264+24)&4294967295, 32); //@line 1503 "t1.c"
        var $266=HEAP[$265]; //@line 1503 "t1.c"
        var $267=HEAP[$bandno]; //@line 1503 "t1.c"
        var $268=($266) > ($267); //@line 1503 "t1.c"
        if ($268) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 1503 "t1.c"
      case 39: // $bb42
        var $269=HEAP[$resno]; //@line 1500 "t1.c"
        var $270=CHECK_OVERFLOW((($269) + 1)&4294967295, 32); //@line 1500 "t1.c"
        HEAP[$resno]=$270; //@line 1500 "t1.c"
        __label__ = 0; break; //@line 1500 "t1.c"
      case 0: // $bb43
        var $271=HEAP[$tilec_addr]; //@line 1500 "t1.c"
        var $272=CHECK_OVERFLOW(($271+16)&4294967295, 32); //@line 1500 "t1.c"
        var $273=HEAP[$272]; //@line 1500 "t1.c"
        var $274=HEAP[$resno]; //@line 1500 "t1.c"
        var $275=($273) > ($274); //@line 1500 "t1.c"
        if ($275) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 1500 "t1.c"
      case 41: // $bb44
        __label__ = 42; break; //@line 1580 "t1.c"
      case 42: // $return
        STACKTOP = __stackBase__;
        return; //@line 1580 "t1.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t2_putcommacode($bio, $n) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $bio_addr=__stackBase__;
        var $n_addr=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$bio_addr]=$bio;
        HEAP[$n_addr]=$n;
        __label__ = 0; break; //@line 91 "t2.c"
      case 1: // $bb
        var $0=HEAP[$bio_addr]; //@line 92 "t2.c"
        _bio_write($0, 1, 1); //@line 92 "t2.c"
        __label__ = 0; break; //@line 92 "t2.c"
      case 0: // $bb1
        var $1=HEAP[$n_addr]; //@line 91 "t2.c"
        var $2=CHECK_OVERFLOW((($1) - 1)&4294967295, 32); //@line 91 "t2.c"
        HEAP[$n_addr]=$2; //@line 91 "t2.c"
        var $3=HEAP[$n_addr]; //@line 91 "t2.c"
        var $4=($3) >= 0; //@line 91 "t2.c"
        if ($4) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 91 "t2.c"
      case 2: // $bb2
        var $5=HEAP[$bio_addr]; //@line 94 "t2.c"
        _bio_write($5, 0, 1); //@line 94 "t2.c"
        __label__ = 3; break; //@line 95 "t2.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 95 "t2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t2_getcommacode($bio) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $bio_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $n=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$bio_addr]=$bio;
        HEAP[$n]=0; //@line 99 "t2.c"
        __label__ = 0; break; //@line 99 "t2.c"
      case 1: // $bb
        var $1=HEAP[$n]; //@line 99 "t2.c"
        var $2=CHECK_OVERFLOW((($1) + 1)&4294967295, 32); //@line 99 "t2.c"
        HEAP[$n]=$2; //@line 99 "t2.c"
        __label__ = 0; break; //@line 99 "t2.c"
      case 0: // $bb1
        var $3=HEAP[$bio_addr]; //@line 99 "t2.c"
        var $4=_bio_read($3, 1); //@line 99 "t2.c"
        var $5=($4)!=0; //@line 99 "t2.c"
        if ($5) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 99 "t2.c"
      case 2: // $bb2
        var $6=HEAP[$n]; //@line 102 "t2.c"
        HEAP[$0]=$6; //@line 102 "t2.c"
        var $7=HEAP[$0]; //@line 102 "t2.c"
        HEAP[$retval]=$7; //@line 102 "t2.c"
        __label__ = 3; break; //@line 102 "t2.c"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 102 "t2.c"
        STACKTOP = __stackBase__;
        return $retval3; //@line 102 "t2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t2_putnumpasses($bio, $n) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $bio_addr=__stackBase__;
        var $n_addr=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$bio_addr]=$bio;
        HEAP[$n_addr]=$n;
        var $0=HEAP[$n_addr]; //@line 106 "t2.c"
        var $1=($0)==1; //@line 106 "t2.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 106 "t2.c"
      case 0: // $bb
        var $2=HEAP[$bio_addr]; //@line 107 "t2.c"
        _bio_write($2, 0, 1); //@line 107 "t2.c"
        __label__ = 2; break; //@line 107 "t2.c"
      case 1: // $bb1
        var $3=HEAP[$n_addr]; //@line 108 "t2.c"
        var $4=($3)==2; //@line 108 "t2.c"
        if ($4) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 108 "t2.c"
      case 3: // $bb2
        var $5=HEAP[$bio_addr]; //@line 109 "t2.c"
        _bio_write($5, 2, 2); //@line 109 "t2.c"
        __label__ = 2; break; //@line 109 "t2.c"
      case 4: // $bb3
        var $6=HEAP[$n_addr]; //@line 110 "t2.c"
        var $7=($6) <= 5; //@line 110 "t2.c"
        if ($7) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 110 "t2.c"
      case 5: // $bb4
        var $8=HEAP[$n_addr]; //@line 111 "t2.c"
        var $9=CHECK_OVERFLOW((($8) - 3)&4294967295, 32); //@line 111 "t2.c"
        var $10=($9) | 12; //@line 111 "t2.c"
        var $11=HEAP[$bio_addr]; //@line 111 "t2.c"
        _bio_write($11, $10, 4); //@line 111 "t2.c"
        __label__ = 2; break; //@line 111 "t2.c"
      case 6: // $bb5
        var $12=HEAP[$n_addr]; //@line 112 "t2.c"
        var $13=($12) <= 36; //@line 112 "t2.c"
        if ($13) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 112 "t2.c"
      case 7: // $bb6
        var $14=HEAP[$n_addr]; //@line 113 "t2.c"
        var $15=CHECK_OVERFLOW((($14) - 6)&4294967295, 32); //@line 113 "t2.c"
        var $16=($15) | 480; //@line 113 "t2.c"
        var $17=HEAP[$bio_addr]; //@line 113 "t2.c"
        _bio_write($17, $16, 9); //@line 113 "t2.c"
        __label__ = 2; break; //@line 113 "t2.c"
      case 8: // $bb7
        var $18=HEAP[$n_addr]; //@line 114 "t2.c"
        var $19=($18) <= 164; //@line 114 "t2.c"
        if ($19) { __label__ = 9; break; } else { __label__ = 2; break; } //@line 114 "t2.c"
      case 9: // $bb8
        var $20=HEAP[$n_addr]; //@line 115 "t2.c"
        var $21=CHECK_OVERFLOW((($20) - 37)&4294967295, 32); //@line 115 "t2.c"
        var $22=($21) | 65408; //@line 115 "t2.c"
        var $23=HEAP[$bio_addr]; //@line 115 "t2.c"
        _bio_write($23, $22, 16); //@line 115 "t2.c"
        __label__ = 2; break; //@line 115 "t2.c"
      case 2: // $bb9
        __label__ = 10; break; //@line 117 "t2.c"
      case 10: // $return
        STACKTOP = __stackBase__;
        return; //@line 117 "t2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t2_getnumpasses($bio) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $bio_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $n=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$bio_addr]=$bio;
        var $1=HEAP[$bio_addr]; //@line 121 "t2.c"
        var $2=_bio_read($1, 1); //@line 121 "t2.c"
        var $3=($2)==0; //@line 121 "t2.c"
        if ($3) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 121 "t2.c"
      case 0: // $bb
        HEAP[$0]=1; //@line 122 "t2.c"
        __label__ = 2; break; //@line 122 "t2.c"
      case 1: // $bb1
        var $4=HEAP[$bio_addr]; //@line 123 "t2.c"
        var $5=_bio_read($4, 1); //@line 123 "t2.c"
        var $6=($5)==0; //@line 123 "t2.c"
        if ($6) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 123 "t2.c"
      case 3: // $bb2
        HEAP[$0]=2; //@line 124 "t2.c"
        __label__ = 2; break; //@line 124 "t2.c"
      case 4: // $bb3
        var $7=HEAP[$bio_addr]; //@line 125 "t2.c"
        var $8=_bio_read($7, 2); //@line 125 "t2.c"
        HEAP[$n]=$8; //@line 125 "t2.c"
        var $9=HEAP[$n]; //@line 125 "t2.c"
        var $10=($9)!=3; //@line 125 "t2.c"
        if ($10) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 125 "t2.c"
      case 5: // $bb4
        var $11=HEAP[$n]; //@line 126 "t2.c"
        var $12=CHECK_OVERFLOW((($11) + 3)&4294967295, 32); //@line 126 "t2.c"
        HEAP[$0]=$12; //@line 126 "t2.c"
        __label__ = 2; break; //@line 126 "t2.c"
      case 6: // $bb5
        var $13=HEAP[$bio_addr]; //@line 127 "t2.c"
        var $14=_bio_read($13, 5); //@line 127 "t2.c"
        HEAP[$n]=$14; //@line 127 "t2.c"
        var $15=HEAP[$n]; //@line 127 "t2.c"
        var $16=($15)!=31; //@line 127 "t2.c"
        if ($16) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 127 "t2.c"
      case 7: // $bb6
        var $17=HEAP[$n]; //@line 128 "t2.c"
        var $18=CHECK_OVERFLOW((($17) + 6)&4294967295, 32); //@line 128 "t2.c"
        HEAP[$0]=$18; //@line 128 "t2.c"
        __label__ = 2; break; //@line 128 "t2.c"
      case 8: // $bb7
        var $19=HEAP[$bio_addr]; //@line 129 "t2.c"
        var $20=_bio_read($19, 7); //@line 129 "t2.c"
        var $21=CHECK_OVERFLOW((($20) + 37)&4294967295, 32); //@line 129 "t2.c"
        HEAP[$0]=$21; //@line 129 "t2.c"
        __label__ = 2; break; //@line 129 "t2.c"
      case 2: // $bb8
        var $22=HEAP[$0]; //@line 122 "t2.c"
        HEAP[$retval]=$22; //@line 122 "t2.c"
        __label__ = 9; break; //@line 122 "t2.c"
      case 9: // $return
        var $retval9=HEAP[$retval]; //@line 122 "t2.c"
        STACKTOP = __stackBase__;
        return $retval9; //@line 122 "t2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t2_encode_packet($tile, $tcp, $pi, $dest, $length, $cstr_info, $tileno) {
    var __stackBase__  = STACKTOP; STACKTOP += 160; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 160);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tile_addr=__stackBase__;
        var $tcp_addr=__stackBase__+4;
        var $pi_addr=__stackBase__+8;
        var $dest_addr=__stackBase__+12;
        var $length_addr=__stackBase__+16;
        var $cstr_info_addr=__stackBase__+20;
        var $tileno_addr=__stackBase__+24;
        var $retval=__stackBase__+28;
        var $0=__stackBase__+32;
        var $bandno=__stackBase__+36;
        var $cblkno=__stackBase__+40;
        var $c=__stackBase__+44;
        var $compno=__stackBase__+48;
        var $resno=__stackBase__+52;
        var $precno=__stackBase__+56;
        var $layno=__stackBase__+60;
        var $tilec=__stackBase__+64;
        var $res=__stackBase__+68;
        var $bio=__stackBase__+72;
        var $band=__stackBase__+76;
        var $prc=__stackBase__+80;
        var $cblk=__stackBase__+84;
        var $band10=__stackBase__+88;
        var $prc11=__stackBase__+92;
        var $cblk13=__stackBase__+96;
        var $layer=__stackBase__+100;
        var $cblk20=__stackBase__+104;
        var $layer21=__stackBase__+108;
        var $increment=__stackBase__+112;
        var $nump=__stackBase__+116;
        var $len=__stackBase__+120;
        var $passno=__stackBase__+124;
        var $pass=__stackBase__+128;
        var $pass35=__stackBase__+132;
        var $info_PK=__stackBase__+136;
        var $band53=__stackBase__+140;
        var $prc54=__stackBase__+144;
        var $cblk56=__stackBase__+148;
        var $layer57=__stackBase__+152;
        var $info_PK63=__stackBase__+156;
        var $_alloca_point_=0;
        HEAP[$tile_addr]=$tile;
        HEAP[$tcp_addr]=$tcp;
        HEAP[$pi_addr]=$pi;
        HEAP[$dest_addr]=$dest;
        HEAP[$length_addr]=$length;
        HEAP[$cstr_info_addr]=$cstr_info;
        HEAP[$tileno_addr]=$tileno;
        var $1=HEAP[$dest_addr]; //@line 134 "t2.c"
        HEAP[$c]=$1; //@line 134 "t2.c"
        var $2=HEAP[$pi_addr]; //@line 136 "t2.c"
        var $3=CHECK_OVERFLOW(($2+24)&4294967295, 32); //@line 136 "t2.c"
        var $4=HEAP[$3]; //@line 136 "t2.c"
        HEAP[$compno]=$4; //@line 136 "t2.c"
        var $5=HEAP[$pi_addr]; //@line 137 "t2.c"
        var $6=CHECK_OVERFLOW(($5+28)&4294967295, 32); //@line 137 "t2.c"
        var $7=HEAP[$6]; //@line 137 "t2.c"
        HEAP[$resno]=$7; //@line 137 "t2.c"
        var $8=HEAP[$pi_addr]; //@line 138 "t2.c"
        var $9=CHECK_OVERFLOW(($8+32)&4294967295, 32); //@line 138 "t2.c"
        var $10=HEAP[$9]; //@line 138 "t2.c"
        HEAP[$precno]=$10; //@line 138 "t2.c"
        var $11=HEAP[$pi_addr]; //@line 139 "t2.c"
        var $12=CHECK_OVERFLOW(($11+36)&4294967295, 32); //@line 139 "t2.c"
        var $13=HEAP[$12]; //@line 139 "t2.c"
        HEAP[$layno]=$13; //@line 139 "t2.c"
        var $14=HEAP[$tile_addr]; //@line 141 "t2.c"
        var $15=CHECK_OVERFLOW(($14+20)&4294967295, 32); //@line 141 "t2.c"
        var $16=HEAP[$15]; //@line 141 "t2.c"
        var $17=HEAP[$compno]; //@line 141 "t2.c"
        var $18=CHECK_OVERFLOW(($16+32*$17)&4294967295, 32); //@line 141 "t2.c"
        HEAP[$tilec]=$18; //@line 141 "t2.c"
        var $19=HEAP[$tilec]; //@line 142 "t2.c"
        var $20=CHECK_OVERFLOW(($19+20)&4294967295, 32); //@line 142 "t2.c"
        var $21=HEAP[$20]; //@line 142 "t2.c"
        var $22=HEAP[$resno]; //@line 142 "t2.c"
        var $23=CHECK_OVERFLOW(($21+124*$22)&4294967295, 32); //@line 142 "t2.c"
        HEAP[$res]=$23; //@line 142 "t2.c"
        HEAP[$bio]=0; //@line 144 "t2.c"
        var $24=HEAP[$tcp_addr]; //@line 147 "t2.c"
        var $25=CHECK_OVERFLOW(($24+4)&4294967295, 32); //@line 147 "t2.c"
        var $26=HEAP[$25]; //@line 147 "t2.c"
        var $27=($26) & 2; //@line 147 "t2.c"
        var $28=($27)!=0; //@line 147 "t2.c"
        if ($28) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 147 "t2.c"
      case 0: // $bb
        var $29=HEAP[$c]; //@line 148 "t2.c"
        var $30=CHECK_OVERFLOW(($29)&4294967295, 32); //@line 148 "t2.c"
        HEAP[$30]=-1; //@line 148 "t2.c"
        var $31=HEAP[$c]; //@line 149 "t2.c"
        var $32=CHECK_OVERFLOW(($31+1)&4294967295, 32); //@line 149 "t2.c"
        HEAP[$32]=-111; //@line 149 "t2.c"
        var $33=HEAP[$c]; //@line 150 "t2.c"
        var $34=CHECK_OVERFLOW(($33+2)&4294967295, 32); //@line 150 "t2.c"
        HEAP[$34]=0; //@line 150 "t2.c"
        var $35=HEAP[$c]; //@line 151 "t2.c"
        var $36=CHECK_OVERFLOW(($35+3)&4294967295, 32); //@line 151 "t2.c"
        HEAP[$36]=4; //@line 151 "t2.c"
        var $37=HEAP[$tile_addr]; //@line 152 "t2.c"
        var $38=CHECK_OVERFLOW(($37+836)&4294967295, 32); //@line 152 "t2.c"
        var $39=HEAP[$38]; //@line 152 "t2.c"
        var $40=($39) % 65536; //@line 152 "t2.c"
        var $41=(($40)/256|0); //@line 152 "t2.c"
        var $42=((($41)) & 255); //@line 152 "t2.c"
        var $43=HEAP[$c]; //@line 152 "t2.c"
        var $44=CHECK_OVERFLOW(($43+4)&4294967295, 32); //@line 152 "t2.c"
        HEAP[$44]=$42; //@line 152 "t2.c"
        var $45=HEAP[$tile_addr]; //@line 153 "t2.c"
        var $46=CHECK_OVERFLOW(($45+836)&4294967295, 32); //@line 153 "t2.c"
        var $47=HEAP[$46]; //@line 153 "t2.c"
        var $48=($47) % 65536; //@line 153 "t2.c"
        var $49=($48) % 256; //@line 153 "t2.c"
        var $50=((($49)) & 255); //@line 153 "t2.c"
        var $51=HEAP[$c]; //@line 153 "t2.c"
        var $52=CHECK_OVERFLOW(($51+5)&4294967295, 32); //@line 153 "t2.c"
        HEAP[$52]=$50; //@line 153 "t2.c"
        var $53=HEAP[$c]; //@line 154 "t2.c"
        var $54=CHECK_OVERFLOW(($53+6)&4294967295, 32); //@line 154 "t2.c"
        HEAP[$c]=$54; //@line 154 "t2.c"
        __label__ = 1; break; //@line 154 "t2.c"
      case 1: // $bb1
        var $55=HEAP[$layno]; //@line 158 "t2.c"
        var $56=($55)==0; //@line 158 "t2.c"
        if ($56) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 158 "t2.c"
      case 2: // $bb2
        HEAP[$bandno]=0; //@line 159 "t2.c"
        __label__ = 4; break; //@line 159 "t2.c"
      case 8: // $bb3
        var $57=HEAP[$bandno]; //@line 160 "t2.c"
        var $58=HEAP[$res]; //@line 160 "t2.c"
        var $59=CHECK_OVERFLOW(($58+28)&4294967295, 32); //@line 160 "t2.c"
        var $60=CHECK_OVERFLOW(($59+$57*32)&4294967295, 32); //@line 160 "t2.c"
        HEAP[$band]=$60; //@line 160 "t2.c"
        var $61=HEAP[$band]; //@line 161 "t2.c"
        var $62=CHECK_OVERFLOW(($61+20)&4294967295, 32); //@line 161 "t2.c"
        var $63=HEAP[$62]; //@line 161 "t2.c"
        var $64=HEAP[$precno]; //@line 161 "t2.c"
        var $65=CHECK_OVERFLOW(($63+36*$64)&4294967295, 32); //@line 161 "t2.c"
        HEAP[$prc]=$65; //@line 161 "t2.c"
        var $66=HEAP[$prc]; //@line 162 "t2.c"
        var $67=CHECK_OVERFLOW(($66+28)&4294967295, 32); //@line 162 "t2.c"
        var $68=HEAP[$67]; //@line 162 "t2.c"
        _tgt_reset($68); //@line 162 "t2.c"
        var $69=HEAP[$prc]; //@line 163 "t2.c"
        var $70=CHECK_OVERFLOW(($69+32)&4294967295, 32); //@line 163 "t2.c"
        var $71=HEAP[$70]; //@line 163 "t2.c"
        _tgt_reset($71); //@line 163 "t2.c"
        HEAP[$cblkno]=0; //@line 164 "t2.c"
        __label__ = 5; break; //@line 164 "t2.c"
      case 6: // $bb4
        var $72=HEAP[$prc]; //@line 165 "t2.c"
        var $73=CHECK_OVERFLOW(($72+24)&4294967295, 32); //@line 165 "t2.c"
        var $74=CHECK_OVERFLOW(($73)&4294967295, 32); //@line 165 "t2.c"
        var $75=HEAP[$74]; //@line 165 "t2.c"
        var $76=HEAP[$cblkno]; //@line 165 "t2.c"
        var $77=CHECK_OVERFLOW(($75+48*$76)&4294967295, 32); //@line 165 "t2.c"
        HEAP[$cblk]=$77; //@line 165 "t2.c"
        var $78=HEAP[$cblk]; //@line 166 "t2.c"
        var $79=CHECK_OVERFLOW(($78+36)&4294967295, 32); //@line 166 "t2.c"
        HEAP[$79]=0; //@line 166 "t2.c"
        var $80=HEAP[$band]; //@line 167 "t2.c"
        var $81=CHECK_OVERFLOW(($80+24)&4294967295, 32); //@line 167 "t2.c"
        var $82=HEAP[$81]; //@line 167 "t2.c"
        var $83=HEAP[$cblk]; //@line 167 "t2.c"
        var $84=CHECK_OVERFLOW(($83+28)&4294967295, 32); //@line 167 "t2.c"
        var $85=HEAP[$84]; //@line 167 "t2.c"
        var $86=CHECK_OVERFLOW((($82) - ($85))&4294967295, 32); //@line 167 "t2.c"
        var $87=HEAP[$prc]; //@line 167 "t2.c"
        var $88=CHECK_OVERFLOW(($87+32)&4294967295, 32); //@line 167 "t2.c"
        var $89=HEAP[$88]; //@line 167 "t2.c"
        var $90=HEAP[$cblkno]; //@line 167 "t2.c"
        _tgt_setvalue($89, $90, $86); //@line 167 "t2.c"
        var $91=HEAP[$cblkno]; //@line 164 "t2.c"
        var $92=CHECK_OVERFLOW((($91) + 1)&4294967295, 32); //@line 164 "t2.c"
        HEAP[$cblkno]=$92; //@line 164 "t2.c"
        __label__ = 5; break; //@line 164 "t2.c"
      case 5: // $bb5
        var $93=HEAP[$prc]; //@line 164 "t2.c"
        var $94=CHECK_OVERFLOW(($93+16)&4294967295, 32); //@line 164 "t2.c"
        var $95=HEAP[$94]; //@line 164 "t2.c"
        var $96=HEAP[$prc]; //@line 164 "t2.c"
        var $97=CHECK_OVERFLOW(($96+20)&4294967295, 32); //@line 164 "t2.c"
        var $98=HEAP[$97]; //@line 164 "t2.c"
        var $99=CHECK_OVERFLOW((($95) * ($98))&4294967295, 32); //@line 164 "t2.c"
        var $100=HEAP[$cblkno]; //@line 164 "t2.c"
        var $101=($99) > ($100); //@line 164 "t2.c"
        if ($101) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 164 "t2.c"
      case 7: // $bb6
        var $102=HEAP[$bandno]; //@line 159 "t2.c"
        var $103=CHECK_OVERFLOW((($102) + 1)&4294967295, 32); //@line 159 "t2.c"
        HEAP[$bandno]=$103; //@line 159 "t2.c"
        __label__ = 4; break; //@line 159 "t2.c"
      case 4: // $bb7
        var $104=HEAP[$res]; //@line 159 "t2.c"
        var $105=CHECK_OVERFLOW(($104+24)&4294967295, 32); //@line 159 "t2.c"
        var $106=HEAP[$105]; //@line 159 "t2.c"
        var $107=HEAP[$bandno]; //@line 159 "t2.c"
        var $108=($106) > ($107); //@line 159 "t2.c"
        if ($108) { __label__ = 8; break; } else { __label__ = 3; break; } //@line 159 "t2.c"
      case 3: // $bb8
        var $109=_bio_create(); //@line 172 "t2.c"
        HEAP[$bio]=$109; //@line 172 "t2.c"
        var $110=HEAP[$bio]; //@line 173 "t2.c"
        var $111=HEAP[$c]; //@line 173 "t2.c"
        var $112=HEAP[$length_addr]; //@line 173 "t2.c"
        _bio_init_enc($110, $111, $112); //@line 173 "t2.c"
        var $113=HEAP[$bio]; //@line 174 "t2.c"
        _bio_write($113, 1, 1); //@line 174 "t2.c"
        HEAP[$bandno]=0; //@line 177 "t2.c"
        __label__ = 9; break; //@line 177 "t2.c"
      case 37: // $bb9
        var $114=HEAP[$bandno]; //@line 178 "t2.c"
        var $115=HEAP[$res]; //@line 178 "t2.c"
        var $116=CHECK_OVERFLOW(($115+28)&4294967295, 32); //@line 178 "t2.c"
        var $117=CHECK_OVERFLOW(($116+$114*32)&4294967295, 32); //@line 178 "t2.c"
        HEAP[$band10]=$117; //@line 178 "t2.c"
        var $118=HEAP[$band10]; //@line 179 "t2.c"
        var $119=CHECK_OVERFLOW(($118+20)&4294967295, 32); //@line 179 "t2.c"
        var $120=HEAP[$119]; //@line 179 "t2.c"
        var $121=HEAP[$precno]; //@line 179 "t2.c"
        var $122=CHECK_OVERFLOW(($120+36*$121)&4294967295, 32); //@line 179 "t2.c"
        HEAP[$prc11]=$122; //@line 179 "t2.c"
        HEAP[$cblkno]=0; //@line 180 "t2.c"
        __label__ = 10; break; //@line 180 "t2.c"
      case 14: // $bb12
        var $123=HEAP[$prc11]; //@line 181 "t2.c"
        var $124=CHECK_OVERFLOW(($123+24)&4294967295, 32); //@line 181 "t2.c"
        var $125=CHECK_OVERFLOW(($124)&4294967295, 32); //@line 181 "t2.c"
        var $126=HEAP[$125]; //@line 181 "t2.c"
        var $127=HEAP[$cblkno]; //@line 181 "t2.c"
        var $128=CHECK_OVERFLOW(($126+48*$127)&4294967295, 32); //@line 181 "t2.c"
        HEAP[$cblk13]=$128; //@line 181 "t2.c"
        var $129=HEAP[$cblk13]; //@line 182 "t2.c"
        var $130=CHECK_OVERFLOW(($129+4)&4294967295, 32); //@line 182 "t2.c"
        var $131=HEAP[$130]; //@line 182 "t2.c"
        var $132=HEAP[$layno]; //@line 182 "t2.c"
        var $133=CHECK_OVERFLOW(($131+20*$132)&4294967295, 32); //@line 182 "t2.c"
        HEAP[$layer]=$133; //@line 182 "t2.c"
        var $134=HEAP[$cblk13]; //@line 183 "t2.c"
        var $135=CHECK_OVERFLOW(($134+36)&4294967295, 32); //@line 183 "t2.c"
        var $136=HEAP[$135]; //@line 183 "t2.c"
        var $137=($136)==0; //@line 183 "t2.c"
        if ($137) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 183 "t2.c"
      case 11: // $bb14
        var $138=HEAP[$layer]; //@line 183 "t2.c"
        var $139=CHECK_OVERFLOW(($138)&4294967295, 32); //@line 183 "t2.c"
        var $140=HEAP[$139]; //@line 183 "t2.c"
        var $141=($140)!=0; //@line 183 "t2.c"
        if ($141) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 183 "t2.c"
      case 13: // $bb15
        var $142=HEAP[$prc11]; //@line 184 "t2.c"
        var $143=CHECK_OVERFLOW(($142+28)&4294967295, 32); //@line 184 "t2.c"
        var $144=HEAP[$143]; //@line 184 "t2.c"
        var $145=HEAP[$cblkno]; //@line 184 "t2.c"
        var $146=HEAP[$layno]; //@line 184 "t2.c"
        _tgt_setvalue($144, $145, $146); //@line 184 "t2.c"
        __label__ = 12; break; //@line 184 "t2.c"
      case 12: // $bb16
        var $147=HEAP[$cblkno]; //@line 180 "t2.c"
        var $148=CHECK_OVERFLOW((($147) + 1)&4294967295, 32); //@line 180 "t2.c"
        HEAP[$cblkno]=$148; //@line 180 "t2.c"
        __label__ = 10; break; //@line 180 "t2.c"
      case 10: // $bb17
        var $149=HEAP[$prc11]; //@line 180 "t2.c"
        var $150=CHECK_OVERFLOW(($149+16)&4294967295, 32); //@line 180 "t2.c"
        var $151=HEAP[$150]; //@line 180 "t2.c"
        var $152=HEAP[$prc11]; //@line 180 "t2.c"
        var $153=CHECK_OVERFLOW(($152+20)&4294967295, 32); //@line 180 "t2.c"
        var $154=HEAP[$153]; //@line 180 "t2.c"
        var $155=CHECK_OVERFLOW((($151) * ($154))&4294967295, 32); //@line 180 "t2.c"
        var $156=HEAP[$cblkno]; //@line 180 "t2.c"
        var $157=($155) > ($156); //@line 180 "t2.c"
        if ($157) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 180 "t2.c"
      case 15: // $bb18
        HEAP[$cblkno]=0; //@line 187 "t2.c"
        __label__ = 16; break; //@line 187 "t2.c"
      case 35: // $bb19
        var $158=HEAP[$prc11]; //@line 188 "t2.c"
        var $159=CHECK_OVERFLOW(($158+24)&4294967295, 32); //@line 188 "t2.c"
        var $160=CHECK_OVERFLOW(($159)&4294967295, 32); //@line 188 "t2.c"
        var $161=HEAP[$160]; //@line 188 "t2.c"
        var $162=HEAP[$cblkno]; //@line 188 "t2.c"
        var $163=CHECK_OVERFLOW(($161+48*$162)&4294967295, 32); //@line 188 "t2.c"
        HEAP[$cblk20]=$163; //@line 188 "t2.c"
        var $164=HEAP[$cblk20]; //@line 189 "t2.c"
        var $165=CHECK_OVERFLOW(($164+4)&4294967295, 32); //@line 189 "t2.c"
        var $166=HEAP[$165]; //@line 189 "t2.c"
        var $167=HEAP[$layno]; //@line 189 "t2.c"
        var $168=CHECK_OVERFLOW(($166+20*$167)&4294967295, 32); //@line 189 "t2.c"
        HEAP[$layer21]=$168; //@line 189 "t2.c"
        HEAP[$increment]=0; //@line 190 "t2.c"
        HEAP[$nump]=0; //@line 191 "t2.c"
        HEAP[$len]=0; //@line 192 "t2.c"
        var $169=HEAP[$cblk20]; //@line 194 "t2.c"
        var $170=CHECK_OVERFLOW(($169+36)&4294967295, 32); //@line 194 "t2.c"
        var $171=HEAP[$170]; //@line 194 "t2.c"
        var $172=($171)==0; //@line 194 "t2.c"
        if ($172) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 194 "t2.c"
      case 17: // $bb22
        var $173=HEAP[$layno]; //@line 195 "t2.c"
        var $174=CHECK_OVERFLOW((($173) + 1)&4294967295, 32); //@line 195 "t2.c"
        var $175=HEAP[$prc11]; //@line 195 "t2.c"
        var $176=CHECK_OVERFLOW(($175+28)&4294967295, 32); //@line 195 "t2.c"
        var $177=HEAP[$176]; //@line 195 "t2.c"
        var $178=HEAP[$bio]; //@line 195 "t2.c"
        var $179=HEAP[$cblkno]; //@line 195 "t2.c"
        _tgt_encode($178, $177, $179, $174); //@line 195 "t2.c"
        __label__ = 19; break; //@line 195 "t2.c"
      case 18: // $bb23
        var $180=HEAP[$layer21]; //@line 197 "t2.c"
        var $181=CHECK_OVERFLOW(($180)&4294967295, 32); //@line 197 "t2.c"
        var $182=HEAP[$181]; //@line 197 "t2.c"
        var $183=($182)!=0; //@line 197 "t2.c"
        var $184=($183); //@line 197 "t2.c"
        var $185=HEAP[$bio]; //@line 197 "t2.c"
        _bio_write($185, $184, 1); //@line 197 "t2.c"
        __label__ = 19; break; //@line 197 "t2.c"
      case 19: // $bb24
        var $186=HEAP[$layer21]; //@line 200 "t2.c"
        var $187=CHECK_OVERFLOW(($186)&4294967295, 32); //@line 200 "t2.c"
        var $188=HEAP[$187]; //@line 200 "t2.c"
        var $189=($188)==0; //@line 200 "t2.c"
        if ($189) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 200 "t2.c"
      case 21: // $bb25
        var $190=HEAP[$cblk20]; //@line 204 "t2.c"
        var $191=CHECK_OVERFLOW(($190+36)&4294967295, 32); //@line 204 "t2.c"
        var $192=HEAP[$191]; //@line 204 "t2.c"
        var $193=($192)==0; //@line 204 "t2.c"
        if ($193) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 204 "t2.c"
      case 22: // $bb26
        var $194=HEAP[$cblk20]; //@line 205 "t2.c"
        var $195=CHECK_OVERFLOW(($194+32)&4294967295, 32); //@line 205 "t2.c"
        HEAP[$195]=3; //@line 205 "t2.c"
        var $196=HEAP[$prc11]; //@line 206 "t2.c"
        var $197=CHECK_OVERFLOW(($196+32)&4294967295, 32); //@line 206 "t2.c"
        var $198=HEAP[$197]; //@line 206 "t2.c"
        var $199=HEAP[$bio]; //@line 206 "t2.c"
        var $200=HEAP[$cblkno]; //@line 206 "t2.c"
        _tgt_encode($199, $198, $200, 999); //@line 206 "t2.c"
        __label__ = 23; break; //@line 206 "t2.c"
      case 23: // $bb27
        var $201=HEAP[$layer21]; //@line 209 "t2.c"
        var $202=CHECK_OVERFLOW(($201)&4294967295, 32); //@line 209 "t2.c"
        var $203=HEAP[$202]; //@line 209 "t2.c"
        var $204=HEAP[$bio]; //@line 209 "t2.c"
        _t2_putnumpasses($204, $203); //@line 209 "t2.c"
        var $205=HEAP[$cblk20]; //@line 212 "t2.c"
        var $206=CHECK_OVERFLOW(($205+36)&4294967295, 32); //@line 212 "t2.c"
        var $207=HEAP[$206]; //@line 212 "t2.c"
        HEAP[$passno]=$207; //@line 212 "t2.c"
        __label__ = 24; break; //@line 212 "t2.c"
      case 28: // $bb28
        var $208=HEAP[$cblk20]; //@line 213 "t2.c"
        var $209=CHECK_OVERFLOW(($208+8)&4294967295, 32); //@line 213 "t2.c"
        var $210=HEAP[$209]; //@line 213 "t2.c"
        var $211=HEAP[$passno]; //@line 213 "t2.c"
        var $212=CHECK_OVERFLOW(($210+20*$211)&4294967295, 32); //@line 213 "t2.c"
        HEAP[$pass]=$212; //@line 213 "t2.c"
        var $213=HEAP[$nump]; //@line 214 "t2.c"
        var $214=CHECK_OVERFLOW((($213) + 1)&4294967295, 32); //@line 214 "t2.c"
        HEAP[$nump]=$214; //@line 214 "t2.c"
        var $215=HEAP[$pass]; //@line 215 "t2.c"
        var $216=CHECK_OVERFLOW(($215+16)&4294967295, 32); //@line 215 "t2.c"
        var $217=HEAP[$216]; //@line 215 "t2.c"
        var $218=HEAP[$len]; //@line 215 "t2.c"
        var $219=CHECK_OVERFLOW((($217) + ($218))&4294967295, 32); //@line 215 "t2.c"
        HEAP[$len]=$219; //@line 215 "t2.c"
        var $220=HEAP[$pass]; //@line 216 "t2.c"
        var $221=CHECK_OVERFLOW(($220+12)&4294967295, 32); //@line 216 "t2.c"
        var $222=HEAP[$221]; //@line 216 "t2.c"
        var $223=($222)!=0; //@line 216 "t2.c"
        if ($223) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 216 "t2.c"
      case 26: // $bb29
        var $224=HEAP[$cblk20]; //@line 216 "t2.c"
        var $225=CHECK_OVERFLOW(($224+36)&4294967295, 32); //@line 216 "t2.c"
        var $226=HEAP[$225]; //@line 216 "t2.c"
        var $227=HEAP[$layer21]; //@line 216 "t2.c"
        var $228=CHECK_OVERFLOW(($227)&4294967295, 32); //@line 216 "t2.c"
        var $229=HEAP[$228]; //@line 216 "t2.c"
        var $230=CHECK_OVERFLOW((($226) + ($229))&4294967295, 32); //@line 216 "t2.c"
        var $231=CHECK_OVERFLOW((($230) - 1)&4294967295, 32); //@line 216 "t2.c"
        var $232=HEAP[$passno]; //@line 216 "t2.c"
        var $233=($231)==($232); //@line 216 "t2.c"
        if ($233) { __label__ = 25; break; } else { __label__ = 27; break; } //@line 216 "t2.c"
      case 25: // $bb30
        var $234=HEAP[$len]; //@line 217 "t2.c"
        var $235=_int_floorlog247($234); //@line 217 "t2.c"
        var $236=CHECK_OVERFLOW((($235) + 1)&4294967295, 32); //@line 217 "t2.c"
        var $237=HEAP[$cblk20]; //@line 217 "t2.c"
        var $238=CHECK_OVERFLOW(($237+32)&4294967295, 32); //@line 217 "t2.c"
        var $239=HEAP[$238]; //@line 217 "t2.c"
        var $240=HEAP[$nump]; //@line 217 "t2.c"
        var $241=_int_floorlog247($240); //@line 217 "t2.c"
        var $242=CHECK_OVERFLOW((($239) + ($241))&4294967295, 32); //@line 217 "t2.c"
        var $243=CHECK_OVERFLOW((($236) - ($242))&4294967295, 32); //@line 217 "t2.c"
        var $244=HEAP[$increment]; //@line 217 "t2.c"
        var $245=_int_max48($244, $243); //@line 217 "t2.c"
        HEAP[$increment]=$245; //@line 217 "t2.c"
        HEAP[$len]=0; //@line 218 "t2.c"
        HEAP[$nump]=0; //@line 219 "t2.c"
        __label__ = 27; break; //@line 219 "t2.c"
      case 27: // $bb31
        var $246=HEAP[$passno]; //@line 212 "t2.c"
        var $247=CHECK_OVERFLOW((($246) + 1)&4294967295, 32); //@line 212 "t2.c"
        HEAP[$passno]=$247; //@line 212 "t2.c"
        __label__ = 24; break; //@line 212 "t2.c"
      case 24: // $bb32
        var $248=HEAP[$cblk20]; //@line 212 "t2.c"
        var $249=CHECK_OVERFLOW(($248+36)&4294967295, 32); //@line 212 "t2.c"
        var $250=HEAP[$249]; //@line 212 "t2.c"
        var $251=HEAP[$layer21]; //@line 212 "t2.c"
        var $252=CHECK_OVERFLOW(($251)&4294967295, 32); //@line 212 "t2.c"
        var $253=HEAP[$252]; //@line 212 "t2.c"
        var $254=CHECK_OVERFLOW((($250) + ($253))&4294967295, 32); //@line 212 "t2.c"
        var $255=HEAP[$passno]; //@line 212 "t2.c"
        var $256=($254) > ($255); //@line 212 "t2.c"
        if ($256) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 212 "t2.c"
      case 29: // $bb33
        var $257=HEAP[$bio]; //@line 222 "t2.c"
        var $258=HEAP[$increment]; //@line 222 "t2.c"
        _t2_putcommacode($257, $258); //@line 222 "t2.c"
        var $259=HEAP[$cblk20]; //@line 225 "t2.c"
        var $260=CHECK_OVERFLOW(($259+32)&4294967295, 32); //@line 225 "t2.c"
        var $261=HEAP[$260]; //@line 225 "t2.c"
        var $262=HEAP[$increment]; //@line 225 "t2.c"
        var $263=CHECK_OVERFLOW((($261) + ($262))&4294967295, 32); //@line 225 "t2.c"
        var $264=HEAP[$cblk20]; //@line 225 "t2.c"
        var $265=CHECK_OVERFLOW(($264+32)&4294967295, 32); //@line 225 "t2.c"
        HEAP[$265]=$263; //@line 225 "t2.c"
        var $266=HEAP[$cblk20]; //@line 228 "t2.c"
        var $267=CHECK_OVERFLOW(($266+36)&4294967295, 32); //@line 228 "t2.c"
        var $268=HEAP[$267]; //@line 228 "t2.c"
        HEAP[$passno]=$268; //@line 228 "t2.c"
        __label__ = 30; break; //@line 228 "t2.c"
      case 34: // $bb34
        var $269=HEAP[$cblk20]; //@line 229 "t2.c"
        var $270=CHECK_OVERFLOW(($269+8)&4294967295, 32); //@line 229 "t2.c"
        var $271=HEAP[$270]; //@line 229 "t2.c"
        var $272=HEAP[$passno]; //@line 229 "t2.c"
        var $273=CHECK_OVERFLOW(($271+20*$272)&4294967295, 32); //@line 229 "t2.c"
        HEAP[$pass35]=$273; //@line 229 "t2.c"
        var $274=HEAP[$nump]; //@line 230 "t2.c"
        var $275=CHECK_OVERFLOW((($274) + 1)&4294967295, 32); //@line 230 "t2.c"
        HEAP[$nump]=$275; //@line 230 "t2.c"
        var $276=HEAP[$pass35]; //@line 231 "t2.c"
        var $277=CHECK_OVERFLOW(($276+16)&4294967295, 32); //@line 231 "t2.c"
        var $278=HEAP[$277]; //@line 231 "t2.c"
        var $279=HEAP[$len]; //@line 231 "t2.c"
        var $280=CHECK_OVERFLOW((($278) + ($279))&4294967295, 32); //@line 231 "t2.c"
        HEAP[$len]=$280; //@line 231 "t2.c"
        var $281=HEAP[$pass35]; //@line 232 "t2.c"
        var $282=CHECK_OVERFLOW(($281+12)&4294967295, 32); //@line 232 "t2.c"
        var $283=HEAP[$282]; //@line 232 "t2.c"
        var $284=($283)!=0; //@line 232 "t2.c"
        if ($284) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 232 "t2.c"
      case 32: // $bb36
        var $285=HEAP[$cblk20]; //@line 232 "t2.c"
        var $286=CHECK_OVERFLOW(($285+36)&4294967295, 32); //@line 232 "t2.c"
        var $287=HEAP[$286]; //@line 232 "t2.c"
        var $288=HEAP[$layer21]; //@line 232 "t2.c"
        var $289=CHECK_OVERFLOW(($288)&4294967295, 32); //@line 232 "t2.c"
        var $290=HEAP[$289]; //@line 232 "t2.c"
        var $291=CHECK_OVERFLOW((($287) + ($290))&4294967295, 32); //@line 232 "t2.c"
        var $292=CHECK_OVERFLOW((($291) - 1)&4294967295, 32); //@line 232 "t2.c"
        var $293=HEAP[$passno]; //@line 232 "t2.c"
        var $294=($292)==($293); //@line 232 "t2.c"
        if ($294) { __label__ = 31; break; } else { __label__ = 33; break; } //@line 232 "t2.c"
      case 31: // $bb37
        var $295=HEAP[$cblk20]; //@line 233 "t2.c"
        var $296=CHECK_OVERFLOW(($295+32)&4294967295, 32); //@line 233 "t2.c"
        var $297=HEAP[$296]; //@line 233 "t2.c"
        var $298=HEAP[$nump]; //@line 233 "t2.c"
        var $299=_int_floorlog247($298); //@line 233 "t2.c"
        var $300=CHECK_OVERFLOW((($297) + ($299))&4294967295, 32); //@line 233 "t2.c"
        var $301=HEAP[$bio]; //@line 233 "t2.c"
        var $302=HEAP[$len]; //@line 233 "t2.c"
        _bio_write($301, $302, $300); //@line 233 "t2.c"
        HEAP[$len]=0; //@line 234 "t2.c"
        HEAP[$nump]=0; //@line 235 "t2.c"
        __label__ = 33; break; //@line 235 "t2.c"
      case 33: // $bb38
        var $303=HEAP[$passno]; //@line 228 "t2.c"
        var $304=CHECK_OVERFLOW((($303) + 1)&4294967295, 32); //@line 228 "t2.c"
        HEAP[$passno]=$304; //@line 228 "t2.c"
        __label__ = 30; break; //@line 228 "t2.c"
      case 30: // $bb39
        var $305=HEAP[$cblk20]; //@line 228 "t2.c"
        var $306=CHECK_OVERFLOW(($305+36)&4294967295, 32); //@line 228 "t2.c"
        var $307=HEAP[$306]; //@line 228 "t2.c"
        var $308=HEAP[$layer21]; //@line 228 "t2.c"
        var $309=CHECK_OVERFLOW(($308)&4294967295, 32); //@line 228 "t2.c"
        var $310=HEAP[$309]; //@line 228 "t2.c"
        var $311=CHECK_OVERFLOW((($307) + ($310))&4294967295, 32); //@line 228 "t2.c"
        var $312=HEAP[$passno]; //@line 228 "t2.c"
        var $313=($311) > ($312); //@line 228 "t2.c"
        if ($313) { __label__ = 34; break; } else { __label__ = 20; break; } //@line 228 "t2.c"
      case 20: // $bb40
        var $314=HEAP[$cblkno]; //@line 187 "t2.c"
        var $315=CHECK_OVERFLOW((($314) + 1)&4294967295, 32); //@line 187 "t2.c"
        HEAP[$cblkno]=$315; //@line 187 "t2.c"
        __label__ = 16; break; //@line 187 "t2.c"
      case 16: // $bb41
        var $316=HEAP[$prc11]; //@line 187 "t2.c"
        var $317=CHECK_OVERFLOW(($316+16)&4294967295, 32); //@line 187 "t2.c"
        var $318=HEAP[$317]; //@line 187 "t2.c"
        var $319=HEAP[$prc11]; //@line 187 "t2.c"
        var $320=CHECK_OVERFLOW(($319+20)&4294967295, 32); //@line 187 "t2.c"
        var $321=HEAP[$320]; //@line 187 "t2.c"
        var $322=CHECK_OVERFLOW((($318) * ($321))&4294967295, 32); //@line 187 "t2.c"
        var $323=HEAP[$cblkno]; //@line 187 "t2.c"
        var $324=($322) > ($323); //@line 187 "t2.c"
        if ($324) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 187 "t2.c"
      case 36: // $bb42
        var $325=HEAP[$bandno]; //@line 177 "t2.c"
        var $326=CHECK_OVERFLOW((($325) + 1)&4294967295, 32); //@line 177 "t2.c"
        HEAP[$bandno]=$326; //@line 177 "t2.c"
        __label__ = 9; break; //@line 177 "t2.c"
      case 9: // $bb43
        var $327=HEAP[$res]; //@line 177 "t2.c"
        var $328=CHECK_OVERFLOW(($327+24)&4294967295, 32); //@line 177 "t2.c"
        var $329=HEAP[$328]; //@line 177 "t2.c"
        var $330=HEAP[$bandno]; //@line 177 "t2.c"
        var $331=($329) > ($330); //@line 177 "t2.c"
        if ($331) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 177 "t2.c"
      case 38: // $bb44
        var $332=HEAP[$bio]; //@line 241 "t2.c"
        var $333=_bio_flush($332); //@line 241 "t2.c"
        var $334=($333)!=0; //@line 241 "t2.c"
        if ($334) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 241 "t2.c"
      case 39: // $bb45
        var $335=HEAP[$bio]; //@line 242 "t2.c"
        _bio_destroy($335); //@line 242 "t2.c"
        HEAP[$0]=-999; //@line 243 "t2.c"
        __label__ = 41; break; //@line 243 "t2.c"
      case 40: // $bb46
        var $336=HEAP[$bio]; //@line 246 "t2.c"
        var $337=_bio_numbytes($336); //@line 246 "t2.c"
        var $338=HEAP[$c]; //@line 246 "t2.c"
        var $339=CHECK_OVERFLOW(($338+$337)&4294967295, 32); //@line 246 "t2.c"
        HEAP[$c]=$339; //@line 246 "t2.c"
        var $340=HEAP[$bio]; //@line 247 "t2.c"
        _bio_destroy($340); //@line 247 "t2.c"
        var $341=HEAP[$tcp_addr]; //@line 250 "t2.c"
        var $342=CHECK_OVERFLOW(($341+4)&4294967295, 32); //@line 250 "t2.c"
        var $343=HEAP[$342]; //@line 250 "t2.c"
        var $344=($343) & 4; //@line 250 "t2.c"
        var $345=($344)!=0; //@line 250 "t2.c"
        if ($345) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 250 "t2.c"
      case 42: // $bb47
        var $346=HEAP[$c]; //@line 251 "t2.c"
        var $347=CHECK_OVERFLOW(($346)&4294967295, 32); //@line 251 "t2.c"
        HEAP[$347]=-1; //@line 251 "t2.c"
        var $348=HEAP[$c]; //@line 252 "t2.c"
        var $349=CHECK_OVERFLOW(($348+1)&4294967295, 32); //@line 252 "t2.c"
        HEAP[$349]=-110; //@line 252 "t2.c"
        var $350=HEAP[$c]; //@line 253 "t2.c"
        var $351=CHECK_OVERFLOW(($350+2)&4294967295, 32); //@line 253 "t2.c"
        HEAP[$c]=$351; //@line 253 "t2.c"
        __label__ = 43; break; //@line 253 "t2.c"
      case 43: // $bb48
        var $352=HEAP[$cstr_info_addr]; //@line 260 "t2.c"
        var $353=($352)!=0; //@line 260 "t2.c"
        if ($353) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 260 "t2.c"
      case 44: // $bb49
        var $354=HEAP[$cstr_info_addr]; //@line 260 "t2.c"
        var $355=CHECK_OVERFLOW(($354+12)&4294967295, 32); //@line 260 "t2.c"
        var $356=HEAP[$355]; //@line 260 "t2.c"
        var $357=($356)!=0; //@line 260 "t2.c"
        if ($357) { __label__ = 46; break; } else { __label__ = 45; break; } //@line 260 "t2.c"
      case 46: // $bb50
        var $358=HEAP[$cstr_info_addr]; //@line 261 "t2.c"
        var $359=CHECK_OVERFLOW(($358+88)&4294967295, 32); //@line 261 "t2.c"
        var $360=HEAP[$359]; //@line 261 "t2.c"
        var $361=HEAP[$tileno_addr]; //@line 261 "t2.c"
        var $362=CHECK_OVERFLOW(($360+572*$361)&4294967295, 32); //@line 261 "t2.c"
        var $363=CHECK_OVERFLOW(($362+548)&4294967295, 32); //@line 261 "t2.c"
        var $364=HEAP[$363]; //@line 261 "t2.c"
        var $365=HEAP[$cstr_info_addr]; //@line 261 "t2.c"
        var $366=CHECK_OVERFLOW(($365+8)&4294967295, 32); //@line 261 "t2.c"
        var $367=HEAP[$366]; //@line 261 "t2.c"
        var $368=CHECK_OVERFLOW(($364+20*$367)&4294967295, 32); //@line 261 "t2.c"
        HEAP[$info_PK]=$368; //@line 261 "t2.c"
        var $369=HEAP[$c]; //@line 262 "t2.c"
        var $370=($369); //@line 262 "t2.c"
        var $371=HEAP[$dest_addr]; //@line 262 "t2.c"
        var $372=($371); //@line 262 "t2.c"
        var $373=CHECK_OVERFLOW((($370) - ($372))&4294967295, 32); //@line 262 "t2.c"
        var $374=HEAP[$info_PK]; //@line 262 "t2.c"
        var $375=CHECK_OVERFLOW(($374+4)&4294967295, 32); //@line 262 "t2.c"
        HEAP[$375]=$373; //@line 262 "t2.c"
        __label__ = 45; break; //@line 262 "t2.c"
      case 45: // $bb51
        HEAP[$bandno]=0; //@line 268 "t2.c"
        __label__ = 47; break; //@line 268 "t2.c"
      case 58: // $bb52
        var $376=HEAP[$bandno]; //@line 269 "t2.c"
        var $377=HEAP[$res]; //@line 269 "t2.c"
        var $378=CHECK_OVERFLOW(($377+28)&4294967295, 32); //@line 269 "t2.c"
        var $379=CHECK_OVERFLOW(($378+$376*32)&4294967295, 32); //@line 269 "t2.c"
        HEAP[$band53]=$379; //@line 269 "t2.c"
        var $380=HEAP[$band53]; //@line 270 "t2.c"
        var $381=CHECK_OVERFLOW(($380+20)&4294967295, 32); //@line 270 "t2.c"
        var $382=HEAP[$381]; //@line 270 "t2.c"
        var $383=HEAP[$precno]; //@line 270 "t2.c"
        var $384=CHECK_OVERFLOW(($382+36*$383)&4294967295, 32); //@line 270 "t2.c"
        HEAP[$prc54]=$384; //@line 270 "t2.c"
        HEAP[$cblkno]=0; //@line 271 "t2.c"
        __label__ = 48; break; //@line 271 "t2.c"
      case 56: // $bb55
        var $385=HEAP[$prc54]; //@line 272 "t2.c"
        var $386=CHECK_OVERFLOW(($385+24)&4294967295, 32); //@line 272 "t2.c"
        var $387=CHECK_OVERFLOW(($386)&4294967295, 32); //@line 272 "t2.c"
        var $388=HEAP[$387]; //@line 272 "t2.c"
        var $389=HEAP[$cblkno]; //@line 272 "t2.c"
        var $390=CHECK_OVERFLOW(($388+48*$389)&4294967295, 32); //@line 272 "t2.c"
        HEAP[$cblk56]=$390; //@line 272 "t2.c"
        var $391=HEAP[$cblk56]; //@line 273 "t2.c"
        var $392=CHECK_OVERFLOW(($391+4)&4294967295, 32); //@line 273 "t2.c"
        var $393=HEAP[$392]; //@line 273 "t2.c"
        var $394=HEAP[$layno]; //@line 273 "t2.c"
        var $395=CHECK_OVERFLOW(($393+20*$394)&4294967295, 32); //@line 273 "t2.c"
        HEAP[$layer57]=$395; //@line 273 "t2.c"
        var $396=HEAP[$layer57]; //@line 274 "t2.c"
        var $397=CHECK_OVERFLOW(($396)&4294967295, 32); //@line 274 "t2.c"
        var $398=HEAP[$397]; //@line 274 "t2.c"
        var $399=($398)==0; //@line 274 "t2.c"
        if ($399) { __label__ = 49; break; } else { __label__ = 50; break; } //@line 274 "t2.c"
      case 50: // $bb58
        var $400=HEAP[$layer57]; //@line 277 "t2.c"
        var $401=CHECK_OVERFLOW(($400+4)&4294967295, 32); //@line 277 "t2.c"
        var $402=HEAP[$401]; //@line 277 "t2.c"
        var $403=HEAP[$c]; //@line 277 "t2.c"
        var $404=CHECK_OVERFLOW(($403+$402)&4294967295, 32); //@line 277 "t2.c"
        var $405=HEAP[$dest_addr]; //@line 277 "t2.c"
        var $406=HEAP[$length_addr]; //@line 277 "t2.c"
        var $407=CHECK_OVERFLOW(($405+$406)&4294967295, 32); //@line 277 "t2.c"
        var $408=($404) > ($407); //@line 277 "t2.c"
        if ($408) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 277 "t2.c"
      case 51: // $bb59
        HEAP[$0]=-999; //@line 278 "t2.c"
        __label__ = 41; break; //@line 278 "t2.c"
      case 52: // $bb60
        var $409=HEAP[$layer57]; //@line 281 "t2.c"
        var $410=CHECK_OVERFLOW(($409+4)&4294967295, 32); //@line 281 "t2.c"
        var $411=HEAP[$410]; //@line 281 "t2.c"
        var $412=HEAP[$layer57]; //@line 281 "t2.c"
        var $413=CHECK_OVERFLOW(($412+16)&4294967295, 32); //@line 281 "t2.c"
        var $414=HEAP[$413]; //@line 281 "t2.c"
        var $415=HEAP[$c]; //@line 281 "t2.c"
        _llvm_memcpy_p0i8_p0i8_i32($415, $414, $411, 1, 0); //@line 281 "t2.c"
        var $416=HEAP[$cblk56]; //@line 282 "t2.c"
        var $417=CHECK_OVERFLOW(($416+36)&4294967295, 32); //@line 282 "t2.c"
        var $418=HEAP[$417]; //@line 282 "t2.c"
        var $419=HEAP[$layer57]; //@line 282 "t2.c"
        var $420=CHECK_OVERFLOW(($419)&4294967295, 32); //@line 282 "t2.c"
        var $421=HEAP[$420]; //@line 282 "t2.c"
        var $422=CHECK_OVERFLOW((($418) + ($421))&4294967295, 32); //@line 282 "t2.c"
        var $423=HEAP[$cblk56]; //@line 282 "t2.c"
        var $424=CHECK_OVERFLOW(($423+36)&4294967295, 32); //@line 282 "t2.c"
        HEAP[$424]=$422; //@line 282 "t2.c"
        var $425=HEAP[$layer57]; //@line 283 "t2.c"
        var $426=CHECK_OVERFLOW(($425+4)&4294967295, 32); //@line 283 "t2.c"
        var $427=HEAP[$426]; //@line 283 "t2.c"
        var $428=HEAP[$c]; //@line 283 "t2.c"
        var $429=CHECK_OVERFLOW(($428+$427)&4294967295, 32); //@line 283 "t2.c"
        HEAP[$c]=$429; //@line 283 "t2.c"
        var $430=HEAP[$cstr_info_addr]; //@line 285 "t2.c"
        var $431=($430)!=0; //@line 285 "t2.c"
        if ($431) { __label__ = 53; break; } else { __label__ = 49; break; } //@line 285 "t2.c"
      case 53: // $bb61
        var $432=HEAP[$cstr_info_addr]; //@line 285 "t2.c"
        var $433=CHECK_OVERFLOW(($432+12)&4294967295, 32); //@line 285 "t2.c"
        var $434=HEAP[$433]; //@line 285 "t2.c"
        var $435=($434)!=0; //@line 285 "t2.c"
        if ($435) { __label__ = 54; break; } else { __label__ = 49; break; } //@line 285 "t2.c"
      case 54: // $bb62
        var $436=HEAP[$cstr_info_addr]; //@line 286 "t2.c"
        var $437=CHECK_OVERFLOW(($436+88)&4294967295, 32); //@line 286 "t2.c"
        var $438=HEAP[$437]; //@line 286 "t2.c"
        var $439=HEAP[$tileno_addr]; //@line 286 "t2.c"
        var $440=CHECK_OVERFLOW(($438+572*$439)&4294967295, 32); //@line 286 "t2.c"
        var $441=CHECK_OVERFLOW(($440+548)&4294967295, 32); //@line 286 "t2.c"
        var $442=HEAP[$441]; //@line 286 "t2.c"
        var $443=HEAP[$cstr_info_addr]; //@line 286 "t2.c"
        var $444=CHECK_OVERFLOW(($443+8)&4294967295, 32); //@line 286 "t2.c"
        var $445=HEAP[$444]; //@line 286 "t2.c"
        var $446=CHECK_OVERFLOW(($442+20*$445)&4294967295, 32); //@line 286 "t2.c"
        HEAP[$info_PK63]=$446; //@line 286 "t2.c"
        var $447=HEAP[$info_PK63]; //@line 287 "t2.c"
        var $448=CHECK_OVERFLOW(($447+12)&4294967295, 32); //@line 287 "t2.c"
        var $449=HEAP[$448]; //@line 287 "t2.c"
        var $450=HEAP[$layer57]; //@line 287 "t2.c"
        var $451=CHECK_OVERFLOW(($450+8)&4294967295, 32); //@line 287 "t2.c"
        var $452=HEAP[$451]; //@line 287 "t2.c"
        var $453=($449) + ($452); //@line 287 "t2.c"
        var $454=HEAP[$info_PK63]; //@line 287 "t2.c"
        var $455=CHECK_OVERFLOW(($454+12)&4294967295, 32); //@line 287 "t2.c"
        HEAP[$455]=$453; //@line 287 "t2.c"
        var $456=HEAP[$cstr_info_addr]; //@line 288 "t2.c"
        var $457=CHECK_OVERFLOW(($456)&4294967295, 32); //@line 288 "t2.c"
        var $458=HEAP[$457]; //@line 288 "t2.c"
        var $459=HEAP[$info_PK63]; //@line 288 "t2.c"
        var $460=CHECK_OVERFLOW(($459+12)&4294967295, 32); //@line 288 "t2.c"
        var $461=HEAP[$460]; //@line 288 "t2.c"
        var $462=($458) < ($461); //@line 288 "t2.c"
        if ($462) { __label__ = 55; break; } else { __label__ = 49; break; } //@line 288 "t2.c"
      case 55: // $bb64
        var $463=HEAP[$info_PK63]; //@line 289 "t2.c"
        var $464=CHECK_OVERFLOW(($463+12)&4294967295, 32); //@line 289 "t2.c"
        var $465=HEAP[$464]; //@line 289 "t2.c"
        var $466=HEAP[$cstr_info_addr]; //@line 289 "t2.c"
        var $467=CHECK_OVERFLOW(($466)&4294967295, 32); //@line 289 "t2.c"
        HEAP[$467]=$465; //@line 289 "t2.c"
        __label__ = 49; break; //@line 289 "t2.c"
      case 49: // $bb65
        var $468=HEAP[$cblkno]; //@line 271 "t2.c"
        var $469=CHECK_OVERFLOW((($468) + 1)&4294967295, 32); //@line 271 "t2.c"
        HEAP[$cblkno]=$469; //@line 271 "t2.c"
        __label__ = 48; break; //@line 271 "t2.c"
      case 48: // $bb66
        var $470=HEAP[$prc54]; //@line 271 "t2.c"
        var $471=CHECK_OVERFLOW(($470+16)&4294967295, 32); //@line 271 "t2.c"
        var $472=HEAP[$471]; //@line 271 "t2.c"
        var $473=HEAP[$prc54]; //@line 271 "t2.c"
        var $474=CHECK_OVERFLOW(($473+20)&4294967295, 32); //@line 271 "t2.c"
        var $475=HEAP[$474]; //@line 271 "t2.c"
        var $476=CHECK_OVERFLOW((($472) * ($475))&4294967295, 32); //@line 271 "t2.c"
        var $477=HEAP[$cblkno]; //@line 271 "t2.c"
        var $478=($476) > ($477); //@line 271 "t2.c"
        if ($478) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 271 "t2.c"
      case 57: // $bb67
        var $479=HEAP[$bandno]; //@line 268 "t2.c"
        var $480=CHECK_OVERFLOW((($479) + 1)&4294967295, 32); //@line 268 "t2.c"
        HEAP[$bandno]=$480; //@line 268 "t2.c"
        __label__ = 47; break; //@line 268 "t2.c"
      case 47: // $bb68
        var $481=HEAP[$res]; //@line 268 "t2.c"
        var $482=CHECK_OVERFLOW(($481+24)&4294967295, 32); //@line 268 "t2.c"
        var $483=HEAP[$482]; //@line 268 "t2.c"
        var $484=HEAP[$bandno]; //@line 268 "t2.c"
        var $485=($483) > ($484); //@line 268 "t2.c"
        if ($485) { __label__ = 58; break; } else { __label__ = 59; break; } //@line 268 "t2.c"
      case 59: // $bb69
        var $486=HEAP[$c]; //@line 296 "t2.c"
        var $487=($486); //@line 296 "t2.c"
        var $488=HEAP[$dest_addr]; //@line 296 "t2.c"
        var $489=($488); //@line 296 "t2.c"
        var $490=CHECK_OVERFLOW((($487) - ($489))&4294967295, 32); //@line 296 "t2.c"
        HEAP[$0]=$490; //@line 296 "t2.c"
        __label__ = 41; break; //@line 296 "t2.c"
      case 41: // $bb70
        var $491=HEAP[$0]; //@line 243 "t2.c"
        HEAP[$retval]=$491; //@line 243 "t2.c"
        __label__ = 60; break; //@line 243 "t2.c"
      case 60: // $return
        var $retval71=HEAP[$retval]; //@line 243 "t2.c"
        STACKTOP = __stackBase__;
        return $retval71; //@line 243 "t2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_floorlog247($a) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $l=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$l]=0; //@line 109 "int.h"
        __label__ = 0; break; //@line 109 "int.h"
      case 1: // $bb
        var $1=HEAP[$a_addr]; //@line 110 "int.h"
        var $2=($1) >> 1; //@line 110 "int.h"
        HEAP[$a_addr]=$2; //@line 110 "int.h"
        var $3=HEAP[$l]; //@line 109 "int.h"
        var $4=CHECK_OVERFLOW((($3) + 1)&4294967295, 32); //@line 109 "int.h"
        HEAP[$l]=$4; //@line 109 "int.h"
        __label__ = 0; break; //@line 109 "int.h"
      case 0: // $bb1
        var $5=HEAP[$a_addr]; //@line 109 "int.h"
        var $6=($5) > 1; //@line 109 "int.h"
        if ($6) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 109 "int.h"
      case 2: // $bb2
        var $7=HEAP[$l]; //@line 112 "int.h"
        HEAP[$0]=$7; //@line 112 "int.h"
        var $8=HEAP[$0]; //@line 112 "int.h"
        HEAP[$retval]=$8; //@line 112 "int.h"
        __label__ = 3; break; //@line 112 "int.h"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 112 "int.h"
        STACKTOP = __stackBase__;
        return $retval3; //@line 112 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_max48($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$b_addr]; //@line 58 "int.h"
        var $2=HEAP[$a_addr]; //@line 58 "int.h"
        var $3=($1) >= ($2); //@line 58 "int.h"
        var $max=($3) ? ($1) : ($2); //@line 58 "int.h"
        HEAP[$0]=$max; //@line 58 "int.h"
        var $4=HEAP[$0]; //@line 58 "int.h"
        HEAP[$retval]=$4; //@line 58 "int.h"
        __label__ = 0; break; //@line 58 "int.h"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 58 "int.h"
        STACKTOP = __stackBase__;
        return $retval1; //@line 58 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t2_init_seg($cblk, $index, $cblksty, $first) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cblk_addr=__stackBase__;
        var $index_addr=__stackBase__+4;
        var $cblksty_addr=__stackBase__+8;
        var $first_addr=__stackBase__+12;
        var $iftmp_7=__stackBase__+16;
        var $seg=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$cblk_addr]=$cblk;
        HEAP[$index_addr]=$index;
        HEAP[$cblksty_addr]=$cblksty;
        HEAP[$first_addr]=$first;
        var $0=HEAP[$index_addr]; //@line 301 "t2.c"
        var $1=CHECK_OVERFLOW((($0) + 1)&4294967295, 32); //@line 301 "t2.c"
        var $2=CHECK_OVERFLOW((($1) * 28)&4294967295, 32); //@line 301 "t2.c"
        var $3=HEAP[$cblk_addr]; //@line 301 "t2.c"
        var $4=CHECK_OVERFLOW(($3+4)&4294967295, 32); //@line 301 "t2.c"
        var $5=HEAP[$4]; //@line 301 "t2.c"
        var $6=$5; //@line 301 "t2.c"
        var $7=_realloc($6, $2); //@line 301 "t2.c"
        var $8=$7; //@line 301 "t2.c"
        var $9=HEAP[$cblk_addr]; //@line 301 "t2.c"
        var $10=CHECK_OVERFLOW(($9+4)&4294967295, 32); //@line 301 "t2.c"
        HEAP[$10]=$8; //@line 301 "t2.c"
        var $11=HEAP[$cblk_addr]; //@line 302 "t2.c"
        var $12=CHECK_OVERFLOW(($11+4)&4294967295, 32); //@line 302 "t2.c"
        var $13=HEAP[$12]; //@line 302 "t2.c"
        var $14=HEAP[$index_addr]; //@line 302 "t2.c"
        var $15=CHECK_OVERFLOW(($13+28*$14)&4294967295, 32); //@line 302 "t2.c"
        HEAP[$seg]=$15; //@line 302 "t2.c"
        var $16=HEAP[$seg]; //@line 303 "t2.c"
        var $17=CHECK_OVERFLOW(($16)&4294967295, 32); //@line 303 "t2.c"
        HEAP[$17]=0; //@line 303 "t2.c"
        var $18=HEAP[$seg]; //@line 304 "t2.c"
        var $19=CHECK_OVERFLOW(($18+4)&4294967295, 32); //@line 304 "t2.c"
        HEAP[$19]=0; //@line 304 "t2.c"
        var $20=HEAP[$seg]; //@line 305 "t2.c"
        var $21=CHECK_OVERFLOW(($20+8)&4294967295, 32); //@line 305 "t2.c"
        HEAP[$21]=0; //@line 305 "t2.c"
        var $22=HEAP[$seg]; //@line 306 "t2.c"
        var $23=CHECK_OVERFLOW(($22+12)&4294967295, 32); //@line 306 "t2.c"
        HEAP[$23]=0; //@line 306 "t2.c"
        var $24=HEAP[$cblksty_addr]; //@line 307 "t2.c"
        var $25=($24) & 4; //@line 307 "t2.c"
        var $26=($25)!=0; //@line 307 "t2.c"
        if ($26) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 307 "t2.c"
      case 0: // $bb
        var $27=HEAP[$seg]; //@line 308 "t2.c"
        var $28=CHECK_OVERFLOW(($27+16)&4294967295, 32); //@line 308 "t2.c"
        HEAP[$28]=1; //@line 308 "t2.c"
        __label__ = 2; break; //@line 308 "t2.c"
      case 1: // $bb1
        var $29=HEAP[$cblksty_addr]; //@line 310 "t2.c"
        var $30=($29) & 1; //@line 310 "t2.c"
        var $31=((($30)) & 255); //@line 310 "t2.c"
        var $toBool=($31)!=0; //@line 310 "t2.c"
        if ($toBool) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 310 "t2.c"
      case 3: // $bb2
        var $32=HEAP[$first_addr]; //@line 311 "t2.c"
        var $33=($32)!=0; //@line 311 "t2.c"
        if ($33) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 311 "t2.c"
      case 5: // $bb3
        var $34=HEAP[$seg]; //@line 312 "t2.c"
        var $35=CHECK_OVERFLOW(($34+16)&4294967295, 32); //@line 312 "t2.c"
        HEAP[$35]=10; //@line 312 "t2.c"
        __label__ = 7; break; //@line 312 "t2.c"
      case 6: // $bb4
        var $36=HEAP[$seg]; //@line 314 "t2.c"
        var $37=CHECK_OVERFLOW(($36+-28)&4294967295, 32); //@line 314 "t2.c"
        var $38=CHECK_OVERFLOW(($37+16)&4294967295, 32); //@line 314 "t2.c"
        var $39=HEAP[$38]; //@line 314 "t2.c"
        var $40=($39)==1; //@line 314 "t2.c"
        if ($40) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 314 "t2.c"
      case 9: // $bb5
        var $41=HEAP[$seg]; //@line 314 "t2.c"
        var $42=CHECK_OVERFLOW(($41+-28)&4294967295, 32); //@line 314 "t2.c"
        var $43=CHECK_OVERFLOW(($42+16)&4294967295, 32); //@line 314 "t2.c"
        var $44=HEAP[$43]; //@line 314 "t2.c"
        var $45=($44)==10; //@line 314 "t2.c"
        if ($45) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 314 "t2.c"
      case 8: // $bb6
        HEAP[$iftmp_7]=2; //@line 314 "t2.c"
        __label__ = 11; break; //@line 314 "t2.c"
      case 10: // $bb7
        HEAP[$iftmp_7]=1; //@line 314 "t2.c"
        __label__ = 11; break; //@line 314 "t2.c"
      case 11: // $bb8
        var $46=HEAP[$seg]; //@line 314 "t2.c"
        var $47=CHECK_OVERFLOW(($46+16)&4294967295, 32); //@line 314 "t2.c"
        var $48=HEAP[$iftmp_7]; //@line 314 "t2.c"
        HEAP[$47]=$48; //@line 314 "t2.c"
        __label__ = 7; break; //@line 314 "t2.c"
      case 7: // $bb9
        __label__ = 2; break; //@line 314 "t2.c"
      case 4: // $bb10
        var $49=HEAP[$seg]; //@line 317 "t2.c"
        var $50=CHECK_OVERFLOW(($49+16)&4294967295, 32); //@line 317 "t2.c"
        HEAP[$50]=109; //@line 317 "t2.c"
        __label__ = 2; break; //@line 317 "t2.c"
      case 2: // $bb11
        __label__ = 12; break; //@line 319 "t2.c"
      case 12: // $return
        STACKTOP = __stackBase__;
        return; //@line 319 "t2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t2_decode_packet($t2, $src, $len, $tile, $tcp, $pi, $pack_info) {
    var __stackBase__  = STACKTOP; STACKTOP += 148; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 148);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t2_addr=__stackBase__;
        var $src_addr=__stackBase__+4;
        var $len_addr=__stackBase__+8;
        var $tile_addr=__stackBase__+12;
        var $tcp_addr=__stackBase__+16;
        var $pi_addr=__stackBase__+20;
        var $pack_info_addr=__stackBase__+24;
        var $retval=__stackBase__+28;
        var $0=__stackBase__+32;
        var $bandno=__stackBase__+36;
        var $cblkno=__stackBase__+40;
        var $c=__stackBase__+44;
        var $cp=__stackBase__+48;
        var $compno=__stackBase__+52;
        var $resno=__stackBase__+56;
        var $precno=__stackBase__+60;
        var $layno=__stackBase__+64;
        var $res=__stackBase__+68;
        var $hd=__stackBase__+72;
        var $present=__stackBase__+76;
        var $bio=__stackBase__+80;
        var $band=__stackBase__+84;
        var $prc=__stackBase__+88;
        var $cblk=__stackBase__+92;
        var $band33=__stackBase__+96;
        var $prc34=__stackBase__+100;
        var $included=__stackBase__+104;
        var $increment=__stackBase__+108;
        var $n=__stackBase__+112;
        var $segno=__stackBase__+116;
        var $cblk38=__stackBase__+120;
        var $i=__stackBase__+124;
        var $numimsbs=__stackBase__+128;
        var $band76=__stackBase__+132;
        var $prc77=__stackBase__+136;
        var $cblk81=__stackBase__+140;
        var $seg=__stackBase__+144;
        var $_alloca_point_=0;
        HEAP[$t2_addr]=$t2;
        HEAP[$src_addr]=$src;
        HEAP[$len_addr]=$len;
        HEAP[$tile_addr]=$tile;
        HEAP[$tcp_addr]=$tcp;
        HEAP[$pi_addr]=$pi;
        HEAP[$pack_info_addr]=$pack_info;
        var $1=HEAP[$src_addr]; //@line 324 "t2.c"
        HEAP[$c]=$1; //@line 324 "t2.c"
        var $2=HEAP[$t2_addr]; //@line 326 "t2.c"
        var $3=CHECK_OVERFLOW(($2+8)&4294967295, 32); //@line 326 "t2.c"
        var $4=HEAP[$3]; //@line 326 "t2.c"
        HEAP[$cp]=$4; //@line 326 "t2.c"
        var $5=HEAP[$pi_addr]; //@line 328 "t2.c"
        var $6=CHECK_OVERFLOW(($5+24)&4294967295, 32); //@line 328 "t2.c"
        var $7=HEAP[$6]; //@line 328 "t2.c"
        HEAP[$compno]=$7; //@line 328 "t2.c"
        var $8=HEAP[$pi_addr]; //@line 329 "t2.c"
        var $9=CHECK_OVERFLOW(($8+28)&4294967295, 32); //@line 329 "t2.c"
        var $10=HEAP[$9]; //@line 329 "t2.c"
        HEAP[$resno]=$10; //@line 329 "t2.c"
        var $11=HEAP[$pi_addr]; //@line 330 "t2.c"
        var $12=CHECK_OVERFLOW(($11+32)&4294967295, 32); //@line 330 "t2.c"
        var $13=HEAP[$12]; //@line 330 "t2.c"
        HEAP[$precno]=$13; //@line 330 "t2.c"
        var $14=HEAP[$pi_addr]; //@line 331 "t2.c"
        var $15=CHECK_OVERFLOW(($14+36)&4294967295, 32); //@line 331 "t2.c"
        var $16=HEAP[$15]; //@line 331 "t2.c"
        HEAP[$layno]=$16; //@line 331 "t2.c"
        var $17=HEAP[$tile_addr]; //@line 333 "t2.c"
        var $18=CHECK_OVERFLOW(($17+20)&4294967295, 32); //@line 333 "t2.c"
        var $19=HEAP[$18]; //@line 333 "t2.c"
        var $20=HEAP[$compno]; //@line 333 "t2.c"
        var $21=CHECK_OVERFLOW(($19+32*$20)&4294967295, 32); //@line 333 "t2.c"
        var $22=CHECK_OVERFLOW(($21+20)&4294967295, 32); //@line 333 "t2.c"
        var $23=HEAP[$22]; //@line 333 "t2.c"
        var $24=HEAP[$resno]; //@line 333 "t2.c"
        var $25=CHECK_OVERFLOW(($23+124*$24)&4294967295, 32); //@line 333 "t2.c"
        HEAP[$res]=$25; //@line 333 "t2.c"
        HEAP[$hd]=0; //@line 335 "t2.c"
        HEAP[$bio]=0; //@line 338 "t2.c"
        var $26=HEAP[$layno]; //@line 340 "t2.c"
        var $27=($26)==0; //@line 340 "t2.c"
        if ($27) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 340 "t2.c"
      case 0: // $bb
        HEAP[$bandno]=0; //@line 341 "t2.c"
        __label__ = 2; break; //@line 341 "t2.c"
      case 8: // $bb1
        var $28=HEAP[$bandno]; //@line 342 "t2.c"
        var $29=HEAP[$res]; //@line 342 "t2.c"
        var $30=CHECK_OVERFLOW(($29+28)&4294967295, 32); //@line 342 "t2.c"
        var $31=CHECK_OVERFLOW(($30+$28*32)&4294967295, 32); //@line 342 "t2.c"
        HEAP[$band]=$31; //@line 342 "t2.c"
        var $32=HEAP[$band]; //@line 343 "t2.c"
        var $33=CHECK_OVERFLOW(($32+20)&4294967295, 32); //@line 343 "t2.c"
        var $34=HEAP[$33]; //@line 343 "t2.c"
        var $35=HEAP[$precno]; //@line 343 "t2.c"
        var $36=CHECK_OVERFLOW(($34+36*$35)&4294967295, 32); //@line 343 "t2.c"
        HEAP[$prc]=$36; //@line 343 "t2.c"
        var $37=HEAP[$band]; //@line 345 "t2.c"
        var $38=CHECK_OVERFLOW(($37+8)&4294967295, 32); //@line 345 "t2.c"
        var $39=HEAP[$38]; //@line 345 "t2.c"
        var $40=HEAP[$band]; //@line 345 "t2.c"
        var $41=CHECK_OVERFLOW(($40)&4294967295, 32); //@line 345 "t2.c"
        var $42=HEAP[$41]; //@line 345 "t2.c"
        var $43=($39)==($42); //@line 345 "t2.c"
        if ($43) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 345 "t2.c"
      case 4: // $bb2
        var $44=HEAP[$band]; //@line 345 "t2.c"
        var $45=CHECK_OVERFLOW(($44+12)&4294967295, 32); //@line 345 "t2.c"
        var $46=HEAP[$45]; //@line 345 "t2.c"
        var $47=HEAP[$band]; //@line 345 "t2.c"
        var $48=CHECK_OVERFLOW(($47+4)&4294967295, 32); //@line 345 "t2.c"
        var $49=HEAP[$48]; //@line 345 "t2.c"
        var $50=($46)==($49); //@line 345 "t2.c"
        if ($50) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 345 "t2.c"
      case 5: // $bb3
        var $51=HEAP[$prc]; //@line 347 "t2.c"
        var $52=CHECK_OVERFLOW(($51+28)&4294967295, 32); //@line 347 "t2.c"
        var $53=HEAP[$52]; //@line 347 "t2.c"
        _tgt_reset($53); //@line 347 "t2.c"
        var $54=HEAP[$prc]; //@line 348 "t2.c"
        var $55=CHECK_OVERFLOW(($54+32)&4294967295, 32); //@line 348 "t2.c"
        var $56=HEAP[$55]; //@line 348 "t2.c"
        _tgt_reset($56); //@line 348 "t2.c"
        HEAP[$cblkno]=0; //@line 349 "t2.c"
        __label__ = 6; break; //@line 349 "t2.c"
      case 7: // $bb4
        var $57=HEAP[$prc]; //@line 350 "t2.c"
        var $58=CHECK_OVERFLOW(($57+24)&4294967295, 32); //@line 350 "t2.c"
        var $59=CHECK_OVERFLOW(($58)&4294967295, 32); //@line 350 "t2.c"
        var $60=$59; //@line 350 "t2.c"
        var $61=HEAP[$60]; //@line 350 "t2.c"
        var $62=HEAP[$cblkno]; //@line 350 "t2.c"
        var $63=CHECK_OVERFLOW(($61+44*$62)&4294967295, 32); //@line 350 "t2.c"
        HEAP[$cblk]=$63; //@line 350 "t2.c"
        var $64=HEAP[$cblk]; //@line 351 "t2.c"
        var $65=CHECK_OVERFLOW(($64+40)&4294967295, 32); //@line 351 "t2.c"
        HEAP[$65]=0; //@line 351 "t2.c"
        var $66=HEAP[$cblkno]; //@line 349 "t2.c"
        var $67=CHECK_OVERFLOW((($66) + 1)&4294967295, 32); //@line 349 "t2.c"
        HEAP[$cblkno]=$67; //@line 349 "t2.c"
        __label__ = 6; break; //@line 349 "t2.c"
      case 6: // $bb5
        var $68=HEAP[$prc]; //@line 349 "t2.c"
        var $69=CHECK_OVERFLOW(($68+16)&4294967295, 32); //@line 349 "t2.c"
        var $70=HEAP[$69]; //@line 349 "t2.c"
        var $71=HEAP[$prc]; //@line 349 "t2.c"
        var $72=CHECK_OVERFLOW(($71+20)&4294967295, 32); //@line 349 "t2.c"
        var $73=HEAP[$72]; //@line 349 "t2.c"
        var $74=CHECK_OVERFLOW((($70) * ($73))&4294967295, 32); //@line 349 "t2.c"
        var $75=HEAP[$cblkno]; //@line 349 "t2.c"
        var $76=($74) > ($75); //@line 349 "t2.c"
        if ($76) { __label__ = 7; break; } else { __label__ = 3; break; } //@line 349 "t2.c"
      case 3: // $bb6
        var $77=HEAP[$bandno]; //@line 341 "t2.c"
        var $78=CHECK_OVERFLOW((($77) + 1)&4294967295, 32); //@line 341 "t2.c"
        HEAP[$bandno]=$78; //@line 341 "t2.c"
        __label__ = 2; break; //@line 341 "t2.c"
      case 2: // $bb7
        var $79=HEAP[$res]; //@line 341 "t2.c"
        var $80=CHECK_OVERFLOW(($79+24)&4294967295, 32); //@line 341 "t2.c"
        var $81=HEAP[$80]; //@line 341 "t2.c"
        var $82=HEAP[$bandno]; //@line 341 "t2.c"
        var $83=($81) > ($82); //@line 341 "t2.c"
        if ($83) { __label__ = 8; break; } else { __label__ = 1; break; } //@line 341 "t2.c"
      case 1: // $bb8
        var $84=HEAP[$tcp_addr]; //@line 358 "t2.c"
        var $85=CHECK_OVERFLOW(($84+4)&4294967295, 32); //@line 358 "t2.c"
        var $86=HEAP[$85]; //@line 358 "t2.c"
        var $87=($86) & 2; //@line 358 "t2.c"
        var $88=($87)!=0; //@line 358 "t2.c"
        if ($88) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 358 "t2.c"
      case 9: // $bb9
        var $89=HEAP[$c]; //@line 359 "t2.c"
        var $90=HEAP[$89]; //@line 359 "t2.c"
        var $91=($90)!=-1; //@line 359 "t2.c"
        if ($91) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 359 "t2.c"
      case 12: // $bb10
        var $92=HEAP[$c]; //@line 359 "t2.c"
        var $93=CHECK_OVERFLOW(($92+1)&4294967295, 32); //@line 359 "t2.c"
        var $94=HEAP[$93]; //@line 359 "t2.c"
        var $95=($94)!=-111; //@line 359 "t2.c"
        if ($95) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 359 "t2.c"
      case 11: // $bb11
        var $96=HEAP[$t2_addr]; //@line 360 "t2.c"
        var $97=CHECK_OVERFLOW(($96)&4294967295, 32); //@line 360 "t2.c"
        var $98=HEAP[$97]; //@line 360 "t2.c"
        var $99=_opj_event_msg($98, 2, CHECK_OVERFLOW((__str43108)&4294967295, 32)); //@line 360 "t2.c"
        __label__ = 10; break; //@line 360 "t2.c"
      case 13: // $bb12
        var $100=HEAP[$c]; //@line 362 "t2.c"
        var $101=CHECK_OVERFLOW(($100+6)&4294967295, 32); //@line 362 "t2.c"
        HEAP[$c]=$101; //@line 362 "t2.c"
        __label__ = 10; break; //@line 362 "t2.c"
      case 10: // $bb13
        var $102=_bio_create(); //@line 375 "t2.c"
        HEAP[$bio]=$102; //@line 375 "t2.c"
        var $103=HEAP[$cp]; //@line 377 "t2.c"
        var $104=CHECK_OVERFLOW(($103+92)&4294967295, 32); //@line 377 "t2.c"
        var $105=HEAP[$104]; //@line 377 "t2.c"
        var $106=($105)==1; //@line 377 "t2.c"
        if ($106) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 377 "t2.c"
      case 14: // $bb14
        var $107=HEAP[$cp]; //@line 378 "t2.c"
        var $108=CHECK_OVERFLOW(($107+84)&4294967295, 32); //@line 378 "t2.c"
        var $109=HEAP[$108]; //@line 378 "t2.c"
        HEAP[$hd]=$109; //@line 378 "t2.c"
        var $110=HEAP[$cp]; //@line 379 "t2.c"
        var $111=CHECK_OVERFLOW(($110+104)&4294967295, 32); //@line 379 "t2.c"
        var $112=HEAP[$111]; //@line 379 "t2.c"
        var $113=HEAP[$bio]; //@line 379 "t2.c"
        var $114=HEAP[$hd]; //@line 379 "t2.c"
        _bio_init_dec($113, $114, $112); //@line 379 "t2.c"
        __label__ = 16; break; //@line 379 "t2.c"
      case 15: // $bb15
        var $115=HEAP[$tcp_addr]; //@line 380 "t2.c"
        var $116=CHECK_OVERFLOW(($115+5172)&4294967295, 32); //@line 380 "t2.c"
        var $117=HEAP[$116]; //@line 380 "t2.c"
        var $118=($117)==1; //@line 380 "t2.c"
        if ($118) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 380 "t2.c"
      case 17: // $bb16
        var $119=HEAP[$tcp_addr]; //@line 381 "t2.c"
        var $120=CHECK_OVERFLOW(($119+5164)&4294967295, 32); //@line 381 "t2.c"
        var $121=HEAP[$120]; //@line 381 "t2.c"
        HEAP[$hd]=$121; //@line 381 "t2.c"
        var $122=HEAP[$tcp_addr]; //@line 382 "t2.c"
        var $123=CHECK_OVERFLOW(($122+5180)&4294967295, 32); //@line 382 "t2.c"
        var $124=HEAP[$123]; //@line 382 "t2.c"
        var $125=HEAP[$bio]; //@line 382 "t2.c"
        var $126=HEAP[$hd]; //@line 382 "t2.c"
        _bio_init_dec($125, $126, $124); //@line 382 "t2.c"
        __label__ = 16; break; //@line 382 "t2.c"
      case 18: // $bb17
        var $127=HEAP[$c]; //@line 384 "t2.c"
        HEAP[$hd]=$127; //@line 384 "t2.c"
        var $128=HEAP[$src_addr]; //@line 385 "t2.c"
        var $129=HEAP[$len_addr]; //@line 385 "t2.c"
        var $130=CHECK_OVERFLOW(($128+$129)&4294967295, 32); //@line 385 "t2.c"
        var $131=($130); //@line 385 "t2.c"
        var $132=HEAP[$hd]; //@line 385 "t2.c"
        var $133=($132); //@line 385 "t2.c"
        var $134=CHECK_OVERFLOW((($131) - ($133))&4294967295, 32); //@line 385 "t2.c"
        var $135=HEAP[$bio]; //@line 385 "t2.c"
        var $136=HEAP[$hd]; //@line 385 "t2.c"
        _bio_init_dec($135, $136, $134); //@line 385 "t2.c"
        __label__ = 16; break; //@line 385 "t2.c"
      case 16: // $bb18
        var $137=HEAP[$bio]; //@line 388 "t2.c"
        var $138=_bio_read($137, 1); //@line 388 "t2.c"
        HEAP[$present]=$138; //@line 388 "t2.c"
        var $139=HEAP[$present]; //@line 390 "t2.c"
        var $140=($139)==0; //@line 390 "t2.c"
        if ($140) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 390 "t2.c"
      case 19: // $bb19
        var $141=HEAP[$bio]; //@line 391 "t2.c"
        var $142=_bio_inalign($141); //@line 391 "t2.c"
        var $143=HEAP[$bio]; //@line 392 "t2.c"
        var $144=_bio_numbytes($143); //@line 392 "t2.c"
        var $145=HEAP[$hd]; //@line 392 "t2.c"
        var $146=CHECK_OVERFLOW(($145+$144)&4294967295, 32); //@line 392 "t2.c"
        HEAP[$hd]=$146; //@line 392 "t2.c"
        var $147=HEAP[$bio]; //@line 393 "t2.c"
        _bio_destroy($147); //@line 393 "t2.c"
        var $148=HEAP[$tcp_addr]; //@line 397 "t2.c"
        var $149=CHECK_OVERFLOW(($148+4)&4294967295, 32); //@line 397 "t2.c"
        var $150=HEAP[$149]; //@line 397 "t2.c"
        var $151=($150) & 4; //@line 397 "t2.c"
        var $152=($151)!=0; //@line 397 "t2.c"
        if ($152) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 397 "t2.c"
      case 21: // $bb20
        var $153=HEAP[$hd]; //@line 398 "t2.c"
        var $154=HEAP[$153]; //@line 398 "t2.c"
        var $155=($154)!=-1; //@line 398 "t2.c"
        if ($155) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 398 "t2.c"
      case 24: // $bb21
        var $156=HEAP[$hd]; //@line 398 "t2.c"
        var $157=CHECK_OVERFLOW(($156+1)&4294967295, 32); //@line 398 "t2.c"
        var $158=HEAP[$157]; //@line 398 "t2.c"
        var $159=($158)!=-110; //@line 398 "t2.c"
        if ($159) { __label__ = 23; break; } else { __label__ = 25; break; } //@line 398 "t2.c"
      case 23: // $bb22
        var $160=_puts(CHECK_OVERFLOW((__str144)&4294967295, 32)); //@line 399 "t2.c"
        __label__ = 22; break; //@line 399 "t2.c"
      case 25: // $bb23
        var $161=HEAP[$hd]; //@line 401 "t2.c"
        var $162=CHECK_OVERFLOW(($161+2)&4294967295, 32); //@line 401 "t2.c"
        HEAP[$hd]=$162; //@line 401 "t2.c"
        __label__ = 22; break; //@line 401 "t2.c"
      case 22: // $bb24
        var $163=HEAP[$pack_info_addr]; //@line 408 "t2.c"
        var $164=($163)!=0; //@line 408 "t2.c"
        if ($164) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 408 "t2.c"
      case 26: // $bb25
        var $165=HEAP[$c]; //@line 409 "t2.c"
        var $166=($165); //@line 409 "t2.c"
        var $167=HEAP[$src_addr]; //@line 409 "t2.c"
        var $168=($167); //@line 409 "t2.c"
        var $169=CHECK_OVERFLOW((($166) - ($168))&4294967295, 32); //@line 409 "t2.c"
        var $170=HEAP[$pack_info_addr]; //@line 409 "t2.c"
        var $171=CHECK_OVERFLOW(($170+4)&4294967295, 32); //@line 409 "t2.c"
        HEAP[$171]=$169; //@line 409 "t2.c"
        __label__ = 27; break; //@line 409 "t2.c"
      case 27: // $bb26
        var $172=HEAP[$cp]; //@line 413 "t2.c"
        var $173=CHECK_OVERFLOW(($172+92)&4294967295, 32); //@line 413 "t2.c"
        var $174=HEAP[$173]; //@line 413 "t2.c"
        var $175=($174)==1; //@line 413 "t2.c"
        if ($175) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 413 "t2.c"
      case 28: // $bb27
        var $176=HEAP[$cp]; //@line 414 "t2.c"
        var $177=CHECK_OVERFLOW(($176+104)&4294967295, 32); //@line 414 "t2.c"
        var $178=HEAP[$177]; //@line 414 "t2.c"
        var $179=HEAP[$cp]; //@line 414 "t2.c"
        var $180=CHECK_OVERFLOW(($179+84)&4294967295, 32); //@line 414 "t2.c"
        var $181=HEAP[$180]; //@line 414 "t2.c"
        var $182=($181); //@line 414 "t2.c"
        var $183=HEAP[$hd]; //@line 414 "t2.c"
        var $184=($183); //@line 414 "t2.c"
        var $185=CHECK_OVERFLOW((($182) - ($184))&4294967295, 32); //@line 414 "t2.c"
        var $186=CHECK_OVERFLOW((($178) + ($185))&4294967295, 32); //@line 414 "t2.c"
        var $187=HEAP[$cp]; //@line 414 "t2.c"
        var $188=CHECK_OVERFLOW(($187+104)&4294967295, 32); //@line 414 "t2.c"
        HEAP[$188]=$186; //@line 414 "t2.c"
        var $189=HEAP[$cp]; //@line 415 "t2.c"
        var $190=CHECK_OVERFLOW(($189+84)&4294967295, 32); //@line 415 "t2.c"
        var $191=HEAP[$hd]; //@line 415 "t2.c"
        HEAP[$190]=$191; //@line 415 "t2.c"
        var $192=HEAP[$c]; //@line 416 "t2.c"
        var $193=($192); //@line 416 "t2.c"
        var $194=HEAP[$src_addr]; //@line 416 "t2.c"
        var $195=($194); //@line 416 "t2.c"
        var $196=CHECK_OVERFLOW((($193) - ($195))&4294967295, 32); //@line 416 "t2.c"
        HEAP[$0]=$196; //@line 416 "t2.c"
        __label__ = 30; break; //@line 416 "t2.c"
      case 29: // $bb28
        var $197=HEAP[$tcp_addr]; //@line 418 "t2.c"
        var $198=CHECK_OVERFLOW(($197+5172)&4294967295, 32); //@line 418 "t2.c"
        var $199=HEAP[$198]; //@line 418 "t2.c"
        var $200=($199)==1; //@line 418 "t2.c"
        if ($200) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 418 "t2.c"
      case 31: // $bb29
        var $201=HEAP[$tcp_addr]; //@line 419 "t2.c"
        var $202=CHECK_OVERFLOW(($201+5180)&4294967295, 32); //@line 419 "t2.c"
        var $203=HEAP[$202]; //@line 419 "t2.c"
        var $204=HEAP[$tcp_addr]; //@line 419 "t2.c"
        var $205=CHECK_OVERFLOW(($204+5164)&4294967295, 32); //@line 419 "t2.c"
        var $206=HEAP[$205]; //@line 419 "t2.c"
        var $207=($206); //@line 419 "t2.c"
        var $208=HEAP[$hd]; //@line 419 "t2.c"
        var $209=($208); //@line 419 "t2.c"
        var $210=CHECK_OVERFLOW((($207) - ($209))&4294967295, 32); //@line 419 "t2.c"
        var $211=CHECK_OVERFLOW((($203) + ($210))&4294967295, 32); //@line 419 "t2.c"
        var $212=HEAP[$tcp_addr]; //@line 419 "t2.c"
        var $213=CHECK_OVERFLOW(($212+5180)&4294967295, 32); //@line 419 "t2.c"
        HEAP[$213]=$211; //@line 419 "t2.c"
        var $214=HEAP[$tcp_addr]; //@line 420 "t2.c"
        var $215=CHECK_OVERFLOW(($214+5164)&4294967295, 32); //@line 420 "t2.c"
        var $216=HEAP[$hd]; //@line 420 "t2.c"
        HEAP[$215]=$216; //@line 420 "t2.c"
        var $217=HEAP[$c]; //@line 421 "t2.c"
        var $218=($217); //@line 421 "t2.c"
        var $219=HEAP[$src_addr]; //@line 421 "t2.c"
        var $220=($219); //@line 421 "t2.c"
        var $221=CHECK_OVERFLOW((($218) - ($220))&4294967295, 32); //@line 421 "t2.c"
        HEAP[$0]=$221; //@line 421 "t2.c"
        __label__ = 30; break; //@line 421 "t2.c"
      case 32: // $bb30
        var $222=HEAP[$hd]; //@line 424 "t2.c"
        var $223=($222); //@line 424 "t2.c"
        var $224=HEAP[$src_addr]; //@line 424 "t2.c"
        var $225=($224); //@line 424 "t2.c"
        var $226=CHECK_OVERFLOW((($223) - ($225))&4294967295, 32); //@line 424 "t2.c"
        HEAP[$0]=$226; //@line 424 "t2.c"
        __label__ = 30; break; //@line 424 "t2.c"
      case 20: // $bb31
        HEAP[$bandno]=0; //@line 427 "t2.c"
        __label__ = 33; break; //@line 427 "t2.c"
      case 57: // $bb32
        var $227=HEAP[$bandno]; //@line 428 "t2.c"
        var $228=HEAP[$res]; //@line 428 "t2.c"
        var $229=CHECK_OVERFLOW(($228+28)&4294967295, 32); //@line 428 "t2.c"
        var $230=CHECK_OVERFLOW(($229+$227*32)&4294967295, 32); //@line 428 "t2.c"
        HEAP[$band33]=$230; //@line 428 "t2.c"
        var $231=HEAP[$band33]; //@line 429 "t2.c"
        var $232=CHECK_OVERFLOW(($231+20)&4294967295, 32); //@line 429 "t2.c"
        var $233=HEAP[$232]; //@line 429 "t2.c"
        var $234=HEAP[$precno]; //@line 429 "t2.c"
        var $235=CHECK_OVERFLOW(($233+36*$234)&4294967295, 32); //@line 429 "t2.c"
        HEAP[$prc34]=$235; //@line 429 "t2.c"
        var $236=HEAP[$band33]; //@line 431 "t2.c"
        var $237=CHECK_OVERFLOW(($236+8)&4294967295, 32); //@line 431 "t2.c"
        var $238=HEAP[$237]; //@line 431 "t2.c"
        var $239=HEAP[$band33]; //@line 431 "t2.c"
        var $240=CHECK_OVERFLOW(($239)&4294967295, 32); //@line 431 "t2.c"
        var $241=HEAP[$240]; //@line 431 "t2.c"
        var $242=($238)==($241); //@line 431 "t2.c"
        if ($242) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 431 "t2.c"
      case 35: // $bb35
        var $243=HEAP[$band33]; //@line 431 "t2.c"
        var $244=CHECK_OVERFLOW(($243+12)&4294967295, 32); //@line 431 "t2.c"
        var $245=HEAP[$244]; //@line 431 "t2.c"
        var $246=HEAP[$band33]; //@line 431 "t2.c"
        var $247=CHECK_OVERFLOW(($246+4)&4294967295, 32); //@line 431 "t2.c"
        var $248=HEAP[$247]; //@line 431 "t2.c"
        var $249=($245)==($248); //@line 431 "t2.c"
        if ($249) { __label__ = 34; break; } else { __label__ = 36; break; } //@line 431 "t2.c"
      case 36: // $bb36
        HEAP[$cblkno]=0; //@line 433 "t2.c"
        __label__ = 37; break; //@line 433 "t2.c"
      case 56: // $bb37
        var $250=HEAP[$prc34]; //@line 435 "t2.c"
        var $251=CHECK_OVERFLOW(($250+24)&4294967295, 32); //@line 435 "t2.c"
        var $252=CHECK_OVERFLOW(($251)&4294967295, 32); //@line 435 "t2.c"
        var $253=$252; //@line 435 "t2.c"
        var $254=HEAP[$253]; //@line 435 "t2.c"
        var $255=HEAP[$cblkno]; //@line 435 "t2.c"
        var $256=CHECK_OVERFLOW(($254+44*$255)&4294967295, 32); //@line 435 "t2.c"
        HEAP[$cblk38]=$256; //@line 435 "t2.c"
        var $257=HEAP[$cblk38]; //@line 437 "t2.c"
        var $258=CHECK_OVERFLOW(($257+40)&4294967295, 32); //@line 437 "t2.c"
        var $259=HEAP[$258]; //@line 437 "t2.c"
        var $260=($259)==0; //@line 437 "t2.c"
        if ($260) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 437 "t2.c"
      case 38: // $bb39
        var $261=HEAP[$layno]; //@line 438 "t2.c"
        var $262=CHECK_OVERFLOW((($261) + 1)&4294967295, 32); //@line 438 "t2.c"
        var $263=HEAP[$prc34]; //@line 438 "t2.c"
        var $264=CHECK_OVERFLOW(($263+28)&4294967295, 32); //@line 438 "t2.c"
        var $265=HEAP[$264]; //@line 438 "t2.c"
        var $266=HEAP[$bio]; //@line 438 "t2.c"
        var $267=HEAP[$cblkno]; //@line 438 "t2.c"
        var $268=_tgt_decode($266, $265, $267, $262); //@line 438 "t2.c"
        HEAP[$included]=$268; //@line 438 "t2.c"
        __label__ = 40; break; //@line 438 "t2.c"
      case 39: // $bb40
        var $269=HEAP[$bio]; //@line 441 "t2.c"
        var $270=_bio_read($269, 1); //@line 441 "t2.c"
        HEAP[$included]=$270; //@line 441 "t2.c"
        __label__ = 40; break; //@line 441 "t2.c"
      case 40: // $bb41
        var $271=HEAP[$included]; //@line 444 "t2.c"
        var $272=($271)==0; //@line 444 "t2.c"
        if ($272) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 444 "t2.c"
      case 41: // $bb42
        var $273=HEAP[$cblk38]; //@line 445 "t2.c"
        var $274=CHECK_OVERFLOW(($273+36)&4294967295, 32); //@line 445 "t2.c"
        HEAP[$274]=0; //@line 445 "t2.c"
        __label__ = 43; break; //@line 445 "t2.c"
      case 42: // $bb43
        var $275=HEAP[$cblk38]; //@line 449 "t2.c"
        var $276=CHECK_OVERFLOW(($275+40)&4294967295, 32); //@line 449 "t2.c"
        var $277=HEAP[$276]; //@line 449 "t2.c"
        var $278=($277)==0; //@line 449 "t2.c"
        if ($278) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 449 "t2.c"
      case 44: // $bb44
        HEAP[$i]=0; //@line 451 "t2.c"
        __label__ = 46; break; //@line 451 "t2.c"
      case 47: // $bb45
        var $279=HEAP[$i]; //@line 451 "t2.c"
        var $280=CHECK_OVERFLOW((($279) + 1)&4294967295, 32); //@line 451 "t2.c"
        HEAP[$i]=$280; //@line 451 "t2.c"
        __label__ = 46; break; //@line 451 "t2.c"
      case 46: // $bb46
        var $281=HEAP[$prc34]; //@line 451 "t2.c"
        var $282=CHECK_OVERFLOW(($281+32)&4294967295, 32); //@line 451 "t2.c"
        var $283=HEAP[$282]; //@line 451 "t2.c"
        var $284=HEAP[$bio]; //@line 451 "t2.c"
        var $285=HEAP[$cblkno]; //@line 451 "t2.c"
        var $286=HEAP[$i]; //@line 451 "t2.c"
        var $287=_tgt_decode($284, $283, $285, $286); //@line 451 "t2.c"
        var $288=($287)==0; //@line 451 "t2.c"
        if ($288) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 451 "t2.c"
      case 48: // $bb47
        var $289=HEAP[$i]; //@line 454 "t2.c"
        var $290=CHECK_OVERFLOW((($289) - 1)&4294967295, 32); //@line 454 "t2.c"
        HEAP[$numimsbs]=$290; //@line 454 "t2.c"
        var $291=HEAP[$band33]; //@line 455 "t2.c"
        var $292=CHECK_OVERFLOW(($291+24)&4294967295, 32); //@line 455 "t2.c"
        var $293=HEAP[$292]; //@line 455 "t2.c"
        var $294=HEAP[$numimsbs]; //@line 455 "t2.c"
        var $295=CHECK_OVERFLOW((($293) - ($294))&4294967295, 32); //@line 455 "t2.c"
        var $296=HEAP[$cblk38]; //@line 455 "t2.c"
        var $297=CHECK_OVERFLOW(($296+24)&4294967295, 32); //@line 455 "t2.c"
        HEAP[$297]=$295; //@line 455 "t2.c"
        var $298=HEAP[$cblk38]; //@line 456 "t2.c"
        var $299=CHECK_OVERFLOW(($298+28)&4294967295, 32); //@line 456 "t2.c"
        HEAP[$299]=3; //@line 456 "t2.c"
        __label__ = 45; break; //@line 456 "t2.c"
      case 45: // $bb48
        var $300=HEAP[$bio]; //@line 459 "t2.c"
        var $301=_t2_getnumpasses($300); //@line 459 "t2.c"
        var $302=HEAP[$cblk38]; //@line 459 "t2.c"
        var $303=CHECK_OVERFLOW(($302+36)&4294967295, 32); //@line 459 "t2.c"
        HEAP[$303]=$301; //@line 459 "t2.c"
        var $304=HEAP[$bio]; //@line 460 "t2.c"
        var $305=_t2_getcommacode($304); //@line 460 "t2.c"
        HEAP[$increment]=$305; //@line 460 "t2.c"
        var $306=HEAP[$cblk38]; //@line 462 "t2.c"
        var $307=CHECK_OVERFLOW(($306+28)&4294967295, 32); //@line 462 "t2.c"
        var $308=HEAP[$307]; //@line 462 "t2.c"
        var $309=HEAP[$increment]; //@line 462 "t2.c"
        var $310=CHECK_OVERFLOW((($308) + ($309))&4294967295, 32); //@line 462 "t2.c"
        var $311=HEAP[$cblk38]; //@line 462 "t2.c"
        var $312=CHECK_OVERFLOW(($311+28)&4294967295, 32); //@line 462 "t2.c"
        HEAP[$312]=$310; //@line 462 "t2.c"
        HEAP[$segno]=0; //@line 463 "t2.c"
        var $313=HEAP[$cblk38]; //@line 464 "t2.c"
        var $314=CHECK_OVERFLOW(($313+40)&4294967295, 32); //@line 464 "t2.c"
        var $315=HEAP[$314]; //@line 464 "t2.c"
        var $316=($315)==0; //@line 464 "t2.c"
        if ($316) { __label__ = 49; break; } else { __label__ = 50; break; } //@line 464 "t2.c"
      case 49: // $bb49
        var $317=HEAP[$tcp_addr]; //@line 465 "t2.c"
        var $318=CHECK_OVERFLOW(($317+5584)&4294967295, 32); //@line 465 "t2.c"
        var $319=HEAP[$318]; //@line 465 "t2.c"
        var $320=HEAP[$compno]; //@line 465 "t2.c"
        var $321=CHECK_OVERFLOW(($319+1076*$320)&4294967295, 32); //@line 465 "t2.c"
        var $322=CHECK_OVERFLOW(($321+16)&4294967295, 32); //@line 465 "t2.c"
        var $323=HEAP[$322]; //@line 465 "t2.c"
        var $324=HEAP[$cblk38]; //@line 465 "t2.c"
        var $325=HEAP[$segno]; //@line 465 "t2.c"
        _t2_init_seg($324, $325, $323, 1); //@line 465 "t2.c"
        __label__ = 51; break; //@line 465 "t2.c"
      case 50: // $bb50
        var $326=HEAP[$cblk38]; //@line 467 "t2.c"
        var $327=CHECK_OVERFLOW(($326+40)&4294967295, 32); //@line 467 "t2.c"
        var $328=HEAP[$327]; //@line 467 "t2.c"
        var $329=CHECK_OVERFLOW((($328) - 1)&4294967295, 32); //@line 467 "t2.c"
        HEAP[$segno]=$329; //@line 467 "t2.c"
        var $330=HEAP[$cblk38]; //@line 468 "t2.c"
        var $331=CHECK_OVERFLOW(($330+4)&4294967295, 32); //@line 468 "t2.c"
        var $332=HEAP[$331]; //@line 468 "t2.c"
        var $333=HEAP[$segno]; //@line 468 "t2.c"
        var $334=CHECK_OVERFLOW(($332+28*$333)&4294967295, 32); //@line 468 "t2.c"
        var $335=CHECK_OVERFLOW(($334+8)&4294967295, 32); //@line 468 "t2.c"
        var $336=HEAP[$335]; //@line 468 "t2.c"
        var $337=HEAP[$cblk38]; //@line 468 "t2.c"
        var $338=CHECK_OVERFLOW(($337+4)&4294967295, 32); //@line 468 "t2.c"
        var $339=HEAP[$338]; //@line 468 "t2.c"
        var $340=HEAP[$segno]; //@line 468 "t2.c"
        var $341=CHECK_OVERFLOW(($339+28*$340)&4294967295, 32); //@line 468 "t2.c"
        var $342=CHECK_OVERFLOW(($341+16)&4294967295, 32); //@line 468 "t2.c"
        var $343=HEAP[$342]; //@line 468 "t2.c"
        var $344=($336)==($343); //@line 468 "t2.c"
        if ($344) { __label__ = 52; break; } else { __label__ = 51; break; } //@line 468 "t2.c"
      case 52: // $bb51
        var $345=HEAP[$segno]; //@line 469 "t2.c"
        var $346=CHECK_OVERFLOW((($345) + 1)&4294967295, 32); //@line 469 "t2.c"
        HEAP[$segno]=$346; //@line 469 "t2.c"
        var $347=HEAP[$tcp_addr]; //@line 470 "t2.c"
        var $348=CHECK_OVERFLOW(($347+5584)&4294967295, 32); //@line 470 "t2.c"
        var $349=HEAP[$348]; //@line 470 "t2.c"
        var $350=HEAP[$compno]; //@line 470 "t2.c"
        var $351=CHECK_OVERFLOW(($349+1076*$350)&4294967295, 32); //@line 470 "t2.c"
        var $352=CHECK_OVERFLOW(($351+16)&4294967295, 32); //@line 470 "t2.c"
        var $353=HEAP[$352]; //@line 470 "t2.c"
        var $354=HEAP[$cblk38]; //@line 470 "t2.c"
        var $355=HEAP[$segno]; //@line 470 "t2.c"
        _t2_init_seg($354, $355, $353, 0); //@line 470 "t2.c"
        __label__ = 51; break; //@line 470 "t2.c"
      case 51: // $bb52
        var $356=HEAP[$cblk38]; //@line 473 "t2.c"
        var $357=CHECK_OVERFLOW(($356+36)&4294967295, 32); //@line 473 "t2.c"
        var $358=HEAP[$357]; //@line 473 "t2.c"
        HEAP[$n]=$358; //@line 473 "t2.c"
        __label__ = 53; break; //@line 473 "t2.c"
      case 53: // $bb53
        var $359=HEAP[$cblk38]; //@line 476 "t2.c"
        var $360=CHECK_OVERFLOW(($359+4)&4294967295, 32); //@line 476 "t2.c"
        var $361=HEAP[$360]; //@line 476 "t2.c"
        var $362=HEAP[$segno]; //@line 476 "t2.c"
        var $363=CHECK_OVERFLOW(($361+28*$362)&4294967295, 32); //@line 476 "t2.c"
        var $364=HEAP[$cblk38]; //@line 476 "t2.c"
        var $365=CHECK_OVERFLOW(($364+4)&4294967295, 32); //@line 476 "t2.c"
        var $366=HEAP[$365]; //@line 476 "t2.c"
        var $367=HEAP[$segno]; //@line 476 "t2.c"
        var $368=CHECK_OVERFLOW(($366+28*$367)&4294967295, 32); //@line 476 "t2.c"
        var $369=CHECK_OVERFLOW(($368+16)&4294967295, 32); //@line 476 "t2.c"
        var $370=HEAP[$369]; //@line 476 "t2.c"
        var $371=HEAP[$cblk38]; //@line 476 "t2.c"
        var $372=CHECK_OVERFLOW(($371+4)&4294967295, 32); //@line 476 "t2.c"
        var $373=HEAP[$372]; //@line 476 "t2.c"
        var $374=HEAP[$segno]; //@line 476 "t2.c"
        var $375=CHECK_OVERFLOW(($373+28*$374)&4294967295, 32); //@line 476 "t2.c"
        var $376=CHECK_OVERFLOW(($375+8)&4294967295, 32); //@line 476 "t2.c"
        var $377=HEAP[$376]; //@line 476 "t2.c"
        var $378=CHECK_OVERFLOW((($370) - ($377))&4294967295, 32); //@line 476 "t2.c"
        var $379=HEAP[$n]; //@line 476 "t2.c"
        var $380=_int_min49($378, $379); //@line 476 "t2.c"
        var $381=CHECK_OVERFLOW(($363+20)&4294967295, 32); //@line 476 "t2.c"
        HEAP[$381]=$380; //@line 476 "t2.c"
        var $382=HEAP[$cblk38]; //@line 477 "t2.c"
        var $383=CHECK_OVERFLOW(($382+4)&4294967295, 32); //@line 477 "t2.c"
        var $384=HEAP[$383]; //@line 477 "t2.c"
        var $385=HEAP[$segno]; //@line 477 "t2.c"
        var $386=CHECK_OVERFLOW(($384+28*$385)&4294967295, 32); //@line 477 "t2.c"
        var $387=HEAP[$cblk38]; //@line 477 "t2.c"
        var $388=CHECK_OVERFLOW(($387+28)&4294967295, 32); //@line 477 "t2.c"
        var $389=HEAP[$388]; //@line 477 "t2.c"
        var $390=HEAP[$cblk38]; //@line 477 "t2.c"
        var $391=CHECK_OVERFLOW(($390+4)&4294967295, 32); //@line 477 "t2.c"
        var $392=HEAP[$391]; //@line 477 "t2.c"
        var $393=HEAP[$segno]; //@line 477 "t2.c"
        var $394=CHECK_OVERFLOW(($392+28*$393)&4294967295, 32); //@line 477 "t2.c"
        var $395=CHECK_OVERFLOW(($394+20)&4294967295, 32); //@line 477 "t2.c"
        var $396=HEAP[$395]; //@line 477 "t2.c"
        var $397=_int_floorlog247($396); //@line 477 "t2.c"
        var $398=CHECK_OVERFLOW((($389) + ($397))&4294967295, 32); //@line 477 "t2.c"
        var $399=HEAP[$bio]; //@line 477 "t2.c"
        var $400=_bio_read($399, $398); //@line 477 "t2.c"
        var $401=CHECK_OVERFLOW(($386+24)&4294967295, 32); //@line 477 "t2.c"
        HEAP[$401]=$400; //@line 477 "t2.c"
        var $402=HEAP[$cblk38]; //@line 478 "t2.c"
        var $403=CHECK_OVERFLOW(($402+4)&4294967295, 32); //@line 478 "t2.c"
        var $404=HEAP[$403]; //@line 478 "t2.c"
        var $405=HEAP[$segno]; //@line 478 "t2.c"
        var $406=CHECK_OVERFLOW(($404+28*$405)&4294967295, 32); //@line 478 "t2.c"
        var $407=CHECK_OVERFLOW(($406+20)&4294967295, 32); //@line 478 "t2.c"
        var $408=HEAP[$407]; //@line 478 "t2.c"
        var $409=HEAP[$n]; //@line 478 "t2.c"
        var $410=CHECK_OVERFLOW((($409) - ($408))&4294967295, 32); //@line 478 "t2.c"
        HEAP[$n]=$410; //@line 478 "t2.c"
        var $411=HEAP[$n]; //@line 479 "t2.c"
        var $412=($411) > 0; //@line 479 "t2.c"
        if ($412) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 479 "t2.c"
      case 54: // $bb54
        var $413=HEAP[$segno]; //@line 480 "t2.c"
        var $414=CHECK_OVERFLOW((($413) + 1)&4294967295, 32); //@line 480 "t2.c"
        HEAP[$segno]=$414; //@line 480 "t2.c"
        var $415=HEAP[$tcp_addr]; //@line 481 "t2.c"
        var $416=CHECK_OVERFLOW(($415+5584)&4294967295, 32); //@line 481 "t2.c"
        var $417=HEAP[$416]; //@line 481 "t2.c"
        var $418=HEAP[$compno]; //@line 481 "t2.c"
        var $419=CHECK_OVERFLOW(($417+1076*$418)&4294967295, 32); //@line 481 "t2.c"
        var $420=CHECK_OVERFLOW(($419+16)&4294967295, 32); //@line 481 "t2.c"
        var $421=HEAP[$420]; //@line 481 "t2.c"
        var $422=HEAP[$cblk38]; //@line 481 "t2.c"
        var $423=HEAP[$segno]; //@line 481 "t2.c"
        _t2_init_seg($422, $423, $421, 0); //@line 481 "t2.c"
        __label__ = 55; break; //@line 481 "t2.c"
      case 55: // $bb55
        var $424=HEAP[$n]; //@line 483 "t2.c"
        var $425=($424) > 0; //@line 483 "t2.c"
        if ($425) { __label__ = 53; break; } else { __label__ = 43; break; } //@line 483 "t2.c"
      case 43: // $bb56
        var $426=HEAP[$cblkno]; //@line 433 "t2.c"
        var $427=CHECK_OVERFLOW((($426) + 1)&4294967295, 32); //@line 433 "t2.c"
        HEAP[$cblkno]=$427; //@line 433 "t2.c"
        __label__ = 37; break; //@line 433 "t2.c"
      case 37: // $bb57
        var $428=HEAP[$prc34]; //@line 433 "t2.c"
        var $429=CHECK_OVERFLOW(($428+16)&4294967295, 32); //@line 433 "t2.c"
        var $430=HEAP[$429]; //@line 433 "t2.c"
        var $431=HEAP[$prc34]; //@line 433 "t2.c"
        var $432=CHECK_OVERFLOW(($431+20)&4294967295, 32); //@line 433 "t2.c"
        var $433=HEAP[$432]; //@line 433 "t2.c"
        var $434=CHECK_OVERFLOW((($430) * ($433))&4294967295, 32); //@line 433 "t2.c"
        var $435=HEAP[$cblkno]; //@line 433 "t2.c"
        var $436=($434) > ($435); //@line 433 "t2.c"
        if ($436) { __label__ = 56; break; } else { __label__ = 34; break; } //@line 433 "t2.c"
      case 34: // $bb58
        var $437=HEAP[$bandno]; //@line 427 "t2.c"
        var $438=CHECK_OVERFLOW((($437) + 1)&4294967295, 32); //@line 427 "t2.c"
        HEAP[$bandno]=$438; //@line 427 "t2.c"
        __label__ = 33; break; //@line 427 "t2.c"
      case 33: // $bb59
        var $439=HEAP[$res]; //@line 427 "t2.c"
        var $440=CHECK_OVERFLOW(($439+24)&4294967295, 32); //@line 427 "t2.c"
        var $441=HEAP[$440]; //@line 427 "t2.c"
        var $442=HEAP[$bandno]; //@line 427 "t2.c"
        var $443=($441) > ($442); //@line 427 "t2.c"
        if ($443) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 427 "t2.c"
      case 58: // $bb60
        var $444=HEAP[$bio]; //@line 487 "t2.c"
        var $445=_bio_inalign($444); //@line 487 "t2.c"
        var $446=($445)!=0; //@line 487 "t2.c"
        if ($446) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 487 "t2.c"
      case 59: // $bb61
        var $447=HEAP[$bio]; //@line 488 "t2.c"
        _bio_destroy($447); //@line 488 "t2.c"
        HEAP[$0]=-999; //@line 489 "t2.c"
        __label__ = 30; break; //@line 489 "t2.c"
      case 60: // $bb62
        var $448=HEAP[$bio]; //@line 492 "t2.c"
        var $449=_bio_numbytes($448); //@line 492 "t2.c"
        var $450=HEAP[$hd]; //@line 492 "t2.c"
        var $451=CHECK_OVERFLOW(($450+$449)&4294967295, 32); //@line 492 "t2.c"
        HEAP[$hd]=$451; //@line 492 "t2.c"
        var $452=HEAP[$bio]; //@line 493 "t2.c"
        _bio_destroy($452); //@line 493 "t2.c"
        var $453=HEAP[$tcp_addr]; //@line 496 "t2.c"
        var $454=CHECK_OVERFLOW(($453+4)&4294967295, 32); //@line 496 "t2.c"
        var $455=HEAP[$454]; //@line 496 "t2.c"
        var $456=($455) & 4; //@line 496 "t2.c"
        var $457=($456)!=0; //@line 496 "t2.c"
        if ($457) { __label__ = 61; break; } else { __label__ = 62; break; } //@line 496 "t2.c"
      case 61: // $bb63
        var $458=HEAP[$hd]; //@line 497 "t2.c"
        var $459=HEAP[$458]; //@line 497 "t2.c"
        var $460=($459)!=-1; //@line 497 "t2.c"
        if ($460) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 497 "t2.c"
      case 64: // $bb64
        var $461=HEAP[$hd]; //@line 497 "t2.c"
        var $462=CHECK_OVERFLOW(($461+1)&4294967295, 32); //@line 497 "t2.c"
        var $463=HEAP[$462]; //@line 497 "t2.c"
        var $464=($463)!=-110; //@line 497 "t2.c"
        if ($464) { __label__ = 63; break; } else { __label__ = 65; break; } //@line 497 "t2.c"
      case 63: // $bb65
        var $465=HEAP[$t2_addr]; //@line 498 "t2.c"
        var $466=CHECK_OVERFLOW(($465)&4294967295, 32); //@line 498 "t2.c"
        var $467=HEAP[$466]; //@line 498 "t2.c"
        var $468=_opj_event_msg($467, 1, CHECK_OVERFLOW((__str245)&4294967295, 32)); //@line 498 "t2.c"
        HEAP[$0]=-999; //@line 499 "t2.c"
        __label__ = 30; break; //@line 499 "t2.c"
      case 65: // $bb66
        var $469=HEAP[$hd]; //@line 501 "t2.c"
        var $470=CHECK_OVERFLOW(($469+2)&4294967295, 32); //@line 501 "t2.c"
        HEAP[$hd]=$470; //@line 501 "t2.c"
        __label__ = 62; break; //@line 501 "t2.c"
      case 62: // $bb67
        var $471=HEAP[$pack_info_addr]; //@line 508 "t2.c"
        var $472=($471)!=0; //@line 508 "t2.c"
        if ($472) { __label__ = 66; break; } else { __label__ = 67; break; } //@line 508 "t2.c"
      case 66: // $bb68
        var $473=HEAP[$hd]; //@line 509 "t2.c"
        var $474=($473); //@line 509 "t2.c"
        var $475=HEAP[$src_addr]; //@line 509 "t2.c"
        var $476=($475); //@line 509 "t2.c"
        var $477=CHECK_OVERFLOW((($474) - ($476))&4294967295, 32); //@line 509 "t2.c"
        var $478=HEAP[$pack_info_addr]; //@line 509 "t2.c"
        var $479=CHECK_OVERFLOW(($478+4)&4294967295, 32); //@line 509 "t2.c"
        HEAP[$479]=$477; //@line 509 "t2.c"
        __label__ = 67; break; //@line 509 "t2.c"
      case 67: // $bb69
        var $480=HEAP[$cp]; //@line 513 "t2.c"
        var $481=CHECK_OVERFLOW(($480+92)&4294967295, 32); //@line 513 "t2.c"
        var $482=HEAP[$481]; //@line 513 "t2.c"
        var $483=($482)==1; //@line 513 "t2.c"
        if ($483) { __label__ = 68; break; } else { __label__ = 69; break; } //@line 513 "t2.c"
      case 68: // $bb70
        var $484=HEAP[$cp]; //@line 514 "t2.c"
        var $485=CHECK_OVERFLOW(($484+104)&4294967295, 32); //@line 514 "t2.c"
        var $486=HEAP[$485]; //@line 514 "t2.c"
        var $487=HEAP[$cp]; //@line 514 "t2.c"
        var $488=CHECK_OVERFLOW(($487+84)&4294967295, 32); //@line 514 "t2.c"
        var $489=HEAP[$488]; //@line 514 "t2.c"
        var $490=($489); //@line 514 "t2.c"
        var $491=HEAP[$hd]; //@line 514 "t2.c"
        var $492=($491); //@line 514 "t2.c"
        var $493=CHECK_OVERFLOW((($490) - ($492))&4294967295, 32); //@line 514 "t2.c"
        var $494=CHECK_OVERFLOW((($486) + ($493))&4294967295, 32); //@line 514 "t2.c"
        var $495=HEAP[$cp]; //@line 514 "t2.c"
        var $496=CHECK_OVERFLOW(($495+104)&4294967295, 32); //@line 514 "t2.c"
        HEAP[$496]=$494; //@line 514 "t2.c"
        var $497=HEAP[$cp]; //@line 515 "t2.c"
        var $498=CHECK_OVERFLOW(($497+84)&4294967295, 32); //@line 515 "t2.c"
        var $499=HEAP[$hd]; //@line 515 "t2.c"
        HEAP[$498]=$499; //@line 515 "t2.c"
        __label__ = 70; break; //@line 515 "t2.c"
      case 69: // $bb71
        var $500=HEAP[$tcp_addr]; //@line 516 "t2.c"
        var $501=CHECK_OVERFLOW(($500+5172)&4294967295, 32); //@line 516 "t2.c"
        var $502=HEAP[$501]; //@line 516 "t2.c"
        var $503=($502)==1; //@line 516 "t2.c"
        if ($503) { __label__ = 71; break; } else { __label__ = 72; break; } //@line 516 "t2.c"
      case 71: // $bb72
        var $504=HEAP[$tcp_addr]; //@line 517 "t2.c"
        var $505=CHECK_OVERFLOW(($504+5180)&4294967295, 32); //@line 517 "t2.c"
        var $506=HEAP[$505]; //@line 517 "t2.c"
        var $507=HEAP[$tcp_addr]; //@line 517 "t2.c"
        var $508=CHECK_OVERFLOW(($507+5164)&4294967295, 32); //@line 517 "t2.c"
        var $509=HEAP[$508]; //@line 517 "t2.c"
        var $510=($509); //@line 517 "t2.c"
        var $511=HEAP[$hd]; //@line 517 "t2.c"
        var $512=($511); //@line 517 "t2.c"
        var $513=CHECK_OVERFLOW((($510) - ($512))&4294967295, 32); //@line 517 "t2.c"
        var $514=CHECK_OVERFLOW((($506) + ($513))&4294967295, 32); //@line 517 "t2.c"
        var $515=HEAP[$tcp_addr]; //@line 517 "t2.c"
        var $516=CHECK_OVERFLOW(($515+5180)&4294967295, 32); //@line 517 "t2.c"
        HEAP[$516]=$514; //@line 517 "t2.c"
        var $517=HEAP[$tcp_addr]; //@line 518 "t2.c"
        var $518=CHECK_OVERFLOW(($517+5164)&4294967295, 32); //@line 518 "t2.c"
        var $519=HEAP[$hd]; //@line 518 "t2.c"
        HEAP[$518]=$519; //@line 518 "t2.c"
        __label__ = 70; break; //@line 518 "t2.c"
      case 72: // $bb73
        var $520=HEAP[$hd]; //@line 520 "t2.c"
        HEAP[$c]=$520; //@line 520 "t2.c"
        __label__ = 70; break; //@line 520 "t2.c"
      case 70: // $bb74
        HEAP[$bandno]=0; //@line 523 "t2.c"
        __label__ = 73; break; //@line 523 "t2.c"
      case 91: // $bb75
        var $521=HEAP[$bandno]; //@line 524 "t2.c"
        var $522=HEAP[$res]; //@line 524 "t2.c"
        var $523=CHECK_OVERFLOW(($522+28)&4294967295, 32); //@line 524 "t2.c"
        var $524=CHECK_OVERFLOW(($523+$521*32)&4294967295, 32); //@line 524 "t2.c"
        HEAP[$band76]=$524; //@line 524 "t2.c"
        var $525=HEAP[$band76]; //@line 525 "t2.c"
        var $526=CHECK_OVERFLOW(($525+20)&4294967295, 32); //@line 525 "t2.c"
        var $527=HEAP[$526]; //@line 525 "t2.c"
        var $528=HEAP[$precno]; //@line 525 "t2.c"
        var $529=CHECK_OVERFLOW(($527+36*$528)&4294967295, 32); //@line 525 "t2.c"
        HEAP[$prc77]=$529; //@line 525 "t2.c"
        var $530=HEAP[$band76]; //@line 527 "t2.c"
        var $531=CHECK_OVERFLOW(($530+8)&4294967295, 32); //@line 527 "t2.c"
        var $532=HEAP[$531]; //@line 527 "t2.c"
        var $533=HEAP[$band76]; //@line 527 "t2.c"
        var $534=CHECK_OVERFLOW(($533)&4294967295, 32); //@line 527 "t2.c"
        var $535=HEAP[$534]; //@line 527 "t2.c"
        var $536=($532)==($535); //@line 527 "t2.c"
        if ($536) { __label__ = 74; break; } else { __label__ = 75; break; } //@line 527 "t2.c"
      case 75: // $bb78
        var $537=HEAP[$band76]; //@line 527 "t2.c"
        var $538=CHECK_OVERFLOW(($537+12)&4294967295, 32); //@line 527 "t2.c"
        var $539=HEAP[$538]; //@line 527 "t2.c"
        var $540=HEAP[$band76]; //@line 527 "t2.c"
        var $541=CHECK_OVERFLOW(($540+4)&4294967295, 32); //@line 527 "t2.c"
        var $542=HEAP[$541]; //@line 527 "t2.c"
        var $543=($539)==($542); //@line 527 "t2.c"
        if ($543) { __label__ = 74; break; } else { __label__ = 76; break; } //@line 527 "t2.c"
      case 76: // $bb79
        HEAP[$cblkno]=0; //@line 529 "t2.c"
        __label__ = 77; break; //@line 529 "t2.c"
      case 90: // $bb80
        var $544=HEAP[$prc77]; //@line 530 "t2.c"
        var $545=CHECK_OVERFLOW(($544+24)&4294967295, 32); //@line 530 "t2.c"
        var $546=CHECK_OVERFLOW(($545)&4294967295, 32); //@line 530 "t2.c"
        var $547=$546; //@line 530 "t2.c"
        var $548=HEAP[$547]; //@line 530 "t2.c"
        var $549=HEAP[$cblkno]; //@line 530 "t2.c"
        var $550=CHECK_OVERFLOW(($548+44*$549)&4294967295, 32); //@line 530 "t2.c"
        HEAP[$cblk81]=$550; //@line 530 "t2.c"
        HEAP[$seg]=0; //@line 531 "t2.c"
        var $551=HEAP[$cblk81]; //@line 532 "t2.c"
        var $552=CHECK_OVERFLOW(($551+36)&4294967295, 32); //@line 532 "t2.c"
        var $553=HEAP[$552]; //@line 532 "t2.c"
        var $554=($553)==0; //@line 532 "t2.c"
        if ($554) { __label__ = 78; break; } else { __label__ = 79; break; } //@line 532 "t2.c"
      case 79: // $bb82
        var $555=HEAP[$cblk81]; //@line 534 "t2.c"
        var $556=CHECK_OVERFLOW(($555+40)&4294967295, 32); //@line 534 "t2.c"
        var $557=HEAP[$556]; //@line 534 "t2.c"
        var $558=($557)==0; //@line 534 "t2.c"
        if ($558) { __label__ = 80; break; } else { __label__ = 81; break; } //@line 534 "t2.c"
      case 80: // $bb83
        var $559=HEAP[$cblk81]; //@line 535 "t2.c"
        var $560=CHECK_OVERFLOW(($559+4)&4294967295, 32); //@line 535 "t2.c"
        var $561=HEAP[$560]; //@line 535 "t2.c"
        var $562=CHECK_OVERFLOW(($561)&4294967295, 32); //@line 535 "t2.c"
        HEAP[$seg]=$562; //@line 535 "t2.c"
        var $563=HEAP[$cblk81]; //@line 536 "t2.c"
        var $564=CHECK_OVERFLOW(($563+40)&4294967295, 32); //@line 536 "t2.c"
        var $565=HEAP[$564]; //@line 536 "t2.c"
        var $566=CHECK_OVERFLOW((($565) + 1)&4294967295, 32); //@line 536 "t2.c"
        var $567=HEAP[$cblk81]; //@line 536 "t2.c"
        var $568=CHECK_OVERFLOW(($567+40)&4294967295, 32); //@line 536 "t2.c"
        HEAP[$568]=$566; //@line 536 "t2.c"
        var $569=HEAP[$cblk81]; //@line 537 "t2.c"
        var $570=CHECK_OVERFLOW(($569+32)&4294967295, 32); //@line 537 "t2.c"
        HEAP[$570]=0; //@line 537 "t2.c"
        __label__ = 82; break; //@line 537 "t2.c"
      case 81: // $bb84
        var $571=HEAP[$cblk81]; //@line 539 "t2.c"
        var $572=CHECK_OVERFLOW(($571+4)&4294967295, 32); //@line 539 "t2.c"
        var $573=HEAP[$572]; //@line 539 "t2.c"
        var $574=HEAP[$cblk81]; //@line 539 "t2.c"
        var $575=CHECK_OVERFLOW(($574+40)&4294967295, 32); //@line 539 "t2.c"
        var $576=HEAP[$575]; //@line 539 "t2.c"
        var $577=CHECK_OVERFLOW((($576) - 1)&4294967295, 32); //@line 539 "t2.c"
        var $578=CHECK_OVERFLOW(($573+28*$577)&4294967295, 32); //@line 539 "t2.c"
        HEAP[$seg]=$578; //@line 539 "t2.c"
        var $579=HEAP[$seg]; //@line 540 "t2.c"
        var $580=CHECK_OVERFLOW(($579+8)&4294967295, 32); //@line 540 "t2.c"
        var $581=HEAP[$580]; //@line 540 "t2.c"
        var $582=HEAP[$seg]; //@line 540 "t2.c"
        var $583=CHECK_OVERFLOW(($582+16)&4294967295, 32); //@line 540 "t2.c"
        var $584=HEAP[$583]; //@line 540 "t2.c"
        var $585=($581)==($584); //@line 540 "t2.c"
        if ($585) { __label__ = 83; break; } else { __label__ = 82; break; } //@line 540 "t2.c"
      case 83: // $bb85
        var $586=HEAP[$seg]; //@line 541 "t2.c"
        var $587=CHECK_OVERFLOW(($586+28)&4294967295, 32); //@line 541 "t2.c"
        HEAP[$seg]=$587; //@line 541 "t2.c"
        var $588=HEAP[$cblk81]; //@line 542 "t2.c"
        var $589=CHECK_OVERFLOW(($588+40)&4294967295, 32); //@line 542 "t2.c"
        var $590=HEAP[$589]; //@line 542 "t2.c"
        var $591=CHECK_OVERFLOW((($590) + 1)&4294967295, 32); //@line 542 "t2.c"
        var $592=HEAP[$cblk81]; //@line 542 "t2.c"
        var $593=CHECK_OVERFLOW(($592+40)&4294967295, 32); //@line 542 "t2.c"
        HEAP[$593]=$591; //@line 542 "t2.c"
        __label__ = 82; break; //@line 542 "t2.c"
      case 82: // $bb86
        var $594=HEAP[$seg]; //@line 547 "t2.c"
        var $595=CHECK_OVERFLOW(($594+24)&4294967295, 32); //@line 547 "t2.c"
        var $596=HEAP[$595]; //@line 547 "t2.c"
        var $597=HEAP[$c]; //@line 547 "t2.c"
        var $598=CHECK_OVERFLOW(($597+$596)&4294967295, 32); //@line 547 "t2.c"
        var $599=HEAP[$src_addr]; //@line 547 "t2.c"
        var $600=HEAP[$len_addr]; //@line 547 "t2.c"
        var $601=CHECK_OVERFLOW(($599+$600)&4294967295, 32); //@line 547 "t2.c"
        var $602=($598) > ($601); //@line 547 "t2.c"
        if ($602) { __label__ = 84; break; } else { __label__ = 85; break; } //@line 547 "t2.c"
      case 84: // $bb87
        HEAP[$0]=-999; //@line 548 "t2.c"
        __label__ = 30; break; //@line 548 "t2.c"
      case 85: // $bb88
        var $603=HEAP[$cblk81]; //@line 571 "t2.c"
        var $604=CHECK_OVERFLOW(($603+32)&4294967295, 32); //@line 571 "t2.c"
        var $605=HEAP[$604]; //@line 571 "t2.c"
        var $606=HEAP[$seg]; //@line 571 "t2.c"
        var $607=CHECK_OVERFLOW(($606+24)&4294967295, 32); //@line 571 "t2.c"
        var $608=HEAP[$607]; //@line 571 "t2.c"
        var $609=CHECK_OVERFLOW((($605) + ($608))&4294967295, 32); //@line 571 "t2.c"
        var $610=CHECK_OVERFLOW((($609) * 4)&4294967295, 32); //@line 571 "t2.c"
        var $611=HEAP[$cblk81]; //@line 571 "t2.c"
        var $612=CHECK_OVERFLOW(($611)&4294967295, 32); //@line 571 "t2.c"
        var $613=HEAP[$612]; //@line 571 "t2.c"
        var $614=_realloc($613, $610); //@line 571 "t2.c"
        var $615=HEAP[$cblk81]; //@line 571 "t2.c"
        var $616=CHECK_OVERFLOW(($615)&4294967295, 32); //@line 571 "t2.c"
        HEAP[$616]=$614; //@line 571 "t2.c"
        var $617=HEAP[$seg]; //@line 572 "t2.c"
        var $618=CHECK_OVERFLOW(($617+24)&4294967295, 32); //@line 572 "t2.c"
        var $619=HEAP[$618]; //@line 572 "t2.c"
        var $620=HEAP[$cblk81]; //@line 572 "t2.c"
        var $621=CHECK_OVERFLOW(($620)&4294967295, 32); //@line 572 "t2.c"
        var $622=HEAP[$621]; //@line 572 "t2.c"
        var $623=HEAP[$cblk81]; //@line 572 "t2.c"
        var $624=CHECK_OVERFLOW(($623+32)&4294967295, 32); //@line 572 "t2.c"
        var $625=HEAP[$624]; //@line 572 "t2.c"
        var $626=CHECK_OVERFLOW(($622+$625)&4294967295, 32); //@line 572 "t2.c"
        var $627=HEAP[$c]; //@line 572 "t2.c"
        _llvm_memcpy_p0i8_p0i8_i32($626, $627, $619, 1, 0); //@line 572 "t2.c"
        var $628=HEAP[$seg]; //@line 573 "t2.c"
        var $629=CHECK_OVERFLOW(($628+8)&4294967295, 32); //@line 573 "t2.c"
        var $630=HEAP[$629]; //@line 573 "t2.c"
        var $631=($630)==0; //@line 573 "t2.c"
        if ($631) { __label__ = 86; break; } else { __label__ = 87; break; } //@line 573 "t2.c"
      case 86: // $bb89
        var $632=HEAP[$cblk81]; //@line 574 "t2.c"
        var $633=CHECK_OVERFLOW(($632)&4294967295, 32); //@line 574 "t2.c"
        var $634=HEAP[$seg]; //@line 574 "t2.c"
        var $635=CHECK_OVERFLOW(($634)&4294967295, 32); //@line 574 "t2.c"
        HEAP[$635]=$633; //@line 574 "t2.c"
        var $636=HEAP[$cblk81]; //@line 575 "t2.c"
        var $637=CHECK_OVERFLOW(($636+32)&4294967295, 32); //@line 575 "t2.c"
        var $638=HEAP[$637]; //@line 575 "t2.c"
        var $639=HEAP[$seg]; //@line 575 "t2.c"
        var $640=CHECK_OVERFLOW(($639+4)&4294967295, 32); //@line 575 "t2.c"
        HEAP[$640]=$638; //@line 575 "t2.c"
        __label__ = 87; break; //@line 575 "t2.c"
      case 87: // $bb90
        var $641=HEAP[$seg]; //@line 577 "t2.c"
        var $642=CHECK_OVERFLOW(($641+24)&4294967295, 32); //@line 577 "t2.c"
        var $643=HEAP[$642]; //@line 577 "t2.c"
        var $644=HEAP[$c]; //@line 577 "t2.c"
        var $645=CHECK_OVERFLOW(($644+$643)&4294967295, 32); //@line 577 "t2.c"
        HEAP[$c]=$645; //@line 577 "t2.c"
        var $646=HEAP[$cblk81]; //@line 578 "t2.c"
        var $647=CHECK_OVERFLOW(($646+32)&4294967295, 32); //@line 578 "t2.c"
        var $648=HEAP[$647]; //@line 578 "t2.c"
        var $649=HEAP[$seg]; //@line 578 "t2.c"
        var $650=CHECK_OVERFLOW(($649+24)&4294967295, 32); //@line 578 "t2.c"
        var $651=HEAP[$650]; //@line 578 "t2.c"
        var $652=CHECK_OVERFLOW((($648) + ($651))&4294967295, 32); //@line 578 "t2.c"
        var $653=HEAP[$cblk81]; //@line 578 "t2.c"
        var $654=CHECK_OVERFLOW(($653+32)&4294967295, 32); //@line 578 "t2.c"
        HEAP[$654]=$652; //@line 578 "t2.c"
        var $655=HEAP[$seg]; //@line 579 "t2.c"
        var $656=CHECK_OVERFLOW(($655+12)&4294967295, 32); //@line 579 "t2.c"
        var $657=HEAP[$656]; //@line 579 "t2.c"
        var $658=HEAP[$seg]; //@line 579 "t2.c"
        var $659=CHECK_OVERFLOW(($658+24)&4294967295, 32); //@line 579 "t2.c"
        var $660=HEAP[$659]; //@line 579 "t2.c"
        var $661=CHECK_OVERFLOW((($657) + ($660))&4294967295, 32); //@line 579 "t2.c"
        var $662=HEAP[$seg]; //@line 579 "t2.c"
        var $663=CHECK_OVERFLOW(($662+12)&4294967295, 32); //@line 579 "t2.c"
        HEAP[$663]=$661; //@line 579 "t2.c"
        var $664=HEAP[$seg]; //@line 580 "t2.c"
        var $665=CHECK_OVERFLOW(($664+8)&4294967295, 32); //@line 580 "t2.c"
        var $666=HEAP[$665]; //@line 580 "t2.c"
        var $667=HEAP[$seg]; //@line 580 "t2.c"
        var $668=CHECK_OVERFLOW(($667+20)&4294967295, 32); //@line 580 "t2.c"
        var $669=HEAP[$668]; //@line 580 "t2.c"
        var $670=CHECK_OVERFLOW((($666) + ($669))&4294967295, 32); //@line 580 "t2.c"
        var $671=HEAP[$seg]; //@line 580 "t2.c"
        var $672=CHECK_OVERFLOW(($671+8)&4294967295, 32); //@line 580 "t2.c"
        HEAP[$672]=$670; //@line 580 "t2.c"
        var $673=HEAP[$cblk81]; //@line 581 "t2.c"
        var $674=CHECK_OVERFLOW(($673+36)&4294967295, 32); //@line 581 "t2.c"
        var $675=HEAP[$674]; //@line 581 "t2.c"
        var $676=HEAP[$seg]; //@line 581 "t2.c"
        var $677=CHECK_OVERFLOW(($676+20)&4294967295, 32); //@line 581 "t2.c"
        var $678=HEAP[$677]; //@line 581 "t2.c"
        var $679=CHECK_OVERFLOW((($675) - ($678))&4294967295, 32); //@line 581 "t2.c"
        var $680=HEAP[$cblk81]; //@line 581 "t2.c"
        var $681=CHECK_OVERFLOW(($680+36)&4294967295, 32); //@line 581 "t2.c"
        HEAP[$681]=$679; //@line 581 "t2.c"
        var $682=HEAP[$cblk81]; //@line 582 "t2.c"
        var $683=CHECK_OVERFLOW(($682+36)&4294967295, 32); //@line 582 "t2.c"
        var $684=HEAP[$683]; //@line 582 "t2.c"
        var $685=($684) > 0; //@line 582 "t2.c"
        if ($685) { __label__ = 88; break; } else { __label__ = 89; break; } //@line 582 "t2.c"
      case 88: // $bb91
        var $686=HEAP[$seg]; //@line 583 "t2.c"
        var $687=CHECK_OVERFLOW(($686+28)&4294967295, 32); //@line 583 "t2.c"
        HEAP[$seg]=$687; //@line 583 "t2.c"
        var $688=HEAP[$cblk81]; //@line 584 "t2.c"
        var $689=CHECK_OVERFLOW(($688+40)&4294967295, 32); //@line 584 "t2.c"
        var $690=HEAP[$689]; //@line 584 "t2.c"
        var $691=CHECK_OVERFLOW((($690) + 1)&4294967295, 32); //@line 584 "t2.c"
        var $692=HEAP[$cblk81]; //@line 584 "t2.c"
        var $693=CHECK_OVERFLOW(($692+40)&4294967295, 32); //@line 584 "t2.c"
        HEAP[$693]=$691; //@line 584 "t2.c"
        __label__ = 89; break; //@line 584 "t2.c"
      case 89: // $bb92
        var $694=HEAP[$cblk81]; //@line 586 "t2.c"
        var $695=CHECK_OVERFLOW(($694+36)&4294967295, 32); //@line 586 "t2.c"
        var $696=HEAP[$695]; //@line 586 "t2.c"
        var $697=($696) > 0; //@line 586 "t2.c"
        if ($697) { __label__ = 82; break; } else { __label__ = 78; break; } //@line 586 "t2.c"
      case 78: // $bb93
        var $698=HEAP[$cblkno]; //@line 529 "t2.c"
        var $699=CHECK_OVERFLOW((($698) + 1)&4294967295, 32); //@line 529 "t2.c"
        HEAP[$cblkno]=$699; //@line 529 "t2.c"
        __label__ = 77; break; //@line 529 "t2.c"
      case 77: // $bb94
        var $700=HEAP[$prc77]; //@line 529 "t2.c"
        var $701=CHECK_OVERFLOW(($700+16)&4294967295, 32); //@line 529 "t2.c"
        var $702=HEAP[$701]; //@line 529 "t2.c"
        var $703=HEAP[$prc77]; //@line 529 "t2.c"
        var $704=CHECK_OVERFLOW(($703+20)&4294967295, 32); //@line 529 "t2.c"
        var $705=HEAP[$704]; //@line 529 "t2.c"
        var $706=CHECK_OVERFLOW((($702) * ($705))&4294967295, 32); //@line 529 "t2.c"
        var $707=HEAP[$cblkno]; //@line 529 "t2.c"
        var $708=($706) > ($707); //@line 529 "t2.c"
        if ($708) { __label__ = 90; break; } else { __label__ = 74; break; } //@line 529 "t2.c"
      case 74: // $bb95
        var $709=HEAP[$bandno]; //@line 523 "t2.c"
        var $710=CHECK_OVERFLOW((($709) + 1)&4294967295, 32); //@line 523 "t2.c"
        HEAP[$bandno]=$710; //@line 523 "t2.c"
        __label__ = 73; break; //@line 523 "t2.c"
      case 73: // $bb96
        var $711=HEAP[$res]; //@line 523 "t2.c"
        var $712=CHECK_OVERFLOW(($711+24)&4294967295, 32); //@line 523 "t2.c"
        var $713=HEAP[$712]; //@line 523 "t2.c"
        var $714=HEAP[$bandno]; //@line 523 "t2.c"
        var $715=($713) > ($714); //@line 523 "t2.c"
        if ($715) { __label__ = 91; break; } else { __label__ = 92; break; } //@line 523 "t2.c"
      case 92: // $bb97
        var $716=HEAP[$c]; //@line 590 "t2.c"
        var $717=($716); //@line 590 "t2.c"
        var $718=HEAP[$src_addr]; //@line 590 "t2.c"
        var $719=($718); //@line 590 "t2.c"
        var $720=CHECK_OVERFLOW((($717) - ($719))&4294967295, 32); //@line 590 "t2.c"
        HEAP[$0]=$720; //@line 590 "t2.c"
        __label__ = 30; break; //@line 590 "t2.c"
      case 30: // $bb98
        var $721=HEAP[$0]; //@line 416 "t2.c"
        HEAP[$retval]=$721; //@line 416 "t2.c"
        __label__ = 93; break; //@line 416 "t2.c"
      case 93: // $return
        var $retval99=HEAP[$retval]; //@line 416 "t2.c"
        STACKTOP = __stackBase__;
        return $retval99; //@line 416 "t2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_min49($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$b_addr]; //@line 51 "int.h"
        var $2=HEAP[$a_addr]; //@line 51 "int.h"
        var $3=($1) <= ($2); //@line 51 "int.h"
        var $min=($3) ? ($1) : ($2); //@line 51 "int.h"
        HEAP[$0]=$min; //@line 51 "int.h"
        var $4=HEAP[$0]; //@line 51 "int.h"
        HEAP[$retval]=$4; //@line 51 "int.h"
        __label__ = 0; break; //@line 51 "int.h"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 51 "int.h"
        STACKTOP = __stackBase__;
        return $retval1; //@line 51 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t2_encode_packets($t2, $tileno, $tile, $maxlayers, $dest, $len, $cstr_info, $tpnum, $tppos, $pino, $t2_mode, $cur_totnum_tp) {
    var __stackBase__  = STACKTOP; STACKTOP += 124; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 124);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t2_addr=__stackBase__;
        var $tileno_addr=__stackBase__+4;
        var $tile_addr=__stackBase__+8;
        var $maxlayers_addr=__stackBase__+12;
        var $dest_addr=__stackBase__+16;
        var $len_addr=__stackBase__+20;
        var $cstr_info_addr=__stackBase__+24;
        var $tpnum_addr=__stackBase__+28;
        var $tppos_addr=__stackBase__+32;
        var $pino_addr=__stackBase__+36;
        var $t2_mode_addr=__stackBase__+40;
        var $cur_totnum_tp_addr=__stackBase__+44;
        var $retval=__stackBase__+48;
        var $iftmp_32=__stackBase__+52;
        var $0=__stackBase__+56;
        var $iftmp_29=__stackBase__+60;
        var $iftmp_28=__stackBase__+64;
        var $c=__stackBase__+68;
        var $e=__stackBase__+72;
        var $compno=__stackBase__+76;
        var $pi=__stackBase__+80;
        var $poc=__stackBase__+84;
        var $image=__stackBase__+88;
        var $cp=__stackBase__+92;
        var $tcp=__stackBase__+96;
        var $pocno=__stackBase__+100;
        var $maxcomp=__stackBase__+104;
        var $comp_len=__stackBase__+108;
        var $tpnum11=__stackBase__+112;
        var $info_TL=__stackBase__+116;
        var $info_PK=__stackBase__+120;
        var $_alloca_point_=0;
        HEAP[$t2_addr]=$t2;
        HEAP[$tileno_addr]=$tileno;
        HEAP[$tile_addr]=$tile;
        HEAP[$maxlayers_addr]=$maxlayers;
        HEAP[$dest_addr]=$dest;
        HEAP[$len_addr]=$len;
        HEAP[$cstr_info_addr]=$cstr_info;
        HEAP[$tpnum_addr]=$tpnum;
        HEAP[$tppos_addr]=$tppos;
        HEAP[$pino_addr]=$pino;
        HEAP[$t2_mode_addr]=$t2_mode;
        HEAP[$cur_totnum_tp_addr]=$cur_totnum_tp;
        var $1=HEAP[$dest_addr]; //@line 596 "t2.c"
        HEAP[$c]=$1; //@line 596 "t2.c"
        HEAP[$e]=0; //@line 597 "t2.c"
        HEAP[$pi]=0; //@line 599 "t2.c"
        var $2=HEAP[$t2_addr]; //@line 601 "t2.c"
        var $3=CHECK_OVERFLOW(($2+4)&4294967295, 32); //@line 601 "t2.c"
        var $4=HEAP[$3]; //@line 601 "t2.c"
        HEAP[$image]=$4; //@line 601 "t2.c"
        var $5=HEAP[$t2_addr]; //@line 602 "t2.c"
        var $6=CHECK_OVERFLOW(($5+8)&4294967295, 32); //@line 602 "t2.c"
        var $7=HEAP[$6]; //@line 602 "t2.c"
        HEAP[$cp]=$7; //@line 602 "t2.c"
        var $8=HEAP[$cp]; //@line 603 "t2.c"
        var $9=CHECK_OVERFLOW(($8+108)&4294967295, 32); //@line 603 "t2.c"
        var $10=HEAP[$9]; //@line 603 "t2.c"
        var $11=HEAP[$tileno_addr]; //@line 603 "t2.c"
        var $12=CHECK_OVERFLOW(($10+5588*$11)&4294967295, 32); //@line 603 "t2.c"
        HEAP[$tcp]=$12; //@line 603 "t2.c"
        var $13=HEAP[$cp]; //@line 604 "t2.c"
        var $14=CHECK_OVERFLOW(($13)&4294967295, 32); //@line 604 "t2.c"
        var $15=HEAP[$14]; //@line 604 "t2.c"
        var $16=($15)==3; //@line 604 "t2.c"
        if ($16) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 604 "t2.c"
      case 0: // $bb
        HEAP[$iftmp_28]=2; //@line 604 "t2.c"
        __label__ = 2; break; //@line 604 "t2.c"
      case 1: // $bb1
        HEAP[$iftmp_28]=1; //@line 604 "t2.c"
        __label__ = 2; break; //@line 604 "t2.c"
      case 2: // $bb2
        var $17=HEAP[$iftmp_28]; //@line 604 "t2.c"
        HEAP[$pocno]=$17; //@line 604 "t2.c"
        var $18=HEAP[$cp]; //@line 605 "t2.c"
        var $19=CHECK_OVERFLOW(($18+4)&4294967295, 32); //@line 605 "t2.c"
        var $20=HEAP[$19]; //@line 605 "t2.c"
        var $21=($20) > 0; //@line 605 "t2.c"
        if ($21) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 605 "t2.c"
      case 3: // $bb3
        var $22=HEAP[$image]; //@line 605 "t2.c"
        var $23=CHECK_OVERFLOW(($22+16)&4294967295, 32); //@line 605 "t2.c"
        var $24=HEAP[$23]; //@line 605 "t2.c"
        HEAP[$iftmp_29]=$24; //@line 605 "t2.c"
        __label__ = 5; break; //@line 605 "t2.c"
      case 4: // $bb4
        HEAP[$iftmp_29]=1; //@line 605 "t2.c"
        __label__ = 5; break; //@line 605 "t2.c"
      case 5: // $bb5
        var $25=HEAP[$iftmp_29]; //@line 605 "t2.c"
        HEAP[$maxcomp]=$25; //@line 605 "t2.c"
        var $26=HEAP[$image]; //@line 607 "t2.c"
        var $27=HEAP[$cp]; //@line 607 "t2.c"
        var $28=HEAP[$tileno_addr]; //@line 607 "t2.c"
        var $29=HEAP[$t2_mode_addr]; //@line 607 "t2.c"
        var $30=_pi_initialise_encode($26, $27, $28, $29); //@line 607 "t2.c"
        HEAP[$pi]=$30; //@line 607 "t2.c"
        var $31=HEAP[$pi]; //@line 608 "t2.c"
        var $32=($31)==0; //@line 608 "t2.c"
        if ($32) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 608 "t2.c"
      case 6: // $bb6
        HEAP[$0]=-999; //@line 610 "t2.c"
        __label__ = 8; break; //@line 610 "t2.c"
      case 7: // $bb7
        var $33=HEAP[$t2_mode_addr]; //@line 613 "t2.c"
        var $34=($33)==0; //@line 613 "t2.c"
        if ($34) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 613 "t2.c"
      case 9: // $bb8
        HEAP[$compno]=0; //@line 614 "t2.c"
        __label__ = 11; break; //@line 614 "t2.c"
      case 28: // $bb9
        HEAP[$poc]=0; //@line 615 "t2.c"
        __label__ = 12; break; //@line 615 "t2.c"
      case 25: // $bb10
        HEAP[$comp_len]=0; //@line 616 "t2.c"
        var $35=HEAP[$compno]; //@line 617 "t2.c"
        HEAP[$tpnum11]=$35; //@line 617 "t2.c"
        var $36=HEAP[$pi]; //@line 618 "t2.c"
        var $37=HEAP[$cp]; //@line 618 "t2.c"
        var $38=HEAP[$tileno_addr]; //@line 618 "t2.c"
        var $39=HEAP[$poc]; //@line 618 "t2.c"
        var $40=HEAP[$tpnum11]; //@line 618 "t2.c"
        var $41=HEAP[$tppos_addr]; //@line 618 "t2.c"
        var $42=HEAP[$t2_mode_addr]; //@line 618 "t2.c"
        var $43=HEAP[$cur_totnum_tp_addr]; //@line 618 "t2.c"
        var $44=_pi_create_encode($36, $37, $38, $39, $40, $41, $42, $43); //@line 618 "t2.c"
        var $45=($44)!=0; //@line 618 "t2.c"
        if ($45) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 618 "t2.c"
      case 13: // $bb12
        var $46=HEAP[$t2_addr]; //@line 619 "t2.c"
        var $47=CHECK_OVERFLOW(($46)&4294967295, 32); //@line 619 "t2.c"
        var $48=HEAP[$47]; //@line 619 "t2.c"
        var $49=_opj_event_msg($48, 1, CHECK_OVERFLOW((__str346)&4294967295, 32)); //@line 619 "t2.c"
        var $50=HEAP[$pi]; //@line 620 "t2.c"
        var $51=HEAP[$cp]; //@line 620 "t2.c"
        var $52=HEAP[$tileno_addr]; //@line 620 "t2.c"
        _pi_destroy($50, $51, $52); //@line 620 "t2.c"
        HEAP[$0]=-999; //@line 621 "t2.c"
        __label__ = 8; break; //@line 621 "t2.c"
      case 14: // $bb13
        __label__ = 15; break; //@line 621 "t2.c"
      case 19: // $bb14
        var $53=HEAP[$pi]; //@line 624 "t2.c"
        var $54=HEAP[$poc]; //@line 624 "t2.c"
        var $55=CHECK_OVERFLOW(($53+232*$54)&4294967295, 32); //@line 624 "t2.c"
        var $56=CHECK_OVERFLOW(($55+36)&4294967295, 32); //@line 624 "t2.c"
        var $57=HEAP[$56]; //@line 624 "t2.c"
        var $58=HEAP[$maxlayers_addr]; //@line 624 "t2.c"
        var $59=($57) < ($58); //@line 624 "t2.c"
        if ($59) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 624 "t2.c"
      case 16: // $bb15
        var $60=HEAP[$dest_addr]; //@line 625 "t2.c"
        var $61=HEAP[$len_addr]; //@line 625 "t2.c"
        var $62=CHECK_OVERFLOW(($60+$61)&4294967295, 32); //@line 625 "t2.c"
        var $63=($62); //@line 625 "t2.c"
        var $64=HEAP[$c]; //@line 625 "t2.c"
        var $65=($64); //@line 625 "t2.c"
        var $66=CHECK_OVERFLOW((($63) - ($65))&4294967295, 32); //@line 625 "t2.c"
        var $67=HEAP[$pi]; //@line 625 "t2.c"
        var $68=HEAP[$poc]; //@line 625 "t2.c"
        var $69=CHECK_OVERFLOW(($67+232*$68)&4294967295, 32); //@line 625 "t2.c"
        var $70=HEAP[$cp]; //@line 625 "t2.c"
        var $71=CHECK_OVERFLOW(($70+108)&4294967295, 32); //@line 625 "t2.c"
        var $72=HEAP[$71]; //@line 625 "t2.c"
        var $73=HEAP[$tileno_addr]; //@line 625 "t2.c"
        var $74=CHECK_OVERFLOW(($72+5588*$73)&4294967295, 32); //@line 625 "t2.c"
        var $75=HEAP[$tile_addr]; //@line 625 "t2.c"
        var $76=HEAP[$c]; //@line 625 "t2.c"
        var $77=HEAP[$cstr_info_addr]; //@line 625 "t2.c"
        var $78=HEAP[$tileno_addr]; //@line 625 "t2.c"
        var $79=_t2_encode_packet($75, $74, $69, $76, $66, $77, $78); //@line 625 "t2.c"
        HEAP[$e]=$79; //@line 625 "t2.c"
        var $80=HEAP[$comp_len]; //@line 626 "t2.c"
        var $81=HEAP[$e]; //@line 626 "t2.c"
        var $82=CHECK_OVERFLOW((($80) + ($81))&4294967295, 32); //@line 626 "t2.c"
        HEAP[$comp_len]=$82; //@line 626 "t2.c"
        var $83=HEAP[$e]; //@line 627 "t2.c"
        var $84=($83)==-999; //@line 627 "t2.c"
        if ($84) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 627 "t2.c"
      case 18: // $bb16
        var $85=HEAP[$c]; //@line 630 "t2.c"
        var $86=HEAP[$e]; //@line 630 "t2.c"
        var $87=CHECK_OVERFLOW(($85+$86)&4294967295, 32); //@line 630 "t2.c"
        HEAP[$c]=$87; //@line 630 "t2.c"
        __label__ = 15; break; //@line 630 "t2.c"
      case 15: // $bb17
        var $88=HEAP[$pi]; //@line 623 "t2.c"
        var $89=HEAP[$poc]; //@line 623 "t2.c"
        var $90=CHECK_OVERFLOW(($88+232*$89)&4294967295, 32); //@line 623 "t2.c"
        var $91=_pi_next($90); //@line 623 "t2.c"
        var $92=($91)!=0; //@line 623 "t2.c"
        if ($92) { __label__ = 19; break; } else { __label__ = 17; break; } //@line 623 "t2.c"
      case 17: // $bb18
        var $93=HEAP[$e]; //@line 634 "t2.c"
        var $94=($93)==-999; //@line 634 "t2.c"
        if ($94) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 634 "t2.c"
      case 21: // $bb19
        var $95=HEAP[$cp]; //@line 635 "t2.c"
        var $96=CHECK_OVERFLOW(($95+4)&4294967295, 32); //@line 635 "t2.c"
        var $97=HEAP[$96]; //@line 635 "t2.c"
        var $98=($97)!=0; //@line 635 "t2.c"
        if ($98) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 635 "t2.c"
      case 22: // $bb20
        var $99=HEAP[$cp]; //@line 636 "t2.c"
        var $100=CHECK_OVERFLOW(($99+4)&4294967295, 32); //@line 636 "t2.c"
        var $101=HEAP[$100]; //@line 636 "t2.c"
        var $102=HEAP[$comp_len]; //@line 636 "t2.c"
        var $103=($101) < ($102); //@line 636 "t2.c"
        if ($103) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 636 "t2.c"
      case 24: // $bb21
        HEAP[$e]=-999; //@line 637 "t2.c"
        __label__ = 20; break; //@line 637 "t2.c"
      case 23: // $bb22
        var $104=HEAP[$poc]; //@line 615 "t2.c"
        var $105=CHECK_OVERFLOW((($104) + 1)&4294967295, 32); //@line 615 "t2.c"
        HEAP[$poc]=$105; //@line 615 "t2.c"
        __label__ = 12; break; //@line 615 "t2.c"
      case 12: // $bb23
        var $106=HEAP[$poc]; //@line 615 "t2.c"
        var $107=HEAP[$pocno]; //@line 615 "t2.c"
        var $108=($106) < ($107); //@line 615 "t2.c"
        if ($108) { __label__ = 25; break; } else { __label__ = 20; break; } //@line 615 "t2.c"
      case 20: // $bb24
        var $109=HEAP[$e]; //@line 642 "t2.c"
        var $110=($109)==-999; //@line 642 "t2.c"
        if ($110) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 642 "t2.c"
      case 27: // $bb25
        var $111=HEAP[$compno]; //@line 614 "t2.c"
        var $112=CHECK_OVERFLOW((($111) + 1)&4294967295, 32); //@line 614 "t2.c"
        HEAP[$compno]=$112; //@line 614 "t2.c"
        __label__ = 11; break; //@line 614 "t2.c"
      case 11: // $bb26
        var $113=HEAP[$compno]; //@line 614 "t2.c"
        var $114=HEAP[$maxcomp]; //@line 614 "t2.c"
        var $115=($113) < ($114); //@line 614 "t2.c"
        if ($115) { __label__ = 28; break; } else { __label__ = 26; break; } //@line 614 "t2.c"
      case 26: // $bb27
        __label__ = 29; break; //@line 614 "t2.c"
      case 10: // $bb28
        var $116=HEAP[$pi]; //@line 645 "t2.c"
        var $117=HEAP[$cp]; //@line 645 "t2.c"
        var $118=HEAP[$tileno_addr]; //@line 645 "t2.c"
        var $119=HEAP[$pino_addr]; //@line 645 "t2.c"
        var $120=HEAP[$tpnum_addr]; //@line 645 "t2.c"
        var $121=HEAP[$tppos_addr]; //@line 645 "t2.c"
        var $122=HEAP[$t2_mode_addr]; //@line 645 "t2.c"
        var $123=HEAP[$cur_totnum_tp_addr]; //@line 645 "t2.c"
        var $124=_pi_create_encode($116, $117, $118, $119, $120, $121, $122, $123); //@line 645 "t2.c"
        __label__ = 30; break; //@line 645 "t2.c"
      case 44: // $bb29
        var $125=HEAP[$pi]; //@line 647 "t2.c"
        var $126=HEAP[$pino_addr]; //@line 647 "t2.c"
        var $127=CHECK_OVERFLOW(($125+232*$126)&4294967295, 32); //@line 647 "t2.c"
        var $128=CHECK_OVERFLOW(($127+36)&4294967295, 32); //@line 647 "t2.c"
        var $129=HEAP[$128]; //@line 647 "t2.c"
        var $130=HEAP[$maxlayers_addr]; //@line 647 "t2.c"
        var $131=($129) < ($130); //@line 647 "t2.c"
        if ($131) { __label__ = 31; break; } else { __label__ = 30; break; } //@line 647 "t2.c"
      case 31: // $bb30
        var $132=HEAP[$dest_addr]; //@line 648 "t2.c"
        var $133=HEAP[$len_addr]; //@line 648 "t2.c"
        var $134=CHECK_OVERFLOW(($132+$133)&4294967295, 32); //@line 648 "t2.c"
        var $135=($134); //@line 648 "t2.c"
        var $136=HEAP[$c]; //@line 648 "t2.c"
        var $137=($136); //@line 648 "t2.c"
        var $138=CHECK_OVERFLOW((($135) - ($137))&4294967295, 32); //@line 648 "t2.c"
        var $139=HEAP[$pi]; //@line 648 "t2.c"
        var $140=HEAP[$pino_addr]; //@line 648 "t2.c"
        var $141=CHECK_OVERFLOW(($139+232*$140)&4294967295, 32); //@line 648 "t2.c"
        var $142=HEAP[$cp]; //@line 648 "t2.c"
        var $143=CHECK_OVERFLOW(($142+108)&4294967295, 32); //@line 648 "t2.c"
        var $144=HEAP[$143]; //@line 648 "t2.c"
        var $145=HEAP[$tileno_addr]; //@line 648 "t2.c"
        var $146=CHECK_OVERFLOW(($144+5588*$145)&4294967295, 32); //@line 648 "t2.c"
        var $147=HEAP[$tile_addr]; //@line 648 "t2.c"
        var $148=HEAP[$c]; //@line 648 "t2.c"
        var $149=HEAP[$cstr_info_addr]; //@line 648 "t2.c"
        var $150=HEAP[$tileno_addr]; //@line 648 "t2.c"
        var $151=_t2_encode_packet($147, $146, $141, $148, $138, $149, $150); //@line 648 "t2.c"
        HEAP[$e]=$151; //@line 648 "t2.c"
        var $152=HEAP[$e]; //@line 649 "t2.c"
        var $153=($152)==-999; //@line 649 "t2.c"
        if ($153) { __label__ = 29; break; } else { __label__ = 32; break; } //@line 649 "t2.c"
      case 32: // $bb31
        var $154=HEAP[$c]; //@line 652 "t2.c"
        var $155=HEAP[$e]; //@line 652 "t2.c"
        var $156=CHECK_OVERFLOW(($154+$155)&4294967295, 32); //@line 652 "t2.c"
        HEAP[$c]=$156; //@line 652 "t2.c"
        var $157=HEAP[$cstr_info_addr]; //@line 655 "t2.c"
        var $158=($157)!=0; //@line 655 "t2.c"
        if ($158) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 655 "t2.c"
      case 33: // $bb32
        var $159=HEAP[$cstr_info_addr]; //@line 656 "t2.c"
        var $160=CHECK_OVERFLOW(($159+12)&4294967295, 32); //@line 656 "t2.c"
        var $161=HEAP[$160]; //@line 656 "t2.c"
        var $162=($161)!=0; //@line 656 "t2.c"
        if ($162) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 656 "t2.c"
      case 35: // $bb33
        var $163=HEAP[$cstr_info_addr]; //@line 657 "t2.c"
        var $164=CHECK_OVERFLOW(($163+88)&4294967295, 32); //@line 657 "t2.c"
        var $165=HEAP[$164]; //@line 657 "t2.c"
        var $166=HEAP[$tileno_addr]; //@line 657 "t2.c"
        var $167=CHECK_OVERFLOW(($165+572*$166)&4294967295, 32); //@line 657 "t2.c"
        HEAP[$info_TL]=$167; //@line 657 "t2.c"
        var $168=HEAP[$info_TL]; //@line 658 "t2.c"
        var $169=CHECK_OVERFLOW(($168+548)&4294967295, 32); //@line 658 "t2.c"
        var $170=HEAP[$169]; //@line 658 "t2.c"
        var $171=HEAP[$cstr_info_addr]; //@line 658 "t2.c"
        var $172=CHECK_OVERFLOW(($171+8)&4294967295, 32); //@line 658 "t2.c"
        var $173=HEAP[$172]; //@line 658 "t2.c"
        var $174=CHECK_OVERFLOW(($170+20*$173)&4294967295, 32); //@line 658 "t2.c"
        HEAP[$info_PK]=$174; //@line 658 "t2.c"
        var $175=HEAP[$cstr_info_addr]; //@line 659 "t2.c"
        var $176=CHECK_OVERFLOW(($175+8)&4294967295, 32); //@line 659 "t2.c"
        var $177=HEAP[$176]; //@line 659 "t2.c"
        var $178=($177)==0; //@line 659 "t2.c"
        if ($178) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 659 "t2.c"
      case 37: // $bb34
        var $179=HEAP[$info_TL]; //@line 660 "t2.c"
        var $180=CHECK_OVERFLOW(($179+12)&4294967295, 32); //@line 660 "t2.c"
        var $181=HEAP[$180]; //@line 660 "t2.c"
        var $182=CHECK_OVERFLOW((($181) + 1)&4294967295, 32); //@line 660 "t2.c"
        var $183=HEAP[$info_PK]; //@line 660 "t2.c"
        var $184=CHECK_OVERFLOW(($183)&4294967295, 32); //@line 660 "t2.c"
        HEAP[$184]=$182; //@line 660 "t2.c"
        __label__ = 39; break; //@line 660 "t2.c"
      case 38: // $bb35
        var $185=HEAP[$cp]; //@line 662 "t2.c"
        var $186=CHECK_OVERFLOW(($185+16)&4294967295, 32); //@line 662 "t2.c"
        var $187=HEAP[$186]; //@line 662 "t2.c"
        var $188=($187); //@line 662 "t2.c"
        var $189=HEAP[$tcp]; //@line 662 "t2.c"
        var $190=CHECK_OVERFLOW(($189+424)&4294967295, 32); //@line 662 "t2.c"
        var $191=HEAP[$190]; //@line 662 "t2.c"
        var $192=($188) | ($191); //@line 662 "t2.c"
        var $193=($192)==0; //@line 662 "t2.c"
        if ($193) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 662 "t2.c"
      case 41: // $bb36
        var $194=HEAP[$info_PK]; //@line 662 "t2.c"
        var $195=CHECK_OVERFLOW(($194)&4294967295, 32); //@line 662 "t2.c"
        var $196=HEAP[$195]; //@line 662 "t2.c"
        var $197=($196)==0; //@line 662 "t2.c"
        if ($197) { __label__ = 40; break; } else { __label__ = 42; break; } //@line 662 "t2.c"
      case 42: // $bb37
        var $198=HEAP[$info_PK]; //@line 662 "t2.c"
        var $199=CHECK_OVERFLOW(($198)&4294967295, 32); //@line 662 "t2.c"
        var $200=HEAP[$199]; //@line 662 "t2.c"
        HEAP[$iftmp_32]=$200; //@line 662 "t2.c"
        __label__ = 43; break; //@line 662 "t2.c"
      case 40: // $bb38
        var $201=HEAP[$info_TL]; //@line 662 "t2.c"
        var $202=CHECK_OVERFLOW(($201+548)&4294967295, 32); //@line 662 "t2.c"
        var $203=HEAP[$202]; //@line 662 "t2.c"
        var $204=HEAP[$cstr_info_addr]; //@line 662 "t2.c"
        var $205=CHECK_OVERFLOW(($204+8)&4294967295, 32); //@line 662 "t2.c"
        var $206=HEAP[$205]; //@line 662 "t2.c"
        var $207=CHECK_OVERFLOW((($206) - 1)&4294967295, 32); //@line 662 "t2.c"
        var $208=CHECK_OVERFLOW(($203+20*$207)&4294967295, 32); //@line 662 "t2.c"
        var $209=CHECK_OVERFLOW(($208+8)&4294967295, 32); //@line 662 "t2.c"
        var $210=HEAP[$209]; //@line 662 "t2.c"
        var $211=CHECK_OVERFLOW((($210) + 1)&4294967295, 32); //@line 662 "t2.c"
        HEAP[$iftmp_32]=$211; //@line 662 "t2.c"
        __label__ = 43; break; //@line 662 "t2.c"
      case 43: // $bb39
        var $212=HEAP[$info_PK]; //@line 662 "t2.c"
        var $213=CHECK_OVERFLOW(($212)&4294967295, 32); //@line 662 "t2.c"
        var $214=HEAP[$iftmp_32]; //@line 662 "t2.c"
        HEAP[$213]=$214; //@line 662 "t2.c"
        __label__ = 39; break; //@line 662 "t2.c"
      case 39: // $bb40
        var $215=HEAP[$info_PK]; //@line 664 "t2.c"
        var $216=CHECK_OVERFLOW(($215)&4294967295, 32); //@line 664 "t2.c"
        var $217=HEAP[$216]; //@line 664 "t2.c"
        var $218=HEAP[$e]; //@line 664 "t2.c"
        var $219=CHECK_OVERFLOW((($217) + ($218))&4294967295, 32); //@line 664 "t2.c"
        var $220=CHECK_OVERFLOW((($219) - 1)&4294967295, 32); //@line 664 "t2.c"
        var $221=HEAP[$info_PK]; //@line 664 "t2.c"
        var $222=CHECK_OVERFLOW(($221+8)&4294967295, 32); //@line 664 "t2.c"
        HEAP[$222]=$220; //@line 664 "t2.c"
        var $223=HEAP[$info_PK]; //@line 665 "t2.c"
        var $224=CHECK_OVERFLOW(($223+4)&4294967295, 32); //@line 665 "t2.c"
        var $225=HEAP[$224]; //@line 665 "t2.c"
        var $226=HEAP[$info_PK]; //@line 665 "t2.c"
        var $227=CHECK_OVERFLOW(($226)&4294967295, 32); //@line 665 "t2.c"
        var $228=HEAP[$227]; //@line 665 "t2.c"
        var $229=CHECK_OVERFLOW((($228) - 1)&4294967295, 32); //@line 665 "t2.c"
        var $230=CHECK_OVERFLOW((($225) + ($229))&4294967295, 32); //@line 665 "t2.c"
        var $231=HEAP[$info_PK]; //@line 665 "t2.c"
        var $232=CHECK_OVERFLOW(($231+4)&4294967295, 32); //@line 665 "t2.c"
        HEAP[$232]=$230; //@line 665 "t2.c"
        __label__ = 36; break; //@line 665 "t2.c"
      case 36: // $bb41
        var $233=HEAP[$cstr_info_addr]; //@line 669 "t2.c"
        var $234=CHECK_OVERFLOW(($233+8)&4294967295, 32); //@line 669 "t2.c"
        var $235=HEAP[$234]; //@line 669 "t2.c"
        var $236=CHECK_OVERFLOW((($235) + 1)&4294967295, 32); //@line 669 "t2.c"
        var $237=HEAP[$cstr_info_addr]; //@line 669 "t2.c"
        var $238=CHECK_OVERFLOW(($237+8)&4294967295, 32); //@line 669 "t2.c"
        HEAP[$238]=$236; //@line 669 "t2.c"
        __label__ = 34; break; //@line 669 "t2.c"
      case 34: // $bb42
        var $239=HEAP[$tile_addr]; //@line 672 "t2.c"
        var $240=CHECK_OVERFLOW(($239+836)&4294967295, 32); //@line 672 "t2.c"
        var $241=HEAP[$240]; //@line 672 "t2.c"
        var $242=CHECK_OVERFLOW((($241) + 1)&4294967295, 32); //@line 672 "t2.c"
        var $243=HEAP[$tile_addr]; //@line 672 "t2.c"
        var $244=CHECK_OVERFLOW(($243+836)&4294967295, 32); //@line 672 "t2.c"
        HEAP[$244]=$242; //@line 672 "t2.c"
        __label__ = 30; break; //@line 672 "t2.c"
      case 30: // $bb43
        var $245=HEAP[$pi]; //@line 646 "t2.c"
        var $246=HEAP[$pino_addr]; //@line 646 "t2.c"
        var $247=CHECK_OVERFLOW(($245+232*$246)&4294967295, 32); //@line 646 "t2.c"
        var $248=_pi_next($247); //@line 646 "t2.c"
        var $249=($248)!=0; //@line 646 "t2.c"
        if ($249) { __label__ = 44; break; } else { __label__ = 29; break; } //@line 646 "t2.c"
      case 29: // $bb44
        var $250=HEAP[$pi]; //@line 677 "t2.c"
        var $251=HEAP[$cp]; //@line 677 "t2.c"
        var $252=HEAP[$tileno_addr]; //@line 677 "t2.c"
        _pi_destroy($250, $251, $252); //@line 677 "t2.c"
        var $253=HEAP[$e]; //@line 679 "t2.c"
        var $254=($253)==-999; //@line 679 "t2.c"
        if ($254) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 679 "t2.c"
      case 45: // $bb45
        var $255=HEAP[$e]; //@line 680 "t2.c"
        HEAP[$0]=$255; //@line 680 "t2.c"
        __label__ = 8; break; //@line 680 "t2.c"
      case 46: // $bb46
        var $256=HEAP[$c]; //@line 683 "t2.c"
        var $257=($256); //@line 683 "t2.c"
        var $258=HEAP[$dest_addr]; //@line 683 "t2.c"
        var $259=($258); //@line 683 "t2.c"
        var $260=CHECK_OVERFLOW((($257) - ($259))&4294967295, 32); //@line 683 "t2.c"
        HEAP[$0]=$260; //@line 683 "t2.c"
        __label__ = 8; break; //@line 683 "t2.c"
      case 8: // $bb47
        var $261=HEAP[$0]; //@line 610 "t2.c"
        HEAP[$retval]=$261; //@line 610 "t2.c"
        __label__ = 47; break; //@line 610 "t2.c"
      case 47: // $return
        var $retval48=HEAP[$retval]; //@line 610 "t2.c"
        STACKTOP = __stackBase__;
        return $retval48; //@line 610 "t2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t2_decode_packets($t2, $src, $len, $tileno, $tile, $cstr_info) {
    var __stackBase__  = STACKTOP; STACKTOP += 88; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 88);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t2_addr=__stackBase__;
        var $src_addr=__stackBase__+4;
        var $len_addr=__stackBase__+8;
        var $tileno_addr=__stackBase__+12;
        var $tile_addr=__stackBase__+16;
        var $cstr_info_addr=__stackBase__+20;
        var $retval=__stackBase__+24;
        var $iftmp_37=__stackBase__+28;
        var $iftmp_36=__stackBase__+32;
        var $0=__stackBase__+36;
        var $c=__stackBase__+40;
        var $pi=__stackBase__+44;
        var $pino=__stackBase__+48;
        var $e=__stackBase__+52;
        var $n=__stackBase__+56;
        var $curtp=__stackBase__+60;
        var $tp_start_packno=__stackBase__+64;
        var $image=__stackBase__+68;
        var $cp=__stackBase__+72;
        var $pack_info=__stackBase__+76;
        var $info_TL=__stackBase__+80;
        var $info_PK=__stackBase__+84;
        var $_alloca_point_=0;
        HEAP[$t2_addr]=$t2;
        HEAP[$src_addr]=$src;
        HEAP[$len_addr]=$len;
        HEAP[$tileno_addr]=$tileno;
        HEAP[$tile_addr]=$tile;
        HEAP[$cstr_info_addr]=$cstr_info;
        var $1=HEAP[$src_addr]; //@line 687 "t2.c"
        HEAP[$c]=$1; //@line 687 "t2.c"
        HEAP[$e]=0; //@line 689 "t2.c"
        HEAP[$n]=0; //@line 690 "t2.c"
        HEAP[$curtp]=0; //@line 690 "t2.c"
        var $2=HEAP[$t2_addr]; //@line 693 "t2.c"
        var $3=CHECK_OVERFLOW(($2+4)&4294967295, 32); //@line 693 "t2.c"
        var $4=HEAP[$3]; //@line 693 "t2.c"
        HEAP[$image]=$4; //@line 693 "t2.c"
        var $5=HEAP[$t2_addr]; //@line 694 "t2.c"
        var $6=CHECK_OVERFLOW(($5+8)&4294967295, 32); //@line 694 "t2.c"
        var $7=HEAP[$6]; //@line 694 "t2.c"
        HEAP[$cp]=$7; //@line 694 "t2.c"
        var $8=HEAP[$image]; //@line 697 "t2.c"
        var $9=HEAP[$cp]; //@line 697 "t2.c"
        var $10=HEAP[$tileno_addr]; //@line 697 "t2.c"
        var $11=_pi_create_decode($8, $9, $10); //@line 697 "t2.c"
        HEAP[$pi]=$11; //@line 697 "t2.c"
        var $12=HEAP[$pi]; //@line 698 "t2.c"
        var $13=($12)==0; //@line 698 "t2.c"
        if ($13) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 698 "t2.c"
      case 0: // $bb
        HEAP[$0]=-999; //@line 700 "t2.c"
        __label__ = 2; break; //@line 700 "t2.c"
      case 1: // $bb1
        HEAP[$tp_start_packno]=0; //@line 703 "t2.c"
        HEAP[$pino]=0; //@line 705 "t2.c"
        __label__ = 3; break; //@line 705 "t2.c"
      case 31: // $bb2
        __label__ = 4; break; //@line 705 "t2.c"
      case 30: // $bb3
        var $14=HEAP[$cp]; //@line 707 "t2.c"
        var $15=CHECK_OVERFLOW(($14+40)&4294967295, 32); //@line 707 "t2.c"
        var $16=HEAP[$15]; //@line 707 "t2.c"
        var $17=($16)==0; //@line 707 "t2.c"
        if ($17) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 707 "t2.c"
      case 6: // $bb4
        var $18=HEAP[$cp]; //@line 707 "t2.c"
        var $19=CHECK_OVERFLOW(($18+40)&4294967295, 32); //@line 707 "t2.c"
        var $20=HEAP[$19]; //@line 707 "t2.c"
        var $21=HEAP[$pi]; //@line 707 "t2.c"
        var $22=HEAP[$pino]; //@line 707 "t2.c"
        var $23=CHECK_OVERFLOW(($21+232*$22)&4294967295, 32); //@line 707 "t2.c"
        var $24=CHECK_OVERFLOW(($23+36)&4294967295, 32); //@line 707 "t2.c"
        var $25=HEAP[$24]; //@line 707 "t2.c"
        var $26=CHECK_OVERFLOW((($25) + 1)&4294967295, 32); //@line 707 "t2.c"
        var $27=($20) >= ($26); //@line 707 "t2.c"
        if ($27) { __label__ = 5; break; } else { __label__ = 7; break; } //@line 707 "t2.c"
      case 5: // $bb5
        var $28=HEAP[$cstr_info_addr]; //@line 709 "t2.c"
        var $29=($28)!=0; //@line 709 "t2.c"
        if ($29) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 709 "t2.c"
      case 8: // $bb6
        var $30=HEAP[$cstr_info_addr]; //@line 710 "t2.c"
        var $31=CHECK_OVERFLOW(($30+88)&4294967295, 32); //@line 710 "t2.c"
        var $32=HEAP[$31]; //@line 710 "t2.c"
        var $33=HEAP[$tileno_addr]; //@line 710 "t2.c"
        var $34=CHECK_OVERFLOW(($32+572*$33)&4294967295, 32); //@line 710 "t2.c"
        var $35=CHECK_OVERFLOW(($34+548)&4294967295, 32); //@line 710 "t2.c"
        var $36=HEAP[$35]; //@line 710 "t2.c"
        var $37=HEAP[$cstr_info_addr]; //@line 710 "t2.c"
        var $38=CHECK_OVERFLOW(($37+8)&4294967295, 32); //@line 710 "t2.c"
        var $39=HEAP[$38]; //@line 710 "t2.c"
        var $40=CHECK_OVERFLOW(($36+20*$39)&4294967295, 32); //@line 710 "t2.c"
        HEAP[$pack_info]=$40; //@line 710 "t2.c"
        __label__ = 10; break; //@line 710 "t2.c"
      case 9: // $bb7
        HEAP[$pack_info]=0; //@line 712 "t2.c"
        __label__ = 10; break; //@line 712 "t2.c"
      case 10: // $bb8
        var $41=HEAP[$pi]; //@line 713 "t2.c"
        var $42=HEAP[$pino]; //@line 713 "t2.c"
        var $43=CHECK_OVERFLOW(($41+232*$42)&4294967295, 32); //@line 713 "t2.c"
        var $44=HEAP[$cp]; //@line 713 "t2.c"
        var $45=CHECK_OVERFLOW(($44+108)&4294967295, 32); //@line 713 "t2.c"
        var $46=HEAP[$45]; //@line 713 "t2.c"
        var $47=HEAP[$tileno_addr]; //@line 713 "t2.c"
        var $48=CHECK_OVERFLOW(($46+5588*$47)&4294967295, 32); //@line 713 "t2.c"
        var $49=HEAP[$src_addr]; //@line 713 "t2.c"
        var $50=HEAP[$len_addr]; //@line 713 "t2.c"
        var $51=CHECK_OVERFLOW(($49+$50)&4294967295, 32); //@line 713 "t2.c"
        var $52=($51); //@line 713 "t2.c"
        var $53=HEAP[$c]; //@line 713 "t2.c"
        var $54=($53); //@line 713 "t2.c"
        var $55=CHECK_OVERFLOW((($52) - ($54))&4294967295, 32); //@line 713 "t2.c"
        var $56=HEAP[$t2_addr]; //@line 713 "t2.c"
        var $57=HEAP[$c]; //@line 713 "t2.c"
        var $58=HEAP[$tile_addr]; //@line 713 "t2.c"
        var $59=HEAP[$pack_info]; //@line 713 "t2.c"
        var $60=_t2_decode_packet($56, $57, $55, $58, $48, $43, $59); //@line 713 "t2.c"
        HEAP[$e]=$60; //@line 713 "t2.c"
        __label__ = 11; break; //@line 713 "t2.c"
      case 7: // $bb9
        HEAP[$e]=0; //@line 715 "t2.c"
        __label__ = 11; break; //@line 715 "t2.c"
      case 11: // $bb10
        var $61=HEAP[$e]; //@line 717 "t2.c"
        var $62=($61)==-999; //@line 717 "t2.c"
        if ($62) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 717 "t2.c"
      case 12: // $bb11
        HEAP[$0]=-999; //@line 717 "t2.c"
        __label__ = 2; break; //@line 717 "t2.c"
      case 13: // $bb12
        var $63=HEAP[$image]; //@line 719 "t2.c"
        var $64=CHECK_OVERFLOW(($63+24)&4294967295, 32); //@line 719 "t2.c"
        var $65=HEAP[$64]; //@line 719 "t2.c"
        var $66=HEAP[$pi]; //@line 719 "t2.c"
        var $67=HEAP[$pino]; //@line 719 "t2.c"
        var $68=CHECK_OVERFLOW(($66+232*$67)&4294967295, 32); //@line 719 "t2.c"
        var $69=CHECK_OVERFLOW(($68+24)&4294967295, 32); //@line 719 "t2.c"
        var $70=HEAP[$69]; //@line 719 "t2.c"
        var $71=CHECK_OVERFLOW(($65+48*$70)&4294967295, 32); //@line 719 "t2.c"
        var $72=HEAP[$e]; //@line 719 "t2.c"
        var $73=($72) > 0; //@line 719 "t2.c"
        if ($73) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 719 "t2.c"
      case 14: // $bb13
        var $74=HEAP[$image]; //@line 719 "t2.c"
        var $75=CHECK_OVERFLOW(($74+24)&4294967295, 32); //@line 719 "t2.c"
        var $76=HEAP[$75]; //@line 719 "t2.c"
        var $77=HEAP[$pi]; //@line 719 "t2.c"
        var $78=HEAP[$pino]; //@line 719 "t2.c"
        var $79=CHECK_OVERFLOW(($77+232*$78)&4294967295, 32); //@line 719 "t2.c"
        var $80=CHECK_OVERFLOW(($79+24)&4294967295, 32); //@line 719 "t2.c"
        var $81=HEAP[$80]; //@line 719 "t2.c"
        var $82=CHECK_OVERFLOW(($76+48*$81)&4294967295, 32); //@line 719 "t2.c"
        var $83=CHECK_OVERFLOW(($82+36)&4294967295, 32); //@line 719 "t2.c"
        var $84=HEAP[$83]; //@line 719 "t2.c"
        var $85=HEAP[$pi]; //@line 719 "t2.c"
        var $86=HEAP[$pino]; //@line 719 "t2.c"
        var $87=CHECK_OVERFLOW(($85+232*$86)&4294967295, 32); //@line 719 "t2.c"
        var $88=CHECK_OVERFLOW(($87+28)&4294967295, 32); //@line 719 "t2.c"
        var $89=HEAP[$88]; //@line 719 "t2.c"
        var $90=_int_max48($89, $84); //@line 719 "t2.c"
        HEAP[$iftmp_36]=$90; //@line 719 "t2.c"
        __label__ = 16; break; //@line 719 "t2.c"
      case 15: // $bb14
        var $91=HEAP[$image]; //@line 719 "t2.c"
        var $92=CHECK_OVERFLOW(($91+24)&4294967295, 32); //@line 719 "t2.c"
        var $93=HEAP[$92]; //@line 719 "t2.c"
        var $94=HEAP[$pi]; //@line 719 "t2.c"
        var $95=HEAP[$pino]; //@line 719 "t2.c"
        var $96=CHECK_OVERFLOW(($94+232*$95)&4294967295, 32); //@line 719 "t2.c"
        var $97=CHECK_OVERFLOW(($96+24)&4294967295, 32); //@line 719 "t2.c"
        var $98=HEAP[$97]; //@line 719 "t2.c"
        var $99=CHECK_OVERFLOW(($93+48*$98)&4294967295, 32); //@line 719 "t2.c"
        var $100=CHECK_OVERFLOW(($99+36)&4294967295, 32); //@line 719 "t2.c"
        var $101=HEAP[$100]; //@line 719 "t2.c"
        HEAP[$iftmp_36]=$101; //@line 719 "t2.c"
        __label__ = 16; break; //@line 719 "t2.c"
      case 16: // $bb15
        var $102=CHECK_OVERFLOW(($71+36)&4294967295, 32); //@line 719 "t2.c"
        var $103=HEAP[$iftmp_36]; //@line 719 "t2.c"
        HEAP[$102]=$103; //@line 719 "t2.c"
        var $104=HEAP[$n]; //@line 723 "t2.c"
        var $105=CHECK_OVERFLOW((($104) + 1)&4294967295, 32); //@line 723 "t2.c"
        HEAP[$n]=$105; //@line 723 "t2.c"
        var $106=HEAP[$cstr_info_addr]; //@line 726 "t2.c"
        var $107=($106)!=0; //@line 726 "t2.c"
        if ($107) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 726 "t2.c"
      case 17: // $bb16
        var $108=HEAP[$cstr_info_addr]; //@line 727 "t2.c"
        var $109=CHECK_OVERFLOW(($108+88)&4294967295, 32); //@line 727 "t2.c"
        var $110=HEAP[$109]; //@line 727 "t2.c"
        var $111=HEAP[$tileno_addr]; //@line 727 "t2.c"
        var $112=CHECK_OVERFLOW(($110+572*$111)&4294967295, 32); //@line 727 "t2.c"
        HEAP[$info_TL]=$112; //@line 727 "t2.c"
        var $113=HEAP[$info_TL]; //@line 728 "t2.c"
        var $114=CHECK_OVERFLOW(($113+548)&4294967295, 32); //@line 728 "t2.c"
        var $115=HEAP[$114]; //@line 728 "t2.c"
        var $116=HEAP[$cstr_info_addr]; //@line 728 "t2.c"
        var $117=CHECK_OVERFLOW(($116+8)&4294967295, 32); //@line 728 "t2.c"
        var $118=HEAP[$117]; //@line 728 "t2.c"
        var $119=CHECK_OVERFLOW(($115+20*$118)&4294967295, 32); //@line 728 "t2.c"
        HEAP[$info_PK]=$119; //@line 728 "t2.c"
        var $120=HEAP[$cstr_info_addr]; //@line 729 "t2.c"
        var $121=CHECK_OVERFLOW(($120+8)&4294967295, 32); //@line 729 "t2.c"
        var $122=HEAP[$121]; //@line 729 "t2.c"
        var $123=($122)==0; //@line 729 "t2.c"
        if ($123) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 729 "t2.c"
      case 19: // $bb17
        var $124=HEAP[$info_TL]; //@line 730 "t2.c"
        var $125=CHECK_OVERFLOW(($124+12)&4294967295, 32); //@line 730 "t2.c"
        var $126=HEAP[$125]; //@line 730 "t2.c"
        var $127=CHECK_OVERFLOW((($126) + 1)&4294967295, 32); //@line 730 "t2.c"
        var $128=HEAP[$info_PK]; //@line 730 "t2.c"
        var $129=CHECK_OVERFLOW(($128)&4294967295, 32); //@line 730 "t2.c"
        HEAP[$129]=$127; //@line 730 "t2.c"
        __label__ = 21; break; //@line 730 "t2.c"
      case 20: // $bb18
        var $130=HEAP[$info_TL]; //@line 731 "t2.c"
        var $131=CHECK_OVERFLOW(($130+548)&4294967295, 32); //@line 731 "t2.c"
        var $132=HEAP[$131]; //@line 731 "t2.c"
        var $133=HEAP[$cstr_info_addr]; //@line 731 "t2.c"
        var $134=CHECK_OVERFLOW(($133+8)&4294967295, 32); //@line 731 "t2.c"
        var $135=HEAP[$134]; //@line 731 "t2.c"
        var $136=CHECK_OVERFLOW((($135) - 1)&4294967295, 32); //@line 731 "t2.c"
        var $137=CHECK_OVERFLOW(($132+20*$136)&4294967295, 32); //@line 731 "t2.c"
        var $138=CHECK_OVERFLOW(($137+8)&4294967295, 32); //@line 731 "t2.c"
        var $139=HEAP[$138]; //@line 731 "t2.c"
        var $140=HEAP[$cstr_info_addr]; //@line 731 "t2.c"
        var $141=CHECK_OVERFLOW(($140+88)&4294967295, 32); //@line 731 "t2.c"
        var $142=HEAP[$141]; //@line 731 "t2.c"
        var $143=HEAP[$tileno_addr]; //@line 731 "t2.c"
        var $144=CHECK_OVERFLOW(($142+572*$143)&4294967295, 32); //@line 731 "t2.c"
        var $145=CHECK_OVERFLOW(($144+568)&4294967295, 32); //@line 731 "t2.c"
        var $146=HEAP[$145]; //@line 731 "t2.c"
        var $147=HEAP[$curtp]; //@line 731 "t2.c"
        var $148=CHECK_OVERFLOW(($146+20*$147)&4294967295, 32); //@line 731 "t2.c"
        var $149=CHECK_OVERFLOW(($148+8)&4294967295, 32); //@line 731 "t2.c"
        var $150=HEAP[$149]; //@line 731 "t2.c"
        var $151=($139) >= ($150); //@line 731 "t2.c"
        if ($151) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 731 "t2.c"
      case 22: // $bb19
        var $152=HEAP[$info_TL]; //@line 732 "t2.c"
        var $153=CHECK_OVERFLOW(($152+568)&4294967295, 32); //@line 732 "t2.c"
        var $154=HEAP[$153]; //@line 732 "t2.c"
        var $155=HEAP[$curtp]; //@line 732 "t2.c"
        var $156=CHECK_OVERFLOW(($154+20*$155)&4294967295, 32); //@line 732 "t2.c"
        var $157=HEAP[$cstr_info_addr]; //@line 732 "t2.c"
        var $158=CHECK_OVERFLOW(($157+8)&4294967295, 32); //@line 732 "t2.c"
        var $159=HEAP[$158]; //@line 732 "t2.c"
        var $160=HEAP[$tp_start_packno]; //@line 732 "t2.c"
        var $161=CHECK_OVERFLOW((($159) - ($160))&4294967295, 32); //@line 732 "t2.c"
        var $162=CHECK_OVERFLOW(($156+16)&4294967295, 32); //@line 732 "t2.c"
        HEAP[$162]=$161; //@line 732 "t2.c"
        var $163=HEAP[$cstr_info_addr]; //@line 733 "t2.c"
        var $164=CHECK_OVERFLOW(($163+8)&4294967295, 32); //@line 733 "t2.c"
        var $165=HEAP[$164]; //@line 733 "t2.c"
        HEAP[$tp_start_packno]=$165; //@line 733 "t2.c"
        var $166=HEAP[$curtp]; //@line 734 "t2.c"
        var $167=CHECK_OVERFLOW((($166) + 1)&4294967295, 32); //@line 734 "t2.c"
        HEAP[$curtp]=$167; //@line 734 "t2.c"
        var $168=HEAP[$cstr_info_addr]; //@line 735 "t2.c"
        var $169=CHECK_OVERFLOW(($168+88)&4294967295, 32); //@line 735 "t2.c"
        var $170=HEAP[$169]; //@line 735 "t2.c"
        var $171=HEAP[$tileno_addr]; //@line 735 "t2.c"
        var $172=CHECK_OVERFLOW(($170+572*$171)&4294967295, 32); //@line 735 "t2.c"
        var $173=CHECK_OVERFLOW(($172+568)&4294967295, 32); //@line 735 "t2.c"
        var $174=HEAP[$173]; //@line 735 "t2.c"
        var $175=HEAP[$curtp]; //@line 735 "t2.c"
        var $176=CHECK_OVERFLOW(($174+20*$175)&4294967295, 32); //@line 735 "t2.c"
        var $177=CHECK_OVERFLOW(($176+4)&4294967295, 32); //@line 735 "t2.c"
        var $178=HEAP[$177]; //@line 735 "t2.c"
        var $179=CHECK_OVERFLOW((($178) + 1)&4294967295, 32); //@line 735 "t2.c"
        var $180=HEAP[$info_PK]; //@line 735 "t2.c"
        var $181=CHECK_OVERFLOW(($180)&4294967295, 32); //@line 735 "t2.c"
        HEAP[$181]=$179; //@line 735 "t2.c"
        __label__ = 21; break; //@line 735 "t2.c"
      case 23: // $bb20
        var $182=HEAP[$cp]; //@line 737 "t2.c"
        var $183=CHECK_OVERFLOW(($182+16)&4294967295, 32); //@line 737 "t2.c"
        var $184=HEAP[$183]; //@line 737 "t2.c"
        var $185=($184)==0; //@line 737 "t2.c"
        if ($185) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 737 "t2.c"
      case 25: // $bb21
        var $186=HEAP[$info_PK]; //@line 737 "t2.c"
        var $187=CHECK_OVERFLOW(($186)&4294967295, 32); //@line 737 "t2.c"
        var $188=HEAP[$187]; //@line 737 "t2.c"
        var $189=($188)==0; //@line 737 "t2.c"
        if ($189) { __label__ = 24; break; } else { __label__ = 26; break; } //@line 737 "t2.c"
      case 26: // $bb22
        var $190=HEAP[$info_PK]; //@line 737 "t2.c"
        var $191=CHECK_OVERFLOW(($190)&4294967295, 32); //@line 737 "t2.c"
        var $192=HEAP[$191]; //@line 737 "t2.c"
        HEAP[$iftmp_37]=$192; //@line 737 "t2.c"
        __label__ = 27; break; //@line 737 "t2.c"
      case 24: // $bb23
        var $193=HEAP[$info_TL]; //@line 737 "t2.c"
        var $194=CHECK_OVERFLOW(($193+548)&4294967295, 32); //@line 737 "t2.c"
        var $195=HEAP[$194]; //@line 737 "t2.c"
        var $196=HEAP[$cstr_info_addr]; //@line 737 "t2.c"
        var $197=CHECK_OVERFLOW(($196+8)&4294967295, 32); //@line 737 "t2.c"
        var $198=HEAP[$197]; //@line 737 "t2.c"
        var $199=CHECK_OVERFLOW((($198) - 1)&4294967295, 32); //@line 737 "t2.c"
        var $200=CHECK_OVERFLOW(($195+20*$199)&4294967295, 32); //@line 737 "t2.c"
        var $201=CHECK_OVERFLOW(($200+8)&4294967295, 32); //@line 737 "t2.c"
        var $202=HEAP[$201]; //@line 737 "t2.c"
        var $203=CHECK_OVERFLOW((($202) + 1)&4294967295, 32); //@line 737 "t2.c"
        HEAP[$iftmp_37]=$203; //@line 737 "t2.c"
        __label__ = 27; break; //@line 737 "t2.c"
      case 27: // $bb24
        var $204=HEAP[$info_PK]; //@line 737 "t2.c"
        var $205=CHECK_OVERFLOW(($204)&4294967295, 32); //@line 737 "t2.c"
        var $206=HEAP[$iftmp_37]; //@line 737 "t2.c"
        HEAP[$205]=$206; //@line 737 "t2.c"
        __label__ = 21; break; //@line 737 "t2.c"
      case 21: // $bb25
        var $207=HEAP[$info_PK]; //@line 739 "t2.c"
        var $208=CHECK_OVERFLOW(($207)&4294967295, 32); //@line 739 "t2.c"
        var $209=HEAP[$208]; //@line 739 "t2.c"
        var $210=HEAP[$e]; //@line 739 "t2.c"
        var $211=CHECK_OVERFLOW((($209) + ($210))&4294967295, 32); //@line 739 "t2.c"
        var $212=CHECK_OVERFLOW((($211) - 1)&4294967295, 32); //@line 739 "t2.c"
        var $213=HEAP[$info_PK]; //@line 739 "t2.c"
        var $214=CHECK_OVERFLOW(($213+8)&4294967295, 32); //@line 739 "t2.c"
        HEAP[$214]=$212; //@line 739 "t2.c"
        var $215=HEAP[$info_PK]; //@line 740 "t2.c"
        var $216=CHECK_OVERFLOW(($215+4)&4294967295, 32); //@line 740 "t2.c"
        var $217=HEAP[$216]; //@line 740 "t2.c"
        var $218=HEAP[$info_PK]; //@line 740 "t2.c"
        var $219=CHECK_OVERFLOW(($218)&4294967295, 32); //@line 740 "t2.c"
        var $220=HEAP[$219]; //@line 740 "t2.c"
        var $221=CHECK_OVERFLOW((($220) - 1)&4294967295, 32); //@line 740 "t2.c"
        var $222=CHECK_OVERFLOW((($217) + ($221))&4294967295, 32); //@line 740 "t2.c"
        var $223=HEAP[$info_PK]; //@line 740 "t2.c"
        var $224=CHECK_OVERFLOW(($223+4)&4294967295, 32); //@line 740 "t2.c"
        HEAP[$224]=$222; //@line 740 "t2.c"
        var $225=HEAP[$cstr_info_addr]; //@line 742 "t2.c"
        var $226=CHECK_OVERFLOW(($225+8)&4294967295, 32); //@line 742 "t2.c"
        var $227=HEAP[$226]; //@line 742 "t2.c"
        var $228=CHECK_OVERFLOW((($227) + 1)&4294967295, 32); //@line 742 "t2.c"
        var $229=HEAP[$cstr_info_addr]; //@line 742 "t2.c"
        var $230=CHECK_OVERFLOW(($229+8)&4294967295, 32); //@line 742 "t2.c"
        HEAP[$230]=$228; //@line 742 "t2.c"
        __label__ = 18; break; //@line 742 "t2.c"
      case 18: // $bb26
        var $231=HEAP[$e]; //@line 746 "t2.c"
        var $232=($231)==-999; //@line 746 "t2.c"
        if ($232) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 746 "t2.c"
      case 29: // $bb27
        var $233=HEAP[$c]; //@line 749 "t2.c"
        var $234=HEAP[$e]; //@line 749 "t2.c"
        var $235=CHECK_OVERFLOW(($233+$234)&4294967295, 32); //@line 749 "t2.c"
        HEAP[$c]=$235; //@line 749 "t2.c"
        __label__ = 4; break; //@line 749 "t2.c"
      case 4: // $bb28
        var $236=HEAP[$pi]; //@line 706 "t2.c"
        var $237=HEAP[$pino]; //@line 706 "t2.c"
        var $238=CHECK_OVERFLOW(($236+232*$237)&4294967295, 32); //@line 706 "t2.c"
        var $239=_pi_next($238); //@line 706 "t2.c"
        var $240=($239)!=0; //@line 706 "t2.c"
        if ($240) { __label__ = 30; break; } else { __label__ = 28; break; } //@line 706 "t2.c"
      case 28: // $bb29
        var $241=HEAP[$pino]; //@line 705 "t2.c"
        var $242=CHECK_OVERFLOW((($241) + 1)&4294967295, 32); //@line 705 "t2.c"
        HEAP[$pino]=$242; //@line 705 "t2.c"
        __label__ = 3; break; //@line 705 "t2.c"
      case 3: // $bb30
        var $243=HEAP[$cp]; //@line 705 "t2.c"
        var $244=CHECK_OVERFLOW(($243+108)&4294967295, 32); //@line 705 "t2.c"
        var $245=HEAP[$244]; //@line 705 "t2.c"
        var $246=HEAP[$tileno_addr]; //@line 705 "t2.c"
        var $247=CHECK_OVERFLOW(($245+5588*$246)&4294967295, 32); //@line 705 "t2.c"
        var $248=CHECK_OVERFLOW(($247+420)&4294967295, 32); //@line 705 "t2.c"
        var $249=HEAP[$248]; //@line 705 "t2.c"
        var $250=HEAP[$pino]; //@line 705 "t2.c"
        var $251=($249) >= ($250); //@line 705 "t2.c"
        if ($251) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 705 "t2.c"
      case 32: // $bb31
        var $252=HEAP[$cstr_info_addr]; //@line 754 "t2.c"
        var $253=($252)!=0; //@line 754 "t2.c"
        if ($253) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 754 "t2.c"
      case 33: // $bb32
        var $254=HEAP[$cstr_info_addr]; //@line 755 "t2.c"
        var $255=CHECK_OVERFLOW(($254+88)&4294967295, 32); //@line 755 "t2.c"
        var $256=HEAP[$255]; //@line 755 "t2.c"
        var $257=HEAP[$tileno_addr]; //@line 755 "t2.c"
        var $258=CHECK_OVERFLOW(($256+572*$257)&4294967295, 32); //@line 755 "t2.c"
        var $259=CHECK_OVERFLOW(($258+568)&4294967295, 32); //@line 755 "t2.c"
        var $260=HEAP[$259]; //@line 755 "t2.c"
        var $261=HEAP[$curtp]; //@line 755 "t2.c"
        var $262=CHECK_OVERFLOW(($260+20*$261)&4294967295, 32); //@line 755 "t2.c"
        var $263=HEAP[$cstr_info_addr]; //@line 755 "t2.c"
        var $264=CHECK_OVERFLOW(($263+8)&4294967295, 32); //@line 755 "t2.c"
        var $265=HEAP[$264]; //@line 755 "t2.c"
        var $266=HEAP[$tp_start_packno]; //@line 755 "t2.c"
        var $267=CHECK_OVERFLOW((($265) - ($266))&4294967295, 32); //@line 755 "t2.c"
        var $268=CHECK_OVERFLOW(($262+16)&4294967295, 32); //@line 755 "t2.c"
        HEAP[$268]=$267; //@line 755 "t2.c"
        __label__ = 34; break; //@line 755 "t2.c"
      case 34: // $bb33
        var $269=HEAP[$pi]; //@line 760 "t2.c"
        var $270=HEAP[$cp]; //@line 760 "t2.c"
        var $271=HEAP[$tileno_addr]; //@line 760 "t2.c"
        _pi_destroy($269, $270, $271); //@line 760 "t2.c"
        var $272=HEAP[$e]; //@line 762 "t2.c"
        var $273=($272)==-999; //@line 762 "t2.c"
        if ($273) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 762 "t2.c"
      case 35: // $bb34
        var $274=HEAP[$e]; //@line 763 "t2.c"
        HEAP[$0]=$274; //@line 763 "t2.c"
        __label__ = 2; break; //@line 763 "t2.c"
      case 36: // $bb35
        var $275=HEAP[$c]; //@line 766 "t2.c"
        var $276=($275); //@line 766 "t2.c"
        var $277=HEAP[$src_addr]; //@line 766 "t2.c"
        var $278=($277); //@line 766 "t2.c"
        var $279=CHECK_OVERFLOW((($276) - ($278))&4294967295, 32); //@line 766 "t2.c"
        HEAP[$0]=$279; //@line 766 "t2.c"
        __label__ = 2; break; //@line 766 "t2.c"
      case 2: // $bb36
        var $280=HEAP[$0]; //@line 700 "t2.c"
        HEAP[$retval]=$280; //@line 700 "t2.c"
        __label__ = 37; break; //@line 700 "t2.c"
      case 37: // $return
        var $retval37=HEAP[$retval]; //@line 700 "t2.c"
        STACKTOP = __stackBase__;
        return $retval37; //@line 700 "t2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t2_create($cinfo, $image, $cp) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cinfo_addr=__stackBase__;
        var $image_addr=__stackBase__+4;
        var $cp_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $0=__stackBase__+16;
        var $t2=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$cinfo_addr]=$cinfo;
        HEAP[$image_addr]=$image;
        HEAP[$cp_addr]=$cp;
        var $1=_malloc(12); //@line 773 "t2.c"
        var $2=$1; //@line 773 "t2.c"
        HEAP[$t2]=$2; //@line 773 "t2.c"
        var $3=HEAP[$t2]; //@line 774 "t2.c"
        var $4=($3)==0; //@line 774 "t2.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 774 "t2.c"
      case 0: // $bb
        HEAP[$0]=0; //@line 774 "t2.c"
        __label__ = 2; break; //@line 774 "t2.c"
      case 1: // $bb1
        var $5=HEAP[$t2]; //@line 775 "t2.c"
        var $6=CHECK_OVERFLOW(($5)&4294967295, 32); //@line 775 "t2.c"
        var $7=HEAP[$cinfo_addr]; //@line 775 "t2.c"
        HEAP[$6]=$7; //@line 775 "t2.c"
        var $8=HEAP[$t2]; //@line 776 "t2.c"
        var $9=CHECK_OVERFLOW(($8+4)&4294967295, 32); //@line 776 "t2.c"
        var $10=HEAP[$image_addr]; //@line 776 "t2.c"
        HEAP[$9]=$10; //@line 776 "t2.c"
        var $11=HEAP[$t2]; //@line 777 "t2.c"
        var $12=CHECK_OVERFLOW(($11+8)&4294967295, 32); //@line 777 "t2.c"
        var $13=HEAP[$cp_addr]; //@line 777 "t2.c"
        HEAP[$12]=$13; //@line 777 "t2.c"
        var $14=HEAP[$t2]; //@line 779 "t2.c"
        HEAP[$0]=$14; //@line 779 "t2.c"
        __label__ = 2; break; //@line 779 "t2.c"
      case 2: // $bb2
        var $15=HEAP[$0]; //@line 774 "t2.c"
        HEAP[$retval]=$15; //@line 774 "t2.c"
        __label__ = 3; break; //@line 774 "t2.c"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 774 "t2.c"
        STACKTOP = __stackBase__;
        return $retval3; //@line 774 "t2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _t2_destroy($t2) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $t2_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$t2_addr]=$t2;
        var $0=HEAP[$t2_addr]; //@line 783 "t2.c"
        var $1=($0)!=0; //@line 783 "t2.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 783 "t2.c"
      case 0: // $bb
        var $2=HEAP[$t2_addr]; //@line 784 "t2.c"
        var $3=$2; //@line 784 "t2.c"
        _free($3); //@line 784 "t2.c"
        __label__ = 1; break; //@line 784 "t2.c"
      case 1: // $bb1
        __label__ = 2; break; //@line 786 "t2.c"
      case 2: // $return
        STACKTOP = __stackBase__;
        return; //@line 786 "t2.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tcd_dump($fd, $tcd, $img) {
    var __stackBase__  = STACKTOP; STACKTOP += 52; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 52);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $fd_addr=__stackBase__;
        var $tcd_addr=__stackBase__+4;
        var $img_addr=__stackBase__+8;
        var $tileno=__stackBase__+12;
        var $compno=__stackBase__+16;
        var $resno=__stackBase__+20;
        var $bandno=__stackBase__+24;
        var $precno=__stackBase__+28;
        var $tile=__stackBase__+32;
        var $tilec=__stackBase__+36;
        var $res=__stackBase__+40;
        var $band=__stackBase__+44;
        var $prec=__stackBase__+48;
        var $_alloca_point_=0;
        HEAP[$fd_addr]=$fd;
        HEAP[$tcd_addr]=$tcd;
        HEAP[$img_addr]=$img;
        var $0=HEAP[$fd_addr]; //@line 38 "tcd.c"
        var $1=$0; //@line 38 "tcd.c"
        var $2=_fwrite(CHECK_OVERFLOW((__str50109)&4294967295, 32), 1, 8, $1); //@line 38 "tcd.c"
        var $3=HEAP[$tcd_addr]; //@line 39 "tcd.c"
        var $4=CHECK_OVERFLOW(($3+28)&4294967295, 32); //@line 39 "tcd.c"
        var $5=HEAP[$4]; //@line 39 "tcd.c"
        var $6=CHECK_OVERFLOW(($5+12)&4294967295, 32); //@line 39 "tcd.c"
        var $7=HEAP[$6]; //@line 39 "tcd.c"
        var $8=HEAP[$tcd_addr]; //@line 39 "tcd.c"
        var $9=CHECK_OVERFLOW(($8+28)&4294967295, 32); //@line 39 "tcd.c"
        var $10=HEAP[$9]; //@line 39 "tcd.c"
        var $11=CHECK_OVERFLOW(($10+4)&4294967295, 32); //@line 39 "tcd.c"
        var $12=HEAP[$11]; //@line 39 "tcd.c"
        var $13=HEAP[$tcd_addr]; //@line 39 "tcd.c"
        var $14=CHECK_OVERFLOW(($13+28)&4294967295, 32); //@line 39 "tcd.c"
        var $15=HEAP[$14]; //@line 39 "tcd.c"
        var $16=CHECK_OVERFLOW(($15+8)&4294967295, 32); //@line 39 "tcd.c"
        var $17=HEAP[$16]; //@line 39 "tcd.c"
        var $18=HEAP[$tcd_addr]; //@line 39 "tcd.c"
        var $19=CHECK_OVERFLOW(($18+28)&4294967295, 32); //@line 39 "tcd.c"
        var $20=HEAP[$19]; //@line 39 "tcd.c"
        var $21=CHECK_OVERFLOW(($20)&4294967295, 32); //@line 39 "tcd.c"
        var $22=HEAP[$21]; //@line 39 "tcd.c"
        var $23=HEAP[$img_addr]; //@line 39 "tcd.c"
        var $24=CHECK_OVERFLOW(($23+4)&4294967295, 32); //@line 39 "tcd.c"
        var $25=HEAP[$24]; //@line 39 "tcd.c"
        var $26=HEAP[$img_addr]; //@line 39 "tcd.c"
        var $27=CHECK_OVERFLOW(($26)&4294967295, 32); //@line 39 "tcd.c"
        var $28=HEAP[$27]; //@line 39 "tcd.c"
        var $29=HEAP[$fd_addr]; //@line 39 "tcd.c"
        var $30=_fprintf($29, CHECK_OVERFLOW((__str151)&4294967295, 32), $28, $25, $22, $17, $12, $7); //@line 39 "tcd.c"
        HEAP[$tileno]=0; //@line 42 "tcd.c"
        __label__ = 0; break; //@line 42 "tcd.c"
      case 13: // $bb
        var $31=HEAP[$tcd_addr]; //@line 43 "tcd.c"
        var $32=CHECK_OVERFLOW(($31+24)&4294967295, 32); //@line 43 "tcd.c"
        var $33=HEAP[$32]; //@line 43 "tcd.c"
        var $34=CHECK_OVERFLOW(($33+8)&4294967295, 32); //@line 43 "tcd.c"
        var $35=HEAP[$34]; //@line 43 "tcd.c"
        var $36=HEAP[$tileno]; //@line 43 "tcd.c"
        var $37=CHECK_OVERFLOW(($35+840*$36)&4294967295, 32); //@line 43 "tcd.c"
        HEAP[$tile]=$37; //@line 43 "tcd.c"
        var $38=HEAP[$fd_addr]; //@line 44 "tcd.c"
        var $39=$38; //@line 44 "tcd.c"
        var $40=_fwrite(CHECK_OVERFLOW((__str252)&4294967295, 32), 1, 9, $39); //@line 44 "tcd.c"
        var $41=HEAP[$tile]; //@line 45 "tcd.c"
        var $42=CHECK_OVERFLOW(($41+16)&4294967295, 32); //@line 45 "tcd.c"
        var $43=HEAP[$42]; //@line 45 "tcd.c"
        var $44=HEAP[$tile]; //@line 45 "tcd.c"
        var $45=CHECK_OVERFLOW(($44+12)&4294967295, 32); //@line 45 "tcd.c"
        var $46=HEAP[$45]; //@line 45 "tcd.c"
        var $47=HEAP[$tile]; //@line 45 "tcd.c"
        var $48=CHECK_OVERFLOW(($47+8)&4294967295, 32); //@line 45 "tcd.c"
        var $49=HEAP[$48]; //@line 45 "tcd.c"
        var $50=HEAP[$tile]; //@line 45 "tcd.c"
        var $51=CHECK_OVERFLOW(($50+4)&4294967295, 32); //@line 45 "tcd.c"
        var $52=HEAP[$51]; //@line 45 "tcd.c"
        var $53=HEAP[$tile]; //@line 45 "tcd.c"
        var $54=CHECK_OVERFLOW(($53)&4294967295, 32); //@line 45 "tcd.c"
        var $55=HEAP[$54]; //@line 45 "tcd.c"
        var $56=HEAP[$fd_addr]; //@line 45 "tcd.c"
        var $57=_fprintf($56, CHECK_OVERFLOW((__str353)&4294967295, 32), $55, $52, $49, $46, $43); //@line 45 "tcd.c"
        HEAP[$compno]=0; //@line 47 "tcd.c"
        __label__ = 1; break; //@line 47 "tcd.c"
      case 11: // $bb1
        var $58=HEAP[$tile]; //@line 48 "tcd.c"
        var $59=CHECK_OVERFLOW(($58+20)&4294967295, 32); //@line 48 "tcd.c"
        var $60=HEAP[$59]; //@line 48 "tcd.c"
        var $61=HEAP[$compno]; //@line 48 "tcd.c"
        var $62=CHECK_OVERFLOW(($60+32*$61)&4294967295, 32); //@line 48 "tcd.c"
        HEAP[$tilec]=$62; //@line 48 "tcd.c"
        var $63=HEAP[$fd_addr]; //@line 49 "tcd.c"
        var $64=$63; //@line 49 "tcd.c"
        var $65=_fwrite(CHECK_OVERFLOW((__str454)&4294967295, 32), 1, 12, $64); //@line 49 "tcd.c"
        var $66=HEAP[$tilec]; //@line 50 "tcd.c"
        var $67=CHECK_OVERFLOW(($66+16)&4294967295, 32); //@line 50 "tcd.c"
        var $68=HEAP[$67]; //@line 50 "tcd.c"
        var $69=HEAP[$tilec]; //@line 50 "tcd.c"
        var $70=CHECK_OVERFLOW(($69+12)&4294967295, 32); //@line 50 "tcd.c"
        var $71=HEAP[$70]; //@line 50 "tcd.c"
        var $72=HEAP[$tilec]; //@line 50 "tcd.c"
        var $73=CHECK_OVERFLOW(($72+8)&4294967295, 32); //@line 50 "tcd.c"
        var $74=HEAP[$73]; //@line 50 "tcd.c"
        var $75=HEAP[$tilec]; //@line 50 "tcd.c"
        var $76=CHECK_OVERFLOW(($75+4)&4294967295, 32); //@line 50 "tcd.c"
        var $77=HEAP[$76]; //@line 50 "tcd.c"
        var $78=HEAP[$tilec]; //@line 50 "tcd.c"
        var $79=CHECK_OVERFLOW(($78)&4294967295, 32); //@line 50 "tcd.c"
        var $80=HEAP[$79]; //@line 50 "tcd.c"
        var $81=HEAP[$fd_addr]; //@line 50 "tcd.c"
        var $82=_fprintf($81, CHECK_OVERFLOW((__str555)&4294967295, 32), $80, $77, $74, $71, $68); //@line 50 "tcd.c"
        HEAP[$resno]=0; //@line 53 "tcd.c"
        __label__ = 2; break; //@line 53 "tcd.c"
      case 9: // $bb2
        var $83=HEAP[$tilec]; //@line 54 "tcd.c"
        var $84=CHECK_OVERFLOW(($83+20)&4294967295, 32); //@line 54 "tcd.c"
        var $85=HEAP[$84]; //@line 54 "tcd.c"
        var $86=HEAP[$resno]; //@line 54 "tcd.c"
        var $87=CHECK_OVERFLOW(($85+124*$86)&4294967295, 32); //@line 54 "tcd.c"
        HEAP[$res]=$87; //@line 54 "tcd.c"
        var $88=HEAP[$fd_addr]; //@line 55 "tcd.c"
        var $89=$88; //@line 55 "tcd.c"
        var $90=_fwrite(CHECK_OVERFLOW((__str656)&4294967295, 32), 1, 10, $89); //@line 55 "tcd.c"
        var $91=HEAP[$res]; //@line 56 "tcd.c"
        var $92=CHECK_OVERFLOW(($91+24)&4294967295, 32); //@line 56 "tcd.c"
        var $93=HEAP[$92]; //@line 56 "tcd.c"
        var $94=HEAP[$res]; //@line 56 "tcd.c"
        var $95=CHECK_OVERFLOW(($94+20)&4294967295, 32); //@line 56 "tcd.c"
        var $96=HEAP[$95]; //@line 56 "tcd.c"
        var $97=HEAP[$res]; //@line 56 "tcd.c"
        var $98=CHECK_OVERFLOW(($97+16)&4294967295, 32); //@line 56 "tcd.c"
        var $99=HEAP[$98]; //@line 56 "tcd.c"
        var $100=HEAP[$res]; //@line 56 "tcd.c"
        var $101=CHECK_OVERFLOW(($100+12)&4294967295, 32); //@line 56 "tcd.c"
        var $102=HEAP[$101]; //@line 56 "tcd.c"
        var $103=HEAP[$res]; //@line 56 "tcd.c"
        var $104=CHECK_OVERFLOW(($103+8)&4294967295, 32); //@line 56 "tcd.c"
        var $105=HEAP[$104]; //@line 56 "tcd.c"
        var $106=HEAP[$res]; //@line 56 "tcd.c"
        var $107=CHECK_OVERFLOW(($106+4)&4294967295, 32); //@line 56 "tcd.c"
        var $108=HEAP[$107]; //@line 56 "tcd.c"
        var $109=HEAP[$res]; //@line 56 "tcd.c"
        var $110=CHECK_OVERFLOW(($109)&4294967295, 32); //@line 56 "tcd.c"
        var $111=HEAP[$110]; //@line 56 "tcd.c"
        var $112=HEAP[$fd_addr]; //@line 56 "tcd.c"
        var $113=_fprintf($112, CHECK_OVERFLOW((__str757)&4294967295, 32), $111, $108, $105, $102, $99, $96, $93); //@line 56 "tcd.c"
        HEAP[$bandno]=0; //@line 59 "tcd.c"
        __label__ = 3; break; //@line 59 "tcd.c"
      case 7: // $bb3
        var $114=HEAP[$bandno]; //@line 60 "tcd.c"
        var $115=HEAP[$res]; //@line 60 "tcd.c"
        var $116=CHECK_OVERFLOW(($115+28)&4294967295, 32); //@line 60 "tcd.c"
        var $117=CHECK_OVERFLOW(($116+$114*32)&4294967295, 32); //@line 60 "tcd.c"
        HEAP[$band]=$117; //@line 60 "tcd.c"
        var $118=HEAP[$fd_addr]; //@line 61 "tcd.c"
        var $119=$118; //@line 61 "tcd.c"
        var $120=_fwrite(CHECK_OVERFLOW((__str858)&4294967295, 32), 1, 15, $119); //@line 61 "tcd.c"
        var $121=HEAP[$band]; //@line 62 "tcd.c"
        var $122=CHECK_OVERFLOW(($121+24)&4294967295, 32); //@line 62 "tcd.c"
        var $123=HEAP[$122]; //@line 62 "tcd.c"
        var $124=HEAP[$band]; //@line 62 "tcd.c"
        var $125=CHECK_OVERFLOW(($124+28)&4294967295, 32); //@line 62 "tcd.c"
        var $126=HEAP[$125]; //@line 62 "tcd.c"
        var $127=($126); //@line 62 "tcd.c"
        var $128=HEAP[$band]; //@line 62 "tcd.c"
        var $129=CHECK_OVERFLOW(($128+12)&4294967295, 32); //@line 62 "tcd.c"
        var $130=HEAP[$129]; //@line 62 "tcd.c"
        var $131=HEAP[$band]; //@line 62 "tcd.c"
        var $132=CHECK_OVERFLOW(($131+8)&4294967295, 32); //@line 62 "tcd.c"
        var $133=HEAP[$132]; //@line 62 "tcd.c"
        var $134=HEAP[$band]; //@line 62 "tcd.c"
        var $135=CHECK_OVERFLOW(($134+4)&4294967295, 32); //@line 62 "tcd.c"
        var $136=HEAP[$135]; //@line 62 "tcd.c"
        var $137=HEAP[$band]; //@line 62 "tcd.c"
        var $138=CHECK_OVERFLOW(($137)&4294967295, 32); //@line 62 "tcd.c"
        var $139=HEAP[$138]; //@line 62 "tcd.c"
        var $140=HEAP[$fd_addr]; //@line 62 "tcd.c"
        var $141=_fprintf($140, CHECK_OVERFLOW((__str959)&4294967295, 32), $139, $136, $133, $130, $127, $123); //@line 62 "tcd.c"
        HEAP[$precno]=0; //@line 65 "tcd.c"
        __label__ = 4; break; //@line 65 "tcd.c"
      case 5: // $bb4
        var $142=HEAP[$band]; //@line 66 "tcd.c"
        var $143=CHECK_OVERFLOW(($142+20)&4294967295, 32); //@line 66 "tcd.c"
        var $144=HEAP[$143]; //@line 66 "tcd.c"
        var $145=HEAP[$precno]; //@line 66 "tcd.c"
        var $146=CHECK_OVERFLOW(($144+36*$145)&4294967295, 32); //@line 66 "tcd.c"
        HEAP[$prec]=$146; //@line 66 "tcd.c"
        var $147=HEAP[$fd_addr]; //@line 67 "tcd.c"
        var $148=$147; //@line 67 "tcd.c"
        var $149=_fwrite(CHECK_OVERFLOW((__str1060)&4294967295, 32), 1, 17, $148); //@line 67 "tcd.c"
        var $150=HEAP[$prec]; //@line 68 "tcd.c"
        var $151=CHECK_OVERFLOW(($150+20)&4294967295, 32); //@line 68 "tcd.c"
        var $152=HEAP[$151]; //@line 68 "tcd.c"
        var $153=HEAP[$prec]; //@line 68 "tcd.c"
        var $154=CHECK_OVERFLOW(($153+16)&4294967295, 32); //@line 68 "tcd.c"
        var $155=HEAP[$154]; //@line 68 "tcd.c"
        var $156=HEAP[$prec]; //@line 68 "tcd.c"
        var $157=CHECK_OVERFLOW(($156+12)&4294967295, 32); //@line 68 "tcd.c"
        var $158=HEAP[$157]; //@line 68 "tcd.c"
        var $159=HEAP[$prec]; //@line 68 "tcd.c"
        var $160=CHECK_OVERFLOW(($159+8)&4294967295, 32); //@line 68 "tcd.c"
        var $161=HEAP[$160]; //@line 68 "tcd.c"
        var $162=HEAP[$prec]; //@line 68 "tcd.c"
        var $163=CHECK_OVERFLOW(($162+4)&4294967295, 32); //@line 68 "tcd.c"
        var $164=HEAP[$163]; //@line 68 "tcd.c"
        var $165=HEAP[$prec]; //@line 68 "tcd.c"
        var $166=CHECK_OVERFLOW(($165)&4294967295, 32); //@line 68 "tcd.c"
        var $167=HEAP[$166]; //@line 68 "tcd.c"
        var $168=HEAP[$fd_addr]; //@line 68 "tcd.c"
        var $169=_fprintf($168, CHECK_OVERFLOW((__str1161)&4294967295, 32), $167, $164, $161, $158, $155, $152); //@line 68 "tcd.c"
        var $170=HEAP[$fd_addr]; //@line 81 "tcd.c"
        var $171=$170; //@line 81 "tcd.c"
        var $172=_fwrite(CHECK_OVERFLOW((__str1262)&4294967295, 32), 1, 12, $171); //@line 81 "tcd.c"
        var $173=HEAP[$precno]; //@line 65 "tcd.c"
        var $174=CHECK_OVERFLOW((($173) + 1)&4294967295, 32); //@line 65 "tcd.c"
        HEAP[$precno]=$174; //@line 65 "tcd.c"
        __label__ = 4; break; //@line 65 "tcd.c"
      case 4: // $bb5
        var $175=HEAP[$res]; //@line 65 "tcd.c"
        var $176=CHECK_OVERFLOW(($175+16)&4294967295, 32); //@line 65 "tcd.c"
        var $177=HEAP[$176]; //@line 65 "tcd.c"
        var $178=HEAP[$res]; //@line 65 "tcd.c"
        var $179=CHECK_OVERFLOW(($178+20)&4294967295, 32); //@line 65 "tcd.c"
        var $180=HEAP[$179]; //@line 65 "tcd.c"
        var $181=CHECK_OVERFLOW((($177) * ($180))&4294967295, 32); //@line 65 "tcd.c"
        var $182=HEAP[$precno]; //@line 65 "tcd.c"
        var $183=($181) > ($182); //@line 65 "tcd.c"
        if ($183) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 65 "tcd.c"
      case 6: // $bb6
        var $184=HEAP[$fd_addr]; //@line 83 "tcd.c"
        var $185=$184; //@line 83 "tcd.c"
        var $186=_fwrite(CHECK_OVERFLOW((__str1363)&4294967295, 32), 1, 10, $185); //@line 83 "tcd.c"
        var $187=HEAP[$bandno]; //@line 59 "tcd.c"
        var $188=CHECK_OVERFLOW((($187) + 1)&4294967295, 32); //@line 59 "tcd.c"
        HEAP[$bandno]=$188; //@line 59 "tcd.c"
        __label__ = 3; break; //@line 59 "tcd.c"
      case 3: // $bb7
        var $189=HEAP[$res]; //@line 59 "tcd.c"
        var $190=CHECK_OVERFLOW(($189+24)&4294967295, 32); //@line 59 "tcd.c"
        var $191=HEAP[$190]; //@line 59 "tcd.c"
        var $192=HEAP[$bandno]; //@line 59 "tcd.c"
        var $193=($191) > ($192); //@line 59 "tcd.c"
        if ($193) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 59 "tcd.c"
      case 8: // $bb8
        var $194=HEAP[$fd_addr]; //@line 85 "tcd.c"
        var $195=$194; //@line 85 "tcd.c"
        var $196=_fwrite(CHECK_OVERFLOW((__str1464)&4294967295, 32), 1, 8, $195); //@line 85 "tcd.c"
        var $197=HEAP[$resno]; //@line 53 "tcd.c"
        var $198=CHECK_OVERFLOW((($197) + 1)&4294967295, 32); //@line 53 "tcd.c"
        HEAP[$resno]=$198; //@line 53 "tcd.c"
        __label__ = 2; break; //@line 53 "tcd.c"
      case 2: // $bb9
        var $199=HEAP[$tilec]; //@line 53 "tcd.c"
        var $200=CHECK_OVERFLOW(($199+16)&4294967295, 32); //@line 53 "tcd.c"
        var $201=HEAP[$200]; //@line 53 "tcd.c"
        var $202=HEAP[$resno]; //@line 53 "tcd.c"
        var $203=($201) > ($202); //@line 53 "tcd.c"
        if ($203) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 53 "tcd.c"
      case 10: // $bb10
        var $204=HEAP[$fd_addr]; //@line 87 "tcd.c"
        var $205=$204; //@line 87 "tcd.c"
        var $206=_fwrite(CHECK_OVERFLOW((__str1565)&4294967295, 32), 1, 6, $205); //@line 87 "tcd.c"
        var $207=HEAP[$compno]; //@line 47 "tcd.c"
        var $208=CHECK_OVERFLOW((($207) + 1)&4294967295, 32); //@line 47 "tcd.c"
        HEAP[$compno]=$208; //@line 47 "tcd.c"
        __label__ = 1; break; //@line 47 "tcd.c"
      case 1: // $bb11
        var $209=HEAP[$tile]; //@line 47 "tcd.c"
        var $210=CHECK_OVERFLOW(($209+16)&4294967295, 32); //@line 47 "tcd.c"
        var $211=HEAP[$210]; //@line 47 "tcd.c"
        var $212=HEAP[$compno]; //@line 47 "tcd.c"
        var $213=($211) > ($212); //@line 47 "tcd.c"
        if ($213) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 47 "tcd.c"
      case 12: // $bb12
        var $214=HEAP[$fd_addr]; //@line 89 "tcd.c"
        var $215=$214; //@line 89 "tcd.c"
        var $216=_fwrite(CHECK_OVERFLOW((__str1666)&4294967295, 32), 1, 4, $215); //@line 89 "tcd.c"
        var $217=HEAP[$tileno]; //@line 42 "tcd.c"
        var $218=CHECK_OVERFLOW((($217) + 1)&4294967295, 32); //@line 42 "tcd.c"
        HEAP[$tileno]=$218; //@line 42 "tcd.c"
        __label__ = 0; break; //@line 42 "tcd.c"
      case 0: // $bb13
        var $219=HEAP[$img_addr]; //@line 42 "tcd.c"
        var $220=CHECK_OVERFLOW(($219+4)&4294967295, 32); //@line 42 "tcd.c"
        var $221=HEAP[$220]; //@line 42 "tcd.c"
        var $222=HEAP[$img_addr]; //@line 42 "tcd.c"
        var $223=CHECK_OVERFLOW(($222)&4294967295, 32); //@line 42 "tcd.c"
        var $224=HEAP[$223]; //@line 42 "tcd.c"
        var $225=CHECK_OVERFLOW((($221) * ($224))&4294967295, 32); //@line 42 "tcd.c"
        var $226=HEAP[$tileno]; //@line 42 "tcd.c"
        var $227=($225) > ($226); //@line 42 "tcd.c"
        if ($227) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 42 "tcd.c"
      case 14: // $bb14
        var $228=HEAP[$fd_addr]; //@line 91 "tcd.c"
        var $229=$228; //@line 91 "tcd.c"
        var $230=_fwrite(CHECK_OVERFLOW((__str1767)&4294967295, 32), 1, 2, $229); //@line 91 "tcd.c"
        __label__ = 15; break; //@line 92 "tcd.c"
      case 15: // $return
        STACKTOP = __stackBase__;
        return; //@line 92 "tcd.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tcd_create($cinfo) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cinfo_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $tcd=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$cinfo_addr]=$cinfo;
        var $1=_malloc(56); //@line 101 "tcd.c"
        var $2=$1; //@line 101 "tcd.c"
        HEAP[$tcd]=$2; //@line 101 "tcd.c"
        var $3=HEAP[$tcd]; //@line 102 "tcd.c"
        var $4=($3)==0; //@line 102 "tcd.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 102 "tcd.c"
      case 0: // $bb
        HEAP[$0]=0; //@line 102 "tcd.c"
        __label__ = 2; break; //@line 102 "tcd.c"
      case 1: // $bb1
        var $5=HEAP[$tcd]; //@line 103 "tcd.c"
        var $6=CHECK_OVERFLOW(($5+20)&4294967295, 32); //@line 103 "tcd.c"
        var $7=HEAP[$cinfo_addr]; //@line 103 "tcd.c"
        HEAP[$6]=$7; //@line 103 "tcd.c"
        var $8=_malloc(12); //@line 104 "tcd.c"
        var $9=$8; //@line 104 "tcd.c"
        var $10=HEAP[$tcd]; //@line 104 "tcd.c"
        var $11=CHECK_OVERFLOW(($10+24)&4294967295, 32); //@line 104 "tcd.c"
        HEAP[$11]=$9; //@line 104 "tcd.c"
        var $12=HEAP[$tcd]; //@line 105 "tcd.c"
        var $13=CHECK_OVERFLOW(($12+24)&4294967295, 32); //@line 105 "tcd.c"
        var $14=HEAP[$13]; //@line 105 "tcd.c"
        var $15=($14)==0; //@line 105 "tcd.c"
        if ($15) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 105 "tcd.c"
      case 3: // $bb2
        var $16=HEAP[$tcd]; //@line 106 "tcd.c"
        var $17=$16; //@line 106 "tcd.c"
        _free($17); //@line 106 "tcd.c"
        HEAP[$0]=0; //@line 107 "tcd.c"
        __label__ = 2; break; //@line 107 "tcd.c"
      case 4: // $bb3
        var $18=HEAP[$tcd]; //@line 110 "tcd.c"
        HEAP[$0]=$18; //@line 110 "tcd.c"
        __label__ = 2; break; //@line 110 "tcd.c"
      case 2: // $bb4
        var $19=HEAP[$0]; //@line 102 "tcd.c"
        HEAP[$retval]=$19; //@line 102 "tcd.c"
        __label__ = 5; break; //@line 102 "tcd.c"
      case 5: // $return
        var $retval5=HEAP[$retval]; //@line 102 "tcd.c"
        STACKTOP = __stackBase__;
        return $retval5; //@line 102 "tcd.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tcd_destroy($tcd) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tcd_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$tcd_addr]=$tcd;
        var $0=HEAP[$tcd_addr]; //@line 117 "tcd.c"
        var $1=($0)!=0; //@line 117 "tcd.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 117 "tcd.c"
      case 0: // $bb
        var $2=HEAP[$tcd_addr]; //@line 118 "tcd.c"
        var $3=CHECK_OVERFLOW(($2+24)&4294967295, 32); //@line 118 "tcd.c"
        var $4=HEAP[$3]; //@line 118 "tcd.c"
        var $5=$4; //@line 118 "tcd.c"
        _free($5); //@line 118 "tcd.c"
        var $6=HEAP[$tcd_addr]; //@line 119 "tcd.c"
        var $7=$6; //@line 119 "tcd.c"
        _free($7); //@line 119 "tcd.c"
        __label__ = 1; break; //@line 119 "tcd.c"
      case 1: // $bb1
        __label__ = 2; break; //@line 121 "tcd.c"
      case 2: // $return
        STACKTOP = __stackBase__;
        return; //@line 121 "tcd.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tcd_malloc_encode($tcd, $image, $cp, $curtileno) {
    var __stackBase__  = STACKTOP; STACKTOP += 248; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 248);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tcd_addr=__stackBase__;
        var $image_addr=__stackBase__+4;
        var $cp_addr=__stackBase__+8;
        var $curtileno_addr=__stackBase__+12;
        var $iftmp_23=__stackBase__+16;
        var $iftmp_21=__stackBase__+20;
        var $iftmp_20=__stackBase__+24;
        var $iftmp_19=__stackBase__+28;
        var $iftmp_18=__stackBase__+32;
        var $iftmp_14=__stackBase__+36;
        var $iftmp_4=__stackBase__+40;
        var $iftmp_2=__stackBase__+44;
        var $tileno=__stackBase__+48;
        var $compno=__stackBase__+52;
        var $resno=__stackBase__+56;
        var $bandno=__stackBase__+60;
        var $precno=__stackBase__+64;
        var $cblkno=__stackBase__+68;
        var $tcp=__stackBase__+72;
        var $j=__stackBase__+76;
        var $p=__stackBase__+80;
        var $q=__stackBase__+84;
        var $tile=__stackBase__+88;
        var $tccp=__stackBase__+92;
        var $tilec=__stackBase__+96;
        var $pdx=__stackBase__+100;
        var $pdy=__stackBase__+104;
        var $levelno=__stackBase__+108;
        var $tlprcxstart=__stackBase__+112;
        var $tlprcystart=__stackBase__+116;
        var $brprcxend=__stackBase__+120;
        var $brprcyend=__stackBase__+124;
        var $tlcbgxstart=__stackBase__+128;
        var $tlcbgystart=__stackBase__+132;
        var $brcbgxend=__stackBase__+136;
        var $brcbgyend=__stackBase__+140;
        var $cbgwidthexpn=__stackBase__+144;
        var $cbgheightexpn=__stackBase__+148;
        var $cblkwidthexpn=__stackBase__+152;
        var $cblkheightexpn=__stackBase__+156;
        var $res=__stackBase__+160;
        var $x0b=__stackBase__+164;
        var $y0b=__stackBase__+168;
        var $i=__stackBase__+172;
        var $gain=__stackBase__+176;
        var $numbps=__stackBase__+180;
        var $ss=__stackBase__+184;
        var $band=__stackBase__+188;
        var $tlcblkxstart=__stackBase__+192;
        var $tlcblkystart=__stackBase__+196;
        var $brcblkxend=__stackBase__+200;
        var $brcblkyend=__stackBase__+204;
        var $cbgxstart=__stackBase__+208;
        var $cbgystart=__stackBase__+212;
        var $cbgxend=__stackBase__+216;
        var $cbgyend=__stackBase__+220;
        var $prc=__stackBase__+224;
        var $cblkxstart=__stackBase__+228;
        var $cblkystart=__stackBase__+232;
        var $cblkxend=__stackBase__+236;
        var $cblkyend=__stackBase__+240;
        var $cblk=__stackBase__+244;
        var $_alloca_point_=0;
        HEAP[$tcd_addr]=$tcd;
        HEAP[$image_addr]=$image;
        HEAP[$cp_addr]=$cp;
        HEAP[$curtileno_addr]=$curtileno;
        var $0=HEAP[$tcd_addr]; //@line 128 "tcd.c"
        var $1=CHECK_OVERFLOW(($0+28)&4294967295, 32); //@line 128 "tcd.c"
        var $2=HEAP[$image_addr]; //@line 128 "tcd.c"
        HEAP[$1]=$2; //@line 128 "tcd.c"
        var $3=HEAP[$tcd_addr]; //@line 129 "tcd.c"
        var $4=CHECK_OVERFLOW(($3+32)&4294967295, 32); //@line 129 "tcd.c"
        var $5=HEAP[$cp_addr]; //@line 129 "tcd.c"
        HEAP[$4]=$5; //@line 129 "tcd.c"
        var $6=HEAP[$tcd_addr]; //@line 130 "tcd.c"
        var $7=CHECK_OVERFLOW(($6+24)&4294967295, 32); //@line 130 "tcd.c"
        var $8=HEAP[$7]; //@line 130 "tcd.c"
        var $9=HEAP[$cp_addr]; //@line 130 "tcd.c"
        var $10=CHECK_OVERFLOW(($9+68)&4294967295, 32); //@line 130 "tcd.c"
        var $11=HEAP[$10]; //@line 130 "tcd.c"
        var $12=CHECK_OVERFLOW(($8)&4294967295, 32); //@line 130 "tcd.c"
        HEAP[$12]=$11; //@line 130 "tcd.c"
        var $13=HEAP[$tcd_addr]; //@line 131 "tcd.c"
        var $14=CHECK_OVERFLOW(($13+24)&4294967295, 32); //@line 131 "tcd.c"
        var $15=HEAP[$14]; //@line 131 "tcd.c"
        var $16=HEAP[$cp_addr]; //@line 131 "tcd.c"
        var $17=CHECK_OVERFLOW(($16+72)&4294967295, 32); //@line 131 "tcd.c"
        var $18=HEAP[$17]; //@line 131 "tcd.c"
        var $19=CHECK_OVERFLOW(($15+4)&4294967295, 32); //@line 131 "tcd.c"
        HEAP[$19]=$18; //@line 131 "tcd.c"
        var $20=HEAP[$tcd_addr]; //@line 132 "tcd.c"
        var $21=CHECK_OVERFLOW(($20+24)&4294967295, 32); //@line 132 "tcd.c"
        var $22=HEAP[$21]; //@line 132 "tcd.c"
        var $23=_malloc(840); //@line 132 "tcd.c"
        var $24=$23; //@line 132 "tcd.c"
        var $25=CHECK_OVERFLOW(($22+8)&4294967295, 32); //@line 132 "tcd.c"
        HEAP[$25]=$24; //@line 132 "tcd.c"
        HEAP[$tileno]=0; //@line 134 "tcd.c"
        __label__ = 0; break; //@line 134 "tcd.c"
      case 66: // $bb
        var $26=HEAP[$cp_addr]; //@line 135 "tcd.c"
        var $27=CHECK_OVERFLOW(($26+108)&4294967295, 32); //@line 135 "tcd.c"
        var $28=HEAP[$27]; //@line 135 "tcd.c"
        var $29=HEAP[$curtileno_addr]; //@line 135 "tcd.c"
        var $30=CHECK_OVERFLOW(($28+5588*$29)&4294967295, 32); //@line 135 "tcd.c"
        HEAP[$tcp]=$30; //@line 135 "tcd.c"
        var $31=HEAP[$cp_addr]; //@line 139 "tcd.c"
        var $32=CHECK_OVERFLOW(($31+68)&4294967295, 32); //@line 139 "tcd.c"
        var $33=HEAP[$32]; //@line 139 "tcd.c"
        var $34=HEAP[$curtileno_addr]; //@line 139 "tcd.c"
        var $35=($34) % ($33); //@line 139 "tcd.c"
        HEAP[$p]=$35; //@line 139 "tcd.c"
        var $36=HEAP[$cp_addr]; //@line 140 "tcd.c"
        var $37=CHECK_OVERFLOW(($36+68)&4294967295, 32); //@line 140 "tcd.c"
        var $38=HEAP[$37]; //@line 140 "tcd.c"
        var $39=HEAP[$curtileno_addr]; //@line 140 "tcd.c"
        var $40=(($39)/($38)|0); //@line 140 "tcd.c"
        HEAP[$q]=$40; //@line 140 "tcd.c"
        var $41=HEAP[$tcd_addr]; //@line 143 "tcd.c"
        var $42=CHECK_OVERFLOW(($41+24)&4294967295, 32); //@line 143 "tcd.c"
        var $43=HEAP[$42]; //@line 143 "tcd.c"
        var $44=CHECK_OVERFLOW(($43+8)&4294967295, 32); //@line 143 "tcd.c"
        var $45=HEAP[$44]; //@line 143 "tcd.c"
        HEAP[$tile]=$45; //@line 143 "tcd.c"
        var $46=HEAP[$image_addr]; //@line 146 "tcd.c"
        var $47=CHECK_OVERFLOW(($46)&4294967295, 32); //@line 146 "tcd.c"
        var $48=HEAP[$47]; //@line 146 "tcd.c"
        var $49=HEAP[$cp_addr]; //@line 146 "tcd.c"
        var $50=CHECK_OVERFLOW(($49+48)&4294967295, 32); //@line 146 "tcd.c"
        var $51=HEAP[$50]; //@line 146 "tcd.c"
        var $52=HEAP[$cp_addr]; //@line 146 "tcd.c"
        var $53=CHECK_OVERFLOW(($52+56)&4294967295, 32); //@line 146 "tcd.c"
        var $54=HEAP[$53]; //@line 146 "tcd.c"
        var $55=HEAP[$p]; //@line 146 "tcd.c"
        var $56=CHECK_OVERFLOW((($54) * ($55))&4294967295, 32); //@line 146 "tcd.c"
        var $57=CHECK_OVERFLOW((($51) + ($56))&4294967295, 32); //@line 146 "tcd.c"
        var $58=_int_max71($57, $48); //@line 146 "tcd.c"
        var $59=HEAP[$tile]; //@line 146 "tcd.c"
        var $60=CHECK_OVERFLOW(($59)&4294967295, 32); //@line 146 "tcd.c"
        HEAP[$60]=$58; //@line 146 "tcd.c"
        var $61=HEAP[$image_addr]; //@line 147 "tcd.c"
        var $62=CHECK_OVERFLOW(($61+4)&4294967295, 32); //@line 147 "tcd.c"
        var $63=HEAP[$62]; //@line 147 "tcd.c"
        var $64=HEAP[$cp_addr]; //@line 147 "tcd.c"
        var $65=CHECK_OVERFLOW(($64+52)&4294967295, 32); //@line 147 "tcd.c"
        var $66=HEAP[$65]; //@line 147 "tcd.c"
        var $67=HEAP[$cp_addr]; //@line 147 "tcd.c"
        var $68=CHECK_OVERFLOW(($67+60)&4294967295, 32); //@line 147 "tcd.c"
        var $69=HEAP[$68]; //@line 147 "tcd.c"
        var $70=HEAP[$q]; //@line 147 "tcd.c"
        var $71=CHECK_OVERFLOW((($69) * ($70))&4294967295, 32); //@line 147 "tcd.c"
        var $72=CHECK_OVERFLOW((($66) + ($71))&4294967295, 32); //@line 147 "tcd.c"
        var $73=_int_max71($72, $63); //@line 147 "tcd.c"
        var $74=HEAP[$tile]; //@line 147 "tcd.c"
        var $75=CHECK_OVERFLOW(($74+4)&4294967295, 32); //@line 147 "tcd.c"
        HEAP[$75]=$73; //@line 147 "tcd.c"
        var $76=HEAP[$image_addr]; //@line 148 "tcd.c"
        var $77=CHECK_OVERFLOW(($76+8)&4294967295, 32); //@line 148 "tcd.c"
        var $78=HEAP[$77]; //@line 148 "tcd.c"
        var $79=HEAP[$cp_addr]; //@line 148 "tcd.c"
        var $80=CHECK_OVERFLOW(($79+48)&4294967295, 32); //@line 148 "tcd.c"
        var $81=HEAP[$80]; //@line 148 "tcd.c"
        var $82=HEAP[$p]; //@line 148 "tcd.c"
        var $83=CHECK_OVERFLOW((($82) + 1)&4294967295, 32); //@line 148 "tcd.c"
        var $84=HEAP[$cp_addr]; //@line 148 "tcd.c"
        var $85=CHECK_OVERFLOW(($84+56)&4294967295, 32); //@line 148 "tcd.c"
        var $86=HEAP[$85]; //@line 148 "tcd.c"
        var $87=CHECK_OVERFLOW((($83) * ($86))&4294967295, 32); //@line 148 "tcd.c"
        var $88=CHECK_OVERFLOW((($81) + ($87))&4294967295, 32); //@line 148 "tcd.c"
        var $89=_int_min72($88, $78); //@line 148 "tcd.c"
        var $90=HEAP[$tile]; //@line 148 "tcd.c"
        var $91=CHECK_OVERFLOW(($90+8)&4294967295, 32); //@line 148 "tcd.c"
        HEAP[$91]=$89; //@line 148 "tcd.c"
        var $92=HEAP[$image_addr]; //@line 149 "tcd.c"
        var $93=CHECK_OVERFLOW(($92+12)&4294967295, 32); //@line 149 "tcd.c"
        var $94=HEAP[$93]; //@line 149 "tcd.c"
        var $95=HEAP[$cp_addr]; //@line 149 "tcd.c"
        var $96=CHECK_OVERFLOW(($95+52)&4294967295, 32); //@line 149 "tcd.c"
        var $97=HEAP[$96]; //@line 149 "tcd.c"
        var $98=HEAP[$q]; //@line 149 "tcd.c"
        var $99=CHECK_OVERFLOW((($98) + 1)&4294967295, 32); //@line 149 "tcd.c"
        var $100=HEAP[$cp_addr]; //@line 149 "tcd.c"
        var $101=CHECK_OVERFLOW(($100+60)&4294967295, 32); //@line 149 "tcd.c"
        var $102=HEAP[$101]; //@line 149 "tcd.c"
        var $103=CHECK_OVERFLOW((($99) * ($102))&4294967295, 32); //@line 149 "tcd.c"
        var $104=CHECK_OVERFLOW((($97) + ($103))&4294967295, 32); //@line 149 "tcd.c"
        var $105=_int_min72($104, $94); //@line 149 "tcd.c"
        var $106=HEAP[$tile]; //@line 149 "tcd.c"
        var $107=CHECK_OVERFLOW(($106+12)&4294967295, 32); //@line 149 "tcd.c"
        HEAP[$107]=$105; //@line 149 "tcd.c"
        var $108=HEAP[$image_addr]; //@line 150 "tcd.c"
        var $109=CHECK_OVERFLOW(($108+16)&4294967295, 32); //@line 150 "tcd.c"
        var $110=HEAP[$109]; //@line 150 "tcd.c"
        var $111=HEAP[$tile]; //@line 150 "tcd.c"
        var $112=CHECK_OVERFLOW(($111+16)&4294967295, 32); //@line 150 "tcd.c"
        HEAP[$112]=$110; //@line 150 "tcd.c"
        HEAP[$j]=0; //@line 154 "tcd.c"
        __label__ = 1; break; //@line 154 "tcd.c"
      case 17: // $bb1
        var $113=HEAP[$j]; //@line 155 "tcd.c"
        var $114=HEAP[$j]; //@line 155 "tcd.c"
        var $115=HEAP[$tcp]; //@line 155 "tcd.c"
        var $116=CHECK_OVERFLOW(($115+20)&4294967295, 32); //@line 155 "tcd.c"
        var $117=CHECK_OVERFLOW(($116+$114*4)&4294967295, 32); //@line 155 "tcd.c"
        var $118=HEAP[$117]; //@line 155 "tcd.c"
        var $119=($118) != 0; //@line 155 "tcd.c"
        if ($119) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 155 "tcd.c"
      case 2: // $bb2
        var $120=HEAP[$cp_addr]; //@line 155 "tcd.c"
        var $121=CHECK_OVERFLOW(($120+16)&4294967295, 32); //@line 155 "tcd.c"
        var $122=HEAP[$121]; //@line 155 "tcd.c"
        var $123=($122)!=0; //@line 155 "tcd.c"
        if ($123) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 155 "tcd.c"
      case 4: // $bb3
        var $124=HEAP[$tile]; //@line 155 "tcd.c"
        var $125=CHECK_OVERFLOW(($124+16)&4294967295, 32); //@line 155 "tcd.c"
        var $126=HEAP[$125]; //@line 155 "tcd.c"
        var $127=HEAP[$tile]; //@line 155 "tcd.c"
        var $128=CHECK_OVERFLOW(($127+8)&4294967295, 32); //@line 155 "tcd.c"
        var $129=HEAP[$128]; //@line 155 "tcd.c"
        var $130=HEAP[$tile]; //@line 155 "tcd.c"
        var $131=CHECK_OVERFLOW(($130)&4294967295, 32); //@line 155 "tcd.c"
        var $132=HEAP[$131]; //@line 155 "tcd.c"
        var $133=CHECK_OVERFLOW((($129) - ($132))&4294967295, 32); //@line 155 "tcd.c"
        var $134=CHECK_OVERFLOW((($126) * ($133))&4294967295, 32); //@line 155 "tcd.c"
        var $135=HEAP[$tile]; //@line 155 "tcd.c"
        var $136=CHECK_OVERFLOW(($135+12)&4294967295, 32); //@line 155 "tcd.c"
        var $137=HEAP[$136]; //@line 155 "tcd.c"
        var $138=HEAP[$tile]; //@line 155 "tcd.c"
        var $139=CHECK_OVERFLOW(($138+4)&4294967295, 32); //@line 155 "tcd.c"
        var $140=HEAP[$139]; //@line 155 "tcd.c"
        var $141=CHECK_OVERFLOW((($137) - ($140))&4294967295, 32); //@line 155 "tcd.c"
        var $142=CHECK_OVERFLOW((($134) * ($141))&4294967295, 32); //@line 155 "tcd.c"
        var $143=HEAP[$image_addr]; //@line 155 "tcd.c"
        var $144=CHECK_OVERFLOW(($143+24)&4294967295, 32); //@line 155 "tcd.c"
        var $145=HEAP[$144]; //@line 155 "tcd.c"
        var $146=CHECK_OVERFLOW(($145)&4294967295, 32); //@line 155 "tcd.c"
        var $147=CHECK_OVERFLOW(($146+24)&4294967295, 32); //@line 155 "tcd.c"
        var $148=HEAP[$147]; //@line 155 "tcd.c"
        var $149=CHECK_OVERFLOW((($142) * ($148))&4294967295, 32); //@line 155 "tcd.c"
        var $150=($149); //@line 155 "tcd.c"
        var $151=HEAP[$j]; //@line 155 "tcd.c"
        var $152=HEAP[$tcp]; //@line 155 "tcd.c"
        var $153=CHECK_OVERFLOW(($152+20)&4294967295, 32); //@line 155 "tcd.c"
        var $154=CHECK_OVERFLOW(($153+$151*4)&4294967295, 32); //@line 155 "tcd.c"
        var $155=HEAP[$154]; //@line 155 "tcd.c"
        var $156=($155) * 8; //@line 155 "tcd.c"
        var $157=HEAP[$image_addr]; //@line 155 "tcd.c"
        var $158=CHECK_OVERFLOW(($157+24)&4294967295, 32); //@line 155 "tcd.c"
        var $159=HEAP[$158]; //@line 155 "tcd.c"
        var $160=CHECK_OVERFLOW(($159)&4294967295, 32); //@line 155 "tcd.c"
        var $161=CHECK_OVERFLOW(($160)&4294967295, 32); //@line 155 "tcd.c"
        var $162=HEAP[$161]; //@line 155 "tcd.c"
        var $163=($162); //@line 155 "tcd.c"
        var $164=($156) * ($163); //@line 155 "tcd.c"
        var $165=HEAP[$image_addr]; //@line 155 "tcd.c"
        var $166=CHECK_OVERFLOW(($165+24)&4294967295, 32); //@line 155 "tcd.c"
        var $167=HEAP[$166]; //@line 155 "tcd.c"
        var $168=CHECK_OVERFLOW(($167)&4294967295, 32); //@line 155 "tcd.c"
        var $169=CHECK_OVERFLOW(($168+4)&4294967295, 32); //@line 155 "tcd.c"
        var $170=HEAP[$169]; //@line 155 "tcd.c"
        var $171=($170); //@line 155 "tcd.c"
        var $172=($164) * ($171); //@line 155 "tcd.c"
        var $173=($150) / ($172); //@line 155 "tcd.c"
        var $174=HEAP[$tcd_addr]; //@line 155 "tcd.c"
        var $175=CHECK_OVERFLOW(($174+12)&4294967295, 32); //@line 155 "tcd.c"
        var $176=HEAP[$175]; //@line 155 "tcd.c"
        var $177=CHECK_OVERFLOW((($176) * 14)&4294967295, 32); //@line 155 "tcd.c"
        var $178=CHECK_OVERFLOW((($177) + -14)&4294967295, 32); //@line 155 "tcd.c"
        var $179=HEAP[$tcp]; //@line 155 "tcd.c"
        var $180=CHECK_OVERFLOW(($179+12)&4294967295, 32); //@line 155 "tcd.c"
        var $181=HEAP[$180]; //@line 155 "tcd.c"
        var $182=(($178)/($181)|0); //@line 155 "tcd.c"
        var $183=($182); //@line 155 "tcd.c"
        var $184=($173) - ($183); //@line 155 "tcd.c"
        HEAP[$iftmp_4]=$184; //@line 155 "tcd.c"
        __label__ = 6; break; //@line 155 "tcd.c"
      case 5: // $bb4
        var $185=HEAP[$tile]; //@line 155 "tcd.c"
        var $186=CHECK_OVERFLOW(($185+16)&4294967295, 32); //@line 155 "tcd.c"
        var $187=HEAP[$186]; //@line 155 "tcd.c"
        var $188=HEAP[$tile]; //@line 155 "tcd.c"
        var $189=CHECK_OVERFLOW(($188+8)&4294967295, 32); //@line 155 "tcd.c"
        var $190=HEAP[$189]; //@line 155 "tcd.c"
        var $191=HEAP[$tile]; //@line 155 "tcd.c"
        var $192=CHECK_OVERFLOW(($191)&4294967295, 32); //@line 155 "tcd.c"
        var $193=HEAP[$192]; //@line 155 "tcd.c"
        var $194=CHECK_OVERFLOW((($190) - ($193))&4294967295, 32); //@line 155 "tcd.c"
        var $195=CHECK_OVERFLOW((($187) * ($194))&4294967295, 32); //@line 155 "tcd.c"
        var $196=HEAP[$tile]; //@line 155 "tcd.c"
        var $197=CHECK_OVERFLOW(($196+12)&4294967295, 32); //@line 155 "tcd.c"
        var $198=HEAP[$197]; //@line 155 "tcd.c"
        var $199=HEAP[$tile]; //@line 155 "tcd.c"
        var $200=CHECK_OVERFLOW(($199+4)&4294967295, 32); //@line 155 "tcd.c"
        var $201=HEAP[$200]; //@line 155 "tcd.c"
        var $202=CHECK_OVERFLOW((($198) - ($201))&4294967295, 32); //@line 155 "tcd.c"
        var $203=CHECK_OVERFLOW((($195) * ($202))&4294967295, 32); //@line 155 "tcd.c"
        var $204=HEAP[$image_addr]; //@line 155 "tcd.c"
        var $205=CHECK_OVERFLOW(($204+24)&4294967295, 32); //@line 155 "tcd.c"
        var $206=HEAP[$205]; //@line 155 "tcd.c"
        var $207=CHECK_OVERFLOW(($206)&4294967295, 32); //@line 155 "tcd.c"
        var $208=CHECK_OVERFLOW(($207+24)&4294967295, 32); //@line 155 "tcd.c"
        var $209=HEAP[$208]; //@line 155 "tcd.c"
        var $210=CHECK_OVERFLOW((($203) * ($209))&4294967295, 32); //@line 155 "tcd.c"
        var $211=($210); //@line 155 "tcd.c"
        var $212=HEAP[$j]; //@line 155 "tcd.c"
        var $213=HEAP[$tcp]; //@line 155 "tcd.c"
        var $214=CHECK_OVERFLOW(($213+20)&4294967295, 32); //@line 155 "tcd.c"
        var $215=CHECK_OVERFLOW(($214+$212*4)&4294967295, 32); //@line 155 "tcd.c"
        var $216=HEAP[$215]; //@line 155 "tcd.c"
        var $217=($216) * 8; //@line 155 "tcd.c"
        var $218=HEAP[$image_addr]; //@line 155 "tcd.c"
        var $219=CHECK_OVERFLOW(($218+24)&4294967295, 32); //@line 155 "tcd.c"
        var $220=HEAP[$219]; //@line 155 "tcd.c"
        var $221=CHECK_OVERFLOW(($220)&4294967295, 32); //@line 155 "tcd.c"
        var $222=CHECK_OVERFLOW(($221)&4294967295, 32); //@line 155 "tcd.c"
        var $223=HEAP[$222]; //@line 155 "tcd.c"
        var $224=($223); //@line 155 "tcd.c"
        var $225=($217) * ($224); //@line 155 "tcd.c"
        var $226=HEAP[$image_addr]; //@line 155 "tcd.c"
        var $227=CHECK_OVERFLOW(($226+24)&4294967295, 32); //@line 155 "tcd.c"
        var $228=HEAP[$227]; //@line 155 "tcd.c"
        var $229=CHECK_OVERFLOW(($228)&4294967295, 32); //@line 155 "tcd.c"
        var $230=CHECK_OVERFLOW(($229+4)&4294967295, 32); //@line 155 "tcd.c"
        var $231=HEAP[$230]; //@line 155 "tcd.c"
        var $232=($231); //@line 155 "tcd.c"
        var $233=($225) * ($232); //@line 155 "tcd.c"
        var $234=($211) / ($233); //@line 155 "tcd.c"
        HEAP[$iftmp_4]=$234; //@line 155 "tcd.c"
        __label__ = 6; break; //@line 155 "tcd.c"
      case 6: // $bb5
        var $235=HEAP[$iftmp_4]; //@line 155 "tcd.c"
        HEAP[$iftmp_2]=$235; //@line 155 "tcd.c"
        __label__ = 7; break; //@line 155 "tcd.c"
      case 3: // $bb6
        HEAP[$iftmp_2]=0; //@line 155 "tcd.c"
        __label__ = 7; break; //@line 155 "tcd.c"
      case 7: // $bb7
        var $236=HEAP[$tcp]; //@line 155 "tcd.c"
        var $237=CHECK_OVERFLOW(($236+20)&4294967295, 32); //@line 155 "tcd.c"
        var $238=CHECK_OVERFLOW(($237+$113*4)&4294967295, 32); //@line 155 "tcd.c"
        var $239=HEAP[$iftmp_2]; //@line 155 "tcd.c"
        HEAP[$238]=$239; //@line 155 "tcd.c"
        var $240=HEAP[$j]; //@line 170 "tcd.c"
        var $241=HEAP[$tcp]; //@line 170 "tcd.c"
        var $242=CHECK_OVERFLOW(($241+20)&4294967295, 32); //@line 170 "tcd.c"
        var $243=CHECK_OVERFLOW(($242+$240*4)&4294967295, 32); //@line 170 "tcd.c"
        var $244=HEAP[$243]; //@line 170 "tcd.c"
        var $245=($244) != 0; //@line 170 "tcd.c"
        if ($245) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 170 "tcd.c"
      case 8: // $bb8
        var $246=HEAP[$j]; //@line 171 "tcd.c"
        var $247=($246)==0; //@line 171 "tcd.c"
        if ($247) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 171 "tcd.c"
      case 11: // $bb9
        var $248=HEAP[$j]; //@line 171 "tcd.c"
        var $249=HEAP[$tcp]; //@line 171 "tcd.c"
        var $250=CHECK_OVERFLOW(($249+20)&4294967295, 32); //@line 171 "tcd.c"
        var $251=CHECK_OVERFLOW(($250+$248*4)&4294967295, 32); //@line 171 "tcd.c"
        var $252=HEAP[$251]; //@line 171 "tcd.c"
        var $253=HEAP[$j]; //@line 171 "tcd.c"
        var $254=CHECK_OVERFLOW((($253) - 1)&4294967295, 32); //@line 171 "tcd.c"
        var $255=HEAP[$tcp]; //@line 171 "tcd.c"
        var $256=CHECK_OVERFLOW(($255+20)&4294967295, 32); //@line 171 "tcd.c"
        var $257=CHECK_OVERFLOW(($256+$254*4)&4294967295, 32); //@line 171 "tcd.c"
        var $258=HEAP[$257]; //@line 171 "tcd.c"
        var $259=($258) + 10; //@line 171 "tcd.c"
        var $260=($252) >= ($259); //@line 171 "tcd.c"
        if ($260) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 171 "tcd.c"
      case 12: // $bb10
        var $261=HEAP[$j]; //@line 172 "tcd.c"
        var $262=HEAP[$j]; //@line 172 "tcd.c"
        var $263=CHECK_OVERFLOW((($262) - 1)&4294967295, 32); //@line 172 "tcd.c"
        var $264=HEAP[$tcp]; //@line 172 "tcd.c"
        var $265=CHECK_OVERFLOW(($264+20)&4294967295, 32); //@line 172 "tcd.c"
        var $266=CHECK_OVERFLOW(($265+$263*4)&4294967295, 32); //@line 172 "tcd.c"
        var $267=HEAP[$266]; //@line 172 "tcd.c"
        var $268=($267) + 20; //@line 172 "tcd.c"
        var $269=HEAP[$tcp]; //@line 172 "tcd.c"
        var $270=CHECK_OVERFLOW(($269+20)&4294967295, 32); //@line 172 "tcd.c"
        var $271=CHECK_OVERFLOW(($270+$261*4)&4294967295, 32); //@line 172 "tcd.c"
        HEAP[$271]=$268; //@line 172 "tcd.c"
        __label__ = 13; break; //@line 172 "tcd.c"
      case 10: // $bb11
        var $272=HEAP[$j]; //@line 174 "tcd.c"
        var $273=($272)==0; //@line 174 "tcd.c"
        if ($273) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 174 "tcd.c"
      case 14: // $bb12
        var $274=HEAP[$j]; //@line 174 "tcd.c"
        var $275=HEAP[$tcp]; //@line 174 "tcd.c"
        var $276=CHECK_OVERFLOW(($275+20)&4294967295, 32); //@line 174 "tcd.c"
        var $277=CHECK_OVERFLOW(($276+$274*4)&4294967295, 32); //@line 174 "tcd.c"
        var $278=HEAP[$277]; //@line 174 "tcd.c"
        var $279=($278) < 30; //@line 174 "tcd.c"
        if ($279) { __label__ = 15; break; } else { __label__ = 13; break; } //@line 174 "tcd.c"
      case 15: // $bb13
        var $280=HEAP[$j]; //@line 175 "tcd.c"
        var $281=HEAP[$tcp]; //@line 175 "tcd.c"
        var $282=CHECK_OVERFLOW(($281+20)&4294967295, 32); //@line 175 "tcd.c"
        var $283=CHECK_OVERFLOW(($282+$280*4)&4294967295, 32); //@line 175 "tcd.c"
        HEAP[$283]=30; //@line 175 "tcd.c"
        __label__ = 13; break; //@line 175 "tcd.c"
      case 13: // $bb14
        var $284=HEAP[$tcp]; //@line 178 "tcd.c"
        var $285=CHECK_OVERFLOW(($284+12)&4294967295, 32); //@line 178 "tcd.c"
        var $286=HEAP[$285]; //@line 178 "tcd.c"
        var $287=CHECK_OVERFLOW((($286) - 1)&4294967295, 32); //@line 178 "tcd.c"
        var $288=HEAP[$j]; //@line 178 "tcd.c"
        var $289=($287)==($288); //@line 178 "tcd.c"
        if ($289) { __label__ = 16; break; } else { __label__ = 9; break; } //@line 178 "tcd.c"
      case 16: // $bb15
        var $290=HEAP[$j]; //@line 179 "tcd.c"
        var $291=HEAP[$j]; //@line 179 "tcd.c"
        var $292=HEAP[$tcp]; //@line 179 "tcd.c"
        var $293=CHECK_OVERFLOW(($292+20)&4294967295, 32); //@line 179 "tcd.c"
        var $294=CHECK_OVERFLOW(($293+$291*4)&4294967295, 32); //@line 179 "tcd.c"
        var $295=HEAP[$294]; //@line 179 "tcd.c"
        var $296=($295) - 2; //@line 179 "tcd.c"
        var $297=HEAP[$tcp]; //@line 179 "tcd.c"
        var $298=CHECK_OVERFLOW(($297+20)&4294967295, 32); //@line 179 "tcd.c"
        var $299=CHECK_OVERFLOW(($298+$290*4)&4294967295, 32); //@line 179 "tcd.c"
        HEAP[$299]=$296; //@line 179 "tcd.c"
        __label__ = 9; break; //@line 179 "tcd.c"
      case 9: // $bb16
        var $300=HEAP[$j]; //@line 154 "tcd.c"
        var $301=CHECK_OVERFLOW((($300) + 1)&4294967295, 32); //@line 154 "tcd.c"
        HEAP[$j]=$301; //@line 154 "tcd.c"
        __label__ = 1; break; //@line 154 "tcd.c"
      case 1: // $bb17
        var $302=HEAP[$tcp]; //@line 154 "tcd.c"
        var $303=CHECK_OVERFLOW(($302+12)&4294967295, 32); //@line 154 "tcd.c"
        var $304=HEAP[$303]; //@line 154 "tcd.c"
        var $305=HEAP[$j]; //@line 154 "tcd.c"
        var $306=($304) > ($305); //@line 154 "tcd.c"
        if ($306) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 154 "tcd.c"
      case 18: // $bb18
        var $307=HEAP[$image_addr]; //@line 185 "tcd.c"
        var $308=CHECK_OVERFLOW(($307+16)&4294967295, 32); //@line 185 "tcd.c"
        var $309=HEAP[$308]; //@line 185 "tcd.c"
        var $310=CHECK_OVERFLOW((($309) * 32)&4294967295, 32); //@line 185 "tcd.c"
        var $311=_malloc($310); //@line 185 "tcd.c"
        var $312=$311; //@line 185 "tcd.c"
        var $313=HEAP[$tile]; //@line 185 "tcd.c"
        var $314=CHECK_OVERFLOW(($313+20)&4294967295, 32); //@line 185 "tcd.c"
        HEAP[$314]=$312; //@line 185 "tcd.c"
        HEAP[$compno]=0; //@line 186 "tcd.c"
        __label__ = 19; break; //@line 186 "tcd.c"
      case 64: // $bb19
        var $315=HEAP[$tcp]; //@line 187 "tcd.c"
        var $316=CHECK_OVERFLOW(($315+5584)&4294967295, 32); //@line 187 "tcd.c"
        var $317=HEAP[$316]; //@line 187 "tcd.c"
        var $318=HEAP[$compno]; //@line 187 "tcd.c"
        var $319=CHECK_OVERFLOW(($317+1076*$318)&4294967295, 32); //@line 187 "tcd.c"
        HEAP[$tccp]=$319; //@line 187 "tcd.c"
        var $320=HEAP[$tile]; //@line 189 "tcd.c"
        var $321=CHECK_OVERFLOW(($320+20)&4294967295, 32); //@line 189 "tcd.c"
        var $322=HEAP[$321]; //@line 189 "tcd.c"
        var $323=HEAP[$compno]; //@line 189 "tcd.c"
        var $324=CHECK_OVERFLOW(($322+32*$323)&4294967295, 32); //@line 189 "tcd.c"
        HEAP[$tilec]=$324; //@line 189 "tcd.c"
        var $325=HEAP[$image_addr]; //@line 192 "tcd.c"
        var $326=CHECK_OVERFLOW(($325+24)&4294967295, 32); //@line 192 "tcd.c"
        var $327=HEAP[$326]; //@line 192 "tcd.c"
        var $328=HEAP[$compno]; //@line 192 "tcd.c"
        var $329=CHECK_OVERFLOW(($327+48*$328)&4294967295, 32); //@line 192 "tcd.c"
        var $330=CHECK_OVERFLOW(($329)&4294967295, 32); //@line 192 "tcd.c"
        var $331=HEAP[$330]; //@line 192 "tcd.c"
        var $332=HEAP[$tile]; //@line 192 "tcd.c"
        var $333=CHECK_OVERFLOW(($332)&4294967295, 32); //@line 192 "tcd.c"
        var $334=HEAP[$333]; //@line 192 "tcd.c"
        var $335=_int_ceildiv73($334, $331); //@line 192 "tcd.c"
        var $336=HEAP[$tilec]; //@line 192 "tcd.c"
        var $337=CHECK_OVERFLOW(($336)&4294967295, 32); //@line 192 "tcd.c"
        HEAP[$337]=$335; //@line 192 "tcd.c"
        var $338=HEAP[$image_addr]; //@line 193 "tcd.c"
        var $339=CHECK_OVERFLOW(($338+24)&4294967295, 32); //@line 193 "tcd.c"
        var $340=HEAP[$339]; //@line 193 "tcd.c"
        var $341=HEAP[$compno]; //@line 193 "tcd.c"
        var $342=CHECK_OVERFLOW(($340+48*$341)&4294967295, 32); //@line 193 "tcd.c"
        var $343=CHECK_OVERFLOW(($342+4)&4294967295, 32); //@line 193 "tcd.c"
        var $344=HEAP[$343]; //@line 193 "tcd.c"
        var $345=HEAP[$tile]; //@line 193 "tcd.c"
        var $346=CHECK_OVERFLOW(($345+4)&4294967295, 32); //@line 193 "tcd.c"
        var $347=HEAP[$346]; //@line 193 "tcd.c"
        var $348=_int_ceildiv73($347, $344); //@line 193 "tcd.c"
        var $349=HEAP[$tilec]; //@line 193 "tcd.c"
        var $350=CHECK_OVERFLOW(($349+4)&4294967295, 32); //@line 193 "tcd.c"
        HEAP[$350]=$348; //@line 193 "tcd.c"
        var $351=HEAP[$image_addr]; //@line 194 "tcd.c"
        var $352=CHECK_OVERFLOW(($351+24)&4294967295, 32); //@line 194 "tcd.c"
        var $353=HEAP[$352]; //@line 194 "tcd.c"
        var $354=HEAP[$compno]; //@line 194 "tcd.c"
        var $355=CHECK_OVERFLOW(($353+48*$354)&4294967295, 32); //@line 194 "tcd.c"
        var $356=CHECK_OVERFLOW(($355)&4294967295, 32); //@line 194 "tcd.c"
        var $357=HEAP[$356]; //@line 194 "tcd.c"
        var $358=HEAP[$tile]; //@line 194 "tcd.c"
        var $359=CHECK_OVERFLOW(($358+8)&4294967295, 32); //@line 194 "tcd.c"
        var $360=HEAP[$359]; //@line 194 "tcd.c"
        var $361=_int_ceildiv73($360, $357); //@line 194 "tcd.c"
        var $362=HEAP[$tilec]; //@line 194 "tcd.c"
        var $363=CHECK_OVERFLOW(($362+8)&4294967295, 32); //@line 194 "tcd.c"
        HEAP[$363]=$361; //@line 194 "tcd.c"
        var $364=HEAP[$image_addr]; //@line 195 "tcd.c"
        var $365=CHECK_OVERFLOW(($364+24)&4294967295, 32); //@line 195 "tcd.c"
        var $366=HEAP[$365]; //@line 195 "tcd.c"
        var $367=HEAP[$compno]; //@line 195 "tcd.c"
        var $368=CHECK_OVERFLOW(($366+48*$367)&4294967295, 32); //@line 195 "tcd.c"
        var $369=CHECK_OVERFLOW(($368+4)&4294967295, 32); //@line 195 "tcd.c"
        var $370=HEAP[$369]; //@line 195 "tcd.c"
        var $371=HEAP[$tile]; //@line 195 "tcd.c"
        var $372=CHECK_OVERFLOW(($371+12)&4294967295, 32); //@line 195 "tcd.c"
        var $373=HEAP[$372]; //@line 195 "tcd.c"
        var $374=_int_ceildiv73($373, $370); //@line 195 "tcd.c"
        var $375=HEAP[$tilec]; //@line 195 "tcd.c"
        var $376=CHECK_OVERFLOW(($375+12)&4294967295, 32); //@line 195 "tcd.c"
        HEAP[$376]=$374; //@line 195 "tcd.c"
        var $377=HEAP[$tilec]; //@line 197 "tcd.c"
        var $378=CHECK_OVERFLOW(($377+8)&4294967295, 32); //@line 197 "tcd.c"
        var $379=HEAP[$378]; //@line 197 "tcd.c"
        var $380=HEAP[$tilec]; //@line 197 "tcd.c"
        var $381=CHECK_OVERFLOW(($380)&4294967295, 32); //@line 197 "tcd.c"
        var $382=HEAP[$381]; //@line 197 "tcd.c"
        var $383=CHECK_OVERFLOW((($379) - ($382))&4294967295, 32); //@line 197 "tcd.c"
        var $384=HEAP[$tilec]; //@line 197 "tcd.c"
        var $385=CHECK_OVERFLOW(($384+12)&4294967295, 32); //@line 197 "tcd.c"
        var $386=HEAP[$385]; //@line 197 "tcd.c"
        var $387=HEAP[$tilec]; //@line 197 "tcd.c"
        var $388=CHECK_OVERFLOW(($387+4)&4294967295, 32); //@line 197 "tcd.c"
        var $389=HEAP[$388]; //@line 197 "tcd.c"
        var $390=CHECK_OVERFLOW((($386) - ($389))&4294967295, 32); //@line 197 "tcd.c"
        var $391=CHECK_OVERFLOW((($383) * ($390))&4294967295, 32); //@line 197 "tcd.c"
        var $392=CHECK_OVERFLOW((($391) * 4)&4294967295, 32); //@line 197 "tcd.c"
        var $393=_memalign(16, $392); //@line 197 "tcd.c"
        var $394=$393; //@line 197 "tcd.c"
        var $395=HEAP[$tilec]; //@line 197 "tcd.c"
        var $396=CHECK_OVERFLOW(($395+24)&4294967295, 32); //@line 197 "tcd.c"
        HEAP[$396]=$394; //@line 197 "tcd.c"
        var $397=HEAP[$tccp]; //@line 198 "tcd.c"
        var $398=CHECK_OVERFLOW(($397+4)&4294967295, 32); //@line 198 "tcd.c"
        var $399=HEAP[$398]; //@line 198 "tcd.c"
        var $400=HEAP[$tilec]; //@line 198 "tcd.c"
        var $401=CHECK_OVERFLOW(($400+16)&4294967295, 32); //@line 198 "tcd.c"
        HEAP[$401]=$399; //@line 198 "tcd.c"
        var $402=HEAP[$tilec]; //@line 200 "tcd.c"
        var $403=CHECK_OVERFLOW(($402+16)&4294967295, 32); //@line 200 "tcd.c"
        var $404=HEAP[$403]; //@line 200 "tcd.c"
        var $405=CHECK_OVERFLOW((($404) * 124)&4294967295, 32); //@line 200 "tcd.c"
        var $406=_malloc($405); //@line 200 "tcd.c"
        var $407=$406; //@line 200 "tcd.c"
        var $408=HEAP[$tilec]; //@line 200 "tcd.c"
        var $409=CHECK_OVERFLOW(($408+20)&4294967295, 32); //@line 200 "tcd.c"
        HEAP[$409]=$407; //@line 200 "tcd.c"
        HEAP[$resno]=0; //@line 202 "tcd.c"
        __label__ = 20; break; //@line 202 "tcd.c"
      case 62: // $bb20
        var $410=HEAP[$tilec]; //@line 204 "tcd.c"
        var $411=CHECK_OVERFLOW(($410+16)&4294967295, 32); //@line 204 "tcd.c"
        var $412=HEAP[$411]; //@line 204 "tcd.c"
        var $413=CHECK_OVERFLOW((($412) - 1)&4294967295, 32); //@line 204 "tcd.c"
        var $414=HEAP[$resno]; //@line 204 "tcd.c"
        var $415=CHECK_OVERFLOW((($413) - ($414))&4294967295, 32); //@line 204 "tcd.c"
        HEAP[$levelno]=$415; //@line 204 "tcd.c"
        var $416=HEAP[$tilec]; //@line 210 "tcd.c"
        var $417=CHECK_OVERFLOW(($416+20)&4294967295, 32); //@line 210 "tcd.c"
        var $418=HEAP[$417]; //@line 210 "tcd.c"
        var $419=HEAP[$resno]; //@line 210 "tcd.c"
        var $420=CHECK_OVERFLOW(($418+124*$419)&4294967295, 32); //@line 210 "tcd.c"
        HEAP[$res]=$420; //@line 210 "tcd.c"
        var $421=HEAP[$tilec]; //@line 213 "tcd.c"
        var $422=CHECK_OVERFLOW(($421)&4294967295, 32); //@line 213 "tcd.c"
        var $423=HEAP[$422]; //@line 213 "tcd.c"
        var $424=HEAP[$levelno]; //@line 213 "tcd.c"
        var $425=_int_ceildivpow274($423, $424); //@line 213 "tcd.c"
        var $426=HEAP[$res]; //@line 213 "tcd.c"
        var $427=CHECK_OVERFLOW(($426)&4294967295, 32); //@line 213 "tcd.c"
        HEAP[$427]=$425; //@line 213 "tcd.c"
        var $428=HEAP[$tilec]; //@line 214 "tcd.c"
        var $429=CHECK_OVERFLOW(($428+4)&4294967295, 32); //@line 214 "tcd.c"
        var $430=HEAP[$429]; //@line 214 "tcd.c"
        var $431=HEAP[$levelno]; //@line 214 "tcd.c"
        var $432=_int_ceildivpow274($430, $431); //@line 214 "tcd.c"
        var $433=HEAP[$res]; //@line 214 "tcd.c"
        var $434=CHECK_OVERFLOW(($433+4)&4294967295, 32); //@line 214 "tcd.c"
        HEAP[$434]=$432; //@line 214 "tcd.c"
        var $435=HEAP[$tilec]; //@line 215 "tcd.c"
        var $436=CHECK_OVERFLOW(($435+8)&4294967295, 32); //@line 215 "tcd.c"
        var $437=HEAP[$436]; //@line 215 "tcd.c"
        var $438=HEAP[$levelno]; //@line 215 "tcd.c"
        var $439=_int_ceildivpow274($437, $438); //@line 215 "tcd.c"
        var $440=HEAP[$res]; //@line 215 "tcd.c"
        var $441=CHECK_OVERFLOW(($440+8)&4294967295, 32); //@line 215 "tcd.c"
        HEAP[$441]=$439; //@line 215 "tcd.c"
        var $442=HEAP[$tilec]; //@line 216 "tcd.c"
        var $443=CHECK_OVERFLOW(($442+12)&4294967295, 32); //@line 216 "tcd.c"
        var $444=HEAP[$443]; //@line 216 "tcd.c"
        var $445=HEAP[$levelno]; //@line 216 "tcd.c"
        var $446=_int_ceildivpow274($444, $445); //@line 216 "tcd.c"
        var $447=HEAP[$res]; //@line 216 "tcd.c"
        var $448=CHECK_OVERFLOW(($447+12)&4294967295, 32); //@line 216 "tcd.c"
        HEAP[$448]=$446; //@line 216 "tcd.c"
        var $449=HEAP[$resno]; //@line 218 "tcd.c"
        var $450=($449)==0; //@line 218 "tcd.c"
        if ($450) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 218 "tcd.c"
      case 21: // $bb21
        HEAP[$iftmp_14]=1; //@line 218 "tcd.c"
        __label__ = 23; break; //@line 218 "tcd.c"
      case 22: // $bb22
        HEAP[$iftmp_14]=3; //@line 218 "tcd.c"
        __label__ = 23; break; //@line 218 "tcd.c"
      case 23: // $bb23
        var $451=HEAP[$res]; //@line 218 "tcd.c"
        var $452=CHECK_OVERFLOW(($451+24)&4294967295, 32); //@line 218 "tcd.c"
        var $453=HEAP[$iftmp_14]; //@line 218 "tcd.c"
        HEAP[$452]=$453; //@line 218 "tcd.c"
        var $454=HEAP[$tccp]; //@line 220 "tcd.c"
        var $455=CHECK_OVERFLOW(($454)&4294967295, 32); //@line 220 "tcd.c"
        var $456=HEAP[$455]; //@line 220 "tcd.c"
        var $457=($456) & 1; //@line 220 "tcd.c"
        var $458=((($457)) & 255); //@line 220 "tcd.c"
        var $toBool=($458)!=0; //@line 220 "tcd.c"
        if ($toBool) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 220 "tcd.c"
      case 24: // $bb24
        var $459=HEAP[$resno]; //@line 221 "tcd.c"
        var $460=HEAP[$tccp]; //@line 221 "tcd.c"
        var $461=CHECK_OVERFLOW(($460+812)&4294967295, 32); //@line 221 "tcd.c"
        var $462=CHECK_OVERFLOW(($461+$459*4)&4294967295, 32); //@line 221 "tcd.c"
        var $463=HEAP[$462]; //@line 221 "tcd.c"
        HEAP[$pdx]=$463; //@line 221 "tcd.c"
        var $464=HEAP[$resno]; //@line 222 "tcd.c"
        var $465=HEAP[$tccp]; //@line 222 "tcd.c"
        var $466=CHECK_OVERFLOW(($465+944)&4294967295, 32); //@line 222 "tcd.c"
        var $467=CHECK_OVERFLOW(($466+$464*4)&4294967295, 32); //@line 222 "tcd.c"
        var $468=HEAP[$467]; //@line 222 "tcd.c"
        HEAP[$pdy]=$468; //@line 222 "tcd.c"
        __label__ = 26; break; //@line 222 "tcd.c"
      case 25: // $bb25
        HEAP[$pdx]=15; //@line 224 "tcd.c"
        HEAP[$pdy]=15; //@line 225 "tcd.c"
        __label__ = 26; break; //@line 225 "tcd.c"
      case 26: // $bb26
        var $469=HEAP[$res]; //@line 228 "tcd.c"
        var $470=CHECK_OVERFLOW(($469)&4294967295, 32); //@line 228 "tcd.c"
        var $471=HEAP[$470]; //@line 228 "tcd.c"
        var $472=HEAP[$pdx]; //@line 228 "tcd.c"
        var $473=_int_floordivpow275($471, $472); //@line 228 "tcd.c"
        var $474=HEAP[$pdx]; //@line 228 "tcd.c"
        var $475=($473) << ($474); //@line 228 "tcd.c"
        HEAP[$tlprcxstart]=$475; //@line 228 "tcd.c"
        var $476=HEAP[$res]; //@line 229 "tcd.c"
        var $477=CHECK_OVERFLOW(($476+4)&4294967295, 32); //@line 229 "tcd.c"
        var $478=HEAP[$477]; //@line 229 "tcd.c"
        var $479=HEAP[$pdy]; //@line 229 "tcd.c"
        var $480=_int_floordivpow275($478, $479); //@line 229 "tcd.c"
        var $481=HEAP[$pdy]; //@line 229 "tcd.c"
        var $482=($480) << ($481); //@line 229 "tcd.c"
        HEAP[$tlprcystart]=$482; //@line 229 "tcd.c"
        var $483=HEAP[$res]; //@line 231 "tcd.c"
        var $484=CHECK_OVERFLOW(($483+8)&4294967295, 32); //@line 231 "tcd.c"
        var $485=HEAP[$484]; //@line 231 "tcd.c"
        var $486=HEAP[$pdx]; //@line 231 "tcd.c"
        var $487=_int_ceildivpow274($485, $486); //@line 231 "tcd.c"
        var $488=HEAP[$pdx]; //@line 231 "tcd.c"
        var $489=($487) << ($488); //@line 231 "tcd.c"
        HEAP[$brprcxend]=$489; //@line 231 "tcd.c"
        var $490=HEAP[$res]; //@line 232 "tcd.c"
        var $491=CHECK_OVERFLOW(($490+12)&4294967295, 32); //@line 232 "tcd.c"
        var $492=HEAP[$491]; //@line 232 "tcd.c"
        var $493=HEAP[$pdy]; //@line 232 "tcd.c"
        var $494=_int_ceildivpow274($492, $493); //@line 232 "tcd.c"
        var $495=HEAP[$pdy]; //@line 232 "tcd.c"
        var $496=($494) << ($495); //@line 232 "tcd.c"
        HEAP[$brprcyend]=$496; //@line 232 "tcd.c"
        var $497=HEAP[$brprcxend]; //@line 234 "tcd.c"
        var $498=HEAP[$tlprcxstart]; //@line 234 "tcd.c"
        var $499=CHECK_OVERFLOW((($497) - ($498))&4294967295, 32); //@line 234 "tcd.c"
        var $500=HEAP[$pdx]; //@line 234 "tcd.c"
        var $501=($499) >> ($500); //@line 234 "tcd.c"
        var $502=HEAP[$res]; //@line 234 "tcd.c"
        var $503=CHECK_OVERFLOW(($502+16)&4294967295, 32); //@line 234 "tcd.c"
        HEAP[$503]=$501; //@line 234 "tcd.c"
        var $504=HEAP[$brprcyend]; //@line 235 "tcd.c"
        var $505=HEAP[$tlprcystart]; //@line 235 "tcd.c"
        var $506=CHECK_OVERFLOW((($504) - ($505))&4294967295, 32); //@line 235 "tcd.c"
        var $507=HEAP[$pdy]; //@line 235 "tcd.c"
        var $508=($506) >> ($507); //@line 235 "tcd.c"
        var $509=HEAP[$res]; //@line 235 "tcd.c"
        var $510=CHECK_OVERFLOW(($509+20)&4294967295, 32); //@line 235 "tcd.c"
        HEAP[$510]=$508; //@line 235 "tcd.c"
        var $511=HEAP[$resno]; //@line 237 "tcd.c"
        var $512=($511)==0; //@line 237 "tcd.c"
        if ($512) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 237 "tcd.c"
      case 27: // $bb27
        var $513=HEAP[$tlprcxstart]; //@line 238 "tcd.c"
        HEAP[$tlcbgxstart]=$513; //@line 238 "tcd.c"
        var $514=HEAP[$tlprcystart]; //@line 239 "tcd.c"
        HEAP[$tlcbgystart]=$514; //@line 239 "tcd.c"
        var $515=HEAP[$brprcxend]; //@line 240 "tcd.c"
        HEAP[$brcbgxend]=$515; //@line 240 "tcd.c"
        var $516=HEAP[$brprcyend]; //@line 241 "tcd.c"
        HEAP[$brcbgyend]=$516; //@line 241 "tcd.c"
        var $517=HEAP[$pdx]; //@line 242 "tcd.c"
        HEAP[$cbgwidthexpn]=$517; //@line 242 "tcd.c"
        var $518=HEAP[$pdy]; //@line 243 "tcd.c"
        HEAP[$cbgheightexpn]=$518; //@line 243 "tcd.c"
        __label__ = 29; break; //@line 243 "tcd.c"
      case 28: // $bb28
        var $519=HEAP[$tlprcxstart]; //@line 245 "tcd.c"
        var $520=_int_ceildivpow274($519, 1); //@line 245 "tcd.c"
        HEAP[$tlcbgxstart]=$520; //@line 245 "tcd.c"
        var $521=HEAP[$tlprcystart]; //@line 246 "tcd.c"
        var $522=_int_ceildivpow274($521, 1); //@line 246 "tcd.c"
        HEAP[$tlcbgystart]=$522; //@line 246 "tcd.c"
        var $523=HEAP[$brprcxend]; //@line 247 "tcd.c"
        var $524=_int_ceildivpow274($523, 1); //@line 247 "tcd.c"
        HEAP[$brcbgxend]=$524; //@line 247 "tcd.c"
        var $525=HEAP[$brprcyend]; //@line 248 "tcd.c"
        var $526=_int_ceildivpow274($525, 1); //@line 248 "tcd.c"
        HEAP[$brcbgyend]=$526; //@line 248 "tcd.c"
        var $527=HEAP[$pdx]; //@line 249 "tcd.c"
        var $528=CHECK_OVERFLOW((($527) - 1)&4294967295, 32); //@line 249 "tcd.c"
        HEAP[$cbgwidthexpn]=$528; //@line 249 "tcd.c"
        var $529=HEAP[$pdy]; //@line 250 "tcd.c"
        var $530=CHECK_OVERFLOW((($529) - 1)&4294967295, 32); //@line 250 "tcd.c"
        HEAP[$cbgheightexpn]=$530; //@line 250 "tcd.c"
        __label__ = 29; break; //@line 250 "tcd.c"
      case 29: // $bb29
        var $531=HEAP[$tccp]; //@line 253 "tcd.c"
        var $532=CHECK_OVERFLOW(($531+8)&4294967295, 32); //@line 253 "tcd.c"
        var $533=HEAP[$532]; //@line 253 "tcd.c"
        var $534=HEAP[$cbgwidthexpn]; //@line 253 "tcd.c"
        var $535=_int_min72($533, $534); //@line 253 "tcd.c"
        HEAP[$cblkwidthexpn]=$535; //@line 253 "tcd.c"
        var $536=HEAP[$tccp]; //@line 254 "tcd.c"
        var $537=CHECK_OVERFLOW(($536+12)&4294967295, 32); //@line 254 "tcd.c"
        var $538=HEAP[$537]; //@line 254 "tcd.c"
        var $539=HEAP[$cbgheightexpn]; //@line 254 "tcd.c"
        var $540=_int_min72($538, $539); //@line 254 "tcd.c"
        HEAP[$cblkheightexpn]=$540; //@line 254 "tcd.c"
        HEAP[$bandno]=0; //@line 256 "tcd.c"
        __label__ = 30; break; //@line 256 "tcd.c"
      case 60: // $bb30
        HEAP[$ss]=0; //@line 259 "tcd.c"
        var $541=HEAP[$bandno]; //@line 261 "tcd.c"
        var $542=HEAP[$res]; //@line 261 "tcd.c"
        var $543=CHECK_OVERFLOW(($542+28)&4294967295, 32); //@line 261 "tcd.c"
        var $544=CHECK_OVERFLOW(($543+$541*32)&4294967295, 32); //@line 261 "tcd.c"
        HEAP[$band]=$544; //@line 261 "tcd.c"
        var $545=HEAP[$resno]; //@line 263 "tcd.c"
        var $546=($545)!=0; //@line 263 "tcd.c"
        if ($546) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 263 "tcd.c"
      case 31: // $bb31
        var $547=HEAP[$bandno]; //@line 263 "tcd.c"
        var $548=CHECK_OVERFLOW((($547) + 1)&4294967295, 32); //@line 263 "tcd.c"
        HEAP[$iftmp_18]=$548; //@line 263 "tcd.c"
        __label__ = 33; break; //@line 263 "tcd.c"
      case 32: // $bb32
        HEAP[$iftmp_18]=0; //@line 263 "tcd.c"
        __label__ = 33; break; //@line 263 "tcd.c"
      case 33: // $bb33
        var $549=HEAP[$band]; //@line 263 "tcd.c"
        var $550=CHECK_OVERFLOW(($549+16)&4294967295, 32); //@line 263 "tcd.c"
        var $551=HEAP[$iftmp_18]; //@line 263 "tcd.c"
        HEAP[$550]=$551; //@line 263 "tcd.c"
        var $552=HEAP[$band]; //@line 264 "tcd.c"
        var $553=CHECK_OVERFLOW(($552+16)&4294967295, 32); //@line 264 "tcd.c"
        var $554=HEAP[$553]; //@line 264 "tcd.c"
        var $555=($554)==1; //@line 264 "tcd.c"
        if ($555) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 264 "tcd.c"
      case 35: // $bb34
        var $556=HEAP[$band]; //@line 264 "tcd.c"
        var $557=CHECK_OVERFLOW(($556+16)&4294967295, 32); //@line 264 "tcd.c"
        var $558=HEAP[$557]; //@line 264 "tcd.c"
        var $559=($558)==3; //@line 264 "tcd.c"
        if ($559) { __label__ = 34; break; } else { __label__ = 36; break; } //@line 264 "tcd.c"
      case 34: // $bb35
        HEAP[$iftmp_19]=1; //@line 264 "tcd.c"
        __label__ = 37; break; //@line 264 "tcd.c"
      case 36: // $bb36
        HEAP[$iftmp_19]=0; //@line 264 "tcd.c"
        __label__ = 37; break; //@line 264 "tcd.c"
      case 37: // $bb37
        var $560=HEAP[$iftmp_19]; //@line 264 "tcd.c"
        HEAP[$x0b]=$560; //@line 264 "tcd.c"
        var $561=HEAP[$band]; //@line 265 "tcd.c"
        var $562=CHECK_OVERFLOW(($561+16)&4294967295, 32); //@line 265 "tcd.c"
        var $563=HEAP[$562]; //@line 265 "tcd.c"
        var $564=($563)==2; //@line 265 "tcd.c"
        if ($564) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 265 "tcd.c"
      case 39: // $bb38
        var $565=HEAP[$band]; //@line 265 "tcd.c"
        var $566=CHECK_OVERFLOW(($565+16)&4294967295, 32); //@line 265 "tcd.c"
        var $567=HEAP[$566]; //@line 265 "tcd.c"
        var $568=($567)==3; //@line 265 "tcd.c"
        if ($568) { __label__ = 38; break; } else { __label__ = 40; break; } //@line 265 "tcd.c"
      case 38: // $bb39
        HEAP[$iftmp_20]=1; //@line 265 "tcd.c"
        __label__ = 41; break; //@line 265 "tcd.c"
      case 40: // $bb40
        HEAP[$iftmp_20]=0; //@line 265 "tcd.c"
        __label__ = 41; break; //@line 265 "tcd.c"
      case 41: // $bb41
        var $569=HEAP[$iftmp_20]; //@line 265 "tcd.c"
        HEAP[$y0b]=$569; //@line 265 "tcd.c"
        var $570=HEAP[$band]; //@line 267 "tcd.c"
        var $571=CHECK_OVERFLOW(($570+16)&4294967295, 32); //@line 267 "tcd.c"
        var $572=HEAP[$571]; //@line 267 "tcd.c"
        var $573=($572)==0; //@line 267 "tcd.c"
        if ($573) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 267 "tcd.c"
      case 42: // $bb42
        var $574=HEAP[$tilec]; //@line 269 "tcd.c"
        var $575=CHECK_OVERFLOW(($574)&4294967295, 32); //@line 269 "tcd.c"
        var $576=HEAP[$575]; //@line 269 "tcd.c"
        var $577=HEAP[$levelno]; //@line 269 "tcd.c"
        var $578=_int_ceildivpow274($576, $577); //@line 269 "tcd.c"
        var $579=HEAP[$band]; //@line 269 "tcd.c"
        var $580=CHECK_OVERFLOW(($579)&4294967295, 32); //@line 269 "tcd.c"
        HEAP[$580]=$578; //@line 269 "tcd.c"
        var $581=HEAP[$tilec]; //@line 270 "tcd.c"
        var $582=CHECK_OVERFLOW(($581+4)&4294967295, 32); //@line 270 "tcd.c"
        var $583=HEAP[$582]; //@line 270 "tcd.c"
        var $584=HEAP[$levelno]; //@line 270 "tcd.c"
        var $585=_int_ceildivpow274($583, $584); //@line 270 "tcd.c"
        var $586=HEAP[$band]; //@line 270 "tcd.c"
        var $587=CHECK_OVERFLOW(($586+4)&4294967295, 32); //@line 270 "tcd.c"
        HEAP[$587]=$585; //@line 270 "tcd.c"
        var $588=HEAP[$tilec]; //@line 271 "tcd.c"
        var $589=CHECK_OVERFLOW(($588+8)&4294967295, 32); //@line 271 "tcd.c"
        var $590=HEAP[$589]; //@line 271 "tcd.c"
        var $591=HEAP[$levelno]; //@line 271 "tcd.c"
        var $592=_int_ceildivpow274($590, $591); //@line 271 "tcd.c"
        var $593=HEAP[$band]; //@line 271 "tcd.c"
        var $594=CHECK_OVERFLOW(($593+8)&4294967295, 32); //@line 271 "tcd.c"
        HEAP[$594]=$592; //@line 271 "tcd.c"
        var $595=HEAP[$tilec]; //@line 272 "tcd.c"
        var $596=CHECK_OVERFLOW(($595+12)&4294967295, 32); //@line 272 "tcd.c"
        var $597=HEAP[$596]; //@line 272 "tcd.c"
        var $598=HEAP[$levelno]; //@line 272 "tcd.c"
        var $599=_int_ceildivpow274($597, $598); //@line 272 "tcd.c"
        var $600=HEAP[$band]; //@line 272 "tcd.c"
        var $601=CHECK_OVERFLOW(($600+12)&4294967295, 32); //@line 272 "tcd.c"
        HEAP[$601]=$599; //@line 272 "tcd.c"
        __label__ = 44; break; //@line 272 "tcd.c"
      case 43: // $bb43
        var $602=HEAP[$levelno]; //@line 275 "tcd.c"
        var $603=CHECK_OVERFLOW((($602) + 1)&4294967295, 32); //@line 275 "tcd.c"
        var $604=HEAP[$tilec]; //@line 275 "tcd.c"
        var $605=CHECK_OVERFLOW(($604)&4294967295, 32); //@line 275 "tcd.c"
        var $606=HEAP[$605]; //@line 275 "tcd.c"
        var $607=HEAP[$x0b]; //@line 275 "tcd.c"
        var $608=HEAP[$levelno]; //@line 275 "tcd.c"
        var $609=($607) << ($608); //@line 275 "tcd.c"
        var $610=CHECK_OVERFLOW((($606) - ($609))&4294967295, 32); //@line 275 "tcd.c"
        var $611=_int_ceildivpow274($610, $603); //@line 275 "tcd.c"
        var $612=HEAP[$band]; //@line 275 "tcd.c"
        var $613=CHECK_OVERFLOW(($612)&4294967295, 32); //@line 275 "tcd.c"
        HEAP[$613]=$611; //@line 275 "tcd.c"
        var $614=HEAP[$levelno]; //@line 276 "tcd.c"
        var $615=CHECK_OVERFLOW((($614) + 1)&4294967295, 32); //@line 276 "tcd.c"
        var $616=HEAP[$tilec]; //@line 276 "tcd.c"
        var $617=CHECK_OVERFLOW(($616+4)&4294967295, 32); //@line 276 "tcd.c"
        var $618=HEAP[$617]; //@line 276 "tcd.c"
        var $619=HEAP[$y0b]; //@line 276 "tcd.c"
        var $620=HEAP[$levelno]; //@line 276 "tcd.c"
        var $621=($619) << ($620); //@line 276 "tcd.c"
        var $622=CHECK_OVERFLOW((($618) - ($621))&4294967295, 32); //@line 276 "tcd.c"
        var $623=_int_ceildivpow274($622, $615); //@line 276 "tcd.c"
        var $624=HEAP[$band]; //@line 276 "tcd.c"
        var $625=CHECK_OVERFLOW(($624+4)&4294967295, 32); //@line 276 "tcd.c"
        HEAP[$625]=$623; //@line 276 "tcd.c"
        var $626=HEAP[$levelno]; //@line 277 "tcd.c"
        var $627=CHECK_OVERFLOW((($626) + 1)&4294967295, 32); //@line 277 "tcd.c"
        var $628=HEAP[$tilec]; //@line 277 "tcd.c"
        var $629=CHECK_OVERFLOW(($628+8)&4294967295, 32); //@line 277 "tcd.c"
        var $630=HEAP[$629]; //@line 277 "tcd.c"
        var $631=HEAP[$x0b]; //@line 277 "tcd.c"
        var $632=HEAP[$levelno]; //@line 277 "tcd.c"
        var $633=($631) << ($632); //@line 277 "tcd.c"
        var $634=CHECK_OVERFLOW((($630) - ($633))&4294967295, 32); //@line 277 "tcd.c"
        var $635=_int_ceildivpow274($634, $627); //@line 277 "tcd.c"
        var $636=HEAP[$band]; //@line 277 "tcd.c"
        var $637=CHECK_OVERFLOW(($636+8)&4294967295, 32); //@line 277 "tcd.c"
        HEAP[$637]=$635; //@line 277 "tcd.c"
        var $638=HEAP[$levelno]; //@line 278 "tcd.c"
        var $639=CHECK_OVERFLOW((($638) + 1)&4294967295, 32); //@line 278 "tcd.c"
        var $640=HEAP[$tilec]; //@line 278 "tcd.c"
        var $641=CHECK_OVERFLOW(($640+12)&4294967295, 32); //@line 278 "tcd.c"
        var $642=HEAP[$641]; //@line 278 "tcd.c"
        var $643=HEAP[$y0b]; //@line 278 "tcd.c"
        var $644=HEAP[$levelno]; //@line 278 "tcd.c"
        var $645=($643) << ($644); //@line 278 "tcd.c"
        var $646=CHECK_OVERFLOW((($642) - ($645))&4294967295, 32); //@line 278 "tcd.c"
        var $647=_int_ceildivpow274($646, $639); //@line 278 "tcd.c"
        var $648=HEAP[$band]; //@line 278 "tcd.c"
        var $649=CHECK_OVERFLOW(($648+12)&4294967295, 32); //@line 278 "tcd.c"
        HEAP[$649]=$647; //@line 278 "tcd.c"
        __label__ = 44; break; //@line 278 "tcd.c"
      case 44: // $bb44
        var $650=HEAP[$resno]; //@line 281 "tcd.c"
        var $651=($650)!=0; //@line 281 "tcd.c"
        if ($651) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 281 "tcd.c"
      case 45: // $bb45
        var $652=HEAP[$resno]; //@line 281 "tcd.c"
        var $653=CHECK_OVERFLOW((($652) * 3)&4294967295, 32); //@line 281 "tcd.c"
        var $654=CHECK_OVERFLOW((($653) + -3)&4294967295, 32); //@line 281 "tcd.c"
        var $655=HEAP[$bandno]; //@line 281 "tcd.c"
        var $656=CHECK_OVERFLOW((($654) + ($655))&4294967295, 32); //@line 281 "tcd.c"
        var $657=CHECK_OVERFLOW((($656) + 1)&4294967295, 32); //@line 281 "tcd.c"
        HEAP[$iftmp_21]=$657; //@line 281 "tcd.c"
        __label__ = 47; break; //@line 281 "tcd.c"
      case 46: // $bb46
        HEAP[$iftmp_21]=0; //@line 281 "tcd.c"
        __label__ = 47; break; //@line 281 "tcd.c"
      case 47: // $bb47
        var $658=HEAP[$iftmp_21]; //@line 281 "tcd.c"
        var $659=HEAP[$tccp]; //@line 281 "tcd.c"
        var $660=CHECK_OVERFLOW(($659+28)&4294967295, 32); //@line 281 "tcd.c"
        var $661=CHECK_OVERFLOW(($660+$658*8)&4294967295, 32); //@line 281 "tcd.c"
        HEAP[$ss]=$661; //@line 281 "tcd.c"
        var $662=HEAP[$tccp]; //@line 282 "tcd.c"
        var $663=CHECK_OVERFLOW(($662+20)&4294967295, 32); //@line 282 "tcd.c"
        var $664=HEAP[$663]; //@line 282 "tcd.c"
        var $665=($664)==0; //@line 282 "tcd.c"
        if ($665) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 282 "tcd.c"
      case 48: // $bb48
        var $666=HEAP[$band]; //@line 282 "tcd.c"
        var $667=CHECK_OVERFLOW(($666+16)&4294967295, 32); //@line 282 "tcd.c"
        var $668=HEAP[$667]; //@line 282 "tcd.c"
        var $669=_dwt_getgain_real($668); //@line 282 "tcd.c"
        HEAP[$iftmp_23]=$669; //@line 282 "tcd.c"
        __label__ = 50; break; //@line 282 "tcd.c"
      case 49: // $bb49
        var $670=HEAP[$band]; //@line 282 "tcd.c"
        var $671=CHECK_OVERFLOW(($670+16)&4294967295, 32); //@line 282 "tcd.c"
        var $672=HEAP[$671]; //@line 282 "tcd.c"
        var $673=_dwt_getgain($672); //@line 282 "tcd.c"
        HEAP[$iftmp_23]=$673; //@line 282 "tcd.c"
        __label__ = 50; break; //@line 282 "tcd.c"
      case 50: // $bb50
        var $674=HEAP[$iftmp_23]; //@line 282 "tcd.c"
        HEAP[$gain]=$674; //@line 282 "tcd.c"
        var $675=HEAP[$image_addr]; //@line 283 "tcd.c"
        var $676=CHECK_OVERFLOW(($675+24)&4294967295, 32); //@line 283 "tcd.c"
        var $677=HEAP[$676]; //@line 283 "tcd.c"
        var $678=HEAP[$compno]; //@line 283 "tcd.c"
        var $679=CHECK_OVERFLOW(($677+48*$678)&4294967295, 32); //@line 283 "tcd.c"
        var $680=CHECK_OVERFLOW(($679+24)&4294967295, 32); //@line 283 "tcd.c"
        var $681=HEAP[$680]; //@line 283 "tcd.c"
        var $682=HEAP[$gain]; //@line 283 "tcd.c"
        var $683=CHECK_OVERFLOW((($681) + ($682))&4294967295, 32); //@line 283 "tcd.c"
        HEAP[$numbps]=$683; //@line 283 "tcd.c"
        var $684=HEAP[$ss]; //@line 285 "tcd.c"
        var $685=CHECK_OVERFLOW(($684+4)&4294967295, 32); //@line 285 "tcd.c"
        var $686=HEAP[$685]; //@line 285 "tcd.c"
        var $687=($686); //@line 285 "tcd.c"
        var $688=($687) / 2048; //@line 285 "tcd.c"
        var $689=($688) + 1; //@line 285 "tcd.c"
        var $690=HEAP[$ss]; //@line 285 "tcd.c"
        var $691=CHECK_OVERFLOW(($690)&4294967295, 32); //@line 285 "tcd.c"
        var $692=HEAP[$691]; //@line 285 "tcd.c"
        var $693=HEAP[$numbps]; //@line 285 "tcd.c"
        var $694=CHECK_OVERFLOW((($693) - ($692))&4294967295, 32); //@line 285 "tcd.c"
        var $695=($694); //@line 285 "tcd.c"
        var $696=_llvm_pow_f64(2, $695); //@line 285 "tcd.c"
        var $697=($689) * ($696); //@line 285 "tcd.c"
        var $698=($697); //@line 285 "tcd.c"
        var $699=HEAP[$band]; //@line 285 "tcd.c"
        var $700=CHECK_OVERFLOW(($699+28)&4294967295, 32); //@line 285 "tcd.c"
        HEAP[$700]=$698; //@line 285 "tcd.c"
        var $701=HEAP[$ss]; //@line 286 "tcd.c"
        var $702=CHECK_OVERFLOW(($701)&4294967295, 32); //@line 286 "tcd.c"
        var $703=HEAP[$702]; //@line 286 "tcd.c"
        var $704=HEAP[$tccp]; //@line 286 "tcd.c"
        var $705=CHECK_OVERFLOW(($704+804)&4294967295, 32); //@line 286 "tcd.c"
        var $706=HEAP[$705]; //@line 286 "tcd.c"
        var $707=CHECK_OVERFLOW((($703) + ($706))&4294967295, 32); //@line 286 "tcd.c"
        var $708=CHECK_OVERFLOW((($707) - 1)&4294967295, 32); //@line 286 "tcd.c"
        var $709=HEAP[$band]; //@line 286 "tcd.c"
        var $710=CHECK_OVERFLOW(($709+24)&4294967295, 32); //@line 286 "tcd.c"
        HEAP[$710]=$708; //@line 286 "tcd.c"
        var $711=HEAP[$res]; //@line 288 "tcd.c"
        var $712=CHECK_OVERFLOW(($711+16)&4294967295, 32); //@line 288 "tcd.c"
        var $713=HEAP[$712]; //@line 288 "tcd.c"
        var $714=CHECK_OVERFLOW((($713) * 108)&4294967295, 32); //@line 288 "tcd.c"
        var $715=HEAP[$res]; //@line 288 "tcd.c"
        var $716=CHECK_OVERFLOW(($715+20)&4294967295, 32); //@line 288 "tcd.c"
        var $717=HEAP[$716]; //@line 288 "tcd.c"
        var $718=CHECK_OVERFLOW((($714) * ($717))&4294967295, 32); //@line 288 "tcd.c"
        var $719=_malloc($718); //@line 288 "tcd.c"
        var $720=$719; //@line 288 "tcd.c"
        var $721=HEAP[$band]; //@line 288 "tcd.c"
        var $722=CHECK_OVERFLOW(($721+20)&4294967295, 32); //@line 288 "tcd.c"
        HEAP[$722]=$720; //@line 288 "tcd.c"
        HEAP[$i]=0; //@line 290 "tcd.c"
        __label__ = 51; break; //@line 290 "tcd.c"
      case 52: // $bb51
        var $723=HEAP[$band]; //@line 291 "tcd.c"
        var $724=CHECK_OVERFLOW(($723+20)&4294967295, 32); //@line 291 "tcd.c"
        var $725=HEAP[$724]; //@line 291 "tcd.c"
        var $726=HEAP[$i]; //@line 291 "tcd.c"
        var $727=CHECK_OVERFLOW(($725+36*$726)&4294967295, 32); //@line 291 "tcd.c"
        var $728=CHECK_OVERFLOW(($727+32)&4294967295, 32); //@line 291 "tcd.c"
        HEAP[$728]=0; //@line 291 "tcd.c"
        var $729=HEAP[$band]; //@line 292 "tcd.c"
        var $730=CHECK_OVERFLOW(($729+20)&4294967295, 32); //@line 292 "tcd.c"
        var $731=HEAP[$730]; //@line 292 "tcd.c"
        var $732=HEAP[$i]; //@line 292 "tcd.c"
        var $733=CHECK_OVERFLOW(($731+36*$732)&4294967295, 32); //@line 292 "tcd.c"
        var $734=CHECK_OVERFLOW(($733+28)&4294967295, 32); //@line 292 "tcd.c"
        HEAP[$734]=0; //@line 292 "tcd.c"
        var $735=HEAP[$i]; //@line 290 "tcd.c"
        var $736=CHECK_OVERFLOW((($735) + 1)&4294967295, 32); //@line 290 "tcd.c"
        HEAP[$i]=$736; //@line 290 "tcd.c"
        __label__ = 51; break; //@line 290 "tcd.c"
      case 51: // $bb52
        var $737=HEAP[$res]; //@line 290 "tcd.c"
        var $738=CHECK_OVERFLOW(($737+16)&4294967295, 32); //@line 290 "tcd.c"
        var $739=HEAP[$738]; //@line 290 "tcd.c"
        var $740=HEAP[$res]; //@line 290 "tcd.c"
        var $741=CHECK_OVERFLOW(($740+20)&4294967295, 32); //@line 290 "tcd.c"
        var $742=HEAP[$741]; //@line 290 "tcd.c"
        var $743=CHECK_OVERFLOW((($739) * ($742))&4294967295, 32); //@line 290 "tcd.c"
        var $744=CHECK_OVERFLOW((($743) * 3)&4294967295, 32); //@line 290 "tcd.c"
        var $745=HEAP[$i]; //@line 290 "tcd.c"
        var $746=($744) > ($745); //@line 290 "tcd.c"
        if ($746) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 290 "tcd.c"
      case 53: // $bb53
        HEAP[$precno]=0; //@line 295 "tcd.c"
        __label__ = 54; break; //@line 295 "tcd.c"
      case 58: // $bb54
        var $747=HEAP[$res]; //@line 298 "tcd.c"
        var $748=CHECK_OVERFLOW(($747+16)&4294967295, 32); //@line 298 "tcd.c"
        var $749=HEAP[$748]; //@line 298 "tcd.c"
        var $750=HEAP[$precno]; //@line 298 "tcd.c"
        var $751=($750) % ($749); //@line 298 "tcd.c"
        var $752=HEAP[$cbgwidthexpn]; //@line 298 "tcd.c"
        var $753=($751) << ($752); //@line 298 "tcd.c"
        var $754=HEAP[$tlcbgxstart]; //@line 298 "tcd.c"
        var $755=CHECK_OVERFLOW((($753) + ($754))&4294967295, 32); //@line 298 "tcd.c"
        HEAP[$cbgxstart]=$755; //@line 298 "tcd.c"
        var $756=HEAP[$res]; //@line 299 "tcd.c"
        var $757=CHECK_OVERFLOW(($756+16)&4294967295, 32); //@line 299 "tcd.c"
        var $758=HEAP[$757]; //@line 299 "tcd.c"
        var $759=HEAP[$precno]; //@line 299 "tcd.c"
        var $760=(($759)/($758)|0); //@line 299 "tcd.c"
        var $761=HEAP[$cbgheightexpn]; //@line 299 "tcd.c"
        var $762=($760) << ($761); //@line 299 "tcd.c"
        var $763=HEAP[$tlcbgystart]; //@line 299 "tcd.c"
        var $764=CHECK_OVERFLOW((($762) + ($763))&4294967295, 32); //@line 299 "tcd.c"
        HEAP[$cbgystart]=$764; //@line 299 "tcd.c"
        var $765=HEAP[$cbgwidthexpn]; //@line 300 "tcd.c"
        var $766=1 << ($765); //@line 300 "tcd.c"
        var $767=HEAP[$cbgxstart]; //@line 300 "tcd.c"
        var $768=CHECK_OVERFLOW((($766) + ($767))&4294967295, 32); //@line 300 "tcd.c"
        HEAP[$cbgxend]=$768; //@line 300 "tcd.c"
        var $769=HEAP[$cbgheightexpn]; //@line 301 "tcd.c"
        var $770=1 << ($769); //@line 301 "tcd.c"
        var $771=HEAP[$cbgystart]; //@line 301 "tcd.c"
        var $772=CHECK_OVERFLOW((($770) + ($771))&4294967295, 32); //@line 301 "tcd.c"
        HEAP[$cbgyend]=$772; //@line 301 "tcd.c"
        var $773=HEAP[$band]; //@line 303 "tcd.c"
        var $774=CHECK_OVERFLOW(($773+20)&4294967295, 32); //@line 303 "tcd.c"
        var $775=HEAP[$774]; //@line 303 "tcd.c"
        var $776=HEAP[$precno]; //@line 303 "tcd.c"
        var $777=CHECK_OVERFLOW(($775+36*$776)&4294967295, 32); //@line 303 "tcd.c"
        HEAP[$prc]=$777; //@line 303 "tcd.c"
        var $778=HEAP[$band]; //@line 306 "tcd.c"
        var $779=CHECK_OVERFLOW(($778)&4294967295, 32); //@line 306 "tcd.c"
        var $780=HEAP[$779]; //@line 306 "tcd.c"
        var $781=HEAP[$cbgxstart]; //@line 306 "tcd.c"
        var $782=_int_max71($781, $780); //@line 306 "tcd.c"
        var $783=HEAP[$prc]; //@line 306 "tcd.c"
        var $784=CHECK_OVERFLOW(($783)&4294967295, 32); //@line 306 "tcd.c"
        HEAP[$784]=$782; //@line 306 "tcd.c"
        var $785=HEAP[$band]; //@line 307 "tcd.c"
        var $786=CHECK_OVERFLOW(($785+4)&4294967295, 32); //@line 307 "tcd.c"
        var $787=HEAP[$786]; //@line 307 "tcd.c"
        var $788=HEAP[$cbgystart]; //@line 307 "tcd.c"
        var $789=_int_max71($788, $787); //@line 307 "tcd.c"
        var $790=HEAP[$prc]; //@line 307 "tcd.c"
        var $791=CHECK_OVERFLOW(($790+4)&4294967295, 32); //@line 307 "tcd.c"
        HEAP[$791]=$789; //@line 307 "tcd.c"
        var $792=HEAP[$band]; //@line 308 "tcd.c"
        var $793=CHECK_OVERFLOW(($792+8)&4294967295, 32); //@line 308 "tcd.c"
        var $794=HEAP[$793]; //@line 308 "tcd.c"
        var $795=HEAP[$cbgxend]; //@line 308 "tcd.c"
        var $796=_int_min72($795, $794); //@line 308 "tcd.c"
        var $797=HEAP[$prc]; //@line 308 "tcd.c"
        var $798=CHECK_OVERFLOW(($797+8)&4294967295, 32); //@line 308 "tcd.c"
        HEAP[$798]=$796; //@line 308 "tcd.c"
        var $799=HEAP[$band]; //@line 309 "tcd.c"
        var $800=CHECK_OVERFLOW(($799+12)&4294967295, 32); //@line 309 "tcd.c"
        var $801=HEAP[$800]; //@line 309 "tcd.c"
        var $802=HEAP[$cbgyend]; //@line 309 "tcd.c"
        var $803=_int_min72($802, $801); //@line 309 "tcd.c"
        var $804=HEAP[$prc]; //@line 309 "tcd.c"
        var $805=CHECK_OVERFLOW(($804+12)&4294967295, 32); //@line 309 "tcd.c"
        HEAP[$805]=$803; //@line 309 "tcd.c"
        var $806=HEAP[$prc]; //@line 311 "tcd.c"
        var $807=CHECK_OVERFLOW(($806)&4294967295, 32); //@line 311 "tcd.c"
        var $808=HEAP[$807]; //@line 311 "tcd.c"
        var $809=HEAP[$cblkwidthexpn]; //@line 311 "tcd.c"
        var $810=_int_floordivpow275($808, $809); //@line 311 "tcd.c"
        var $811=HEAP[$cblkwidthexpn]; //@line 311 "tcd.c"
        var $812=($810) << ($811); //@line 311 "tcd.c"
        HEAP[$tlcblkxstart]=$812; //@line 311 "tcd.c"
        var $813=HEAP[$prc]; //@line 312 "tcd.c"
        var $814=CHECK_OVERFLOW(($813+4)&4294967295, 32); //@line 312 "tcd.c"
        var $815=HEAP[$814]; //@line 312 "tcd.c"
        var $816=HEAP[$cblkheightexpn]; //@line 312 "tcd.c"
        var $817=_int_floordivpow275($815, $816); //@line 312 "tcd.c"
        var $818=HEAP[$cblkheightexpn]; //@line 312 "tcd.c"
        var $819=($817) << ($818); //@line 312 "tcd.c"
        HEAP[$tlcblkystart]=$819; //@line 312 "tcd.c"
        var $820=HEAP[$prc]; //@line 313 "tcd.c"
        var $821=CHECK_OVERFLOW(($820+8)&4294967295, 32); //@line 313 "tcd.c"
        var $822=HEAP[$821]; //@line 313 "tcd.c"
        var $823=HEAP[$cblkwidthexpn]; //@line 313 "tcd.c"
        var $824=_int_ceildivpow274($822, $823); //@line 313 "tcd.c"
        var $825=HEAP[$cblkwidthexpn]; //@line 313 "tcd.c"
        var $826=($824) << ($825); //@line 313 "tcd.c"
        HEAP[$brcblkxend]=$826; //@line 313 "tcd.c"
        var $827=HEAP[$prc]; //@line 314 "tcd.c"
        var $828=CHECK_OVERFLOW(($827+12)&4294967295, 32); //@line 314 "tcd.c"
        var $829=HEAP[$828]; //@line 314 "tcd.c"
        var $830=HEAP[$cblkheightexpn]; //@line 314 "tcd.c"
        var $831=_int_ceildivpow274($829, $830); //@line 314 "tcd.c"
        var $832=HEAP[$cblkheightexpn]; //@line 314 "tcd.c"
        var $833=($831) << ($832); //@line 314 "tcd.c"
        HEAP[$brcblkyend]=$833; //@line 314 "tcd.c"
        var $834=HEAP[$brcblkxend]; //@line 315 "tcd.c"
        var $835=HEAP[$tlcblkxstart]; //@line 315 "tcd.c"
        var $836=CHECK_OVERFLOW((($834) - ($835))&4294967295, 32); //@line 315 "tcd.c"
        var $837=HEAP[$cblkwidthexpn]; //@line 315 "tcd.c"
        var $838=($836) >> ($837); //@line 315 "tcd.c"
        var $839=HEAP[$prc]; //@line 315 "tcd.c"
        var $840=CHECK_OVERFLOW(($839+16)&4294967295, 32); //@line 315 "tcd.c"
        HEAP[$840]=$838; //@line 315 "tcd.c"
        var $841=HEAP[$brcblkyend]; //@line 316 "tcd.c"
        var $842=HEAP[$tlcblkystart]; //@line 316 "tcd.c"
        var $843=CHECK_OVERFLOW((($841) - ($842))&4294967295, 32); //@line 316 "tcd.c"
        var $844=HEAP[$cblkheightexpn]; //@line 316 "tcd.c"
        var $845=($843) >> ($844); //@line 316 "tcd.c"
        var $846=HEAP[$prc]; //@line 316 "tcd.c"
        var $847=CHECK_OVERFLOW(($846+20)&4294967295, 32); //@line 316 "tcd.c"
        HEAP[$847]=$845; //@line 316 "tcd.c"
        var $848=HEAP[$prc]; //@line 318 "tcd.c"
        var $849=CHECK_OVERFLOW(($848+16)&4294967295, 32); //@line 318 "tcd.c"
        var $850=HEAP[$849]; //@line 318 "tcd.c"
        var $851=HEAP[$prc]; //@line 318 "tcd.c"
        var $852=CHECK_OVERFLOW(($851+20)&4294967295, 32); //@line 318 "tcd.c"
        var $853=HEAP[$852]; //@line 318 "tcd.c"
        var $854=CHECK_OVERFLOW((($850) * ($853))&4294967295, 32); //@line 318 "tcd.c"
        var $855=_calloc($854, 48); //@line 318 "tcd.c"
        var $856=$855; //@line 318 "tcd.c"
        var $857=HEAP[$prc]; //@line 318 "tcd.c"
        var $858=CHECK_OVERFLOW(($857+24)&4294967295, 32); //@line 318 "tcd.c"
        var $859=CHECK_OVERFLOW(($858)&4294967295, 32); //@line 318 "tcd.c"
        HEAP[$859]=$856; //@line 318 "tcd.c"
        var $860=HEAP[$prc]; //@line 319 "tcd.c"
        var $861=CHECK_OVERFLOW(($860+20)&4294967295, 32); //@line 319 "tcd.c"
        var $862=HEAP[$861]; //@line 319 "tcd.c"
        var $863=HEAP[$prc]; //@line 319 "tcd.c"
        var $864=CHECK_OVERFLOW(($863+16)&4294967295, 32); //@line 319 "tcd.c"
        var $865=HEAP[$864]; //@line 319 "tcd.c"
        var $866=_tgt_create($865, $862); //@line 319 "tcd.c"
        var $867=HEAP[$prc]; //@line 319 "tcd.c"
        var $868=CHECK_OVERFLOW(($867+28)&4294967295, 32); //@line 319 "tcd.c"
        HEAP[$868]=$866; //@line 319 "tcd.c"
        var $869=HEAP[$prc]; //@line 320 "tcd.c"
        var $870=CHECK_OVERFLOW(($869+20)&4294967295, 32); //@line 320 "tcd.c"
        var $871=HEAP[$870]; //@line 320 "tcd.c"
        var $872=HEAP[$prc]; //@line 320 "tcd.c"
        var $873=CHECK_OVERFLOW(($872+16)&4294967295, 32); //@line 320 "tcd.c"
        var $874=HEAP[$873]; //@line 320 "tcd.c"
        var $875=_tgt_create($874, $871); //@line 320 "tcd.c"
        var $876=HEAP[$prc]; //@line 320 "tcd.c"
        var $877=CHECK_OVERFLOW(($876+32)&4294967295, 32); //@line 320 "tcd.c"
        HEAP[$877]=$875; //@line 320 "tcd.c"
        HEAP[$cblkno]=0; //@line 322 "tcd.c"
        __label__ = 55; break; //@line 322 "tcd.c"
      case 56: // $bb55
        var $878=HEAP[$prc]; //@line 323 "tcd.c"
        var $879=CHECK_OVERFLOW(($878+16)&4294967295, 32); //@line 323 "tcd.c"
        var $880=HEAP[$879]; //@line 323 "tcd.c"
        var $881=HEAP[$cblkno]; //@line 323 "tcd.c"
        var $882=($881) % ($880); //@line 323 "tcd.c"
        var $883=HEAP[$cblkwidthexpn]; //@line 323 "tcd.c"
        var $884=($882) << ($883); //@line 323 "tcd.c"
        var $885=HEAP[$tlcblkxstart]; //@line 323 "tcd.c"
        var $886=CHECK_OVERFLOW((($884) + ($885))&4294967295, 32); //@line 323 "tcd.c"
        HEAP[$cblkxstart]=$886; //@line 323 "tcd.c"
        var $887=HEAP[$prc]; //@line 324 "tcd.c"
        var $888=CHECK_OVERFLOW(($887+16)&4294967295, 32); //@line 324 "tcd.c"
        var $889=HEAP[$888]; //@line 324 "tcd.c"
        var $890=HEAP[$cblkno]; //@line 324 "tcd.c"
        var $891=(($890)/($889)|0); //@line 324 "tcd.c"
        var $892=HEAP[$cblkheightexpn]; //@line 324 "tcd.c"
        var $893=($891) << ($892); //@line 324 "tcd.c"
        var $894=HEAP[$tlcblkystart]; //@line 324 "tcd.c"
        var $895=CHECK_OVERFLOW((($893) + ($894))&4294967295, 32); //@line 324 "tcd.c"
        HEAP[$cblkystart]=$895; //@line 324 "tcd.c"
        var $896=HEAP[$cblkwidthexpn]; //@line 325 "tcd.c"
        var $897=1 << ($896); //@line 325 "tcd.c"
        var $898=HEAP[$cblkxstart]; //@line 325 "tcd.c"
        var $899=CHECK_OVERFLOW((($897) + ($898))&4294967295, 32); //@line 325 "tcd.c"
        HEAP[$cblkxend]=$899; //@line 325 "tcd.c"
        var $900=HEAP[$cblkheightexpn]; //@line 326 "tcd.c"
        var $901=1 << ($900); //@line 326 "tcd.c"
        var $902=HEAP[$cblkystart]; //@line 326 "tcd.c"
        var $903=CHECK_OVERFLOW((($901) + ($902))&4294967295, 32); //@line 326 "tcd.c"
        HEAP[$cblkyend]=$903; //@line 326 "tcd.c"
        var $904=HEAP[$prc]; //@line 328 "tcd.c"
        var $905=CHECK_OVERFLOW(($904+24)&4294967295, 32); //@line 328 "tcd.c"
        var $906=CHECK_OVERFLOW(($905)&4294967295, 32); //@line 328 "tcd.c"
        var $907=HEAP[$906]; //@line 328 "tcd.c"
        var $908=HEAP[$cblkno]; //@line 328 "tcd.c"
        var $909=CHECK_OVERFLOW(($907+48*$908)&4294967295, 32); //@line 328 "tcd.c"
        HEAP[$cblk]=$909; //@line 328 "tcd.c"
        var $910=HEAP[$prc]; //@line 331 "tcd.c"
        var $911=CHECK_OVERFLOW(($910)&4294967295, 32); //@line 331 "tcd.c"
        var $912=HEAP[$911]; //@line 331 "tcd.c"
        var $913=HEAP[$cblkxstart]; //@line 331 "tcd.c"
        var $914=_int_max71($913, $912); //@line 331 "tcd.c"
        var $915=HEAP[$cblk]; //@line 331 "tcd.c"
        var $916=CHECK_OVERFLOW(($915+12)&4294967295, 32); //@line 331 "tcd.c"
        HEAP[$916]=$914; //@line 331 "tcd.c"
        var $917=HEAP[$prc]; //@line 332 "tcd.c"
        var $918=CHECK_OVERFLOW(($917+4)&4294967295, 32); //@line 332 "tcd.c"
        var $919=HEAP[$918]; //@line 332 "tcd.c"
        var $920=HEAP[$cblkystart]; //@line 332 "tcd.c"
        var $921=_int_max71($920, $919); //@line 332 "tcd.c"
        var $922=HEAP[$cblk]; //@line 332 "tcd.c"
        var $923=CHECK_OVERFLOW(($922+16)&4294967295, 32); //@line 332 "tcd.c"
        HEAP[$923]=$921; //@line 332 "tcd.c"
        var $924=HEAP[$prc]; //@line 333 "tcd.c"
        var $925=CHECK_OVERFLOW(($924+8)&4294967295, 32); //@line 333 "tcd.c"
        var $926=HEAP[$925]; //@line 333 "tcd.c"
        var $927=HEAP[$cblkxend]; //@line 333 "tcd.c"
        var $928=_int_min72($927, $926); //@line 333 "tcd.c"
        var $929=HEAP[$cblk]; //@line 333 "tcd.c"
        var $930=CHECK_OVERFLOW(($929+20)&4294967295, 32); //@line 333 "tcd.c"
        HEAP[$930]=$928; //@line 333 "tcd.c"
        var $931=HEAP[$prc]; //@line 334 "tcd.c"
        var $932=CHECK_OVERFLOW(($931+12)&4294967295, 32); //@line 334 "tcd.c"
        var $933=HEAP[$932]; //@line 334 "tcd.c"
        var $934=HEAP[$cblkyend]; //@line 334 "tcd.c"
        var $935=_int_min72($934, $933); //@line 334 "tcd.c"
        var $936=HEAP[$cblk]; //@line 334 "tcd.c"
        var $937=CHECK_OVERFLOW(($936+24)&4294967295, 32); //@line 334 "tcd.c"
        HEAP[$937]=$935; //@line 334 "tcd.c"
        var $938=_calloc(8194, 1); //@line 335 "tcd.c"
        var $939=HEAP[$cblk]; //@line 335 "tcd.c"
        var $940=CHECK_OVERFLOW(($939)&4294967295, 32); //@line 335 "tcd.c"
        HEAP[$940]=$938; //@line 335 "tcd.c"
        var $941=HEAP[$cblk]; //@line 337 "tcd.c"
        var $942=CHECK_OVERFLOW(($941)&4294967295, 32); //@line 337 "tcd.c"
        var $943=HEAP[$942]; //@line 337 "tcd.c"
        var $944=CHECK_OVERFLOW(($943+2)&4294967295, 32); //@line 337 "tcd.c"
        var $945=HEAP[$cblk]; //@line 337 "tcd.c"
        var $946=CHECK_OVERFLOW(($945)&4294967295, 32); //@line 337 "tcd.c"
        HEAP[$946]=$944; //@line 337 "tcd.c"
        var $947=_calloc(100, 20); //@line 338 "tcd.c"
        var $948=$947; //@line 338 "tcd.c"
        var $949=HEAP[$cblk]; //@line 338 "tcd.c"
        var $950=CHECK_OVERFLOW(($949+4)&4294967295, 32); //@line 338 "tcd.c"
        HEAP[$950]=$948; //@line 338 "tcd.c"
        var $951=_calloc(100, 20); //@line 339 "tcd.c"
        var $952=$951; //@line 339 "tcd.c"
        var $953=HEAP[$cblk]; //@line 339 "tcd.c"
        var $954=CHECK_OVERFLOW(($953+8)&4294967295, 32); //@line 339 "tcd.c"
        HEAP[$954]=$952; //@line 339 "tcd.c"
        var $955=HEAP[$cblkno]; //@line 322 "tcd.c"
        var $956=CHECK_OVERFLOW((($955) + 1)&4294967295, 32); //@line 322 "tcd.c"
        HEAP[$cblkno]=$956; //@line 322 "tcd.c"
        __label__ = 55; break; //@line 322 "tcd.c"
      case 55: // $bb56
        var $957=HEAP[$prc]; //@line 322 "tcd.c"
        var $958=CHECK_OVERFLOW(($957+16)&4294967295, 32); //@line 322 "tcd.c"
        var $959=HEAP[$958]; //@line 322 "tcd.c"
        var $960=HEAP[$prc]; //@line 322 "tcd.c"
        var $961=CHECK_OVERFLOW(($960+20)&4294967295, 32); //@line 322 "tcd.c"
        var $962=HEAP[$961]; //@line 322 "tcd.c"
        var $963=CHECK_OVERFLOW((($959) * ($962))&4294967295, 32); //@line 322 "tcd.c"
        var $964=HEAP[$cblkno]; //@line 322 "tcd.c"
        var $965=($963) > ($964); //@line 322 "tcd.c"
        if ($965) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 322 "tcd.c"
      case 57: // $bb57
        var $966=HEAP[$precno]; //@line 295 "tcd.c"
        var $967=CHECK_OVERFLOW((($966) + 1)&4294967295, 32); //@line 295 "tcd.c"
        HEAP[$precno]=$967; //@line 295 "tcd.c"
        __label__ = 54; break; //@line 295 "tcd.c"
      case 54: // $bb58
        var $968=HEAP[$res]; //@line 295 "tcd.c"
        var $969=CHECK_OVERFLOW(($968+16)&4294967295, 32); //@line 295 "tcd.c"
        var $970=HEAP[$969]; //@line 295 "tcd.c"
        var $971=HEAP[$res]; //@line 295 "tcd.c"
        var $972=CHECK_OVERFLOW(($971+20)&4294967295, 32); //@line 295 "tcd.c"
        var $973=HEAP[$972]; //@line 295 "tcd.c"
        var $974=CHECK_OVERFLOW((($970) * ($973))&4294967295, 32); //@line 295 "tcd.c"
        var $975=HEAP[$precno]; //@line 295 "tcd.c"
        var $976=($974) > ($975); //@line 295 "tcd.c"
        if ($976) { __label__ = 58; break; } else { __label__ = 59; break; } //@line 295 "tcd.c"
      case 59: // $bb59
        var $977=HEAP[$bandno]; //@line 256 "tcd.c"
        var $978=CHECK_OVERFLOW((($977) + 1)&4294967295, 32); //@line 256 "tcd.c"
        HEAP[$bandno]=$978; //@line 256 "tcd.c"
        __label__ = 30; break; //@line 256 "tcd.c"
      case 30: // $bb60
        var $979=HEAP[$res]; //@line 256 "tcd.c"
        var $980=CHECK_OVERFLOW(($979+24)&4294967295, 32); //@line 256 "tcd.c"
        var $981=HEAP[$980]; //@line 256 "tcd.c"
        var $982=HEAP[$bandno]; //@line 256 "tcd.c"
        var $983=($981) > ($982); //@line 256 "tcd.c"
        if ($983) { __label__ = 60; break; } else { __label__ = 61; break; } //@line 256 "tcd.c"
      case 61: // $bb61
        var $984=HEAP[$resno]; //@line 202 "tcd.c"
        var $985=CHECK_OVERFLOW((($984) + 1)&4294967295, 32); //@line 202 "tcd.c"
        HEAP[$resno]=$985; //@line 202 "tcd.c"
        __label__ = 20; break; //@line 202 "tcd.c"
      case 20: // $bb62
        var $986=HEAP[$tilec]; //@line 202 "tcd.c"
        var $987=CHECK_OVERFLOW(($986+16)&4294967295, 32); //@line 202 "tcd.c"
        var $988=HEAP[$987]; //@line 202 "tcd.c"
        var $989=HEAP[$resno]; //@line 202 "tcd.c"
        var $990=($988) > ($989); //@line 202 "tcd.c"
        if ($990) { __label__ = 62; break; } else { __label__ = 63; break; } //@line 202 "tcd.c"
      case 63: // $bb63
        var $991=HEAP[$compno]; //@line 186 "tcd.c"
        var $992=CHECK_OVERFLOW((($991) + 1)&4294967295, 32); //@line 186 "tcd.c"
        HEAP[$compno]=$992; //@line 186 "tcd.c"
        __label__ = 19; break; //@line 186 "tcd.c"
      case 19: // $bb64
        var $993=HEAP[$tile]; //@line 186 "tcd.c"
        var $994=CHECK_OVERFLOW(($993+16)&4294967295, 32); //@line 186 "tcd.c"
        var $995=HEAP[$994]; //@line 186 "tcd.c"
        var $996=HEAP[$compno]; //@line 186 "tcd.c"
        var $997=($995) > ($996); //@line 186 "tcd.c"
        if ($997) { __label__ = 64; break; } else { __label__ = 65; break; } //@line 186 "tcd.c"
      case 65: // $bb65
        var $998=HEAP[$tileno]; //@line 134 "tcd.c"
        var $999=CHECK_OVERFLOW((($998) + 1)&4294967295, 32); //@line 134 "tcd.c"
        HEAP[$tileno]=$999; //@line 134 "tcd.c"
        __label__ = 0; break; //@line 134 "tcd.c"
      case 0: // $bb66
        var $1000=HEAP[$tileno]; //@line 134 "tcd.c"
        var $1001=($1000) <= 0; //@line 134 "tcd.c"
        if ($1001) { __label__ = 66; break; } else { __label__ = 67; break; } //@line 134 "tcd.c"
      case 67: // $bb67
        __label__ = 68; break; //@line 348 "tcd.c"
      case 68: // $return
        STACKTOP = __stackBase__;
        return; //@line 348 "tcd.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_max71($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$b_addr]; //@line 58 "int.h"
        var $2=HEAP[$a_addr]; //@line 58 "int.h"
        var $3=($1) >= ($2); //@line 58 "int.h"
        var $max=($3) ? ($1) : ($2); //@line 58 "int.h"
        HEAP[$0]=$max; //@line 58 "int.h"
        var $4=HEAP[$0]; //@line 58 "int.h"
        HEAP[$retval]=$4; //@line 58 "int.h"
        __label__ = 0; break; //@line 58 "int.h"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 58 "int.h"
        STACKTOP = __stackBase__;
        return $retval1; //@line 58 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_min72($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$b_addr]; //@line 51 "int.h"
        var $2=HEAP[$a_addr]; //@line 51 "int.h"
        var $3=($1) <= ($2); //@line 51 "int.h"
        var $min=($3) ? ($1) : ($2); //@line 51 "int.h"
        HEAP[$0]=$min; //@line 51 "int.h"
        var $4=HEAP[$0]; //@line 51 "int.h"
        HEAP[$retval]=$4; //@line 51 "int.h"
        __label__ = 0; break; //@line 51 "int.h"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 51 "int.h"
        STACKTOP = __stackBase__;
        return $retval1; //@line 51 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_ceildiv73($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$a_addr]; //@line 87 "int.h"
        var $2=HEAP[$b_addr]; //@line 87 "int.h"
        var $3=CHECK_OVERFLOW((($1) + ($2))&4294967295, 32); //@line 87 "int.h"
        var $4=CHECK_OVERFLOW((($3) - 1)&4294967295, 32); //@line 87 "int.h"
        var $5=HEAP[$b_addr]; //@line 87 "int.h"
        var $6=(($4)/($5)|0); //@line 87 "int.h"
        HEAP[$0]=$6; //@line 87 "int.h"
        var $7=HEAP[$0]; //@line 87 "int.h"
        HEAP[$retval]=$7; //@line 87 "int.h"
        __label__ = 0; break; //@line 87 "int.h"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 87 "int.h"
        STACKTOP = __stackBase__;
        return $retval1; //@line 87 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_ceildivpow274($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$b_addr]; //@line 94 "int.h"
        var $2=1 << ($1); //@line 94 "int.h"
        var $3=HEAP[$a_addr]; //@line 94 "int.h"
        var $4=CHECK_OVERFLOW((($2) + ($3))&4294967295, 32); //@line 94 "int.h"
        var $5=CHECK_OVERFLOW((($4) - 1)&4294967295, 32); //@line 94 "int.h"
        var $6=HEAP[$b_addr]; //@line 94 "int.h"
        var $7=($5) >> ($6); //@line 94 "int.h"
        HEAP[$0]=$7; //@line 94 "int.h"
        var $8=HEAP[$0]; //@line 94 "int.h"
        HEAP[$retval]=$8; //@line 94 "int.h"
        __label__ = 0; break; //@line 94 "int.h"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 94 "int.h"
        STACKTOP = __stackBase__;
        return $retval1; //@line 94 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_floordivpow275($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$a_addr]; //@line 101 "int.h"
        var $2=HEAP[$b_addr]; //@line 101 "int.h"
        var $3=($1) >> ($2); //@line 101 "int.h"
        HEAP[$0]=$3; //@line 101 "int.h"
        var $4=HEAP[$0]; //@line 101 "int.h"
        HEAP[$retval]=$4; //@line 101 "int.h"
        __label__ = 0; break; //@line 101 "int.h"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 101 "int.h"
        STACKTOP = __stackBase__;
        return $retval1; //@line 101 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tcd_free_encode($tcd) {
    var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 48);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tcd_addr=__stackBase__;
        var $tileno=__stackBase__+4;
        var $compno=__stackBase__+8;
        var $resno=__stackBase__+12;
        var $bandno=__stackBase__+16;
        var $precno=__stackBase__+20;
        var $cblkno=__stackBase__+24;
        var $tile=__stackBase__+28;
        var $tilec=__stackBase__+32;
        var $res=__stackBase__+36;
        var $band=__stackBase__+40;
        var $prc=__stackBase__+44;
        var $_alloca_point_=0;
        HEAP[$tcd_addr]=$tcd;
        HEAP[$tileno]=0; //@line 353 "tcd.c"
        __label__ = 0; break; //@line 353 "tcd.c"
      case 20: // $bb
        var $0=HEAP[$tcd_addr]; //@line 354 "tcd.c"
        var $1=CHECK_OVERFLOW(($0+24)&4294967295, 32); //@line 354 "tcd.c"
        var $2=HEAP[$1]; //@line 354 "tcd.c"
        var $3=CHECK_OVERFLOW(($2+8)&4294967295, 32); //@line 354 "tcd.c"
        var $4=HEAP[$3]; //@line 354 "tcd.c"
        HEAP[$tile]=$4; //@line 354 "tcd.c"
        HEAP[$compno]=0; //@line 356 "tcd.c"
        __label__ = 1; break; //@line 356 "tcd.c"
      case 18: // $bb1
        var $5=HEAP[$tile]; //@line 357 "tcd.c"
        var $6=CHECK_OVERFLOW(($5+20)&4294967295, 32); //@line 357 "tcd.c"
        var $7=HEAP[$6]; //@line 357 "tcd.c"
        var $8=HEAP[$compno]; //@line 357 "tcd.c"
        var $9=CHECK_OVERFLOW(($7+32*$8)&4294967295, 32); //@line 357 "tcd.c"
        HEAP[$tilec]=$9; //@line 357 "tcd.c"
        HEAP[$resno]=0; //@line 359 "tcd.c"
        __label__ = 2; break; //@line 359 "tcd.c"
      case 16: // $bb2
        var $10=HEAP[$tilec]; //@line 360 "tcd.c"
        var $11=CHECK_OVERFLOW(($10+20)&4294967295, 32); //@line 360 "tcd.c"
        var $12=HEAP[$11]; //@line 360 "tcd.c"
        var $13=HEAP[$resno]; //@line 360 "tcd.c"
        var $14=CHECK_OVERFLOW(($12+124*$13)&4294967295, 32); //@line 360 "tcd.c"
        HEAP[$res]=$14; //@line 360 "tcd.c"
        HEAP[$bandno]=0; //@line 362 "tcd.c"
        __label__ = 3; break; //@line 362 "tcd.c"
      case 14: // $bb3
        var $15=HEAP[$bandno]; //@line 363 "tcd.c"
        var $16=HEAP[$res]; //@line 363 "tcd.c"
        var $17=CHECK_OVERFLOW(($16+28)&4294967295, 32); //@line 363 "tcd.c"
        var $18=CHECK_OVERFLOW(($17+$15*32)&4294967295, 32); //@line 363 "tcd.c"
        HEAP[$band]=$18; //@line 363 "tcd.c"
        HEAP[$precno]=0; //@line 365 "tcd.c"
        __label__ = 4; break; //@line 365 "tcd.c"
      case 12: // $bb4
        var $19=HEAP[$band]; //@line 366 "tcd.c"
        var $20=CHECK_OVERFLOW(($19+20)&4294967295, 32); //@line 366 "tcd.c"
        var $21=HEAP[$20]; //@line 366 "tcd.c"
        var $22=HEAP[$precno]; //@line 366 "tcd.c"
        var $23=CHECK_OVERFLOW(($21+36*$22)&4294967295, 32); //@line 366 "tcd.c"
        HEAP[$prc]=$23; //@line 366 "tcd.c"
        var $24=HEAP[$prc]; //@line 368 "tcd.c"
        var $25=CHECK_OVERFLOW(($24+28)&4294967295, 32); //@line 368 "tcd.c"
        var $26=HEAP[$25]; //@line 368 "tcd.c"
        var $27=($26)!=0; //@line 368 "tcd.c"
        if ($27) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 368 "tcd.c"
      case 5: // $bb5
        var $28=HEAP[$prc]; //@line 369 "tcd.c"
        var $29=CHECK_OVERFLOW(($28+28)&4294967295, 32); //@line 369 "tcd.c"
        var $30=HEAP[$29]; //@line 369 "tcd.c"
        _tgt_destroy($30); //@line 369 "tcd.c"
        var $31=HEAP[$prc]; //@line 370 "tcd.c"
        var $32=CHECK_OVERFLOW(($31+28)&4294967295, 32); //@line 370 "tcd.c"
        HEAP[$32]=0; //@line 370 "tcd.c"
        __label__ = 6; break; //@line 370 "tcd.c"
      case 6: // $bb6
        var $33=HEAP[$prc]; //@line 372 "tcd.c"
        var $34=CHECK_OVERFLOW(($33+32)&4294967295, 32); //@line 372 "tcd.c"
        var $35=HEAP[$34]; //@line 372 "tcd.c"
        var $36=($35)!=0; //@line 372 "tcd.c"
        if ($36) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 372 "tcd.c"
      case 7: // $bb7
        var $37=HEAP[$prc]; //@line 373 "tcd.c"
        var $38=CHECK_OVERFLOW(($37+32)&4294967295, 32); //@line 373 "tcd.c"
        var $39=HEAP[$38]; //@line 373 "tcd.c"
        _tgt_destroy($39); //@line 373 "tcd.c"
        var $40=HEAP[$prc]; //@line 374 "tcd.c"
        var $41=CHECK_OVERFLOW(($40+32)&4294967295, 32); //@line 374 "tcd.c"
        HEAP[$41]=0; //@line 374 "tcd.c"
        __label__ = 8; break; //@line 374 "tcd.c"
      case 8: // $bb8
        HEAP[$cblkno]=0; //@line 376 "tcd.c"
        __label__ = 9; break; //@line 376 "tcd.c"
      case 10: // $bb9
        var $42=HEAP[$prc]; //@line 377 "tcd.c"
        var $43=CHECK_OVERFLOW(($42+24)&4294967295, 32); //@line 377 "tcd.c"
        var $44=CHECK_OVERFLOW(($43)&4294967295, 32); //@line 377 "tcd.c"
        var $45=HEAP[$44]; //@line 377 "tcd.c"
        var $46=HEAP[$cblkno]; //@line 377 "tcd.c"
        var $47=CHECK_OVERFLOW(($45+48*$46)&4294967295, 32); //@line 377 "tcd.c"
        var $48=CHECK_OVERFLOW(($47)&4294967295, 32); //@line 377 "tcd.c"
        var $49=HEAP[$48]; //@line 377 "tcd.c"
        var $50=CHECK_OVERFLOW(($49+-2)&4294967295, 32); //@line 377 "tcd.c"
        _free($50); //@line 377 "tcd.c"
        var $51=HEAP[$prc]; //@line 378 "tcd.c"
        var $52=CHECK_OVERFLOW(($51+24)&4294967295, 32); //@line 378 "tcd.c"
        var $53=CHECK_OVERFLOW(($52)&4294967295, 32); //@line 378 "tcd.c"
        var $54=HEAP[$53]; //@line 378 "tcd.c"
        var $55=HEAP[$cblkno]; //@line 378 "tcd.c"
        var $56=CHECK_OVERFLOW(($54+48*$55)&4294967295, 32); //@line 378 "tcd.c"
        var $57=CHECK_OVERFLOW(($56+4)&4294967295, 32); //@line 378 "tcd.c"
        var $58=HEAP[$57]; //@line 378 "tcd.c"
        var $59=$58; //@line 378 "tcd.c"
        _free($59); //@line 378 "tcd.c"
        var $60=HEAP[$prc]; //@line 379 "tcd.c"
        var $61=CHECK_OVERFLOW(($60+24)&4294967295, 32); //@line 379 "tcd.c"
        var $62=CHECK_OVERFLOW(($61)&4294967295, 32); //@line 379 "tcd.c"
        var $63=HEAP[$62]; //@line 379 "tcd.c"
        var $64=HEAP[$cblkno]; //@line 379 "tcd.c"
        var $65=CHECK_OVERFLOW(($63+48*$64)&4294967295, 32); //@line 379 "tcd.c"
        var $66=CHECK_OVERFLOW(($65+8)&4294967295, 32); //@line 379 "tcd.c"
        var $67=HEAP[$66]; //@line 379 "tcd.c"
        var $68=$67; //@line 379 "tcd.c"
        _free($68); //@line 379 "tcd.c"
        var $69=HEAP[$cblkno]; //@line 376 "tcd.c"
        var $70=CHECK_OVERFLOW((($69) + 1)&4294967295, 32); //@line 376 "tcd.c"
        HEAP[$cblkno]=$70; //@line 376 "tcd.c"
        __label__ = 9; break; //@line 376 "tcd.c"
      case 9: // $bb10
        var $71=HEAP[$prc]; //@line 376 "tcd.c"
        var $72=CHECK_OVERFLOW(($71+16)&4294967295, 32); //@line 376 "tcd.c"
        var $73=HEAP[$72]; //@line 376 "tcd.c"
        var $74=HEAP[$prc]; //@line 376 "tcd.c"
        var $75=CHECK_OVERFLOW(($74+20)&4294967295, 32); //@line 376 "tcd.c"
        var $76=HEAP[$75]; //@line 376 "tcd.c"
        var $77=CHECK_OVERFLOW((($73) * ($76))&4294967295, 32); //@line 376 "tcd.c"
        var $78=HEAP[$cblkno]; //@line 376 "tcd.c"
        var $79=($77) > ($78); //@line 376 "tcd.c"
        if ($79) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 376 "tcd.c"
      case 11: // $bb11
        var $80=HEAP[$prc]; //@line 381 "tcd.c"
        var $81=CHECK_OVERFLOW(($80+24)&4294967295, 32); //@line 381 "tcd.c"
        var $82=CHECK_OVERFLOW(($81)&4294967295, 32); //@line 381 "tcd.c"
        var $83=HEAP[$82]; //@line 381 "tcd.c"
        var $84=$83; //@line 381 "tcd.c"
        _free($84); //@line 381 "tcd.c"
        var $85=HEAP[$precno]; //@line 365 "tcd.c"
        var $86=CHECK_OVERFLOW((($85) + 1)&4294967295, 32); //@line 365 "tcd.c"
        HEAP[$precno]=$86; //@line 365 "tcd.c"
        __label__ = 4; break; //@line 365 "tcd.c"
      case 4: // $bb12
        var $87=HEAP[$res]; //@line 365 "tcd.c"
        var $88=CHECK_OVERFLOW(($87+16)&4294967295, 32); //@line 365 "tcd.c"
        var $89=HEAP[$88]; //@line 365 "tcd.c"
        var $90=HEAP[$res]; //@line 365 "tcd.c"
        var $91=CHECK_OVERFLOW(($90+20)&4294967295, 32); //@line 365 "tcd.c"
        var $92=HEAP[$91]; //@line 365 "tcd.c"
        var $93=CHECK_OVERFLOW((($89) * ($92))&4294967295, 32); //@line 365 "tcd.c"
        var $94=HEAP[$precno]; //@line 365 "tcd.c"
        var $95=($93) > ($94); //@line 365 "tcd.c"
        if ($95) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 365 "tcd.c"
      case 13: // $bb13
        var $96=HEAP[$band]; //@line 383 "tcd.c"
        var $97=CHECK_OVERFLOW(($96+20)&4294967295, 32); //@line 383 "tcd.c"
        var $98=HEAP[$97]; //@line 383 "tcd.c"
        var $99=$98; //@line 383 "tcd.c"
        _free($99); //@line 383 "tcd.c"
        var $100=HEAP[$band]; //@line 384 "tcd.c"
        var $101=CHECK_OVERFLOW(($100+20)&4294967295, 32); //@line 384 "tcd.c"
        HEAP[$101]=0; //@line 384 "tcd.c"
        var $102=HEAP[$bandno]; //@line 362 "tcd.c"
        var $103=CHECK_OVERFLOW((($102) + 1)&4294967295, 32); //@line 362 "tcd.c"
        HEAP[$bandno]=$103; //@line 362 "tcd.c"
        __label__ = 3; break; //@line 362 "tcd.c"
      case 3: // $bb14
        var $104=HEAP[$res]; //@line 362 "tcd.c"
        var $105=CHECK_OVERFLOW(($104+24)&4294967295, 32); //@line 362 "tcd.c"
        var $106=HEAP[$105]; //@line 362 "tcd.c"
        var $107=HEAP[$bandno]; //@line 362 "tcd.c"
        var $108=($106) > ($107); //@line 362 "tcd.c"
        if ($108) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 362 "tcd.c"
      case 15: // $bb15
        var $109=HEAP[$resno]; //@line 359 "tcd.c"
        var $110=CHECK_OVERFLOW((($109) + 1)&4294967295, 32); //@line 359 "tcd.c"
        HEAP[$resno]=$110; //@line 359 "tcd.c"
        __label__ = 2; break; //@line 359 "tcd.c"
      case 2: // $bb16
        var $111=HEAP[$tilec]; //@line 359 "tcd.c"
        var $112=CHECK_OVERFLOW(($111+16)&4294967295, 32); //@line 359 "tcd.c"
        var $113=HEAP[$112]; //@line 359 "tcd.c"
        var $114=HEAP[$resno]; //@line 359 "tcd.c"
        var $115=($113) > ($114); //@line 359 "tcd.c"
        if ($115) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 359 "tcd.c"
      case 17: // $bb17
        var $116=HEAP[$tilec]; //@line 387 "tcd.c"
        var $117=CHECK_OVERFLOW(($116+20)&4294967295, 32); //@line 387 "tcd.c"
        var $118=HEAP[$117]; //@line 387 "tcd.c"
        var $119=$118; //@line 387 "tcd.c"
        _free($119); //@line 387 "tcd.c"
        var $120=HEAP[$tilec]; //@line 388 "tcd.c"
        var $121=CHECK_OVERFLOW(($120+20)&4294967295, 32); //@line 388 "tcd.c"
        HEAP[$121]=0; //@line 388 "tcd.c"
        var $122=HEAP[$compno]; //@line 356 "tcd.c"
        var $123=CHECK_OVERFLOW((($122) + 1)&4294967295, 32); //@line 356 "tcd.c"
        HEAP[$compno]=$123; //@line 356 "tcd.c"
        __label__ = 1; break; //@line 356 "tcd.c"
      case 1: // $bb18
        var $124=HEAP[$tile]; //@line 356 "tcd.c"
        var $125=CHECK_OVERFLOW(($124+16)&4294967295, 32); //@line 356 "tcd.c"
        var $126=HEAP[$125]; //@line 356 "tcd.c"
        var $127=HEAP[$compno]; //@line 356 "tcd.c"
        var $128=($126) > ($127); //@line 356 "tcd.c"
        if ($128) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 356 "tcd.c"
      case 19: // $bb19
        var $129=HEAP[$tile]; //@line 390 "tcd.c"
        var $130=CHECK_OVERFLOW(($129+20)&4294967295, 32); //@line 390 "tcd.c"
        var $131=HEAP[$130]; //@line 390 "tcd.c"
        var $132=$131; //@line 390 "tcd.c"
        _free($132); //@line 390 "tcd.c"
        var $133=HEAP[$tile]; //@line 391 "tcd.c"
        var $134=CHECK_OVERFLOW(($133+20)&4294967295, 32); //@line 391 "tcd.c"
        HEAP[$134]=0; //@line 391 "tcd.c"
        var $135=HEAP[$tileno]; //@line 353 "tcd.c"
        var $136=CHECK_OVERFLOW((($135) + 1)&4294967295, 32); //@line 353 "tcd.c"
        HEAP[$tileno]=$136; //@line 353 "tcd.c"
        __label__ = 0; break; //@line 353 "tcd.c"
      case 0: // $bb20
        var $137=HEAP[$tileno]; //@line 353 "tcd.c"
        var $138=($137) <= 0; //@line 353 "tcd.c"
        if ($138) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 353 "tcd.c"
      case 21: // $bb21
        var $139=HEAP[$tcd_addr]; //@line 393 "tcd.c"
        var $140=CHECK_OVERFLOW(($139+24)&4294967295, 32); //@line 393 "tcd.c"
        var $141=HEAP[$140]; //@line 393 "tcd.c"
        var $142=CHECK_OVERFLOW(($141+8)&4294967295, 32); //@line 393 "tcd.c"
        var $143=HEAP[$142]; //@line 393 "tcd.c"
        var $144=$143; //@line 393 "tcd.c"
        _free($144); //@line 393 "tcd.c"
        var $145=HEAP[$tcd_addr]; //@line 394 "tcd.c"
        var $146=CHECK_OVERFLOW(($145+24)&4294967295, 32); //@line 394 "tcd.c"
        var $147=HEAP[$146]; //@line 394 "tcd.c"
        var $148=CHECK_OVERFLOW(($147+8)&4294967295, 32); //@line 394 "tcd.c"
        HEAP[$148]=0; //@line 394 "tcd.c"
        __label__ = 22; break; //@line 395 "tcd.c"
      case 22: // $return
        STACKTOP = __stackBase__;
        return; //@line 395 "tcd.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tcd_init_encode($tcd, $image, $cp, $curtileno) {
    var __stackBase__  = STACKTOP; STACKTOP += 244; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 244);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tcd_addr=__stackBase__;
        var $image_addr=__stackBase__+4;
        var $cp_addr=__stackBase__+8;
        var $curtileno_addr=__stackBase__+12;
        var $iftmp_45=__stackBase__+16;
        var $iftmp_43=__stackBase__+20;
        var $iftmp_42=__stackBase__+24;
        var $iftmp_41=__stackBase__+28;
        var $iftmp_40=__stackBase__+32;
        var $iftmp_36=__stackBase__+36;
        var $iftmp_28=__stackBase__+40;
        var $iftmp_26=__stackBase__+44;
        var $tileno=__stackBase__+48;
        var $compno=__stackBase__+52;
        var $resno=__stackBase__+56;
        var $bandno=__stackBase__+60;
        var $precno=__stackBase__+64;
        var $cblkno=__stackBase__+68;
        var $tcp=__stackBase__+72;
        var $j=__stackBase__+76;
        var $p=__stackBase__+80;
        var $q=__stackBase__+84;
        var $tile=__stackBase__+88;
        var $tccp=__stackBase__+92;
        var $tilec=__stackBase__+96;
        var $pdx=__stackBase__+100;
        var $pdy=__stackBase__+104;
        var $levelno=__stackBase__+108;
        var $tlprcxstart=__stackBase__+112;
        var $tlprcystart=__stackBase__+116;
        var $brprcxend=__stackBase__+120;
        var $brprcyend=__stackBase__+124;
        var $tlcbgxstart=__stackBase__+128;
        var $tlcbgystart=__stackBase__+132;
        var $brcbgxend=__stackBase__+136;
        var $brcbgyend=__stackBase__+140;
        var $cbgwidthexpn=__stackBase__+144;
        var $cbgheightexpn=__stackBase__+148;
        var $cblkwidthexpn=__stackBase__+152;
        var $cblkheightexpn=__stackBase__+156;
        var $res=__stackBase__+160;
        var $x0b=__stackBase__+164;
        var $y0b=__stackBase__+168;
        var $gain=__stackBase__+172;
        var $numbps=__stackBase__+176;
        var $ss=__stackBase__+180;
        var $band=__stackBase__+184;
        var $tlcblkxstart=__stackBase__+188;
        var $tlcblkystart=__stackBase__+192;
        var $brcblkxend=__stackBase__+196;
        var $brcblkyend=__stackBase__+200;
        var $cbgxstart=__stackBase__+204;
        var $cbgystart=__stackBase__+208;
        var $cbgxend=__stackBase__+212;
        var $cbgyend=__stackBase__+216;
        var $prc=__stackBase__+220;
        var $cblkxstart=__stackBase__+224;
        var $cblkystart=__stackBase__+228;
        var $cblkxend=__stackBase__+232;
        var $cblkyend=__stackBase__+236;
        var $cblk=__stackBase__+240;
        var $_alloca_point_=0;
        HEAP[$tcd_addr]=$tcd;
        HEAP[$image_addr]=$image;
        HEAP[$cp_addr]=$cp;
        HEAP[$curtileno_addr]=$curtileno;
        HEAP[$tileno]=0; //@line 400 "tcd.c"
        __label__ = 0; break; //@line 400 "tcd.c"
      case 65: // $bb
        var $0=HEAP[$cp_addr]; //@line 401 "tcd.c"
        var $1=CHECK_OVERFLOW(($0+108)&4294967295, 32); //@line 401 "tcd.c"
        var $2=HEAP[$1]; //@line 401 "tcd.c"
        var $3=HEAP[$curtileno_addr]; //@line 401 "tcd.c"
        var $4=CHECK_OVERFLOW(($2+5588*$3)&4294967295, 32); //@line 401 "tcd.c"
        HEAP[$tcp]=$4; //@line 401 "tcd.c"
        var $5=HEAP[$cp_addr]; //@line 404 "tcd.c"
        var $6=CHECK_OVERFLOW(($5+68)&4294967295, 32); //@line 404 "tcd.c"
        var $7=HEAP[$6]; //@line 404 "tcd.c"
        var $8=HEAP[$curtileno_addr]; //@line 404 "tcd.c"
        var $9=($8) % ($7); //@line 404 "tcd.c"
        HEAP[$p]=$9; //@line 404 "tcd.c"
        var $10=HEAP[$cp_addr]; //@line 405 "tcd.c"
        var $11=CHECK_OVERFLOW(($10+68)&4294967295, 32); //@line 405 "tcd.c"
        var $12=HEAP[$11]; //@line 405 "tcd.c"
        var $13=HEAP[$curtileno_addr]; //@line 405 "tcd.c"
        var $14=(($13)/($12)|0); //@line 405 "tcd.c"
        HEAP[$q]=$14; //@line 405 "tcd.c"
        var $15=HEAP[$tcd_addr]; //@line 407 "tcd.c"
        var $16=CHECK_OVERFLOW(($15+24)&4294967295, 32); //@line 407 "tcd.c"
        var $17=HEAP[$16]; //@line 407 "tcd.c"
        var $18=CHECK_OVERFLOW(($17+8)&4294967295, 32); //@line 407 "tcd.c"
        var $19=HEAP[$18]; //@line 407 "tcd.c"
        HEAP[$tile]=$19; //@line 407 "tcd.c"
        var $20=HEAP[$image_addr]; //@line 410 "tcd.c"
        var $21=CHECK_OVERFLOW(($20)&4294967295, 32); //@line 410 "tcd.c"
        var $22=HEAP[$21]; //@line 410 "tcd.c"
        var $23=HEAP[$cp_addr]; //@line 410 "tcd.c"
        var $24=CHECK_OVERFLOW(($23+48)&4294967295, 32); //@line 410 "tcd.c"
        var $25=HEAP[$24]; //@line 410 "tcd.c"
        var $26=HEAP[$cp_addr]; //@line 410 "tcd.c"
        var $27=CHECK_OVERFLOW(($26+56)&4294967295, 32); //@line 410 "tcd.c"
        var $28=HEAP[$27]; //@line 410 "tcd.c"
        var $29=HEAP[$p]; //@line 410 "tcd.c"
        var $30=CHECK_OVERFLOW((($28) * ($29))&4294967295, 32); //@line 410 "tcd.c"
        var $31=CHECK_OVERFLOW((($25) + ($30))&4294967295, 32); //@line 410 "tcd.c"
        var $32=_int_max71($31, $22); //@line 410 "tcd.c"
        var $33=HEAP[$tile]; //@line 410 "tcd.c"
        var $34=CHECK_OVERFLOW(($33)&4294967295, 32); //@line 410 "tcd.c"
        HEAP[$34]=$32; //@line 410 "tcd.c"
        var $35=HEAP[$image_addr]; //@line 411 "tcd.c"
        var $36=CHECK_OVERFLOW(($35+4)&4294967295, 32); //@line 411 "tcd.c"
        var $37=HEAP[$36]; //@line 411 "tcd.c"
        var $38=HEAP[$cp_addr]; //@line 411 "tcd.c"
        var $39=CHECK_OVERFLOW(($38+52)&4294967295, 32); //@line 411 "tcd.c"
        var $40=HEAP[$39]; //@line 411 "tcd.c"
        var $41=HEAP[$cp_addr]; //@line 411 "tcd.c"
        var $42=CHECK_OVERFLOW(($41+60)&4294967295, 32); //@line 411 "tcd.c"
        var $43=HEAP[$42]; //@line 411 "tcd.c"
        var $44=HEAP[$q]; //@line 411 "tcd.c"
        var $45=CHECK_OVERFLOW((($43) * ($44))&4294967295, 32); //@line 411 "tcd.c"
        var $46=CHECK_OVERFLOW((($40) + ($45))&4294967295, 32); //@line 411 "tcd.c"
        var $47=_int_max71($46, $37); //@line 411 "tcd.c"
        var $48=HEAP[$tile]; //@line 411 "tcd.c"
        var $49=CHECK_OVERFLOW(($48+4)&4294967295, 32); //@line 411 "tcd.c"
        HEAP[$49]=$47; //@line 411 "tcd.c"
        var $50=HEAP[$image_addr]; //@line 412 "tcd.c"
        var $51=CHECK_OVERFLOW(($50+8)&4294967295, 32); //@line 412 "tcd.c"
        var $52=HEAP[$51]; //@line 412 "tcd.c"
        var $53=HEAP[$cp_addr]; //@line 412 "tcd.c"
        var $54=CHECK_OVERFLOW(($53+48)&4294967295, 32); //@line 412 "tcd.c"
        var $55=HEAP[$54]; //@line 412 "tcd.c"
        var $56=HEAP[$p]; //@line 412 "tcd.c"
        var $57=CHECK_OVERFLOW((($56) + 1)&4294967295, 32); //@line 412 "tcd.c"
        var $58=HEAP[$cp_addr]; //@line 412 "tcd.c"
        var $59=CHECK_OVERFLOW(($58+56)&4294967295, 32); //@line 412 "tcd.c"
        var $60=HEAP[$59]; //@line 412 "tcd.c"
        var $61=CHECK_OVERFLOW((($57) * ($60))&4294967295, 32); //@line 412 "tcd.c"
        var $62=CHECK_OVERFLOW((($55) + ($61))&4294967295, 32); //@line 412 "tcd.c"
        var $63=_int_min72($62, $52); //@line 412 "tcd.c"
        var $64=HEAP[$tile]; //@line 412 "tcd.c"
        var $65=CHECK_OVERFLOW(($64+8)&4294967295, 32); //@line 412 "tcd.c"
        HEAP[$65]=$63; //@line 412 "tcd.c"
        var $66=HEAP[$image_addr]; //@line 413 "tcd.c"
        var $67=CHECK_OVERFLOW(($66+12)&4294967295, 32); //@line 413 "tcd.c"
        var $68=HEAP[$67]; //@line 413 "tcd.c"
        var $69=HEAP[$cp_addr]; //@line 413 "tcd.c"
        var $70=CHECK_OVERFLOW(($69+52)&4294967295, 32); //@line 413 "tcd.c"
        var $71=HEAP[$70]; //@line 413 "tcd.c"
        var $72=HEAP[$q]; //@line 413 "tcd.c"
        var $73=CHECK_OVERFLOW((($72) + 1)&4294967295, 32); //@line 413 "tcd.c"
        var $74=HEAP[$cp_addr]; //@line 413 "tcd.c"
        var $75=CHECK_OVERFLOW(($74+60)&4294967295, 32); //@line 413 "tcd.c"
        var $76=HEAP[$75]; //@line 413 "tcd.c"
        var $77=CHECK_OVERFLOW((($73) * ($76))&4294967295, 32); //@line 413 "tcd.c"
        var $78=CHECK_OVERFLOW((($71) + ($77))&4294967295, 32); //@line 413 "tcd.c"
        var $79=_int_min72($78, $68); //@line 413 "tcd.c"
        var $80=HEAP[$tile]; //@line 413 "tcd.c"
        var $81=CHECK_OVERFLOW(($80+12)&4294967295, 32); //@line 413 "tcd.c"
        HEAP[$81]=$79; //@line 413 "tcd.c"
        var $82=HEAP[$image_addr]; //@line 415 "tcd.c"
        var $83=CHECK_OVERFLOW(($82+16)&4294967295, 32); //@line 415 "tcd.c"
        var $84=HEAP[$83]; //@line 415 "tcd.c"
        var $85=HEAP[$tile]; //@line 415 "tcd.c"
        var $86=CHECK_OVERFLOW(($85+16)&4294967295, 32); //@line 415 "tcd.c"
        HEAP[$86]=$84; //@line 415 "tcd.c"
        HEAP[$j]=0; //@line 419 "tcd.c"
        __label__ = 1; break; //@line 419 "tcd.c"
      case 15: // $bb1
        var $87=HEAP[$j]; //@line 420 "tcd.c"
        var $88=HEAP[$j]; //@line 420 "tcd.c"
        var $89=HEAP[$tcp]; //@line 420 "tcd.c"
        var $90=CHECK_OVERFLOW(($89+20)&4294967295, 32); //@line 420 "tcd.c"
        var $91=CHECK_OVERFLOW(($90+$88*4)&4294967295, 32); //@line 420 "tcd.c"
        var $92=HEAP[$91]; //@line 420 "tcd.c"
        var $93=($92) != 0; //@line 420 "tcd.c"
        if ($93) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 420 "tcd.c"
      case 2: // $bb2
        var $94=HEAP[$cp_addr]; //@line 420 "tcd.c"
        var $95=CHECK_OVERFLOW(($94+16)&4294967295, 32); //@line 420 "tcd.c"
        var $96=HEAP[$95]; //@line 420 "tcd.c"
        var $97=($96)!=0; //@line 420 "tcd.c"
        if ($97) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 420 "tcd.c"
      case 4: // $bb3
        var $98=HEAP[$tile]; //@line 420 "tcd.c"
        var $99=CHECK_OVERFLOW(($98+16)&4294967295, 32); //@line 420 "tcd.c"
        var $100=HEAP[$99]; //@line 420 "tcd.c"
        var $101=HEAP[$tile]; //@line 420 "tcd.c"
        var $102=CHECK_OVERFLOW(($101+8)&4294967295, 32); //@line 420 "tcd.c"
        var $103=HEAP[$102]; //@line 420 "tcd.c"
        var $104=HEAP[$tile]; //@line 420 "tcd.c"
        var $105=CHECK_OVERFLOW(($104)&4294967295, 32); //@line 420 "tcd.c"
        var $106=HEAP[$105]; //@line 420 "tcd.c"
        var $107=CHECK_OVERFLOW((($103) - ($106))&4294967295, 32); //@line 420 "tcd.c"
        var $108=CHECK_OVERFLOW((($100) * ($107))&4294967295, 32); //@line 420 "tcd.c"
        var $109=HEAP[$tile]; //@line 420 "tcd.c"
        var $110=CHECK_OVERFLOW(($109+12)&4294967295, 32); //@line 420 "tcd.c"
        var $111=HEAP[$110]; //@line 420 "tcd.c"
        var $112=HEAP[$tile]; //@line 420 "tcd.c"
        var $113=CHECK_OVERFLOW(($112+4)&4294967295, 32); //@line 420 "tcd.c"
        var $114=HEAP[$113]; //@line 420 "tcd.c"
        var $115=CHECK_OVERFLOW((($111) - ($114))&4294967295, 32); //@line 420 "tcd.c"
        var $116=CHECK_OVERFLOW((($108) * ($115))&4294967295, 32); //@line 420 "tcd.c"
        var $117=HEAP[$image_addr]; //@line 420 "tcd.c"
        var $118=CHECK_OVERFLOW(($117+24)&4294967295, 32); //@line 420 "tcd.c"
        var $119=HEAP[$118]; //@line 420 "tcd.c"
        var $120=CHECK_OVERFLOW(($119)&4294967295, 32); //@line 420 "tcd.c"
        var $121=CHECK_OVERFLOW(($120+24)&4294967295, 32); //@line 420 "tcd.c"
        var $122=HEAP[$121]; //@line 420 "tcd.c"
        var $123=CHECK_OVERFLOW((($116) * ($122))&4294967295, 32); //@line 420 "tcd.c"
        var $124=($123); //@line 420 "tcd.c"
        var $125=HEAP[$j]; //@line 420 "tcd.c"
        var $126=HEAP[$tcp]; //@line 420 "tcd.c"
        var $127=CHECK_OVERFLOW(($126+20)&4294967295, 32); //@line 420 "tcd.c"
        var $128=CHECK_OVERFLOW(($127+$125*4)&4294967295, 32); //@line 420 "tcd.c"
        var $129=HEAP[$128]; //@line 420 "tcd.c"
        var $130=($129) * 8; //@line 420 "tcd.c"
        var $131=HEAP[$image_addr]; //@line 420 "tcd.c"
        var $132=CHECK_OVERFLOW(($131+24)&4294967295, 32); //@line 420 "tcd.c"
        var $133=HEAP[$132]; //@line 420 "tcd.c"
        var $134=CHECK_OVERFLOW(($133)&4294967295, 32); //@line 420 "tcd.c"
        var $135=CHECK_OVERFLOW(($134)&4294967295, 32); //@line 420 "tcd.c"
        var $136=HEAP[$135]; //@line 420 "tcd.c"
        var $137=($136); //@line 420 "tcd.c"
        var $138=($130) * ($137); //@line 420 "tcd.c"
        var $139=HEAP[$image_addr]; //@line 420 "tcd.c"
        var $140=CHECK_OVERFLOW(($139+24)&4294967295, 32); //@line 420 "tcd.c"
        var $141=HEAP[$140]; //@line 420 "tcd.c"
        var $142=CHECK_OVERFLOW(($141)&4294967295, 32); //@line 420 "tcd.c"
        var $143=CHECK_OVERFLOW(($142+4)&4294967295, 32); //@line 420 "tcd.c"
        var $144=HEAP[$143]; //@line 420 "tcd.c"
        var $145=($144); //@line 420 "tcd.c"
        var $146=($138) * ($145); //@line 420 "tcd.c"
        var $147=($124) / ($146); //@line 420 "tcd.c"
        var $148=HEAP[$tcd_addr]; //@line 420 "tcd.c"
        var $149=CHECK_OVERFLOW(($148+12)&4294967295, 32); //@line 420 "tcd.c"
        var $150=HEAP[$149]; //@line 420 "tcd.c"
        var $151=CHECK_OVERFLOW((($150) * 14)&4294967295, 32); //@line 420 "tcd.c"
        var $152=CHECK_OVERFLOW((($151) + -14)&4294967295, 32); //@line 420 "tcd.c"
        var $153=HEAP[$tcp]; //@line 420 "tcd.c"
        var $154=CHECK_OVERFLOW(($153+12)&4294967295, 32); //@line 420 "tcd.c"
        var $155=HEAP[$154]; //@line 420 "tcd.c"
        var $156=(($152)/($155)|0); //@line 420 "tcd.c"
        var $157=($156); //@line 420 "tcd.c"
        var $158=($147) - ($157); //@line 420 "tcd.c"
        HEAP[$iftmp_28]=$158; //@line 420 "tcd.c"
        __label__ = 6; break; //@line 420 "tcd.c"
      case 5: // $bb4
        var $159=HEAP[$tile]; //@line 420 "tcd.c"
        var $160=CHECK_OVERFLOW(($159+16)&4294967295, 32); //@line 420 "tcd.c"
        var $161=HEAP[$160]; //@line 420 "tcd.c"
        var $162=HEAP[$tile]; //@line 420 "tcd.c"
        var $163=CHECK_OVERFLOW(($162+8)&4294967295, 32); //@line 420 "tcd.c"
        var $164=HEAP[$163]; //@line 420 "tcd.c"
        var $165=HEAP[$tile]; //@line 420 "tcd.c"
        var $166=CHECK_OVERFLOW(($165)&4294967295, 32); //@line 420 "tcd.c"
        var $167=HEAP[$166]; //@line 420 "tcd.c"
        var $168=CHECK_OVERFLOW((($164) - ($167))&4294967295, 32); //@line 420 "tcd.c"
        var $169=CHECK_OVERFLOW((($161) * ($168))&4294967295, 32); //@line 420 "tcd.c"
        var $170=HEAP[$tile]; //@line 420 "tcd.c"
        var $171=CHECK_OVERFLOW(($170+12)&4294967295, 32); //@line 420 "tcd.c"
        var $172=HEAP[$171]; //@line 420 "tcd.c"
        var $173=HEAP[$tile]; //@line 420 "tcd.c"
        var $174=CHECK_OVERFLOW(($173+4)&4294967295, 32); //@line 420 "tcd.c"
        var $175=HEAP[$174]; //@line 420 "tcd.c"
        var $176=CHECK_OVERFLOW((($172) - ($175))&4294967295, 32); //@line 420 "tcd.c"
        var $177=CHECK_OVERFLOW((($169) * ($176))&4294967295, 32); //@line 420 "tcd.c"
        var $178=HEAP[$image_addr]; //@line 420 "tcd.c"
        var $179=CHECK_OVERFLOW(($178+24)&4294967295, 32); //@line 420 "tcd.c"
        var $180=HEAP[$179]; //@line 420 "tcd.c"
        var $181=CHECK_OVERFLOW(($180)&4294967295, 32); //@line 420 "tcd.c"
        var $182=CHECK_OVERFLOW(($181+24)&4294967295, 32); //@line 420 "tcd.c"
        var $183=HEAP[$182]; //@line 420 "tcd.c"
        var $184=CHECK_OVERFLOW((($177) * ($183))&4294967295, 32); //@line 420 "tcd.c"
        var $185=($184); //@line 420 "tcd.c"
        var $186=HEAP[$j]; //@line 420 "tcd.c"
        var $187=HEAP[$tcp]; //@line 420 "tcd.c"
        var $188=CHECK_OVERFLOW(($187+20)&4294967295, 32); //@line 420 "tcd.c"
        var $189=CHECK_OVERFLOW(($188+$186*4)&4294967295, 32); //@line 420 "tcd.c"
        var $190=HEAP[$189]; //@line 420 "tcd.c"
        var $191=($190) * 8; //@line 420 "tcd.c"
        var $192=HEAP[$image_addr]; //@line 420 "tcd.c"
        var $193=CHECK_OVERFLOW(($192+24)&4294967295, 32); //@line 420 "tcd.c"
        var $194=HEAP[$193]; //@line 420 "tcd.c"
        var $195=CHECK_OVERFLOW(($194)&4294967295, 32); //@line 420 "tcd.c"
        var $196=CHECK_OVERFLOW(($195)&4294967295, 32); //@line 420 "tcd.c"
        var $197=HEAP[$196]; //@line 420 "tcd.c"
        var $198=($197); //@line 420 "tcd.c"
        var $199=($191) * ($198); //@line 420 "tcd.c"
        var $200=HEAP[$image_addr]; //@line 420 "tcd.c"
        var $201=CHECK_OVERFLOW(($200+24)&4294967295, 32); //@line 420 "tcd.c"
        var $202=HEAP[$201]; //@line 420 "tcd.c"
        var $203=CHECK_OVERFLOW(($202)&4294967295, 32); //@line 420 "tcd.c"
        var $204=CHECK_OVERFLOW(($203+4)&4294967295, 32); //@line 420 "tcd.c"
        var $205=HEAP[$204]; //@line 420 "tcd.c"
        var $206=($205); //@line 420 "tcd.c"
        var $207=($199) * ($206); //@line 420 "tcd.c"
        var $208=($185) / ($207); //@line 420 "tcd.c"
        HEAP[$iftmp_28]=$208; //@line 420 "tcd.c"
        __label__ = 6; break; //@line 420 "tcd.c"
      case 6: // $bb5
        var $209=HEAP[$iftmp_28]; //@line 420 "tcd.c"
        HEAP[$iftmp_26]=$209; //@line 420 "tcd.c"
        __label__ = 7; break; //@line 420 "tcd.c"
      case 3: // $bb6
        HEAP[$iftmp_26]=0; //@line 420 "tcd.c"
        __label__ = 7; break; //@line 420 "tcd.c"
      case 7: // $bb7
        var $210=HEAP[$tcp]; //@line 420 "tcd.c"
        var $211=CHECK_OVERFLOW(($210+20)&4294967295, 32); //@line 420 "tcd.c"
        var $212=CHECK_OVERFLOW(($211+$87*4)&4294967295, 32); //@line 420 "tcd.c"
        var $213=HEAP[$iftmp_26]; //@line 420 "tcd.c"
        HEAP[$212]=$213; //@line 420 "tcd.c"
        var $214=HEAP[$j]; //@line 435 "tcd.c"
        var $215=HEAP[$tcp]; //@line 435 "tcd.c"
        var $216=CHECK_OVERFLOW(($215+20)&4294967295, 32); //@line 435 "tcd.c"
        var $217=CHECK_OVERFLOW(($216+$214*4)&4294967295, 32); //@line 435 "tcd.c"
        var $218=HEAP[$217]; //@line 435 "tcd.c"
        var $219=($218) != 0; //@line 435 "tcd.c"
        if ($219) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 435 "tcd.c"
      case 8: // $bb8
        var $220=HEAP[$j]; //@line 436 "tcd.c"
        var $221=($220)==0; //@line 436 "tcd.c"
        if ($221) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 436 "tcd.c"
      case 11: // $bb9
        var $222=HEAP[$j]; //@line 436 "tcd.c"
        var $223=HEAP[$tcp]; //@line 436 "tcd.c"
        var $224=CHECK_OVERFLOW(($223+20)&4294967295, 32); //@line 436 "tcd.c"
        var $225=CHECK_OVERFLOW(($224+$222*4)&4294967295, 32); //@line 436 "tcd.c"
        var $226=HEAP[$225]; //@line 436 "tcd.c"
        var $227=HEAP[$j]; //@line 436 "tcd.c"
        var $228=CHECK_OVERFLOW((($227) - 1)&4294967295, 32); //@line 436 "tcd.c"
        var $229=HEAP[$tcp]; //@line 436 "tcd.c"
        var $230=CHECK_OVERFLOW(($229+20)&4294967295, 32); //@line 436 "tcd.c"
        var $231=CHECK_OVERFLOW(($230+$228*4)&4294967295, 32); //@line 436 "tcd.c"
        var $232=HEAP[$231]; //@line 436 "tcd.c"
        var $233=($232) + 10; //@line 436 "tcd.c"
        var $234=($226) >= ($233); //@line 436 "tcd.c"
        if ($234) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 436 "tcd.c"
      case 12: // $bb10
        var $235=HEAP[$j]; //@line 437 "tcd.c"
        var $236=HEAP[$j]; //@line 437 "tcd.c"
        var $237=CHECK_OVERFLOW((($236) - 1)&4294967295, 32); //@line 437 "tcd.c"
        var $238=HEAP[$tcp]; //@line 437 "tcd.c"
        var $239=CHECK_OVERFLOW(($238+20)&4294967295, 32); //@line 437 "tcd.c"
        var $240=CHECK_OVERFLOW(($239+$237*4)&4294967295, 32); //@line 437 "tcd.c"
        var $241=HEAP[$240]; //@line 437 "tcd.c"
        var $242=($241) + 20; //@line 437 "tcd.c"
        var $243=HEAP[$tcp]; //@line 437 "tcd.c"
        var $244=CHECK_OVERFLOW(($243+20)&4294967295, 32); //@line 437 "tcd.c"
        var $245=CHECK_OVERFLOW(($244+$235*4)&4294967295, 32); //@line 437 "tcd.c"
        HEAP[$245]=$242; //@line 437 "tcd.c"
        __label__ = 9; break; //@line 437 "tcd.c"
      case 10: // $bb11
        var $246=HEAP[$j]; //@line 439 "tcd.c"
        var $247=($246)==0; //@line 439 "tcd.c"
        if ($247) { __label__ = 13; break; } else { __label__ = 9; break; } //@line 439 "tcd.c"
      case 13: // $bb12
        var $248=HEAP[$j]; //@line 439 "tcd.c"
        var $249=HEAP[$tcp]; //@line 439 "tcd.c"
        var $250=CHECK_OVERFLOW(($249+20)&4294967295, 32); //@line 439 "tcd.c"
        var $251=CHECK_OVERFLOW(($250+$248*4)&4294967295, 32); //@line 439 "tcd.c"
        var $252=HEAP[$251]; //@line 439 "tcd.c"
        var $253=($252) < 30; //@line 439 "tcd.c"
        if ($253) { __label__ = 14; break; } else { __label__ = 9; break; } //@line 439 "tcd.c"
      case 14: // $bb13
        var $254=HEAP[$j]; //@line 440 "tcd.c"
        var $255=HEAP[$tcp]; //@line 440 "tcd.c"
        var $256=CHECK_OVERFLOW(($255+20)&4294967295, 32); //@line 440 "tcd.c"
        var $257=CHECK_OVERFLOW(($256+$254*4)&4294967295, 32); //@line 440 "tcd.c"
        HEAP[$257]=30; //@line 440 "tcd.c"
        __label__ = 9; break; //@line 440 "tcd.c"
      case 9: // $bb14
        var $258=HEAP[$j]; //@line 419 "tcd.c"
        var $259=CHECK_OVERFLOW((($258) + 1)&4294967295, 32); //@line 419 "tcd.c"
        HEAP[$j]=$259; //@line 419 "tcd.c"
        __label__ = 1; break; //@line 419 "tcd.c"
      case 1: // $bb15
        var $260=HEAP[$tcp]; //@line 419 "tcd.c"
        var $261=CHECK_OVERFLOW(($260+12)&4294967295, 32); //@line 419 "tcd.c"
        var $262=HEAP[$261]; //@line 419 "tcd.c"
        var $263=HEAP[$j]; //@line 419 "tcd.c"
        var $264=($262) > ($263); //@line 419 "tcd.c"
        if ($264) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 419 "tcd.c"
      case 16: // $bb16
        HEAP[$compno]=0; //@line 447 "tcd.c"
        __label__ = 17; break; //@line 447 "tcd.c"
      case 63: // $bb17
        var $265=HEAP[$tcp]; //@line 448 "tcd.c"
        var $266=CHECK_OVERFLOW(($265+5584)&4294967295, 32); //@line 448 "tcd.c"
        var $267=HEAP[$266]; //@line 448 "tcd.c"
        var $268=HEAP[$compno]; //@line 448 "tcd.c"
        var $269=CHECK_OVERFLOW(($267+1076*$268)&4294967295, 32); //@line 448 "tcd.c"
        HEAP[$tccp]=$269; //@line 448 "tcd.c"
        var $270=HEAP[$tile]; //@line 450 "tcd.c"
        var $271=CHECK_OVERFLOW(($270+20)&4294967295, 32); //@line 450 "tcd.c"
        var $272=HEAP[$271]; //@line 450 "tcd.c"
        var $273=HEAP[$compno]; //@line 450 "tcd.c"
        var $274=CHECK_OVERFLOW(($272+32*$273)&4294967295, 32); //@line 450 "tcd.c"
        HEAP[$tilec]=$274; //@line 450 "tcd.c"
        var $275=HEAP[$image_addr]; //@line 453 "tcd.c"
        var $276=CHECK_OVERFLOW(($275+24)&4294967295, 32); //@line 453 "tcd.c"
        var $277=HEAP[$276]; //@line 453 "tcd.c"
        var $278=HEAP[$compno]; //@line 453 "tcd.c"
        var $279=CHECK_OVERFLOW(($277+48*$278)&4294967295, 32); //@line 453 "tcd.c"
        var $280=CHECK_OVERFLOW(($279)&4294967295, 32); //@line 453 "tcd.c"
        var $281=HEAP[$280]; //@line 453 "tcd.c"
        var $282=HEAP[$tile]; //@line 453 "tcd.c"
        var $283=CHECK_OVERFLOW(($282)&4294967295, 32); //@line 453 "tcd.c"
        var $284=HEAP[$283]; //@line 453 "tcd.c"
        var $285=_int_ceildiv73($284, $281); //@line 453 "tcd.c"
        var $286=HEAP[$tilec]; //@line 453 "tcd.c"
        var $287=CHECK_OVERFLOW(($286)&4294967295, 32); //@line 453 "tcd.c"
        HEAP[$287]=$285; //@line 453 "tcd.c"
        var $288=HEAP[$image_addr]; //@line 454 "tcd.c"
        var $289=CHECK_OVERFLOW(($288+24)&4294967295, 32); //@line 454 "tcd.c"
        var $290=HEAP[$289]; //@line 454 "tcd.c"
        var $291=HEAP[$compno]; //@line 454 "tcd.c"
        var $292=CHECK_OVERFLOW(($290+48*$291)&4294967295, 32); //@line 454 "tcd.c"
        var $293=CHECK_OVERFLOW(($292+4)&4294967295, 32); //@line 454 "tcd.c"
        var $294=HEAP[$293]; //@line 454 "tcd.c"
        var $295=HEAP[$tile]; //@line 454 "tcd.c"
        var $296=CHECK_OVERFLOW(($295+4)&4294967295, 32); //@line 454 "tcd.c"
        var $297=HEAP[$296]; //@line 454 "tcd.c"
        var $298=_int_ceildiv73($297, $294); //@line 454 "tcd.c"
        var $299=HEAP[$tilec]; //@line 454 "tcd.c"
        var $300=CHECK_OVERFLOW(($299+4)&4294967295, 32); //@line 454 "tcd.c"
        HEAP[$300]=$298; //@line 454 "tcd.c"
        var $301=HEAP[$image_addr]; //@line 455 "tcd.c"
        var $302=CHECK_OVERFLOW(($301+24)&4294967295, 32); //@line 455 "tcd.c"
        var $303=HEAP[$302]; //@line 455 "tcd.c"
        var $304=HEAP[$compno]; //@line 455 "tcd.c"
        var $305=CHECK_OVERFLOW(($303+48*$304)&4294967295, 32); //@line 455 "tcd.c"
        var $306=CHECK_OVERFLOW(($305)&4294967295, 32); //@line 455 "tcd.c"
        var $307=HEAP[$306]; //@line 455 "tcd.c"
        var $308=HEAP[$tile]; //@line 455 "tcd.c"
        var $309=CHECK_OVERFLOW(($308+8)&4294967295, 32); //@line 455 "tcd.c"
        var $310=HEAP[$309]; //@line 455 "tcd.c"
        var $311=_int_ceildiv73($310, $307); //@line 455 "tcd.c"
        var $312=HEAP[$tilec]; //@line 455 "tcd.c"
        var $313=CHECK_OVERFLOW(($312+8)&4294967295, 32); //@line 455 "tcd.c"
        HEAP[$313]=$311; //@line 455 "tcd.c"
        var $314=HEAP[$image_addr]; //@line 456 "tcd.c"
        var $315=CHECK_OVERFLOW(($314+24)&4294967295, 32); //@line 456 "tcd.c"
        var $316=HEAP[$315]; //@line 456 "tcd.c"
        var $317=HEAP[$compno]; //@line 456 "tcd.c"
        var $318=CHECK_OVERFLOW(($316+48*$317)&4294967295, 32); //@line 456 "tcd.c"
        var $319=CHECK_OVERFLOW(($318+4)&4294967295, 32); //@line 456 "tcd.c"
        var $320=HEAP[$319]; //@line 456 "tcd.c"
        var $321=HEAP[$tile]; //@line 456 "tcd.c"
        var $322=CHECK_OVERFLOW(($321+12)&4294967295, 32); //@line 456 "tcd.c"
        var $323=HEAP[$322]; //@line 456 "tcd.c"
        var $324=_int_ceildiv73($323, $320); //@line 456 "tcd.c"
        var $325=HEAP[$tilec]; //@line 456 "tcd.c"
        var $326=CHECK_OVERFLOW(($325+12)&4294967295, 32); //@line 456 "tcd.c"
        HEAP[$326]=$324; //@line 456 "tcd.c"
        var $327=HEAP[$tilec]; //@line 458 "tcd.c"
        var $328=CHECK_OVERFLOW(($327+8)&4294967295, 32); //@line 458 "tcd.c"
        var $329=HEAP[$328]; //@line 458 "tcd.c"
        var $330=HEAP[$tilec]; //@line 458 "tcd.c"
        var $331=CHECK_OVERFLOW(($330)&4294967295, 32); //@line 458 "tcd.c"
        var $332=HEAP[$331]; //@line 458 "tcd.c"
        var $333=CHECK_OVERFLOW((($329) - ($332))&4294967295, 32); //@line 458 "tcd.c"
        var $334=HEAP[$tilec]; //@line 458 "tcd.c"
        var $335=CHECK_OVERFLOW(($334+12)&4294967295, 32); //@line 458 "tcd.c"
        var $336=HEAP[$335]; //@line 458 "tcd.c"
        var $337=HEAP[$tilec]; //@line 458 "tcd.c"
        var $338=CHECK_OVERFLOW(($337+4)&4294967295, 32); //@line 458 "tcd.c"
        var $339=HEAP[$338]; //@line 458 "tcd.c"
        var $340=CHECK_OVERFLOW((($336) - ($339))&4294967295, 32); //@line 458 "tcd.c"
        var $341=CHECK_OVERFLOW((($333) * ($340))&4294967295, 32); //@line 458 "tcd.c"
        var $342=CHECK_OVERFLOW((($341) * 4)&4294967295, 32); //@line 458 "tcd.c"
        var $343=_memalign(16, $342); //@line 458 "tcd.c"
        var $344=$343; //@line 458 "tcd.c"
        var $345=HEAP[$tilec]; //@line 458 "tcd.c"
        var $346=CHECK_OVERFLOW(($345+24)&4294967295, 32); //@line 458 "tcd.c"
        HEAP[$346]=$344; //@line 458 "tcd.c"
        var $347=HEAP[$tccp]; //@line 459 "tcd.c"
        var $348=CHECK_OVERFLOW(($347+4)&4294967295, 32); //@line 459 "tcd.c"
        var $349=HEAP[$348]; //@line 459 "tcd.c"
        var $350=HEAP[$tilec]; //@line 459 "tcd.c"
        var $351=CHECK_OVERFLOW(($350+16)&4294967295, 32); //@line 459 "tcd.c"
        HEAP[$351]=$349; //@line 459 "tcd.c"
        HEAP[$resno]=0; //@line 461 "tcd.c"
        __label__ = 18; break; //@line 461 "tcd.c"
      case 61: // $bb18
        var $352=HEAP[$tilec]; //@line 464 "tcd.c"
        var $353=CHECK_OVERFLOW(($352+16)&4294967295, 32); //@line 464 "tcd.c"
        var $354=HEAP[$353]; //@line 464 "tcd.c"
        var $355=CHECK_OVERFLOW((($354) - 1)&4294967295, 32); //@line 464 "tcd.c"
        var $356=HEAP[$resno]; //@line 464 "tcd.c"
        var $357=CHECK_OVERFLOW((($355) - ($356))&4294967295, 32); //@line 464 "tcd.c"
        HEAP[$levelno]=$357; //@line 464 "tcd.c"
        var $358=HEAP[$tilec]; //@line 470 "tcd.c"
        var $359=CHECK_OVERFLOW(($358+20)&4294967295, 32); //@line 470 "tcd.c"
        var $360=HEAP[$359]; //@line 470 "tcd.c"
        var $361=HEAP[$resno]; //@line 470 "tcd.c"
        var $362=CHECK_OVERFLOW(($360+124*$361)&4294967295, 32); //@line 470 "tcd.c"
        HEAP[$res]=$362; //@line 470 "tcd.c"
        var $363=HEAP[$tilec]; //@line 473 "tcd.c"
        var $364=CHECK_OVERFLOW(($363)&4294967295, 32); //@line 473 "tcd.c"
        var $365=HEAP[$364]; //@line 473 "tcd.c"
        var $366=HEAP[$levelno]; //@line 473 "tcd.c"
        var $367=_int_ceildivpow274($365, $366); //@line 473 "tcd.c"
        var $368=HEAP[$res]; //@line 473 "tcd.c"
        var $369=CHECK_OVERFLOW(($368)&4294967295, 32); //@line 473 "tcd.c"
        HEAP[$369]=$367; //@line 473 "tcd.c"
        var $370=HEAP[$tilec]; //@line 474 "tcd.c"
        var $371=CHECK_OVERFLOW(($370+4)&4294967295, 32); //@line 474 "tcd.c"
        var $372=HEAP[$371]; //@line 474 "tcd.c"
        var $373=HEAP[$levelno]; //@line 474 "tcd.c"
        var $374=_int_ceildivpow274($372, $373); //@line 474 "tcd.c"
        var $375=HEAP[$res]; //@line 474 "tcd.c"
        var $376=CHECK_OVERFLOW(($375+4)&4294967295, 32); //@line 474 "tcd.c"
        HEAP[$376]=$374; //@line 474 "tcd.c"
        var $377=HEAP[$tilec]; //@line 475 "tcd.c"
        var $378=CHECK_OVERFLOW(($377+8)&4294967295, 32); //@line 475 "tcd.c"
        var $379=HEAP[$378]; //@line 475 "tcd.c"
        var $380=HEAP[$levelno]; //@line 475 "tcd.c"
        var $381=_int_ceildivpow274($379, $380); //@line 475 "tcd.c"
        var $382=HEAP[$res]; //@line 475 "tcd.c"
        var $383=CHECK_OVERFLOW(($382+8)&4294967295, 32); //@line 475 "tcd.c"
        HEAP[$383]=$381; //@line 475 "tcd.c"
        var $384=HEAP[$tilec]; //@line 476 "tcd.c"
        var $385=CHECK_OVERFLOW(($384+12)&4294967295, 32); //@line 476 "tcd.c"
        var $386=HEAP[$385]; //@line 476 "tcd.c"
        var $387=HEAP[$levelno]; //@line 476 "tcd.c"
        var $388=_int_ceildivpow274($386, $387); //@line 476 "tcd.c"
        var $389=HEAP[$res]; //@line 476 "tcd.c"
        var $390=CHECK_OVERFLOW(($389+12)&4294967295, 32); //@line 476 "tcd.c"
        HEAP[$390]=$388; //@line 476 "tcd.c"
        var $391=HEAP[$resno]; //@line 477 "tcd.c"
        var $392=($391)==0; //@line 477 "tcd.c"
        if ($392) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 477 "tcd.c"
      case 19: // $bb19
        HEAP[$iftmp_36]=1; //@line 477 "tcd.c"
        __label__ = 21; break; //@line 477 "tcd.c"
      case 20: // $bb20
        HEAP[$iftmp_36]=3; //@line 477 "tcd.c"
        __label__ = 21; break; //@line 477 "tcd.c"
      case 21: // $bb21
        var $393=HEAP[$res]; //@line 477 "tcd.c"
        var $394=CHECK_OVERFLOW(($393+24)&4294967295, 32); //@line 477 "tcd.c"
        var $395=HEAP[$iftmp_36]; //@line 477 "tcd.c"
        HEAP[$394]=$395; //@line 477 "tcd.c"
        var $396=HEAP[$tccp]; //@line 480 "tcd.c"
        var $397=CHECK_OVERFLOW(($396)&4294967295, 32); //@line 480 "tcd.c"
        var $398=HEAP[$397]; //@line 480 "tcd.c"
        var $399=($398) & 1; //@line 480 "tcd.c"
        var $400=((($399)) & 255); //@line 480 "tcd.c"
        var $toBool=($400)!=0; //@line 480 "tcd.c"
        if ($toBool) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 480 "tcd.c"
      case 22: // $bb22
        var $401=HEAP[$resno]; //@line 481 "tcd.c"
        var $402=HEAP[$tccp]; //@line 481 "tcd.c"
        var $403=CHECK_OVERFLOW(($402+812)&4294967295, 32); //@line 481 "tcd.c"
        var $404=CHECK_OVERFLOW(($403+$401*4)&4294967295, 32); //@line 481 "tcd.c"
        var $405=HEAP[$404]; //@line 481 "tcd.c"
        HEAP[$pdx]=$405; //@line 481 "tcd.c"
        var $406=HEAP[$resno]; //@line 482 "tcd.c"
        var $407=HEAP[$tccp]; //@line 482 "tcd.c"
        var $408=CHECK_OVERFLOW(($407+944)&4294967295, 32); //@line 482 "tcd.c"
        var $409=CHECK_OVERFLOW(($408+$406*4)&4294967295, 32); //@line 482 "tcd.c"
        var $410=HEAP[$409]; //@line 482 "tcd.c"
        HEAP[$pdy]=$410; //@line 482 "tcd.c"
        __label__ = 24; break; //@line 482 "tcd.c"
      case 23: // $bb23
        HEAP[$pdx]=15; //@line 484 "tcd.c"
        HEAP[$pdy]=15; //@line 485 "tcd.c"
        __label__ = 24; break; //@line 485 "tcd.c"
      case 24: // $bb24
        var $411=HEAP[$res]; //@line 488 "tcd.c"
        var $412=CHECK_OVERFLOW(($411)&4294967295, 32); //@line 488 "tcd.c"
        var $413=HEAP[$412]; //@line 488 "tcd.c"
        var $414=HEAP[$pdx]; //@line 488 "tcd.c"
        var $415=_int_floordivpow275($413, $414); //@line 488 "tcd.c"
        var $416=HEAP[$pdx]; //@line 488 "tcd.c"
        var $417=($415) << ($416); //@line 488 "tcd.c"
        HEAP[$tlprcxstart]=$417; //@line 488 "tcd.c"
        var $418=HEAP[$res]; //@line 489 "tcd.c"
        var $419=CHECK_OVERFLOW(($418+4)&4294967295, 32); //@line 489 "tcd.c"
        var $420=HEAP[$419]; //@line 489 "tcd.c"
        var $421=HEAP[$pdy]; //@line 489 "tcd.c"
        var $422=_int_floordivpow275($420, $421); //@line 489 "tcd.c"
        var $423=HEAP[$pdy]; //@line 489 "tcd.c"
        var $424=($422) << ($423); //@line 489 "tcd.c"
        HEAP[$tlprcystart]=$424; //@line 489 "tcd.c"
        var $425=HEAP[$res]; //@line 490 "tcd.c"
        var $426=CHECK_OVERFLOW(($425+8)&4294967295, 32); //@line 490 "tcd.c"
        var $427=HEAP[$426]; //@line 490 "tcd.c"
        var $428=HEAP[$pdx]; //@line 490 "tcd.c"
        var $429=_int_ceildivpow274($427, $428); //@line 490 "tcd.c"
        var $430=HEAP[$pdx]; //@line 490 "tcd.c"
        var $431=($429) << ($430); //@line 490 "tcd.c"
        HEAP[$brprcxend]=$431; //@line 490 "tcd.c"
        var $432=HEAP[$res]; //@line 491 "tcd.c"
        var $433=CHECK_OVERFLOW(($432+12)&4294967295, 32); //@line 491 "tcd.c"
        var $434=HEAP[$433]; //@line 491 "tcd.c"
        var $435=HEAP[$pdy]; //@line 491 "tcd.c"
        var $436=_int_ceildivpow274($434, $435); //@line 491 "tcd.c"
        var $437=HEAP[$pdy]; //@line 491 "tcd.c"
        var $438=($436) << ($437); //@line 491 "tcd.c"
        HEAP[$brprcyend]=$438; //@line 491 "tcd.c"
        var $439=HEAP[$brprcxend]; //@line 493 "tcd.c"
        var $440=HEAP[$tlprcxstart]; //@line 493 "tcd.c"
        var $441=CHECK_OVERFLOW((($439) - ($440))&4294967295, 32); //@line 493 "tcd.c"
        var $442=HEAP[$pdx]; //@line 493 "tcd.c"
        var $443=($441) >> ($442); //@line 493 "tcd.c"
        var $444=HEAP[$res]; //@line 493 "tcd.c"
        var $445=CHECK_OVERFLOW(($444+16)&4294967295, 32); //@line 493 "tcd.c"
        HEAP[$445]=$443; //@line 493 "tcd.c"
        var $446=HEAP[$brprcyend]; //@line 494 "tcd.c"
        var $447=HEAP[$tlprcystart]; //@line 494 "tcd.c"
        var $448=CHECK_OVERFLOW((($446) - ($447))&4294967295, 32); //@line 494 "tcd.c"
        var $449=HEAP[$pdy]; //@line 494 "tcd.c"
        var $450=($448) >> ($449); //@line 494 "tcd.c"
        var $451=HEAP[$res]; //@line 494 "tcd.c"
        var $452=CHECK_OVERFLOW(($451+20)&4294967295, 32); //@line 494 "tcd.c"
        HEAP[$452]=$450; //@line 494 "tcd.c"
        var $453=HEAP[$resno]; //@line 496 "tcd.c"
        var $454=($453)==0; //@line 496 "tcd.c"
        if ($454) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 496 "tcd.c"
      case 25: // $bb25
        var $455=HEAP[$tlprcxstart]; //@line 497 "tcd.c"
        HEAP[$tlcbgxstart]=$455; //@line 497 "tcd.c"
        var $456=HEAP[$tlprcystart]; //@line 498 "tcd.c"
        HEAP[$tlcbgystart]=$456; //@line 498 "tcd.c"
        var $457=HEAP[$brprcxend]; //@line 499 "tcd.c"
        HEAP[$brcbgxend]=$457; //@line 499 "tcd.c"
        var $458=HEAP[$brprcyend]; //@line 500 "tcd.c"
        HEAP[$brcbgyend]=$458; //@line 500 "tcd.c"
        var $459=HEAP[$pdx]; //@line 501 "tcd.c"
        HEAP[$cbgwidthexpn]=$459; //@line 501 "tcd.c"
        var $460=HEAP[$pdy]; //@line 502 "tcd.c"
        HEAP[$cbgheightexpn]=$460; //@line 502 "tcd.c"
        __label__ = 27; break; //@line 502 "tcd.c"
      case 26: // $bb26
        var $461=HEAP[$tlprcxstart]; //@line 504 "tcd.c"
        var $462=_int_ceildivpow274($461, 1); //@line 504 "tcd.c"
        HEAP[$tlcbgxstart]=$462; //@line 504 "tcd.c"
        var $463=HEAP[$tlprcystart]; //@line 505 "tcd.c"
        var $464=_int_ceildivpow274($463, 1); //@line 505 "tcd.c"
        HEAP[$tlcbgystart]=$464; //@line 505 "tcd.c"
        var $465=HEAP[$brprcxend]; //@line 506 "tcd.c"
        var $466=_int_ceildivpow274($465, 1); //@line 506 "tcd.c"
        HEAP[$brcbgxend]=$466; //@line 506 "tcd.c"
        var $467=HEAP[$brprcyend]; //@line 507 "tcd.c"
        var $468=_int_ceildivpow274($467, 1); //@line 507 "tcd.c"
        HEAP[$brcbgyend]=$468; //@line 507 "tcd.c"
        var $469=HEAP[$pdx]; //@line 508 "tcd.c"
        var $470=CHECK_OVERFLOW((($469) - 1)&4294967295, 32); //@line 508 "tcd.c"
        HEAP[$cbgwidthexpn]=$470; //@line 508 "tcd.c"
        var $471=HEAP[$pdy]; //@line 509 "tcd.c"
        var $472=CHECK_OVERFLOW((($471) - 1)&4294967295, 32); //@line 509 "tcd.c"
        HEAP[$cbgheightexpn]=$472; //@line 509 "tcd.c"
        __label__ = 27; break; //@line 509 "tcd.c"
      case 27: // $bb27
        var $473=HEAP[$tccp]; //@line 512 "tcd.c"
        var $474=CHECK_OVERFLOW(($473+8)&4294967295, 32); //@line 512 "tcd.c"
        var $475=HEAP[$474]; //@line 512 "tcd.c"
        var $476=HEAP[$cbgwidthexpn]; //@line 512 "tcd.c"
        var $477=_int_min72($475, $476); //@line 512 "tcd.c"
        HEAP[$cblkwidthexpn]=$477; //@line 512 "tcd.c"
        var $478=HEAP[$tccp]; //@line 513 "tcd.c"
        var $479=CHECK_OVERFLOW(($478+12)&4294967295, 32); //@line 513 "tcd.c"
        var $480=HEAP[$479]; //@line 513 "tcd.c"
        var $481=HEAP[$cbgheightexpn]; //@line 513 "tcd.c"
        var $482=_int_min72($480, $481); //@line 513 "tcd.c"
        HEAP[$cblkheightexpn]=$482; //@line 513 "tcd.c"
        HEAP[$bandno]=0; //@line 515 "tcd.c"
        __label__ = 28; break; //@line 515 "tcd.c"
      case 59: // $bb28
        HEAP[$ss]=0; //@line 518 "tcd.c"
        var $483=HEAP[$bandno]; //@line 520 "tcd.c"
        var $484=HEAP[$res]; //@line 520 "tcd.c"
        var $485=CHECK_OVERFLOW(($484+28)&4294967295, 32); //@line 520 "tcd.c"
        var $486=CHECK_OVERFLOW(($485+$483*32)&4294967295, 32); //@line 520 "tcd.c"
        HEAP[$band]=$486; //@line 520 "tcd.c"
        var $487=HEAP[$resno]; //@line 522 "tcd.c"
        var $488=($487)!=0; //@line 522 "tcd.c"
        if ($488) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 522 "tcd.c"
      case 29: // $bb29
        var $489=HEAP[$bandno]; //@line 522 "tcd.c"
        var $490=CHECK_OVERFLOW((($489) + 1)&4294967295, 32); //@line 522 "tcd.c"
        HEAP[$iftmp_40]=$490; //@line 522 "tcd.c"
        __label__ = 31; break; //@line 522 "tcd.c"
      case 30: // $bb30
        HEAP[$iftmp_40]=0; //@line 522 "tcd.c"
        __label__ = 31; break; //@line 522 "tcd.c"
      case 31: // $bb31
        var $491=HEAP[$band]; //@line 522 "tcd.c"
        var $492=CHECK_OVERFLOW(($491+16)&4294967295, 32); //@line 522 "tcd.c"
        var $493=HEAP[$iftmp_40]; //@line 522 "tcd.c"
        HEAP[$492]=$493; //@line 522 "tcd.c"
        var $494=HEAP[$band]; //@line 523 "tcd.c"
        var $495=CHECK_OVERFLOW(($494+16)&4294967295, 32); //@line 523 "tcd.c"
        var $496=HEAP[$495]; //@line 523 "tcd.c"
        var $497=($496)==1; //@line 523 "tcd.c"
        if ($497) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 523 "tcd.c"
      case 33: // $bb32
        var $498=HEAP[$band]; //@line 523 "tcd.c"
        var $499=CHECK_OVERFLOW(($498+16)&4294967295, 32); //@line 523 "tcd.c"
        var $500=HEAP[$499]; //@line 523 "tcd.c"
        var $501=($500)==3; //@line 523 "tcd.c"
        if ($501) { __label__ = 32; break; } else { __label__ = 34; break; } //@line 523 "tcd.c"
      case 32: // $bb33
        HEAP[$iftmp_41]=1; //@line 523 "tcd.c"
        __label__ = 35; break; //@line 523 "tcd.c"
      case 34: // $bb34
        HEAP[$iftmp_41]=0; //@line 523 "tcd.c"
        __label__ = 35; break; //@line 523 "tcd.c"
      case 35: // $bb35
        var $502=HEAP[$iftmp_41]; //@line 523 "tcd.c"
        HEAP[$x0b]=$502; //@line 523 "tcd.c"
        var $503=HEAP[$band]; //@line 524 "tcd.c"
        var $504=CHECK_OVERFLOW(($503+16)&4294967295, 32); //@line 524 "tcd.c"
        var $505=HEAP[$504]; //@line 524 "tcd.c"
        var $506=($505)==2; //@line 524 "tcd.c"
        if ($506) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 524 "tcd.c"
      case 37: // $bb36
        var $507=HEAP[$band]; //@line 524 "tcd.c"
        var $508=CHECK_OVERFLOW(($507+16)&4294967295, 32); //@line 524 "tcd.c"
        var $509=HEAP[$508]; //@line 524 "tcd.c"
        var $510=($509)==3; //@line 524 "tcd.c"
        if ($510) { __label__ = 36; break; } else { __label__ = 38; break; } //@line 524 "tcd.c"
      case 36: // $bb37
        HEAP[$iftmp_42]=1; //@line 524 "tcd.c"
        __label__ = 39; break; //@line 524 "tcd.c"
      case 38: // $bb38
        HEAP[$iftmp_42]=0; //@line 524 "tcd.c"
        __label__ = 39; break; //@line 524 "tcd.c"
      case 39: // $bb39
        var $511=HEAP[$iftmp_42]; //@line 524 "tcd.c"
        HEAP[$y0b]=$511; //@line 524 "tcd.c"
        var $512=HEAP[$band]; //@line 526 "tcd.c"
        var $513=CHECK_OVERFLOW(($512+16)&4294967295, 32); //@line 526 "tcd.c"
        var $514=HEAP[$513]; //@line 526 "tcd.c"
        var $515=($514)==0; //@line 526 "tcd.c"
        if ($515) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 526 "tcd.c"
      case 40: // $bb40
        var $516=HEAP[$tilec]; //@line 528 "tcd.c"
        var $517=CHECK_OVERFLOW(($516)&4294967295, 32); //@line 528 "tcd.c"
        var $518=HEAP[$517]; //@line 528 "tcd.c"
        var $519=HEAP[$levelno]; //@line 528 "tcd.c"
        var $520=_int_ceildivpow274($518, $519); //@line 528 "tcd.c"
        var $521=HEAP[$band]; //@line 528 "tcd.c"
        var $522=CHECK_OVERFLOW(($521)&4294967295, 32); //@line 528 "tcd.c"
        HEAP[$522]=$520; //@line 528 "tcd.c"
        var $523=HEAP[$tilec]; //@line 529 "tcd.c"
        var $524=CHECK_OVERFLOW(($523+4)&4294967295, 32); //@line 529 "tcd.c"
        var $525=HEAP[$524]; //@line 529 "tcd.c"
        var $526=HEAP[$levelno]; //@line 529 "tcd.c"
        var $527=_int_ceildivpow274($525, $526); //@line 529 "tcd.c"
        var $528=HEAP[$band]; //@line 529 "tcd.c"
        var $529=CHECK_OVERFLOW(($528+4)&4294967295, 32); //@line 529 "tcd.c"
        HEAP[$529]=$527; //@line 529 "tcd.c"
        var $530=HEAP[$tilec]; //@line 530 "tcd.c"
        var $531=CHECK_OVERFLOW(($530+8)&4294967295, 32); //@line 530 "tcd.c"
        var $532=HEAP[$531]; //@line 530 "tcd.c"
        var $533=HEAP[$levelno]; //@line 530 "tcd.c"
        var $534=_int_ceildivpow274($532, $533); //@line 530 "tcd.c"
        var $535=HEAP[$band]; //@line 530 "tcd.c"
        var $536=CHECK_OVERFLOW(($535+8)&4294967295, 32); //@line 530 "tcd.c"
        HEAP[$536]=$534; //@line 530 "tcd.c"
        var $537=HEAP[$tilec]; //@line 531 "tcd.c"
        var $538=CHECK_OVERFLOW(($537+12)&4294967295, 32); //@line 531 "tcd.c"
        var $539=HEAP[$538]; //@line 531 "tcd.c"
        var $540=HEAP[$levelno]; //@line 531 "tcd.c"
        var $541=_int_ceildivpow274($539, $540); //@line 531 "tcd.c"
        var $542=HEAP[$band]; //@line 531 "tcd.c"
        var $543=CHECK_OVERFLOW(($542+12)&4294967295, 32); //@line 531 "tcd.c"
        HEAP[$543]=$541; //@line 531 "tcd.c"
        __label__ = 42; break; //@line 531 "tcd.c"
      case 41: // $bb41
        var $544=HEAP[$levelno]; //@line 533 "tcd.c"
        var $545=CHECK_OVERFLOW((($544) + 1)&4294967295, 32); //@line 533 "tcd.c"
        var $546=HEAP[$tilec]; //@line 533 "tcd.c"
        var $547=CHECK_OVERFLOW(($546)&4294967295, 32); //@line 533 "tcd.c"
        var $548=HEAP[$547]; //@line 533 "tcd.c"
        var $549=HEAP[$x0b]; //@line 533 "tcd.c"
        var $550=HEAP[$levelno]; //@line 533 "tcd.c"
        var $551=($549) << ($550); //@line 533 "tcd.c"
        var $552=CHECK_OVERFLOW((($548) - ($551))&4294967295, 32); //@line 533 "tcd.c"
        var $553=_int_ceildivpow274($552, $545); //@line 533 "tcd.c"
        var $554=HEAP[$band]; //@line 533 "tcd.c"
        var $555=CHECK_OVERFLOW(($554)&4294967295, 32); //@line 533 "tcd.c"
        HEAP[$555]=$553; //@line 533 "tcd.c"
        var $556=HEAP[$levelno]; //@line 534 "tcd.c"
        var $557=CHECK_OVERFLOW((($556) + 1)&4294967295, 32); //@line 534 "tcd.c"
        var $558=HEAP[$tilec]; //@line 534 "tcd.c"
        var $559=CHECK_OVERFLOW(($558+4)&4294967295, 32); //@line 534 "tcd.c"
        var $560=HEAP[$559]; //@line 534 "tcd.c"
        var $561=HEAP[$y0b]; //@line 534 "tcd.c"
        var $562=HEAP[$levelno]; //@line 534 "tcd.c"
        var $563=($561) << ($562); //@line 534 "tcd.c"
        var $564=CHECK_OVERFLOW((($560) - ($563))&4294967295, 32); //@line 534 "tcd.c"
        var $565=_int_ceildivpow274($564, $557); //@line 534 "tcd.c"
        var $566=HEAP[$band]; //@line 534 "tcd.c"
        var $567=CHECK_OVERFLOW(($566+4)&4294967295, 32); //@line 534 "tcd.c"
        HEAP[$567]=$565; //@line 534 "tcd.c"
        var $568=HEAP[$levelno]; //@line 535 "tcd.c"
        var $569=CHECK_OVERFLOW((($568) + 1)&4294967295, 32); //@line 535 "tcd.c"
        var $570=HEAP[$tilec]; //@line 535 "tcd.c"
        var $571=CHECK_OVERFLOW(($570+8)&4294967295, 32); //@line 535 "tcd.c"
        var $572=HEAP[$571]; //@line 535 "tcd.c"
        var $573=HEAP[$x0b]; //@line 535 "tcd.c"
        var $574=HEAP[$levelno]; //@line 535 "tcd.c"
        var $575=($573) << ($574); //@line 535 "tcd.c"
        var $576=CHECK_OVERFLOW((($572) - ($575))&4294967295, 32); //@line 535 "tcd.c"
        var $577=_int_ceildivpow274($576, $569); //@line 535 "tcd.c"
        var $578=HEAP[$band]; //@line 535 "tcd.c"
        var $579=CHECK_OVERFLOW(($578+8)&4294967295, 32); //@line 535 "tcd.c"
        HEAP[$579]=$577; //@line 535 "tcd.c"
        var $580=HEAP[$levelno]; //@line 536 "tcd.c"
        var $581=CHECK_OVERFLOW((($580) + 1)&4294967295, 32); //@line 536 "tcd.c"
        var $582=HEAP[$tilec]; //@line 536 "tcd.c"
        var $583=CHECK_OVERFLOW(($582+12)&4294967295, 32); //@line 536 "tcd.c"
        var $584=HEAP[$583]; //@line 536 "tcd.c"
        var $585=HEAP[$y0b]; //@line 536 "tcd.c"
        var $586=HEAP[$levelno]; //@line 536 "tcd.c"
        var $587=($585) << ($586); //@line 536 "tcd.c"
        var $588=CHECK_OVERFLOW((($584) - ($587))&4294967295, 32); //@line 536 "tcd.c"
        var $589=_int_ceildivpow274($588, $581); //@line 536 "tcd.c"
        var $590=HEAP[$band]; //@line 536 "tcd.c"
        var $591=CHECK_OVERFLOW(($590+12)&4294967295, 32); //@line 536 "tcd.c"
        HEAP[$591]=$589; //@line 536 "tcd.c"
        __label__ = 42; break; //@line 536 "tcd.c"
      case 42: // $bb42
        var $592=HEAP[$resno]; //@line 539 "tcd.c"
        var $593=($592)!=0; //@line 539 "tcd.c"
        if ($593) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 539 "tcd.c"
      case 43: // $bb43
        var $594=HEAP[$resno]; //@line 539 "tcd.c"
        var $595=CHECK_OVERFLOW((($594) * 3)&4294967295, 32); //@line 539 "tcd.c"
        var $596=CHECK_OVERFLOW((($595) + -3)&4294967295, 32); //@line 539 "tcd.c"
        var $597=HEAP[$bandno]; //@line 539 "tcd.c"
        var $598=CHECK_OVERFLOW((($596) + ($597))&4294967295, 32); //@line 539 "tcd.c"
        var $599=CHECK_OVERFLOW((($598) + 1)&4294967295, 32); //@line 539 "tcd.c"
        HEAP[$iftmp_43]=$599; //@line 539 "tcd.c"
        __label__ = 45; break; //@line 539 "tcd.c"
      case 44: // $bb44
        HEAP[$iftmp_43]=0; //@line 539 "tcd.c"
        __label__ = 45; break; //@line 539 "tcd.c"
      case 45: // $bb45
        var $600=HEAP[$iftmp_43]; //@line 539 "tcd.c"
        var $601=HEAP[$tccp]; //@line 539 "tcd.c"
        var $602=CHECK_OVERFLOW(($601+28)&4294967295, 32); //@line 539 "tcd.c"
        var $603=CHECK_OVERFLOW(($602+$600*8)&4294967295, 32); //@line 539 "tcd.c"
        HEAP[$ss]=$603; //@line 539 "tcd.c"
        var $604=HEAP[$tccp]; //@line 540 "tcd.c"
        var $605=CHECK_OVERFLOW(($604+20)&4294967295, 32); //@line 540 "tcd.c"
        var $606=HEAP[$605]; //@line 540 "tcd.c"
        var $607=($606)==0; //@line 540 "tcd.c"
        if ($607) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 540 "tcd.c"
      case 46: // $bb46
        var $608=HEAP[$band]; //@line 540 "tcd.c"
        var $609=CHECK_OVERFLOW(($608+16)&4294967295, 32); //@line 540 "tcd.c"
        var $610=HEAP[$609]; //@line 540 "tcd.c"
        var $611=_dwt_getgain_real($610); //@line 540 "tcd.c"
        HEAP[$iftmp_45]=$611; //@line 540 "tcd.c"
        __label__ = 48; break; //@line 540 "tcd.c"
      case 47: // $bb47
        var $612=HEAP[$band]; //@line 540 "tcd.c"
        var $613=CHECK_OVERFLOW(($612+16)&4294967295, 32); //@line 540 "tcd.c"
        var $614=HEAP[$613]; //@line 540 "tcd.c"
        var $615=_dwt_getgain($614); //@line 540 "tcd.c"
        HEAP[$iftmp_45]=$615; //@line 540 "tcd.c"
        __label__ = 48; break; //@line 540 "tcd.c"
      case 48: // $bb48
        var $616=HEAP[$iftmp_45]; //@line 540 "tcd.c"
        HEAP[$gain]=$616; //@line 540 "tcd.c"
        var $617=HEAP[$image_addr]; //@line 541 "tcd.c"
        var $618=CHECK_OVERFLOW(($617+24)&4294967295, 32); //@line 541 "tcd.c"
        var $619=HEAP[$618]; //@line 541 "tcd.c"
        var $620=HEAP[$compno]; //@line 541 "tcd.c"
        var $621=CHECK_OVERFLOW(($619+48*$620)&4294967295, 32); //@line 541 "tcd.c"
        var $622=CHECK_OVERFLOW(($621+24)&4294967295, 32); //@line 541 "tcd.c"
        var $623=HEAP[$622]; //@line 541 "tcd.c"
        var $624=HEAP[$gain]; //@line 541 "tcd.c"
        var $625=CHECK_OVERFLOW((($623) + ($624))&4294967295, 32); //@line 541 "tcd.c"
        HEAP[$numbps]=$625; //@line 541 "tcd.c"
        var $626=HEAP[$ss]; //@line 542 "tcd.c"
        var $627=CHECK_OVERFLOW(($626+4)&4294967295, 32); //@line 542 "tcd.c"
        var $628=HEAP[$627]; //@line 542 "tcd.c"
        var $629=($628); //@line 542 "tcd.c"
        var $630=($629) / 2048; //@line 542 "tcd.c"
        var $631=($630) + 1; //@line 542 "tcd.c"
        var $632=HEAP[$ss]; //@line 542 "tcd.c"
        var $633=CHECK_OVERFLOW(($632)&4294967295, 32); //@line 542 "tcd.c"
        var $634=HEAP[$633]; //@line 542 "tcd.c"
        var $635=HEAP[$numbps]; //@line 542 "tcd.c"
        var $636=CHECK_OVERFLOW((($635) - ($634))&4294967295, 32); //@line 542 "tcd.c"
        var $637=($636); //@line 542 "tcd.c"
        var $638=_llvm_pow_f64(2, $637); //@line 542 "tcd.c"
        var $639=($631) * ($638); //@line 542 "tcd.c"
        var $640=($639); //@line 542 "tcd.c"
        var $641=HEAP[$band]; //@line 542 "tcd.c"
        var $642=CHECK_OVERFLOW(($641+28)&4294967295, 32); //@line 542 "tcd.c"
        HEAP[$642]=$640; //@line 542 "tcd.c"
        var $643=HEAP[$ss]; //@line 543 "tcd.c"
        var $644=CHECK_OVERFLOW(($643)&4294967295, 32); //@line 543 "tcd.c"
        var $645=HEAP[$644]; //@line 543 "tcd.c"
        var $646=HEAP[$tccp]; //@line 543 "tcd.c"
        var $647=CHECK_OVERFLOW(($646+804)&4294967295, 32); //@line 543 "tcd.c"
        var $648=HEAP[$647]; //@line 543 "tcd.c"
        var $649=CHECK_OVERFLOW((($645) + ($648))&4294967295, 32); //@line 543 "tcd.c"
        var $650=CHECK_OVERFLOW((($649) - 1)&4294967295, 32); //@line 543 "tcd.c"
        var $651=HEAP[$band]; //@line 543 "tcd.c"
        var $652=CHECK_OVERFLOW(($651+24)&4294967295, 32); //@line 543 "tcd.c"
        HEAP[$652]=$650; //@line 543 "tcd.c"
        HEAP[$precno]=0; //@line 545 "tcd.c"
        __label__ = 49; break; //@line 545 "tcd.c"
      case 57: // $bb49
        var $653=HEAP[$res]; //@line 548 "tcd.c"
        var $654=CHECK_OVERFLOW(($653+16)&4294967295, 32); //@line 548 "tcd.c"
        var $655=HEAP[$654]; //@line 548 "tcd.c"
        var $656=HEAP[$precno]; //@line 548 "tcd.c"
        var $657=($656) % ($655); //@line 548 "tcd.c"
        var $658=HEAP[$cbgwidthexpn]; //@line 548 "tcd.c"
        var $659=($657) << ($658); //@line 548 "tcd.c"
        var $660=HEAP[$tlcbgxstart]; //@line 548 "tcd.c"
        var $661=CHECK_OVERFLOW((($659) + ($660))&4294967295, 32); //@line 548 "tcd.c"
        HEAP[$cbgxstart]=$661; //@line 548 "tcd.c"
        var $662=HEAP[$res]; //@line 549 "tcd.c"
        var $663=CHECK_OVERFLOW(($662+16)&4294967295, 32); //@line 549 "tcd.c"
        var $664=HEAP[$663]; //@line 549 "tcd.c"
        var $665=HEAP[$precno]; //@line 549 "tcd.c"
        var $666=(($665)/($664)|0); //@line 549 "tcd.c"
        var $667=HEAP[$cbgheightexpn]; //@line 549 "tcd.c"
        var $668=($666) << ($667); //@line 549 "tcd.c"
        var $669=HEAP[$tlcbgystart]; //@line 549 "tcd.c"
        var $670=CHECK_OVERFLOW((($668) + ($669))&4294967295, 32); //@line 549 "tcd.c"
        HEAP[$cbgystart]=$670; //@line 549 "tcd.c"
        var $671=HEAP[$cbgwidthexpn]; //@line 550 "tcd.c"
        var $672=1 << ($671); //@line 550 "tcd.c"
        var $673=HEAP[$cbgxstart]; //@line 550 "tcd.c"
        var $674=CHECK_OVERFLOW((($672) + ($673))&4294967295, 32); //@line 550 "tcd.c"
        HEAP[$cbgxend]=$674; //@line 550 "tcd.c"
        var $675=HEAP[$cbgheightexpn]; //@line 551 "tcd.c"
        var $676=1 << ($675); //@line 551 "tcd.c"
        var $677=HEAP[$cbgystart]; //@line 551 "tcd.c"
        var $678=CHECK_OVERFLOW((($676) + ($677))&4294967295, 32); //@line 551 "tcd.c"
        HEAP[$cbgyend]=$678; //@line 551 "tcd.c"
        var $679=HEAP[$band]; //@line 553 "tcd.c"
        var $680=CHECK_OVERFLOW(($679+20)&4294967295, 32); //@line 553 "tcd.c"
        var $681=HEAP[$680]; //@line 553 "tcd.c"
        var $682=HEAP[$precno]; //@line 553 "tcd.c"
        var $683=CHECK_OVERFLOW(($681+36*$682)&4294967295, 32); //@line 553 "tcd.c"
        HEAP[$prc]=$683; //@line 553 "tcd.c"
        var $684=HEAP[$band]; //@line 556 "tcd.c"
        var $685=CHECK_OVERFLOW(($684)&4294967295, 32); //@line 556 "tcd.c"
        var $686=HEAP[$685]; //@line 556 "tcd.c"
        var $687=HEAP[$cbgxstart]; //@line 556 "tcd.c"
        var $688=_int_max71($687, $686); //@line 556 "tcd.c"
        var $689=HEAP[$prc]; //@line 556 "tcd.c"
        var $690=CHECK_OVERFLOW(($689)&4294967295, 32); //@line 556 "tcd.c"
        HEAP[$690]=$688; //@line 556 "tcd.c"
        var $691=HEAP[$band]; //@line 557 "tcd.c"
        var $692=CHECK_OVERFLOW(($691+4)&4294967295, 32); //@line 557 "tcd.c"
        var $693=HEAP[$692]; //@line 557 "tcd.c"
        var $694=HEAP[$cbgystart]; //@line 557 "tcd.c"
        var $695=_int_max71($694, $693); //@line 557 "tcd.c"
        var $696=HEAP[$prc]; //@line 557 "tcd.c"
        var $697=CHECK_OVERFLOW(($696+4)&4294967295, 32); //@line 557 "tcd.c"
        HEAP[$697]=$695; //@line 557 "tcd.c"
        var $698=HEAP[$band]; //@line 558 "tcd.c"
        var $699=CHECK_OVERFLOW(($698+8)&4294967295, 32); //@line 558 "tcd.c"
        var $700=HEAP[$699]; //@line 558 "tcd.c"
        var $701=HEAP[$cbgxend]; //@line 558 "tcd.c"
        var $702=_int_min72($701, $700); //@line 558 "tcd.c"
        var $703=HEAP[$prc]; //@line 558 "tcd.c"
        var $704=CHECK_OVERFLOW(($703+8)&4294967295, 32); //@line 558 "tcd.c"
        HEAP[$704]=$702; //@line 558 "tcd.c"
        var $705=HEAP[$band]; //@line 559 "tcd.c"
        var $706=CHECK_OVERFLOW(($705+12)&4294967295, 32); //@line 559 "tcd.c"
        var $707=HEAP[$706]; //@line 559 "tcd.c"
        var $708=HEAP[$cbgyend]; //@line 559 "tcd.c"
        var $709=_int_min72($708, $707); //@line 559 "tcd.c"
        var $710=HEAP[$prc]; //@line 559 "tcd.c"
        var $711=CHECK_OVERFLOW(($710+12)&4294967295, 32); //@line 559 "tcd.c"
        HEAP[$711]=$709; //@line 559 "tcd.c"
        var $712=HEAP[$prc]; //@line 561 "tcd.c"
        var $713=CHECK_OVERFLOW(($712)&4294967295, 32); //@line 561 "tcd.c"
        var $714=HEAP[$713]; //@line 561 "tcd.c"
        var $715=HEAP[$cblkwidthexpn]; //@line 561 "tcd.c"
        var $716=_int_floordivpow275($714, $715); //@line 561 "tcd.c"
        var $717=HEAP[$cblkwidthexpn]; //@line 561 "tcd.c"
        var $718=($716) << ($717); //@line 561 "tcd.c"
        HEAP[$tlcblkxstart]=$718; //@line 561 "tcd.c"
        var $719=HEAP[$prc]; //@line 562 "tcd.c"
        var $720=CHECK_OVERFLOW(($719+4)&4294967295, 32); //@line 562 "tcd.c"
        var $721=HEAP[$720]; //@line 562 "tcd.c"
        var $722=HEAP[$cblkheightexpn]; //@line 562 "tcd.c"
        var $723=_int_floordivpow275($721, $722); //@line 562 "tcd.c"
        var $724=HEAP[$cblkheightexpn]; //@line 562 "tcd.c"
        var $725=($723) << ($724); //@line 562 "tcd.c"
        HEAP[$tlcblkystart]=$725; //@line 562 "tcd.c"
        var $726=HEAP[$prc]; //@line 563 "tcd.c"
        var $727=CHECK_OVERFLOW(($726+8)&4294967295, 32); //@line 563 "tcd.c"
        var $728=HEAP[$727]; //@line 563 "tcd.c"
        var $729=HEAP[$cblkwidthexpn]; //@line 563 "tcd.c"
        var $730=_int_ceildivpow274($728, $729); //@line 563 "tcd.c"
        var $731=HEAP[$cblkwidthexpn]; //@line 563 "tcd.c"
        var $732=($730) << ($731); //@line 563 "tcd.c"
        HEAP[$brcblkxend]=$732; //@line 563 "tcd.c"
        var $733=HEAP[$prc]; //@line 564 "tcd.c"
        var $734=CHECK_OVERFLOW(($733+12)&4294967295, 32); //@line 564 "tcd.c"
        var $735=HEAP[$734]; //@line 564 "tcd.c"
        var $736=HEAP[$cblkheightexpn]; //@line 564 "tcd.c"
        var $737=_int_ceildivpow274($735, $736); //@line 564 "tcd.c"
        var $738=HEAP[$cblkheightexpn]; //@line 564 "tcd.c"
        var $739=($737) << ($738); //@line 564 "tcd.c"
        HEAP[$brcblkyend]=$739; //@line 564 "tcd.c"
        var $740=HEAP[$brcblkxend]; //@line 565 "tcd.c"
        var $741=HEAP[$tlcblkxstart]; //@line 565 "tcd.c"
        var $742=CHECK_OVERFLOW((($740) - ($741))&4294967295, 32); //@line 565 "tcd.c"
        var $743=HEAP[$cblkwidthexpn]; //@line 565 "tcd.c"
        var $744=($742) >> ($743); //@line 565 "tcd.c"
        var $745=HEAP[$prc]; //@line 565 "tcd.c"
        var $746=CHECK_OVERFLOW(($745+16)&4294967295, 32); //@line 565 "tcd.c"
        HEAP[$746]=$744; //@line 565 "tcd.c"
        var $747=HEAP[$brcblkyend]; //@line 566 "tcd.c"
        var $748=HEAP[$tlcblkystart]; //@line 566 "tcd.c"
        var $749=CHECK_OVERFLOW((($747) - ($748))&4294967295, 32); //@line 566 "tcd.c"
        var $750=HEAP[$cblkheightexpn]; //@line 566 "tcd.c"
        var $751=($749) >> ($750); //@line 566 "tcd.c"
        var $752=HEAP[$prc]; //@line 566 "tcd.c"
        var $753=CHECK_OVERFLOW(($752+20)&4294967295, 32); //@line 566 "tcd.c"
        HEAP[$753]=$751; //@line 566 "tcd.c"
        var $754=HEAP[$prc]; //@line 568 "tcd.c"
        var $755=CHECK_OVERFLOW(($754+24)&4294967295, 32); //@line 568 "tcd.c"
        var $756=CHECK_OVERFLOW(($755)&4294967295, 32); //@line 568 "tcd.c"
        var $757=HEAP[$756]; //@line 568 "tcd.c"
        var $758=$757; //@line 568 "tcd.c"
        _free($758); //@line 568 "tcd.c"
        var $759=HEAP[$prc]; //@line 569 "tcd.c"
        var $760=CHECK_OVERFLOW(($759+16)&4294967295, 32); //@line 569 "tcd.c"
        var $761=HEAP[$760]; //@line 569 "tcd.c"
        var $762=HEAP[$prc]; //@line 569 "tcd.c"
        var $763=CHECK_OVERFLOW(($762+20)&4294967295, 32); //@line 569 "tcd.c"
        var $764=HEAP[$763]; //@line 569 "tcd.c"
        var $765=CHECK_OVERFLOW((($761) * ($764))&4294967295, 32); //@line 569 "tcd.c"
        var $766=_calloc($765, 48); //@line 569 "tcd.c"
        var $767=$766; //@line 569 "tcd.c"
        var $768=HEAP[$prc]; //@line 569 "tcd.c"
        var $769=CHECK_OVERFLOW(($768+24)&4294967295, 32); //@line 569 "tcd.c"
        var $770=CHECK_OVERFLOW(($769)&4294967295, 32); //@line 569 "tcd.c"
        HEAP[$770]=$767; //@line 569 "tcd.c"
        var $771=HEAP[$prc]; //@line 571 "tcd.c"
        var $772=CHECK_OVERFLOW(($771+28)&4294967295, 32); //@line 571 "tcd.c"
        var $773=HEAP[$772]; //@line 571 "tcd.c"
        var $774=($773)!=0; //@line 571 "tcd.c"
        if ($774) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 571 "tcd.c"
      case 50: // $bb50
        var $775=HEAP[$prc]; //@line 572 "tcd.c"
        var $776=CHECK_OVERFLOW(($775+28)&4294967295, 32); //@line 572 "tcd.c"
        var $777=HEAP[$776]; //@line 572 "tcd.c"
        _tgt_destroy($777); //@line 572 "tcd.c"
        __label__ = 51; break; //@line 572 "tcd.c"
      case 51: // $bb51
        var $778=HEAP[$prc]; //@line 574 "tcd.c"
        var $779=CHECK_OVERFLOW(($778+32)&4294967295, 32); //@line 574 "tcd.c"
        var $780=HEAP[$779]; //@line 574 "tcd.c"
        var $781=($780)!=0; //@line 574 "tcd.c"
        if ($781) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 574 "tcd.c"
      case 52: // $bb52
        var $782=HEAP[$prc]; //@line 575 "tcd.c"
        var $783=CHECK_OVERFLOW(($782+32)&4294967295, 32); //@line 575 "tcd.c"
        var $784=HEAP[$783]; //@line 575 "tcd.c"
        _tgt_destroy($784); //@line 575 "tcd.c"
        __label__ = 53; break; //@line 575 "tcd.c"
      case 53: // $bb53
        var $785=HEAP[$prc]; //@line 578 "tcd.c"
        var $786=CHECK_OVERFLOW(($785+20)&4294967295, 32); //@line 578 "tcd.c"
        var $787=HEAP[$786]; //@line 578 "tcd.c"
        var $788=HEAP[$prc]; //@line 578 "tcd.c"
        var $789=CHECK_OVERFLOW(($788+16)&4294967295, 32); //@line 578 "tcd.c"
        var $790=HEAP[$789]; //@line 578 "tcd.c"
        var $791=_tgt_create($790, $787); //@line 578 "tcd.c"
        var $792=HEAP[$prc]; //@line 578 "tcd.c"
        var $793=CHECK_OVERFLOW(($792+28)&4294967295, 32); //@line 578 "tcd.c"
        HEAP[$793]=$791; //@line 578 "tcd.c"
        var $794=HEAP[$prc]; //@line 579 "tcd.c"
        var $795=CHECK_OVERFLOW(($794+20)&4294967295, 32); //@line 579 "tcd.c"
        var $796=HEAP[$795]; //@line 579 "tcd.c"
        var $797=HEAP[$prc]; //@line 579 "tcd.c"
        var $798=CHECK_OVERFLOW(($797+16)&4294967295, 32); //@line 579 "tcd.c"
        var $799=HEAP[$798]; //@line 579 "tcd.c"
        var $800=_tgt_create($799, $796); //@line 579 "tcd.c"
        var $801=HEAP[$prc]; //@line 579 "tcd.c"
        var $802=CHECK_OVERFLOW(($801+32)&4294967295, 32); //@line 579 "tcd.c"
        HEAP[$802]=$800; //@line 579 "tcd.c"
        HEAP[$cblkno]=0; //@line 581 "tcd.c"
        __label__ = 54; break; //@line 581 "tcd.c"
      case 55: // $bb54
        var $803=HEAP[$prc]; //@line 582 "tcd.c"
        var $804=CHECK_OVERFLOW(($803+16)&4294967295, 32); //@line 582 "tcd.c"
        var $805=HEAP[$804]; //@line 582 "tcd.c"
        var $806=HEAP[$cblkno]; //@line 582 "tcd.c"
        var $807=($806) % ($805); //@line 582 "tcd.c"
        var $808=HEAP[$cblkwidthexpn]; //@line 582 "tcd.c"
        var $809=($807) << ($808); //@line 582 "tcd.c"
        var $810=HEAP[$tlcblkxstart]; //@line 582 "tcd.c"
        var $811=CHECK_OVERFLOW((($809) + ($810))&4294967295, 32); //@line 582 "tcd.c"
        HEAP[$cblkxstart]=$811; //@line 582 "tcd.c"
        var $812=HEAP[$prc]; //@line 583 "tcd.c"
        var $813=CHECK_OVERFLOW(($812+16)&4294967295, 32); //@line 583 "tcd.c"
        var $814=HEAP[$813]; //@line 583 "tcd.c"
        var $815=HEAP[$cblkno]; //@line 583 "tcd.c"
        var $816=(($815)/($814)|0); //@line 583 "tcd.c"
        var $817=HEAP[$cblkheightexpn]; //@line 583 "tcd.c"
        var $818=($816) << ($817); //@line 583 "tcd.c"
        var $819=HEAP[$tlcblkystart]; //@line 583 "tcd.c"
        var $820=CHECK_OVERFLOW((($818) + ($819))&4294967295, 32); //@line 583 "tcd.c"
        HEAP[$cblkystart]=$820; //@line 583 "tcd.c"
        var $821=HEAP[$cblkwidthexpn]; //@line 584 "tcd.c"
        var $822=1 << ($821); //@line 584 "tcd.c"
        var $823=HEAP[$cblkxstart]; //@line 584 "tcd.c"
        var $824=CHECK_OVERFLOW((($822) + ($823))&4294967295, 32); //@line 584 "tcd.c"
        HEAP[$cblkxend]=$824; //@line 584 "tcd.c"
        var $825=HEAP[$cblkheightexpn]; //@line 585 "tcd.c"
        var $826=1 << ($825); //@line 585 "tcd.c"
        var $827=HEAP[$cblkystart]; //@line 585 "tcd.c"
        var $828=CHECK_OVERFLOW((($826) + ($827))&4294967295, 32); //@line 585 "tcd.c"
        HEAP[$cblkyend]=$828; //@line 585 "tcd.c"
        var $829=HEAP[$prc]; //@line 587 "tcd.c"
        var $830=CHECK_OVERFLOW(($829+24)&4294967295, 32); //@line 587 "tcd.c"
        var $831=CHECK_OVERFLOW(($830)&4294967295, 32); //@line 587 "tcd.c"
        var $832=HEAP[$831]; //@line 587 "tcd.c"
        var $833=HEAP[$cblkno]; //@line 587 "tcd.c"
        var $834=CHECK_OVERFLOW(($832+48*$833)&4294967295, 32); //@line 587 "tcd.c"
        HEAP[$cblk]=$834; //@line 587 "tcd.c"
        var $835=HEAP[$prc]; //@line 590 "tcd.c"
        var $836=CHECK_OVERFLOW(($835)&4294967295, 32); //@line 590 "tcd.c"
        var $837=HEAP[$836]; //@line 590 "tcd.c"
        var $838=HEAP[$cblkxstart]; //@line 590 "tcd.c"
        var $839=_int_max71($838, $837); //@line 590 "tcd.c"
        var $840=HEAP[$cblk]; //@line 590 "tcd.c"
        var $841=CHECK_OVERFLOW(($840+12)&4294967295, 32); //@line 590 "tcd.c"
        HEAP[$841]=$839; //@line 590 "tcd.c"
        var $842=HEAP[$prc]; //@line 591 "tcd.c"
        var $843=CHECK_OVERFLOW(($842+4)&4294967295, 32); //@line 591 "tcd.c"
        var $844=HEAP[$843]; //@line 591 "tcd.c"
        var $845=HEAP[$cblkystart]; //@line 591 "tcd.c"
        var $846=_int_max71($845, $844); //@line 591 "tcd.c"
        var $847=HEAP[$cblk]; //@line 591 "tcd.c"
        var $848=CHECK_OVERFLOW(($847+16)&4294967295, 32); //@line 591 "tcd.c"
        HEAP[$848]=$846; //@line 591 "tcd.c"
        var $849=HEAP[$prc]; //@line 592 "tcd.c"
        var $850=CHECK_OVERFLOW(($849+8)&4294967295, 32); //@line 592 "tcd.c"
        var $851=HEAP[$850]; //@line 592 "tcd.c"
        var $852=HEAP[$cblkxend]; //@line 592 "tcd.c"
        var $853=_int_min72($852, $851); //@line 592 "tcd.c"
        var $854=HEAP[$cblk]; //@line 592 "tcd.c"
        var $855=CHECK_OVERFLOW(($854+20)&4294967295, 32); //@line 592 "tcd.c"
        HEAP[$855]=$853; //@line 592 "tcd.c"
        var $856=HEAP[$prc]; //@line 593 "tcd.c"
        var $857=CHECK_OVERFLOW(($856+12)&4294967295, 32); //@line 593 "tcd.c"
        var $858=HEAP[$857]; //@line 593 "tcd.c"
        var $859=HEAP[$cblkyend]; //@line 593 "tcd.c"
        var $860=_int_min72($859, $858); //@line 593 "tcd.c"
        var $861=HEAP[$cblk]; //@line 593 "tcd.c"
        var $862=CHECK_OVERFLOW(($861+24)&4294967295, 32); //@line 593 "tcd.c"
        HEAP[$862]=$860; //@line 593 "tcd.c"
        var $863=_calloc(8194, 1); //@line 594 "tcd.c"
        var $864=HEAP[$cblk]; //@line 594 "tcd.c"
        var $865=CHECK_OVERFLOW(($864)&4294967295, 32); //@line 594 "tcd.c"
        HEAP[$865]=$863; //@line 594 "tcd.c"
        var $866=HEAP[$cblk]; //@line 596 "tcd.c"
        var $867=CHECK_OVERFLOW(($866)&4294967295, 32); //@line 596 "tcd.c"
        var $868=HEAP[$867]; //@line 596 "tcd.c"
        var $869=CHECK_OVERFLOW(($868+2)&4294967295, 32); //@line 596 "tcd.c"
        var $870=HEAP[$cblk]; //@line 596 "tcd.c"
        var $871=CHECK_OVERFLOW(($870)&4294967295, 32); //@line 596 "tcd.c"
        HEAP[$871]=$869; //@line 596 "tcd.c"
        var $872=_calloc(100, 20); //@line 597 "tcd.c"
        var $873=$872; //@line 597 "tcd.c"
        var $874=HEAP[$cblk]; //@line 597 "tcd.c"
        var $875=CHECK_OVERFLOW(($874+4)&4294967295, 32); //@line 597 "tcd.c"
        HEAP[$875]=$873; //@line 597 "tcd.c"
        var $876=_calloc(100, 20); //@line 598 "tcd.c"
        var $877=$876; //@line 598 "tcd.c"
        var $878=HEAP[$cblk]; //@line 598 "tcd.c"
        var $879=CHECK_OVERFLOW(($878+8)&4294967295, 32); //@line 598 "tcd.c"
        HEAP[$879]=$877; //@line 598 "tcd.c"
        var $880=HEAP[$cblkno]; //@line 581 "tcd.c"
        var $881=CHECK_OVERFLOW((($880) + 1)&4294967295, 32); //@line 581 "tcd.c"
        HEAP[$cblkno]=$881; //@line 581 "tcd.c"
        __label__ = 54; break; //@line 581 "tcd.c"
      case 54: // $bb55
        var $882=HEAP[$prc]; //@line 581 "tcd.c"
        var $883=CHECK_OVERFLOW(($882+16)&4294967295, 32); //@line 581 "tcd.c"
        var $884=HEAP[$883]; //@line 581 "tcd.c"
        var $885=HEAP[$prc]; //@line 581 "tcd.c"
        var $886=CHECK_OVERFLOW(($885+20)&4294967295, 32); //@line 581 "tcd.c"
        var $887=HEAP[$886]; //@line 581 "tcd.c"
        var $888=CHECK_OVERFLOW((($884) * ($887))&4294967295, 32); //@line 581 "tcd.c"
        var $889=HEAP[$cblkno]; //@line 581 "tcd.c"
        var $890=($888) > ($889); //@line 581 "tcd.c"
        if ($890) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 581 "tcd.c"
      case 56: // $bb56
        var $891=HEAP[$precno]; //@line 545 "tcd.c"
        var $892=CHECK_OVERFLOW((($891) + 1)&4294967295, 32); //@line 545 "tcd.c"
        HEAP[$precno]=$892; //@line 545 "tcd.c"
        __label__ = 49; break; //@line 545 "tcd.c"
      case 49: // $bb57
        var $893=HEAP[$res]; //@line 545 "tcd.c"
        var $894=CHECK_OVERFLOW(($893+16)&4294967295, 32); //@line 545 "tcd.c"
        var $895=HEAP[$894]; //@line 545 "tcd.c"
        var $896=HEAP[$res]; //@line 545 "tcd.c"
        var $897=CHECK_OVERFLOW(($896+20)&4294967295, 32); //@line 545 "tcd.c"
        var $898=HEAP[$897]; //@line 545 "tcd.c"
        var $899=CHECK_OVERFLOW((($895) * ($898))&4294967295, 32); //@line 545 "tcd.c"
        var $900=HEAP[$precno]; //@line 545 "tcd.c"
        var $901=($899) > ($900); //@line 545 "tcd.c"
        if ($901) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 545 "tcd.c"
      case 58: // $bb58
        var $902=HEAP[$bandno]; //@line 515 "tcd.c"
        var $903=CHECK_OVERFLOW((($902) + 1)&4294967295, 32); //@line 515 "tcd.c"
        HEAP[$bandno]=$903; //@line 515 "tcd.c"
        __label__ = 28; break; //@line 515 "tcd.c"
      case 28: // $bb59
        var $904=HEAP[$res]; //@line 515 "tcd.c"
        var $905=CHECK_OVERFLOW(($904+24)&4294967295, 32); //@line 515 "tcd.c"
        var $906=HEAP[$905]; //@line 515 "tcd.c"
        var $907=HEAP[$bandno]; //@line 515 "tcd.c"
        var $908=($906) > ($907); //@line 515 "tcd.c"
        if ($908) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 515 "tcd.c"
      case 60: // $bb60
        var $909=HEAP[$resno]; //@line 461 "tcd.c"
        var $910=CHECK_OVERFLOW((($909) + 1)&4294967295, 32); //@line 461 "tcd.c"
        HEAP[$resno]=$910; //@line 461 "tcd.c"
        __label__ = 18; break; //@line 461 "tcd.c"
      case 18: // $bb61
        var $911=HEAP[$tilec]; //@line 461 "tcd.c"
        var $912=CHECK_OVERFLOW(($911+16)&4294967295, 32); //@line 461 "tcd.c"
        var $913=HEAP[$912]; //@line 461 "tcd.c"
        var $914=HEAP[$resno]; //@line 461 "tcd.c"
        var $915=($913) > ($914); //@line 461 "tcd.c"
        if ($915) { __label__ = 61; break; } else { __label__ = 62; break; } //@line 461 "tcd.c"
      case 62: // $bb62
        var $916=HEAP[$compno]; //@line 447 "tcd.c"
        var $917=CHECK_OVERFLOW((($916) + 1)&4294967295, 32); //@line 447 "tcd.c"
        HEAP[$compno]=$917; //@line 447 "tcd.c"
        __label__ = 17; break; //@line 447 "tcd.c"
      case 17: // $bb63
        var $918=HEAP[$tile]; //@line 447 "tcd.c"
        var $919=CHECK_OVERFLOW(($918+16)&4294967295, 32); //@line 447 "tcd.c"
        var $920=HEAP[$919]; //@line 447 "tcd.c"
        var $921=HEAP[$compno]; //@line 447 "tcd.c"
        var $922=($920) > ($921); //@line 447 "tcd.c"
        if ($922) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 447 "tcd.c"
      case 64: // $bb64
        var $923=HEAP[$tileno]; //@line 400 "tcd.c"
        var $924=CHECK_OVERFLOW((($923) + 1)&4294967295, 32); //@line 400 "tcd.c"
        HEAP[$tileno]=$924; //@line 400 "tcd.c"
        __label__ = 0; break; //@line 400 "tcd.c"
      case 0: // $bb65
        var $925=HEAP[$tileno]; //@line 400 "tcd.c"
        var $926=($925) <= 0; //@line 400 "tcd.c"
        if ($926) { __label__ = 65; break; } else { __label__ = 66; break; } //@line 400 "tcd.c"
      case 66: // $bb66
        __label__ = 67; break; //@line 607 "tcd.c"
      case 67: // $return
        STACKTOP = __stackBase__;
        return; //@line 607 "tcd.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tcd_malloc_decode($tcd, $image, $cp) {
    var __stackBase__  = STACKTOP; STACKTOP += 84; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 84);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tcd_addr=__stackBase__;
        var $image_addr=__stackBase__+4;
        var $cp_addr=__stackBase__+8;
        var $iftmp_52=__stackBase__+12;
        var $iftmp_50=__stackBase__+16;
        var $iftmp_48=__stackBase__+20;
        var $iftmp_46=__stackBase__+24;
        var $i=__stackBase__+28;
        var $j=__stackBase__+32;
        var $tileno=__stackBase__+36;
        var $p=__stackBase__+40;
        var $q=__stackBase__+44;
        var $x0=__stackBase__+48;
        var $y0=__stackBase__+52;
        var $x1=__stackBase__+56;
        var $y1=__stackBase__+60;
        var $w=__stackBase__+64;
        var $h=__stackBase__+68;
        var $tile=__stackBase__+72;
        var $tile5=__stackBase__+76;
        var $tilec=__stackBase__+80;
        var $_alloca_point_=0;
        HEAP[$tcd_addr]=$tcd;
        HEAP[$image_addr]=$image;
        HEAP[$cp_addr]=$cp;
        HEAP[$x0]=0; //@line 611 "tcd.c"
        HEAP[$y0]=0; //@line 611 "tcd.c"
        HEAP[$x1]=0; //@line 611 "tcd.c"
        HEAP[$y1]=0; //@line 611 "tcd.c"
        var $0=HEAP[$tcd_addr]; //@line 613 "tcd.c"
        var $1=CHECK_OVERFLOW(($0+28)&4294967295, 32); //@line 613 "tcd.c"
        var $2=HEAP[$image_addr]; //@line 613 "tcd.c"
        HEAP[$1]=$2; //@line 613 "tcd.c"
        var $3=HEAP[$tcd_addr]; //@line 614 "tcd.c"
        var $4=CHECK_OVERFLOW(($3+24)&4294967295, 32); //@line 614 "tcd.c"
        var $5=HEAP[$4]; //@line 614 "tcd.c"
        var $6=HEAP[$cp_addr]; //@line 614 "tcd.c"
        var $7=CHECK_OVERFLOW(($6+68)&4294967295, 32); //@line 614 "tcd.c"
        var $8=HEAP[$7]; //@line 614 "tcd.c"
        var $9=CHECK_OVERFLOW(($5)&4294967295, 32); //@line 614 "tcd.c"
        HEAP[$9]=$8; //@line 614 "tcd.c"
        var $10=HEAP[$tcd_addr]; //@line 615 "tcd.c"
        var $11=CHECK_OVERFLOW(($10+24)&4294967295, 32); //@line 615 "tcd.c"
        var $12=HEAP[$11]; //@line 615 "tcd.c"
        var $13=HEAP[$cp_addr]; //@line 615 "tcd.c"
        var $14=CHECK_OVERFLOW(($13+72)&4294967295, 32); //@line 615 "tcd.c"
        var $15=HEAP[$14]; //@line 615 "tcd.c"
        var $16=CHECK_OVERFLOW(($12+4)&4294967295, 32); //@line 615 "tcd.c"
        HEAP[$16]=$15; //@line 615 "tcd.c"
        var $17=HEAP[$tcd_addr]; //@line 616 "tcd.c"
        var $18=CHECK_OVERFLOW(($17+24)&4294967295, 32); //@line 616 "tcd.c"
        var $19=HEAP[$18]; //@line 616 "tcd.c"
        var $20=HEAP[$cp_addr]; //@line 616 "tcd.c"
        var $21=CHECK_OVERFLOW(($20+68)&4294967295, 32); //@line 616 "tcd.c"
        var $22=HEAP[$21]; //@line 616 "tcd.c"
        var $23=HEAP[$cp_addr]; //@line 616 "tcd.c"
        var $24=CHECK_OVERFLOW(($23+72)&4294967295, 32); //@line 616 "tcd.c"
        var $25=HEAP[$24]; //@line 616 "tcd.c"
        var $26=CHECK_OVERFLOW((($22) * ($25))&4294967295, 32); //@line 616 "tcd.c"
        var $27=CHECK_OVERFLOW((($26) * 840)&4294967295, 32); //@line 616 "tcd.c"
        var $28=_malloc($27); //@line 616 "tcd.c"
        var $29=$28; //@line 616 "tcd.c"
        var $30=CHECK_OVERFLOW(($19+8)&4294967295, 32); //@line 616 "tcd.c"
        HEAP[$30]=$29; //@line 616 "tcd.c"
        HEAP[$j]=0; //@line 623 "tcd.c"
        __label__ = 0; break; //@line 623 "tcd.c"
      case 1: // $bb
        var $31=HEAP[$cp_addr]; //@line 626 "tcd.c"
        var $32=CHECK_OVERFLOW(($31+76)&4294967295, 32); //@line 626 "tcd.c"
        var $33=HEAP[$32]; //@line 626 "tcd.c"
        var $34=HEAP[$j]; //@line 626 "tcd.c"
        var $35=CHECK_OVERFLOW(($33+4*$34)&4294967295, 32); //@line 626 "tcd.c"
        var $36=HEAP[$35]; //@line 626 "tcd.c"
        HEAP[$tileno]=$36; //@line 626 "tcd.c"
        var $37=HEAP[$tcd_addr]; //@line 627 "tcd.c"
        var $38=CHECK_OVERFLOW(($37+24)&4294967295, 32); //@line 627 "tcd.c"
        var $39=HEAP[$38]; //@line 627 "tcd.c"
        var $40=CHECK_OVERFLOW(($39+8)&4294967295, 32); //@line 627 "tcd.c"
        var $41=HEAP[$40]; //@line 627 "tcd.c"
        var $42=HEAP[$cp_addr]; //@line 627 "tcd.c"
        var $43=CHECK_OVERFLOW(($42+76)&4294967295, 32); //@line 627 "tcd.c"
        var $44=HEAP[$43]; //@line 627 "tcd.c"
        var $45=HEAP[$tileno]; //@line 627 "tcd.c"
        var $46=CHECK_OVERFLOW(($44+4*$45)&4294967295, 32); //@line 627 "tcd.c"
        var $47=HEAP[$46]; //@line 627 "tcd.c"
        var $48=CHECK_OVERFLOW(($41+840*$47)&4294967295, 32); //@line 627 "tcd.c"
        HEAP[$tile]=$48; //@line 627 "tcd.c"
        var $49=HEAP[$image_addr]; //@line 628 "tcd.c"
        var $50=CHECK_OVERFLOW(($49+16)&4294967295, 32); //@line 628 "tcd.c"
        var $51=HEAP[$50]; //@line 628 "tcd.c"
        var $52=HEAP[$tile]; //@line 628 "tcd.c"
        var $53=CHECK_OVERFLOW(($52+16)&4294967295, 32); //@line 628 "tcd.c"
        HEAP[$53]=$51; //@line 628 "tcd.c"
        var $54=HEAP[$image_addr]; //@line 629 "tcd.c"
        var $55=CHECK_OVERFLOW(($54+16)&4294967295, 32); //@line 629 "tcd.c"
        var $56=HEAP[$55]; //@line 629 "tcd.c"
        var $57=_calloc($56, 32); //@line 629 "tcd.c"
        var $58=$57; //@line 629 "tcd.c"
        var $59=HEAP[$tile]; //@line 629 "tcd.c"
        var $60=CHECK_OVERFLOW(($59+20)&4294967295, 32); //@line 629 "tcd.c"
        HEAP[$60]=$58; //@line 629 "tcd.c"
        var $61=HEAP[$j]; //@line 623 "tcd.c"
        var $62=CHECK_OVERFLOW((($61) + 1)&4294967295, 32); //@line 623 "tcd.c"
        HEAP[$j]=$62; //@line 623 "tcd.c"
        __label__ = 0; break; //@line 623 "tcd.c"
      case 0: // $bb1
        var $63=HEAP[$cp_addr]; //@line 623 "tcd.c"
        var $64=CHECK_OVERFLOW(($63+80)&4294967295, 32); //@line 623 "tcd.c"
        var $65=HEAP[$64]; //@line 623 "tcd.c"
        var $66=HEAP[$j]; //@line 623 "tcd.c"
        var $67=($65) > ($66); //@line 623 "tcd.c"
        if ($67) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 623 "tcd.c"
      case 2: // $bb2
        HEAP[$i]=0; //@line 632 "tcd.c"
        __label__ = 3; break; //@line 632 "tcd.c"
      case 19: // $bb3
        HEAP[$j]=0; //@line 633 "tcd.c"
        __label__ = 4; break; //@line 633 "tcd.c"
      case 17: // $bb4
        var $68=HEAP[$cp_addr]; //@line 639 "tcd.c"
        var $69=CHECK_OVERFLOW(($68+76)&4294967295, 32); //@line 639 "tcd.c"
        var $70=HEAP[$69]; //@line 639 "tcd.c"
        var $71=HEAP[$j]; //@line 639 "tcd.c"
        var $72=CHECK_OVERFLOW(($70+4*$71)&4294967295, 32); //@line 639 "tcd.c"
        var $73=HEAP[$72]; //@line 639 "tcd.c"
        HEAP[$tileno]=$73; //@line 639 "tcd.c"
        var $74=HEAP[$tcd_addr]; //@line 641 "tcd.c"
        var $75=CHECK_OVERFLOW(($74+24)&4294967295, 32); //@line 641 "tcd.c"
        var $76=HEAP[$75]; //@line 641 "tcd.c"
        var $77=CHECK_OVERFLOW(($76+8)&4294967295, 32); //@line 641 "tcd.c"
        var $78=HEAP[$77]; //@line 641 "tcd.c"
        var $79=HEAP[$cp_addr]; //@line 641 "tcd.c"
        var $80=CHECK_OVERFLOW(($79+76)&4294967295, 32); //@line 641 "tcd.c"
        var $81=HEAP[$80]; //@line 641 "tcd.c"
        var $82=HEAP[$tileno]; //@line 641 "tcd.c"
        var $83=CHECK_OVERFLOW(($81+4*$82)&4294967295, 32); //@line 641 "tcd.c"
        var $84=HEAP[$83]; //@line 641 "tcd.c"
        var $85=CHECK_OVERFLOW(($78+840*$84)&4294967295, 32); //@line 641 "tcd.c"
        HEAP[$tile5]=$85; //@line 641 "tcd.c"
        var $86=HEAP[$tile5]; //@line 642 "tcd.c"
        var $87=CHECK_OVERFLOW(($86+20)&4294967295, 32); //@line 642 "tcd.c"
        var $88=HEAP[$87]; //@line 642 "tcd.c"
        var $89=HEAP[$i]; //@line 642 "tcd.c"
        var $90=CHECK_OVERFLOW(($88+32*$89)&4294967295, 32); //@line 642 "tcd.c"
        HEAP[$tilec]=$90; //@line 642 "tcd.c"
        var $91=HEAP[$cp_addr]; //@line 644 "tcd.c"
        var $92=CHECK_OVERFLOW(($91+68)&4294967295, 32); //@line 644 "tcd.c"
        var $93=HEAP[$92]; //@line 644 "tcd.c"
        var $94=HEAP[$tileno]; //@line 644 "tcd.c"
        var $95=($94) % ($93); //@line 644 "tcd.c"
        HEAP[$p]=$95; //@line 644 "tcd.c"
        var $96=HEAP[$cp_addr]; //@line 645 "tcd.c"
        var $97=CHECK_OVERFLOW(($96+68)&4294967295, 32); //@line 645 "tcd.c"
        var $98=HEAP[$97]; //@line 645 "tcd.c"
        var $99=HEAP[$tileno]; //@line 645 "tcd.c"
        var $100=(($99)/($98)|0); //@line 645 "tcd.c"
        HEAP[$q]=$100; //@line 645 "tcd.c"
        var $101=HEAP[$image_addr]; //@line 648 "tcd.c"
        var $102=CHECK_OVERFLOW(($101)&4294967295, 32); //@line 648 "tcd.c"
        var $103=HEAP[$102]; //@line 648 "tcd.c"
        var $104=HEAP[$cp_addr]; //@line 648 "tcd.c"
        var $105=CHECK_OVERFLOW(($104+48)&4294967295, 32); //@line 648 "tcd.c"
        var $106=HEAP[$105]; //@line 648 "tcd.c"
        var $107=HEAP[$cp_addr]; //@line 648 "tcd.c"
        var $108=CHECK_OVERFLOW(($107+56)&4294967295, 32); //@line 648 "tcd.c"
        var $109=HEAP[$108]; //@line 648 "tcd.c"
        var $110=HEAP[$p]; //@line 648 "tcd.c"
        var $111=CHECK_OVERFLOW((($109) * ($110))&4294967295, 32); //@line 648 "tcd.c"
        var $112=CHECK_OVERFLOW((($106) + ($111))&4294967295, 32); //@line 648 "tcd.c"
        var $113=_int_max71($112, $103); //@line 648 "tcd.c"
        var $114=HEAP[$tile5]; //@line 648 "tcd.c"
        var $115=CHECK_OVERFLOW(($114)&4294967295, 32); //@line 648 "tcd.c"
        HEAP[$115]=$113; //@line 648 "tcd.c"
        var $116=HEAP[$image_addr]; //@line 649 "tcd.c"
        var $117=CHECK_OVERFLOW(($116+4)&4294967295, 32); //@line 649 "tcd.c"
        var $118=HEAP[$117]; //@line 649 "tcd.c"
        var $119=HEAP[$cp_addr]; //@line 649 "tcd.c"
        var $120=CHECK_OVERFLOW(($119+52)&4294967295, 32); //@line 649 "tcd.c"
        var $121=HEAP[$120]; //@line 649 "tcd.c"
        var $122=HEAP[$cp_addr]; //@line 649 "tcd.c"
        var $123=CHECK_OVERFLOW(($122+60)&4294967295, 32); //@line 649 "tcd.c"
        var $124=HEAP[$123]; //@line 649 "tcd.c"
        var $125=HEAP[$q]; //@line 649 "tcd.c"
        var $126=CHECK_OVERFLOW((($124) * ($125))&4294967295, 32); //@line 649 "tcd.c"
        var $127=CHECK_OVERFLOW((($121) + ($126))&4294967295, 32); //@line 649 "tcd.c"
        var $128=_int_max71($127, $118); //@line 649 "tcd.c"
        var $129=HEAP[$tile5]; //@line 649 "tcd.c"
        var $130=CHECK_OVERFLOW(($129+4)&4294967295, 32); //@line 649 "tcd.c"
        HEAP[$130]=$128; //@line 649 "tcd.c"
        var $131=HEAP[$image_addr]; //@line 650 "tcd.c"
        var $132=CHECK_OVERFLOW(($131+8)&4294967295, 32); //@line 650 "tcd.c"
        var $133=HEAP[$132]; //@line 650 "tcd.c"
        var $134=HEAP[$cp_addr]; //@line 650 "tcd.c"
        var $135=CHECK_OVERFLOW(($134+48)&4294967295, 32); //@line 650 "tcd.c"
        var $136=HEAP[$135]; //@line 650 "tcd.c"
        var $137=HEAP[$p]; //@line 650 "tcd.c"
        var $138=CHECK_OVERFLOW((($137) + 1)&4294967295, 32); //@line 650 "tcd.c"
        var $139=HEAP[$cp_addr]; //@line 650 "tcd.c"
        var $140=CHECK_OVERFLOW(($139+56)&4294967295, 32); //@line 650 "tcd.c"
        var $141=HEAP[$140]; //@line 650 "tcd.c"
        var $142=CHECK_OVERFLOW((($138) * ($141))&4294967295, 32); //@line 650 "tcd.c"
        var $143=CHECK_OVERFLOW((($136) + ($142))&4294967295, 32); //@line 650 "tcd.c"
        var $144=_int_min72($143, $133); //@line 650 "tcd.c"
        var $145=HEAP[$tile5]; //@line 650 "tcd.c"
        var $146=CHECK_OVERFLOW(($145+8)&4294967295, 32); //@line 650 "tcd.c"
        HEAP[$146]=$144; //@line 650 "tcd.c"
        var $147=HEAP[$image_addr]; //@line 651 "tcd.c"
        var $148=CHECK_OVERFLOW(($147+12)&4294967295, 32); //@line 651 "tcd.c"
        var $149=HEAP[$148]; //@line 651 "tcd.c"
        var $150=HEAP[$cp_addr]; //@line 651 "tcd.c"
        var $151=CHECK_OVERFLOW(($150+52)&4294967295, 32); //@line 651 "tcd.c"
        var $152=HEAP[$151]; //@line 651 "tcd.c"
        var $153=HEAP[$q]; //@line 651 "tcd.c"
        var $154=CHECK_OVERFLOW((($153) + 1)&4294967295, 32); //@line 651 "tcd.c"
        var $155=HEAP[$cp_addr]; //@line 651 "tcd.c"
        var $156=CHECK_OVERFLOW(($155+60)&4294967295, 32); //@line 651 "tcd.c"
        var $157=HEAP[$156]; //@line 651 "tcd.c"
        var $158=CHECK_OVERFLOW((($154) * ($157))&4294967295, 32); //@line 651 "tcd.c"
        var $159=CHECK_OVERFLOW((($152) + ($158))&4294967295, 32); //@line 651 "tcd.c"
        var $160=_int_min72($159, $149); //@line 651 "tcd.c"
        var $161=HEAP[$tile5]; //@line 651 "tcd.c"
        var $162=CHECK_OVERFLOW(($161+12)&4294967295, 32); //@line 651 "tcd.c"
        HEAP[$162]=$160; //@line 651 "tcd.c"
        var $163=HEAP[$image_addr]; //@line 653 "tcd.c"
        var $164=CHECK_OVERFLOW(($163+24)&4294967295, 32); //@line 653 "tcd.c"
        var $165=HEAP[$164]; //@line 653 "tcd.c"
        var $166=HEAP[$i]; //@line 653 "tcd.c"
        var $167=CHECK_OVERFLOW(($165+48*$166)&4294967295, 32); //@line 653 "tcd.c"
        var $168=CHECK_OVERFLOW(($167)&4294967295, 32); //@line 653 "tcd.c"
        var $169=HEAP[$168]; //@line 653 "tcd.c"
        var $170=HEAP[$tile5]; //@line 653 "tcd.c"
        var $171=CHECK_OVERFLOW(($170)&4294967295, 32); //@line 653 "tcd.c"
        var $172=HEAP[$171]; //@line 653 "tcd.c"
        var $173=_int_ceildiv73($172, $169); //@line 653 "tcd.c"
        var $174=HEAP[$tilec]; //@line 653 "tcd.c"
        var $175=CHECK_OVERFLOW(($174)&4294967295, 32); //@line 653 "tcd.c"
        HEAP[$175]=$173; //@line 653 "tcd.c"
        var $176=HEAP[$image_addr]; //@line 654 "tcd.c"
        var $177=CHECK_OVERFLOW(($176+24)&4294967295, 32); //@line 654 "tcd.c"
        var $178=HEAP[$177]; //@line 654 "tcd.c"
        var $179=HEAP[$i]; //@line 654 "tcd.c"
        var $180=CHECK_OVERFLOW(($178+48*$179)&4294967295, 32); //@line 654 "tcd.c"
        var $181=CHECK_OVERFLOW(($180+4)&4294967295, 32); //@line 654 "tcd.c"
        var $182=HEAP[$181]; //@line 654 "tcd.c"
        var $183=HEAP[$tile5]; //@line 654 "tcd.c"
        var $184=CHECK_OVERFLOW(($183+4)&4294967295, 32); //@line 654 "tcd.c"
        var $185=HEAP[$184]; //@line 654 "tcd.c"
        var $186=_int_ceildiv73($185, $182); //@line 654 "tcd.c"
        var $187=HEAP[$tilec]; //@line 654 "tcd.c"
        var $188=CHECK_OVERFLOW(($187+4)&4294967295, 32); //@line 654 "tcd.c"
        HEAP[$188]=$186; //@line 654 "tcd.c"
        var $189=HEAP[$image_addr]; //@line 655 "tcd.c"
        var $190=CHECK_OVERFLOW(($189+24)&4294967295, 32); //@line 655 "tcd.c"
        var $191=HEAP[$190]; //@line 655 "tcd.c"
        var $192=HEAP[$i]; //@line 655 "tcd.c"
        var $193=CHECK_OVERFLOW(($191+48*$192)&4294967295, 32); //@line 655 "tcd.c"
        var $194=CHECK_OVERFLOW(($193)&4294967295, 32); //@line 655 "tcd.c"
        var $195=HEAP[$194]; //@line 655 "tcd.c"
        var $196=HEAP[$tile5]; //@line 655 "tcd.c"
        var $197=CHECK_OVERFLOW(($196+8)&4294967295, 32); //@line 655 "tcd.c"
        var $198=HEAP[$197]; //@line 655 "tcd.c"
        var $199=_int_ceildiv73($198, $195); //@line 655 "tcd.c"
        var $200=HEAP[$tilec]; //@line 655 "tcd.c"
        var $201=CHECK_OVERFLOW(($200+8)&4294967295, 32); //@line 655 "tcd.c"
        HEAP[$201]=$199; //@line 655 "tcd.c"
        var $202=HEAP[$image_addr]; //@line 656 "tcd.c"
        var $203=CHECK_OVERFLOW(($202+24)&4294967295, 32); //@line 656 "tcd.c"
        var $204=HEAP[$203]; //@line 656 "tcd.c"
        var $205=HEAP[$i]; //@line 656 "tcd.c"
        var $206=CHECK_OVERFLOW(($204+48*$205)&4294967295, 32); //@line 656 "tcd.c"
        var $207=CHECK_OVERFLOW(($206+4)&4294967295, 32); //@line 656 "tcd.c"
        var $208=HEAP[$207]; //@line 656 "tcd.c"
        var $209=HEAP[$tile5]; //@line 656 "tcd.c"
        var $210=CHECK_OVERFLOW(($209+12)&4294967295, 32); //@line 656 "tcd.c"
        var $211=HEAP[$210]; //@line 656 "tcd.c"
        var $212=_int_ceildiv73($211, $208); //@line 656 "tcd.c"
        var $213=HEAP[$tilec]; //@line 656 "tcd.c"
        var $214=CHECK_OVERFLOW(($213+12)&4294967295, 32); //@line 656 "tcd.c"
        HEAP[$214]=$212; //@line 656 "tcd.c"
        var $215=HEAP[$j]; //@line 658 "tcd.c"
        var $216=($215)==0; //@line 658 "tcd.c"
        if ($216) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 658 "tcd.c"
      case 5: // $bb6
        var $217=HEAP[$tilec]; //@line 658 "tcd.c"
        var $218=CHECK_OVERFLOW(($217)&4294967295, 32); //@line 658 "tcd.c"
        var $219=HEAP[$218]; //@line 658 "tcd.c"
        HEAP[$iftmp_46]=$219; //@line 658 "tcd.c"
        __label__ = 7; break; //@line 658 "tcd.c"
      case 6: // $bb7
        var $220=HEAP[$tilec]; //@line 658 "tcd.c"
        var $221=CHECK_OVERFLOW(($220)&4294967295, 32); //@line 658 "tcd.c"
        var $222=HEAP[$221]; //@line 658 "tcd.c"
        var $223=HEAP[$x0]; //@line 658 "tcd.c"
        var $224=_int_min72($223, $222); //@line 658 "tcd.c"
        HEAP[$iftmp_46]=$224; //@line 658 "tcd.c"
        __label__ = 7; break; //@line 658 "tcd.c"
      case 7: // $bb8
        var $225=HEAP[$iftmp_46]; //@line 658 "tcd.c"
        HEAP[$x0]=$225; //@line 658 "tcd.c"
        var $226=HEAP[$j]; //@line 659 "tcd.c"
        var $227=($226)==0; //@line 659 "tcd.c"
        if ($227) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 659 "tcd.c"
      case 8: // $bb9
        var $228=HEAP[$tilec]; //@line 659 "tcd.c"
        var $229=CHECK_OVERFLOW(($228+4)&4294967295, 32); //@line 659 "tcd.c"
        var $230=HEAP[$229]; //@line 659 "tcd.c"
        HEAP[$iftmp_48]=$230; //@line 659 "tcd.c"
        __label__ = 10; break; //@line 659 "tcd.c"
      case 9: // $bb10
        var $231=HEAP[$tilec]; //@line 659 "tcd.c"
        var $232=CHECK_OVERFLOW(($231)&4294967295, 32); //@line 659 "tcd.c"
        var $233=HEAP[$232]; //@line 659 "tcd.c"
        var $234=HEAP[$y0]; //@line 659 "tcd.c"
        var $235=_int_min72($234, $233); //@line 659 "tcd.c"
        HEAP[$iftmp_48]=$235; //@line 659 "tcd.c"
        __label__ = 10; break; //@line 659 "tcd.c"
      case 10: // $bb11
        var $236=HEAP[$iftmp_48]; //@line 659 "tcd.c"
        HEAP[$y0]=$236; //@line 659 "tcd.c"
        var $237=HEAP[$j]; //@line 660 "tcd.c"
        var $238=($237)==0; //@line 660 "tcd.c"
        if ($238) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 660 "tcd.c"
      case 11: // $bb12
        var $239=HEAP[$tilec]; //@line 660 "tcd.c"
        var $240=CHECK_OVERFLOW(($239+8)&4294967295, 32); //@line 660 "tcd.c"
        var $241=HEAP[$240]; //@line 660 "tcd.c"
        HEAP[$iftmp_50]=$241; //@line 660 "tcd.c"
        __label__ = 13; break; //@line 660 "tcd.c"
      case 12: // $bb13
        var $242=HEAP[$tilec]; //@line 660 "tcd.c"
        var $243=CHECK_OVERFLOW(($242+8)&4294967295, 32); //@line 660 "tcd.c"
        var $244=HEAP[$243]; //@line 660 "tcd.c"
        var $245=HEAP[$x1]; //@line 660 "tcd.c"
        var $246=_int_max71($245, $244); //@line 660 "tcd.c"
        HEAP[$iftmp_50]=$246; //@line 660 "tcd.c"
        __label__ = 13; break; //@line 660 "tcd.c"
      case 13: // $bb14
        var $247=HEAP[$iftmp_50]; //@line 660 "tcd.c"
        HEAP[$x1]=$247; //@line 660 "tcd.c"
        var $248=HEAP[$j]; //@line 661 "tcd.c"
        var $249=($248)==0; //@line 661 "tcd.c"
        if ($249) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 661 "tcd.c"
      case 14: // $bb15
        var $250=HEAP[$tilec]; //@line 661 "tcd.c"
        var $251=CHECK_OVERFLOW(($250+12)&4294967295, 32); //@line 661 "tcd.c"
        var $252=HEAP[$251]; //@line 661 "tcd.c"
        HEAP[$iftmp_52]=$252; //@line 661 "tcd.c"
        __label__ = 16; break; //@line 661 "tcd.c"
      case 15: // $bb16
        var $253=HEAP[$tilec]; //@line 661 "tcd.c"
        var $254=CHECK_OVERFLOW(($253+12)&4294967295, 32); //@line 661 "tcd.c"
        var $255=HEAP[$254]; //@line 661 "tcd.c"
        var $256=HEAP[$y1]; //@line 661 "tcd.c"
        var $257=_int_max71($256, $255); //@line 661 "tcd.c"
        HEAP[$iftmp_52]=$257; //@line 661 "tcd.c"
        __label__ = 16; break; //@line 661 "tcd.c"
      case 16: // $bb17
        var $258=HEAP[$iftmp_52]; //@line 661 "tcd.c"
        HEAP[$y1]=$258; //@line 661 "tcd.c"
        var $259=HEAP[$j]; //@line 633 "tcd.c"
        var $260=CHECK_OVERFLOW((($259) + 1)&4294967295, 32); //@line 633 "tcd.c"
        HEAP[$j]=$260; //@line 633 "tcd.c"
        __label__ = 4; break; //@line 633 "tcd.c"
      case 4: // $bb18
        var $261=HEAP[$cp_addr]; //@line 633 "tcd.c"
        var $262=CHECK_OVERFLOW(($261+80)&4294967295, 32); //@line 633 "tcd.c"
        var $263=HEAP[$262]; //@line 633 "tcd.c"
        var $264=HEAP[$j]; //@line 633 "tcd.c"
        var $265=($263) > ($264); //@line 633 "tcd.c"
        if ($265) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 633 "tcd.c"
      case 18: // $bb19
        var $266=HEAP[$image_addr]; //@line 664 "tcd.c"
        var $267=CHECK_OVERFLOW(($266+24)&4294967295, 32); //@line 664 "tcd.c"
        var $268=HEAP[$267]; //@line 664 "tcd.c"
        var $269=HEAP[$i]; //@line 664 "tcd.c"
        var $270=CHECK_OVERFLOW(($268+48*$269)&4294967295, 32); //@line 664 "tcd.c"
        var $271=CHECK_OVERFLOW(($270+40)&4294967295, 32); //@line 664 "tcd.c"
        var $272=HEAP[$271]; //@line 664 "tcd.c"
        var $273=HEAP[$x1]; //@line 664 "tcd.c"
        var $274=HEAP[$x0]; //@line 664 "tcd.c"
        var $275=CHECK_OVERFLOW((($273) - ($274))&4294967295, 32); //@line 664 "tcd.c"
        var $276=_int_ceildivpow274($275, $272); //@line 664 "tcd.c"
        HEAP[$w]=$276; //@line 664 "tcd.c"
        var $277=HEAP[$image_addr]; //@line 665 "tcd.c"
        var $278=CHECK_OVERFLOW(($277+24)&4294967295, 32); //@line 665 "tcd.c"
        var $279=HEAP[$278]; //@line 665 "tcd.c"
        var $280=HEAP[$i]; //@line 665 "tcd.c"
        var $281=CHECK_OVERFLOW(($279+48*$280)&4294967295, 32); //@line 665 "tcd.c"
        var $282=CHECK_OVERFLOW(($281+40)&4294967295, 32); //@line 665 "tcd.c"
        var $283=HEAP[$282]; //@line 665 "tcd.c"
        var $284=HEAP[$y1]; //@line 665 "tcd.c"
        var $285=HEAP[$y0]; //@line 665 "tcd.c"
        var $286=CHECK_OVERFLOW((($284) - ($285))&4294967295, 32); //@line 665 "tcd.c"
        var $287=_int_ceildivpow274($286, $283); //@line 665 "tcd.c"
        HEAP[$h]=$287; //@line 665 "tcd.c"
        var $288=HEAP[$image_addr]; //@line 667 "tcd.c"
        var $289=CHECK_OVERFLOW(($288+24)&4294967295, 32); //@line 667 "tcd.c"
        var $290=HEAP[$289]; //@line 667 "tcd.c"
        var $291=HEAP[$i]; //@line 667 "tcd.c"
        var $292=CHECK_OVERFLOW(($290+48*$291)&4294967295, 32); //@line 667 "tcd.c"
        var $293=HEAP[$w]; //@line 667 "tcd.c"
        var $294=CHECK_OVERFLOW(($292+8)&4294967295, 32); //@line 667 "tcd.c"
        HEAP[$294]=$293; //@line 667 "tcd.c"
        var $295=HEAP[$image_addr]; //@line 668 "tcd.c"
        var $296=CHECK_OVERFLOW(($295+24)&4294967295, 32); //@line 668 "tcd.c"
        var $297=HEAP[$296]; //@line 668 "tcd.c"
        var $298=HEAP[$i]; //@line 668 "tcd.c"
        var $299=CHECK_OVERFLOW(($297+48*$298)&4294967295, 32); //@line 668 "tcd.c"
        var $300=HEAP[$h]; //@line 668 "tcd.c"
        var $301=CHECK_OVERFLOW(($299+12)&4294967295, 32); //@line 668 "tcd.c"
        HEAP[$301]=$300; //@line 668 "tcd.c"
        var $302=HEAP[$image_addr]; //@line 669 "tcd.c"
        var $303=CHECK_OVERFLOW(($302+24)&4294967295, 32); //@line 669 "tcd.c"
        var $304=HEAP[$303]; //@line 669 "tcd.c"
        var $305=HEAP[$i]; //@line 669 "tcd.c"
        var $306=CHECK_OVERFLOW(($304+48*$305)&4294967295, 32); //@line 669 "tcd.c"
        var $307=HEAP[$x0]; //@line 669 "tcd.c"
        var $308=CHECK_OVERFLOW(($306+16)&4294967295, 32); //@line 669 "tcd.c"
        HEAP[$308]=$307; //@line 669 "tcd.c"
        var $309=HEAP[$image_addr]; //@line 670 "tcd.c"
        var $310=CHECK_OVERFLOW(($309+24)&4294967295, 32); //@line 670 "tcd.c"
        var $311=HEAP[$310]; //@line 670 "tcd.c"
        var $312=HEAP[$i]; //@line 670 "tcd.c"
        var $313=CHECK_OVERFLOW(($311+48*$312)&4294967295, 32); //@line 670 "tcd.c"
        var $314=HEAP[$y0]; //@line 670 "tcd.c"
        var $315=CHECK_OVERFLOW(($313+20)&4294967295, 32); //@line 670 "tcd.c"
        HEAP[$315]=$314; //@line 670 "tcd.c"
        var $316=HEAP[$i]; //@line 632 "tcd.c"
        var $317=CHECK_OVERFLOW((($316) + 1)&4294967295, 32); //@line 632 "tcd.c"
        HEAP[$i]=$317; //@line 632 "tcd.c"
        __label__ = 3; break; //@line 632 "tcd.c"
      case 3: // $bb20
        var $318=HEAP[$image_addr]; //@line 632 "tcd.c"
        var $319=CHECK_OVERFLOW(($318+16)&4294967295, 32); //@line 632 "tcd.c"
        var $320=HEAP[$319]; //@line 632 "tcd.c"
        var $321=HEAP[$i]; //@line 632 "tcd.c"
        var $322=($320) > ($321); //@line 632 "tcd.c"
        if ($322) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 632 "tcd.c"
      case 20: // $bb21
        __label__ = 21; break; //@line 672 "tcd.c"
      case 21: // $return
        STACKTOP = __stackBase__;
        return; //@line 672 "tcd.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tcd_malloc_decode_tile($tcd, $image, $cp, $tileno, $cstr_info) {
    var __stackBase__  = STACKTOP; STACKTOP += 232; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 232);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tcd_addr=__stackBase__;
        var $image_addr=__stackBase__+4;
        var $cp_addr=__stackBase__+8;
        var $tileno_addr=__stackBase__+12;
        var $cstr_info_addr=__stackBase__+16;
        var $iftmp_69=__stackBase__+20;
        var $iftmp_67=__stackBase__+24;
        var $iftmp_66=__stackBase__+28;
        var $iftmp_65=__stackBase__+32;
        var $iftmp_64=__stackBase__+36;
        var $iftmp_62=__stackBase__+40;
        var $iftmp_61=__stackBase__+44;
        var $iftmp_58=__stackBase__+48;
        var $compno=__stackBase__+52;
        var $resno=__stackBase__+56;
        var $bandno=__stackBase__+60;
        var $precno=__stackBase__+64;
        var $cblkno=__stackBase__+68;
        var $tcp=__stackBase__+72;
        var $tile=__stackBase__+76;
        var $tccp=__stackBase__+80;
        var $tilec=__stackBase__+84;
        var $pdx=__stackBase__+88;
        var $pdy=__stackBase__+92;
        var $levelno=__stackBase__+96;
        var $tlprcxstart=__stackBase__+100;
        var $tlprcystart=__stackBase__+104;
        var $brprcxend=__stackBase__+108;
        var $brprcyend=__stackBase__+112;
        var $tlcbgxstart=__stackBase__+116;
        var $tlcbgystart=__stackBase__+120;
        var $brcbgxend=__stackBase__+124;
        var $brcbgyend=__stackBase__+128;
        var $cbgwidthexpn=__stackBase__+132;
        var $cbgheightexpn=__stackBase__+136;
        var $cblkwidthexpn=__stackBase__+140;
        var $cblkheightexpn=__stackBase__+144;
        var $res=__stackBase__+148;
        var $x0b=__stackBase__+152;
        var $y0b=__stackBase__+156;
        var $gain=__stackBase__+160;
        var $numbps=__stackBase__+164;
        var $ss=__stackBase__+168;
        var $band=__stackBase__+172;
        var $tlcblkxstart=__stackBase__+176;
        var $tlcblkystart=__stackBase__+180;
        var $brcblkxend=__stackBase__+184;
        var $brcblkyend=__stackBase__+188;
        var $cbgxstart=__stackBase__+192;
        var $cbgystart=__stackBase__+196;
        var $cbgxend=__stackBase__+200;
        var $cbgyend=__stackBase__+204;
        var $prc=__stackBase__+208;
        var $cblkxstart=__stackBase__+212;
        var $cblkystart=__stackBase__+216;
        var $cblkxend=__stackBase__+220;
        var $cblkyend=__stackBase__+224;
        var $cblk=__stackBase__+228;
        var $_alloca_point_=0;
        HEAP[$tcd_addr]=$tcd;
        HEAP[$image_addr]=$image;
        HEAP[$cp_addr]=$cp;
        HEAP[$tileno_addr]=$tileno;
        HEAP[$cstr_info_addr]=$cstr_info;
        var $0=HEAP[$tcd_addr]; //@line 679 "tcd.c"
        var $1=CHECK_OVERFLOW(($0+32)&4294967295, 32); //@line 679 "tcd.c"
        var $2=HEAP[$cp_addr]; //@line 679 "tcd.c"
        HEAP[$1]=$2; //@line 679 "tcd.c"
        var $3=HEAP[$cp_addr]; //@line 681 "tcd.c"
        var $4=CHECK_OVERFLOW(($3+108)&4294967295, 32); //@line 681 "tcd.c"
        var $5=HEAP[$4]; //@line 681 "tcd.c"
        var $6=HEAP[$cp_addr]; //@line 681 "tcd.c"
        var $7=CHECK_OVERFLOW(($6+76)&4294967295, 32); //@line 681 "tcd.c"
        var $8=HEAP[$7]; //@line 681 "tcd.c"
        var $9=HEAP[$tileno_addr]; //@line 681 "tcd.c"
        var $10=CHECK_OVERFLOW(($8+4*$9)&4294967295, 32); //@line 681 "tcd.c"
        var $11=HEAP[$10]; //@line 681 "tcd.c"
        var $12=CHECK_OVERFLOW(($5+5588*$11)&4294967295, 32); //@line 681 "tcd.c"
        HEAP[$tcp]=$12; //@line 681 "tcd.c"
        var $13=HEAP[$tcd_addr]; //@line 682 "tcd.c"
        var $14=CHECK_OVERFLOW(($13+24)&4294967295, 32); //@line 682 "tcd.c"
        var $15=HEAP[$14]; //@line 682 "tcd.c"
        var $16=CHECK_OVERFLOW(($15+8)&4294967295, 32); //@line 682 "tcd.c"
        var $17=HEAP[$16]; //@line 682 "tcd.c"
        var $18=HEAP[$cp_addr]; //@line 682 "tcd.c"
        var $19=CHECK_OVERFLOW(($18+76)&4294967295, 32); //@line 682 "tcd.c"
        var $20=HEAP[$19]; //@line 682 "tcd.c"
        var $21=HEAP[$tileno_addr]; //@line 682 "tcd.c"
        var $22=CHECK_OVERFLOW(($20+4*$21)&4294967295, 32); //@line 682 "tcd.c"
        var $23=HEAP[$22]; //@line 682 "tcd.c"
        var $24=CHECK_OVERFLOW(($17+840*$23)&4294967295, 32); //@line 682 "tcd.c"
        HEAP[$tile]=$24; //@line 682 "tcd.c"
        var $25=HEAP[$cp_addr]; //@line 684 "tcd.c"
        var $26=CHECK_OVERFLOW(($25+76)&4294967295, 32); //@line 684 "tcd.c"
        var $27=HEAP[$26]; //@line 684 "tcd.c"
        var $28=HEAP[$tileno_addr]; //@line 684 "tcd.c"
        var $29=CHECK_OVERFLOW(($27+4*$28)&4294967295, 32); //@line 684 "tcd.c"
        var $30=HEAP[$29]; //@line 684 "tcd.c"
        HEAP[$tileno_addr]=$30; //@line 684 "tcd.c"
        HEAP[$compno]=0; //@line 686 "tcd.c"
        __label__ = 0; break; //@line 686 "tcd.c"
      case 48: // $bb
        var $31=HEAP[$tcp]; //@line 687 "tcd.c"
        var $32=CHECK_OVERFLOW(($31+5584)&4294967295, 32); //@line 687 "tcd.c"
        var $33=HEAP[$32]; //@line 687 "tcd.c"
        var $34=HEAP[$compno]; //@line 687 "tcd.c"
        var $35=CHECK_OVERFLOW(($33+1076*$34)&4294967295, 32); //@line 687 "tcd.c"
        HEAP[$tccp]=$35; //@line 687 "tcd.c"
        var $36=HEAP[$tile]; //@line 688 "tcd.c"
        var $37=CHECK_OVERFLOW(($36+20)&4294967295, 32); //@line 688 "tcd.c"
        var $38=HEAP[$37]; //@line 688 "tcd.c"
        var $39=HEAP[$compno]; //@line 688 "tcd.c"
        var $40=CHECK_OVERFLOW(($38+32*$39)&4294967295, 32); //@line 688 "tcd.c"
        HEAP[$tilec]=$40; //@line 688 "tcd.c"
        var $41=HEAP[$image_addr]; //@line 691 "tcd.c"
        var $42=CHECK_OVERFLOW(($41+24)&4294967295, 32); //@line 691 "tcd.c"
        var $43=HEAP[$42]; //@line 691 "tcd.c"
        var $44=HEAP[$compno]; //@line 691 "tcd.c"
        var $45=CHECK_OVERFLOW(($43+48*$44)&4294967295, 32); //@line 691 "tcd.c"
        var $46=CHECK_OVERFLOW(($45)&4294967295, 32); //@line 691 "tcd.c"
        var $47=HEAP[$46]; //@line 691 "tcd.c"
        var $48=HEAP[$tile]; //@line 691 "tcd.c"
        var $49=CHECK_OVERFLOW(($48)&4294967295, 32); //@line 691 "tcd.c"
        var $50=HEAP[$49]; //@line 691 "tcd.c"
        var $51=_int_ceildiv73($50, $47); //@line 691 "tcd.c"
        var $52=HEAP[$tilec]; //@line 691 "tcd.c"
        var $53=CHECK_OVERFLOW(($52)&4294967295, 32); //@line 691 "tcd.c"
        HEAP[$53]=$51; //@line 691 "tcd.c"
        var $54=HEAP[$image_addr]; //@line 692 "tcd.c"
        var $55=CHECK_OVERFLOW(($54+24)&4294967295, 32); //@line 692 "tcd.c"
        var $56=HEAP[$55]; //@line 692 "tcd.c"
        var $57=HEAP[$compno]; //@line 692 "tcd.c"
        var $58=CHECK_OVERFLOW(($56+48*$57)&4294967295, 32); //@line 692 "tcd.c"
        var $59=CHECK_OVERFLOW(($58+4)&4294967295, 32); //@line 692 "tcd.c"
        var $60=HEAP[$59]; //@line 692 "tcd.c"
        var $61=HEAP[$tile]; //@line 692 "tcd.c"
        var $62=CHECK_OVERFLOW(($61+4)&4294967295, 32); //@line 692 "tcd.c"
        var $63=HEAP[$62]; //@line 692 "tcd.c"
        var $64=_int_ceildiv73($63, $60); //@line 692 "tcd.c"
        var $65=HEAP[$tilec]; //@line 692 "tcd.c"
        var $66=CHECK_OVERFLOW(($65+4)&4294967295, 32); //@line 692 "tcd.c"
        HEAP[$66]=$64; //@line 692 "tcd.c"
        var $67=HEAP[$image_addr]; //@line 693 "tcd.c"
        var $68=CHECK_OVERFLOW(($67+24)&4294967295, 32); //@line 693 "tcd.c"
        var $69=HEAP[$68]; //@line 693 "tcd.c"
        var $70=HEAP[$compno]; //@line 693 "tcd.c"
        var $71=CHECK_OVERFLOW(($69+48*$70)&4294967295, 32); //@line 693 "tcd.c"
        var $72=CHECK_OVERFLOW(($71)&4294967295, 32); //@line 693 "tcd.c"
        var $73=HEAP[$72]; //@line 693 "tcd.c"
        var $74=HEAP[$tile]; //@line 693 "tcd.c"
        var $75=CHECK_OVERFLOW(($74+8)&4294967295, 32); //@line 693 "tcd.c"
        var $76=HEAP[$75]; //@line 693 "tcd.c"
        var $77=_int_ceildiv73($76, $73); //@line 693 "tcd.c"
        var $78=HEAP[$tilec]; //@line 693 "tcd.c"
        var $79=CHECK_OVERFLOW(($78+8)&4294967295, 32); //@line 693 "tcd.c"
        HEAP[$79]=$77; //@line 693 "tcd.c"
        var $80=HEAP[$image_addr]; //@line 694 "tcd.c"
        var $81=CHECK_OVERFLOW(($80+24)&4294967295, 32); //@line 694 "tcd.c"
        var $82=HEAP[$81]; //@line 694 "tcd.c"
        var $83=HEAP[$compno]; //@line 694 "tcd.c"
        var $84=CHECK_OVERFLOW(($82+48*$83)&4294967295, 32); //@line 694 "tcd.c"
        var $85=CHECK_OVERFLOW(($84+4)&4294967295, 32); //@line 694 "tcd.c"
        var $86=HEAP[$85]; //@line 694 "tcd.c"
        var $87=HEAP[$tile]; //@line 694 "tcd.c"
        var $88=CHECK_OVERFLOW(($87+12)&4294967295, 32); //@line 694 "tcd.c"
        var $89=HEAP[$88]; //@line 694 "tcd.c"
        var $90=_int_ceildiv73($89, $86); //@line 694 "tcd.c"
        var $91=HEAP[$tilec]; //@line 694 "tcd.c"
        var $92=CHECK_OVERFLOW(($91+12)&4294967295, 32); //@line 694 "tcd.c"
        HEAP[$92]=$90; //@line 694 "tcd.c"
        var $93=HEAP[$tccp]; //@line 696 "tcd.c"
        var $94=CHECK_OVERFLOW(($93+4)&4294967295, 32); //@line 696 "tcd.c"
        var $95=HEAP[$94]; //@line 696 "tcd.c"
        var $96=HEAP[$tilec]; //@line 696 "tcd.c"
        var $97=CHECK_OVERFLOW(($96+16)&4294967295, 32); //@line 696 "tcd.c"
        HEAP[$97]=$95; //@line 696 "tcd.c"
        var $98=HEAP[$tilec]; //@line 697 "tcd.c"
        var $99=CHECK_OVERFLOW(($98+16)&4294967295, 32); //@line 697 "tcd.c"
        var $100=HEAP[$99]; //@line 697 "tcd.c"
        var $101=CHECK_OVERFLOW((($100) * 124)&4294967295, 32); //@line 697 "tcd.c"
        var $102=_malloc($101); //@line 697 "tcd.c"
        var $103=$102; //@line 697 "tcd.c"
        var $104=HEAP[$tilec]; //@line 697 "tcd.c"
        var $105=CHECK_OVERFLOW(($104+20)&4294967295, 32); //@line 697 "tcd.c"
        HEAP[$105]=$103; //@line 697 "tcd.c"
        HEAP[$resno]=0; //@line 699 "tcd.c"
        __label__ = 1; break; //@line 699 "tcd.c"
      case 46: // $bb1
        var $106=HEAP[$tilec]; //@line 701 "tcd.c"
        var $107=CHECK_OVERFLOW(($106+16)&4294967295, 32); //@line 701 "tcd.c"
        var $108=HEAP[$107]; //@line 701 "tcd.c"
        var $109=CHECK_OVERFLOW((($108) - 1)&4294967295, 32); //@line 701 "tcd.c"
        var $110=HEAP[$resno]; //@line 701 "tcd.c"
        var $111=CHECK_OVERFLOW((($109) - ($110))&4294967295, 32); //@line 701 "tcd.c"
        HEAP[$levelno]=$111; //@line 701 "tcd.c"
        var $112=HEAP[$tilec]; //@line 707 "tcd.c"
        var $113=CHECK_OVERFLOW(($112+20)&4294967295, 32); //@line 707 "tcd.c"
        var $114=HEAP[$113]; //@line 707 "tcd.c"
        var $115=HEAP[$resno]; //@line 707 "tcd.c"
        var $116=CHECK_OVERFLOW(($114+124*$115)&4294967295, 32); //@line 707 "tcd.c"
        HEAP[$res]=$116; //@line 707 "tcd.c"
        var $117=HEAP[$tilec]; //@line 710 "tcd.c"
        var $118=CHECK_OVERFLOW(($117)&4294967295, 32); //@line 710 "tcd.c"
        var $119=HEAP[$118]; //@line 710 "tcd.c"
        var $120=HEAP[$levelno]; //@line 710 "tcd.c"
        var $121=_int_ceildivpow274($119, $120); //@line 710 "tcd.c"
        var $122=HEAP[$res]; //@line 710 "tcd.c"
        var $123=CHECK_OVERFLOW(($122)&4294967295, 32); //@line 710 "tcd.c"
        HEAP[$123]=$121; //@line 710 "tcd.c"
        var $124=HEAP[$tilec]; //@line 711 "tcd.c"
        var $125=CHECK_OVERFLOW(($124+4)&4294967295, 32); //@line 711 "tcd.c"
        var $126=HEAP[$125]; //@line 711 "tcd.c"
        var $127=HEAP[$levelno]; //@line 711 "tcd.c"
        var $128=_int_ceildivpow274($126, $127); //@line 711 "tcd.c"
        var $129=HEAP[$res]; //@line 711 "tcd.c"
        var $130=CHECK_OVERFLOW(($129+4)&4294967295, 32); //@line 711 "tcd.c"
        HEAP[$130]=$128; //@line 711 "tcd.c"
        var $131=HEAP[$tilec]; //@line 712 "tcd.c"
        var $132=CHECK_OVERFLOW(($131+8)&4294967295, 32); //@line 712 "tcd.c"
        var $133=HEAP[$132]; //@line 712 "tcd.c"
        var $134=HEAP[$levelno]; //@line 712 "tcd.c"
        var $135=_int_ceildivpow274($133, $134); //@line 712 "tcd.c"
        var $136=HEAP[$res]; //@line 712 "tcd.c"
        var $137=CHECK_OVERFLOW(($136+8)&4294967295, 32); //@line 712 "tcd.c"
        HEAP[$137]=$135; //@line 712 "tcd.c"
        var $138=HEAP[$tilec]; //@line 713 "tcd.c"
        var $139=CHECK_OVERFLOW(($138+12)&4294967295, 32); //@line 713 "tcd.c"
        var $140=HEAP[$139]; //@line 713 "tcd.c"
        var $141=HEAP[$levelno]; //@line 713 "tcd.c"
        var $142=_int_ceildivpow274($140, $141); //@line 713 "tcd.c"
        var $143=HEAP[$res]; //@line 713 "tcd.c"
        var $144=CHECK_OVERFLOW(($143+12)&4294967295, 32); //@line 713 "tcd.c"
        HEAP[$144]=$142; //@line 713 "tcd.c"
        var $145=HEAP[$resno]; //@line 714 "tcd.c"
        var $146=($145)==0; //@line 714 "tcd.c"
        if ($146) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 714 "tcd.c"
      case 2: // $bb2
        HEAP[$iftmp_58]=1; //@line 714 "tcd.c"
        __label__ = 4; break; //@line 714 "tcd.c"
      case 3: // $bb3
        HEAP[$iftmp_58]=3; //@line 714 "tcd.c"
        __label__ = 4; break; //@line 714 "tcd.c"
      case 4: // $bb4
        var $147=HEAP[$res]; //@line 714 "tcd.c"
        var $148=CHECK_OVERFLOW(($147+24)&4294967295, 32); //@line 714 "tcd.c"
        var $149=HEAP[$iftmp_58]; //@line 714 "tcd.c"
        HEAP[$148]=$149; //@line 714 "tcd.c"
        var $150=HEAP[$tccp]; //@line 717 "tcd.c"
        var $151=CHECK_OVERFLOW(($150)&4294967295, 32); //@line 717 "tcd.c"
        var $152=HEAP[$151]; //@line 717 "tcd.c"
        var $153=($152) & 1; //@line 717 "tcd.c"
        var $154=((($153)) & 255); //@line 717 "tcd.c"
        var $toBool=($154)!=0; //@line 717 "tcd.c"
        if ($toBool) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 717 "tcd.c"
      case 5: // $bb5
        var $155=HEAP[$resno]; //@line 718 "tcd.c"
        var $156=HEAP[$tccp]; //@line 718 "tcd.c"
        var $157=CHECK_OVERFLOW(($156+812)&4294967295, 32); //@line 718 "tcd.c"
        var $158=CHECK_OVERFLOW(($157+$155*4)&4294967295, 32); //@line 718 "tcd.c"
        var $159=HEAP[$158]; //@line 718 "tcd.c"
        HEAP[$pdx]=$159; //@line 718 "tcd.c"
        var $160=HEAP[$resno]; //@line 719 "tcd.c"
        var $161=HEAP[$tccp]; //@line 719 "tcd.c"
        var $162=CHECK_OVERFLOW(($161+944)&4294967295, 32); //@line 719 "tcd.c"
        var $163=CHECK_OVERFLOW(($162+$160*4)&4294967295, 32); //@line 719 "tcd.c"
        var $164=HEAP[$163]; //@line 719 "tcd.c"
        HEAP[$pdy]=$164; //@line 719 "tcd.c"
        __label__ = 7; break; //@line 719 "tcd.c"
      case 6: // $bb6
        HEAP[$pdx]=15; //@line 721 "tcd.c"
        HEAP[$pdy]=15; //@line 722 "tcd.c"
        __label__ = 7; break; //@line 722 "tcd.c"
      case 7: // $bb7
        var $165=HEAP[$res]; //@line 726 "tcd.c"
        var $166=CHECK_OVERFLOW(($165)&4294967295, 32); //@line 726 "tcd.c"
        var $167=HEAP[$166]; //@line 726 "tcd.c"
        var $168=HEAP[$pdx]; //@line 726 "tcd.c"
        var $169=_int_floordivpow275($167, $168); //@line 726 "tcd.c"
        var $170=HEAP[$pdx]; //@line 726 "tcd.c"
        var $171=($169) << ($170); //@line 726 "tcd.c"
        HEAP[$tlprcxstart]=$171; //@line 726 "tcd.c"
        var $172=HEAP[$res]; //@line 727 "tcd.c"
        var $173=CHECK_OVERFLOW(($172+4)&4294967295, 32); //@line 727 "tcd.c"
        var $174=HEAP[$173]; //@line 727 "tcd.c"
        var $175=HEAP[$pdy]; //@line 727 "tcd.c"
        var $176=_int_floordivpow275($174, $175); //@line 727 "tcd.c"
        var $177=HEAP[$pdy]; //@line 727 "tcd.c"
        var $178=($176) << ($177); //@line 727 "tcd.c"
        HEAP[$tlprcystart]=$178; //@line 727 "tcd.c"
        var $179=HEAP[$res]; //@line 728 "tcd.c"
        var $180=CHECK_OVERFLOW(($179+8)&4294967295, 32); //@line 728 "tcd.c"
        var $181=HEAP[$180]; //@line 728 "tcd.c"
        var $182=HEAP[$pdx]; //@line 728 "tcd.c"
        var $183=_int_ceildivpow274($181, $182); //@line 728 "tcd.c"
        var $184=HEAP[$pdx]; //@line 728 "tcd.c"
        var $185=($183) << ($184); //@line 728 "tcd.c"
        HEAP[$brprcxend]=$185; //@line 728 "tcd.c"
        var $186=HEAP[$res]; //@line 729 "tcd.c"
        var $187=CHECK_OVERFLOW(($186+12)&4294967295, 32); //@line 729 "tcd.c"
        var $188=HEAP[$187]; //@line 729 "tcd.c"
        var $189=HEAP[$pdy]; //@line 729 "tcd.c"
        var $190=_int_ceildivpow274($188, $189); //@line 729 "tcd.c"
        var $191=HEAP[$pdy]; //@line 729 "tcd.c"
        var $192=($190) << ($191); //@line 729 "tcd.c"
        HEAP[$brprcyend]=$192; //@line 729 "tcd.c"
        var $193=HEAP[$res]; //@line 731 "tcd.c"
        var $194=CHECK_OVERFLOW(($193)&4294967295, 32); //@line 731 "tcd.c"
        var $195=HEAP[$194]; //@line 731 "tcd.c"
        var $196=HEAP[$res]; //@line 731 "tcd.c"
        var $197=CHECK_OVERFLOW(($196+8)&4294967295, 32); //@line 731 "tcd.c"
        var $198=HEAP[$197]; //@line 731 "tcd.c"
        var $199=($195)!=($198); //@line 731 "tcd.c"
        if ($199) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 731 "tcd.c"
      case 8: // $bb8
        var $200=HEAP[$brprcxend]; //@line 731 "tcd.c"
        var $201=HEAP[$tlprcxstart]; //@line 731 "tcd.c"
        var $202=CHECK_OVERFLOW((($200) - ($201))&4294967295, 32); //@line 731 "tcd.c"
        var $203=HEAP[$pdx]; //@line 731 "tcd.c"
        var $204=($202) >> ($203); //@line 731 "tcd.c"
        HEAP[$iftmp_61]=$204; //@line 731 "tcd.c"
        __label__ = 10; break; //@line 731 "tcd.c"
      case 9: // $bb9
        HEAP[$iftmp_61]=0; //@line 731 "tcd.c"
        __label__ = 10; break; //@line 731 "tcd.c"
      case 10: // $bb10
        var $205=HEAP[$res]; //@line 731 "tcd.c"
        var $206=CHECK_OVERFLOW(($205+16)&4294967295, 32); //@line 731 "tcd.c"
        var $207=HEAP[$iftmp_61]; //@line 731 "tcd.c"
        HEAP[$206]=$207; //@line 731 "tcd.c"
        var $208=HEAP[$res]; //@line 732 "tcd.c"
        var $209=CHECK_OVERFLOW(($208+4)&4294967295, 32); //@line 732 "tcd.c"
        var $210=HEAP[$209]; //@line 732 "tcd.c"
        var $211=HEAP[$res]; //@line 732 "tcd.c"
        var $212=CHECK_OVERFLOW(($211+12)&4294967295, 32); //@line 732 "tcd.c"
        var $213=HEAP[$212]; //@line 732 "tcd.c"
        var $214=($210)!=($213); //@line 732 "tcd.c"
        if ($214) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 732 "tcd.c"
      case 11: // $bb11
        var $215=HEAP[$brprcyend]; //@line 732 "tcd.c"
        var $216=HEAP[$tlprcystart]; //@line 732 "tcd.c"
        var $217=CHECK_OVERFLOW((($215) - ($216))&4294967295, 32); //@line 732 "tcd.c"
        var $218=HEAP[$pdy]; //@line 732 "tcd.c"
        var $219=($217) >> ($218); //@line 732 "tcd.c"
        HEAP[$iftmp_62]=$219; //@line 732 "tcd.c"
        __label__ = 13; break; //@line 732 "tcd.c"
      case 12: // $bb12
        HEAP[$iftmp_62]=0; //@line 732 "tcd.c"
        __label__ = 13; break; //@line 732 "tcd.c"
      case 13: // $bb13
        var $220=HEAP[$res]; //@line 732 "tcd.c"
        var $221=CHECK_OVERFLOW(($220+20)&4294967295, 32); //@line 732 "tcd.c"
        var $222=HEAP[$iftmp_62]; //@line 732 "tcd.c"
        HEAP[$221]=$222; //@line 732 "tcd.c"
        var $223=HEAP[$resno]; //@line 734 "tcd.c"
        var $224=($223)==0; //@line 734 "tcd.c"
        if ($224) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 734 "tcd.c"
      case 14: // $bb14
        var $225=HEAP[$tlprcxstart]; //@line 735 "tcd.c"
        HEAP[$tlcbgxstart]=$225; //@line 735 "tcd.c"
        var $226=HEAP[$tlprcystart]; //@line 736 "tcd.c"
        HEAP[$tlcbgystart]=$226; //@line 736 "tcd.c"
        var $227=HEAP[$brprcxend]; //@line 737 "tcd.c"
        HEAP[$brcbgxend]=$227; //@line 737 "tcd.c"
        var $228=HEAP[$brprcyend]; //@line 738 "tcd.c"
        HEAP[$brcbgyend]=$228; //@line 738 "tcd.c"
        var $229=HEAP[$pdx]; //@line 739 "tcd.c"
        HEAP[$cbgwidthexpn]=$229; //@line 739 "tcd.c"
        var $230=HEAP[$pdy]; //@line 740 "tcd.c"
        HEAP[$cbgheightexpn]=$230; //@line 740 "tcd.c"
        __label__ = 16; break; //@line 740 "tcd.c"
      case 15: // $bb15
        var $231=HEAP[$tlprcxstart]; //@line 742 "tcd.c"
        var $232=_int_ceildivpow274($231, 1); //@line 742 "tcd.c"
        HEAP[$tlcbgxstart]=$232; //@line 742 "tcd.c"
        var $233=HEAP[$tlprcystart]; //@line 743 "tcd.c"
        var $234=_int_ceildivpow274($233, 1); //@line 743 "tcd.c"
        HEAP[$tlcbgystart]=$234; //@line 743 "tcd.c"
        var $235=HEAP[$brprcxend]; //@line 744 "tcd.c"
        var $236=_int_ceildivpow274($235, 1); //@line 744 "tcd.c"
        HEAP[$brcbgxend]=$236; //@line 744 "tcd.c"
        var $237=HEAP[$brprcyend]; //@line 745 "tcd.c"
        var $238=_int_ceildivpow274($237, 1); //@line 745 "tcd.c"
        HEAP[$brcbgyend]=$238; //@line 745 "tcd.c"
        var $239=HEAP[$pdx]; //@line 746 "tcd.c"
        var $240=CHECK_OVERFLOW((($239) - 1)&4294967295, 32); //@line 746 "tcd.c"
        HEAP[$cbgwidthexpn]=$240; //@line 746 "tcd.c"
        var $241=HEAP[$pdy]; //@line 747 "tcd.c"
        var $242=CHECK_OVERFLOW((($241) - 1)&4294967295, 32); //@line 747 "tcd.c"
        HEAP[$cbgheightexpn]=$242; //@line 747 "tcd.c"
        __label__ = 16; break; //@line 747 "tcd.c"
      case 16: // $bb16
        var $243=HEAP[$tccp]; //@line 750 "tcd.c"
        var $244=CHECK_OVERFLOW(($243+8)&4294967295, 32); //@line 750 "tcd.c"
        var $245=HEAP[$244]; //@line 750 "tcd.c"
        var $246=HEAP[$cbgwidthexpn]; //@line 750 "tcd.c"
        var $247=_int_min72($245, $246); //@line 750 "tcd.c"
        HEAP[$cblkwidthexpn]=$247; //@line 750 "tcd.c"
        var $248=HEAP[$tccp]; //@line 751 "tcd.c"
        var $249=CHECK_OVERFLOW(($248+12)&4294967295, 32); //@line 751 "tcd.c"
        var $250=HEAP[$249]; //@line 751 "tcd.c"
        var $251=HEAP[$cbgheightexpn]; //@line 751 "tcd.c"
        var $252=_int_min72($250, $251); //@line 751 "tcd.c"
        HEAP[$cblkheightexpn]=$252; //@line 751 "tcd.c"
        HEAP[$bandno]=0; //@line 753 "tcd.c"
        __label__ = 17; break; //@line 753 "tcd.c"
      case 44: // $bb17
        HEAP[$ss]=0; //@line 756 "tcd.c"
        var $253=HEAP[$bandno]; //@line 758 "tcd.c"
        var $254=HEAP[$res]; //@line 758 "tcd.c"
        var $255=CHECK_OVERFLOW(($254+28)&4294967295, 32); //@line 758 "tcd.c"
        var $256=CHECK_OVERFLOW(($255+$253*32)&4294967295, 32); //@line 758 "tcd.c"
        HEAP[$band]=$256; //@line 758 "tcd.c"
        var $257=HEAP[$resno]; //@line 759 "tcd.c"
        var $258=($257)!=0; //@line 759 "tcd.c"
        if ($258) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 759 "tcd.c"
      case 18: // $bb18
        var $259=HEAP[$bandno]; //@line 759 "tcd.c"
        var $260=CHECK_OVERFLOW((($259) + 1)&4294967295, 32); //@line 759 "tcd.c"
        HEAP[$iftmp_64]=$260; //@line 759 "tcd.c"
        __label__ = 20; break; //@line 759 "tcd.c"
      case 19: // $bb19
        HEAP[$iftmp_64]=0; //@line 759 "tcd.c"
        __label__ = 20; break; //@line 759 "tcd.c"
      case 20: // $bb20
        var $261=HEAP[$band]; //@line 759 "tcd.c"
        var $262=CHECK_OVERFLOW(($261+16)&4294967295, 32); //@line 759 "tcd.c"
        var $263=HEAP[$iftmp_64]; //@line 759 "tcd.c"
        HEAP[$262]=$263; //@line 759 "tcd.c"
        var $264=HEAP[$band]; //@line 760 "tcd.c"
        var $265=CHECK_OVERFLOW(($264+16)&4294967295, 32); //@line 760 "tcd.c"
        var $266=HEAP[$265]; //@line 760 "tcd.c"
        var $267=($266)==1; //@line 760 "tcd.c"
        if ($267) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 760 "tcd.c"
      case 22: // $bb21
        var $268=HEAP[$band]; //@line 760 "tcd.c"
        var $269=CHECK_OVERFLOW(($268+16)&4294967295, 32); //@line 760 "tcd.c"
        var $270=HEAP[$269]; //@line 760 "tcd.c"
        var $271=($270)==3; //@line 760 "tcd.c"
        if ($271) { __label__ = 21; break; } else { __label__ = 23; break; } //@line 760 "tcd.c"
      case 21: // $bb22
        HEAP[$iftmp_65]=1; //@line 760 "tcd.c"
        __label__ = 24; break; //@line 760 "tcd.c"
      case 23: // $bb23
        HEAP[$iftmp_65]=0; //@line 760 "tcd.c"
        __label__ = 24; break; //@line 760 "tcd.c"
      case 24: // $bb24
        var $272=HEAP[$iftmp_65]; //@line 760 "tcd.c"
        HEAP[$x0b]=$272; //@line 760 "tcd.c"
        var $273=HEAP[$band]; //@line 761 "tcd.c"
        var $274=CHECK_OVERFLOW(($273+16)&4294967295, 32); //@line 761 "tcd.c"
        var $275=HEAP[$274]; //@line 761 "tcd.c"
        var $276=($275)==2; //@line 761 "tcd.c"
        if ($276) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 761 "tcd.c"
      case 26: // $bb25
        var $277=HEAP[$band]; //@line 761 "tcd.c"
        var $278=CHECK_OVERFLOW(($277+16)&4294967295, 32); //@line 761 "tcd.c"
        var $279=HEAP[$278]; //@line 761 "tcd.c"
        var $280=($279)==3; //@line 761 "tcd.c"
        if ($280) { __label__ = 25; break; } else { __label__ = 27; break; } //@line 761 "tcd.c"
      case 25: // $bb26
        HEAP[$iftmp_66]=1; //@line 761 "tcd.c"
        __label__ = 28; break; //@line 761 "tcd.c"
      case 27: // $bb27
        HEAP[$iftmp_66]=0; //@line 761 "tcd.c"
        __label__ = 28; break; //@line 761 "tcd.c"
      case 28: // $bb28
        var $281=HEAP[$iftmp_66]; //@line 761 "tcd.c"
        HEAP[$y0b]=$281; //@line 761 "tcd.c"
        var $282=HEAP[$band]; //@line 763 "tcd.c"
        var $283=CHECK_OVERFLOW(($282+16)&4294967295, 32); //@line 763 "tcd.c"
        var $284=HEAP[$283]; //@line 763 "tcd.c"
        var $285=($284)==0; //@line 763 "tcd.c"
        if ($285) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 763 "tcd.c"
      case 29: // $bb29
        var $286=HEAP[$tilec]; //@line 765 "tcd.c"
        var $287=CHECK_OVERFLOW(($286)&4294967295, 32); //@line 765 "tcd.c"
        var $288=HEAP[$287]; //@line 765 "tcd.c"
        var $289=HEAP[$levelno]; //@line 765 "tcd.c"
        var $290=_int_ceildivpow274($288, $289); //@line 765 "tcd.c"
        var $291=HEAP[$band]; //@line 765 "tcd.c"
        var $292=CHECK_OVERFLOW(($291)&4294967295, 32); //@line 765 "tcd.c"
        HEAP[$292]=$290; //@line 765 "tcd.c"
        var $293=HEAP[$tilec]; //@line 766 "tcd.c"
        var $294=CHECK_OVERFLOW(($293+4)&4294967295, 32); //@line 766 "tcd.c"
        var $295=HEAP[$294]; //@line 766 "tcd.c"
        var $296=HEAP[$levelno]; //@line 766 "tcd.c"
        var $297=_int_ceildivpow274($295, $296); //@line 766 "tcd.c"
        var $298=HEAP[$band]; //@line 766 "tcd.c"
        var $299=CHECK_OVERFLOW(($298+4)&4294967295, 32); //@line 766 "tcd.c"
        HEAP[$299]=$297; //@line 766 "tcd.c"
        var $300=HEAP[$tilec]; //@line 767 "tcd.c"
        var $301=CHECK_OVERFLOW(($300+8)&4294967295, 32); //@line 767 "tcd.c"
        var $302=HEAP[$301]; //@line 767 "tcd.c"
        var $303=HEAP[$levelno]; //@line 767 "tcd.c"
        var $304=_int_ceildivpow274($302, $303); //@line 767 "tcd.c"
        var $305=HEAP[$band]; //@line 767 "tcd.c"
        var $306=CHECK_OVERFLOW(($305+8)&4294967295, 32); //@line 767 "tcd.c"
        HEAP[$306]=$304; //@line 767 "tcd.c"
        var $307=HEAP[$tilec]; //@line 768 "tcd.c"
        var $308=CHECK_OVERFLOW(($307+12)&4294967295, 32); //@line 768 "tcd.c"
        var $309=HEAP[$308]; //@line 768 "tcd.c"
        var $310=HEAP[$levelno]; //@line 768 "tcd.c"
        var $311=_int_ceildivpow274($309, $310); //@line 768 "tcd.c"
        var $312=HEAP[$band]; //@line 768 "tcd.c"
        var $313=CHECK_OVERFLOW(($312+12)&4294967295, 32); //@line 768 "tcd.c"
        HEAP[$313]=$311; //@line 768 "tcd.c"
        __label__ = 31; break; //@line 768 "tcd.c"
      case 30: // $bb30
        var $314=HEAP[$levelno]; //@line 771 "tcd.c"
        var $315=CHECK_OVERFLOW((($314) + 1)&4294967295, 32); //@line 771 "tcd.c"
        var $316=HEAP[$tilec]; //@line 771 "tcd.c"
        var $317=CHECK_OVERFLOW(($316)&4294967295, 32); //@line 771 "tcd.c"
        var $318=HEAP[$317]; //@line 771 "tcd.c"
        var $319=HEAP[$x0b]; //@line 771 "tcd.c"
        var $320=HEAP[$levelno]; //@line 771 "tcd.c"
        var $321=($319) << ($320); //@line 771 "tcd.c"
        var $322=CHECK_OVERFLOW((($318) - ($321))&4294967295, 32); //@line 771 "tcd.c"
        var $323=_int_ceildivpow274($322, $315); //@line 771 "tcd.c"
        var $324=HEAP[$band]; //@line 771 "tcd.c"
        var $325=CHECK_OVERFLOW(($324)&4294967295, 32); //@line 771 "tcd.c"
        HEAP[$325]=$323; //@line 771 "tcd.c"
        var $326=HEAP[$levelno]; //@line 772 "tcd.c"
        var $327=CHECK_OVERFLOW((($326) + 1)&4294967295, 32); //@line 772 "tcd.c"
        var $328=HEAP[$tilec]; //@line 772 "tcd.c"
        var $329=CHECK_OVERFLOW(($328+4)&4294967295, 32); //@line 772 "tcd.c"
        var $330=HEAP[$329]; //@line 772 "tcd.c"
        var $331=HEAP[$y0b]; //@line 772 "tcd.c"
        var $332=HEAP[$levelno]; //@line 772 "tcd.c"
        var $333=($331) << ($332); //@line 772 "tcd.c"
        var $334=CHECK_OVERFLOW((($330) - ($333))&4294967295, 32); //@line 772 "tcd.c"
        var $335=_int_ceildivpow274($334, $327); //@line 772 "tcd.c"
        var $336=HEAP[$band]; //@line 772 "tcd.c"
        var $337=CHECK_OVERFLOW(($336+4)&4294967295, 32); //@line 772 "tcd.c"
        HEAP[$337]=$335; //@line 772 "tcd.c"
        var $338=HEAP[$levelno]; //@line 773 "tcd.c"
        var $339=CHECK_OVERFLOW((($338) + 1)&4294967295, 32); //@line 773 "tcd.c"
        var $340=HEAP[$tilec]; //@line 773 "tcd.c"
        var $341=CHECK_OVERFLOW(($340+8)&4294967295, 32); //@line 773 "tcd.c"
        var $342=HEAP[$341]; //@line 773 "tcd.c"
        var $343=HEAP[$x0b]; //@line 773 "tcd.c"
        var $344=HEAP[$levelno]; //@line 773 "tcd.c"
        var $345=($343) << ($344); //@line 773 "tcd.c"
        var $346=CHECK_OVERFLOW((($342) - ($345))&4294967295, 32); //@line 773 "tcd.c"
        var $347=_int_ceildivpow274($346, $339); //@line 773 "tcd.c"
        var $348=HEAP[$band]; //@line 773 "tcd.c"
        var $349=CHECK_OVERFLOW(($348+8)&4294967295, 32); //@line 773 "tcd.c"
        HEAP[$349]=$347; //@line 773 "tcd.c"
        var $350=HEAP[$levelno]; //@line 774 "tcd.c"
        var $351=CHECK_OVERFLOW((($350) + 1)&4294967295, 32); //@line 774 "tcd.c"
        var $352=HEAP[$tilec]; //@line 774 "tcd.c"
        var $353=CHECK_OVERFLOW(($352+12)&4294967295, 32); //@line 774 "tcd.c"
        var $354=HEAP[$353]; //@line 774 "tcd.c"
        var $355=HEAP[$y0b]; //@line 774 "tcd.c"
        var $356=HEAP[$levelno]; //@line 774 "tcd.c"
        var $357=($355) << ($356); //@line 774 "tcd.c"
        var $358=CHECK_OVERFLOW((($354) - ($357))&4294967295, 32); //@line 774 "tcd.c"
        var $359=_int_ceildivpow274($358, $351); //@line 774 "tcd.c"
        var $360=HEAP[$band]; //@line 774 "tcd.c"
        var $361=CHECK_OVERFLOW(($360+12)&4294967295, 32); //@line 774 "tcd.c"
        HEAP[$361]=$359; //@line 774 "tcd.c"
        __label__ = 31; break; //@line 774 "tcd.c"
      case 31: // $bb31
        var $362=HEAP[$resno]; //@line 777 "tcd.c"
        var $363=($362)!=0; //@line 777 "tcd.c"
        if ($363) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 777 "tcd.c"
      case 32: // $bb32
        var $364=HEAP[$resno]; //@line 777 "tcd.c"
        var $365=CHECK_OVERFLOW((($364) * 3)&4294967295, 32); //@line 777 "tcd.c"
        var $366=CHECK_OVERFLOW((($365) + -3)&4294967295, 32); //@line 777 "tcd.c"
        var $367=HEAP[$bandno]; //@line 777 "tcd.c"
        var $368=CHECK_OVERFLOW((($366) + ($367))&4294967295, 32); //@line 777 "tcd.c"
        var $369=CHECK_OVERFLOW((($368) + 1)&4294967295, 32); //@line 777 "tcd.c"
        HEAP[$iftmp_67]=$369; //@line 777 "tcd.c"
        __label__ = 34; break; //@line 777 "tcd.c"
      case 33: // $bb33
        HEAP[$iftmp_67]=0; //@line 777 "tcd.c"
        __label__ = 34; break; //@line 777 "tcd.c"
      case 34: // $bb34
        var $370=HEAP[$iftmp_67]; //@line 777 "tcd.c"
        var $371=HEAP[$tccp]; //@line 777 "tcd.c"
        var $372=CHECK_OVERFLOW(($371+28)&4294967295, 32); //@line 777 "tcd.c"
        var $373=CHECK_OVERFLOW(($372+$370*8)&4294967295, 32); //@line 777 "tcd.c"
        HEAP[$ss]=$373; //@line 777 "tcd.c"
        var $374=HEAP[$tccp]; //@line 778 "tcd.c"
        var $375=CHECK_OVERFLOW(($374+20)&4294967295, 32); //@line 778 "tcd.c"
        var $376=HEAP[$375]; //@line 778 "tcd.c"
        var $377=($376)==0; //@line 778 "tcd.c"
        if ($377) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 778 "tcd.c"
      case 35: // $bb35
        var $378=HEAP[$band]; //@line 778 "tcd.c"
        var $379=CHECK_OVERFLOW(($378+16)&4294967295, 32); //@line 778 "tcd.c"
        var $380=HEAP[$379]; //@line 778 "tcd.c"
        var $381=_dwt_getgain_real($380); //@line 778 "tcd.c"
        HEAP[$iftmp_69]=$381; //@line 778 "tcd.c"
        __label__ = 37; break; //@line 778 "tcd.c"
      case 36: // $bb36
        var $382=HEAP[$band]; //@line 778 "tcd.c"
        var $383=CHECK_OVERFLOW(($382+16)&4294967295, 32); //@line 778 "tcd.c"
        var $384=HEAP[$383]; //@line 778 "tcd.c"
        var $385=_dwt_getgain($384); //@line 778 "tcd.c"
        HEAP[$iftmp_69]=$385; //@line 778 "tcd.c"
        __label__ = 37; break; //@line 778 "tcd.c"
      case 37: // $bb37
        var $386=HEAP[$iftmp_69]; //@line 778 "tcd.c"
        HEAP[$gain]=$386; //@line 778 "tcd.c"
        var $387=HEAP[$image_addr]; //@line 779 "tcd.c"
        var $388=CHECK_OVERFLOW(($387+24)&4294967295, 32); //@line 779 "tcd.c"
        var $389=HEAP[$388]; //@line 779 "tcd.c"
        var $390=HEAP[$compno]; //@line 779 "tcd.c"
        var $391=CHECK_OVERFLOW(($389+48*$390)&4294967295, 32); //@line 779 "tcd.c"
        var $392=CHECK_OVERFLOW(($391+24)&4294967295, 32); //@line 779 "tcd.c"
        var $393=HEAP[$392]; //@line 779 "tcd.c"
        var $394=HEAP[$gain]; //@line 779 "tcd.c"
        var $395=CHECK_OVERFLOW((($393) + ($394))&4294967295, 32); //@line 779 "tcd.c"
        HEAP[$numbps]=$395; //@line 779 "tcd.c"
        var $396=HEAP[$ss]; //@line 780 "tcd.c"
        var $397=CHECK_OVERFLOW(($396+4)&4294967295, 32); //@line 780 "tcd.c"
        var $398=HEAP[$397]; //@line 780 "tcd.c"
        var $399=($398); //@line 780 "tcd.c"
        var $400=($399) / 2048; //@line 780 "tcd.c"
        var $401=($400) + 1; //@line 780 "tcd.c"
        var $402=HEAP[$ss]; //@line 780 "tcd.c"
        var $403=CHECK_OVERFLOW(($402)&4294967295, 32); //@line 780 "tcd.c"
        var $404=HEAP[$403]; //@line 780 "tcd.c"
        var $405=HEAP[$numbps]; //@line 780 "tcd.c"
        var $406=CHECK_OVERFLOW((($405) - ($404))&4294967295, 32); //@line 780 "tcd.c"
        var $407=($406); //@line 780 "tcd.c"
        var $408=_llvm_pow_f64(2, $407); //@line 780 "tcd.c"
        var $409=($401) * ($408); //@line 780 "tcd.c"
        var $410=($409) * 0.5; //@line 780 "tcd.c"
        var $411=($410); //@line 780 "tcd.c"
        var $412=HEAP[$band]; //@line 780 "tcd.c"
        var $413=CHECK_OVERFLOW(($412+28)&4294967295, 32); //@line 780 "tcd.c"
        HEAP[$413]=$411; //@line 780 "tcd.c"
        var $414=HEAP[$ss]; //@line 781 "tcd.c"
        var $415=CHECK_OVERFLOW(($414)&4294967295, 32); //@line 781 "tcd.c"
        var $416=HEAP[$415]; //@line 781 "tcd.c"
        var $417=HEAP[$tccp]; //@line 781 "tcd.c"
        var $418=CHECK_OVERFLOW(($417+804)&4294967295, 32); //@line 781 "tcd.c"
        var $419=HEAP[$418]; //@line 781 "tcd.c"
        var $420=CHECK_OVERFLOW((($416) + ($419))&4294967295, 32); //@line 781 "tcd.c"
        var $421=CHECK_OVERFLOW((($420) - 1)&4294967295, 32); //@line 781 "tcd.c"
        var $422=HEAP[$band]; //@line 781 "tcd.c"
        var $423=CHECK_OVERFLOW(($422+24)&4294967295, 32); //@line 781 "tcd.c"
        HEAP[$423]=$421; //@line 781 "tcd.c"
        var $424=HEAP[$res]; //@line 783 "tcd.c"
        var $425=CHECK_OVERFLOW(($424+16)&4294967295, 32); //@line 783 "tcd.c"
        var $426=HEAP[$425]; //@line 783 "tcd.c"
        var $427=HEAP[$res]; //@line 783 "tcd.c"
        var $428=CHECK_OVERFLOW(($427+20)&4294967295, 32); //@line 783 "tcd.c"
        var $429=HEAP[$428]; //@line 783 "tcd.c"
        var $430=CHECK_OVERFLOW((($426) * ($429))&4294967295, 32); //@line 783 "tcd.c"
        var $431=CHECK_OVERFLOW((($430) * 36)&4294967295, 32); //@line 783 "tcd.c"
        var $432=_malloc($431); //@line 783 "tcd.c"
        var $433=$432; //@line 783 "tcd.c"
        var $434=HEAP[$band]; //@line 783 "tcd.c"
        var $435=CHECK_OVERFLOW(($434+20)&4294967295, 32); //@line 783 "tcd.c"
        HEAP[$435]=$433; //@line 783 "tcd.c"
        HEAP[$precno]=0; //@line 785 "tcd.c"
        __label__ = 38; break; //@line 785 "tcd.c"
      case 42: // $bb38
        var $436=HEAP[$res]; //@line 787 "tcd.c"
        var $437=CHECK_OVERFLOW(($436+16)&4294967295, 32); //@line 787 "tcd.c"
        var $438=HEAP[$437]; //@line 787 "tcd.c"
        var $439=HEAP[$precno]; //@line 787 "tcd.c"
        var $440=($439) % ($438); //@line 787 "tcd.c"
        var $441=HEAP[$cbgwidthexpn]; //@line 787 "tcd.c"
        var $442=($440) << ($441); //@line 787 "tcd.c"
        var $443=HEAP[$tlcbgxstart]; //@line 787 "tcd.c"
        var $444=CHECK_OVERFLOW((($442) + ($443))&4294967295, 32); //@line 787 "tcd.c"
        HEAP[$cbgxstart]=$444; //@line 787 "tcd.c"
        var $445=HEAP[$res]; //@line 788 "tcd.c"
        var $446=CHECK_OVERFLOW(($445+16)&4294967295, 32); //@line 788 "tcd.c"
        var $447=HEAP[$446]; //@line 788 "tcd.c"
        var $448=HEAP[$precno]; //@line 788 "tcd.c"
        var $449=(($448)/($447)|0); //@line 788 "tcd.c"
        var $450=HEAP[$cbgheightexpn]; //@line 788 "tcd.c"
        var $451=($449) << ($450); //@line 788 "tcd.c"
        var $452=HEAP[$tlcbgystart]; //@line 788 "tcd.c"
        var $453=CHECK_OVERFLOW((($451) + ($452))&4294967295, 32); //@line 788 "tcd.c"
        HEAP[$cbgystart]=$453; //@line 788 "tcd.c"
        var $454=HEAP[$cbgwidthexpn]; //@line 789 "tcd.c"
        var $455=1 << ($454); //@line 789 "tcd.c"
        var $456=HEAP[$cbgxstart]; //@line 789 "tcd.c"
        var $457=CHECK_OVERFLOW((($455) + ($456))&4294967295, 32); //@line 789 "tcd.c"
        HEAP[$cbgxend]=$457; //@line 789 "tcd.c"
        var $458=HEAP[$cbgheightexpn]; //@line 790 "tcd.c"
        var $459=1 << ($458); //@line 790 "tcd.c"
        var $460=HEAP[$cbgystart]; //@line 790 "tcd.c"
        var $461=CHECK_OVERFLOW((($459) + ($460))&4294967295, 32); //@line 790 "tcd.c"
        HEAP[$cbgyend]=$461; //@line 790 "tcd.c"
        var $462=HEAP[$band]; //@line 792 "tcd.c"
        var $463=CHECK_OVERFLOW(($462+20)&4294967295, 32); //@line 792 "tcd.c"
        var $464=HEAP[$463]; //@line 792 "tcd.c"
        var $465=HEAP[$precno]; //@line 792 "tcd.c"
        var $466=CHECK_OVERFLOW(($464+36*$465)&4294967295, 32); //@line 792 "tcd.c"
        HEAP[$prc]=$466; //@line 792 "tcd.c"
        var $467=HEAP[$band]; //@line 794 "tcd.c"
        var $468=CHECK_OVERFLOW(($467)&4294967295, 32); //@line 794 "tcd.c"
        var $469=HEAP[$468]; //@line 794 "tcd.c"
        var $470=HEAP[$cbgxstart]; //@line 794 "tcd.c"
        var $471=_int_max71($470, $469); //@line 794 "tcd.c"
        var $472=HEAP[$prc]; //@line 794 "tcd.c"
        var $473=CHECK_OVERFLOW(($472)&4294967295, 32); //@line 794 "tcd.c"
        HEAP[$473]=$471; //@line 794 "tcd.c"
        var $474=HEAP[$band]; //@line 795 "tcd.c"
        var $475=CHECK_OVERFLOW(($474+4)&4294967295, 32); //@line 795 "tcd.c"
        var $476=HEAP[$475]; //@line 795 "tcd.c"
        var $477=HEAP[$cbgystart]; //@line 795 "tcd.c"
        var $478=_int_max71($477, $476); //@line 795 "tcd.c"
        var $479=HEAP[$prc]; //@line 795 "tcd.c"
        var $480=CHECK_OVERFLOW(($479+4)&4294967295, 32); //@line 795 "tcd.c"
        HEAP[$480]=$478; //@line 795 "tcd.c"
        var $481=HEAP[$band]; //@line 796 "tcd.c"
        var $482=CHECK_OVERFLOW(($481+8)&4294967295, 32); //@line 796 "tcd.c"
        var $483=HEAP[$482]; //@line 796 "tcd.c"
        var $484=HEAP[$cbgxend]; //@line 796 "tcd.c"
        var $485=_int_min72($484, $483); //@line 796 "tcd.c"
        var $486=HEAP[$prc]; //@line 796 "tcd.c"
        var $487=CHECK_OVERFLOW(($486+8)&4294967295, 32); //@line 796 "tcd.c"
        HEAP[$487]=$485; //@line 796 "tcd.c"
        var $488=HEAP[$band]; //@line 797 "tcd.c"
        var $489=CHECK_OVERFLOW(($488+12)&4294967295, 32); //@line 797 "tcd.c"
        var $490=HEAP[$489]; //@line 797 "tcd.c"
        var $491=HEAP[$cbgyend]; //@line 797 "tcd.c"
        var $492=_int_min72($491, $490); //@line 797 "tcd.c"
        var $493=HEAP[$prc]; //@line 797 "tcd.c"
        var $494=CHECK_OVERFLOW(($493+12)&4294967295, 32); //@line 797 "tcd.c"
        HEAP[$494]=$492; //@line 797 "tcd.c"
        var $495=HEAP[$prc]; //@line 799 "tcd.c"
        var $496=CHECK_OVERFLOW(($495)&4294967295, 32); //@line 799 "tcd.c"
        var $497=HEAP[$496]; //@line 799 "tcd.c"
        var $498=HEAP[$cblkwidthexpn]; //@line 799 "tcd.c"
        var $499=_int_floordivpow275($497, $498); //@line 799 "tcd.c"
        var $500=HEAP[$cblkwidthexpn]; //@line 799 "tcd.c"
        var $501=($499) << ($500); //@line 799 "tcd.c"
        HEAP[$tlcblkxstart]=$501; //@line 799 "tcd.c"
        var $502=HEAP[$prc]; //@line 800 "tcd.c"
        var $503=CHECK_OVERFLOW(($502+4)&4294967295, 32); //@line 800 "tcd.c"
        var $504=HEAP[$503]; //@line 800 "tcd.c"
        var $505=HEAP[$cblkheightexpn]; //@line 800 "tcd.c"
        var $506=_int_floordivpow275($504, $505); //@line 800 "tcd.c"
        var $507=HEAP[$cblkheightexpn]; //@line 800 "tcd.c"
        var $508=($506) << ($507); //@line 800 "tcd.c"
        HEAP[$tlcblkystart]=$508; //@line 800 "tcd.c"
        var $509=HEAP[$prc]; //@line 801 "tcd.c"
        var $510=CHECK_OVERFLOW(($509+8)&4294967295, 32); //@line 801 "tcd.c"
        var $511=HEAP[$510]; //@line 801 "tcd.c"
        var $512=HEAP[$cblkwidthexpn]; //@line 801 "tcd.c"
        var $513=_int_ceildivpow274($511, $512); //@line 801 "tcd.c"
        var $514=HEAP[$cblkwidthexpn]; //@line 801 "tcd.c"
        var $515=($513) << ($514); //@line 801 "tcd.c"
        HEAP[$brcblkxend]=$515; //@line 801 "tcd.c"
        var $516=HEAP[$prc]; //@line 802 "tcd.c"
        var $517=CHECK_OVERFLOW(($516+12)&4294967295, 32); //@line 802 "tcd.c"
        var $518=HEAP[$517]; //@line 802 "tcd.c"
        var $519=HEAP[$cblkheightexpn]; //@line 802 "tcd.c"
        var $520=_int_ceildivpow274($518, $519); //@line 802 "tcd.c"
        var $521=HEAP[$cblkheightexpn]; //@line 802 "tcd.c"
        var $522=($520) << ($521); //@line 802 "tcd.c"
        HEAP[$brcblkyend]=$522; //@line 802 "tcd.c"
        var $523=HEAP[$brcblkxend]; //@line 803 "tcd.c"
        var $524=HEAP[$tlcblkxstart]; //@line 803 "tcd.c"
        var $525=CHECK_OVERFLOW((($523) - ($524))&4294967295, 32); //@line 803 "tcd.c"
        var $526=HEAP[$cblkwidthexpn]; //@line 803 "tcd.c"
        var $527=($525) >> ($526); //@line 803 "tcd.c"
        var $528=HEAP[$prc]; //@line 803 "tcd.c"
        var $529=CHECK_OVERFLOW(($528+16)&4294967295, 32); //@line 803 "tcd.c"
        HEAP[$529]=$527; //@line 803 "tcd.c"
        var $530=HEAP[$brcblkyend]; //@line 804 "tcd.c"
        var $531=HEAP[$tlcblkystart]; //@line 804 "tcd.c"
        var $532=CHECK_OVERFLOW((($530) - ($531))&4294967295, 32); //@line 804 "tcd.c"
        var $533=HEAP[$cblkheightexpn]; //@line 804 "tcd.c"
        var $534=($532) >> ($533); //@line 804 "tcd.c"
        var $535=HEAP[$prc]; //@line 804 "tcd.c"
        var $536=CHECK_OVERFLOW(($535+20)&4294967295, 32); //@line 804 "tcd.c"
        HEAP[$536]=$534; //@line 804 "tcd.c"
        var $537=HEAP[$prc]; //@line 806 "tcd.c"
        var $538=CHECK_OVERFLOW(($537+16)&4294967295, 32); //@line 806 "tcd.c"
        var $539=HEAP[$538]; //@line 806 "tcd.c"
        var $540=HEAP[$prc]; //@line 806 "tcd.c"
        var $541=CHECK_OVERFLOW(($540+20)&4294967295, 32); //@line 806 "tcd.c"
        var $542=HEAP[$541]; //@line 806 "tcd.c"
        var $543=CHECK_OVERFLOW((($539) * ($542))&4294967295, 32); //@line 806 "tcd.c"
        var $544=CHECK_OVERFLOW((($543) * 44)&4294967295, 32); //@line 806 "tcd.c"
        var $545=_malloc($544); //@line 806 "tcd.c"
        var $546=$545; //@line 806 "tcd.c"
        var $547=HEAP[$prc]; //@line 806 "tcd.c"
        var $548=CHECK_OVERFLOW(($547+24)&4294967295, 32); //@line 806 "tcd.c"
        var $549=CHECK_OVERFLOW(($548)&4294967295, 32); //@line 806 "tcd.c"
        var $550=$549; //@line 806 "tcd.c"
        HEAP[$550]=$546; //@line 806 "tcd.c"
        var $551=HEAP[$prc]; //@line 808 "tcd.c"
        var $552=CHECK_OVERFLOW(($551+20)&4294967295, 32); //@line 808 "tcd.c"
        var $553=HEAP[$552]; //@line 808 "tcd.c"
        var $554=HEAP[$prc]; //@line 808 "tcd.c"
        var $555=CHECK_OVERFLOW(($554+16)&4294967295, 32); //@line 808 "tcd.c"
        var $556=HEAP[$555]; //@line 808 "tcd.c"
        var $557=_tgt_create($556, $553); //@line 808 "tcd.c"
        var $558=HEAP[$prc]; //@line 808 "tcd.c"
        var $559=CHECK_OVERFLOW(($558+28)&4294967295, 32); //@line 808 "tcd.c"
        HEAP[$559]=$557; //@line 808 "tcd.c"
        var $560=HEAP[$prc]; //@line 809 "tcd.c"
        var $561=CHECK_OVERFLOW(($560+20)&4294967295, 32); //@line 809 "tcd.c"
        var $562=HEAP[$561]; //@line 809 "tcd.c"
        var $563=HEAP[$prc]; //@line 809 "tcd.c"
        var $564=CHECK_OVERFLOW(($563+16)&4294967295, 32); //@line 809 "tcd.c"
        var $565=HEAP[$564]; //@line 809 "tcd.c"
        var $566=_tgt_create($565, $562); //@line 809 "tcd.c"
        var $567=HEAP[$prc]; //@line 809 "tcd.c"
        var $568=CHECK_OVERFLOW(($567+32)&4294967295, 32); //@line 809 "tcd.c"
        HEAP[$568]=$566; //@line 809 "tcd.c"
        HEAP[$cblkno]=0; //@line 811 "tcd.c"
        __label__ = 39; break; //@line 811 "tcd.c"
      case 40: // $bb39
        var $569=HEAP[$prc]; //@line 812 "tcd.c"
        var $570=CHECK_OVERFLOW(($569+16)&4294967295, 32); //@line 812 "tcd.c"
        var $571=HEAP[$570]; //@line 812 "tcd.c"
        var $572=HEAP[$cblkno]; //@line 812 "tcd.c"
        var $573=($572) % ($571); //@line 812 "tcd.c"
        var $574=HEAP[$cblkwidthexpn]; //@line 812 "tcd.c"
        var $575=($573) << ($574); //@line 812 "tcd.c"
        var $576=HEAP[$tlcblkxstart]; //@line 812 "tcd.c"
        var $577=CHECK_OVERFLOW((($575) + ($576))&4294967295, 32); //@line 812 "tcd.c"
        HEAP[$cblkxstart]=$577; //@line 812 "tcd.c"
        var $578=HEAP[$prc]; //@line 813 "tcd.c"
        var $579=CHECK_OVERFLOW(($578+16)&4294967295, 32); //@line 813 "tcd.c"
        var $580=HEAP[$579]; //@line 813 "tcd.c"
        var $581=HEAP[$cblkno]; //@line 813 "tcd.c"
        var $582=(($581)/($580)|0); //@line 813 "tcd.c"
        var $583=HEAP[$cblkheightexpn]; //@line 813 "tcd.c"
        var $584=($582) << ($583); //@line 813 "tcd.c"
        var $585=HEAP[$tlcblkystart]; //@line 813 "tcd.c"
        var $586=CHECK_OVERFLOW((($584) + ($585))&4294967295, 32); //@line 813 "tcd.c"
        HEAP[$cblkystart]=$586; //@line 813 "tcd.c"
        var $587=HEAP[$cblkwidthexpn]; //@line 814 "tcd.c"
        var $588=1 << ($587); //@line 814 "tcd.c"
        var $589=HEAP[$cblkxstart]; //@line 814 "tcd.c"
        var $590=CHECK_OVERFLOW((($588) + ($589))&4294967295, 32); //@line 814 "tcd.c"
        HEAP[$cblkxend]=$590; //@line 814 "tcd.c"
        var $591=HEAP[$cblkheightexpn]; //@line 815 "tcd.c"
        var $592=1 << ($591); //@line 815 "tcd.c"
        var $593=HEAP[$cblkystart]; //@line 815 "tcd.c"
        var $594=CHECK_OVERFLOW((($592) + ($593))&4294967295, 32); //@line 815 "tcd.c"
        HEAP[$cblkyend]=$594; //@line 815 "tcd.c"
        var $595=HEAP[$prc]; //@line 817 "tcd.c"
        var $596=CHECK_OVERFLOW(($595+24)&4294967295, 32); //@line 817 "tcd.c"
        var $597=CHECK_OVERFLOW(($596)&4294967295, 32); //@line 817 "tcd.c"
        var $598=$597; //@line 817 "tcd.c"
        var $599=HEAP[$598]; //@line 817 "tcd.c"
        var $600=HEAP[$cblkno]; //@line 817 "tcd.c"
        var $601=CHECK_OVERFLOW(($599+44*$600)&4294967295, 32); //@line 817 "tcd.c"
        HEAP[$cblk]=$601; //@line 817 "tcd.c"
        var $602=HEAP[$cblk]; //@line 818 "tcd.c"
        var $603=CHECK_OVERFLOW(($602)&4294967295, 32); //@line 818 "tcd.c"
        HEAP[$603]=0; //@line 818 "tcd.c"
        var $604=HEAP[$cblk]; //@line 819 "tcd.c"
        var $605=CHECK_OVERFLOW(($604+4)&4294967295, 32); //@line 819 "tcd.c"
        HEAP[$605]=0; //@line 819 "tcd.c"
        var $606=HEAP[$prc]; //@line 821 "tcd.c"
        var $607=CHECK_OVERFLOW(($606)&4294967295, 32); //@line 821 "tcd.c"
        var $608=HEAP[$607]; //@line 821 "tcd.c"
        var $609=HEAP[$cblkxstart]; //@line 821 "tcd.c"
        var $610=_int_max71($609, $608); //@line 821 "tcd.c"
        var $611=HEAP[$cblk]; //@line 821 "tcd.c"
        var $612=CHECK_OVERFLOW(($611+8)&4294967295, 32); //@line 821 "tcd.c"
        HEAP[$612]=$610; //@line 821 "tcd.c"
        var $613=HEAP[$prc]; //@line 822 "tcd.c"
        var $614=CHECK_OVERFLOW(($613+4)&4294967295, 32); //@line 822 "tcd.c"
        var $615=HEAP[$614]; //@line 822 "tcd.c"
        var $616=HEAP[$cblkystart]; //@line 822 "tcd.c"
        var $617=_int_max71($616, $615); //@line 822 "tcd.c"
        var $618=HEAP[$cblk]; //@line 822 "tcd.c"
        var $619=CHECK_OVERFLOW(($618+12)&4294967295, 32); //@line 822 "tcd.c"
        HEAP[$619]=$617; //@line 822 "tcd.c"
        var $620=HEAP[$prc]; //@line 823 "tcd.c"
        var $621=CHECK_OVERFLOW(($620+8)&4294967295, 32); //@line 823 "tcd.c"
        var $622=HEAP[$621]; //@line 823 "tcd.c"
        var $623=HEAP[$cblkxend]; //@line 823 "tcd.c"
        var $624=_int_min72($623, $622); //@line 823 "tcd.c"
        var $625=HEAP[$cblk]; //@line 823 "tcd.c"
        var $626=CHECK_OVERFLOW(($625+16)&4294967295, 32); //@line 823 "tcd.c"
        HEAP[$626]=$624; //@line 823 "tcd.c"
        var $627=HEAP[$prc]; //@line 824 "tcd.c"
        var $628=CHECK_OVERFLOW(($627+12)&4294967295, 32); //@line 824 "tcd.c"
        var $629=HEAP[$628]; //@line 824 "tcd.c"
        var $630=HEAP[$cblkyend]; //@line 824 "tcd.c"
        var $631=_int_min72($630, $629); //@line 824 "tcd.c"
        var $632=HEAP[$cblk]; //@line 824 "tcd.c"
        var $633=CHECK_OVERFLOW(($632+20)&4294967295, 32); //@line 824 "tcd.c"
        HEAP[$633]=$631; //@line 824 "tcd.c"
        var $634=HEAP[$cblk]; //@line 825 "tcd.c"
        var $635=CHECK_OVERFLOW(($634+40)&4294967295, 32); //@line 825 "tcd.c"
        HEAP[$635]=0; //@line 825 "tcd.c"
        var $636=HEAP[$cblk]; //@line 826 "tcd.c"
        var $637=CHECK_OVERFLOW(($636+24)&4294967295, 32); //@line 826 "tcd.c"
        HEAP[$637]=0; //@line 826 "tcd.c"
        var $638=HEAP[$cblkno]; //@line 811 "tcd.c"
        var $639=CHECK_OVERFLOW((($638) + 1)&4294967295, 32); //@line 811 "tcd.c"
        HEAP[$cblkno]=$639; //@line 811 "tcd.c"
        __label__ = 39; break; //@line 811 "tcd.c"
      case 39: // $bb40
        var $640=HEAP[$prc]; //@line 811 "tcd.c"
        var $641=CHECK_OVERFLOW(($640+16)&4294967295, 32); //@line 811 "tcd.c"
        var $642=HEAP[$641]; //@line 811 "tcd.c"
        var $643=HEAP[$prc]; //@line 811 "tcd.c"
        var $644=CHECK_OVERFLOW(($643+20)&4294967295, 32); //@line 811 "tcd.c"
        var $645=HEAP[$644]; //@line 811 "tcd.c"
        var $646=CHECK_OVERFLOW((($642) * ($645))&4294967295, 32); //@line 811 "tcd.c"
        var $647=HEAP[$cblkno]; //@line 811 "tcd.c"
        var $648=($646) > ($647); //@line 811 "tcd.c"
        if ($648) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 811 "tcd.c"
      case 41: // $bb41
        var $649=HEAP[$precno]; //@line 785 "tcd.c"
        var $650=CHECK_OVERFLOW((($649) + 1)&4294967295, 32); //@line 785 "tcd.c"
        HEAP[$precno]=$650; //@line 785 "tcd.c"
        __label__ = 38; break; //@line 785 "tcd.c"
      case 38: // $bb42
        var $651=HEAP[$res]; //@line 785 "tcd.c"
        var $652=CHECK_OVERFLOW(($651+16)&4294967295, 32); //@line 785 "tcd.c"
        var $653=HEAP[$652]; //@line 785 "tcd.c"
        var $654=HEAP[$res]; //@line 785 "tcd.c"
        var $655=CHECK_OVERFLOW(($654+20)&4294967295, 32); //@line 785 "tcd.c"
        var $656=HEAP[$655]; //@line 785 "tcd.c"
        var $657=CHECK_OVERFLOW((($653) * ($656))&4294967295, 32); //@line 785 "tcd.c"
        var $658=HEAP[$precno]; //@line 785 "tcd.c"
        var $659=($657) > ($658); //@line 785 "tcd.c"
        if ($659) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 785 "tcd.c"
      case 43: // $bb43
        var $660=HEAP[$bandno]; //@line 753 "tcd.c"
        var $661=CHECK_OVERFLOW((($660) + 1)&4294967295, 32); //@line 753 "tcd.c"
        HEAP[$bandno]=$661; //@line 753 "tcd.c"
        __label__ = 17; break; //@line 753 "tcd.c"
      case 17: // $bb44
        var $662=HEAP[$res]; //@line 753 "tcd.c"
        var $663=CHECK_OVERFLOW(($662+24)&4294967295, 32); //@line 753 "tcd.c"
        var $664=HEAP[$663]; //@line 753 "tcd.c"
        var $665=HEAP[$bandno]; //@line 753 "tcd.c"
        var $666=($664) > ($665); //@line 753 "tcd.c"
        if ($666) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 753 "tcd.c"
      case 45: // $bb45
        var $667=HEAP[$resno]; //@line 699 "tcd.c"
        var $668=CHECK_OVERFLOW((($667) + 1)&4294967295, 32); //@line 699 "tcd.c"
        HEAP[$resno]=$668; //@line 699 "tcd.c"
        __label__ = 1; break; //@line 699 "tcd.c"
      case 1: // $bb46
        var $669=HEAP[$tilec]; //@line 699 "tcd.c"
        var $670=CHECK_OVERFLOW(($669+16)&4294967295, 32); //@line 699 "tcd.c"
        var $671=HEAP[$670]; //@line 699 "tcd.c"
        var $672=HEAP[$resno]; //@line 699 "tcd.c"
        var $673=($671) > ($672); //@line 699 "tcd.c"
        if ($673) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 699 "tcd.c"
      case 47: // $bb47
        var $674=HEAP[$compno]; //@line 686 "tcd.c"
        var $675=CHECK_OVERFLOW((($674) + 1)&4294967295, 32); //@line 686 "tcd.c"
        HEAP[$compno]=$675; //@line 686 "tcd.c"
        __label__ = 0; break; //@line 686 "tcd.c"
      case 0: // $bb48
        var $676=HEAP[$tile]; //@line 686 "tcd.c"
        var $677=CHECK_OVERFLOW(($676+16)&4294967295, 32); //@line 686 "tcd.c"
        var $678=HEAP[$677]; //@line 686 "tcd.c"
        var $679=HEAP[$compno]; //@line 686 "tcd.c"
        var $680=($678) > ($679); //@line 686 "tcd.c"
        if ($680) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 686 "tcd.c"
      case 49: // $bb49
        __label__ = 50; break; //@line 833 "tcd.c"
      case 50: // $return
        STACKTOP = __stackBase__;
        return; //@line 833 "tcd.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tcd_makelayer_fixed($tcd, $layno, $final) {
    var __stackBase__  = STACKTOP; STACKTOP += 1292; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 1292);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tcd_addr=__stackBase__;
        var $layno_addr=__stackBase__+4;
        var $final_addr=__stackBase__+8;
        var $compno=__stackBase__+12;
        var $resno=__stackBase__+16;
        var $bandno=__stackBase__+20;
        var $precno=__stackBase__+24;
        var $cblkno=__stackBase__+28;
        var $value=__stackBase__+32;
        var $matrice=__stackBase__+36;
        var $i=__stackBase__+1236;
        var $j=__stackBase__+1240;
        var $k=__stackBase__+1244;
        var $cp=__stackBase__+1248;
        var $tcd_tile=__stackBase__+1252;
        var $tcd_tcp=__stackBase__+1256;
        var $tilec=__stackBase__+1260;
        var $res=__stackBase__+1264;
        var $band=__stackBase__+1268;
        var $prc=__stackBase__+1272;
        var $cblk=__stackBase__+1276;
        var $layer=__stackBase__+1280;
        var $n=__stackBase__+1284;
        var $imsb=__stackBase__+1288;
        var $_alloca_point_=0;
        HEAP[$tcd_addr]=$tcd;
        HEAP[$layno_addr]=$layno;
        HEAP[$final_addr]=$final;
        var $0=HEAP[$tcd_addr]; //@line 841 "tcd.c"
        var $1=CHECK_OVERFLOW(($0+32)&4294967295, 32); //@line 841 "tcd.c"
        var $2=HEAP[$1]; //@line 841 "tcd.c"
        HEAP[$cp]=$2; //@line 841 "tcd.c"
        var $3=HEAP[$tcd_addr]; //@line 842 "tcd.c"
        var $4=CHECK_OVERFLOW(($3+36)&4294967295, 32); //@line 842 "tcd.c"
        var $5=HEAP[$4]; //@line 842 "tcd.c"
        HEAP[$tcd_tile]=$5; //@line 842 "tcd.c"
        var $6=HEAP[$tcd_addr]; //@line 843 "tcd.c"
        var $7=CHECK_OVERFLOW(($6+40)&4294967295, 32); //@line 843 "tcd.c"
        var $8=HEAP[$7]; //@line 843 "tcd.c"
        HEAP[$tcd_tcp]=$8; //@line 843 "tcd.c"
        HEAP[$compno]=0; //@line 847 "tcd.c"
        __label__ = 0; break; //@line 847 "tcd.c"
      case 44: // $bb
        var $9=HEAP[$tcd_tile]; //@line 848 "tcd.c"
        var $10=CHECK_OVERFLOW(($9+20)&4294967295, 32); //@line 848 "tcd.c"
        var $11=HEAP[$10]; //@line 848 "tcd.c"
        var $12=HEAP[$compno]; //@line 848 "tcd.c"
        var $13=CHECK_OVERFLOW(($11+32*$12)&4294967295, 32); //@line 848 "tcd.c"
        HEAP[$tilec]=$13; //@line 848 "tcd.c"
        HEAP[$i]=0; //@line 849 "tcd.c"
        __label__ = 1; break; //@line 849 "tcd.c"
      case 8: // $bb1
        HEAP[$j]=0; //@line 850 "tcd.c"
        __label__ = 2; break; //@line 850 "tcd.c"
      case 6: // $bb2
        HEAP[$k]=0; //@line 851 "tcd.c"
        __label__ = 3; break; //@line 851 "tcd.c"
      case 4: // $bb3
        var $14=HEAP[$i]; //@line 852 "tcd.c"
        var $15=HEAP[$j]; //@line 852 "tcd.c"
        var $16=HEAP[$k]; //@line 852 "tcd.c"
        var $17=HEAP[$cp]; //@line 852 "tcd.c"
        var $18=CHECK_OVERFLOW(($17+112)&4294967295, 32); //@line 852 "tcd.c"
        var $19=HEAP[$18]; //@line 852 "tcd.c"
        var $20=HEAP[$tilec]; //@line 852 "tcd.c"
        var $21=CHECK_OVERFLOW(($20+16)&4294967295, 32); //@line 852 "tcd.c"
        var $22=HEAP[$21]; //@line 852 "tcd.c"
        var $23=HEAP[$i]; //@line 852 "tcd.c"
        var $24=CHECK_OVERFLOW((($22) * ($23))&4294967295, 32); //@line 852 "tcd.c"
        var $25=HEAP[$j]; //@line 852 "tcd.c"
        var $26=CHECK_OVERFLOW((($24) + ($25))&4294967295, 32); //@line 852 "tcd.c"
        var $27=CHECK_OVERFLOW((($26) * 3)&4294967295, 32); //@line 852 "tcd.c"
        var $28=HEAP[$k]; //@line 852 "tcd.c"
        var $29=CHECK_OVERFLOW((($27) + ($28))&4294967295, 32); //@line 852 "tcd.c"
        var $30=CHECK_OVERFLOW(($19+4*$29)&4294967295, 32); //@line 852 "tcd.c"
        var $31=HEAP[$30]; //@line 852 "tcd.c"
        var $32=($31); //@line 852 "tcd.c"
        var $33=HEAP[$tcd_addr]; //@line 852 "tcd.c"
        var $34=CHECK_OVERFLOW(($33+28)&4294967295, 32); //@line 852 "tcd.c"
        var $35=HEAP[$34]; //@line 852 "tcd.c"
        var $36=CHECK_OVERFLOW(($35+24)&4294967295, 32); //@line 852 "tcd.c"
        var $37=HEAP[$36]; //@line 852 "tcd.c"
        var $38=HEAP[$compno]; //@line 852 "tcd.c"
        var $39=CHECK_OVERFLOW(($37+48*$38)&4294967295, 32); //@line 852 "tcd.c"
        var $40=CHECK_OVERFLOW(($39+24)&4294967295, 32); //@line 852 "tcd.c"
        var $41=HEAP[$40]; //@line 852 "tcd.c"
        var $42=($41); //@line 852 "tcd.c"
        var $43=($42) / 16; //@line 852 "tcd.c"
        var $44=($43); //@line 852 "tcd.c"
        var $45=($32) * ($44); //@line 852 "tcd.c"
        var $46=(($45)|0); //@line 852 "tcd.c"
        var $47=CHECK_OVERFLOW(($matrice+$14*120)&4294967295, 32); //@line 852 "tcd.c"
        var $48=CHECK_OVERFLOW(($47+$15*12)&4294967295, 32); //@line 852 "tcd.c"
        var $49=CHECK_OVERFLOW(($48+$16*4)&4294967295, 32); //@line 852 "tcd.c"
        HEAP[$49]=$46; //@line 852 "tcd.c"
        var $50=HEAP[$k]; //@line 851 "tcd.c"
        var $51=CHECK_OVERFLOW((($50) + 1)&4294967295, 32); //@line 851 "tcd.c"
        HEAP[$k]=$51; //@line 851 "tcd.c"
        __label__ = 3; break; //@line 851 "tcd.c"
      case 3: // $bb4
        var $52=HEAP[$k]; //@line 851 "tcd.c"
        var $53=($52) <= 2; //@line 851 "tcd.c"
        if ($53) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 851 "tcd.c"
      case 5: // $bb5
        var $54=HEAP[$j]; //@line 850 "tcd.c"
        var $55=CHECK_OVERFLOW((($54) + 1)&4294967295, 32); //@line 850 "tcd.c"
        HEAP[$j]=$55; //@line 850 "tcd.c"
        __label__ = 2; break; //@line 850 "tcd.c"
      case 2: // $bb6
        var $56=HEAP[$tilec]; //@line 850 "tcd.c"
        var $57=CHECK_OVERFLOW(($56+16)&4294967295, 32); //@line 850 "tcd.c"
        var $58=HEAP[$57]; //@line 850 "tcd.c"
        var $59=HEAP[$j]; //@line 850 "tcd.c"
        var $60=($58) > ($59); //@line 850 "tcd.c"
        if ($60) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 850 "tcd.c"
      case 7: // $bb7
        var $61=HEAP[$i]; //@line 849 "tcd.c"
        var $62=CHECK_OVERFLOW((($61) + 1)&4294967295, 32); //@line 849 "tcd.c"
        HEAP[$i]=$62; //@line 849 "tcd.c"
        __label__ = 1; break; //@line 849 "tcd.c"
      case 1: // $bb8
        var $63=HEAP[$tcd_tcp]; //@line 849 "tcd.c"
        var $64=CHECK_OVERFLOW(($63+12)&4294967295, 32); //@line 849 "tcd.c"
        var $65=HEAP[$64]; //@line 849 "tcd.c"
        var $66=HEAP[$i]; //@line 849 "tcd.c"
        var $67=($65) > ($66); //@line 849 "tcd.c"
        if ($67) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 849 "tcd.c"
      case 9: // $bb9
        HEAP[$resno]=0; //@line 859 "tcd.c"
        __label__ = 10; break; //@line 859 "tcd.c"
      case 42: // $bb10
        var $68=HEAP[$tilec]; //@line 860 "tcd.c"
        var $69=CHECK_OVERFLOW(($68+20)&4294967295, 32); //@line 860 "tcd.c"
        var $70=HEAP[$69]; //@line 860 "tcd.c"
        var $71=HEAP[$resno]; //@line 860 "tcd.c"
        var $72=CHECK_OVERFLOW(($70+124*$71)&4294967295, 32); //@line 860 "tcd.c"
        HEAP[$res]=$72; //@line 860 "tcd.c"
        HEAP[$bandno]=0; //@line 861 "tcd.c"
        __label__ = 11; break; //@line 861 "tcd.c"
      case 40: // $bb11
        var $73=HEAP[$bandno]; //@line 862 "tcd.c"
        var $74=HEAP[$res]; //@line 862 "tcd.c"
        var $75=CHECK_OVERFLOW(($74+28)&4294967295, 32); //@line 862 "tcd.c"
        var $76=CHECK_OVERFLOW(($75+$73*32)&4294967295, 32); //@line 862 "tcd.c"
        HEAP[$band]=$76; //@line 862 "tcd.c"
        HEAP[$precno]=0; //@line 863 "tcd.c"
        __label__ = 12; break; //@line 863 "tcd.c"
      case 38: // $bb12
        var $77=HEAP[$band]; //@line 864 "tcd.c"
        var $78=CHECK_OVERFLOW(($77+20)&4294967295, 32); //@line 864 "tcd.c"
        var $79=HEAP[$78]; //@line 864 "tcd.c"
        var $80=HEAP[$precno]; //@line 864 "tcd.c"
        var $81=CHECK_OVERFLOW(($79+36*$80)&4294967295, 32); //@line 864 "tcd.c"
        HEAP[$prc]=$81; //@line 864 "tcd.c"
        HEAP[$cblkno]=0; //@line 865 "tcd.c"
        __label__ = 13; break; //@line 865 "tcd.c"
      case 36: // $bb13
        var $82=HEAP[$prc]; //@line 866 "tcd.c"
        var $83=CHECK_OVERFLOW(($82+24)&4294967295, 32); //@line 866 "tcd.c"
        var $84=CHECK_OVERFLOW(($83)&4294967295, 32); //@line 866 "tcd.c"
        var $85=HEAP[$84]; //@line 866 "tcd.c"
        var $86=HEAP[$cblkno]; //@line 866 "tcd.c"
        var $87=CHECK_OVERFLOW(($85+48*$86)&4294967295, 32); //@line 866 "tcd.c"
        HEAP[$cblk]=$87; //@line 866 "tcd.c"
        var $88=HEAP[$cblk]; //@line 867 "tcd.c"
        var $89=CHECK_OVERFLOW(($88+4)&4294967295, 32); //@line 867 "tcd.c"
        var $90=HEAP[$89]; //@line 867 "tcd.c"
        var $91=HEAP[$layno_addr]; //@line 867 "tcd.c"
        var $92=CHECK_OVERFLOW(($90+20*$91)&4294967295, 32); //@line 867 "tcd.c"
        HEAP[$layer]=$92; //@line 867 "tcd.c"
        var $93=HEAP[$tcd_addr]; //@line 869 "tcd.c"
        var $94=CHECK_OVERFLOW(($93+28)&4294967295, 32); //@line 869 "tcd.c"
        var $95=HEAP[$94]; //@line 869 "tcd.c"
        var $96=CHECK_OVERFLOW(($95+24)&4294967295, 32); //@line 869 "tcd.c"
        var $97=HEAP[$96]; //@line 869 "tcd.c"
        var $98=HEAP[$compno]; //@line 869 "tcd.c"
        var $99=CHECK_OVERFLOW(($97+48*$98)&4294967295, 32); //@line 869 "tcd.c"
        var $100=CHECK_OVERFLOW(($99+24)&4294967295, 32); //@line 869 "tcd.c"
        var $101=HEAP[$100]; //@line 869 "tcd.c"
        var $102=HEAP[$cblk]; //@line 869 "tcd.c"
        var $103=CHECK_OVERFLOW(($102+28)&4294967295, 32); //@line 869 "tcd.c"
        var $104=HEAP[$103]; //@line 869 "tcd.c"
        var $105=CHECK_OVERFLOW((($101) - ($104))&4294967295, 32); //@line 869 "tcd.c"
        HEAP[$imsb]=$105; //@line 869 "tcd.c"
        var $106=HEAP[$layno_addr]; //@line 871 "tcd.c"
        var $107=($106)==0; //@line 871 "tcd.c"
        if ($107) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 871 "tcd.c"
      case 14: // $bb14
        var $108=HEAP[$layno_addr]; //@line 872 "tcd.c"
        var $109=HEAP[$resno]; //@line 872 "tcd.c"
        var $110=HEAP[$bandno]; //@line 872 "tcd.c"
        var $111=CHECK_OVERFLOW(($matrice+$108*120)&4294967295, 32); //@line 872 "tcd.c"
        var $112=CHECK_OVERFLOW(($111+$109*12)&4294967295, 32); //@line 872 "tcd.c"
        var $113=CHECK_OVERFLOW(($112+$110*4)&4294967295, 32); //@line 872 "tcd.c"
        var $114=HEAP[$113]; //@line 872 "tcd.c"
        HEAP[$value]=$114; //@line 872 "tcd.c"
        var $115=HEAP[$imsb]; //@line 873 "tcd.c"
        var $116=HEAP[$value]; //@line 873 "tcd.c"
        var $117=($115) >= ($116); //@line 873 "tcd.c"
        if ($117) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 873 "tcd.c"
      case 16: // $bb15
        HEAP[$value]=0; //@line 874 "tcd.c"
        __label__ = 18; break; //@line 874 "tcd.c"
      case 17: // $bb16
        var $118=HEAP[$value]; //@line 876 "tcd.c"
        var $119=HEAP[$imsb]; //@line 876 "tcd.c"
        var $120=CHECK_OVERFLOW((($118) - ($119))&4294967295, 32); //@line 876 "tcd.c"
        HEAP[$value]=$120; //@line 876 "tcd.c"
        __label__ = 18; break; //@line 876 "tcd.c"
      case 18: // $bb17
        __label__ = 19; break; //@line 876 "tcd.c"
      case 15: // $bb18
        var $121=HEAP[$layno_addr]; //@line 879 "tcd.c"
        var $122=HEAP[$resno]; //@line 879 "tcd.c"
        var $123=HEAP[$bandno]; //@line 879 "tcd.c"
        var $124=CHECK_OVERFLOW(($matrice+$121*120)&4294967295, 32); //@line 879 "tcd.c"
        var $125=CHECK_OVERFLOW(($124+$122*12)&4294967295, 32); //@line 879 "tcd.c"
        var $126=CHECK_OVERFLOW(($125+$123*4)&4294967295, 32); //@line 879 "tcd.c"
        var $127=HEAP[$126]; //@line 879 "tcd.c"
        var $128=HEAP[$layno_addr]; //@line 879 "tcd.c"
        var $129=CHECK_OVERFLOW((($128) - 1)&4294967295, 32); //@line 879 "tcd.c"
        var $130=HEAP[$resno]; //@line 879 "tcd.c"
        var $131=HEAP[$bandno]; //@line 879 "tcd.c"
        var $132=CHECK_OVERFLOW(($matrice+$129*120)&4294967295, 32); //@line 879 "tcd.c"
        var $133=CHECK_OVERFLOW(($132+$130*12)&4294967295, 32); //@line 879 "tcd.c"
        var $134=CHECK_OVERFLOW(($133+$131*4)&4294967295, 32); //@line 879 "tcd.c"
        var $135=HEAP[$134]; //@line 879 "tcd.c"
        var $136=CHECK_OVERFLOW((($127) - ($135))&4294967295, 32); //@line 879 "tcd.c"
        HEAP[$value]=$136; //@line 879 "tcd.c"
        var $137=HEAP[$layno_addr]; //@line 880 "tcd.c"
        var $138=CHECK_OVERFLOW((($137) - 1)&4294967295, 32); //@line 880 "tcd.c"
        var $139=HEAP[$resno]; //@line 880 "tcd.c"
        var $140=HEAP[$bandno]; //@line 880 "tcd.c"
        var $141=CHECK_OVERFLOW(($matrice+$138*120)&4294967295, 32); //@line 880 "tcd.c"
        var $142=CHECK_OVERFLOW(($141+$139*12)&4294967295, 32); //@line 880 "tcd.c"
        var $143=CHECK_OVERFLOW(($142+$140*4)&4294967295, 32); //@line 880 "tcd.c"
        var $144=HEAP[$143]; //@line 880 "tcd.c"
        var $145=HEAP[$imsb]; //@line 880 "tcd.c"
        var $146=($144) <= ($145); //@line 880 "tcd.c"
        if ($146) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 880 "tcd.c"
      case 20: // $bb19
        var $147=HEAP[$layno_addr]; //@line 881 "tcd.c"
        var $148=CHECK_OVERFLOW((($147) - 1)&4294967295, 32); //@line 881 "tcd.c"
        var $149=HEAP[$resno]; //@line 881 "tcd.c"
        var $150=HEAP[$bandno]; //@line 881 "tcd.c"
        var $151=CHECK_OVERFLOW(($matrice+$148*120)&4294967295, 32); //@line 881 "tcd.c"
        var $152=CHECK_OVERFLOW(($151+$149*12)&4294967295, 32); //@line 881 "tcd.c"
        var $153=CHECK_OVERFLOW(($152+$150*4)&4294967295, 32); //@line 881 "tcd.c"
        var $154=HEAP[$153]; //@line 881 "tcd.c"
        var $155=HEAP[$imsb]; //@line 881 "tcd.c"
        var $156=CHECK_OVERFLOW((($155) - ($154))&4294967295, 32); //@line 881 "tcd.c"
        var $157=HEAP[$value]; //@line 881 "tcd.c"
        var $158=CHECK_OVERFLOW((($157) - ($156))&4294967295, 32); //@line 881 "tcd.c"
        HEAP[$value]=$158; //@line 881 "tcd.c"
        var $159=HEAP[$value]; //@line 882 "tcd.c"
        var $160=($159) < 0; //@line 882 "tcd.c"
        if ($160) { __label__ = 21; break; } else { __label__ = 19; break; } //@line 882 "tcd.c"
      case 21: // $bb20
        HEAP[$value]=0; //@line 883 "tcd.c"
        __label__ = 19; break; //@line 883 "tcd.c"
      case 19: // $bb21
        var $161=HEAP[$layno_addr]; //@line 888 "tcd.c"
        var $162=($161)==0; //@line 888 "tcd.c"
        if ($162) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 888 "tcd.c"
      case 22: // $bb22
        var $163=HEAP[$cblk]; //@line 889 "tcd.c"
        var $164=CHECK_OVERFLOW(($163+40)&4294967295, 32); //@line 889 "tcd.c"
        HEAP[$164]=0; //@line 889 "tcd.c"
        __label__ = 23; break; //@line 889 "tcd.c"
      case 23: // $bb23
        var $165=HEAP[$cblk]; //@line 892 "tcd.c"
        var $166=CHECK_OVERFLOW(($165+40)&4294967295, 32); //@line 892 "tcd.c"
        var $167=HEAP[$166]; //@line 892 "tcd.c"
        HEAP[$n]=$167; //@line 892 "tcd.c"
        var $168=HEAP[$cblk]; //@line 893 "tcd.c"
        var $169=CHECK_OVERFLOW(($168+40)&4294967295, 32); //@line 893 "tcd.c"
        var $170=HEAP[$169]; //@line 893 "tcd.c"
        var $171=($170)==0; //@line 893 "tcd.c"
        if ($171) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 893 "tcd.c"
      case 24: // $bb24
        var $172=HEAP[$value]; //@line 894 "tcd.c"
        var $173=($172)!=0; //@line 894 "tcd.c"
        if ($173) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 894 "tcd.c"
      case 26: // $bb25
        var $174=HEAP[$value]; //@line 895 "tcd.c"
        var $175=CHECK_OVERFLOW((($174) * 3)&4294967295, 32); //@line 895 "tcd.c"
        var $176=CHECK_OVERFLOW((($175) - 2)&4294967295, 32); //@line 895 "tcd.c"
        var $177=HEAP[$cblk]; //@line 895 "tcd.c"
        var $178=CHECK_OVERFLOW(($177+40)&4294967295, 32); //@line 895 "tcd.c"
        var $179=HEAP[$178]; //@line 895 "tcd.c"
        var $180=CHECK_OVERFLOW((($176) + ($179))&4294967295, 32); //@line 895 "tcd.c"
        HEAP[$n]=$180; //@line 895 "tcd.c"
        __label__ = 28; break; //@line 895 "tcd.c"
      case 27: // $bb26
        var $181=HEAP[$cblk]; //@line 897 "tcd.c"
        var $182=CHECK_OVERFLOW(($181+40)&4294967295, 32); //@line 897 "tcd.c"
        var $183=HEAP[$182]; //@line 897 "tcd.c"
        HEAP[$n]=$183; //@line 897 "tcd.c"
        __label__ = 28; break; //@line 897 "tcd.c"
      case 28: // $bb27
        __label__ = 29; break; //@line 897 "tcd.c"
      case 25: // $bb28
        var $184=HEAP[$value]; //@line 900 "tcd.c"
        var $185=CHECK_OVERFLOW((($184) * 3)&4294967295, 32); //@line 900 "tcd.c"
        var $186=HEAP[$cblk]; //@line 900 "tcd.c"
        var $187=CHECK_OVERFLOW(($186+40)&4294967295, 32); //@line 900 "tcd.c"
        var $188=HEAP[$187]; //@line 900 "tcd.c"
        var $189=CHECK_OVERFLOW((($185) + ($188))&4294967295, 32); //@line 900 "tcd.c"
        HEAP[$n]=$189; //@line 900 "tcd.c"
        __label__ = 29; break; //@line 900 "tcd.c"
      case 29: // $bb29
        var $190=HEAP[$cblk]; //@line 903 "tcd.c"
        var $191=CHECK_OVERFLOW(($190+40)&4294967295, 32); //@line 903 "tcd.c"
        var $192=HEAP[$191]; //@line 903 "tcd.c"
        var $193=HEAP[$n]; //@line 903 "tcd.c"
        var $194=CHECK_OVERFLOW((($193) - ($192))&4294967295, 32); //@line 903 "tcd.c"
        var $195=HEAP[$layer]; //@line 903 "tcd.c"
        var $196=CHECK_OVERFLOW(($195)&4294967295, 32); //@line 903 "tcd.c"
        HEAP[$196]=$194; //@line 903 "tcd.c"
        var $197=HEAP[$layer]; //@line 905 "tcd.c"
        var $198=CHECK_OVERFLOW(($197)&4294967295, 32); //@line 905 "tcd.c"
        var $199=HEAP[$198]; //@line 905 "tcd.c"
        var $200=($199)==0; //@line 905 "tcd.c"
        if ($200) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 905 "tcd.c"
      case 31: // $bb30
        var $201=HEAP[$cblk]; //@line 908 "tcd.c"
        var $202=CHECK_OVERFLOW(($201+40)&4294967295, 32); //@line 908 "tcd.c"
        var $203=HEAP[$202]; //@line 908 "tcd.c"
        var $204=($203)==0; //@line 908 "tcd.c"
        if ($204) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 908 "tcd.c"
      case 32: // $bb31
        var $205=HEAP[$cblk]; //@line 909 "tcd.c"
        var $206=CHECK_OVERFLOW(($205+8)&4294967295, 32); //@line 909 "tcd.c"
        var $207=HEAP[$206]; //@line 909 "tcd.c"
        var $208=HEAP[$n]; //@line 909 "tcd.c"
        var $209=CHECK_OVERFLOW((($208) - 1)&4294967295, 32); //@line 909 "tcd.c"
        var $210=CHECK_OVERFLOW(($207+20*$209)&4294967295, 32); //@line 909 "tcd.c"
        var $211=CHECK_OVERFLOW(($210)&4294967295, 32); //@line 909 "tcd.c"
        var $212=HEAP[$211]; //@line 909 "tcd.c"
        var $213=HEAP[$layer]; //@line 909 "tcd.c"
        var $214=CHECK_OVERFLOW(($213+4)&4294967295, 32); //@line 909 "tcd.c"
        HEAP[$214]=$212; //@line 909 "tcd.c"
        var $215=HEAP[$cblk]; //@line 910 "tcd.c"
        var $216=CHECK_OVERFLOW(($215)&4294967295, 32); //@line 910 "tcd.c"
        var $217=HEAP[$216]; //@line 910 "tcd.c"
        var $218=HEAP[$layer]; //@line 910 "tcd.c"
        var $219=CHECK_OVERFLOW(($218+16)&4294967295, 32); //@line 910 "tcd.c"
        HEAP[$219]=$217; //@line 910 "tcd.c"
        __label__ = 34; break; //@line 910 "tcd.c"
      case 33: // $bb32
        var $220=HEAP[$cblk]; //@line 912 "tcd.c"
        var $221=CHECK_OVERFLOW(($220+8)&4294967295, 32); //@line 912 "tcd.c"
        var $222=HEAP[$221]; //@line 912 "tcd.c"
        var $223=HEAP[$n]; //@line 912 "tcd.c"
        var $224=CHECK_OVERFLOW((($223) - 1)&4294967295, 32); //@line 912 "tcd.c"
        var $225=CHECK_OVERFLOW(($222+20*$224)&4294967295, 32); //@line 912 "tcd.c"
        var $226=CHECK_OVERFLOW(($225)&4294967295, 32); //@line 912 "tcd.c"
        var $227=HEAP[$226]; //@line 912 "tcd.c"
        var $228=HEAP[$cblk]; //@line 912 "tcd.c"
        var $229=CHECK_OVERFLOW(($228+8)&4294967295, 32); //@line 912 "tcd.c"
        var $230=HEAP[$229]; //@line 912 "tcd.c"
        var $231=HEAP[$cblk]; //@line 912 "tcd.c"
        var $232=CHECK_OVERFLOW(($231+40)&4294967295, 32); //@line 912 "tcd.c"
        var $233=HEAP[$232]; //@line 912 "tcd.c"
        var $234=CHECK_OVERFLOW((($233) - 1)&4294967295, 32); //@line 912 "tcd.c"
        var $235=CHECK_OVERFLOW(($230+20*$234)&4294967295, 32); //@line 912 "tcd.c"
        var $236=CHECK_OVERFLOW(($235)&4294967295, 32); //@line 912 "tcd.c"
        var $237=HEAP[$236]; //@line 912 "tcd.c"
        var $238=CHECK_OVERFLOW((($227) - ($237))&4294967295, 32); //@line 912 "tcd.c"
        var $239=HEAP[$layer]; //@line 912 "tcd.c"
        var $240=CHECK_OVERFLOW(($239+4)&4294967295, 32); //@line 912 "tcd.c"
        HEAP[$240]=$238; //@line 912 "tcd.c"
        var $241=HEAP[$cblk]; //@line 913 "tcd.c"
        var $242=CHECK_OVERFLOW(($241)&4294967295, 32); //@line 913 "tcd.c"
        var $243=HEAP[$242]; //@line 913 "tcd.c"
        var $244=HEAP[$cblk]; //@line 913 "tcd.c"
        var $245=CHECK_OVERFLOW(($244+8)&4294967295, 32); //@line 913 "tcd.c"
        var $246=HEAP[$245]; //@line 913 "tcd.c"
        var $247=HEAP[$cblk]; //@line 913 "tcd.c"
        var $248=CHECK_OVERFLOW(($247+40)&4294967295, 32); //@line 913 "tcd.c"
        var $249=HEAP[$248]; //@line 913 "tcd.c"
        var $250=CHECK_OVERFLOW((($249) - 1)&4294967295, 32); //@line 913 "tcd.c"
        var $251=CHECK_OVERFLOW(($246+20*$250)&4294967295, 32); //@line 913 "tcd.c"
        var $252=CHECK_OVERFLOW(($251)&4294967295, 32); //@line 913 "tcd.c"
        var $253=HEAP[$252]; //@line 913 "tcd.c"
        var $254=CHECK_OVERFLOW(($243+$253)&4294967295, 32); //@line 913 "tcd.c"
        var $255=HEAP[$layer]; //@line 913 "tcd.c"
        var $256=CHECK_OVERFLOW(($255+16)&4294967295, 32); //@line 913 "tcd.c"
        HEAP[$256]=$254; //@line 913 "tcd.c"
        __label__ = 34; break; //@line 913 "tcd.c"
      case 34: // $bb33
        var $257=HEAP[$final_addr]; //@line 915 "tcd.c"
        var $258=($257)!=0; //@line 915 "tcd.c"
        if ($258) { __label__ = 35; break; } else { __label__ = 30; break; } //@line 915 "tcd.c"
      case 35: // $bb34
        var $259=HEAP[$cblk]; //@line 916 "tcd.c"
        var $260=CHECK_OVERFLOW(($259+40)&4294967295, 32); //@line 916 "tcd.c"
        var $261=HEAP[$n]; //@line 916 "tcd.c"
        HEAP[$260]=$261; //@line 916 "tcd.c"
        __label__ = 30; break; //@line 916 "tcd.c"
      case 30: // $bb35
        var $262=HEAP[$cblkno]; //@line 865 "tcd.c"
        var $263=CHECK_OVERFLOW((($262) + 1)&4294967295, 32); //@line 865 "tcd.c"
        HEAP[$cblkno]=$263; //@line 865 "tcd.c"
        __label__ = 13; break; //@line 865 "tcd.c"
      case 13: // $bb36
        var $264=HEAP[$prc]; //@line 865 "tcd.c"
        var $265=CHECK_OVERFLOW(($264+16)&4294967295, 32); //@line 865 "tcd.c"
        var $266=HEAP[$265]; //@line 865 "tcd.c"
        var $267=HEAP[$prc]; //@line 865 "tcd.c"
        var $268=CHECK_OVERFLOW(($267+20)&4294967295, 32); //@line 865 "tcd.c"
        var $269=HEAP[$268]; //@line 865 "tcd.c"
        var $270=CHECK_OVERFLOW((($266) * ($269))&4294967295, 32); //@line 865 "tcd.c"
        var $271=HEAP[$cblkno]; //@line 865 "tcd.c"
        var $272=($270) > ($271); //@line 865 "tcd.c"
        if ($272) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 865 "tcd.c"
      case 37: // $bb37
        var $273=HEAP[$precno]; //@line 863 "tcd.c"
        var $274=CHECK_OVERFLOW((($273) + 1)&4294967295, 32); //@line 863 "tcd.c"
        HEAP[$precno]=$274; //@line 863 "tcd.c"
        __label__ = 12; break; //@line 863 "tcd.c"
      case 12: // $bb38
        var $275=HEAP[$res]; //@line 863 "tcd.c"
        var $276=CHECK_OVERFLOW(($275+16)&4294967295, 32); //@line 863 "tcd.c"
        var $277=HEAP[$276]; //@line 863 "tcd.c"
        var $278=HEAP[$res]; //@line 863 "tcd.c"
        var $279=CHECK_OVERFLOW(($278+20)&4294967295, 32); //@line 863 "tcd.c"
        var $280=HEAP[$279]; //@line 863 "tcd.c"
        var $281=CHECK_OVERFLOW((($277) * ($280))&4294967295, 32); //@line 863 "tcd.c"
        var $282=HEAP[$precno]; //@line 863 "tcd.c"
        var $283=($281) > ($282); //@line 863 "tcd.c"
        if ($283) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 863 "tcd.c"
      case 39: // $bb39
        var $284=HEAP[$bandno]; //@line 861 "tcd.c"
        var $285=CHECK_OVERFLOW((($284) + 1)&4294967295, 32); //@line 861 "tcd.c"
        HEAP[$bandno]=$285; //@line 861 "tcd.c"
        __label__ = 11; break; //@line 861 "tcd.c"
      case 11: // $bb40
        var $286=HEAP[$res]; //@line 861 "tcd.c"
        var $287=CHECK_OVERFLOW(($286+24)&4294967295, 32); //@line 861 "tcd.c"
        var $288=HEAP[$287]; //@line 861 "tcd.c"
        var $289=HEAP[$bandno]; //@line 861 "tcd.c"
        var $290=($288) > ($289); //@line 861 "tcd.c"
        if ($290) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 861 "tcd.c"
      case 41: // $bb41
        var $291=HEAP[$resno]; //@line 859 "tcd.c"
        var $292=CHECK_OVERFLOW((($291) + 1)&4294967295, 32); //@line 859 "tcd.c"
        HEAP[$resno]=$292; //@line 859 "tcd.c"
        __label__ = 10; break; //@line 859 "tcd.c"
      case 10: // $bb42
        var $293=HEAP[$tilec]; //@line 859 "tcd.c"
        var $294=CHECK_OVERFLOW(($293+16)&4294967295, 32); //@line 859 "tcd.c"
        var $295=HEAP[$294]; //@line 859 "tcd.c"
        var $296=HEAP[$resno]; //@line 859 "tcd.c"
        var $297=($295) > ($296); //@line 859 "tcd.c"
        if ($297) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 859 "tcd.c"
      case 43: // $bb43
        var $298=HEAP[$compno]; //@line 847 "tcd.c"
        var $299=CHECK_OVERFLOW((($298) + 1)&4294967295, 32); //@line 847 "tcd.c"
        HEAP[$compno]=$299; //@line 847 "tcd.c"
        __label__ = 0; break; //@line 847 "tcd.c"
      case 0: // $bb44
        var $300=HEAP[$tcd_tile]; //@line 847 "tcd.c"
        var $301=CHECK_OVERFLOW(($300+16)&4294967295, 32); //@line 847 "tcd.c"
        var $302=HEAP[$301]; //@line 847 "tcd.c"
        var $303=HEAP[$compno]; //@line 847 "tcd.c"
        var $304=($302) > ($303); //@line 847 "tcd.c"
        if ($304) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 847 "tcd.c"
      case 45: // $bb45
        __label__ = 46; break; //@line 922 "tcd.c"
      case 46: // $return
        STACKTOP = __stackBase__;
        return; //@line 922 "tcd.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tcd_rateallocate_fixed($tcd) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tcd_addr=__stackBase__;
        var $layno=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$tcd_addr]=$tcd;
        HEAP[$layno]=0; //@line 926 "tcd.c"
        __label__ = 0; break; //@line 926 "tcd.c"
      case 1: // $bb
        var $0=HEAP[$tcd_addr]; //@line 927 "tcd.c"
        var $1=HEAP[$layno]; //@line 927 "tcd.c"
        _tcd_makelayer_fixed($0, $1, 1); //@line 927 "tcd.c"
        var $2=HEAP[$layno]; //@line 926 "tcd.c"
        var $3=CHECK_OVERFLOW((($2) + 1)&4294967295, 32); //@line 926 "tcd.c"
        HEAP[$layno]=$3; //@line 926 "tcd.c"
        __label__ = 0; break; //@line 926 "tcd.c"
      case 0: // $bb1
        var $4=HEAP[$tcd_addr]; //@line 926 "tcd.c"
        var $5=CHECK_OVERFLOW(($4+40)&4294967295, 32); //@line 926 "tcd.c"
        var $6=HEAP[$5]; //@line 926 "tcd.c"
        var $7=CHECK_OVERFLOW(($6+12)&4294967295, 32); //@line 926 "tcd.c"
        var $8=HEAP[$7]; //@line 926 "tcd.c"
        var $9=HEAP[$layno]; //@line 926 "tcd.c"
        var $10=($8) > ($9); //@line 926 "tcd.c"
        if ($10) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 926 "tcd.c"
      case 2: // $bb2
        __label__ = 3; break; //@line 929 "tcd.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 929 "tcd.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tcd_makelayer($tcd, $layno, $thresh, $final) {
    var __stackBase__  = STACKTOP; STACKTOP += 92; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 92);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tcd_addr=__stackBase__;
        var $layno_addr=__stackBase__+4;
        var $thresh_addr=__stackBase__+8;
        var $final_addr=__stackBase__+16;
        var $compno=__stackBase__+20;
        var $resno=__stackBase__+24;
        var $bandno=__stackBase__+28;
        var $precno=__stackBase__+32;
        var $cblkno=__stackBase__+36;
        var $passno=__stackBase__+40;
        var $tcd_tile=__stackBase__+44;
        var $tilec=__stackBase__+48;
        var $res=__stackBase__+52;
        var $band=__stackBase__+56;
        var $prc=__stackBase__+60;
        var $cblk=__stackBase__+64;
        var $layer=__stackBase__+68;
        var $n=__stackBase__+72;
        var $dr=__stackBase__+76;
        var $dd=__stackBase__+80;
        var $pass=__stackBase__+88;
        var $_alloca_point_=0;
        HEAP[$tcd_addr]=$tcd;
        HEAP[$layno_addr]=$layno;
        HEAP[$thresh_addr]=$thresh;
        HEAP[$final_addr]=$final;
        var $0=HEAP[$tcd_addr]; //@line 934 "tcd.c"
        var $1=CHECK_OVERFLOW(($0+36)&4294967295, 32); //@line 934 "tcd.c"
        var $2=HEAP[$1]; //@line 934 "tcd.c"
        HEAP[$tcd_tile]=$2; //@line 934 "tcd.c"
        var $3=HEAP[$layno_addr]; //@line 936 "tcd.c"
        var $4=HEAP[$tcd_tile]; //@line 936 "tcd.c"
        var $5=CHECK_OVERFLOW(($4+36)&4294967295, 32); //@line 936 "tcd.c"
        var $6=CHECK_OVERFLOW(($5+$3*8)&4294967295, 32); //@line 936 "tcd.c"
        HEAP[$6]=0; //@line 936 "tcd.c"
        HEAP[$compno]=0; //@line 938 "tcd.c"
        __label__ = 0; break; //@line 938 "tcd.c"
      case 34: // $bb
        var $7=HEAP[$tcd_tile]; //@line 939 "tcd.c"
        var $8=CHECK_OVERFLOW(($7+20)&4294967295, 32); //@line 939 "tcd.c"
        var $9=HEAP[$8]; //@line 939 "tcd.c"
        var $10=HEAP[$compno]; //@line 939 "tcd.c"
        var $11=CHECK_OVERFLOW(($9+32*$10)&4294967295, 32); //@line 939 "tcd.c"
        HEAP[$tilec]=$11; //@line 939 "tcd.c"
        HEAP[$resno]=0; //@line 940 "tcd.c"
        __label__ = 1; break; //@line 940 "tcd.c"
      case 32: // $bb1
        var $12=HEAP[$tilec]; //@line 941 "tcd.c"
        var $13=CHECK_OVERFLOW(($12+20)&4294967295, 32); //@line 941 "tcd.c"
        var $14=HEAP[$13]; //@line 941 "tcd.c"
        var $15=HEAP[$resno]; //@line 941 "tcd.c"
        var $16=CHECK_OVERFLOW(($14+124*$15)&4294967295, 32); //@line 941 "tcd.c"
        HEAP[$res]=$16; //@line 941 "tcd.c"
        HEAP[$bandno]=0; //@line 942 "tcd.c"
        __label__ = 2; break; //@line 942 "tcd.c"
      case 30: // $bb2
        var $17=HEAP[$bandno]; //@line 943 "tcd.c"
        var $18=HEAP[$res]; //@line 943 "tcd.c"
        var $19=CHECK_OVERFLOW(($18+28)&4294967295, 32); //@line 943 "tcd.c"
        var $20=CHECK_OVERFLOW(($19+$17*32)&4294967295, 32); //@line 943 "tcd.c"
        HEAP[$band]=$20; //@line 943 "tcd.c"
        HEAP[$precno]=0; //@line 944 "tcd.c"
        __label__ = 3; break; //@line 944 "tcd.c"
      case 28: // $bb3
        var $21=HEAP[$band]; //@line 945 "tcd.c"
        var $22=CHECK_OVERFLOW(($21+20)&4294967295, 32); //@line 945 "tcd.c"
        var $23=HEAP[$22]; //@line 945 "tcd.c"
        var $24=HEAP[$precno]; //@line 945 "tcd.c"
        var $25=CHECK_OVERFLOW(($23+36*$24)&4294967295, 32); //@line 945 "tcd.c"
        HEAP[$prc]=$25; //@line 945 "tcd.c"
        HEAP[$cblkno]=0; //@line 946 "tcd.c"
        __label__ = 4; break; //@line 946 "tcd.c"
      case 26: // $bb4
        var $26=HEAP[$prc]; //@line 947 "tcd.c"
        var $27=CHECK_OVERFLOW(($26+24)&4294967295, 32); //@line 947 "tcd.c"
        var $28=CHECK_OVERFLOW(($27)&4294967295, 32); //@line 947 "tcd.c"
        var $29=HEAP[$28]; //@line 947 "tcd.c"
        var $30=HEAP[$cblkno]; //@line 947 "tcd.c"
        var $31=CHECK_OVERFLOW(($29+48*$30)&4294967295, 32); //@line 947 "tcd.c"
        HEAP[$cblk]=$31; //@line 947 "tcd.c"
        var $32=HEAP[$cblk]; //@line 948 "tcd.c"
        var $33=CHECK_OVERFLOW(($32+4)&4294967295, 32); //@line 948 "tcd.c"
        var $34=HEAP[$33]; //@line 948 "tcd.c"
        var $35=HEAP[$layno_addr]; //@line 948 "tcd.c"
        var $36=CHECK_OVERFLOW(($34+20*$35)&4294967295, 32); //@line 948 "tcd.c"
        HEAP[$layer]=$36; //@line 948 "tcd.c"
        var $37=HEAP[$layno_addr]; //@line 951 "tcd.c"
        var $38=($37)==0; //@line 951 "tcd.c"
        if ($38) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 951 "tcd.c"
      case 5: // $bb5
        var $39=HEAP[$cblk]; //@line 952 "tcd.c"
        var $40=CHECK_OVERFLOW(($39+40)&4294967295, 32); //@line 952 "tcd.c"
        HEAP[$40]=0; //@line 952 "tcd.c"
        __label__ = 6; break; //@line 952 "tcd.c"
      case 6: // $bb6
        var $41=HEAP[$cblk]; //@line 954 "tcd.c"
        var $42=CHECK_OVERFLOW(($41+40)&4294967295, 32); //@line 954 "tcd.c"
        var $43=HEAP[$42]; //@line 954 "tcd.c"
        HEAP[$n]=$43; //@line 954 "tcd.c"
        var $44=HEAP[$cblk]; //@line 955 "tcd.c"
        var $45=CHECK_OVERFLOW(($44+40)&4294967295, 32); //@line 955 "tcd.c"
        var $46=HEAP[$45]; //@line 955 "tcd.c"
        HEAP[$passno]=$46; //@line 955 "tcd.c"
        __label__ = 7; break; //@line 955 "tcd.c"
      case 17: // $bb7
        var $47=HEAP[$cblk]; //@line 958 "tcd.c"
        var $48=CHECK_OVERFLOW(($47+8)&4294967295, 32); //@line 958 "tcd.c"
        var $49=HEAP[$48]; //@line 958 "tcd.c"
        var $50=HEAP[$passno]; //@line 958 "tcd.c"
        var $51=CHECK_OVERFLOW(($49+20*$50)&4294967295, 32); //@line 958 "tcd.c"
        HEAP[$pass]=$51; //@line 958 "tcd.c"
        var $52=HEAP[$n]; //@line 959 "tcd.c"
        var $53=($52)==0; //@line 959 "tcd.c"
        if ($53) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 959 "tcd.c"
      case 8: // $bb8
        var $54=HEAP[$pass]; //@line 960 "tcd.c"
        var $55=CHECK_OVERFLOW(($54)&4294967295, 32); //@line 960 "tcd.c"
        var $56=HEAP[$55]; //@line 960 "tcd.c"
        HEAP[$dr]=$56; //@line 960 "tcd.c"
        var $57=HEAP[$pass]; //@line 961 "tcd.c"
        var $58=CHECK_OVERFLOW(($57+4)&4294967295, 32); //@line 961 "tcd.c"
        var $59=HEAP[$58]; //@line 961 "tcd.c"
        HEAP[$dd]=$59; //@line 961 "tcd.c"
        __label__ = 10; break; //@line 961 "tcd.c"
      case 9: // $bb9
        var $60=HEAP[$pass]; //@line 963 "tcd.c"
        var $61=CHECK_OVERFLOW(($60)&4294967295, 32); //@line 963 "tcd.c"
        var $62=HEAP[$61]; //@line 963 "tcd.c"
        var $63=HEAP[$cblk]; //@line 963 "tcd.c"
        var $64=CHECK_OVERFLOW(($63+8)&4294967295, 32); //@line 963 "tcd.c"
        var $65=HEAP[$64]; //@line 963 "tcd.c"
        var $66=HEAP[$n]; //@line 963 "tcd.c"
        var $67=CHECK_OVERFLOW((($66) - 1)&4294967295, 32); //@line 963 "tcd.c"
        var $68=CHECK_OVERFLOW(($65+20*$67)&4294967295, 32); //@line 963 "tcd.c"
        var $69=CHECK_OVERFLOW(($68)&4294967295, 32); //@line 963 "tcd.c"
        var $70=HEAP[$69]; //@line 963 "tcd.c"
        var $71=CHECK_OVERFLOW((($62) - ($70))&4294967295, 32); //@line 963 "tcd.c"
        HEAP[$dr]=$71; //@line 963 "tcd.c"
        var $72=HEAP[$pass]; //@line 964 "tcd.c"
        var $73=CHECK_OVERFLOW(($72+4)&4294967295, 32); //@line 964 "tcd.c"
        var $74=HEAP[$73]; //@line 964 "tcd.c"
        var $75=HEAP[$cblk]; //@line 964 "tcd.c"
        var $76=CHECK_OVERFLOW(($75+8)&4294967295, 32); //@line 964 "tcd.c"
        var $77=HEAP[$76]; //@line 964 "tcd.c"
        var $78=HEAP[$n]; //@line 964 "tcd.c"
        var $79=CHECK_OVERFLOW((($78) - 1)&4294967295, 32); //@line 964 "tcd.c"
        var $80=CHECK_OVERFLOW(($77+20*$79)&4294967295, 32); //@line 964 "tcd.c"
        var $81=CHECK_OVERFLOW(($80+4)&4294967295, 32); //@line 964 "tcd.c"
        var $82=HEAP[$81]; //@line 964 "tcd.c"
        var $83=($74) - ($82); //@line 964 "tcd.c"
        HEAP[$dd]=$83; //@line 964 "tcd.c"
        __label__ = 10; break; //@line 964 "tcd.c"
      case 10: // $bb10
        var $84=HEAP[$dr]; //@line 966 "tcd.c"
        var $85=($84)==0; //@line 966 "tcd.c"
        if ($85) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 966 "tcd.c"
      case 11: // $bb11
        var $86=HEAP[$dd]; //@line 967 "tcd.c"
        var $87=($86) != 0; //@line 967 "tcd.c"
        if ($87) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 967 "tcd.c"
      case 13: // $bb12
        var $88=HEAP[$passno]; //@line 968 "tcd.c"
        var $89=CHECK_OVERFLOW((($88) + 1)&4294967295, 32); //@line 968 "tcd.c"
        HEAP[$n]=$89; //@line 968 "tcd.c"
        __label__ = 14; break; //@line 968 "tcd.c"
      case 14: // $bb13
        __label__ = 15; break; //@line 968 "tcd.c"
      case 12: // $bb14
        var $90=HEAP[$dr]; //@line 971 "tcd.c"
        var $91=($90); //@line 971 "tcd.c"
        var $92=HEAP[$dd]; //@line 971 "tcd.c"
        var $93=($92) / ($91); //@line 971 "tcd.c"
        var $94=HEAP[$thresh_addr]; //@line 971 "tcd.c"
        var $95=($93) >= ($94); //@line 971 "tcd.c"
        if ($95) { __label__ = 16; break; } else { __label__ = 15; break; } //@line 971 "tcd.c"
      case 16: // $bb15
        var $96=HEAP[$passno]; //@line 972 "tcd.c"
        var $97=CHECK_OVERFLOW((($96) + 1)&4294967295, 32); //@line 972 "tcd.c"
        HEAP[$n]=$97; //@line 972 "tcd.c"
        __label__ = 15; break; //@line 972 "tcd.c"
      case 15: // $bb16
        var $98=HEAP[$passno]; //@line 955 "tcd.c"
        var $99=CHECK_OVERFLOW((($98) + 1)&4294967295, 32); //@line 955 "tcd.c"
        HEAP[$passno]=$99; //@line 955 "tcd.c"
        __label__ = 7; break; //@line 955 "tcd.c"
      case 7: // $bb17
        var $100=HEAP[$cblk]; //@line 955 "tcd.c"
        var $101=CHECK_OVERFLOW(($100+44)&4294967295, 32); //@line 955 "tcd.c"
        var $102=HEAP[$101]; //@line 955 "tcd.c"
        var $103=HEAP[$passno]; //@line 955 "tcd.c"
        var $104=($102) > ($103); //@line 955 "tcd.c"
        if ($104) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 955 "tcd.c"
      case 18: // $bb18
        var $105=HEAP[$cblk]; //@line 974 "tcd.c"
        var $106=CHECK_OVERFLOW(($105+40)&4294967295, 32); //@line 974 "tcd.c"
        var $107=HEAP[$106]; //@line 974 "tcd.c"
        var $108=HEAP[$n]; //@line 974 "tcd.c"
        var $109=CHECK_OVERFLOW((($108) - ($107))&4294967295, 32); //@line 974 "tcd.c"
        var $110=HEAP[$layer]; //@line 974 "tcd.c"
        var $111=CHECK_OVERFLOW(($110)&4294967295, 32); //@line 974 "tcd.c"
        HEAP[$111]=$109; //@line 974 "tcd.c"
        var $112=HEAP[$layer]; //@line 976 "tcd.c"
        var $113=CHECK_OVERFLOW(($112)&4294967295, 32); //@line 976 "tcd.c"
        var $114=HEAP[$113]; //@line 976 "tcd.c"
        var $115=($114)==0; //@line 976 "tcd.c"
        if ($115) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 976 "tcd.c"
      case 19: // $bb19
        var $116=HEAP[$layer]; //@line 977 "tcd.c"
        var $117=CHECK_OVERFLOW(($116+8)&4294967295, 32); //@line 977 "tcd.c"
        HEAP[$117]=0; //@line 977 "tcd.c"
        __label__ = 21; break; //@line 977 "tcd.c"
      case 20: // $bb20
        var $118=HEAP[$cblk]; //@line 980 "tcd.c"
        var $119=CHECK_OVERFLOW(($118+40)&4294967295, 32); //@line 980 "tcd.c"
        var $120=HEAP[$119]; //@line 980 "tcd.c"
        var $121=($120)==0; //@line 980 "tcd.c"
        if ($121) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 980 "tcd.c"
      case 22: // $bb21
        var $122=HEAP[$cblk]; //@line 981 "tcd.c"
        var $123=CHECK_OVERFLOW(($122+8)&4294967295, 32); //@line 981 "tcd.c"
        var $124=HEAP[$123]; //@line 981 "tcd.c"
        var $125=HEAP[$n]; //@line 981 "tcd.c"
        var $126=CHECK_OVERFLOW((($125) - 1)&4294967295, 32); //@line 981 "tcd.c"
        var $127=CHECK_OVERFLOW(($124+20*$126)&4294967295, 32); //@line 981 "tcd.c"
        var $128=CHECK_OVERFLOW(($127)&4294967295, 32); //@line 981 "tcd.c"
        var $129=HEAP[$128]; //@line 981 "tcd.c"
        var $130=HEAP[$layer]; //@line 981 "tcd.c"
        var $131=CHECK_OVERFLOW(($130+4)&4294967295, 32); //@line 981 "tcd.c"
        HEAP[$131]=$129; //@line 981 "tcd.c"
        var $132=HEAP[$cblk]; //@line 982 "tcd.c"
        var $133=CHECK_OVERFLOW(($132)&4294967295, 32); //@line 982 "tcd.c"
        var $134=HEAP[$133]; //@line 982 "tcd.c"
        var $135=HEAP[$layer]; //@line 982 "tcd.c"
        var $136=CHECK_OVERFLOW(($135+16)&4294967295, 32); //@line 982 "tcd.c"
        HEAP[$136]=$134; //@line 982 "tcd.c"
        var $137=HEAP[$cblk]; //@line 983 "tcd.c"
        var $138=CHECK_OVERFLOW(($137+8)&4294967295, 32); //@line 983 "tcd.c"
        var $139=HEAP[$138]; //@line 983 "tcd.c"
        var $140=HEAP[$n]; //@line 983 "tcd.c"
        var $141=CHECK_OVERFLOW((($140) - 1)&4294967295, 32); //@line 983 "tcd.c"
        var $142=CHECK_OVERFLOW(($139+20*$141)&4294967295, 32); //@line 983 "tcd.c"
        var $143=CHECK_OVERFLOW(($142+4)&4294967295, 32); //@line 983 "tcd.c"
        var $144=HEAP[$143]; //@line 983 "tcd.c"
        var $145=HEAP[$layer]; //@line 983 "tcd.c"
        var $146=CHECK_OVERFLOW(($145+8)&4294967295, 32); //@line 983 "tcd.c"
        HEAP[$146]=$144; //@line 983 "tcd.c"
        __label__ = 24; break; //@line 983 "tcd.c"
      case 23: // $bb22
        var $147=HEAP[$cblk]; //@line 985 "tcd.c"
        var $148=CHECK_OVERFLOW(($147+8)&4294967295, 32); //@line 985 "tcd.c"
        var $149=HEAP[$148]; //@line 985 "tcd.c"
        var $150=HEAP[$n]; //@line 985 "tcd.c"
        var $151=CHECK_OVERFLOW((($150) - 1)&4294967295, 32); //@line 985 "tcd.c"
        var $152=CHECK_OVERFLOW(($149+20*$151)&4294967295, 32); //@line 985 "tcd.c"
        var $153=CHECK_OVERFLOW(($152)&4294967295, 32); //@line 985 "tcd.c"
        var $154=HEAP[$153]; //@line 985 "tcd.c"
        var $155=HEAP[$cblk]; //@line 985 "tcd.c"
        var $156=CHECK_OVERFLOW(($155+8)&4294967295, 32); //@line 985 "tcd.c"
        var $157=HEAP[$156]; //@line 985 "tcd.c"
        var $158=HEAP[$cblk]; //@line 985 "tcd.c"
        var $159=CHECK_OVERFLOW(($158+40)&4294967295, 32); //@line 985 "tcd.c"
        var $160=HEAP[$159]; //@line 985 "tcd.c"
        var $161=CHECK_OVERFLOW((($160) - 1)&4294967295, 32); //@line 985 "tcd.c"
        var $162=CHECK_OVERFLOW(($157+20*$161)&4294967295, 32); //@line 985 "tcd.c"
        var $163=CHECK_OVERFLOW(($162)&4294967295, 32); //@line 985 "tcd.c"
        var $164=HEAP[$163]; //@line 985 "tcd.c"
        var $165=CHECK_OVERFLOW((($154) - ($164))&4294967295, 32); //@line 985 "tcd.c"
        var $166=HEAP[$layer]; //@line 985 "tcd.c"
        var $167=CHECK_OVERFLOW(($166+4)&4294967295, 32); //@line 985 "tcd.c"
        HEAP[$167]=$165; //@line 985 "tcd.c"
        var $168=HEAP[$cblk]; //@line 986 "tcd.c"
        var $169=CHECK_OVERFLOW(($168)&4294967295, 32); //@line 986 "tcd.c"
        var $170=HEAP[$169]; //@line 986 "tcd.c"
        var $171=HEAP[$cblk]; //@line 986 "tcd.c"
        var $172=CHECK_OVERFLOW(($171+8)&4294967295, 32); //@line 986 "tcd.c"
        var $173=HEAP[$172]; //@line 986 "tcd.c"
        var $174=HEAP[$cblk]; //@line 986 "tcd.c"
        var $175=CHECK_OVERFLOW(($174+40)&4294967295, 32); //@line 986 "tcd.c"
        var $176=HEAP[$175]; //@line 986 "tcd.c"
        var $177=CHECK_OVERFLOW((($176) - 1)&4294967295, 32); //@line 986 "tcd.c"
        var $178=CHECK_OVERFLOW(($173+20*$177)&4294967295, 32); //@line 986 "tcd.c"
        var $179=CHECK_OVERFLOW(($178)&4294967295, 32); //@line 986 "tcd.c"
        var $180=HEAP[$179]; //@line 986 "tcd.c"
        var $181=CHECK_OVERFLOW(($170+$180)&4294967295, 32); //@line 986 "tcd.c"
        var $182=HEAP[$layer]; //@line 986 "tcd.c"
        var $183=CHECK_OVERFLOW(($182+16)&4294967295, 32); //@line 986 "tcd.c"
        HEAP[$183]=$181; //@line 986 "tcd.c"
        var $184=HEAP[$cblk]; //@line 987 "tcd.c"
        var $185=CHECK_OVERFLOW(($184+8)&4294967295, 32); //@line 987 "tcd.c"
        var $186=HEAP[$185]; //@line 987 "tcd.c"
        var $187=HEAP[$n]; //@line 987 "tcd.c"
        var $188=CHECK_OVERFLOW((($187) - 1)&4294967295, 32); //@line 987 "tcd.c"
        var $189=CHECK_OVERFLOW(($186+20*$188)&4294967295, 32); //@line 987 "tcd.c"
        var $190=CHECK_OVERFLOW(($189+4)&4294967295, 32); //@line 987 "tcd.c"
        var $191=HEAP[$190]; //@line 987 "tcd.c"
        var $192=HEAP[$cblk]; //@line 987 "tcd.c"
        var $193=CHECK_OVERFLOW(($192+8)&4294967295, 32); //@line 987 "tcd.c"
        var $194=HEAP[$193]; //@line 987 "tcd.c"
        var $195=HEAP[$cblk]; //@line 987 "tcd.c"
        var $196=CHECK_OVERFLOW(($195+40)&4294967295, 32); //@line 987 "tcd.c"
        var $197=HEAP[$196]; //@line 987 "tcd.c"
        var $198=CHECK_OVERFLOW((($197) - 1)&4294967295, 32); //@line 987 "tcd.c"
        var $199=CHECK_OVERFLOW(($194+20*$198)&4294967295, 32); //@line 987 "tcd.c"
        var $200=CHECK_OVERFLOW(($199+4)&4294967295, 32); //@line 987 "tcd.c"
        var $201=HEAP[$200]; //@line 987 "tcd.c"
        var $202=($191) - ($201); //@line 987 "tcd.c"
        var $203=HEAP[$layer]; //@line 987 "tcd.c"
        var $204=CHECK_OVERFLOW(($203+8)&4294967295, 32); //@line 987 "tcd.c"
        HEAP[$204]=$202; //@line 987 "tcd.c"
        __label__ = 24; break; //@line 987 "tcd.c"
      case 24: // $bb23
        var $205=HEAP[$layno_addr]; //@line 990 "tcd.c"
        var $206=HEAP[$layno_addr]; //@line 990 "tcd.c"
        var $207=HEAP[$tcd_tile]; //@line 990 "tcd.c"
        var $208=CHECK_OVERFLOW(($207+36)&4294967295, 32); //@line 990 "tcd.c"
        var $209=CHECK_OVERFLOW(($208+$206*8)&4294967295, 32); //@line 990 "tcd.c"
        var $210=HEAP[$209]; //@line 990 "tcd.c"
        var $211=HEAP[$layer]; //@line 990 "tcd.c"
        var $212=CHECK_OVERFLOW(($211+8)&4294967295, 32); //@line 990 "tcd.c"
        var $213=HEAP[$212]; //@line 990 "tcd.c"
        var $214=($210) + ($213); //@line 990 "tcd.c"
        var $215=HEAP[$tcd_tile]; //@line 990 "tcd.c"
        var $216=CHECK_OVERFLOW(($215+36)&4294967295, 32); //@line 990 "tcd.c"
        var $217=CHECK_OVERFLOW(($216+$205*8)&4294967295, 32); //@line 990 "tcd.c"
        HEAP[$217]=$214; //@line 990 "tcd.c"
        var $218=HEAP[$final_addr]; //@line 992 "tcd.c"
        var $219=($218)!=0; //@line 992 "tcd.c"
        if ($219) { __label__ = 25; break; } else { __label__ = 21; break; } //@line 992 "tcd.c"
      case 25: // $bb24
        var $220=HEAP[$cblk]; //@line 993 "tcd.c"
        var $221=CHECK_OVERFLOW(($220+40)&4294967295, 32); //@line 993 "tcd.c"
        var $222=HEAP[$n]; //@line 993 "tcd.c"
        HEAP[$221]=$222; //@line 993 "tcd.c"
        __label__ = 21; break; //@line 993 "tcd.c"
      case 21: // $bb25
        var $223=HEAP[$cblkno]; //@line 946 "tcd.c"
        var $224=CHECK_OVERFLOW((($223) + 1)&4294967295, 32); //@line 946 "tcd.c"
        HEAP[$cblkno]=$224; //@line 946 "tcd.c"
        __label__ = 4; break; //@line 946 "tcd.c"
      case 4: // $bb26
        var $225=HEAP[$prc]; //@line 946 "tcd.c"
        var $226=CHECK_OVERFLOW(($225+16)&4294967295, 32); //@line 946 "tcd.c"
        var $227=HEAP[$226]; //@line 946 "tcd.c"
        var $228=HEAP[$prc]; //@line 946 "tcd.c"
        var $229=CHECK_OVERFLOW(($228+20)&4294967295, 32); //@line 946 "tcd.c"
        var $230=HEAP[$229]; //@line 946 "tcd.c"
        var $231=CHECK_OVERFLOW((($227) * ($230))&4294967295, 32); //@line 946 "tcd.c"
        var $232=HEAP[$cblkno]; //@line 946 "tcd.c"
        var $233=($231) > ($232); //@line 946 "tcd.c"
        if ($233) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 946 "tcd.c"
      case 27: // $bb27
        var $234=HEAP[$precno]; //@line 944 "tcd.c"
        var $235=CHECK_OVERFLOW((($234) + 1)&4294967295, 32); //@line 944 "tcd.c"
        HEAP[$precno]=$235; //@line 944 "tcd.c"
        __label__ = 3; break; //@line 944 "tcd.c"
      case 3: // $bb28
        var $236=HEAP[$res]; //@line 944 "tcd.c"
        var $237=CHECK_OVERFLOW(($236+16)&4294967295, 32); //@line 944 "tcd.c"
        var $238=HEAP[$237]; //@line 944 "tcd.c"
        var $239=HEAP[$res]; //@line 944 "tcd.c"
        var $240=CHECK_OVERFLOW(($239+20)&4294967295, 32); //@line 944 "tcd.c"
        var $241=HEAP[$240]; //@line 944 "tcd.c"
        var $242=CHECK_OVERFLOW((($238) * ($241))&4294967295, 32); //@line 944 "tcd.c"
        var $243=HEAP[$precno]; //@line 944 "tcd.c"
        var $244=($242) > ($243); //@line 944 "tcd.c"
        if ($244) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 944 "tcd.c"
      case 29: // $bb29
        var $245=HEAP[$bandno]; //@line 942 "tcd.c"
        var $246=CHECK_OVERFLOW((($245) + 1)&4294967295, 32); //@line 942 "tcd.c"
        HEAP[$bandno]=$246; //@line 942 "tcd.c"
        __label__ = 2; break; //@line 942 "tcd.c"
      case 2: // $bb30
        var $247=HEAP[$res]; //@line 942 "tcd.c"
        var $248=CHECK_OVERFLOW(($247+24)&4294967295, 32); //@line 942 "tcd.c"
        var $249=HEAP[$248]; //@line 942 "tcd.c"
        var $250=HEAP[$bandno]; //@line 942 "tcd.c"
        var $251=($249) > ($250); //@line 942 "tcd.c"
        if ($251) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 942 "tcd.c"
      case 31: // $bb31
        var $252=HEAP[$resno]; //@line 940 "tcd.c"
        var $253=CHECK_OVERFLOW((($252) + 1)&4294967295, 32); //@line 940 "tcd.c"
        HEAP[$resno]=$253; //@line 940 "tcd.c"
        __label__ = 1; break; //@line 940 "tcd.c"
      case 1: // $bb32
        var $254=HEAP[$tilec]; //@line 940 "tcd.c"
        var $255=CHECK_OVERFLOW(($254+16)&4294967295, 32); //@line 940 "tcd.c"
        var $256=HEAP[$255]; //@line 940 "tcd.c"
        var $257=HEAP[$resno]; //@line 940 "tcd.c"
        var $258=($256) > ($257); //@line 940 "tcd.c"
        if ($258) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 940 "tcd.c"
      case 33: // $bb33
        var $259=HEAP[$compno]; //@line 938 "tcd.c"
        var $260=CHECK_OVERFLOW((($259) + 1)&4294967295, 32); //@line 938 "tcd.c"
        HEAP[$compno]=$260; //@line 938 "tcd.c"
        __label__ = 0; break; //@line 938 "tcd.c"
      case 0: // $bb34
        var $261=HEAP[$tcd_tile]; //@line 938 "tcd.c"
        var $262=CHECK_OVERFLOW(($261+16)&4294967295, 32); //@line 938 "tcd.c"
        var $263=HEAP[$262]; //@line 938 "tcd.c"
        var $264=HEAP[$compno]; //@line 938 "tcd.c"
        var $265=($263) > ($264); //@line 938 "tcd.c"
        if ($265) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 938 "tcd.c"
      case 35: // $bb35
        __label__ = 36; break; //@line 999 "tcd.c"
      case 36: // $return
        STACKTOP = __stackBase__;
        return; //@line 999 "tcd.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tcd_rateallocate($tcd, $dest, $len, $cstr_info) {
    var __stackBase__  = STACKTOP; STACKTOP += 1056; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 1056);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tcd_addr=__stackBase__;
        var $dest_addr=__stackBase__+4;
        var $len_addr=__stackBase__+8;
        var $cstr_info_addr=__stackBase__+12;
        var $retval=__stackBase__+16;
        var $iftmp_103=__stackBase__+20;
        var $0=__stackBase__+28;
        var $iftmp_101=__stackBase__+32;
        var $iftmp_99=__stackBase__+40;
        var $iftmp_97=__stackBase__+48;
        var $iftmp_91=__stackBase__+56;
        var $compno=__stackBase__+60;
        var $resno=__stackBase__+64;
        var $bandno=__stackBase__+68;
        var $precno=__stackBase__+72;
        var $cblkno=__stackBase__+76;
        var $passno=__stackBase__+80;
        var $layno=__stackBase__+84;
        var $min=__stackBase__+88;
        var $max=__stackBase__+96;
        var $cumdisto=__stackBase__+104;
        var $K=__stackBase__+904;
        var $maxSE=__stackBase__+912;
        var $cp=__stackBase__+920;
        var $tcd_tile=__stackBase__+924;
        var $tcd_tcp=__stackBase__+928;
        var $tilec=__stackBase__+932;
        var $res=__stackBase__+936;
        var $band=__stackBase__+940;
        var $prc=__stackBase__+944;
        var $cblk=__stackBase__+948;
        var $pass=__stackBase__+952;
        var $dr=__stackBase__+956;
        var $dd=__stackBase__+960;
        var $rdslope=__stackBase__+968;
        var $tile_info=__stackBase__+976;
        var $lo=__stackBase__+980;
        var $hi=__stackBase__+988;
        var $success=__stackBase__+996;
        var $maxlen=__stackBase__+1000;
        var $goodthresh=__stackBase__+1004;
        var $stable_thresh=__stackBase__+1012;
        var $i=__stackBase__+1020;
        var $distotarget=__stackBase__+1024;
        var $t2=__stackBase__+1032;
        var $thresh=__stackBase__+1036;
        var $l=__stackBase__+1044;
        var $distoachieved=__stackBase__+1048;
        var $_alloca_point_=0;
        HEAP[$tcd_addr]=$tcd;
        HEAP[$dest_addr]=$dest;
        HEAP[$len_addr]=$len;
        HEAP[$cstr_info_addr]=$cstr_info;
        HEAP[$K]=1; //@line 1005 "tcd.c"
        HEAP[$maxSE]=0; //@line 1006 "tcd.c"
        var $1=HEAP[$tcd_addr]; //@line 1008 "tcd.c"
        var $2=CHECK_OVERFLOW(($1+32)&4294967295, 32); //@line 1008 "tcd.c"
        var $3=HEAP[$2]; //@line 1008 "tcd.c"
        HEAP[$cp]=$3; //@line 1008 "tcd.c"
        var $4=HEAP[$tcd_addr]; //@line 1009 "tcd.c"
        var $5=CHECK_OVERFLOW(($4+36)&4294967295, 32); //@line 1009 "tcd.c"
        var $6=HEAP[$5]; //@line 1009 "tcd.c"
        HEAP[$tcd_tile]=$6; //@line 1009 "tcd.c"
        var $7=HEAP[$tcd_addr]; //@line 1010 "tcd.c"
        var $8=CHECK_OVERFLOW(($7+40)&4294967295, 32); //@line 1010 "tcd.c"
        var $9=HEAP[$8]; //@line 1010 "tcd.c"
        HEAP[$tcd_tcp]=$9; //@line 1010 "tcd.c"
        HEAP[$min]=1.7976931348623157e+308; //@line 1012 "tcd.c"
        HEAP[$max]=0; //@line 1013 "tcd.c"
        var $10=HEAP[$tcd_tile]; //@line 1015 "tcd.c"
        var $11=CHECK_OVERFLOW(($10+24)&4294967295, 32); //@line 1015 "tcd.c"
        HEAP[$11]=0; //@line 1015 "tcd.c"
        HEAP[$compno]=0; //@line 1017 "tcd.c"
        __label__ = 0; break; //@line 1017 "tcd.c"
      case 24: // $bb
        var $12=HEAP[$tcd_tile]; //@line 1018 "tcd.c"
        var $13=CHECK_OVERFLOW(($12+20)&4294967295, 32); //@line 1018 "tcd.c"
        var $14=HEAP[$13]; //@line 1018 "tcd.c"
        var $15=HEAP[$compno]; //@line 1018 "tcd.c"
        var $16=CHECK_OVERFLOW(($14+32*$15)&4294967295, 32); //@line 1018 "tcd.c"
        HEAP[$tilec]=$16; //@line 1018 "tcd.c"
        var $17=HEAP[$tilec]; //@line 1019 "tcd.c"
        var $18=CHECK_OVERFLOW(($17+28)&4294967295, 32); //@line 1019 "tcd.c"
        HEAP[$18]=0; //@line 1019 "tcd.c"
        HEAP[$resno]=0; //@line 1021 "tcd.c"
        __label__ = 1; break; //@line 1021 "tcd.c"
      case 22: // $bb1
        var $19=HEAP[$tilec]; //@line 1022 "tcd.c"
        var $20=CHECK_OVERFLOW(($19+20)&4294967295, 32); //@line 1022 "tcd.c"
        var $21=HEAP[$20]; //@line 1022 "tcd.c"
        var $22=HEAP[$resno]; //@line 1022 "tcd.c"
        var $23=CHECK_OVERFLOW(($21+124*$22)&4294967295, 32); //@line 1022 "tcd.c"
        HEAP[$res]=$23; //@line 1022 "tcd.c"
        HEAP[$bandno]=0; //@line 1024 "tcd.c"
        __label__ = 2; break; //@line 1024 "tcd.c"
      case 20: // $bb2
        var $24=HEAP[$bandno]; //@line 1025 "tcd.c"
        var $25=HEAP[$res]; //@line 1025 "tcd.c"
        var $26=CHECK_OVERFLOW(($25+28)&4294967295, 32); //@line 1025 "tcd.c"
        var $27=CHECK_OVERFLOW(($26+$24*32)&4294967295, 32); //@line 1025 "tcd.c"
        HEAP[$band]=$27; //@line 1025 "tcd.c"
        HEAP[$precno]=0; //@line 1027 "tcd.c"
        __label__ = 3; break; //@line 1027 "tcd.c"
      case 18: // $bb3
        var $28=HEAP[$band]; //@line 1028 "tcd.c"
        var $29=CHECK_OVERFLOW(($28+20)&4294967295, 32); //@line 1028 "tcd.c"
        var $30=HEAP[$29]; //@line 1028 "tcd.c"
        var $31=HEAP[$precno]; //@line 1028 "tcd.c"
        var $32=CHECK_OVERFLOW(($30+36*$31)&4294967295, 32); //@line 1028 "tcd.c"
        HEAP[$prc]=$32; //@line 1028 "tcd.c"
        HEAP[$cblkno]=0; //@line 1030 "tcd.c"
        __label__ = 4; break; //@line 1030 "tcd.c"
      case 16: // $bb4
        var $33=HEAP[$prc]; //@line 1031 "tcd.c"
        var $34=CHECK_OVERFLOW(($33+24)&4294967295, 32); //@line 1031 "tcd.c"
        var $35=CHECK_OVERFLOW(($34)&4294967295, 32); //@line 1031 "tcd.c"
        var $36=HEAP[$35]; //@line 1031 "tcd.c"
        var $37=HEAP[$cblkno]; //@line 1031 "tcd.c"
        var $38=CHECK_OVERFLOW(($36+48*$37)&4294967295, 32); //@line 1031 "tcd.c"
        HEAP[$cblk]=$38; //@line 1031 "tcd.c"
        HEAP[$passno]=0; //@line 1033 "tcd.c"
        __label__ = 5; break; //@line 1033 "tcd.c"
      case 14: // $bb5
        var $39=HEAP[$cblk]; //@line 1034 "tcd.c"
        var $40=CHECK_OVERFLOW(($39+8)&4294967295, 32); //@line 1034 "tcd.c"
        var $41=HEAP[$40]; //@line 1034 "tcd.c"
        var $42=HEAP[$passno]; //@line 1034 "tcd.c"
        var $43=CHECK_OVERFLOW(($41+20*$42)&4294967295, 32); //@line 1034 "tcd.c"
        HEAP[$pass]=$43; //@line 1034 "tcd.c"
        var $44=HEAP[$passno]; //@line 1037 "tcd.c"
        var $45=($44)==0; //@line 1037 "tcd.c"
        if ($45) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1037 "tcd.c"
      case 6: // $bb6
        var $46=HEAP[$pass]; //@line 1038 "tcd.c"
        var $47=CHECK_OVERFLOW(($46)&4294967295, 32); //@line 1038 "tcd.c"
        var $48=HEAP[$47]; //@line 1038 "tcd.c"
        HEAP[$dr]=$48; //@line 1038 "tcd.c"
        var $49=HEAP[$pass]; //@line 1039 "tcd.c"
        var $50=CHECK_OVERFLOW(($49+4)&4294967295, 32); //@line 1039 "tcd.c"
        var $51=HEAP[$50]; //@line 1039 "tcd.c"
        HEAP[$dd]=$51; //@line 1039 "tcd.c"
        __label__ = 8; break; //@line 1039 "tcd.c"
      case 7: // $bb7
        var $52=HEAP[$pass]; //@line 1041 "tcd.c"
        var $53=CHECK_OVERFLOW(($52)&4294967295, 32); //@line 1041 "tcd.c"
        var $54=HEAP[$53]; //@line 1041 "tcd.c"
        var $55=HEAP[$cblk]; //@line 1041 "tcd.c"
        var $56=CHECK_OVERFLOW(($55+8)&4294967295, 32); //@line 1041 "tcd.c"
        var $57=HEAP[$56]; //@line 1041 "tcd.c"
        var $58=HEAP[$passno]; //@line 1041 "tcd.c"
        var $59=CHECK_OVERFLOW((($58) - 1)&4294967295, 32); //@line 1041 "tcd.c"
        var $60=CHECK_OVERFLOW(($57+20*$59)&4294967295, 32); //@line 1041 "tcd.c"
        var $61=CHECK_OVERFLOW(($60)&4294967295, 32); //@line 1041 "tcd.c"
        var $62=HEAP[$61]; //@line 1041 "tcd.c"
        var $63=CHECK_OVERFLOW((($54) - ($62))&4294967295, 32); //@line 1041 "tcd.c"
        HEAP[$dr]=$63; //@line 1041 "tcd.c"
        var $64=HEAP[$pass]; //@line 1042 "tcd.c"
        var $65=CHECK_OVERFLOW(($64+4)&4294967295, 32); //@line 1042 "tcd.c"
        var $66=HEAP[$65]; //@line 1042 "tcd.c"
        var $67=HEAP[$cblk]; //@line 1042 "tcd.c"
        var $68=CHECK_OVERFLOW(($67+8)&4294967295, 32); //@line 1042 "tcd.c"
        var $69=HEAP[$68]; //@line 1042 "tcd.c"
        var $70=HEAP[$passno]; //@line 1042 "tcd.c"
        var $71=CHECK_OVERFLOW((($70) - 1)&4294967295, 32); //@line 1042 "tcd.c"
        var $72=CHECK_OVERFLOW(($69+20*$71)&4294967295, 32); //@line 1042 "tcd.c"
        var $73=CHECK_OVERFLOW(($72+4)&4294967295, 32); //@line 1042 "tcd.c"
        var $74=HEAP[$73]; //@line 1042 "tcd.c"
        var $75=($66) - ($74); //@line 1042 "tcd.c"
        HEAP[$dd]=$75; //@line 1042 "tcd.c"
        __label__ = 8; break; //@line 1042 "tcd.c"
      case 8: // $bb8
        var $76=HEAP[$dr]; //@line 1044 "tcd.c"
        var $77=($76)==0; //@line 1044 "tcd.c"
        if ($77) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1044 "tcd.c"
      case 10: // $bb9
        var $78=HEAP[$dr]; //@line 1047 "tcd.c"
        var $79=($78); //@line 1047 "tcd.c"
        var $80=HEAP[$dd]; //@line 1047 "tcd.c"
        var $81=($80) / ($79); //@line 1047 "tcd.c"
        HEAP[$rdslope]=$81; //@line 1047 "tcd.c"
        var $82=HEAP[$rdslope]; //@line 1048 "tcd.c"
        var $83=HEAP[$min]; //@line 1048 "tcd.c"
        var $84=($82) < ($83); //@line 1048 "tcd.c"
        if ($84) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1048 "tcd.c"
      case 11: // $bb10
        var $85=HEAP[$rdslope]; //@line 1049 "tcd.c"
        HEAP[$min]=$85; //@line 1049 "tcd.c"
        __label__ = 12; break; //@line 1049 "tcd.c"
      case 12: // $bb11
        var $86=HEAP[$rdslope]; //@line 1051 "tcd.c"
        var $87=HEAP[$max]; //@line 1051 "tcd.c"
        var $88=($86) > ($87); //@line 1051 "tcd.c"
        if ($88) { __label__ = 13; break; } else { __label__ = 9; break; } //@line 1051 "tcd.c"
      case 13: // $bb12
        var $89=HEAP[$rdslope]; //@line 1052 "tcd.c"
        HEAP[$max]=$89; //@line 1052 "tcd.c"
        __label__ = 9; break; //@line 1052 "tcd.c"
      case 9: // $bb13
        var $90=HEAP[$passno]; //@line 1033 "tcd.c"
        var $91=CHECK_OVERFLOW((($90) + 1)&4294967295, 32); //@line 1033 "tcd.c"
        HEAP[$passno]=$91; //@line 1033 "tcd.c"
        __label__ = 5; break; //@line 1033 "tcd.c"
      case 5: // $bb14
        var $92=HEAP[$cblk]; //@line 1033 "tcd.c"
        var $93=CHECK_OVERFLOW(($92+44)&4294967295, 32); //@line 1033 "tcd.c"
        var $94=HEAP[$93]; //@line 1033 "tcd.c"
        var $95=HEAP[$passno]; //@line 1033 "tcd.c"
        var $96=($94) > ($95); //@line 1033 "tcd.c"
        if ($96) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1033 "tcd.c"
      case 15: // $bb15
        var $97=HEAP[$tcd_tile]; //@line 1057 "tcd.c"
        var $98=CHECK_OVERFLOW(($97+24)&4294967295, 32); //@line 1057 "tcd.c"
        var $99=HEAP[$98]; //@line 1057 "tcd.c"
        var $100=HEAP[$cblk]; //@line 1057 "tcd.c"
        var $101=CHECK_OVERFLOW(($100+20)&4294967295, 32); //@line 1057 "tcd.c"
        var $102=HEAP[$101]; //@line 1057 "tcd.c"
        var $103=HEAP[$cblk]; //@line 1057 "tcd.c"
        var $104=CHECK_OVERFLOW(($103+12)&4294967295, 32); //@line 1057 "tcd.c"
        var $105=HEAP[$104]; //@line 1057 "tcd.c"
        var $106=CHECK_OVERFLOW((($102) - ($105))&4294967295, 32); //@line 1057 "tcd.c"
        var $107=HEAP[$cblk]; //@line 1057 "tcd.c"
        var $108=CHECK_OVERFLOW(($107+24)&4294967295, 32); //@line 1057 "tcd.c"
        var $109=HEAP[$108]; //@line 1057 "tcd.c"
        var $110=HEAP[$cblk]; //@line 1057 "tcd.c"
        var $111=CHECK_OVERFLOW(($110+16)&4294967295, 32); //@line 1057 "tcd.c"
        var $112=HEAP[$111]; //@line 1057 "tcd.c"
        var $113=CHECK_OVERFLOW((($109) - ($112))&4294967295, 32); //@line 1057 "tcd.c"
        var $114=CHECK_OVERFLOW((($106) * ($113))&4294967295, 32); //@line 1057 "tcd.c"
        var $115=CHECK_OVERFLOW((($99) + ($114))&4294967295, 32); //@line 1057 "tcd.c"
        var $116=HEAP[$tcd_tile]; //@line 1057 "tcd.c"
        var $117=CHECK_OVERFLOW(($116+24)&4294967295, 32); //@line 1057 "tcd.c"
        HEAP[$117]=$115; //@line 1057 "tcd.c"
        var $118=HEAP[$tilec]; //@line 1058 "tcd.c"
        var $119=CHECK_OVERFLOW(($118+28)&4294967295, 32); //@line 1058 "tcd.c"
        var $120=HEAP[$119]; //@line 1058 "tcd.c"
        var $121=HEAP[$cblk]; //@line 1058 "tcd.c"
        var $122=CHECK_OVERFLOW(($121+20)&4294967295, 32); //@line 1058 "tcd.c"
        var $123=HEAP[$122]; //@line 1058 "tcd.c"
        var $124=HEAP[$cblk]; //@line 1058 "tcd.c"
        var $125=CHECK_OVERFLOW(($124+12)&4294967295, 32); //@line 1058 "tcd.c"
        var $126=HEAP[$125]; //@line 1058 "tcd.c"
        var $127=CHECK_OVERFLOW((($123) - ($126))&4294967295, 32); //@line 1058 "tcd.c"
        var $128=HEAP[$cblk]; //@line 1058 "tcd.c"
        var $129=CHECK_OVERFLOW(($128+24)&4294967295, 32); //@line 1058 "tcd.c"
        var $130=HEAP[$129]; //@line 1058 "tcd.c"
        var $131=HEAP[$cblk]; //@line 1058 "tcd.c"
        var $132=CHECK_OVERFLOW(($131+16)&4294967295, 32); //@line 1058 "tcd.c"
        var $133=HEAP[$132]; //@line 1058 "tcd.c"
        var $134=CHECK_OVERFLOW((($130) - ($133))&4294967295, 32); //@line 1058 "tcd.c"
        var $135=CHECK_OVERFLOW((($127) * ($134))&4294967295, 32); //@line 1058 "tcd.c"
        var $136=CHECK_OVERFLOW((($120) + ($135))&4294967295, 32); //@line 1058 "tcd.c"
        var $137=HEAP[$tilec]; //@line 1058 "tcd.c"
        var $138=CHECK_OVERFLOW(($137+28)&4294967295, 32); //@line 1058 "tcd.c"
        HEAP[$138]=$136; //@line 1058 "tcd.c"
        var $139=HEAP[$cblkno]; //@line 1030 "tcd.c"
        var $140=CHECK_OVERFLOW((($139) + 1)&4294967295, 32); //@line 1030 "tcd.c"
        HEAP[$cblkno]=$140; //@line 1030 "tcd.c"
        __label__ = 4; break; //@line 1030 "tcd.c"
      case 4: // $bb16
        var $141=HEAP[$prc]; //@line 1030 "tcd.c"
        var $142=CHECK_OVERFLOW(($141+16)&4294967295, 32); //@line 1030 "tcd.c"
        var $143=HEAP[$142]; //@line 1030 "tcd.c"
        var $144=HEAP[$prc]; //@line 1030 "tcd.c"
        var $145=CHECK_OVERFLOW(($144+20)&4294967295, 32); //@line 1030 "tcd.c"
        var $146=HEAP[$145]; //@line 1030 "tcd.c"
        var $147=CHECK_OVERFLOW((($143) * ($146))&4294967295, 32); //@line 1030 "tcd.c"
        var $148=HEAP[$cblkno]; //@line 1030 "tcd.c"
        var $149=($147) > ($148); //@line 1030 "tcd.c"
        if ($149) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1030 "tcd.c"
      case 17: // $bb17
        var $150=HEAP[$precno]; //@line 1027 "tcd.c"
        var $151=CHECK_OVERFLOW((($150) + 1)&4294967295, 32); //@line 1027 "tcd.c"
        HEAP[$precno]=$151; //@line 1027 "tcd.c"
        __label__ = 3; break; //@line 1027 "tcd.c"
      case 3: // $bb18
        var $152=HEAP[$res]; //@line 1027 "tcd.c"
        var $153=CHECK_OVERFLOW(($152+16)&4294967295, 32); //@line 1027 "tcd.c"
        var $154=HEAP[$153]; //@line 1027 "tcd.c"
        var $155=HEAP[$res]; //@line 1027 "tcd.c"
        var $156=CHECK_OVERFLOW(($155+20)&4294967295, 32); //@line 1027 "tcd.c"
        var $157=HEAP[$156]; //@line 1027 "tcd.c"
        var $158=CHECK_OVERFLOW((($154) * ($157))&4294967295, 32); //@line 1027 "tcd.c"
        var $159=HEAP[$precno]; //@line 1027 "tcd.c"
        var $160=($158) > ($159); //@line 1027 "tcd.c"
        if ($160) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1027 "tcd.c"
      case 19: // $bb19
        var $161=HEAP[$bandno]; //@line 1024 "tcd.c"
        var $162=CHECK_OVERFLOW((($161) + 1)&4294967295, 32); //@line 1024 "tcd.c"
        HEAP[$bandno]=$162; //@line 1024 "tcd.c"
        __label__ = 2; break; //@line 1024 "tcd.c"
      case 2: // $bb20
        var $163=HEAP[$res]; //@line 1024 "tcd.c"
        var $164=CHECK_OVERFLOW(($163+24)&4294967295, 32); //@line 1024 "tcd.c"
        var $165=HEAP[$164]; //@line 1024 "tcd.c"
        var $166=HEAP[$bandno]; //@line 1024 "tcd.c"
        var $167=($165) > ($166); //@line 1024 "tcd.c"
        if ($167) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1024 "tcd.c"
      case 21: // $bb21
        var $168=HEAP[$resno]; //@line 1021 "tcd.c"
        var $169=CHECK_OVERFLOW((($168) + 1)&4294967295, 32); //@line 1021 "tcd.c"
        HEAP[$resno]=$169; //@line 1021 "tcd.c"
        __label__ = 1; break; //@line 1021 "tcd.c"
      case 1: // $bb22
        var $170=HEAP[$tilec]; //@line 1021 "tcd.c"
        var $171=CHECK_OVERFLOW(($170+16)&4294967295, 32); //@line 1021 "tcd.c"
        var $172=HEAP[$171]; //@line 1021 "tcd.c"
        var $173=HEAP[$resno]; //@line 1021 "tcd.c"
        var $174=($172) > ($173); //@line 1021 "tcd.c"
        if ($174) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1021 "tcd.c"
      case 23: // $bb23
        var $175=HEAP[$tcd_addr]; //@line 1064 "tcd.c"
        var $176=CHECK_OVERFLOW(($175+28)&4294967295, 32); //@line 1064 "tcd.c"
        var $177=HEAP[$176]; //@line 1064 "tcd.c"
        var $178=CHECK_OVERFLOW(($177+24)&4294967295, 32); //@line 1064 "tcd.c"
        var $179=HEAP[$178]; //@line 1064 "tcd.c"
        var $180=HEAP[$compno]; //@line 1064 "tcd.c"
        var $181=CHECK_OVERFLOW(($179+48*$180)&4294967295, 32); //@line 1064 "tcd.c"
        var $182=CHECK_OVERFLOW(($181+24)&4294967295, 32); //@line 1064 "tcd.c"
        var $183=HEAP[$182]; //@line 1064 "tcd.c"
        var $184=1 << ($183); //@line 1064 "tcd.c"
        var $185=($184); //@line 1064 "tcd.c"
        var $186=($185) - 1; //@line 1064 "tcd.c"
        var $187=HEAP[$tcd_addr]; //@line 1064 "tcd.c"
        var $188=CHECK_OVERFLOW(($187+28)&4294967295, 32); //@line 1064 "tcd.c"
        var $189=HEAP[$188]; //@line 1064 "tcd.c"
        var $190=CHECK_OVERFLOW(($189+24)&4294967295, 32); //@line 1064 "tcd.c"
        var $191=HEAP[$190]; //@line 1064 "tcd.c"
        var $192=HEAP[$compno]; //@line 1064 "tcd.c"
        var $193=CHECK_OVERFLOW(($191+48*$192)&4294967295, 32); //@line 1064 "tcd.c"
        var $194=CHECK_OVERFLOW(($193+24)&4294967295, 32); //@line 1064 "tcd.c"
        var $195=HEAP[$194]; //@line 1064 "tcd.c"
        var $196=1 << ($195); //@line 1064 "tcd.c"
        var $197=($196); //@line 1064 "tcd.c"
        var $198=($197) - 1; //@line 1064 "tcd.c"
        var $199=($186) * ($198); //@line 1064 "tcd.c"
        var $200=HEAP[$tilec]; //@line 1064 "tcd.c"
        var $201=CHECK_OVERFLOW(($200+28)&4294967295, 32); //@line 1064 "tcd.c"
        var $202=HEAP[$201]; //@line 1064 "tcd.c"
        var $203=($202); //@line 1064 "tcd.c"
        var $204=($199) * ($203); //@line 1064 "tcd.c"
        var $205=HEAP[$maxSE]; //@line 1064 "tcd.c"
        var $206=($204) + ($205); //@line 1064 "tcd.c"
        HEAP[$maxSE]=$206; //@line 1064 "tcd.c"
        var $207=HEAP[$compno]; //@line 1017 "tcd.c"
        var $208=CHECK_OVERFLOW((($207) + 1)&4294967295, 32); //@line 1017 "tcd.c"
        HEAP[$compno]=$208; //@line 1017 "tcd.c"
        __label__ = 0; break; //@line 1017 "tcd.c"
      case 0: // $bb24
        var $209=HEAP[$tcd_tile]; //@line 1017 "tcd.c"
        var $210=CHECK_OVERFLOW(($209+16)&4294967295, 32); //@line 1017 "tcd.c"
        var $211=HEAP[$210]; //@line 1017 "tcd.c"
        var $212=HEAP[$compno]; //@line 1017 "tcd.c"
        var $213=($211) > ($212); //@line 1017 "tcd.c"
        if ($213) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1017 "tcd.c"
      case 25: // $bb25
        var $214=HEAP[$cstr_info_addr]; //@line 1070 "tcd.c"
        var $215=($214)!=0; //@line 1070 "tcd.c"
        if ($215) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 1070 "tcd.c"
      case 26: // $bb26
        var $216=HEAP[$cstr_info_addr]; //@line 1071 "tcd.c"
        var $217=CHECK_OVERFLOW(($216+88)&4294967295, 32); //@line 1071 "tcd.c"
        var $218=HEAP[$217]; //@line 1071 "tcd.c"
        var $219=HEAP[$tcd_addr]; //@line 1071 "tcd.c"
        var $220=CHECK_OVERFLOW(($219+44)&4294967295, 32); //@line 1071 "tcd.c"
        var $221=HEAP[$220]; //@line 1071 "tcd.c"
        var $222=CHECK_OVERFLOW(($218+572*$221)&4294967295, 32); //@line 1071 "tcd.c"
        HEAP[$tile_info]=$222; //@line 1071 "tcd.c"
        var $223=HEAP[$tcd_tile]; //@line 1072 "tcd.c"
        var $224=CHECK_OVERFLOW(($223+24)&4294967295, 32); //@line 1072 "tcd.c"
        var $225=HEAP[$224]; //@line 1072 "tcd.c"
        var $226=HEAP[$tile_info]; //@line 1072 "tcd.c"
        var $227=CHECK_OVERFLOW(($226+552)&4294967295, 32); //@line 1072 "tcd.c"
        HEAP[$227]=$225; //@line 1072 "tcd.c"
        var $228=HEAP[$tcd_tile]; //@line 1073 "tcd.c"
        var $229=CHECK_OVERFLOW(($228+28)&4294967295, 32); //@line 1073 "tcd.c"
        var $230=HEAP[$229]; //@line 1073 "tcd.c"
        var $231=HEAP[$tile_info]; //@line 1073 "tcd.c"
        var $232=CHECK_OVERFLOW(($231+556)&4294967295, 32); //@line 1073 "tcd.c"
        HEAP[$232]=$230; //@line 1073 "tcd.c"
        var $233=HEAP[$tcd_tcp]; //@line 1074 "tcd.c"
        var $234=CHECK_OVERFLOW(($233+12)&4294967295, 32); //@line 1074 "tcd.c"
        var $235=HEAP[$234]; //@line 1074 "tcd.c"
        var $236=CHECK_OVERFLOW((($235) * 8)&4294967295, 32); //@line 1074 "tcd.c"
        var $237=_malloc($236); //@line 1074 "tcd.c"
        var $238=$237; //@line 1074 "tcd.c"
        var $239=HEAP[$tile_info]; //@line 1074 "tcd.c"
        var $240=CHECK_OVERFLOW(($239)&4294967295, 32); //@line 1074 "tcd.c"
        HEAP[$240]=$238; //@line 1074 "tcd.c"
        __label__ = 27; break; //@line 1074 "tcd.c"
      case 27: // $bb27
        HEAP[$layno]=0; //@line 1077 "tcd.c"
        __label__ = 28; break; //@line 1077 "tcd.c"
      case 72: // $bb28
        var $241=HEAP[$min]; //@line 1078 "tcd.c"
        HEAP[$lo]=$241; //@line 1078 "tcd.c"
        var $242=HEAP[$max]; //@line 1079 "tcd.c"
        HEAP[$hi]=$242; //@line 1079 "tcd.c"
        HEAP[$success]=0; //@line 1080 "tcd.c"
        var $243=HEAP[$layno]; //@line 1081 "tcd.c"
        var $244=HEAP[$tcd_tcp]; //@line 1081 "tcd.c"
        var $245=CHECK_OVERFLOW(($244+20)&4294967295, 32); //@line 1081 "tcd.c"
        var $246=CHECK_OVERFLOW(($245+$243*4)&4294967295, 32); //@line 1081 "tcd.c"
        var $247=HEAP[$246]; //@line 1081 "tcd.c"
        var $248=($247) != 0; //@line 1081 "tcd.c"
        if ($248) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 1081 "tcd.c"
      case 29: // $bb29
        var $249=HEAP[$layno]; //@line 1081 "tcd.c"
        var $250=HEAP[$tcd_tcp]; //@line 1081 "tcd.c"
        var $251=CHECK_OVERFLOW(($250+20)&4294967295, 32); //@line 1081 "tcd.c"
        var $252=CHECK_OVERFLOW(($251+$249*4)&4294967295, 32); //@line 1081 "tcd.c"
        var $253=HEAP[$252]; //@line 1081 "tcd.c"
        var $254=($253); //@line 1081 "tcd.c"
        var $255=_ceil($254); //@line 1081 "tcd.c"
        var $256=(($255)|0); //@line 1081 "tcd.c"
        var $257=HEAP[$len_addr]; //@line 1081 "tcd.c"
        var $258=_int_min72($256, $257); //@line 1081 "tcd.c"
        HEAP[$iftmp_91]=$258; //@line 1081 "tcd.c"
        __label__ = 31; break; //@line 1081 "tcd.c"
      case 30: // $bb30
        var $259=HEAP[$len_addr]; //@line 1081 "tcd.c"
        HEAP[$iftmp_91]=$259; //@line 1081 "tcd.c"
        __label__ = 31; break; //@line 1081 "tcd.c"
      case 31: // $bb31
        var $260=HEAP[$iftmp_91]; //@line 1081 "tcd.c"
        HEAP[$maxlen]=$260; //@line 1081 "tcd.c"
        HEAP[$goodthresh]=0; //@line 1082 "tcd.c"
        HEAP[$stable_thresh]=0; //@line 1083 "tcd.c"
        var $261=HEAP[$tcd_tile]; //@line 1088 "tcd.c"
        var $262=CHECK_OVERFLOW(($261+28)&4294967295, 32); //@line 1088 "tcd.c"
        var $263=HEAP[$262]; //@line 1088 "tcd.c"
        var $264=HEAP[$K]; //@line 1088 "tcd.c"
        var $265=HEAP[$maxSE]; //@line 1088 "tcd.c"
        var $266=($264) * ($265); //@line 1088 "tcd.c"
        var $267=HEAP[$layno]; //@line 1088 "tcd.c"
        var $268=HEAP[$tcd_tcp]; //@line 1088 "tcd.c"
        var $269=CHECK_OVERFLOW(($268+5184)&4294967295, 32); //@line 1088 "tcd.c"
        var $270=CHECK_OVERFLOW(($269+$267*4)&4294967295, 32); //@line 1088 "tcd.c"
        var $271=HEAP[$270]; //@line 1088 "tcd.c"
        var $272=($271) / 10; //@line 1088 "tcd.c"
        var $273=($272); //@line 1088 "tcd.c"
        var $274=_llvm_pow_f64(10, $273); //@line 1088 "tcd.c"
        var $275=($266) / ($274); //@line 1088 "tcd.c"
        var $276=($263) - ($275); //@line 1088 "tcd.c"
        HEAP[$distotarget]=$276; //@line 1088 "tcd.c"
        var $277=HEAP[$cp]; //@line 1094 "tcd.c"
        var $278=CHECK_OVERFLOW(($277+24)&4294967295, 32); //@line 1094 "tcd.c"
        var $279=HEAP[$278]; //@line 1094 "tcd.c"
        var $280=($279)!=1; //@line 1094 "tcd.c"
        if ($280) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 1094 "tcd.c"
      case 33: // $bb32
        var $281=HEAP[$layno]; //@line 1094 "tcd.c"
        var $282=HEAP[$tcd_tcp]; //@line 1094 "tcd.c"
        var $283=CHECK_OVERFLOW(($282+20)&4294967295, 32); //@line 1094 "tcd.c"
        var $284=CHECK_OVERFLOW(($283+$281*4)&4294967295, 32); //@line 1094 "tcd.c"
        var $285=HEAP[$284]; //@line 1094 "tcd.c"
        var $286=($285) > 0; //@line 1094 "tcd.c"
        if ($286) { __label__ = 34; break; } else { __label__ = 32; break; } //@line 1094 "tcd.c"
      case 32: // $bb33
        var $287=HEAP[$cp]; //@line 1094 "tcd.c"
        var $288=CHECK_OVERFLOW(($287+32)&4294967295, 32); //@line 1094 "tcd.c"
        var $289=HEAP[$288]; //@line 1094 "tcd.c"
        var $290=($289)!=1; //@line 1094 "tcd.c"
        if ($290) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 1094 "tcd.c"
      case 36: // $bb34
        var $291=HEAP[$layno]; //@line 1094 "tcd.c"
        var $292=HEAP[$tcd_tcp]; //@line 1094 "tcd.c"
        var $293=CHECK_OVERFLOW(($292+5184)&4294967295, 32); //@line 1094 "tcd.c"
        var $294=CHECK_OVERFLOW(($293+$291*4)&4294967295, 32); //@line 1094 "tcd.c"
        var $295=HEAP[$294]; //@line 1094 "tcd.c"
        var $296=($295) > 0; //@line 1094 "tcd.c"
        if ($296) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 1094 "tcd.c"
      case 34: // $bb35
        var $297=HEAP[$tcd_addr]; //@line 1095 "tcd.c"
        var $298=CHECK_OVERFLOW(($297+28)&4294967295, 32); //@line 1095 "tcd.c"
        var $299=HEAP[$298]; //@line 1095 "tcd.c"
        var $300=HEAP[$tcd_addr]; //@line 1095 "tcd.c"
        var $301=CHECK_OVERFLOW(($300+20)&4294967295, 32); //@line 1095 "tcd.c"
        var $302=HEAP[$301]; //@line 1095 "tcd.c"
        var $303=HEAP[$cp]; //@line 1095 "tcd.c"
        var $304=_t2_create($302, $299, $303); //@line 1095 "tcd.c"
        HEAP[$t2]=$304; //@line 1095 "tcd.c"
        HEAP[$thresh]=0; //@line 1096 "tcd.c"
        HEAP[$i]=0; //@line 1098 "tcd.c"
        __label__ = 37; break; //@line 1098 "tcd.c"
      case 58: // $bb36
        HEAP[$l]=0; //@line 1099 "tcd.c"
        HEAP[$distoachieved]=0; //@line 1100 "tcd.c"
        var $305=HEAP[$lo]; //@line 1101 "tcd.c"
        var $306=HEAP[$hi]; //@line 1101 "tcd.c"
        var $307=($305) + ($306); //@line 1101 "tcd.c"
        var $308=($307) / 2; //@line 1101 "tcd.c"
        HEAP[$thresh]=$308; //@line 1101 "tcd.c"
        var $309=HEAP[$tcd_addr]; //@line 1103 "tcd.c"
        var $310=HEAP[$layno]; //@line 1103 "tcd.c"
        var $311=HEAP[$thresh]; //@line 1103 "tcd.c"
        _tcd_makelayer($309, $310, $311, 0); //@line 1103 "tcd.c"
        var $312=HEAP[$cp]; //@line 1105 "tcd.c"
        var $313=CHECK_OVERFLOW(($312+32)&4294967295, 32); //@line 1105 "tcd.c"
        var $314=HEAP[$313]; //@line 1105 "tcd.c"
        var $315=($314)!=0; //@line 1105 "tcd.c"
        if ($315) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 1105 "tcd.c"
      case 38: // $bb37
        var $316=HEAP[$cp]; //@line 1106 "tcd.c"
        var $317=CHECK_OVERFLOW(($316)&4294967295, 32); //@line 1106 "tcd.c"
        var $318=HEAP[$317]; //@line 1106 "tcd.c"
        var $319=($318)!=0; //@line 1106 "tcd.c"
        if ($319) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 1106 "tcd.c"
      case 40: // $bb38
        var $320=HEAP[$tcd_addr]; //@line 1107 "tcd.c"
        var $321=CHECK_OVERFLOW(($320+12)&4294967295, 32); //@line 1107 "tcd.c"
        var $322=HEAP[$321]; //@line 1107 "tcd.c"
        var $323=HEAP[$tcd_addr]; //@line 1107 "tcd.c"
        var $324=CHECK_OVERFLOW(($323+16)&4294967295, 32); //@line 1107 "tcd.c"
        var $325=HEAP[$324]; //@line 1107 "tcd.c"
        var $326=HEAP[$tcd_addr]; //@line 1107 "tcd.c"
        var $327=CHECK_OVERFLOW(($326)&4294967295, 32); //@line 1107 "tcd.c"
        var $328=HEAP[$327]; //@line 1107 "tcd.c"
        var $329=HEAP[$tcd_addr]; //@line 1107 "tcd.c"
        var $330=CHECK_OVERFLOW(($329+8)&4294967295, 32); //@line 1107 "tcd.c"
        var $331=HEAP[$330]; //@line 1107 "tcd.c"
        var $332=HEAP[$layno]; //@line 1107 "tcd.c"
        var $333=CHECK_OVERFLOW((($332) + 1)&4294967295, 32); //@line 1107 "tcd.c"
        var $334=HEAP[$tcd_addr]; //@line 1107 "tcd.c"
        var $335=CHECK_OVERFLOW(($334+44)&4294967295, 32); //@line 1107 "tcd.c"
        var $336=HEAP[$335]; //@line 1107 "tcd.c"
        var $337=HEAP[$t2]; //@line 1107 "tcd.c"
        var $338=HEAP[$tcd_tile]; //@line 1107 "tcd.c"
        var $339=HEAP[$dest_addr]; //@line 1107 "tcd.c"
        var $340=HEAP[$maxlen]; //@line 1107 "tcd.c"
        var $341=HEAP[$cstr_info_addr]; //@line 1107 "tcd.c"
        var $342=_t2_encode_packets($337, $336, $338, $333, $339, $340, $341, $331, $328, $325, 0, $322); //@line 1107 "tcd.c"
        HEAP[$l]=$342; //@line 1107 "tcd.c"
        var $343=HEAP[$l]; //@line 1108 "tcd.c"
        var $344=($343)==-999; //@line 1108 "tcd.c"
        if ($344) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 1108 "tcd.c"
      case 42: // $bb39
        var $345=HEAP[$thresh]; //@line 1109 "tcd.c"
        HEAP[$lo]=$345; //@line 1109 "tcd.c"
        __label__ = 44; break; //@line 1109 "tcd.c"
      case 43: // $bb40
        var $346=HEAP[$layno]; //@line 1112 "tcd.c"
        var $347=($346)==0; //@line 1112 "tcd.c"
        if ($347) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 1112 "tcd.c"
      case 45: // $bb41
        var $348=HEAP[$tcd_tile]; //@line 1112 "tcd.c"
        var $349=CHECK_OVERFLOW(($348+36)&4294967295, 32); //@line 1112 "tcd.c"
        var $350=CHECK_OVERFLOW(($349)&4294967295, 32); //@line 1112 "tcd.c"
        var $351=HEAP[$350]; //@line 1112 "tcd.c"
        HEAP[$iftmp_97]=$351; //@line 1112 "tcd.c"
        __label__ = 47; break; //@line 1112 "tcd.c"
      case 46: // $bb42
        var $352=HEAP[$layno]; //@line 1112 "tcd.c"
        var $353=CHECK_OVERFLOW((($352) - 1)&4294967295, 32); //@line 1112 "tcd.c"
        var $354=CHECK_OVERFLOW(($cumdisto+$353*8)&4294967295, 32); //@line 1112 "tcd.c"
        var $355=HEAP[$354]; //@line 1112 "tcd.c"
        var $356=HEAP[$layno]; //@line 1112 "tcd.c"
        var $357=HEAP[$tcd_tile]; //@line 1112 "tcd.c"
        var $358=CHECK_OVERFLOW(($357+36)&4294967295, 32); //@line 1112 "tcd.c"
        var $359=CHECK_OVERFLOW(($358+$356*8)&4294967295, 32); //@line 1112 "tcd.c"
        var $360=HEAP[$359]; //@line 1112 "tcd.c"
        var $361=($355) + ($360); //@line 1112 "tcd.c"
        HEAP[$iftmp_97]=$361; //@line 1112 "tcd.c"
        __label__ = 47; break; //@line 1112 "tcd.c"
      case 47: // $bb43
        var $362=HEAP[$iftmp_97]; //@line 1112 "tcd.c"
        HEAP[$distoachieved]=$362; //@line 1112 "tcd.c"
        var $363=HEAP[$distoachieved]; //@line 1114 "tcd.c"
        var $364=HEAP[$distotarget]; //@line 1114 "tcd.c"
        var $365=($363) < ($364); //@line 1114 "tcd.c"
        if ($365) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 1114 "tcd.c"
      case 48: // $bb44
        var $366=HEAP[$thresh]; //@line 1115 "tcd.c"
        HEAP[$hi]=$366; //@line 1115 "tcd.c"
        var $367=HEAP[$thresh]; //@line 1116 "tcd.c"
        HEAP[$stable_thresh]=$367; //@line 1116 "tcd.c"
        __label__ = 44; break; //@line 1116 "tcd.c"
      case 49: // $bb45
        var $368=HEAP[$thresh]; //@line 1119 "tcd.c"
        HEAP[$lo]=$368; //@line 1119 "tcd.c"
        __label__ = 50; break; //@line 1119 "tcd.c"
      case 41: // $bb46
        var $369=HEAP[$layno]; //@line 1123 "tcd.c"
        var $370=($369)==0; //@line 1123 "tcd.c"
        if ($370) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 1123 "tcd.c"
      case 51: // $bb47
        var $371=HEAP[$tcd_tile]; //@line 1123 "tcd.c"
        var $372=CHECK_OVERFLOW(($371+36)&4294967295, 32); //@line 1123 "tcd.c"
        var $373=CHECK_OVERFLOW(($372)&4294967295, 32); //@line 1123 "tcd.c"
        var $374=HEAP[$373]; //@line 1123 "tcd.c"
        HEAP[$iftmp_99]=$374; //@line 1123 "tcd.c"
        __label__ = 53; break; //@line 1123 "tcd.c"
      case 52: // $bb48
        var $375=HEAP[$layno]; //@line 1123 "tcd.c"
        var $376=CHECK_OVERFLOW((($375) - 1)&4294967295, 32); //@line 1123 "tcd.c"
        var $377=CHECK_OVERFLOW(($cumdisto+$376*8)&4294967295, 32); //@line 1123 "tcd.c"
        var $378=HEAP[$377]; //@line 1123 "tcd.c"
        var $379=HEAP[$layno]; //@line 1123 "tcd.c"
        var $380=HEAP[$tcd_tile]; //@line 1123 "tcd.c"
        var $381=CHECK_OVERFLOW(($380+36)&4294967295, 32); //@line 1123 "tcd.c"
        var $382=CHECK_OVERFLOW(($381+$379*8)&4294967295, 32); //@line 1123 "tcd.c"
        var $383=HEAP[$382]; //@line 1123 "tcd.c"
        var $384=($378) + ($383); //@line 1123 "tcd.c"
        HEAP[$iftmp_99]=$384; //@line 1123 "tcd.c"
        __label__ = 53; break; //@line 1123 "tcd.c"
      case 53: // $bb49
        var $385=HEAP[$iftmp_99]; //@line 1123 "tcd.c"
        HEAP[$distoachieved]=$385; //@line 1123 "tcd.c"
        var $386=HEAP[$distoachieved]; //@line 1125 "tcd.c"
        var $387=HEAP[$distotarget]; //@line 1125 "tcd.c"
        var $388=($386) < ($387); //@line 1125 "tcd.c"
        if ($388) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 1125 "tcd.c"
      case 54: // $bb50
        var $389=HEAP[$thresh]; //@line 1126 "tcd.c"
        HEAP[$hi]=$389; //@line 1126 "tcd.c"
        var $390=HEAP[$thresh]; //@line 1127 "tcd.c"
        HEAP[$stable_thresh]=$390; //@line 1127 "tcd.c"
        __label__ = 44; break; //@line 1127 "tcd.c"
      case 55: // $bb51
        var $391=HEAP[$thresh]; //@line 1130 "tcd.c"
        HEAP[$lo]=$391; //@line 1130 "tcd.c"
        __label__ = 50; break; //@line 1130 "tcd.c"
      case 50: // $bb52
        __label__ = 44; break; //@line 1130 "tcd.c"
      case 39: // $bb53
        var $392=HEAP[$tcd_addr]; //@line 1133 "tcd.c"
        var $393=CHECK_OVERFLOW(($392+12)&4294967295, 32); //@line 1133 "tcd.c"
        var $394=HEAP[$393]; //@line 1133 "tcd.c"
        var $395=HEAP[$tcd_addr]; //@line 1133 "tcd.c"
        var $396=CHECK_OVERFLOW(($395+16)&4294967295, 32); //@line 1133 "tcd.c"
        var $397=HEAP[$396]; //@line 1133 "tcd.c"
        var $398=HEAP[$tcd_addr]; //@line 1133 "tcd.c"
        var $399=CHECK_OVERFLOW(($398)&4294967295, 32); //@line 1133 "tcd.c"
        var $400=HEAP[$399]; //@line 1133 "tcd.c"
        var $401=HEAP[$tcd_addr]; //@line 1133 "tcd.c"
        var $402=CHECK_OVERFLOW(($401+8)&4294967295, 32); //@line 1133 "tcd.c"
        var $403=HEAP[$402]; //@line 1133 "tcd.c"
        var $404=HEAP[$layno]; //@line 1133 "tcd.c"
        var $405=CHECK_OVERFLOW((($404) + 1)&4294967295, 32); //@line 1133 "tcd.c"
        var $406=HEAP[$tcd_addr]; //@line 1133 "tcd.c"
        var $407=CHECK_OVERFLOW(($406+44)&4294967295, 32); //@line 1133 "tcd.c"
        var $408=HEAP[$407]; //@line 1133 "tcd.c"
        var $409=HEAP[$t2]; //@line 1133 "tcd.c"
        var $410=HEAP[$tcd_tile]; //@line 1133 "tcd.c"
        var $411=HEAP[$dest_addr]; //@line 1133 "tcd.c"
        var $412=HEAP[$maxlen]; //@line 1133 "tcd.c"
        var $413=HEAP[$cstr_info_addr]; //@line 1133 "tcd.c"
        var $414=_t2_encode_packets($409, $408, $410, $405, $411, $412, $413, $403, $400, $397, 0, $394); //@line 1133 "tcd.c"
        HEAP[$l]=$414; //@line 1133 "tcd.c"
        var $415=HEAP[$l]; //@line 1136 "tcd.c"
        var $416=($415)==-999; //@line 1136 "tcd.c"
        if ($416) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 1136 "tcd.c"
      case 56: // $bb54
        var $417=HEAP[$thresh]; //@line 1137 "tcd.c"
        HEAP[$lo]=$417; //@line 1137 "tcd.c"
        __label__ = 44; break; //@line 1137 "tcd.c"
      case 57: // $bb55
        var $418=HEAP[$thresh]; //@line 1140 "tcd.c"
        HEAP[$hi]=$418; //@line 1140 "tcd.c"
        var $419=HEAP[$thresh]; //@line 1141 "tcd.c"
        HEAP[$stable_thresh]=$419; //@line 1141 "tcd.c"
        __label__ = 44; break; //@line 1141 "tcd.c"
      case 44: // $bb56
        var $420=HEAP[$i]; //@line 1098 "tcd.c"
        var $421=CHECK_OVERFLOW((($420) + 1)&4294967295, 32); //@line 1098 "tcd.c"
        HEAP[$i]=$421; //@line 1098 "tcd.c"
        __label__ = 37; break; //@line 1098 "tcd.c"
      case 37: // $bb57
        var $422=HEAP[$i]; //@line 1098 "tcd.c"
        var $423=($422) <= 127; //@line 1098 "tcd.c"
        if ($423) { __label__ = 58; break; } else { __label__ = 59; break; } //@line 1098 "tcd.c"
      case 59: // $bb58
        HEAP[$success]=1; //@line 1144 "tcd.c"
        var $424=HEAP[$stable_thresh]; //@line 1145 "tcd.c"
        var $425=($424) == 0; //@line 1145 "tcd.c"
        if ($425) { __label__ = 60; break; } else { __label__ = 61; break; } //@line 1145 "tcd.c"
      case 60: // $bb59
        var $426=HEAP[$thresh]; //@line 1145 "tcd.c"
        HEAP[$iftmp_101]=$426; //@line 1145 "tcd.c"
        __label__ = 62; break; //@line 1145 "tcd.c"
      case 61: // $bb60
        var $427=HEAP[$stable_thresh]; //@line 1145 "tcd.c"
        HEAP[$iftmp_101]=$427; //@line 1145 "tcd.c"
        __label__ = 62; break; //@line 1145 "tcd.c"
      case 62: // $bb61
        var $428=HEAP[$iftmp_101]; //@line 1145 "tcd.c"
        HEAP[$goodthresh]=$428; //@line 1145 "tcd.c"
        var $429=HEAP[$t2]; //@line 1146 "tcd.c"
        _t2_destroy($429); //@line 1146 "tcd.c"
        __label__ = 63; break; //@line 1146 "tcd.c"
      case 35: // $bb62
        HEAP[$success]=1; //@line 1148 "tcd.c"
        var $430=HEAP[$min]; //@line 1149 "tcd.c"
        HEAP[$goodthresh]=$430; //@line 1149 "tcd.c"
        __label__ = 63; break; //@line 1149 "tcd.c"
      case 63: // $bb63
        var $431=HEAP[$success]; //@line 1152 "tcd.c"
        var $432=($431)==0; //@line 1152 "tcd.c"
        if ($432) { __label__ = 64; break; } else { __label__ = 65; break; } //@line 1152 "tcd.c"
      case 64: // $bb64
        HEAP[$0]=0; //@line 1153 "tcd.c"
        __label__ = 66; break; //@line 1153 "tcd.c"
      case 65: // $bb65
        var $433=HEAP[$cstr_info_addr]; //@line 1156 "tcd.c"
        var $434=($433)!=0; //@line 1156 "tcd.c"
        if ($434) { __label__ = 67; break; } else { __label__ = 68; break; } //@line 1156 "tcd.c"
      case 67: // $bb66
        var $435=HEAP[$cstr_info_addr]; //@line 1157 "tcd.c"
        var $436=CHECK_OVERFLOW(($435+88)&4294967295, 32); //@line 1157 "tcd.c"
        var $437=HEAP[$436]; //@line 1157 "tcd.c"
        var $438=HEAP[$tcd_addr]; //@line 1157 "tcd.c"
        var $439=CHECK_OVERFLOW(($438+44)&4294967295, 32); //@line 1157 "tcd.c"
        var $440=HEAP[$439]; //@line 1157 "tcd.c"
        var $441=CHECK_OVERFLOW(($437+572*$440)&4294967295, 32); //@line 1157 "tcd.c"
        var $442=CHECK_OVERFLOW(($441)&4294967295, 32); //@line 1157 "tcd.c"
        var $443=HEAP[$442]; //@line 1157 "tcd.c"
        var $444=HEAP[$layno]; //@line 1157 "tcd.c"
        var $445=CHECK_OVERFLOW(($443+8*$444)&4294967295, 32); //@line 1157 "tcd.c"
        var $446=HEAP[$goodthresh]; //@line 1157 "tcd.c"
        HEAP[$445]=$446; //@line 1157 "tcd.c"
        __label__ = 68; break; //@line 1157 "tcd.c"
      case 68: // $bb67
        var $447=HEAP[$tcd_addr]; //@line 1159 "tcd.c"
        var $448=HEAP[$layno]; //@line 1159 "tcd.c"
        var $449=HEAP[$goodthresh]; //@line 1159 "tcd.c"
        _tcd_makelayer($447, $448, $449, 1); //@line 1159 "tcd.c"
        var $450=HEAP[$layno]; //@line 1162 "tcd.c"
        var $451=HEAP[$layno]; //@line 1162 "tcd.c"
        var $452=($451)==0; //@line 1162 "tcd.c"
        if ($452) { __label__ = 69; break; } else { __label__ = 70; break; } //@line 1162 "tcd.c"
      case 69: // $bb68
        var $453=HEAP[$tcd_tile]; //@line 1162 "tcd.c"
        var $454=CHECK_OVERFLOW(($453+36)&4294967295, 32); //@line 1162 "tcd.c"
        var $455=CHECK_OVERFLOW(($454)&4294967295, 32); //@line 1162 "tcd.c"
        var $456=HEAP[$455]; //@line 1162 "tcd.c"
        HEAP[$iftmp_103]=$456; //@line 1162 "tcd.c"
        __label__ = 71; break; //@line 1162 "tcd.c"
      case 70: // $bb69
        var $457=HEAP[$layno]; //@line 1162 "tcd.c"
        var $458=CHECK_OVERFLOW((($457) - 1)&4294967295, 32); //@line 1162 "tcd.c"
        var $459=CHECK_OVERFLOW(($cumdisto+$458*8)&4294967295, 32); //@line 1162 "tcd.c"
        var $460=HEAP[$459]; //@line 1162 "tcd.c"
        var $461=HEAP[$layno]; //@line 1162 "tcd.c"
        var $462=HEAP[$tcd_tile]; //@line 1162 "tcd.c"
        var $463=CHECK_OVERFLOW(($462+36)&4294967295, 32); //@line 1162 "tcd.c"
        var $464=CHECK_OVERFLOW(($463+$461*8)&4294967295, 32); //@line 1162 "tcd.c"
        var $465=HEAP[$464]; //@line 1162 "tcd.c"
        var $466=($460) + ($465); //@line 1162 "tcd.c"
        HEAP[$iftmp_103]=$466; //@line 1162 "tcd.c"
        __label__ = 71; break; //@line 1162 "tcd.c"
      case 71: // $bb70
        var $467=CHECK_OVERFLOW(($cumdisto+$450*8)&4294967295, 32); //@line 1162 "tcd.c"
        var $468=HEAP[$iftmp_103]; //@line 1162 "tcd.c"
        HEAP[$467]=$468; //@line 1162 "tcd.c"
        var $469=HEAP[$layno]; //@line 1077 "tcd.c"
        var $470=CHECK_OVERFLOW((($469) + 1)&4294967295, 32); //@line 1077 "tcd.c"
        HEAP[$layno]=$470; //@line 1077 "tcd.c"
        __label__ = 28; break; //@line 1077 "tcd.c"
      case 28: // $bb71
        var $471=HEAP[$tcd_tcp]; //@line 1077 "tcd.c"
        var $472=CHECK_OVERFLOW(($471+12)&4294967295, 32); //@line 1077 "tcd.c"
        var $473=HEAP[$472]; //@line 1077 "tcd.c"
        var $474=HEAP[$layno]; //@line 1077 "tcd.c"
        var $475=($473) > ($474); //@line 1077 "tcd.c"
        if ($475) { __label__ = 72; break; } else { __label__ = 73; break; } //@line 1077 "tcd.c"
      case 73: // $bb72
        HEAP[$0]=1; //@line 1165 "tcd.c"
        __label__ = 66; break; //@line 1165 "tcd.c"
      case 66: // $bb73
        var $476=HEAP[$0]; //@line 1153 "tcd.c"
        HEAP[$retval]=$476; //@line 1153 "tcd.c"
        __label__ = 74; break; //@line 1153 "tcd.c"
      case 74: // $return
        var $retval74=HEAP[$retval]; //@line 1153 "tcd.c"
        STACKTOP = __stackBase__;
        return $retval74; //@line 1153 "tcd.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tcd_encode_tile($tcd, $tileno, $dest, $len, $cstr_info) {
    var __stackBase__  = STACKTOP; STACKTOP += 148; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 148);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tcd_addr=__stackBase__;
        var $tileno_addr=__stackBase__+4;
        var $dest_addr=__stackBase__+8;
        var $len_addr=__stackBase__+12;
        var $cstr_info_addr=__stackBase__+16;
        var $retval=__stackBase__+20;
        var $0=__stackBase__+24;
        var $iftmp_111=__stackBase__+28;
        var $compno=__stackBase__+32;
        var $l=__stackBase__+36;
        var $i=__stackBase__+40;
        var $numpacks=__stackBase__+44;
        var $tile=__stackBase__+48;
        var $tcd_tcp=__stackBase__+52;
        var $cp=__stackBase__+56;
        var $tcp=__stackBase__+60;
        var $tccp=__stackBase__+64;
        var $image=__stackBase__+68;
        var $t1=__stackBase__+72;
        var $t2=__stackBase__+76;
        var $tilec_idx=__stackBase__+80;
        var $res_idx=__stackBase__+84;
        var $x=__stackBase__+88;
        var $y=__stackBase__+92;
        var $adjust=__stackBase__+96;
        var $offset_x=__stackBase__+100;
        var $offset_y=__stackBase__+104;
        var $tilec=__stackBase__+108;
        var $tw=__stackBase__+112;
        var $w=__stackBase__+116;
        var $data=__stackBase__+120;
        var $tile_data=__stackBase__+124;
        var $data20=__stackBase__+128;
        var $tile_data21=__stackBase__+132;
        var $samples=__stackBase__+136;
        var $tilec34=__stackBase__+140;
        var $tilec51=__stackBase__+144;
        var $_alloca_point_=0;
        HEAP[$tcd_addr]=$tcd;
        HEAP[$tileno_addr]=$tileno;
        HEAP[$dest_addr]=$dest;
        HEAP[$len_addr]=$len;
        HEAP[$cstr_info_addr]=$cstr_info;
        HEAP[$numpacks]=0; //@line 1170 "tcd.c"
        HEAP[$tile]=0; //@line 1171 "tcd.c"
        HEAP[$tcd_tcp]=0; //@line 1172 "tcd.c"
        HEAP[$cp]=0; //@line 1173 "tcd.c"
        var $1=HEAP[$tcd_addr]; //@line 1175 "tcd.c"
        var $2=CHECK_OVERFLOW(($1+32)&4294967295, 32); //@line 1175 "tcd.c"
        var $3=HEAP[$2]; //@line 1175 "tcd.c"
        var $4=CHECK_OVERFLOW(($3+108)&4294967295, 32); //@line 1175 "tcd.c"
        var $5=HEAP[$4]; //@line 1175 "tcd.c"
        var $6=CHECK_OVERFLOW(($5)&4294967295, 32); //@line 1175 "tcd.c"
        HEAP[$tcp]=$6; //@line 1175 "tcd.c"
        var $7=HEAP[$tcp]; //@line 1176 "tcd.c"
        var $8=CHECK_OVERFLOW(($7+5584)&4294967295, 32); //@line 1176 "tcd.c"
        var $9=HEAP[$8]; //@line 1176 "tcd.c"
        var $10=CHECK_OVERFLOW(($9)&4294967295, 32); //@line 1176 "tcd.c"
        HEAP[$tccp]=$10; //@line 1176 "tcd.c"
        var $11=HEAP[$tcd_addr]; //@line 1177 "tcd.c"
        var $12=CHECK_OVERFLOW(($11+28)&4294967295, 32); //@line 1177 "tcd.c"
        var $13=HEAP[$12]; //@line 1177 "tcd.c"
        HEAP[$image]=$13; //@line 1177 "tcd.c"
        HEAP[$t1]=0; //@line 1179 "tcd.c"
        HEAP[$t2]=0; //@line 1180 "tcd.c"
        var $14=HEAP[$tcd_addr]; //@line 1182 "tcd.c"
        var $15=CHECK_OVERFLOW(($14+44)&4294967295, 32); //@line 1182 "tcd.c"
        var $16=HEAP[$tileno_addr]; //@line 1182 "tcd.c"
        HEAP[$15]=$16; //@line 1182 "tcd.c"
        var $17=HEAP[$tcd_addr]; //@line 1183 "tcd.c"
        var $18=CHECK_OVERFLOW(($17+24)&4294967295, 32); //@line 1183 "tcd.c"
        var $19=HEAP[$18]; //@line 1183 "tcd.c"
        var $20=CHECK_OVERFLOW(($19+8)&4294967295, 32); //@line 1183 "tcd.c"
        var $21=HEAP[$20]; //@line 1183 "tcd.c"
        var $22=HEAP[$tcd_addr]; //@line 1183 "tcd.c"
        var $23=CHECK_OVERFLOW(($22+36)&4294967295, 32); //@line 1183 "tcd.c"
        HEAP[$23]=$21; //@line 1183 "tcd.c"
        var $24=HEAP[$tcd_addr]; //@line 1184 "tcd.c"
        var $25=CHECK_OVERFLOW(($24+32)&4294967295, 32); //@line 1184 "tcd.c"
        var $26=HEAP[$25]; //@line 1184 "tcd.c"
        var $27=CHECK_OVERFLOW(($26+108)&4294967295, 32); //@line 1184 "tcd.c"
        var $28=HEAP[$27]; //@line 1184 "tcd.c"
        var $29=HEAP[$tileno_addr]; //@line 1184 "tcd.c"
        var $30=CHECK_OVERFLOW(($28+5588*$29)&4294967295, 32); //@line 1184 "tcd.c"
        var $31=HEAP[$tcd_addr]; //@line 1184 "tcd.c"
        var $32=CHECK_OVERFLOW(($31+40)&4294967295, 32); //@line 1184 "tcd.c"
        HEAP[$32]=$30; //@line 1184 "tcd.c"
        var $33=HEAP[$tcd_addr]; //@line 1186 "tcd.c"
        var $34=CHECK_OVERFLOW(($33+36)&4294967295, 32); //@line 1186 "tcd.c"
        var $35=HEAP[$34]; //@line 1186 "tcd.c"
        HEAP[$tile]=$35; //@line 1186 "tcd.c"
        var $36=HEAP[$tcd_addr]; //@line 1187 "tcd.c"
        var $37=CHECK_OVERFLOW(($36+40)&4294967295, 32); //@line 1187 "tcd.c"
        var $38=HEAP[$37]; //@line 1187 "tcd.c"
        HEAP[$tcd_tcp]=$38; //@line 1187 "tcd.c"
        var $39=HEAP[$tcd_addr]; //@line 1188 "tcd.c"
        var $40=CHECK_OVERFLOW(($39+32)&4294967295, 32); //@line 1188 "tcd.c"
        var $41=HEAP[$40]; //@line 1188 "tcd.c"
        HEAP[$cp]=$41; //@line 1188 "tcd.c"
        var $42=HEAP[$tcd_addr]; //@line 1190 "tcd.c"
        var $43=CHECK_OVERFLOW(($42+8)&4294967295, 32); //@line 1190 "tcd.c"
        var $44=HEAP[$43]; //@line 1190 "tcd.c"
        var $45=($44)==0; //@line 1190 "tcd.c"
        if ($45) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1190 "tcd.c"
      case 0: // $bb
        var $46=_opj_clock(); //@line 1191 "tcd.c"
        var $47=HEAP[$tcd_addr]; //@line 1191 "tcd.c"
        var $48=CHECK_OVERFLOW(($47+48)&4294967295, 32); //@line 1191 "tcd.c"
        HEAP[$48]=$46; //@line 1191 "tcd.c"
        var $49=HEAP[$cstr_info_addr]; //@line 1193 "tcd.c"
        var $50=($49)!=0; //@line 1193 "tcd.c"
        if ($50) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 1193 "tcd.c"
      case 2: // $bb1
        var $51=HEAP[$tile]; //@line 1194 "tcd.c"
        var $52=CHECK_OVERFLOW(($51+20)&4294967295, 32); //@line 1194 "tcd.c"
        var $53=HEAP[$52]; //@line 1194 "tcd.c"
        var $54=CHECK_OVERFLOW(($53)&4294967295, 32); //@line 1194 "tcd.c"
        HEAP[$tilec_idx]=$54; //@line 1194 "tcd.c"
        HEAP[$i]=0; //@line 1195 "tcd.c"
        __label__ = 4; break; //@line 1195 "tcd.c"
      case 5: // $bb2
        var $55=HEAP[$tilec_idx]; //@line 1196 "tcd.c"
        var $56=CHECK_OVERFLOW(($55+20)&4294967295, 32); //@line 1196 "tcd.c"
        var $57=HEAP[$56]; //@line 1196 "tcd.c"
        var $58=HEAP[$i]; //@line 1196 "tcd.c"
        var $59=CHECK_OVERFLOW(($57+124*$58)&4294967295, 32); //@line 1196 "tcd.c"
        HEAP[$res_idx]=$59; //@line 1196 "tcd.c"
        var $60=HEAP[$cstr_info_addr]; //@line 1198 "tcd.c"
        var $61=CHECK_OVERFLOW(($60+88)&4294967295, 32); //@line 1198 "tcd.c"
        var $62=HEAP[$61]; //@line 1198 "tcd.c"
        var $63=HEAP[$tileno_addr]; //@line 1198 "tcd.c"
        var $64=CHECK_OVERFLOW(($62+572*$63)&4294967295, 32); //@line 1198 "tcd.c"
        var $65=HEAP[$i]; //@line 1198 "tcd.c"
        var $66=HEAP[$res_idx]; //@line 1198 "tcd.c"
        var $67=CHECK_OVERFLOW(($66+16)&4294967295, 32); //@line 1198 "tcd.c"
        var $68=HEAP[$67]; //@line 1198 "tcd.c"
        var $69=CHECK_OVERFLOW(($64+20)&4294967295, 32); //@line 1198 "tcd.c"
        var $70=CHECK_OVERFLOW(($69+$65*4)&4294967295, 32); //@line 1198 "tcd.c"
        HEAP[$70]=$68; //@line 1198 "tcd.c"
        var $71=HEAP[$cstr_info_addr]; //@line 1199 "tcd.c"
        var $72=CHECK_OVERFLOW(($71+88)&4294967295, 32); //@line 1199 "tcd.c"
        var $73=HEAP[$72]; //@line 1199 "tcd.c"
        var $74=HEAP[$tileno_addr]; //@line 1199 "tcd.c"
        var $75=CHECK_OVERFLOW(($73+572*$74)&4294967295, 32); //@line 1199 "tcd.c"
        var $76=HEAP[$i]; //@line 1199 "tcd.c"
        var $77=HEAP[$res_idx]; //@line 1199 "tcd.c"
        var $78=CHECK_OVERFLOW(($77+20)&4294967295, 32); //@line 1199 "tcd.c"
        var $79=HEAP[$78]; //@line 1199 "tcd.c"
        var $80=CHECK_OVERFLOW(($75+152)&4294967295, 32); //@line 1199 "tcd.c"
        var $81=CHECK_OVERFLOW(($80+$76*4)&4294967295, 32); //@line 1199 "tcd.c"
        HEAP[$81]=$79; //@line 1199 "tcd.c"
        var $82=HEAP[$res_idx]; //@line 1201 "tcd.c"
        var $83=CHECK_OVERFLOW(($82+16)&4294967295, 32); //@line 1201 "tcd.c"
        var $84=HEAP[$83]; //@line 1201 "tcd.c"
        var $85=HEAP[$res_idx]; //@line 1201 "tcd.c"
        var $86=CHECK_OVERFLOW(($85+20)&4294967295, 32); //@line 1201 "tcd.c"
        var $87=HEAP[$86]; //@line 1201 "tcd.c"
        var $88=CHECK_OVERFLOW((($84) * ($87))&4294967295, 32); //@line 1201 "tcd.c"
        var $89=HEAP[$numpacks]; //@line 1201 "tcd.c"
        var $90=CHECK_OVERFLOW((($88) + ($89))&4294967295, 32); //@line 1201 "tcd.c"
        HEAP[$numpacks]=$90; //@line 1201 "tcd.c"
        var $91=HEAP[$cstr_info_addr]; //@line 1203 "tcd.c"
        var $92=CHECK_OVERFLOW(($91+88)&4294967295, 32); //@line 1203 "tcd.c"
        var $93=HEAP[$92]; //@line 1203 "tcd.c"
        var $94=HEAP[$tileno_addr]; //@line 1203 "tcd.c"
        var $95=CHECK_OVERFLOW(($93+572*$94)&4294967295, 32); //@line 1203 "tcd.c"
        var $96=HEAP[$i]; //@line 1203 "tcd.c"
        var $97=HEAP[$i]; //@line 1203 "tcd.c"
        var $98=HEAP[$tccp]; //@line 1203 "tcd.c"
        var $99=CHECK_OVERFLOW(($98+812)&4294967295, 32); //@line 1203 "tcd.c"
        var $100=CHECK_OVERFLOW(($99+$97*4)&4294967295, 32); //@line 1203 "tcd.c"
        var $101=HEAP[$100]; //@line 1203 "tcd.c"
        var $102=CHECK_OVERFLOW(($95+284)&4294967295, 32); //@line 1203 "tcd.c"
        var $103=CHECK_OVERFLOW(($102+$96*4)&4294967295, 32); //@line 1203 "tcd.c"
        HEAP[$103]=$101; //@line 1203 "tcd.c"
        var $104=HEAP[$cstr_info_addr]; //@line 1204 "tcd.c"
        var $105=CHECK_OVERFLOW(($104+88)&4294967295, 32); //@line 1204 "tcd.c"
        var $106=HEAP[$105]; //@line 1204 "tcd.c"
        var $107=HEAP[$tileno_addr]; //@line 1204 "tcd.c"
        var $108=CHECK_OVERFLOW(($106+572*$107)&4294967295, 32); //@line 1204 "tcd.c"
        var $109=HEAP[$i]; //@line 1204 "tcd.c"
        var $110=HEAP[$i]; //@line 1204 "tcd.c"
        var $111=HEAP[$tccp]; //@line 1204 "tcd.c"
        var $112=CHECK_OVERFLOW(($111+944)&4294967295, 32); //@line 1204 "tcd.c"
        var $113=CHECK_OVERFLOW(($112+$110*4)&4294967295, 32); //@line 1204 "tcd.c"
        var $114=HEAP[$113]; //@line 1204 "tcd.c"
        var $115=CHECK_OVERFLOW(($108+416)&4294967295, 32); //@line 1204 "tcd.c"
        var $116=CHECK_OVERFLOW(($115+$109*4)&4294967295, 32); //@line 1204 "tcd.c"
        HEAP[$116]=$114; //@line 1204 "tcd.c"
        var $117=HEAP[$i]; //@line 1195 "tcd.c"
        var $118=CHECK_OVERFLOW((($117) + 1)&4294967295, 32); //@line 1195 "tcd.c"
        HEAP[$i]=$118; //@line 1195 "tcd.c"
        __label__ = 4; break; //@line 1195 "tcd.c"
      case 4: // $bb3
        var $119=HEAP[$tilec_idx]; //@line 1195 "tcd.c"
        var $120=CHECK_OVERFLOW(($119+16)&4294967295, 32); //@line 1195 "tcd.c"
        var $121=HEAP[$120]; //@line 1195 "tcd.c"
        var $122=HEAP[$i]; //@line 1195 "tcd.c"
        var $123=($121) > ($122); //@line 1195 "tcd.c"
        if ($123) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 1195 "tcd.c"
      case 6: // $bb4
        var $124=HEAP[$cstr_info_addr]; //@line 1206 "tcd.c"
        var $125=CHECK_OVERFLOW(($124+88)&4294967295, 32); //@line 1206 "tcd.c"
        var $126=HEAP[$125]; //@line 1206 "tcd.c"
        var $127=HEAP[$tileno_addr]; //@line 1206 "tcd.c"
        var $128=CHECK_OVERFLOW(($126+572*$127)&4294967295, 32); //@line 1206 "tcd.c"
        var $129=HEAP[$cstr_info_addr]; //@line 1206 "tcd.c"
        var $130=CHECK_OVERFLOW(($129+52)&4294967295, 32); //@line 1206 "tcd.c"
        var $131=HEAP[$130]; //@line 1206 "tcd.c"
        var $132=HEAP[$cstr_info_addr]; //@line 1206 "tcd.c"
        var $133=CHECK_OVERFLOW(($132+56)&4294967295, 32); //@line 1206 "tcd.c"
        var $134=HEAP[$133]; //@line 1206 "tcd.c"
        var $135=CHECK_OVERFLOW((($131) * ($134))&4294967295, 32); //@line 1206 "tcd.c"
        var $136=HEAP[$numpacks]; //@line 1206 "tcd.c"
        var $137=CHECK_OVERFLOW((($135) * ($136))&4294967295, 32); //@line 1206 "tcd.c"
        var $138=_calloc($137, 20); //@line 1206 "tcd.c"
        var $139=$138; //@line 1206 "tcd.c"
        var $140=CHECK_OVERFLOW(($128+548)&4294967295, 32); //@line 1206 "tcd.c"
        HEAP[$140]=$139; //@line 1206 "tcd.c"
        __label__ = 3; break; //@line 1206 "tcd.c"
      case 3: // $bb5
        HEAP[$compno]=0; //@line 1212 "tcd.c"
        __label__ = 7; break; //@line 1212 "tcd.c"
      case 26: // $bb6
        var $141=HEAP[$image]; //@line 1215 "tcd.c"
        var $142=CHECK_OVERFLOW(($141+24)&4294967295, 32); //@line 1215 "tcd.c"
        var $143=HEAP[$142]; //@line 1215 "tcd.c"
        var $144=HEAP[$compno]; //@line 1215 "tcd.c"
        var $145=CHECK_OVERFLOW(($143+48*$144)&4294967295, 32); //@line 1215 "tcd.c"
        var $146=CHECK_OVERFLOW(($145+32)&4294967295, 32); //@line 1215 "tcd.c"
        var $147=HEAP[$146]; //@line 1215 "tcd.c"
        var $148=($147)==0; //@line 1215 "tcd.c"
        if ($148) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1215 "tcd.c"
      case 8: // $bb7
        var $149=HEAP[$image]; //@line 1215 "tcd.c"
        var $150=CHECK_OVERFLOW(($149+24)&4294967295, 32); //@line 1215 "tcd.c"
        var $151=HEAP[$150]; //@line 1215 "tcd.c"
        var $152=HEAP[$compno]; //@line 1215 "tcd.c"
        var $153=CHECK_OVERFLOW(($151+48*$152)&4294967295, 32); //@line 1215 "tcd.c"
        var $154=CHECK_OVERFLOW(($153+24)&4294967295, 32); //@line 1215 "tcd.c"
        var $155=HEAP[$154]; //@line 1215 "tcd.c"
        var $156=CHECK_OVERFLOW((($155) - 1)&4294967295, 32); //@line 1215 "tcd.c"
        var $157=1 << ($156); //@line 1215 "tcd.c"
        HEAP[$iftmp_111]=$157; //@line 1215 "tcd.c"
        __label__ = 10; break; //@line 1215 "tcd.c"
      case 9: // $bb8
        HEAP[$iftmp_111]=0; //@line 1215 "tcd.c"
        __label__ = 10; break; //@line 1215 "tcd.c"
      case 10: // $bb9
        var $158=HEAP[$iftmp_111]; //@line 1215 "tcd.c"
        HEAP[$adjust]=$158; //@line 1215 "tcd.c"
        var $159=HEAP[$image]; //@line 1216 "tcd.c"
        var $160=CHECK_OVERFLOW(($159+24)&4294967295, 32); //@line 1216 "tcd.c"
        var $161=HEAP[$160]; //@line 1216 "tcd.c"
        var $162=HEAP[$compno]; //@line 1216 "tcd.c"
        var $163=CHECK_OVERFLOW(($161+48*$162)&4294967295, 32); //@line 1216 "tcd.c"
        var $164=CHECK_OVERFLOW(($163)&4294967295, 32); //@line 1216 "tcd.c"
        var $165=HEAP[$164]; //@line 1216 "tcd.c"
        var $166=HEAP[$image]; //@line 1216 "tcd.c"
        var $167=CHECK_OVERFLOW(($166)&4294967295, 32); //@line 1216 "tcd.c"
        var $168=HEAP[$167]; //@line 1216 "tcd.c"
        var $169=_int_ceildiv73($168, $165); //@line 1216 "tcd.c"
        HEAP[$offset_x]=$169; //@line 1216 "tcd.c"
        var $170=HEAP[$image]; //@line 1217 "tcd.c"
        var $171=CHECK_OVERFLOW(($170+24)&4294967295, 32); //@line 1217 "tcd.c"
        var $172=HEAP[$171]; //@line 1217 "tcd.c"
        var $173=HEAP[$compno]; //@line 1217 "tcd.c"
        var $174=CHECK_OVERFLOW(($172+48*$173)&4294967295, 32); //@line 1217 "tcd.c"
        var $175=CHECK_OVERFLOW(($174+4)&4294967295, 32); //@line 1217 "tcd.c"
        var $176=HEAP[$175]; //@line 1217 "tcd.c"
        var $177=HEAP[$image]; //@line 1217 "tcd.c"
        var $178=CHECK_OVERFLOW(($177+4)&4294967295, 32); //@line 1217 "tcd.c"
        var $179=HEAP[$178]; //@line 1217 "tcd.c"
        var $180=_int_ceildiv73($179, $176); //@line 1217 "tcd.c"
        HEAP[$offset_y]=$180; //@line 1217 "tcd.c"
        var $181=HEAP[$tile]; //@line 1219 "tcd.c"
        var $182=CHECK_OVERFLOW(($181+20)&4294967295, 32); //@line 1219 "tcd.c"
        var $183=HEAP[$182]; //@line 1219 "tcd.c"
        var $184=HEAP[$compno]; //@line 1219 "tcd.c"
        var $185=CHECK_OVERFLOW(($183+32*$184)&4294967295, 32); //@line 1219 "tcd.c"
        HEAP[$tilec]=$185; //@line 1219 "tcd.c"
        var $186=HEAP[$tilec]; //@line 1220 "tcd.c"
        var $187=CHECK_OVERFLOW(($186+8)&4294967295, 32); //@line 1220 "tcd.c"
        var $188=HEAP[$187]; //@line 1220 "tcd.c"
        var $189=HEAP[$tilec]; //@line 1220 "tcd.c"
        var $190=CHECK_OVERFLOW(($189)&4294967295, 32); //@line 1220 "tcd.c"
        var $191=HEAP[$190]; //@line 1220 "tcd.c"
        var $192=CHECK_OVERFLOW((($188) - ($191))&4294967295, 32); //@line 1220 "tcd.c"
        HEAP[$tw]=$192; //@line 1220 "tcd.c"
        var $193=HEAP[$image]; //@line 1221 "tcd.c"
        var $194=CHECK_OVERFLOW(($193+24)&4294967295, 32); //@line 1221 "tcd.c"
        var $195=HEAP[$194]; //@line 1221 "tcd.c"
        var $196=HEAP[$compno]; //@line 1221 "tcd.c"
        var $197=CHECK_OVERFLOW(($195+48*$196)&4294967295, 32); //@line 1221 "tcd.c"
        var $198=CHECK_OVERFLOW(($197)&4294967295, 32); //@line 1221 "tcd.c"
        var $199=HEAP[$198]; //@line 1221 "tcd.c"
        var $200=HEAP[$image]; //@line 1221 "tcd.c"
        var $201=CHECK_OVERFLOW(($200+8)&4294967295, 32); //@line 1221 "tcd.c"
        var $202=HEAP[$201]; //@line 1221 "tcd.c"
        var $203=HEAP[$image]; //@line 1221 "tcd.c"
        var $204=CHECK_OVERFLOW(($203)&4294967295, 32); //@line 1221 "tcd.c"
        var $205=HEAP[$204]; //@line 1221 "tcd.c"
        var $206=CHECK_OVERFLOW((($202) - ($205))&4294967295, 32); //@line 1221 "tcd.c"
        var $207=_int_ceildiv73($206, $199); //@line 1221 "tcd.c"
        HEAP[$w]=$207; //@line 1221 "tcd.c"
        var $208=HEAP[$tcd_tcp]; //@line 1225 "tcd.c"
        var $209=CHECK_OVERFLOW(($208+5584)&4294967295, 32); //@line 1225 "tcd.c"
        var $210=HEAP[$209]; //@line 1225 "tcd.c"
        var $211=HEAP[$compno]; //@line 1225 "tcd.c"
        var $212=CHECK_OVERFLOW(($210+1076*$211)&4294967295, 32); //@line 1225 "tcd.c"
        var $213=CHECK_OVERFLOW(($212+20)&4294967295, 32); //@line 1225 "tcd.c"
        var $214=HEAP[$213]; //@line 1225 "tcd.c"
        var $215=($214)==1; //@line 1225 "tcd.c"
        if ($215) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1225 "tcd.c"
      case 11: // $bb10
        var $216=HEAP[$tilec]; //@line 1226 "tcd.c"
        var $217=CHECK_OVERFLOW(($216+4)&4294967295, 32); //@line 1226 "tcd.c"
        var $218=HEAP[$217]; //@line 1226 "tcd.c"
        HEAP[$y]=$218; //@line 1226 "tcd.c"
        __label__ = 13; break; //@line 1226 "tcd.c"
      case 17: // $bb11
        var $219=HEAP[$image]; //@line 1228 "tcd.c"
        var $220=CHECK_OVERFLOW(($219+24)&4294967295, 32); //@line 1228 "tcd.c"
        var $221=HEAP[$220]; //@line 1228 "tcd.c"
        var $222=HEAP[$compno]; //@line 1228 "tcd.c"
        var $223=CHECK_OVERFLOW(($221+48*$222)&4294967295, 32); //@line 1228 "tcd.c"
        var $224=CHECK_OVERFLOW(($223+44)&4294967295, 32); //@line 1228 "tcd.c"
        var $225=HEAP[$224]; //@line 1228 "tcd.c"
        var $226=HEAP[$tilec]; //@line 1228 "tcd.c"
        var $227=CHECK_OVERFLOW(($226)&4294967295, 32); //@line 1228 "tcd.c"
        var $228=HEAP[$227]; //@line 1228 "tcd.c"
        var $229=HEAP[$offset_x]; //@line 1228 "tcd.c"
        var $230=CHECK_OVERFLOW((($228) - ($229))&4294967295, 32); //@line 1228 "tcd.c"
        var $231=HEAP[$y]; //@line 1228 "tcd.c"
        var $232=HEAP[$offset_y]; //@line 1228 "tcd.c"
        var $233=CHECK_OVERFLOW((($231) - ($232))&4294967295, 32); //@line 1228 "tcd.c"
        var $234=HEAP[$w]; //@line 1228 "tcd.c"
        var $235=CHECK_OVERFLOW((($233) * ($234))&4294967295, 32); //@line 1228 "tcd.c"
        var $236=CHECK_OVERFLOW((($230) + ($235))&4294967295, 32); //@line 1228 "tcd.c"
        var $237=CHECK_OVERFLOW(($225+4*$236)&4294967295, 32); //@line 1228 "tcd.c"
        HEAP[$data]=$237; //@line 1228 "tcd.c"
        var $238=HEAP[$tilec]; //@line 1230 "tcd.c"
        var $239=CHECK_OVERFLOW(($238+24)&4294967295, 32); //@line 1230 "tcd.c"
        var $240=HEAP[$239]; //@line 1230 "tcd.c"
        var $241=HEAP[$tilec]; //@line 1230 "tcd.c"
        var $242=CHECK_OVERFLOW(($241+4)&4294967295, 32); //@line 1230 "tcd.c"
        var $243=HEAP[$242]; //@line 1230 "tcd.c"
        var $244=HEAP[$y]; //@line 1230 "tcd.c"
        var $245=CHECK_OVERFLOW((($244) - ($243))&4294967295, 32); //@line 1230 "tcd.c"
        var $246=HEAP[$tw]; //@line 1230 "tcd.c"
        var $247=CHECK_OVERFLOW((($245) * ($246))&4294967295, 32); //@line 1230 "tcd.c"
        var $248=CHECK_OVERFLOW(($240+4*$247)&4294967295, 32); //@line 1230 "tcd.c"
        HEAP[$tile_data]=$248; //@line 1230 "tcd.c"
        var $249=HEAP[$tilec]; //@line 1231 "tcd.c"
        var $250=CHECK_OVERFLOW(($249)&4294967295, 32); //@line 1231 "tcd.c"
        var $251=HEAP[$250]; //@line 1231 "tcd.c"
        HEAP[$x]=$251; //@line 1231 "tcd.c"
        __label__ = 14; break; //@line 1231 "tcd.c"
      case 15: // $bb12
        var $252=HEAP[$data]; //@line 1232 "tcd.c"
        var $253=HEAP[$252]; //@line 1232 "tcd.c"
        var $254=HEAP[$adjust]; //@line 1232 "tcd.c"
        var $255=CHECK_OVERFLOW((($253) - ($254))&4294967295, 32); //@line 1232 "tcd.c"
        var $256=HEAP[$tile_data]; //@line 1232 "tcd.c"
        HEAP[$256]=$255; //@line 1232 "tcd.c"
        var $257=HEAP[$tile_data]; //@line 1232 "tcd.c"
        var $258=CHECK_OVERFLOW(($257+4)&4294967295, 32); //@line 1232 "tcd.c"
        HEAP[$tile_data]=$258; //@line 1232 "tcd.c"
        var $259=HEAP[$data]; //@line 1232 "tcd.c"
        var $260=CHECK_OVERFLOW(($259+4)&4294967295, 32); //@line 1232 "tcd.c"
        HEAP[$data]=$260; //@line 1232 "tcd.c"
        var $261=HEAP[$x]; //@line 1231 "tcd.c"
        var $262=CHECK_OVERFLOW((($261) + 1)&4294967295, 32); //@line 1231 "tcd.c"
        HEAP[$x]=$262; //@line 1231 "tcd.c"
        __label__ = 14; break; //@line 1231 "tcd.c"
      case 14: // $bb13
        var $263=HEAP[$tilec]; //@line 1231 "tcd.c"
        var $264=CHECK_OVERFLOW(($263+8)&4294967295, 32); //@line 1231 "tcd.c"
        var $265=HEAP[$264]; //@line 1231 "tcd.c"
        var $266=HEAP[$x]; //@line 1231 "tcd.c"
        var $267=($265) > ($266); //@line 1231 "tcd.c"
        if ($267) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1231 "tcd.c"
      case 16: // $bb14
        var $268=HEAP[$y]; //@line 1226 "tcd.c"
        var $269=CHECK_OVERFLOW((($268) + 1)&4294967295, 32); //@line 1226 "tcd.c"
        HEAP[$y]=$269; //@line 1226 "tcd.c"
        __label__ = 13; break; //@line 1226 "tcd.c"
      case 13: // $bb15
        var $270=HEAP[$tilec]; //@line 1226 "tcd.c"
        var $271=CHECK_OVERFLOW(($270+12)&4294967295, 32); //@line 1226 "tcd.c"
        var $272=HEAP[$271]; //@line 1226 "tcd.c"
        var $273=HEAP[$y]; //@line 1226 "tcd.c"
        var $274=($272) > ($273); //@line 1226 "tcd.c"
        if ($274) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1226 "tcd.c"
      case 18: // $bb16
        __label__ = 19; break; //@line 1226 "tcd.c"
      case 12: // $bb17
        var $275=HEAP[$tcd_tcp]; //@line 1235 "tcd.c"
        var $276=CHECK_OVERFLOW(($275+5584)&4294967295, 32); //@line 1235 "tcd.c"
        var $277=HEAP[$276]; //@line 1235 "tcd.c"
        var $278=HEAP[$compno]; //@line 1235 "tcd.c"
        var $279=CHECK_OVERFLOW(($277+1076*$278)&4294967295, 32); //@line 1235 "tcd.c"
        var $280=CHECK_OVERFLOW(($279+20)&4294967295, 32); //@line 1235 "tcd.c"
        var $281=HEAP[$280]; //@line 1235 "tcd.c"
        var $282=($281)==0; //@line 1235 "tcd.c"
        if ($282) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 1235 "tcd.c"
      case 20: // $bb18
        var $283=HEAP[$tilec]; //@line 1236 "tcd.c"
        var $284=CHECK_OVERFLOW(($283+4)&4294967295, 32); //@line 1236 "tcd.c"
        var $285=HEAP[$284]; //@line 1236 "tcd.c"
        HEAP[$y]=$285; //@line 1236 "tcd.c"
        __label__ = 21; break; //@line 1236 "tcd.c"
      case 25: // $bb19
        var $286=HEAP[$image]; //@line 1238 "tcd.c"
        var $287=CHECK_OVERFLOW(($286+24)&4294967295, 32); //@line 1238 "tcd.c"
        var $288=HEAP[$287]; //@line 1238 "tcd.c"
        var $289=HEAP[$compno]; //@line 1238 "tcd.c"
        var $290=CHECK_OVERFLOW(($288+48*$289)&4294967295, 32); //@line 1238 "tcd.c"
        var $291=CHECK_OVERFLOW(($290+44)&4294967295, 32); //@line 1238 "tcd.c"
        var $292=HEAP[$291]; //@line 1238 "tcd.c"
        var $293=HEAP[$tilec]; //@line 1238 "tcd.c"
        var $294=CHECK_OVERFLOW(($293)&4294967295, 32); //@line 1238 "tcd.c"
        var $295=HEAP[$294]; //@line 1238 "tcd.c"
        var $296=HEAP[$offset_x]; //@line 1238 "tcd.c"
        var $297=CHECK_OVERFLOW((($295) - ($296))&4294967295, 32); //@line 1238 "tcd.c"
        var $298=HEAP[$y]; //@line 1238 "tcd.c"
        var $299=HEAP[$offset_y]; //@line 1238 "tcd.c"
        var $300=CHECK_OVERFLOW((($298) - ($299))&4294967295, 32); //@line 1238 "tcd.c"
        var $301=HEAP[$w]; //@line 1238 "tcd.c"
        var $302=CHECK_OVERFLOW((($300) * ($301))&4294967295, 32); //@line 1238 "tcd.c"
        var $303=CHECK_OVERFLOW((($297) + ($302))&4294967295, 32); //@line 1238 "tcd.c"
        var $304=CHECK_OVERFLOW(($292+4*$303)&4294967295, 32); //@line 1238 "tcd.c"
        HEAP[$data20]=$304; //@line 1238 "tcd.c"
        var $305=HEAP[$tilec]; //@line 1240 "tcd.c"
        var $306=CHECK_OVERFLOW(($305+24)&4294967295, 32); //@line 1240 "tcd.c"
        var $307=HEAP[$306]; //@line 1240 "tcd.c"
        var $308=HEAP[$tilec]; //@line 1240 "tcd.c"
        var $309=CHECK_OVERFLOW(($308+4)&4294967295, 32); //@line 1240 "tcd.c"
        var $310=HEAP[$309]; //@line 1240 "tcd.c"
        var $311=HEAP[$y]; //@line 1240 "tcd.c"
        var $312=CHECK_OVERFLOW((($311) - ($310))&4294967295, 32); //@line 1240 "tcd.c"
        var $313=HEAP[$tw]; //@line 1240 "tcd.c"
        var $314=CHECK_OVERFLOW((($312) * ($313))&4294967295, 32); //@line 1240 "tcd.c"
        var $315=CHECK_OVERFLOW(($307+4*$314)&4294967295, 32); //@line 1240 "tcd.c"
        HEAP[$tile_data21]=$315; //@line 1240 "tcd.c"
        var $316=HEAP[$tilec]; //@line 1241 "tcd.c"
        var $317=CHECK_OVERFLOW(($316)&4294967295, 32); //@line 1241 "tcd.c"
        var $318=HEAP[$317]; //@line 1241 "tcd.c"
        HEAP[$x]=$318; //@line 1241 "tcd.c"
        __label__ = 22; break; //@line 1241 "tcd.c"
      case 23: // $bb22
        var $319=HEAP[$data20]; //@line 1242 "tcd.c"
        var $320=HEAP[$319]; //@line 1242 "tcd.c"
        var $321=HEAP[$adjust]; //@line 1242 "tcd.c"
        var $322=CHECK_OVERFLOW((($320) - ($321))&4294967295, 32); //@line 1242 "tcd.c"
        var $323=($322) << 11; //@line 1242 "tcd.c"
        var $324=HEAP[$tile_data21]; //@line 1242 "tcd.c"
        HEAP[$324]=$323; //@line 1242 "tcd.c"
        var $325=HEAP[$tile_data21]; //@line 1242 "tcd.c"
        var $326=CHECK_OVERFLOW(($325+4)&4294967295, 32); //@line 1242 "tcd.c"
        HEAP[$tile_data21]=$326; //@line 1242 "tcd.c"
        var $327=HEAP[$data20]; //@line 1242 "tcd.c"
        var $328=CHECK_OVERFLOW(($327+4)&4294967295, 32); //@line 1242 "tcd.c"
        HEAP[$data20]=$328; //@line 1242 "tcd.c"
        var $329=HEAP[$x]; //@line 1241 "tcd.c"
        var $330=CHECK_OVERFLOW((($329) + 1)&4294967295, 32); //@line 1241 "tcd.c"
        HEAP[$x]=$330; //@line 1241 "tcd.c"
        __label__ = 22; break; //@line 1241 "tcd.c"
      case 22: // $bb23
        var $331=HEAP[$tilec]; //@line 1241 "tcd.c"
        var $332=CHECK_OVERFLOW(($331+8)&4294967295, 32); //@line 1241 "tcd.c"
        var $333=HEAP[$332]; //@line 1241 "tcd.c"
        var $334=HEAP[$x]; //@line 1241 "tcd.c"
        var $335=($333) > ($334); //@line 1241 "tcd.c"
        if ($335) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1241 "tcd.c"
      case 24: // $bb24
        var $336=HEAP[$y]; //@line 1236 "tcd.c"
        var $337=CHECK_OVERFLOW((($336) + 1)&4294967295, 32); //@line 1236 "tcd.c"
        HEAP[$y]=$337; //@line 1236 "tcd.c"
        __label__ = 21; break; //@line 1236 "tcd.c"
      case 21: // $bb25
        var $338=HEAP[$tilec]; //@line 1236 "tcd.c"
        var $339=CHECK_OVERFLOW(($338+12)&4294967295, 32); //@line 1236 "tcd.c"
        var $340=HEAP[$339]; //@line 1236 "tcd.c"
        var $341=HEAP[$y]; //@line 1236 "tcd.c"
        var $342=($340) > ($341); //@line 1236 "tcd.c"
        if ($342) { __label__ = 25; break; } else { __label__ = 19; break; } //@line 1236 "tcd.c"
      case 19: // $bb26
        var $343=HEAP[$compno]; //@line 1212 "tcd.c"
        var $344=CHECK_OVERFLOW((($343) + 1)&4294967295, 32); //@line 1212 "tcd.c"
        HEAP[$compno]=$344; //@line 1212 "tcd.c"
        __label__ = 7; break; //@line 1212 "tcd.c"
      case 7: // $bb27
        var $345=HEAP[$tile]; //@line 1212 "tcd.c"
        var $346=CHECK_OVERFLOW(($345+16)&4294967295, 32); //@line 1212 "tcd.c"
        var $347=HEAP[$346]; //@line 1212 "tcd.c"
        var $348=HEAP[$compno]; //@line 1212 "tcd.c"
        var $349=($347) > ($348); //@line 1212 "tcd.c"
        if ($349) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 1212 "tcd.c"
      case 27: // $bb28
        var $350=HEAP[$tcd_tcp]; //@line 1250 "tcd.c"
        var $351=CHECK_OVERFLOW(($350+16)&4294967295, 32); //@line 1250 "tcd.c"
        var $352=HEAP[$351]; //@line 1250 "tcd.c"
        var $353=($352)!=0; //@line 1250 "tcd.c"
        if ($353) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 1250 "tcd.c"
      case 28: // $bb29
        var $354=HEAP[$tile]; //@line 1251 "tcd.c"
        var $355=CHECK_OVERFLOW(($354+20)&4294967295, 32); //@line 1251 "tcd.c"
        var $356=HEAP[$355]; //@line 1251 "tcd.c"
        var $357=CHECK_OVERFLOW(($356)&4294967295, 32); //@line 1251 "tcd.c"
        var $358=CHECK_OVERFLOW(($357+8)&4294967295, 32); //@line 1251 "tcd.c"
        var $359=HEAP[$358]; //@line 1251 "tcd.c"
        var $360=HEAP[$tile]; //@line 1251 "tcd.c"
        var $361=CHECK_OVERFLOW(($360+20)&4294967295, 32); //@line 1251 "tcd.c"
        var $362=HEAP[$361]; //@line 1251 "tcd.c"
        var $363=CHECK_OVERFLOW(($362)&4294967295, 32); //@line 1251 "tcd.c"
        var $364=CHECK_OVERFLOW(($363)&4294967295, 32); //@line 1251 "tcd.c"
        var $365=HEAP[$364]; //@line 1251 "tcd.c"
        var $366=CHECK_OVERFLOW((($359) - ($365))&4294967295, 32); //@line 1251 "tcd.c"
        var $367=HEAP[$tile]; //@line 1251 "tcd.c"
        var $368=CHECK_OVERFLOW(($367+20)&4294967295, 32); //@line 1251 "tcd.c"
        var $369=HEAP[$368]; //@line 1251 "tcd.c"
        var $370=CHECK_OVERFLOW(($369)&4294967295, 32); //@line 1251 "tcd.c"
        var $371=CHECK_OVERFLOW(($370+12)&4294967295, 32); //@line 1251 "tcd.c"
        var $372=HEAP[$371]; //@line 1251 "tcd.c"
        var $373=HEAP[$tile]; //@line 1251 "tcd.c"
        var $374=CHECK_OVERFLOW(($373+20)&4294967295, 32); //@line 1251 "tcd.c"
        var $375=HEAP[$374]; //@line 1251 "tcd.c"
        var $376=CHECK_OVERFLOW(($375)&4294967295, 32); //@line 1251 "tcd.c"
        var $377=CHECK_OVERFLOW(($376+4)&4294967295, 32); //@line 1251 "tcd.c"
        var $378=HEAP[$377]; //@line 1251 "tcd.c"
        var $379=CHECK_OVERFLOW((($372) - ($378))&4294967295, 32); //@line 1251 "tcd.c"
        var $380=CHECK_OVERFLOW((($366) * ($379))&4294967295, 32); //@line 1251 "tcd.c"
        HEAP[$samples]=$380; //@line 1251 "tcd.c"
        var $381=HEAP[$tcd_tcp]; //@line 1252 "tcd.c"
        var $382=CHECK_OVERFLOW(($381+5584)&4294967295, 32); //@line 1252 "tcd.c"
        var $383=HEAP[$382]; //@line 1252 "tcd.c"
        var $384=CHECK_OVERFLOW(($383)&4294967295, 32); //@line 1252 "tcd.c"
        var $385=CHECK_OVERFLOW(($384+20)&4294967295, 32); //@line 1252 "tcd.c"
        var $386=HEAP[$385]; //@line 1252 "tcd.c"
        var $387=($386)==0; //@line 1252 "tcd.c"
        if ($387) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1252 "tcd.c"
      case 30: // $bb30
        var $388=HEAP[$tile]; //@line 1253 "tcd.c"
        var $389=CHECK_OVERFLOW(($388+20)&4294967295, 32); //@line 1253 "tcd.c"
        var $390=HEAP[$389]; //@line 1253 "tcd.c"
        var $391=CHECK_OVERFLOW(($390+64)&4294967295, 32); //@line 1253 "tcd.c"
        var $392=CHECK_OVERFLOW(($391+24)&4294967295, 32); //@line 1253 "tcd.c"
        var $393=HEAP[$392]; //@line 1253 "tcd.c"
        var $394=HEAP[$tile]; //@line 1253 "tcd.c"
        var $395=CHECK_OVERFLOW(($394+20)&4294967295, 32); //@line 1253 "tcd.c"
        var $396=HEAP[$395]; //@line 1253 "tcd.c"
        var $397=CHECK_OVERFLOW(($396+32)&4294967295, 32); //@line 1253 "tcd.c"
        var $398=CHECK_OVERFLOW(($397+24)&4294967295, 32); //@line 1253 "tcd.c"
        var $399=HEAP[$398]; //@line 1253 "tcd.c"
        var $400=HEAP[$tile]; //@line 1253 "tcd.c"
        var $401=CHECK_OVERFLOW(($400+20)&4294967295, 32); //@line 1253 "tcd.c"
        var $402=HEAP[$401]; //@line 1253 "tcd.c"
        var $403=CHECK_OVERFLOW(($402)&4294967295, 32); //@line 1253 "tcd.c"
        var $404=CHECK_OVERFLOW(($403+24)&4294967295, 32); //@line 1253 "tcd.c"
        var $405=HEAP[$404]; //@line 1253 "tcd.c"
        var $406=HEAP[$samples]; //@line 1253 "tcd.c"
        _mct_encode_real($405, $399, $393, $406); //@line 1253 "tcd.c"
        __label__ = 29; break; //@line 1253 "tcd.c"
      case 31: // $bb31
        var $407=HEAP[$tile]; //@line 1255 "tcd.c"
        var $408=CHECK_OVERFLOW(($407+20)&4294967295, 32); //@line 1255 "tcd.c"
        var $409=HEAP[$408]; //@line 1255 "tcd.c"
        var $410=CHECK_OVERFLOW(($409+64)&4294967295, 32); //@line 1255 "tcd.c"
        var $411=CHECK_OVERFLOW(($410+24)&4294967295, 32); //@line 1255 "tcd.c"
        var $412=HEAP[$411]; //@line 1255 "tcd.c"
        var $413=HEAP[$tile]; //@line 1255 "tcd.c"
        var $414=CHECK_OVERFLOW(($413+20)&4294967295, 32); //@line 1255 "tcd.c"
        var $415=HEAP[$414]; //@line 1255 "tcd.c"
        var $416=CHECK_OVERFLOW(($415+32)&4294967295, 32); //@line 1255 "tcd.c"
        var $417=CHECK_OVERFLOW(($416+24)&4294967295, 32); //@line 1255 "tcd.c"
        var $418=HEAP[$417]; //@line 1255 "tcd.c"
        var $419=HEAP[$tile]; //@line 1255 "tcd.c"
        var $420=CHECK_OVERFLOW(($419+20)&4294967295, 32); //@line 1255 "tcd.c"
        var $421=HEAP[$420]; //@line 1255 "tcd.c"
        var $422=CHECK_OVERFLOW(($421)&4294967295, 32); //@line 1255 "tcd.c"
        var $423=CHECK_OVERFLOW(($422+24)&4294967295, 32); //@line 1255 "tcd.c"
        var $424=HEAP[$423]; //@line 1255 "tcd.c"
        var $425=HEAP[$samples]; //@line 1255 "tcd.c"
        _mct_encode($424, $418, $412, $425); //@line 1255 "tcd.c"
        __label__ = 29; break; //@line 1255 "tcd.c"
      case 29: // $bb32
        HEAP[$compno]=0; //@line 1261 "tcd.c"
        __label__ = 32; break; //@line 1261 "tcd.c"
      case 37: // $bb33
        var $426=HEAP[$tile]; //@line 1262 "tcd.c"
        var $427=CHECK_OVERFLOW(($426+20)&4294967295, 32); //@line 1262 "tcd.c"
        var $428=HEAP[$427]; //@line 1262 "tcd.c"
        var $429=HEAP[$compno]; //@line 1262 "tcd.c"
        var $430=CHECK_OVERFLOW(($428+32*$429)&4294967295, 32); //@line 1262 "tcd.c"
        HEAP[$tilec34]=$430; //@line 1262 "tcd.c"
        var $431=HEAP[$tcd_tcp]; //@line 1263 "tcd.c"
        var $432=CHECK_OVERFLOW(($431+5584)&4294967295, 32); //@line 1263 "tcd.c"
        var $433=HEAP[$432]; //@line 1263 "tcd.c"
        var $434=HEAP[$compno]; //@line 1263 "tcd.c"
        var $435=CHECK_OVERFLOW(($433+1076*$434)&4294967295, 32); //@line 1263 "tcd.c"
        var $436=CHECK_OVERFLOW(($435+20)&4294967295, 32); //@line 1263 "tcd.c"
        var $437=HEAP[$436]; //@line 1263 "tcd.c"
        var $438=($437)==1; //@line 1263 "tcd.c"
        if ($438) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 1263 "tcd.c"
      case 33: // $bb35
        var $439=HEAP[$tilec34]; //@line 1264 "tcd.c"
        _dwt_encode($439); //@line 1264 "tcd.c"
        __label__ = 35; break; //@line 1264 "tcd.c"
      case 34: // $bb36
        var $440=HEAP[$tcd_tcp]; //@line 1265 "tcd.c"
        var $441=CHECK_OVERFLOW(($440+5584)&4294967295, 32); //@line 1265 "tcd.c"
        var $442=HEAP[$441]; //@line 1265 "tcd.c"
        var $443=HEAP[$compno]; //@line 1265 "tcd.c"
        var $444=CHECK_OVERFLOW(($442+1076*$443)&4294967295, 32); //@line 1265 "tcd.c"
        var $445=CHECK_OVERFLOW(($444+20)&4294967295, 32); //@line 1265 "tcd.c"
        var $446=HEAP[$445]; //@line 1265 "tcd.c"
        var $447=($446)==0; //@line 1265 "tcd.c"
        if ($447) { __label__ = 36; break; } else { __label__ = 35; break; } //@line 1265 "tcd.c"
      case 36: // $bb37
        var $448=HEAP[$tilec34]; //@line 1266 "tcd.c"
        _dwt_encode_real($448); //@line 1266 "tcd.c"
        __label__ = 35; break; //@line 1266 "tcd.c"
      case 35: // $bb38
        var $449=HEAP[$compno]; //@line 1261 "tcd.c"
        var $450=CHECK_OVERFLOW((($449) + 1)&4294967295, 32); //@line 1261 "tcd.c"
        HEAP[$compno]=$450; //@line 1261 "tcd.c"
        __label__ = 32; break; //@line 1261 "tcd.c"
      case 32: // $bb39
        var $451=HEAP[$tile]; //@line 1261 "tcd.c"
        var $452=CHECK_OVERFLOW(($451+16)&4294967295, 32); //@line 1261 "tcd.c"
        var $453=HEAP[$452]; //@line 1261 "tcd.c"
        var $454=HEAP[$compno]; //@line 1261 "tcd.c"
        var $455=($453) > ($454); //@line 1261 "tcd.c"
        if ($455) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 1261 "tcd.c"
      case 38: // $bb40
        var $456=HEAP[$tcd_addr]; //@line 1271 "tcd.c"
        var $457=CHECK_OVERFLOW(($456+20)&4294967295, 32); //@line 1271 "tcd.c"
        var $458=HEAP[$457]; //@line 1271 "tcd.c"
        var $459=_t1_create($458); //@line 1271 "tcd.c"
        HEAP[$t1]=$459; //@line 1271 "tcd.c"
        var $460=HEAP[$t1]; //@line 1272 "tcd.c"
        var $461=HEAP[$tile]; //@line 1272 "tcd.c"
        var $462=HEAP[$tcd_tcp]; //@line 1272 "tcd.c"
        _t1_encode_cblks($460, $461, $462); //@line 1272 "tcd.c"
        var $463=HEAP[$t1]; //@line 1273 "tcd.c"
        _t1_destroy($463); //@line 1273 "tcd.c"
        var $464=HEAP[$cstr_info_addr]; //@line 1278 "tcd.c"
        var $465=($464)!=0; //@line 1278 "tcd.c"
        if ($465) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 1278 "tcd.c"
      case 39: // $bb41
        var $466=HEAP[$cstr_info_addr]; //@line 1279 "tcd.c"
        var $467=CHECK_OVERFLOW(($466+12)&4294967295, 32); //@line 1279 "tcd.c"
        HEAP[$467]=0; //@line 1279 "tcd.c"
        __label__ = 40; break; //@line 1279 "tcd.c"
      case 40: // $bb42
        var $468=HEAP[$cp]; //@line 1281 "tcd.c"
        var $469=CHECK_OVERFLOW(($468+24)&4294967295, 32); //@line 1281 "tcd.c"
        var $470=HEAP[$469]; //@line 1281 "tcd.c"
        var $471=($470)!=0; //@line 1281 "tcd.c"
        if ($471) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 1281 "tcd.c"
      case 42: // $bb43
        var $472=HEAP[$cp]; //@line 1281 "tcd.c"
        var $473=CHECK_OVERFLOW(($472+32)&4294967295, 32); //@line 1281 "tcd.c"
        var $474=HEAP[$473]; //@line 1281 "tcd.c"
        var $475=($474)!=0; //@line 1281 "tcd.c"
        if ($475) { __label__ = 41; break; } else { __label__ = 43; break; } //@line 1281 "tcd.c"
      case 41: // $bb44
        var $476=HEAP[$tcd_addr]; //@line 1283 "tcd.c"
        var $477=HEAP[$dest_addr]; //@line 1283 "tcd.c"
        var $478=HEAP[$len_addr]; //@line 1283 "tcd.c"
        var $479=HEAP[$cstr_info_addr]; //@line 1283 "tcd.c"
        var $480=_tcd_rateallocate($476, $477, $478, $479); //@line 1283 "tcd.c"
        __label__ = 1; break; //@line 1283 "tcd.c"
      case 43: // $bb45
        var $481=HEAP[$tcd_addr]; //@line 1286 "tcd.c"
        _tcd_rateallocate_fixed($481); //@line 1286 "tcd.c"
        __label__ = 1; break; //@line 1286 "tcd.c"
      case 1: // $bb46
        var $482=HEAP[$cstr_info_addr]; //@line 1292 "tcd.c"
        var $483=($482)!=0; //@line 1292 "tcd.c"
        if ($483) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 1292 "tcd.c"
      case 44: // $bb47
        var $484=HEAP[$cstr_info_addr]; //@line 1293 "tcd.c"
        var $485=CHECK_OVERFLOW(($484+12)&4294967295, 32); //@line 1293 "tcd.c"
        HEAP[$485]=1; //@line 1293 "tcd.c"
        __label__ = 45; break; //@line 1293 "tcd.c"
      case 45: // $bb48
        var $486=HEAP[$tcd_addr]; //@line 1296 "tcd.c"
        var $487=CHECK_OVERFLOW(($486+20)&4294967295, 32); //@line 1296 "tcd.c"
        var $488=HEAP[$487]; //@line 1296 "tcd.c"
        var $489=HEAP[$image]; //@line 1296 "tcd.c"
        var $490=HEAP[$cp]; //@line 1296 "tcd.c"
        var $491=_t2_create($488, $489, $490); //@line 1296 "tcd.c"
        HEAP[$t2]=$491; //@line 1296 "tcd.c"
        var $492=HEAP[$tcd_addr]; //@line 1297 "tcd.c"
        var $493=CHECK_OVERFLOW(($492+12)&4294967295, 32); //@line 1297 "tcd.c"
        var $494=HEAP[$493]; //@line 1297 "tcd.c"
        var $495=HEAP[$tcd_addr]; //@line 1297 "tcd.c"
        var $496=CHECK_OVERFLOW(($495+16)&4294967295, 32); //@line 1297 "tcd.c"
        var $497=HEAP[$496]; //@line 1297 "tcd.c"
        var $498=HEAP[$tcd_addr]; //@line 1297 "tcd.c"
        var $499=CHECK_OVERFLOW(($498)&4294967295, 32); //@line 1297 "tcd.c"
        var $500=HEAP[$499]; //@line 1297 "tcd.c"
        var $501=HEAP[$tcd_addr]; //@line 1297 "tcd.c"
        var $502=CHECK_OVERFLOW(($501+4)&4294967295, 32); //@line 1297 "tcd.c"
        var $503=HEAP[$502]; //@line 1297 "tcd.c"
        var $504=HEAP[$tcd_tcp]; //@line 1297 "tcd.c"
        var $505=CHECK_OVERFLOW(($504+12)&4294967295, 32); //@line 1297 "tcd.c"
        var $506=HEAP[$505]; //@line 1297 "tcd.c"
        var $507=HEAP[$t2]; //@line 1297 "tcd.c"
        var $508=HEAP[$tileno_addr]; //@line 1297 "tcd.c"
        var $509=HEAP[$tile]; //@line 1297 "tcd.c"
        var $510=HEAP[$dest_addr]; //@line 1297 "tcd.c"
        var $511=HEAP[$len_addr]; //@line 1297 "tcd.c"
        var $512=HEAP[$cstr_info_addr]; //@line 1297 "tcd.c"
        var $513=_t2_encode_packets($507, $508, $509, $506, $510, $511, $512, $503, $500, $497, 1, $494); //@line 1297 "tcd.c"
        HEAP[$l]=$513; //@line 1297 "tcd.c"
        var $514=HEAP[$t2]; //@line 1298 "tcd.c"
        _t2_destroy($514); //@line 1298 "tcd.c"
        var $515=HEAP[$tcd_addr]; //@line 1303 "tcd.c"
        var $516=CHECK_OVERFLOW(($515+8)&4294967295, 32); //@line 1303 "tcd.c"
        var $517=HEAP[$516]; //@line 1303 "tcd.c"
        var $518=HEAP[$tcd_addr]; //@line 1303 "tcd.c"
        var $519=CHECK_OVERFLOW(($518+12)&4294967295, 32); //@line 1303 "tcd.c"
        var $520=HEAP[$519]; //@line 1303 "tcd.c"
        var $521=CHECK_OVERFLOW((($520) - 1)&4294967295, 32); //@line 1303 "tcd.c"
        var $522=($517)==($521); //@line 1303 "tcd.c"
        if ($522) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 1303 "tcd.c"
      case 46: // $bb49
        var $523=_opj_clock(); //@line 1304 "tcd.c"
        var $524=HEAP[$tcd_addr]; //@line 1304 "tcd.c"
        var $525=CHECK_OVERFLOW(($524+48)&4294967295, 32); //@line 1304 "tcd.c"
        var $526=HEAP[$525]; //@line 1304 "tcd.c"
        var $527=($523) - ($526); //@line 1304 "tcd.c"
        var $528=HEAP[$tcd_addr]; //@line 1304 "tcd.c"
        var $529=CHECK_OVERFLOW(($528+48)&4294967295, 32); //@line 1304 "tcd.c"
        HEAP[$529]=$527; //@line 1304 "tcd.c"
        var $530=HEAP[$tcd_addr]; //@line 1305 "tcd.c"
        var $531=CHECK_OVERFLOW(($530+48)&4294967295, 32); //@line 1305 "tcd.c"
        var $532=HEAP[$531]; //@line 1305 "tcd.c"
        var $533=HEAP[$tcd_addr]; //@line 1305 "tcd.c"
        var $534=CHECK_OVERFLOW(($533+20)&4294967295, 32); //@line 1305 "tcd.c"
        var $535=HEAP[$534]; //@line 1305 "tcd.c"
        var $536=_opj_event_msg($535, 4, CHECK_OVERFLOW((__str18110)&4294967295, 32), Pointer_make([$532,0,0,0,0,0,0,0], 0, ALLOC_STACK)); //@line 1305 "tcd.c"
        HEAP[$compno]=0; //@line 1308 "tcd.c"
        __label__ = 48; break; //@line 1308 "tcd.c"
      case 49: // $bb50
        var $537=HEAP[$tile]; //@line 1309 "tcd.c"
        var $538=CHECK_OVERFLOW(($537+20)&4294967295, 32); //@line 1309 "tcd.c"
        var $539=HEAP[$538]; //@line 1309 "tcd.c"
        var $540=HEAP[$compno]; //@line 1309 "tcd.c"
        var $541=CHECK_OVERFLOW(($539+32*$540)&4294967295, 32); //@line 1309 "tcd.c"
        HEAP[$tilec51]=$541; //@line 1309 "tcd.c"
        var $542=HEAP[$tilec51]; //@line 1310 "tcd.c"
        var $543=CHECK_OVERFLOW(($542+24)&4294967295, 32); //@line 1310 "tcd.c"
        var $544=HEAP[$543]; //@line 1310 "tcd.c"
        var $545=$544; //@line 1310 "tcd.c"
        _free($545); //@line 1310 "tcd.c"
        var $546=HEAP[$compno]; //@line 1308 "tcd.c"
        var $547=CHECK_OVERFLOW((($546) + 1)&4294967295, 32); //@line 1308 "tcd.c"
        HEAP[$compno]=$547; //@line 1308 "tcd.c"
        __label__ = 48; break; //@line 1308 "tcd.c"
      case 48: // $bb52
        var $548=HEAP[$tile]; //@line 1308 "tcd.c"
        var $549=CHECK_OVERFLOW(($548+16)&4294967295, 32); //@line 1308 "tcd.c"
        var $550=HEAP[$549]; //@line 1308 "tcd.c"
        var $551=HEAP[$compno]; //@line 1308 "tcd.c"
        var $552=($550) > ($551); //@line 1308 "tcd.c"
        if ($552) { __label__ = 49; break; } else { __label__ = 47; break; } //@line 1308 "tcd.c"
      case 47: // $bb53
        var $553=HEAP[$l]; //@line 1314 "tcd.c"
        HEAP[$0]=$553; //@line 1314 "tcd.c"
        var $554=HEAP[$0]; //@line 1314 "tcd.c"
        HEAP[$retval]=$554; //@line 1314 "tcd.c"
        __label__ = 50; break; //@line 1314 "tcd.c"
      case 50: // $return
        var $retval54=HEAP[$retval]; //@line 1314 "tcd.c"
        STACKTOP = __stackBase__;
        return $retval54; //@line 1314 "tcd.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tcd_decode_tile($tcd, $src, $len, $tileno, $cstr_info) {
    var __stackBase__  = STACKTOP; STACKTOP += 192; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 192);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tcd_addr=__stackBase__;
        var $src_addr=__stackBase__+4;
        var $len_addr=__stackBase__+8;
        var $tileno_addr=__stackBase__+12;
        var $cstr_info_addr=__stackBase__+16;
        var $retval=__stackBase__+20;
        var $iftmp_122=__stackBase__+24;
        var $iftmp_121=__stackBase__+28;
        var $iftmp_120=__stackBase__+32;
        var $0=__stackBase__+36;
        var $l=__stackBase__+40;
        var $compno=__stackBase__+44;
        var $eof=__stackBase__+48;
        var $tile_time=__stackBase__+52;
        var $t1_time=__stackBase__+60;
        var $dwt_time=__stackBase__+68;
        var $tile=__stackBase__+76;
        var $t1=__stackBase__+80;
        var $t2=__stackBase__+84;
        var $resno=__stackBase__+88;
        var $compno1=__stackBase__+92;
        var $numprec=__stackBase__+96;
        var $tcp=__stackBase__+100;
        var $tccp=__stackBase__+104;
        var $tilec_idx=__stackBase__+108;
        var $res_idx=__stackBase__+112;
        var $tilec=__stackBase__+116;
        var $tilec18=__stackBase__+120;
        var $numres2decode=__stackBase__+124;
        var $n=__stackBase__+128;
        var $tilec33=__stackBase__+132;
        var $imagec=__stackBase__+136;
        var $res=__stackBase__+140;
        var $adjust=__stackBase__+144;
        var $min=__stackBase__+148;
        var $max=__stackBase__+152;
        var $tw=__stackBase__+156;
        var $w=__stackBase__+160;
        var $offset_x=__stackBase__+164;
        var $offset_y=__stackBase__+168;
        var $i=__stackBase__+172;
        var $j=__stackBase__+176;
        var $v=__stackBase__+180;
        var $tmp=__stackBase__+184;
        var $v55=__stackBase__+188;
        var $_alloca_point_=0;
        HEAP[$tcd_addr]=$tcd;
        HEAP[$src_addr]=$src;
        HEAP[$len_addr]=$len;
        HEAP[$tileno_addr]=$tileno;
        HEAP[$cstr_info_addr]=$cstr_info;
        HEAP[$eof]=0; //@line 1320 "tcd.c"
        HEAP[$tile]=0; //@line 1322 "tcd.c"
        HEAP[$t1]=0; //@line 1324 "tcd.c"
        HEAP[$t2]=0; //@line 1325 "tcd.c"
        var $1=HEAP[$tcd_addr]; //@line 1327 "tcd.c"
        var $2=CHECK_OVERFLOW(($1+44)&4294967295, 32); //@line 1327 "tcd.c"
        var $3=HEAP[$tileno_addr]; //@line 1327 "tcd.c"
        HEAP[$2]=$3; //@line 1327 "tcd.c"
        var $4=HEAP[$tcd_addr]; //@line 1328 "tcd.c"
        var $5=CHECK_OVERFLOW(($4+24)&4294967295, 32); //@line 1328 "tcd.c"
        var $6=HEAP[$5]; //@line 1328 "tcd.c"
        var $7=CHECK_OVERFLOW(($6+8)&4294967295, 32); //@line 1328 "tcd.c"
        var $8=HEAP[$7]; //@line 1328 "tcd.c"
        var $9=HEAP[$tileno_addr]; //@line 1328 "tcd.c"
        var $10=CHECK_OVERFLOW(($8+840*$9)&4294967295, 32); //@line 1328 "tcd.c"
        var $11=HEAP[$tcd_addr]; //@line 1328 "tcd.c"
        var $12=CHECK_OVERFLOW(($11+36)&4294967295, 32); //@line 1328 "tcd.c"
        HEAP[$12]=$10; //@line 1328 "tcd.c"
        var $13=HEAP[$tcd_addr]; //@line 1329 "tcd.c"
        var $14=CHECK_OVERFLOW(($13+32)&4294967295, 32); //@line 1329 "tcd.c"
        var $15=HEAP[$14]; //@line 1329 "tcd.c"
        var $16=CHECK_OVERFLOW(($15+108)&4294967295, 32); //@line 1329 "tcd.c"
        var $17=HEAP[$16]; //@line 1329 "tcd.c"
        var $18=HEAP[$tileno_addr]; //@line 1329 "tcd.c"
        var $19=CHECK_OVERFLOW(($17+5588*$18)&4294967295, 32); //@line 1329 "tcd.c"
        var $20=HEAP[$tcd_addr]; //@line 1329 "tcd.c"
        var $21=CHECK_OVERFLOW(($20+40)&4294967295, 32); //@line 1329 "tcd.c"
        HEAP[$21]=$19; //@line 1329 "tcd.c"
        var $22=HEAP[$tcd_addr]; //@line 1330 "tcd.c"
        var $23=CHECK_OVERFLOW(($22+36)&4294967295, 32); //@line 1330 "tcd.c"
        var $24=HEAP[$23]; //@line 1330 "tcd.c"
        HEAP[$tile]=$24; //@line 1330 "tcd.c"
        var $25=_opj_clock(); //@line 1332 "tcd.c"
        HEAP[$tile_time]=$25; //@line 1332 "tcd.c"
        var $26=HEAP[$tcd_addr]; //@line 1333 "tcd.c"
        var $27=CHECK_OVERFLOW(($26+32)&4294967295, 32); //@line 1333 "tcd.c"
        var $28=HEAP[$27]; //@line 1333 "tcd.c"
        var $29=CHECK_OVERFLOW(($28+68)&4294967295, 32); //@line 1333 "tcd.c"
        var $30=HEAP[$29]; //@line 1333 "tcd.c"
        var $31=HEAP[$tcd_addr]; //@line 1333 "tcd.c"
        var $32=CHECK_OVERFLOW(($31+32)&4294967295, 32); //@line 1333 "tcd.c"
        var $33=HEAP[$32]; //@line 1333 "tcd.c"
        var $34=CHECK_OVERFLOW(($33+72)&4294967295, 32); //@line 1333 "tcd.c"
        var $35=HEAP[$34]; //@line 1333 "tcd.c"
        var $36=CHECK_OVERFLOW((($30) * ($35))&4294967295, 32); //@line 1333 "tcd.c"
        var $37=HEAP[$tileno_addr]; //@line 1333 "tcd.c"
        var $38=CHECK_OVERFLOW((($37) + 1)&4294967295, 32); //@line 1333 "tcd.c"
        var $39=HEAP[$tcd_addr]; //@line 1333 "tcd.c"
        var $40=CHECK_OVERFLOW(($39+20)&4294967295, 32); //@line 1333 "tcd.c"
        var $41=HEAP[$40]; //@line 1333 "tcd.c"
        var $42=_opj_event_msg($41, 4, CHECK_OVERFLOW((__str19111)&4294967295, 32), Pointer_make([$38,0,0,0,$36,0,0,0], 0, ALLOC_STACK)); //@line 1333 "tcd.c"
        var $43=HEAP[$cstr_info_addr]; //@line 1336 "tcd.c"
        var $44=($43)!=0; //@line 1336 "tcd.c"
        if ($44) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1336 "tcd.c"
      case 0: // $bb
        HEAP[$numprec]=0; //@line 1337 "tcd.c"
        HEAP[$compno1]=0; //@line 1338 "tcd.c"
        __label__ = 2; break; //@line 1338 "tcd.c"
      case 9: // $bb2
        var $45=HEAP[$tcd_addr]; //@line 1339 "tcd.c"
        var $46=CHECK_OVERFLOW(($45+32)&4294967295, 32); //@line 1339 "tcd.c"
        var $47=HEAP[$46]; //@line 1339 "tcd.c"
        var $48=CHECK_OVERFLOW(($47+108)&4294967295, 32); //@line 1339 "tcd.c"
        var $49=HEAP[$48]; //@line 1339 "tcd.c"
        var $50=CHECK_OVERFLOW(($49)&4294967295, 32); //@line 1339 "tcd.c"
        HEAP[$tcp]=$50; //@line 1339 "tcd.c"
        var $51=HEAP[$tcp]; //@line 1340 "tcd.c"
        var $52=CHECK_OVERFLOW(($51+5584)&4294967295, 32); //@line 1340 "tcd.c"
        var $53=HEAP[$52]; //@line 1340 "tcd.c"
        var $54=HEAP[$compno1]; //@line 1340 "tcd.c"
        var $55=CHECK_OVERFLOW(($53+1076*$54)&4294967295, 32); //@line 1340 "tcd.c"
        HEAP[$tccp]=$55; //@line 1340 "tcd.c"
        var $56=HEAP[$tile]; //@line 1341 "tcd.c"
        var $57=CHECK_OVERFLOW(($56+20)&4294967295, 32); //@line 1341 "tcd.c"
        var $58=HEAP[$57]; //@line 1341 "tcd.c"
        var $59=HEAP[$compno1]; //@line 1341 "tcd.c"
        var $60=CHECK_OVERFLOW(($58+32*$59)&4294967295, 32); //@line 1341 "tcd.c"
        HEAP[$tilec_idx]=$60; //@line 1341 "tcd.c"
        HEAP[$resno]=0; //@line 1342 "tcd.c"
        __label__ = 3; break; //@line 1342 "tcd.c"
      case 7: // $bb3
        var $61=HEAP[$tilec_idx]; //@line 1343 "tcd.c"
        var $62=CHECK_OVERFLOW(($61+20)&4294967295, 32); //@line 1343 "tcd.c"
        var $63=HEAP[$62]; //@line 1343 "tcd.c"
        var $64=HEAP[$resno]; //@line 1343 "tcd.c"
        var $65=CHECK_OVERFLOW(($63+124*$64)&4294967295, 32); //@line 1343 "tcd.c"
        HEAP[$res_idx]=$65; //@line 1343 "tcd.c"
        var $66=HEAP[$cstr_info_addr]; //@line 1344 "tcd.c"
        var $67=CHECK_OVERFLOW(($66+88)&4294967295, 32); //@line 1344 "tcd.c"
        var $68=HEAP[$67]; //@line 1344 "tcd.c"
        var $69=HEAP[$tileno_addr]; //@line 1344 "tcd.c"
        var $70=CHECK_OVERFLOW(($68+572*$69)&4294967295, 32); //@line 1344 "tcd.c"
        var $71=HEAP[$resno]; //@line 1344 "tcd.c"
        var $72=HEAP[$res_idx]; //@line 1344 "tcd.c"
        var $73=CHECK_OVERFLOW(($72+16)&4294967295, 32); //@line 1344 "tcd.c"
        var $74=HEAP[$73]; //@line 1344 "tcd.c"
        var $75=CHECK_OVERFLOW(($70+20)&4294967295, 32); //@line 1344 "tcd.c"
        var $76=CHECK_OVERFLOW(($75+$71*4)&4294967295, 32); //@line 1344 "tcd.c"
        HEAP[$76]=$74; //@line 1344 "tcd.c"
        var $77=HEAP[$cstr_info_addr]; //@line 1345 "tcd.c"
        var $78=CHECK_OVERFLOW(($77+88)&4294967295, 32); //@line 1345 "tcd.c"
        var $79=HEAP[$78]; //@line 1345 "tcd.c"
        var $80=HEAP[$tileno_addr]; //@line 1345 "tcd.c"
        var $81=CHECK_OVERFLOW(($79+572*$80)&4294967295, 32); //@line 1345 "tcd.c"
        var $82=HEAP[$resno]; //@line 1345 "tcd.c"
        var $83=HEAP[$res_idx]; //@line 1345 "tcd.c"
        var $84=CHECK_OVERFLOW(($83+20)&4294967295, 32); //@line 1345 "tcd.c"
        var $85=HEAP[$84]; //@line 1345 "tcd.c"
        var $86=CHECK_OVERFLOW(($81+152)&4294967295, 32); //@line 1345 "tcd.c"
        var $87=CHECK_OVERFLOW(($86+$82*4)&4294967295, 32); //@line 1345 "tcd.c"
        HEAP[$87]=$85; //@line 1345 "tcd.c"
        var $88=HEAP[$res_idx]; //@line 1346 "tcd.c"
        var $89=CHECK_OVERFLOW(($88+16)&4294967295, 32); //@line 1346 "tcd.c"
        var $90=HEAP[$89]; //@line 1346 "tcd.c"
        var $91=HEAP[$res_idx]; //@line 1346 "tcd.c"
        var $92=CHECK_OVERFLOW(($91+20)&4294967295, 32); //@line 1346 "tcd.c"
        var $93=HEAP[$92]; //@line 1346 "tcd.c"
        var $94=CHECK_OVERFLOW((($90) * ($93))&4294967295, 32); //@line 1346 "tcd.c"
        var $95=HEAP[$numprec]; //@line 1346 "tcd.c"
        var $96=CHECK_OVERFLOW((($94) + ($95))&4294967295, 32); //@line 1346 "tcd.c"
        HEAP[$numprec]=$96; //@line 1346 "tcd.c"
        var $97=HEAP[$tccp]; //@line 1347 "tcd.c"
        var $98=CHECK_OVERFLOW(($97)&4294967295, 32); //@line 1347 "tcd.c"
        var $99=HEAP[$98]; //@line 1347 "tcd.c"
        var $100=($99) & 1; //@line 1347 "tcd.c"
        var $101=((($100)) & 255); //@line 1347 "tcd.c"
        var $toBool=($101)!=0; //@line 1347 "tcd.c"
        if ($toBool) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1347 "tcd.c"
      case 4: // $bb4
        var $102=HEAP[$cstr_info_addr]; //@line 1348 "tcd.c"
        var $103=CHECK_OVERFLOW(($102+88)&4294967295, 32); //@line 1348 "tcd.c"
        var $104=HEAP[$103]; //@line 1348 "tcd.c"
        var $105=HEAP[$tileno_addr]; //@line 1348 "tcd.c"
        var $106=CHECK_OVERFLOW(($104+572*$105)&4294967295, 32); //@line 1348 "tcd.c"
        var $107=HEAP[$resno]; //@line 1348 "tcd.c"
        var $108=HEAP[$resno]; //@line 1348 "tcd.c"
        var $109=HEAP[$tccp]; //@line 1348 "tcd.c"
        var $110=CHECK_OVERFLOW(($109+812)&4294967295, 32); //@line 1348 "tcd.c"
        var $111=CHECK_OVERFLOW(($110+$108*4)&4294967295, 32); //@line 1348 "tcd.c"
        var $112=HEAP[$111]; //@line 1348 "tcd.c"
        var $113=CHECK_OVERFLOW(($106+284)&4294967295, 32); //@line 1348 "tcd.c"
        var $114=CHECK_OVERFLOW(($113+$107*4)&4294967295, 32); //@line 1348 "tcd.c"
        HEAP[$114]=$112; //@line 1348 "tcd.c"
        var $115=HEAP[$cstr_info_addr]; //@line 1349 "tcd.c"
        var $116=CHECK_OVERFLOW(($115+88)&4294967295, 32); //@line 1349 "tcd.c"
        var $117=HEAP[$116]; //@line 1349 "tcd.c"
        var $118=HEAP[$tileno_addr]; //@line 1349 "tcd.c"
        var $119=CHECK_OVERFLOW(($117+572*$118)&4294967295, 32); //@line 1349 "tcd.c"
        var $120=HEAP[$resno]; //@line 1349 "tcd.c"
        var $121=HEAP[$resno]; //@line 1349 "tcd.c"
        var $122=HEAP[$tccp]; //@line 1349 "tcd.c"
        var $123=CHECK_OVERFLOW(($122+944)&4294967295, 32); //@line 1349 "tcd.c"
        var $124=CHECK_OVERFLOW(($123+$121*4)&4294967295, 32); //@line 1349 "tcd.c"
        var $125=HEAP[$124]; //@line 1349 "tcd.c"
        var $126=CHECK_OVERFLOW(($119+416)&4294967295, 32); //@line 1349 "tcd.c"
        var $127=CHECK_OVERFLOW(($126+$120*4)&4294967295, 32); //@line 1349 "tcd.c"
        HEAP[$127]=$125; //@line 1349 "tcd.c"
        __label__ = 6; break; //@line 1349 "tcd.c"
      case 5: // $bb5
        var $128=HEAP[$cstr_info_addr]; //@line 1352 "tcd.c"
        var $129=CHECK_OVERFLOW(($128+88)&4294967295, 32); //@line 1352 "tcd.c"
        var $130=HEAP[$129]; //@line 1352 "tcd.c"
        var $131=HEAP[$tileno_addr]; //@line 1352 "tcd.c"
        var $132=CHECK_OVERFLOW(($130+572*$131)&4294967295, 32); //@line 1352 "tcd.c"
        var $133=HEAP[$resno]; //@line 1352 "tcd.c"
        var $134=CHECK_OVERFLOW(($132+284)&4294967295, 32); //@line 1352 "tcd.c"
        var $135=CHECK_OVERFLOW(($134+$133*4)&4294967295, 32); //@line 1352 "tcd.c"
        HEAP[$135]=15; //@line 1352 "tcd.c"
        var $136=HEAP[$cstr_info_addr]; //@line 1353 "tcd.c"
        var $137=CHECK_OVERFLOW(($136+88)&4294967295, 32); //@line 1353 "tcd.c"
        var $138=HEAP[$137]; //@line 1353 "tcd.c"
        var $139=HEAP[$tileno_addr]; //@line 1353 "tcd.c"
        var $140=CHECK_OVERFLOW(($138+572*$139)&4294967295, 32); //@line 1353 "tcd.c"
        var $141=HEAP[$resno]; //@line 1353 "tcd.c"
        var $142=CHECK_OVERFLOW(($140+284)&4294967295, 32); //@line 1353 "tcd.c"
        var $143=CHECK_OVERFLOW(($142+$141*4)&4294967295, 32); //@line 1353 "tcd.c"
        HEAP[$143]=15; //@line 1353 "tcd.c"
        __label__ = 6; break; //@line 1353 "tcd.c"
      case 6: // $bb6
        var $144=HEAP[$resno]; //@line 1342 "tcd.c"
        var $145=CHECK_OVERFLOW((($144) + 1)&4294967295, 32); //@line 1342 "tcd.c"
        HEAP[$resno]=$145; //@line 1342 "tcd.c"
        __label__ = 3; break; //@line 1342 "tcd.c"
      case 3: // $bb7
        var $146=HEAP[$tilec_idx]; //@line 1342 "tcd.c"
        var $147=CHECK_OVERFLOW(($146+16)&4294967295, 32); //@line 1342 "tcd.c"
        var $148=HEAP[$147]; //@line 1342 "tcd.c"
        var $149=HEAP[$resno]; //@line 1342 "tcd.c"
        var $150=($148) > ($149); //@line 1342 "tcd.c"
        if ($150) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1342 "tcd.c"
      case 8: // $bb8
        var $151=HEAP[$compno1]; //@line 1338 "tcd.c"
        var $152=CHECK_OVERFLOW((($151) + 1)&4294967295, 32); //@line 1338 "tcd.c"
        HEAP[$compno1]=$152; //@line 1338 "tcd.c"
        __label__ = 2; break; //@line 1338 "tcd.c"
      case 2: // $bb9
        var $153=HEAP[$cstr_info_addr]; //@line 1338 "tcd.c"
        var $154=CHECK_OVERFLOW(($153+52)&4294967295, 32); //@line 1338 "tcd.c"
        var $155=HEAP[$154]; //@line 1338 "tcd.c"
        var $156=HEAP[$compno1]; //@line 1338 "tcd.c"
        var $157=($155) > ($156); //@line 1338 "tcd.c"
        if ($157) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1338 "tcd.c"
      case 10: // $bb10
        var $158=HEAP[$cstr_info_addr]; //@line 1357 "tcd.c"
        var $159=CHECK_OVERFLOW(($158+88)&4294967295, 32); //@line 1357 "tcd.c"
        var $160=HEAP[$159]; //@line 1357 "tcd.c"
        var $161=HEAP[$tileno_addr]; //@line 1357 "tcd.c"
        var $162=CHECK_OVERFLOW(($160+572*$161)&4294967295, 32); //@line 1357 "tcd.c"
        var $163=HEAP[$cstr_info_addr]; //@line 1357 "tcd.c"
        var $164=CHECK_OVERFLOW(($163+56)&4294967295, 32); //@line 1357 "tcd.c"
        var $165=HEAP[$164]; //@line 1357 "tcd.c"
        var $166=HEAP[$numprec]; //@line 1357 "tcd.c"
        var $167=CHECK_OVERFLOW((($165) * ($166))&4294967295, 32); //@line 1357 "tcd.c"
        var $168=CHECK_OVERFLOW((($167) * 20)&4294967295, 32); //@line 1357 "tcd.c"
        var $169=_malloc($168); //@line 1357 "tcd.c"
        var $170=$169; //@line 1357 "tcd.c"
        var $171=CHECK_OVERFLOW(($162+548)&4294967295, 32); //@line 1357 "tcd.c"
        HEAP[$171]=$170; //@line 1357 "tcd.c"
        var $172=HEAP[$cstr_info_addr]; //@line 1358 "tcd.c"
        var $173=CHECK_OVERFLOW(($172+8)&4294967295, 32); //@line 1358 "tcd.c"
        HEAP[$173]=0; //@line 1358 "tcd.c"
        __label__ = 1; break; //@line 1358 "tcd.c"
      case 1: // $bb11
        var $174=HEAP[$tcd_addr]; //@line 1364 "tcd.c"
        var $175=CHECK_OVERFLOW(($174+32)&4294967295, 32); //@line 1364 "tcd.c"
        var $176=HEAP[$175]; //@line 1364 "tcd.c"
        var $177=HEAP[$tcd_addr]; //@line 1364 "tcd.c"
        var $178=CHECK_OVERFLOW(($177+28)&4294967295, 32); //@line 1364 "tcd.c"
        var $179=HEAP[$178]; //@line 1364 "tcd.c"
        var $180=HEAP[$tcd_addr]; //@line 1364 "tcd.c"
        var $181=CHECK_OVERFLOW(($180+20)&4294967295, 32); //@line 1364 "tcd.c"
        var $182=HEAP[$181]; //@line 1364 "tcd.c"
        var $183=_t2_create($182, $179, $176); //@line 1364 "tcd.c"
        HEAP[$t2]=$183; //@line 1364 "tcd.c"
        var $184=HEAP[$t2]; //@line 1365 "tcd.c"
        var $185=HEAP[$src_addr]; //@line 1365 "tcd.c"
        var $186=HEAP[$len_addr]; //@line 1365 "tcd.c"
        var $187=HEAP[$tileno_addr]; //@line 1365 "tcd.c"
        var $188=HEAP[$tile]; //@line 1365 "tcd.c"
        var $189=HEAP[$cstr_info_addr]; //@line 1365 "tcd.c"
        var $190=_t2_decode_packets($184, $185, $186, $187, $188, $189); //@line 1365 "tcd.c"
        HEAP[$l]=$190; //@line 1365 "tcd.c"
        var $191=HEAP[$t2]; //@line 1366 "tcd.c"
        _t2_destroy($191); //@line 1366 "tcd.c"
        var $192=HEAP[$l]; //@line 1368 "tcd.c"
        var $193=($192)==-999; //@line 1368 "tcd.c"
        if ($193) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1368 "tcd.c"
      case 11: // $bb12
        HEAP[$eof]=1; //@line 1369 "tcd.c"
        var $194=HEAP[$tcd_addr]; //@line 1370 "tcd.c"
        var $195=CHECK_OVERFLOW(($194+20)&4294967295, 32); //@line 1370 "tcd.c"
        var $196=HEAP[$195]; //@line 1370 "tcd.c"
        var $197=_opj_event_msg($196, 1, CHECK_OVERFLOW((__str20112)&4294967295, 32)); //@line 1370 "tcd.c"
        __label__ = 12; break; //@line 1370 "tcd.c"
      case 12: // $bb13
        var $198=_opj_clock(); //@line 1375 "tcd.c"
        HEAP[$t1_time]=$198; //@line 1375 "tcd.c"
        var $199=HEAP[$tcd_addr]; //@line 1376 "tcd.c"
        var $200=CHECK_OVERFLOW(($199+20)&4294967295, 32); //@line 1376 "tcd.c"
        var $201=HEAP[$200]; //@line 1376 "tcd.c"
        var $202=_t1_create($201); //@line 1376 "tcd.c"
        HEAP[$t1]=$202; //@line 1376 "tcd.c"
        HEAP[$compno]=0; //@line 1377 "tcd.c"
        __label__ = 13; break; //@line 1377 "tcd.c"
      case 14: // $bb14
        var $203=HEAP[$tile]; //@line 1378 "tcd.c"
        var $204=CHECK_OVERFLOW(($203+20)&4294967295, 32); //@line 1378 "tcd.c"
        var $205=HEAP[$204]; //@line 1378 "tcd.c"
        var $206=HEAP[$compno]; //@line 1378 "tcd.c"
        var $207=CHECK_OVERFLOW(($205+32*$206)&4294967295, 32); //@line 1378 "tcd.c"
        HEAP[$tilec]=$207; //@line 1378 "tcd.c"
        var $208=HEAP[$tilec]; //@line 1380 "tcd.c"
        var $209=CHECK_OVERFLOW(($208+8)&4294967295, 32); //@line 1380 "tcd.c"
        var $210=HEAP[$209]; //@line 1380 "tcd.c"
        var $211=HEAP[$tilec]; //@line 1380 "tcd.c"
        var $212=CHECK_OVERFLOW(($211)&4294967295, 32); //@line 1380 "tcd.c"
        var $213=HEAP[$212]; //@line 1380 "tcd.c"
        var $214=CHECK_OVERFLOW((($210) - ($213))&4294967295, 32); //@line 1380 "tcd.c"
        var $215=HEAP[$tilec]; //@line 1380 "tcd.c"
        var $216=CHECK_OVERFLOW(($215+12)&4294967295, 32); //@line 1380 "tcd.c"
        var $217=HEAP[$216]; //@line 1380 "tcd.c"
        var $218=HEAP[$tilec]; //@line 1380 "tcd.c"
        var $219=CHECK_OVERFLOW(($218+4)&4294967295, 32); //@line 1380 "tcd.c"
        var $220=HEAP[$219]; //@line 1380 "tcd.c"
        var $221=CHECK_OVERFLOW((($217) - ($220))&4294967295, 32); //@line 1380 "tcd.c"
        var $222=CHECK_OVERFLOW((($214) * ($221))&4294967295, 32); //@line 1380 "tcd.c"
        var $223=CHECK_OVERFLOW((($222) * 4)&4294967295, 32); //@line 1380 "tcd.c"
        var $224=CHECK_OVERFLOW((($223) + 12)&4294967295, 32); //@line 1380 "tcd.c"
        var $225=_memalign(16, $224); //@line 1380 "tcd.c"
        var $226=$225; //@line 1380 "tcd.c"
        var $227=HEAP[$tilec]; //@line 1380 "tcd.c"
        var $228=CHECK_OVERFLOW(($227+24)&4294967295, 32); //@line 1380 "tcd.c"
        HEAP[$228]=$226; //@line 1380 "tcd.c"
        var $229=HEAP[$tcd_addr]; //@line 1381 "tcd.c"
        var $230=CHECK_OVERFLOW(($229+40)&4294967295, 32); //@line 1381 "tcd.c"
        var $231=HEAP[$230]; //@line 1381 "tcd.c"
        var $232=CHECK_OVERFLOW(($231+5584)&4294967295, 32); //@line 1381 "tcd.c"
        var $233=HEAP[$232]; //@line 1381 "tcd.c"
        var $234=HEAP[$compno]; //@line 1381 "tcd.c"
        var $235=CHECK_OVERFLOW(($233+1076*$234)&4294967295, 32); //@line 1381 "tcd.c"
        var $236=HEAP[$t1]; //@line 1381 "tcd.c"
        var $237=HEAP[$tilec]; //@line 1381 "tcd.c"
        _t1_decode_cblks($236, $237, $235); //@line 1381 "tcd.c"
        var $238=HEAP[$compno]; //@line 1377 "tcd.c"
        var $239=CHECK_OVERFLOW((($238) + 1)&4294967295, 32); //@line 1377 "tcd.c"
        HEAP[$compno]=$239; //@line 1377 "tcd.c"
        __label__ = 13; break; //@line 1377 "tcd.c"
      case 13: // $bb15
        var $240=HEAP[$tile]; //@line 1377 "tcd.c"
        var $241=CHECK_OVERFLOW(($240+16)&4294967295, 32); //@line 1377 "tcd.c"
        var $242=HEAP[$241]; //@line 1377 "tcd.c"
        var $243=HEAP[$compno]; //@line 1377 "tcd.c"
        var $244=($242) > ($243); //@line 1377 "tcd.c"
        if ($244) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1377 "tcd.c"
      case 15: // $bb16
        var $245=HEAP[$t1]; //@line 1383 "tcd.c"
        _t1_destroy($245); //@line 1383 "tcd.c"
        var $246=_opj_clock(); //@line 1384 "tcd.c"
        var $247=HEAP[$t1_time]; //@line 1384 "tcd.c"
        var $248=($246) - ($247); //@line 1384 "tcd.c"
        HEAP[$t1_time]=$248; //@line 1384 "tcd.c"
        var $249=HEAP[$tcd_addr]; //@line 1385 "tcd.c"
        var $250=CHECK_OVERFLOW(($249+20)&4294967295, 32); //@line 1385 "tcd.c"
        var $251=HEAP[$250]; //@line 1385 "tcd.c"
        var $252=HEAP[$t1_time]; //@line 1385 "tcd.c"
        var $253=_opj_event_msg($251, 4, CHECK_OVERFLOW((__str21113)&4294967295, 32), Pointer_make([$252,0,0,0,0,0,0,0], 0, ALLOC_STACK)); //@line 1385 "tcd.c"
        var $254=_opj_clock(); //@line 1389 "tcd.c"
        HEAP[$dwt_time]=$254; //@line 1389 "tcd.c"
        HEAP[$compno]=0; //@line 1390 "tcd.c"
        __label__ = 16; break; //@line 1390 "tcd.c"
      case 25: // $bb17
        var $255=HEAP[$tile]; //@line 1391 "tcd.c"
        var $256=CHECK_OVERFLOW(($255+20)&4294967295, 32); //@line 1391 "tcd.c"
        var $257=HEAP[$256]; //@line 1391 "tcd.c"
        var $258=HEAP[$compno]; //@line 1391 "tcd.c"
        var $259=CHECK_OVERFLOW(($257+32*$258)&4294967295, 32); //@line 1391 "tcd.c"
        HEAP[$tilec18]=$259; //@line 1391 "tcd.c"
        var $260=HEAP[$tcd_addr]; //@line 1394 "tcd.c"
        var $261=CHECK_OVERFLOW(($260+32)&4294967295, 32); //@line 1394 "tcd.c"
        var $262=HEAP[$261]; //@line 1394 "tcd.c"
        var $263=CHECK_OVERFLOW(($262+36)&4294967295, 32); //@line 1394 "tcd.c"
        var $264=HEAP[$263]; //@line 1394 "tcd.c"
        var $265=($264)!=0; //@line 1394 "tcd.c"
        if ($265) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 1394 "tcd.c"
      case 17: // $bb19
        var $266=HEAP[$tcd_addr]; //@line 1395 "tcd.c"
        var $267=CHECK_OVERFLOW(($266+28)&4294967295, 32); //@line 1395 "tcd.c"
        var $268=HEAP[$267]; //@line 1395 "tcd.c"
        var $269=CHECK_OVERFLOW(($268+24)&4294967295, 32); //@line 1395 "tcd.c"
        var $270=HEAP[$269]; //@line 1395 "tcd.c"
        var $271=HEAP[$compno]; //@line 1395 "tcd.c"
        var $272=CHECK_OVERFLOW(($270+48*$271)&4294967295, 32); //@line 1395 "tcd.c"
        var $273=HEAP[$tile]; //@line 1395 "tcd.c"
        var $274=CHECK_OVERFLOW(($273+20)&4294967295, 32); //@line 1395 "tcd.c"
        var $275=HEAP[$274]; //@line 1395 "tcd.c"
        var $276=HEAP[$compno]; //@line 1395 "tcd.c"
        var $277=CHECK_OVERFLOW(($275+32*$276)&4294967295, 32); //@line 1395 "tcd.c"
        var $278=CHECK_OVERFLOW(($277+16)&4294967295, 32); //@line 1395 "tcd.c"
        var $279=HEAP[$278]; //@line 1395 "tcd.c"
        var $280=HEAP[$tcd_addr]; //@line 1395 "tcd.c"
        var $281=CHECK_OVERFLOW(($280+32)&4294967295, 32); //@line 1395 "tcd.c"
        var $282=HEAP[$281]; //@line 1395 "tcd.c"
        var $283=CHECK_OVERFLOW(($282+36)&4294967295, 32); //@line 1395 "tcd.c"
        var $284=HEAP[$283]; //@line 1395 "tcd.c"
        var $285=CHECK_OVERFLOW((($279) - ($284))&4294967295, 32); //@line 1395 "tcd.c"
        var $286=CHECK_OVERFLOW((($285) - 1)&4294967295, 32); //@line 1395 "tcd.c"
        var $287=CHECK_OVERFLOW(($272+36)&4294967295, 32); //@line 1395 "tcd.c"
        HEAP[$287]=$286; //@line 1395 "tcd.c"
        var $288=HEAP[$tcd_addr]; //@line 1397 "tcd.c"
        var $289=CHECK_OVERFLOW(($288+28)&4294967295, 32); //@line 1397 "tcd.c"
        var $290=HEAP[$289]; //@line 1397 "tcd.c"
        var $291=CHECK_OVERFLOW(($290+24)&4294967295, 32); //@line 1397 "tcd.c"
        var $292=HEAP[$291]; //@line 1397 "tcd.c"
        var $293=HEAP[$compno]; //@line 1397 "tcd.c"
        var $294=CHECK_OVERFLOW(($292+48*$293)&4294967295, 32); //@line 1397 "tcd.c"
        var $295=CHECK_OVERFLOW(($294+36)&4294967295, 32); //@line 1397 "tcd.c"
        var $296=HEAP[$295]; //@line 1397 "tcd.c"
        var $297=($296) < 0; //@line 1397 "tcd.c"
        if ($297) { __label__ = 19; break; } else { __label__ = 18; break; } //@line 1397 "tcd.c"
      case 19: // $bb20
        var $298=HEAP[$tile]; //@line 1398 "tcd.c"
        var $299=CHECK_OVERFLOW(($298+20)&4294967295, 32); //@line 1398 "tcd.c"
        var $300=HEAP[$299]; //@line 1398 "tcd.c"
        var $301=HEAP[$compno]; //@line 1398 "tcd.c"
        var $302=CHECK_OVERFLOW(($300+32*$301)&4294967295, 32); //@line 1398 "tcd.c"
        var $303=CHECK_OVERFLOW(($302+16)&4294967295, 32); //@line 1398 "tcd.c"
        var $304=HEAP[$303]; //@line 1398 "tcd.c"
        var $305=HEAP[$tcd_addr]; //@line 1398 "tcd.c"
        var $306=CHECK_OVERFLOW(($305+32)&4294967295, 32); //@line 1398 "tcd.c"
        var $307=HEAP[$306]; //@line 1398 "tcd.c"
        var $308=CHECK_OVERFLOW(($307+36)&4294967295, 32); //@line 1398 "tcd.c"
        var $309=HEAP[$308]; //@line 1398 "tcd.c"
        var $310=HEAP[$tcd_addr]; //@line 1398 "tcd.c"
        var $311=CHECK_OVERFLOW(($310+20)&4294967295, 32); //@line 1398 "tcd.c"
        var $312=HEAP[$311]; //@line 1398 "tcd.c"
        var $313=_opj_event_msg($312, 1, CHECK_OVERFLOW((__str22114)&4294967295, 32), Pointer_make([$309,0,0,0,$304,0,0,0], 0, ALLOC_STACK)); //@line 1398 "tcd.c"
        HEAP[$0]=0; //@line 1400 "tcd.c"
        __label__ = 20; break; //@line 1400 "tcd.c"
      case 18: // $bb21
        var $314=HEAP[$tcd_addr]; //@line 1404 "tcd.c"
        var $315=CHECK_OVERFLOW(($314+28)&4294967295, 32); //@line 1404 "tcd.c"
        var $316=HEAP[$315]; //@line 1404 "tcd.c"
        var $317=CHECK_OVERFLOW(($316+24)&4294967295, 32); //@line 1404 "tcd.c"
        var $318=HEAP[$317]; //@line 1404 "tcd.c"
        var $319=HEAP[$compno]; //@line 1404 "tcd.c"
        var $320=CHECK_OVERFLOW(($318+48*$319)&4294967295, 32); //@line 1404 "tcd.c"
        var $321=CHECK_OVERFLOW(($320+36)&4294967295, 32); //@line 1404 "tcd.c"
        var $322=HEAP[$321]; //@line 1404 "tcd.c"
        var $323=CHECK_OVERFLOW((($322) + 1)&4294967295, 32); //@line 1404 "tcd.c"
        HEAP[$numres2decode]=$323; //@line 1404 "tcd.c"
        var $324=HEAP[$numres2decode]; //@line 1405 "tcd.c"
        var $325=($324) > 0; //@line 1405 "tcd.c"
        if ($325) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1405 "tcd.c"
      case 21: // $bb22
        var $326=HEAP[$tcd_addr]; //@line 1406 "tcd.c"
        var $327=CHECK_OVERFLOW(($326+40)&4294967295, 32); //@line 1406 "tcd.c"
        var $328=HEAP[$327]; //@line 1406 "tcd.c"
        var $329=CHECK_OVERFLOW(($328+5584)&4294967295, 32); //@line 1406 "tcd.c"
        var $330=HEAP[$329]; //@line 1406 "tcd.c"
        var $331=HEAP[$compno]; //@line 1406 "tcd.c"
        var $332=CHECK_OVERFLOW(($330+1076*$331)&4294967295, 32); //@line 1406 "tcd.c"
        var $333=CHECK_OVERFLOW(($332+20)&4294967295, 32); //@line 1406 "tcd.c"
        var $334=HEAP[$333]; //@line 1406 "tcd.c"
        var $335=($334)==1; //@line 1406 "tcd.c"
        if ($335) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1406 "tcd.c"
      case 23: // $bb23
        var $336=HEAP[$tilec18]; //@line 1407 "tcd.c"
        var $337=HEAP[$numres2decode]; //@line 1407 "tcd.c"
        _dwt_decode($336, $337); //@line 1407 "tcd.c"
        __label__ = 22; break; //@line 1407 "tcd.c"
      case 24: // $bb24
        var $338=HEAP[$tilec18]; //@line 1409 "tcd.c"
        var $339=HEAP[$numres2decode]; //@line 1409 "tcd.c"
        _dwt_decode_real($338, $339); //@line 1409 "tcd.c"
        __label__ = 22; break; //@line 1409 "tcd.c"
      case 22: // $bb25
        var $340=HEAP[$compno]; //@line 1390 "tcd.c"
        var $341=CHECK_OVERFLOW((($340) + 1)&4294967295, 32); //@line 1390 "tcd.c"
        HEAP[$compno]=$341; //@line 1390 "tcd.c"
        __label__ = 16; break; //@line 1390 "tcd.c"
      case 16: // $bb26
        var $342=HEAP[$tile]; //@line 1390 "tcd.c"
        var $343=CHECK_OVERFLOW(($342+16)&4294967295, 32); //@line 1390 "tcd.c"
        var $344=HEAP[$343]; //@line 1390 "tcd.c"
        var $345=HEAP[$compno]; //@line 1390 "tcd.c"
        var $346=($344) > ($345); //@line 1390 "tcd.c"
        if ($346) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1390 "tcd.c"
      case 26: // $bb27
        var $347=_opj_clock(); //@line 1413 "tcd.c"
        var $348=HEAP[$dwt_time]; //@line 1413 "tcd.c"
        var $349=($347) - ($348); //@line 1413 "tcd.c"
        HEAP[$dwt_time]=$349; //@line 1413 "tcd.c"
        var $350=HEAP[$tcd_addr]; //@line 1414 "tcd.c"
        var $351=CHECK_OVERFLOW(($350+20)&4294967295, 32); //@line 1414 "tcd.c"
        var $352=HEAP[$351]; //@line 1414 "tcd.c"
        var $353=HEAP[$dwt_time]; //@line 1414 "tcd.c"
        var $354=_opj_event_msg($352, 4, CHECK_OVERFLOW((__str23115)&4294967295, 32), Pointer_make([$353,0,0,0,0,0,0,0], 0, ALLOC_STACK)); //@line 1414 "tcd.c"
        var $355=HEAP[$tcd_addr]; //@line 1418 "tcd.c"
        var $356=CHECK_OVERFLOW(($355+40)&4294967295, 32); //@line 1418 "tcd.c"
        var $357=HEAP[$356]; //@line 1418 "tcd.c"
        var $358=CHECK_OVERFLOW(($357+16)&4294967295, 32); //@line 1418 "tcd.c"
        var $359=HEAP[$358]; //@line 1418 "tcd.c"
        var $360=($359)!=0; //@line 1418 "tcd.c"
        if ($360) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1418 "tcd.c"
      case 27: // $bb28
        var $361=HEAP[$tile]; //@line 1419 "tcd.c"
        var $362=CHECK_OVERFLOW(($361+20)&4294967295, 32); //@line 1419 "tcd.c"
        var $363=HEAP[$362]; //@line 1419 "tcd.c"
        var $364=CHECK_OVERFLOW(($363)&4294967295, 32); //@line 1419 "tcd.c"
        var $365=CHECK_OVERFLOW(($364+8)&4294967295, 32); //@line 1419 "tcd.c"
        var $366=HEAP[$365]; //@line 1419 "tcd.c"
        var $367=HEAP[$tile]; //@line 1419 "tcd.c"
        var $368=CHECK_OVERFLOW(($367+20)&4294967295, 32); //@line 1419 "tcd.c"
        var $369=HEAP[$368]; //@line 1419 "tcd.c"
        var $370=CHECK_OVERFLOW(($369)&4294967295, 32); //@line 1419 "tcd.c"
        var $371=CHECK_OVERFLOW(($370)&4294967295, 32); //@line 1419 "tcd.c"
        var $372=HEAP[$371]; //@line 1419 "tcd.c"
        var $373=CHECK_OVERFLOW((($366) - ($372))&4294967295, 32); //@line 1419 "tcd.c"
        var $374=HEAP[$tile]; //@line 1419 "tcd.c"
        var $375=CHECK_OVERFLOW(($374+20)&4294967295, 32); //@line 1419 "tcd.c"
        var $376=HEAP[$375]; //@line 1419 "tcd.c"
        var $377=CHECK_OVERFLOW(($376)&4294967295, 32); //@line 1419 "tcd.c"
        var $378=CHECK_OVERFLOW(($377+12)&4294967295, 32); //@line 1419 "tcd.c"
        var $379=HEAP[$378]; //@line 1419 "tcd.c"
        var $380=HEAP[$tile]; //@line 1419 "tcd.c"
        var $381=CHECK_OVERFLOW(($380+20)&4294967295, 32); //@line 1419 "tcd.c"
        var $382=HEAP[$381]; //@line 1419 "tcd.c"
        var $383=CHECK_OVERFLOW(($382)&4294967295, 32); //@line 1419 "tcd.c"
        var $384=CHECK_OVERFLOW(($383+4)&4294967295, 32); //@line 1419 "tcd.c"
        var $385=HEAP[$384]; //@line 1419 "tcd.c"
        var $386=CHECK_OVERFLOW((($379) - ($385))&4294967295, 32); //@line 1419 "tcd.c"
        var $387=CHECK_OVERFLOW((($373) * ($386))&4294967295, 32); //@line 1419 "tcd.c"
        HEAP[$n]=$387; //@line 1419 "tcd.c"
        var $388=HEAP[$tcd_addr]; //@line 1420 "tcd.c"
        var $389=CHECK_OVERFLOW(($388+40)&4294967295, 32); //@line 1420 "tcd.c"
        var $390=HEAP[$389]; //@line 1420 "tcd.c"
        var $391=CHECK_OVERFLOW(($390+5584)&4294967295, 32); //@line 1420 "tcd.c"
        var $392=HEAP[$391]; //@line 1420 "tcd.c"
        var $393=CHECK_OVERFLOW(($392)&4294967295, 32); //@line 1420 "tcd.c"
        var $394=CHECK_OVERFLOW(($393+20)&4294967295, 32); //@line 1420 "tcd.c"
        var $395=HEAP[$394]; //@line 1420 "tcd.c"
        var $396=($395)==1; //@line 1420 "tcd.c"
        if ($396) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 1420 "tcd.c"
      case 29: // $bb29
        var $397=HEAP[$tile]; //@line 1421 "tcd.c"
        var $398=CHECK_OVERFLOW(($397+20)&4294967295, 32); //@line 1421 "tcd.c"
        var $399=HEAP[$398]; //@line 1421 "tcd.c"
        var $400=CHECK_OVERFLOW(($399+64)&4294967295, 32); //@line 1421 "tcd.c"
        var $401=CHECK_OVERFLOW(($400+24)&4294967295, 32); //@line 1421 "tcd.c"
        var $402=HEAP[$401]; //@line 1421 "tcd.c"
        var $403=HEAP[$tile]; //@line 1421 "tcd.c"
        var $404=CHECK_OVERFLOW(($403+20)&4294967295, 32); //@line 1421 "tcd.c"
        var $405=HEAP[$404]; //@line 1421 "tcd.c"
        var $406=CHECK_OVERFLOW(($405+32)&4294967295, 32); //@line 1421 "tcd.c"
        var $407=CHECK_OVERFLOW(($406+24)&4294967295, 32); //@line 1421 "tcd.c"
        var $408=HEAP[$407]; //@line 1421 "tcd.c"
        var $409=HEAP[$tile]; //@line 1421 "tcd.c"
        var $410=CHECK_OVERFLOW(($409+20)&4294967295, 32); //@line 1421 "tcd.c"
        var $411=HEAP[$410]; //@line 1421 "tcd.c"
        var $412=CHECK_OVERFLOW(($411)&4294967295, 32); //@line 1421 "tcd.c"
        var $413=CHECK_OVERFLOW(($412+24)&4294967295, 32); //@line 1421 "tcd.c"
        var $414=HEAP[$413]; //@line 1421 "tcd.c"
        var $415=HEAP[$n]; //@line 1421 "tcd.c"
        _mct_decode($414, $408, $402, $415); //@line 1421 "tcd.c"
        __label__ = 28; break; //@line 1421 "tcd.c"
      case 30: // $bb30
        var $416=HEAP[$tile]; //@line 1427 "tcd.c"
        var $417=CHECK_OVERFLOW(($416+20)&4294967295, 32); //@line 1427 "tcd.c"
        var $418=HEAP[$417]; //@line 1427 "tcd.c"
        var $419=CHECK_OVERFLOW(($418+64)&4294967295, 32); //@line 1427 "tcd.c"
        var $420=CHECK_OVERFLOW(($419+24)&4294967295, 32); //@line 1427 "tcd.c"
        var $421=HEAP[$420]; //@line 1427 "tcd.c"
        var $422=$421; //@line 1427 "tcd.c"
        var $423=HEAP[$tile]; //@line 1427 "tcd.c"
        var $424=CHECK_OVERFLOW(($423+20)&4294967295, 32); //@line 1427 "tcd.c"
        var $425=HEAP[$424]; //@line 1427 "tcd.c"
        var $426=CHECK_OVERFLOW(($425+32)&4294967295, 32); //@line 1427 "tcd.c"
        var $427=CHECK_OVERFLOW(($426+24)&4294967295, 32); //@line 1427 "tcd.c"
        var $428=HEAP[$427]; //@line 1427 "tcd.c"
        var $429=$428; //@line 1427 "tcd.c"
        var $430=HEAP[$tile]; //@line 1427 "tcd.c"
        var $431=CHECK_OVERFLOW(($430+20)&4294967295, 32); //@line 1427 "tcd.c"
        var $432=HEAP[$431]; //@line 1427 "tcd.c"
        var $433=CHECK_OVERFLOW(($432)&4294967295, 32); //@line 1427 "tcd.c"
        var $434=CHECK_OVERFLOW(($433+24)&4294967295, 32); //@line 1427 "tcd.c"
        var $435=HEAP[$434]; //@line 1427 "tcd.c"
        var $436=$435; //@line 1427 "tcd.c"
        var $437=HEAP[$n]; //@line 1427 "tcd.c"
        _mct_decode_real($436, $429, $422, $437); //@line 1427 "tcd.c"
        __label__ = 28; break; //@line 1427 "tcd.c"
      case 28: // $bb31
        HEAP[$compno]=0; //@line 1437 "tcd.c"
        __label__ = 31; break; //@line 1437 "tcd.c"
      case 57: // $bb32
        var $438=HEAP[$tile]; //@line 1438 "tcd.c"
        var $439=CHECK_OVERFLOW(($438+20)&4294967295, 32); //@line 1438 "tcd.c"
        var $440=HEAP[$439]; //@line 1438 "tcd.c"
        var $441=HEAP[$compno]; //@line 1438 "tcd.c"
        var $442=CHECK_OVERFLOW(($440+32*$441)&4294967295, 32); //@line 1438 "tcd.c"
        HEAP[$tilec33]=$442; //@line 1438 "tcd.c"
        var $443=HEAP[$tcd_addr]; //@line 1439 "tcd.c"
        var $444=CHECK_OVERFLOW(($443+28)&4294967295, 32); //@line 1439 "tcd.c"
        var $445=HEAP[$444]; //@line 1439 "tcd.c"
        var $446=CHECK_OVERFLOW(($445+24)&4294967295, 32); //@line 1439 "tcd.c"
        var $447=HEAP[$446]; //@line 1439 "tcd.c"
        var $448=HEAP[$compno]; //@line 1439 "tcd.c"
        var $449=CHECK_OVERFLOW(($447+48*$448)&4294967295, 32); //@line 1439 "tcd.c"
        HEAP[$imagec]=$449; //@line 1439 "tcd.c"
        var $450=HEAP[$tilec33]; //@line 1440 "tcd.c"
        var $451=CHECK_OVERFLOW(($450+20)&4294967295, 32); //@line 1440 "tcd.c"
        var $452=HEAP[$451]; //@line 1440 "tcd.c"
        var $453=HEAP[$imagec]; //@line 1440 "tcd.c"
        var $454=CHECK_OVERFLOW(($453+36)&4294967295, 32); //@line 1440 "tcd.c"
        var $455=HEAP[$454]; //@line 1440 "tcd.c"
        var $456=CHECK_OVERFLOW(($452+124*$455)&4294967295, 32); //@line 1440 "tcd.c"
        HEAP[$res]=$456; //@line 1440 "tcd.c"
        var $457=HEAP[$imagec]; //@line 1441 "tcd.c"
        var $458=CHECK_OVERFLOW(($457+32)&4294967295, 32); //@line 1441 "tcd.c"
        var $459=HEAP[$458]; //@line 1441 "tcd.c"
        var $460=($459)==0; //@line 1441 "tcd.c"
        if ($460) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 1441 "tcd.c"
      case 32: // $bb34
        var $461=HEAP[$imagec]; //@line 1441 "tcd.c"
        var $462=CHECK_OVERFLOW(($461+24)&4294967295, 32); //@line 1441 "tcd.c"
        var $463=HEAP[$462]; //@line 1441 "tcd.c"
        var $464=CHECK_OVERFLOW((($463) - 1)&4294967295, 32); //@line 1441 "tcd.c"
        var $465=1 << ($464); //@line 1441 "tcd.c"
        HEAP[$iftmp_120]=$465; //@line 1441 "tcd.c"
        __label__ = 34; break; //@line 1441 "tcd.c"
      case 33: // $bb35
        HEAP[$iftmp_120]=0; //@line 1441 "tcd.c"
        __label__ = 34; break; //@line 1441 "tcd.c"
      case 34: // $bb36
        var $466=HEAP[$iftmp_120]; //@line 1441 "tcd.c"
        HEAP[$adjust]=$466; //@line 1441 "tcd.c"
        var $467=HEAP[$imagec]; //@line 1442 "tcd.c"
        var $468=CHECK_OVERFLOW(($467+32)&4294967295, 32); //@line 1442 "tcd.c"
        var $469=HEAP[$468]; //@line 1442 "tcd.c"
        var $470=($469)!=0; //@line 1442 "tcd.c"
        if ($470) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 1442 "tcd.c"
      case 35: // $bb37
        var $471=HEAP[$imagec]; //@line 1442 "tcd.c"
        var $472=CHECK_OVERFLOW(($471+24)&4294967295, 32); //@line 1442 "tcd.c"
        var $473=HEAP[$472]; //@line 1442 "tcd.c"
        var $474=CHECK_OVERFLOW((($473) - 1)&4294967295, 32); //@line 1442 "tcd.c"
        var $475=1 << ($474); //@line 1442 "tcd.c"
        var $476=CHECK_OVERFLOW((0 - ($475))&4294967295, 32); //@line 1442 "tcd.c"
        HEAP[$iftmp_121]=$476; //@line 1442 "tcd.c"
        __label__ = 37; break; //@line 1442 "tcd.c"
      case 36: // $bb38
        HEAP[$iftmp_121]=0; //@line 1442 "tcd.c"
        __label__ = 37; break; //@line 1442 "tcd.c"
      case 37: // $bb39
        var $477=HEAP[$iftmp_121]; //@line 1442 "tcd.c"
        HEAP[$min]=$477; //@line 1442 "tcd.c"
        var $478=HEAP[$imagec]; //@line 1443 "tcd.c"
        var $479=CHECK_OVERFLOW(($478+32)&4294967295, 32); //@line 1443 "tcd.c"
        var $480=HEAP[$479]; //@line 1443 "tcd.c"
        var $481=($480)!=0; //@line 1443 "tcd.c"
        if ($481) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 1443 "tcd.c"
      case 38: // $bb40
        var $482=HEAP[$imagec]; //@line 1443 "tcd.c"
        var $483=CHECK_OVERFLOW(($482+24)&4294967295, 32); //@line 1443 "tcd.c"
        var $484=HEAP[$483]; //@line 1443 "tcd.c"
        var $485=CHECK_OVERFLOW((($484) - 1)&4294967295, 32); //@line 1443 "tcd.c"
        var $486=1 << ($485); //@line 1443 "tcd.c"
        var $487=CHECK_OVERFLOW((($486) - 1)&4294967295, 32); //@line 1443 "tcd.c"
        HEAP[$iftmp_122]=$487; //@line 1443 "tcd.c"
        __label__ = 40; break; //@line 1443 "tcd.c"
      case 39: // $bb41
        var $488=HEAP[$imagec]; //@line 1443 "tcd.c"
        var $489=CHECK_OVERFLOW(($488+24)&4294967295, 32); //@line 1443 "tcd.c"
        var $490=HEAP[$489]; //@line 1443 "tcd.c"
        var $491=1 << ($490); //@line 1443 "tcd.c"
        var $492=CHECK_OVERFLOW((($491) - 1)&4294967295, 32); //@line 1443 "tcd.c"
        HEAP[$iftmp_122]=$492; //@line 1443 "tcd.c"
        __label__ = 40; break; //@line 1443 "tcd.c"
      case 40: // $bb42
        var $493=HEAP[$iftmp_122]; //@line 1443 "tcd.c"
        HEAP[$max]=$493; //@line 1443 "tcd.c"
        var $494=HEAP[$tilec33]; //@line 1445 "tcd.c"
        var $495=CHECK_OVERFLOW(($494+8)&4294967295, 32); //@line 1445 "tcd.c"
        var $496=HEAP[$495]; //@line 1445 "tcd.c"
        var $497=HEAP[$tilec33]; //@line 1445 "tcd.c"
        var $498=CHECK_OVERFLOW(($497)&4294967295, 32); //@line 1445 "tcd.c"
        var $499=HEAP[$498]; //@line 1445 "tcd.c"
        var $500=CHECK_OVERFLOW((($496) - ($499))&4294967295, 32); //@line 1445 "tcd.c"
        HEAP[$tw]=$500; //@line 1445 "tcd.c"
        var $501=HEAP[$imagec]; //@line 1446 "tcd.c"
        var $502=CHECK_OVERFLOW(($501+8)&4294967295, 32); //@line 1446 "tcd.c"
        var $503=HEAP[$502]; //@line 1446 "tcd.c"
        HEAP[$w]=$503; //@line 1446 "tcd.c"
        var $504=HEAP[$imagec]; //@line 1448 "tcd.c"
        var $505=CHECK_OVERFLOW(($504+40)&4294967295, 32); //@line 1448 "tcd.c"
        var $506=HEAP[$505]; //@line 1448 "tcd.c"
        var $507=HEAP[$imagec]; //@line 1448 "tcd.c"
        var $508=CHECK_OVERFLOW(($507+16)&4294967295, 32); //@line 1448 "tcd.c"
        var $509=HEAP[$508]; //@line 1448 "tcd.c"
        var $510=_int_ceildivpow274($509, $506); //@line 1448 "tcd.c"
        HEAP[$offset_x]=$510; //@line 1448 "tcd.c"
        var $511=HEAP[$imagec]; //@line 1449 "tcd.c"
        var $512=CHECK_OVERFLOW(($511+40)&4294967295, 32); //@line 1449 "tcd.c"
        var $513=HEAP[$512]; //@line 1449 "tcd.c"
        var $514=HEAP[$imagec]; //@line 1449 "tcd.c"
        var $515=CHECK_OVERFLOW(($514+20)&4294967295, 32); //@line 1449 "tcd.c"
        var $516=HEAP[$515]; //@line 1449 "tcd.c"
        var $517=_int_ceildivpow274($516, $513); //@line 1449 "tcd.c"
        HEAP[$offset_y]=$517; //@line 1449 "tcd.c"
        var $518=HEAP[$imagec]; //@line 1452 "tcd.c"
        var $519=CHECK_OVERFLOW(($518+44)&4294967295, 32); //@line 1452 "tcd.c"
        var $520=HEAP[$519]; //@line 1452 "tcd.c"
        var $521=($520)==0; //@line 1452 "tcd.c"
        if ($521) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 1452 "tcd.c"
      case 41: // $bb43
        var $522=HEAP[$imagec]; //@line 1453 "tcd.c"
        var $523=CHECK_OVERFLOW(($522+8)&4294967295, 32); //@line 1453 "tcd.c"
        var $524=HEAP[$523]; //@line 1453 "tcd.c"
        var $525=HEAP[$imagec]; //@line 1453 "tcd.c"
        var $526=CHECK_OVERFLOW(($525+12)&4294967295, 32); //@line 1453 "tcd.c"
        var $527=HEAP[$526]; //@line 1453 "tcd.c"
        var $528=CHECK_OVERFLOW((($524) * ($527))&4294967295, 32); //@line 1453 "tcd.c"
        var $529=CHECK_OVERFLOW((($528) * 4)&4294967295, 32); //@line 1453 "tcd.c"
        var $530=_malloc($529); //@line 1453 "tcd.c"
        var $531=$530; //@line 1453 "tcd.c"
        var $532=HEAP[$imagec]; //@line 1453 "tcd.c"
        var $533=CHECK_OVERFLOW(($532+44)&4294967295, 32); //@line 1453 "tcd.c"
        HEAP[$533]=$531; //@line 1453 "tcd.c"
        __label__ = 42; break; //@line 1453 "tcd.c"
      case 42: // $bb44
        var $534=HEAP[$tcd_addr]; //@line 1455 "tcd.c"
        var $535=CHECK_OVERFLOW(($534+40)&4294967295, 32); //@line 1455 "tcd.c"
        var $536=HEAP[$535]; //@line 1455 "tcd.c"
        var $537=CHECK_OVERFLOW(($536+5584)&4294967295, 32); //@line 1455 "tcd.c"
        var $538=HEAP[$537]; //@line 1455 "tcd.c"
        var $539=HEAP[$compno]; //@line 1455 "tcd.c"
        var $540=CHECK_OVERFLOW(($538+1076*$539)&4294967295, 32); //@line 1455 "tcd.c"
        var $541=CHECK_OVERFLOW(($540+20)&4294967295, 32); //@line 1455 "tcd.c"
        var $542=HEAP[$541]; //@line 1455 "tcd.c"
        var $543=($542)==1; //@line 1455 "tcd.c"
        if ($543) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 1455 "tcd.c"
      case 43: // $bb45
        var $544=HEAP[$res]; //@line 1456 "tcd.c"
        var $545=CHECK_OVERFLOW(($544+4)&4294967295, 32); //@line 1456 "tcd.c"
        var $546=HEAP[$545]; //@line 1456 "tcd.c"
        HEAP[$j]=$546; //@line 1456 "tcd.c"
        __label__ = 45; break; //@line 1456 "tcd.c"
      case 49: // $bb46
        var $547=HEAP[$res]; //@line 1457 "tcd.c"
        var $548=CHECK_OVERFLOW(($547)&4294967295, 32); //@line 1457 "tcd.c"
        var $549=HEAP[$548]; //@line 1457 "tcd.c"
        HEAP[$i]=$549; //@line 1457 "tcd.c"
        __label__ = 46; break; //@line 1457 "tcd.c"
      case 47: // $bb47
        var $550=HEAP[$tilec33]; //@line 1458 "tcd.c"
        var $551=CHECK_OVERFLOW(($550+24)&4294967295, 32); //@line 1458 "tcd.c"
        var $552=HEAP[$551]; //@line 1458 "tcd.c"
        var $553=HEAP[$res]; //@line 1458 "tcd.c"
        var $554=CHECK_OVERFLOW(($553)&4294967295, 32); //@line 1458 "tcd.c"
        var $555=HEAP[$554]; //@line 1458 "tcd.c"
        var $556=HEAP[$i]; //@line 1458 "tcd.c"
        var $557=CHECK_OVERFLOW((($556) - ($555))&4294967295, 32); //@line 1458 "tcd.c"
        var $558=HEAP[$res]; //@line 1458 "tcd.c"
        var $559=CHECK_OVERFLOW(($558+4)&4294967295, 32); //@line 1458 "tcd.c"
        var $560=HEAP[$559]; //@line 1458 "tcd.c"
        var $561=HEAP[$j]; //@line 1458 "tcd.c"
        var $562=CHECK_OVERFLOW((($561) - ($560))&4294967295, 32); //@line 1458 "tcd.c"
        var $563=HEAP[$tw]; //@line 1458 "tcd.c"
        var $564=CHECK_OVERFLOW((($562) * ($563))&4294967295, 32); //@line 1458 "tcd.c"
        var $565=CHECK_OVERFLOW((($557) + ($564))&4294967295, 32); //@line 1458 "tcd.c"
        var $566=CHECK_OVERFLOW(($552+4*$565)&4294967295, 32); //@line 1458 "tcd.c"
        var $567=HEAP[$566]; //@line 1458 "tcd.c"
        HEAP[$v]=$567; //@line 1458 "tcd.c"
        var $568=HEAP[$v]; //@line 1459 "tcd.c"
        var $569=HEAP[$adjust]; //@line 1459 "tcd.c"
        var $570=CHECK_OVERFLOW((($568) + ($569))&4294967295, 32); //@line 1459 "tcd.c"
        HEAP[$v]=$570; //@line 1459 "tcd.c"
        var $571=HEAP[$imagec]; //@line 1460 "tcd.c"
        var $572=CHECK_OVERFLOW(($571+44)&4294967295, 32); //@line 1460 "tcd.c"
        var $573=HEAP[$572]; //@line 1460 "tcd.c"
        var $574=HEAP[$i]; //@line 1460 "tcd.c"
        var $575=HEAP[$offset_x]; //@line 1460 "tcd.c"
        var $576=CHECK_OVERFLOW((($574) - ($575))&4294967295, 32); //@line 1460 "tcd.c"
        var $577=HEAP[$j]; //@line 1460 "tcd.c"
        var $578=HEAP[$offset_y]; //@line 1460 "tcd.c"
        var $579=CHECK_OVERFLOW((($577) - ($578))&4294967295, 32); //@line 1460 "tcd.c"
        var $580=HEAP[$w]; //@line 1460 "tcd.c"
        var $581=CHECK_OVERFLOW((($579) * ($580))&4294967295, 32); //@line 1460 "tcd.c"
        var $582=CHECK_OVERFLOW((($576) + ($581))&4294967295, 32); //@line 1460 "tcd.c"
        var $583=HEAP[$v]; //@line 1460 "tcd.c"
        var $584=HEAP[$min]; //@line 1460 "tcd.c"
        var $585=HEAP[$max]; //@line 1460 "tcd.c"
        var $586=_int_clamp($583, $584, $585); //@line 1460 "tcd.c"
        var $587=CHECK_OVERFLOW(($573+4*$582)&4294967295, 32); //@line 1460 "tcd.c"
        HEAP[$587]=$586; //@line 1460 "tcd.c"
        var $588=HEAP[$i]; //@line 1457 "tcd.c"
        var $589=CHECK_OVERFLOW((($588) + 1)&4294967295, 32); //@line 1457 "tcd.c"
        HEAP[$i]=$589; //@line 1457 "tcd.c"
        __label__ = 46; break; //@line 1457 "tcd.c"
      case 46: // $bb48
        var $590=HEAP[$res]; //@line 1457 "tcd.c"
        var $591=CHECK_OVERFLOW(($590+8)&4294967295, 32); //@line 1457 "tcd.c"
        var $592=HEAP[$591]; //@line 1457 "tcd.c"
        var $593=HEAP[$i]; //@line 1457 "tcd.c"
        var $594=($592) > ($593); //@line 1457 "tcd.c"
        if ($594) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 1457 "tcd.c"
      case 48: // $bb49
        var $595=HEAP[$j]; //@line 1456 "tcd.c"
        var $596=CHECK_OVERFLOW((($595) + 1)&4294967295, 32); //@line 1456 "tcd.c"
        HEAP[$j]=$596; //@line 1456 "tcd.c"
        __label__ = 45; break; //@line 1456 "tcd.c"
      case 45: // $bb50
        var $597=HEAP[$res]; //@line 1456 "tcd.c"
        var $598=CHECK_OVERFLOW(($597+12)&4294967295, 32); //@line 1456 "tcd.c"
        var $599=HEAP[$598]; //@line 1456 "tcd.c"
        var $600=HEAP[$j]; //@line 1456 "tcd.c"
        var $601=($599) > ($600); //@line 1456 "tcd.c"
        if ($601) { __label__ = 49; break; } else { __label__ = 50; break; } //@line 1456 "tcd.c"
      case 50: // $bb51
        __label__ = 51; break; //@line 1456 "tcd.c"
      case 44: // $bb52
        var $602=HEAP[$res]; //@line 1464 "tcd.c"
        var $603=CHECK_OVERFLOW(($602+4)&4294967295, 32); //@line 1464 "tcd.c"
        var $604=HEAP[$603]; //@line 1464 "tcd.c"
        HEAP[$j]=$604; //@line 1464 "tcd.c"
        __label__ = 52; break; //@line 1464 "tcd.c"
      case 56: // $bb53
        var $605=HEAP[$res]; //@line 1465 "tcd.c"
        var $606=CHECK_OVERFLOW(($605)&4294967295, 32); //@line 1465 "tcd.c"
        var $607=HEAP[$606]; //@line 1465 "tcd.c"
        HEAP[$i]=$607; //@line 1465 "tcd.c"
        __label__ = 53; break; //@line 1465 "tcd.c"
      case 54: // $bb54
        var $608=HEAP[$tilec33]; //@line 1466 "tcd.c"
        var $609=CHECK_OVERFLOW(($608+24)&4294967295, 32); //@line 1466 "tcd.c"
        var $610=HEAP[$609]; //@line 1466 "tcd.c"
        var $611=$610; //@line 1466 "tcd.c"
        var $612=HEAP[$res]; //@line 1466 "tcd.c"
        var $613=CHECK_OVERFLOW(($612)&4294967295, 32); //@line 1466 "tcd.c"
        var $614=HEAP[$613]; //@line 1466 "tcd.c"
        var $615=HEAP[$i]; //@line 1466 "tcd.c"
        var $616=CHECK_OVERFLOW((($615) - ($614))&4294967295, 32); //@line 1466 "tcd.c"
        var $617=HEAP[$res]; //@line 1466 "tcd.c"
        var $618=CHECK_OVERFLOW(($617+4)&4294967295, 32); //@line 1466 "tcd.c"
        var $619=HEAP[$618]; //@line 1466 "tcd.c"
        var $620=HEAP[$j]; //@line 1466 "tcd.c"
        var $621=CHECK_OVERFLOW((($620) - ($619))&4294967295, 32); //@line 1466 "tcd.c"
        var $622=HEAP[$tw]; //@line 1466 "tcd.c"
        var $623=CHECK_OVERFLOW((($621) * ($622))&4294967295, 32); //@line 1466 "tcd.c"
        var $624=CHECK_OVERFLOW((($616) + ($623))&4294967295, 32); //@line 1466 "tcd.c"
        var $625=CHECK_OVERFLOW(($611+4*$624)&4294967295, 32); //@line 1466 "tcd.c"
        var $626=HEAP[$625]; //@line 1466 "tcd.c"
        HEAP[$tmp]=$626; //@line 1466 "tcd.c"
        var $627=HEAP[$tmp]; //@line 1467 "tcd.c"
        var $628=_lrintf($627); //@line 1467 "tcd.c"
        HEAP[$v55]=$628; //@line 1467 "tcd.c"
        var $629=HEAP[$v55]; //@line 1468 "tcd.c"
        var $630=HEAP[$adjust]; //@line 1468 "tcd.c"
        var $631=CHECK_OVERFLOW((($629) + ($630))&4294967295, 32); //@line 1468 "tcd.c"
        HEAP[$v55]=$631; //@line 1468 "tcd.c"
        var $632=HEAP[$imagec]; //@line 1469 "tcd.c"
        var $633=CHECK_OVERFLOW(($632+44)&4294967295, 32); //@line 1469 "tcd.c"
        var $634=HEAP[$633]; //@line 1469 "tcd.c"
        var $635=HEAP[$i]; //@line 1469 "tcd.c"
        var $636=HEAP[$offset_x]; //@line 1469 "tcd.c"
        var $637=CHECK_OVERFLOW((($635) - ($636))&4294967295, 32); //@line 1469 "tcd.c"
        var $638=HEAP[$j]; //@line 1469 "tcd.c"
        var $639=HEAP[$offset_y]; //@line 1469 "tcd.c"
        var $640=CHECK_OVERFLOW((($638) - ($639))&4294967295, 32); //@line 1469 "tcd.c"
        var $641=HEAP[$w]; //@line 1469 "tcd.c"
        var $642=CHECK_OVERFLOW((($640) * ($641))&4294967295, 32); //@line 1469 "tcd.c"
        var $643=CHECK_OVERFLOW((($637) + ($642))&4294967295, 32); //@line 1469 "tcd.c"
        var $644=HEAP[$v55]; //@line 1469 "tcd.c"
        var $645=HEAP[$min]; //@line 1469 "tcd.c"
        var $646=HEAP[$max]; //@line 1469 "tcd.c"
        var $647=_int_clamp($644, $645, $646); //@line 1469 "tcd.c"
        var $648=CHECK_OVERFLOW(($634+4*$643)&4294967295, 32); //@line 1469 "tcd.c"
        HEAP[$648]=$647; //@line 1469 "tcd.c"
        var $649=HEAP[$i]; //@line 1465 "tcd.c"
        var $650=CHECK_OVERFLOW((($649) + 1)&4294967295, 32); //@line 1465 "tcd.c"
        HEAP[$i]=$650; //@line 1465 "tcd.c"
        __label__ = 53; break; //@line 1465 "tcd.c"
      case 53: // $bb56
        var $651=HEAP[$res]; //@line 1465 "tcd.c"
        var $652=CHECK_OVERFLOW(($651+8)&4294967295, 32); //@line 1465 "tcd.c"
        var $653=HEAP[$652]; //@line 1465 "tcd.c"
        var $654=HEAP[$i]; //@line 1465 "tcd.c"
        var $655=($653) > ($654); //@line 1465 "tcd.c"
        if ($655) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 1465 "tcd.c"
      case 55: // $bb57
        var $656=HEAP[$j]; //@line 1464 "tcd.c"
        var $657=CHECK_OVERFLOW((($656) + 1)&4294967295, 32); //@line 1464 "tcd.c"
        HEAP[$j]=$657; //@line 1464 "tcd.c"
        __label__ = 52; break; //@line 1464 "tcd.c"
      case 52: // $bb58
        var $658=HEAP[$res]; //@line 1464 "tcd.c"
        var $659=CHECK_OVERFLOW(($658+12)&4294967295, 32); //@line 1464 "tcd.c"
        var $660=HEAP[$659]; //@line 1464 "tcd.c"
        var $661=HEAP[$j]; //@line 1464 "tcd.c"
        var $662=($660) > ($661); //@line 1464 "tcd.c"
        if ($662) { __label__ = 56; break; } else { __label__ = 51; break; } //@line 1464 "tcd.c"
      case 51: // $bb59
        var $663=HEAP[$tilec33]; //@line 1473 "tcd.c"
        var $664=CHECK_OVERFLOW(($663+24)&4294967295, 32); //@line 1473 "tcd.c"
        var $665=HEAP[$664]; //@line 1473 "tcd.c"
        var $666=$665; //@line 1473 "tcd.c"
        _free($666); //@line 1473 "tcd.c"
        var $667=HEAP[$compno]; //@line 1437 "tcd.c"
        var $668=CHECK_OVERFLOW((($667) + 1)&4294967295, 32); //@line 1437 "tcd.c"
        HEAP[$compno]=$668; //@line 1437 "tcd.c"
        __label__ = 31; break; //@line 1437 "tcd.c"
      case 31: // $bb60
        var $669=HEAP[$tile]; //@line 1437 "tcd.c"
        var $670=CHECK_OVERFLOW(($669+16)&4294967295, 32); //@line 1437 "tcd.c"
        var $671=HEAP[$670]; //@line 1437 "tcd.c"
        var $672=HEAP[$compno]; //@line 1437 "tcd.c"
        var $673=($671) > ($672); //@line 1437 "tcd.c"
        if ($673) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 1437 "tcd.c"
      case 58: // $bb61
        var $674=_opj_clock(); //@line 1476 "tcd.c"
        var $675=HEAP[$tile_time]; //@line 1476 "tcd.c"
        var $676=($674) - ($675); //@line 1476 "tcd.c"
        HEAP[$tile_time]=$676; //@line 1476 "tcd.c"
        var $677=HEAP[$tcd_addr]; //@line 1477 "tcd.c"
        var $678=CHECK_OVERFLOW(($677+20)&4294967295, 32); //@line 1477 "tcd.c"
        var $679=HEAP[$678]; //@line 1477 "tcd.c"
        var $680=HEAP[$tile_time]; //@line 1477 "tcd.c"
        var $681=_opj_event_msg($679, 4, CHECK_OVERFLOW((__str24116)&4294967295, 32), Pointer_make([$680,0,0,0,0,0,0,0], 0, ALLOC_STACK)); //@line 1477 "tcd.c"
        var $682=HEAP[$eof]; //@line 1479 "tcd.c"
        var $683=($682)!=0; //@line 1479 "tcd.c"
        if ($683) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 1479 "tcd.c"
      case 59: // $bb62
        HEAP[$0]=0; //@line 1480 "tcd.c"
        __label__ = 20; break; //@line 1480 "tcd.c"
      case 60: // $bb63
        HEAP[$0]=1; //@line 1483 "tcd.c"
        __label__ = 20; break; //@line 1483 "tcd.c"
      case 20: // $bb64
        var $684=HEAP[$0]; //@line 1400 "tcd.c"
        HEAP[$retval]=$684; //@line 1400 "tcd.c"
        __label__ = 61; break; //@line 1400 "tcd.c"
      case 61: // $return
        var $retval65=HEAP[$retval]; //@line 1400 "tcd.c"
        STACKTOP = __stackBase__;
        return $retval65; //@line 1400 "tcd.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_clamp($a, $min, $max) {
    var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 20);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $min_addr=__stackBase__+4;
        var $max_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $0=__stackBase__+16;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$min_addr]=$min;
        HEAP[$max_addr]=$max;
        var $1=HEAP[$a_addr]; //@line 70 "int.h"
        var $2=HEAP[$min_addr]; //@line 70 "int.h"
        var $3=($1) < ($2); //@line 70 "int.h"
        if ($3) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 70 "int.h"
      case 0: // $bb
        var $4=HEAP[$min_addr]; //@line 71 "int.h"
        HEAP[$0]=$4; //@line 71 "int.h"
        __label__ = 2; break; //@line 71 "int.h"
      case 1: // $bb1
        var $5=HEAP[$a_addr]; //@line 72 "int.h"
        var $6=HEAP[$max_addr]; //@line 72 "int.h"
        var $7=($5) > ($6); //@line 72 "int.h"
        if ($7) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 72 "int.h"
      case 3: // $bb2
        var $8=HEAP[$max_addr]; //@line 73 "int.h"
        HEAP[$0]=$8; //@line 73 "int.h"
        __label__ = 2; break; //@line 73 "int.h"
      case 4: // $bb3
        var $9=HEAP[$a_addr]; //@line 74 "int.h"
        HEAP[$0]=$9; //@line 74 "int.h"
        __label__ = 2; break; //@line 74 "int.h"
      case 2: // $bb4
        var $10=HEAP[$0]; //@line 71 "int.h"
        HEAP[$retval]=$10; //@line 71 "int.h"
        __label__ = 5; break; //@line 71 "int.h"
      case 5: // $return
        var $retval5=HEAP[$retval]; //@line 71 "int.h"
        STACKTOP = __stackBase__;
        return $retval5; //@line 71 "int.h"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tcd_free_decode($tcd) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tcd_addr=__stackBase__;
        var $tcd_image=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$tcd_addr]=$tcd;
        var $0=HEAP[$tcd_addr]; //@line 1487 "tcd.c"
        var $1=CHECK_OVERFLOW(($0+24)&4294967295, 32); //@line 1487 "tcd.c"
        var $2=HEAP[$1]; //@line 1487 "tcd.c"
        HEAP[$tcd_image]=$2; //@line 1487 "tcd.c"
        var $3=HEAP[$tcd_image]; //@line 1488 "tcd.c"
        var $4=CHECK_OVERFLOW(($3+8)&4294967295, 32); //@line 1488 "tcd.c"
        var $5=HEAP[$4]; //@line 1488 "tcd.c"
        var $6=$5; //@line 1488 "tcd.c"
        _free($6); //@line 1488 "tcd.c"
        __label__ = 0; break; //@line 1489 "tcd.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 1489 "tcd.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tcd_free_decode_tile($tcd, $tileno) {
    var __stackBase__  = STACKTOP; STACKTOP += 48; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 48);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tcd_addr=__stackBase__;
        var $tileno_addr=__stackBase__+4;
        var $compno=__stackBase__+8;
        var $resno=__stackBase__+12;
        var $bandno=__stackBase__+16;
        var $precno=__stackBase__+20;
        var $tcd_image=__stackBase__+24;
        var $tile=__stackBase__+28;
        var $tilec=__stackBase__+32;
        var $res=__stackBase__+36;
        var $band=__stackBase__+40;
        var $prec=__stackBase__+44;
        var $_alloca_point_=0;
        HEAP[$tcd_addr]=$tcd;
        HEAP[$tileno_addr]=$tileno;
        var $0=HEAP[$tcd_addr]; //@line 1494 "tcd.c"
        var $1=CHECK_OVERFLOW(($0+24)&4294967295, 32); //@line 1494 "tcd.c"
        var $2=HEAP[$1]; //@line 1494 "tcd.c"
        HEAP[$tcd_image]=$2; //@line 1494 "tcd.c"
        var $3=HEAP[$tcd_image]; //@line 1496 "tcd.c"
        var $4=CHECK_OVERFLOW(($3+8)&4294967295, 32); //@line 1496 "tcd.c"
        var $5=HEAP[$4]; //@line 1496 "tcd.c"
        var $6=HEAP[$tileno_addr]; //@line 1496 "tcd.c"
        var $7=CHECK_OVERFLOW(($5+840*$6)&4294967295, 32); //@line 1496 "tcd.c"
        HEAP[$tile]=$7; //@line 1496 "tcd.c"
        HEAP[$compno]=0; //@line 1497 "tcd.c"
        __label__ = 0; break; //@line 1497 "tcd.c"
      case 14: // $bb
        var $8=HEAP[$tile]; //@line 1498 "tcd.c"
        var $9=CHECK_OVERFLOW(($8+20)&4294967295, 32); //@line 1498 "tcd.c"
        var $10=HEAP[$9]; //@line 1498 "tcd.c"
        var $11=HEAP[$compno]; //@line 1498 "tcd.c"
        var $12=CHECK_OVERFLOW(($10+32*$11)&4294967295, 32); //@line 1498 "tcd.c"
        HEAP[$tilec]=$12; //@line 1498 "tcd.c"
        HEAP[$resno]=0; //@line 1499 "tcd.c"
        __label__ = 1; break; //@line 1499 "tcd.c"
      case 12: // $bb1
        var $13=HEAP[$tilec]; //@line 1500 "tcd.c"
        var $14=CHECK_OVERFLOW(($13+20)&4294967295, 32); //@line 1500 "tcd.c"
        var $15=HEAP[$14]; //@line 1500 "tcd.c"
        var $16=HEAP[$resno]; //@line 1500 "tcd.c"
        var $17=CHECK_OVERFLOW(($15+124*$16)&4294967295, 32); //@line 1500 "tcd.c"
        HEAP[$res]=$17; //@line 1500 "tcd.c"
        HEAP[$bandno]=0; //@line 1501 "tcd.c"
        __label__ = 2; break; //@line 1501 "tcd.c"
      case 10: // $bb2
        var $18=HEAP[$bandno]; //@line 1502 "tcd.c"
        var $19=HEAP[$res]; //@line 1502 "tcd.c"
        var $20=CHECK_OVERFLOW(($19+28)&4294967295, 32); //@line 1502 "tcd.c"
        var $21=CHECK_OVERFLOW(($20+$18*32)&4294967295, 32); //@line 1502 "tcd.c"
        HEAP[$band]=$21; //@line 1502 "tcd.c"
        HEAP[$precno]=0; //@line 1503 "tcd.c"
        __label__ = 3; break; //@line 1503 "tcd.c"
      case 8: // $bb3
        var $22=HEAP[$band]; //@line 1504 "tcd.c"
        var $23=CHECK_OVERFLOW(($22+20)&4294967295, 32); //@line 1504 "tcd.c"
        var $24=HEAP[$23]; //@line 1504 "tcd.c"
        var $25=HEAP[$precno]; //@line 1504 "tcd.c"
        var $26=CHECK_OVERFLOW(($24+36*$25)&4294967295, 32); //@line 1504 "tcd.c"
        HEAP[$prec]=$26; //@line 1504 "tcd.c"
        var $27=HEAP[$prec]; //@line 1505 "tcd.c"
        var $28=CHECK_OVERFLOW(($27+32)&4294967295, 32); //@line 1505 "tcd.c"
        var $29=HEAP[$28]; //@line 1505 "tcd.c"
        var $30=($29)!=0; //@line 1505 "tcd.c"
        if ($30) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1505 "tcd.c"
      case 4: // $bb4
        var $31=HEAP[$prec]; //@line 1505 "tcd.c"
        var $32=CHECK_OVERFLOW(($31+32)&4294967295, 32); //@line 1505 "tcd.c"
        var $33=HEAP[$32]; //@line 1505 "tcd.c"
        _tgt_destroy($33); //@line 1505 "tcd.c"
        __label__ = 5; break; //@line 1505 "tcd.c"
      case 5: // $bb5
        var $34=HEAP[$prec]; //@line 1506 "tcd.c"
        var $35=CHECK_OVERFLOW(($34+28)&4294967295, 32); //@line 1506 "tcd.c"
        var $36=HEAP[$35]; //@line 1506 "tcd.c"
        var $37=($36)!=0; //@line 1506 "tcd.c"
        if ($37) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1506 "tcd.c"
      case 6: // $bb6
        var $38=HEAP[$prec]; //@line 1506 "tcd.c"
        var $39=CHECK_OVERFLOW(($38+28)&4294967295, 32); //@line 1506 "tcd.c"
        var $40=HEAP[$39]; //@line 1506 "tcd.c"
        _tgt_destroy($40); //@line 1506 "tcd.c"
        __label__ = 7; break; //@line 1506 "tcd.c"
      case 7: // $bb7
        var $41=HEAP[$precno]; //@line 1503 "tcd.c"
        var $42=CHECK_OVERFLOW((($41) + 1)&4294967295, 32); //@line 1503 "tcd.c"
        HEAP[$precno]=$42; //@line 1503 "tcd.c"
        __label__ = 3; break; //@line 1503 "tcd.c"
      case 3: // $bb8
        var $43=HEAP[$res]; //@line 1503 "tcd.c"
        var $44=CHECK_OVERFLOW(($43+20)&4294967295, 32); //@line 1503 "tcd.c"
        var $45=HEAP[$44]; //@line 1503 "tcd.c"
        var $46=HEAP[$res]; //@line 1503 "tcd.c"
        var $47=CHECK_OVERFLOW(($46+16)&4294967295, 32); //@line 1503 "tcd.c"
        var $48=HEAP[$47]; //@line 1503 "tcd.c"
        var $49=CHECK_OVERFLOW((($45) * ($48))&4294967295, 32); //@line 1503 "tcd.c"
        var $50=HEAP[$precno]; //@line 1503 "tcd.c"
        var $51=($49) > ($50); //@line 1503 "tcd.c"
        if ($51) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1503 "tcd.c"
      case 9: // $bb9
        var $52=HEAP[$band]; //@line 1508 "tcd.c"
        var $53=CHECK_OVERFLOW(($52+20)&4294967295, 32); //@line 1508 "tcd.c"
        var $54=HEAP[$53]; //@line 1508 "tcd.c"
        var $55=$54; //@line 1508 "tcd.c"
        _free($55); //@line 1508 "tcd.c"
        var $56=HEAP[$bandno]; //@line 1501 "tcd.c"
        var $57=CHECK_OVERFLOW((($56) + 1)&4294967295, 32); //@line 1501 "tcd.c"
        HEAP[$bandno]=$57; //@line 1501 "tcd.c"
        __label__ = 2; break; //@line 1501 "tcd.c"
      case 2: // $bb10
        var $58=HEAP[$res]; //@line 1501 "tcd.c"
        var $59=CHECK_OVERFLOW(($58+24)&4294967295, 32); //@line 1501 "tcd.c"
        var $60=HEAP[$59]; //@line 1501 "tcd.c"
        var $61=HEAP[$bandno]; //@line 1501 "tcd.c"
        var $62=($60) > ($61); //@line 1501 "tcd.c"
        if ($62) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1501 "tcd.c"
      case 11: // $bb11
        var $63=HEAP[$resno]; //@line 1499 "tcd.c"
        var $64=CHECK_OVERFLOW((($63) + 1)&4294967295, 32); //@line 1499 "tcd.c"
        HEAP[$resno]=$64; //@line 1499 "tcd.c"
        __label__ = 1; break; //@line 1499 "tcd.c"
      case 1: // $bb12
        var $65=HEAP[$tilec]; //@line 1499 "tcd.c"
        var $66=CHECK_OVERFLOW(($65+16)&4294967295, 32); //@line 1499 "tcd.c"
        var $67=HEAP[$66]; //@line 1499 "tcd.c"
        var $68=HEAP[$resno]; //@line 1499 "tcd.c"
        var $69=($67) > ($68); //@line 1499 "tcd.c"
        if ($69) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1499 "tcd.c"
      case 13: // $bb13
        var $70=HEAP[$tilec]; //@line 1511 "tcd.c"
        var $71=CHECK_OVERFLOW(($70+20)&4294967295, 32); //@line 1511 "tcd.c"
        var $72=HEAP[$71]; //@line 1511 "tcd.c"
        var $73=$72; //@line 1511 "tcd.c"
        _free($73); //@line 1511 "tcd.c"
        var $74=HEAP[$compno]; //@line 1497 "tcd.c"
        var $75=CHECK_OVERFLOW((($74) + 1)&4294967295, 32); //@line 1497 "tcd.c"
        HEAP[$compno]=$75; //@line 1497 "tcd.c"
        __label__ = 0; break; //@line 1497 "tcd.c"
      case 0: // $bb14
        var $76=HEAP[$tile]; //@line 1497 "tcd.c"
        var $77=CHECK_OVERFLOW(($76+16)&4294967295, 32); //@line 1497 "tcd.c"
        var $78=HEAP[$77]; //@line 1497 "tcd.c"
        var $79=HEAP[$compno]; //@line 1497 "tcd.c"
        var $80=($78) > ($79); //@line 1497 "tcd.c"
        if ($80) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1497 "tcd.c"
      case 15: // $bb15
        var $81=HEAP[$tile]; //@line 1513 "tcd.c"
        var $82=CHECK_OVERFLOW(($81+20)&4294967295, 32); //@line 1513 "tcd.c"
        var $83=HEAP[$82]; //@line 1513 "tcd.c"
        var $84=$83; //@line 1513 "tcd.c"
        _free($84); //@line 1513 "tcd.c"
        __label__ = 16; break; //@line 1514 "tcd.c"
      case 16: // $return
        STACKTOP = __stackBase__;
        return; //@line 1514 "tcd.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tgt_create($numleafsh, $numleafsv) {
    var __stackBase__  = STACKTOP; STACKTOP += 308; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 308);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $numleafsh_addr=__stackBase__;
        var $numleafsv_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $nplh=__stackBase__+16;
        var $nplv=__stackBase__+144;
        var $node=__stackBase__+272;
        var $parentnode=__stackBase__+276;
        var $parentnode0=__stackBase__+280;
        var $tree=__stackBase__+284;
        var $i=__stackBase__+288;
        var $j=__stackBase__+292;
        var $k=__stackBase__+296;
        var $numlvls=__stackBase__+300;
        var $n=__stackBase__+304;
        var $_alloca_point_=0;
        HEAP[$numleafsh_addr]=$numleafsh;
        HEAP[$numleafsv_addr]=$numleafsv;
        HEAP[$node]=0; //@line 43 "tgt.c"
        HEAP[$parentnode]=0; //@line 44 "tgt.c"
        HEAP[$parentnode0]=0; //@line 45 "tgt.c"
        HEAP[$tree]=0; //@line 46 "tgt.c"
        var $1=_malloc(16); //@line 51 "tgt.c"
        var $2=$1; //@line 51 "tgt.c"
        HEAP[$tree]=$2; //@line 51 "tgt.c"
        var $3=HEAP[$tree]; //@line 52 "tgt.c"
        var $4=($3)==0; //@line 52 "tgt.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 52 "tgt.c"
      case 0: // $bb
        HEAP[$0]=0; //@line 52 "tgt.c"
        __label__ = 2; break; //@line 52 "tgt.c"
      case 1: // $bb1
        var $5=HEAP[$tree]; //@line 53 "tgt.c"
        var $6=CHECK_OVERFLOW(($5)&4294967295, 32); //@line 53 "tgt.c"
        var $7=HEAP[$numleafsh_addr]; //@line 53 "tgt.c"
        HEAP[$6]=$7; //@line 53 "tgt.c"
        var $8=HEAP[$tree]; //@line 54 "tgt.c"
        var $9=CHECK_OVERFLOW(($8+4)&4294967295, 32); //@line 54 "tgt.c"
        var $10=HEAP[$numleafsv_addr]; //@line 54 "tgt.c"
        HEAP[$9]=$10; //@line 54 "tgt.c"
        HEAP[$numlvls]=0; //@line 56 "tgt.c"
        var $11=CHECK_OVERFLOW(($nplh)&4294967295, 32); //@line 57 "tgt.c"
        var $12=HEAP[$numleafsh_addr]; //@line 57 "tgt.c"
        HEAP[$11]=$12; //@line 57 "tgt.c"
        var $13=CHECK_OVERFLOW(($nplv)&4294967295, 32); //@line 58 "tgt.c"
        var $14=HEAP[$numleafsv_addr]; //@line 58 "tgt.c"
        HEAP[$13]=$14; //@line 58 "tgt.c"
        var $15=HEAP[$tree]; //@line 59 "tgt.c"
        var $16=CHECK_OVERFLOW(($15+8)&4294967295, 32); //@line 59 "tgt.c"
        HEAP[$16]=0; //@line 59 "tgt.c"
        __label__ = 3; break; //@line 59 "tgt.c"
      case 3: // $bb2
        var $17=HEAP[$numlvls]; //@line 61 "tgt.c"
        var $18=CHECK_OVERFLOW(($nplh+$17*4)&4294967295, 32); //@line 61 "tgt.c"
        var $19=HEAP[$18]; //@line 61 "tgt.c"
        var $20=HEAP[$numlvls]; //@line 61 "tgt.c"
        var $21=CHECK_OVERFLOW(($nplv+$20*4)&4294967295, 32); //@line 61 "tgt.c"
        var $22=HEAP[$21]; //@line 61 "tgt.c"
        var $23=CHECK_OVERFLOW((($19) * ($22))&4294967295, 32); //@line 61 "tgt.c"
        HEAP[$n]=$23; //@line 61 "tgt.c"
        var $24=HEAP[$numlvls]; //@line 62 "tgt.c"
        var $25=CHECK_OVERFLOW((($24) + 1)&4294967295, 32); //@line 62 "tgt.c"
        var $26=HEAP[$numlvls]; //@line 62 "tgt.c"
        var $27=CHECK_OVERFLOW(($nplh+$26*4)&4294967295, 32); //@line 62 "tgt.c"
        var $28=HEAP[$27]; //@line 62 "tgt.c"
        var $29=CHECK_OVERFLOW((($28) + 1)&4294967295, 32); //@line 62 "tgt.c"
        var $30=(($29)/2|0); //@line 62 "tgt.c"
        var $31=CHECK_OVERFLOW(($nplh+$25*4)&4294967295, 32); //@line 62 "tgt.c"
        HEAP[$31]=$30; //@line 62 "tgt.c"
        var $32=HEAP[$numlvls]; //@line 63 "tgt.c"
        var $33=CHECK_OVERFLOW((($32) + 1)&4294967295, 32); //@line 63 "tgt.c"
        var $34=HEAP[$numlvls]; //@line 63 "tgt.c"
        var $35=CHECK_OVERFLOW(($nplv+$34*4)&4294967295, 32); //@line 63 "tgt.c"
        var $36=HEAP[$35]; //@line 63 "tgt.c"
        var $37=CHECK_OVERFLOW((($36) + 1)&4294967295, 32); //@line 63 "tgt.c"
        var $38=(($37)/2|0); //@line 63 "tgt.c"
        var $39=CHECK_OVERFLOW(($nplv+$33*4)&4294967295, 32); //@line 63 "tgt.c"
        HEAP[$39]=$38; //@line 63 "tgt.c"
        var $40=HEAP[$tree]; //@line 64 "tgt.c"
        var $41=CHECK_OVERFLOW(($40+8)&4294967295, 32); //@line 64 "tgt.c"
        var $42=HEAP[$41]; //@line 64 "tgt.c"
        var $43=HEAP[$n]; //@line 64 "tgt.c"
        var $44=CHECK_OVERFLOW((($42) + ($43))&4294967295, 32); //@line 64 "tgt.c"
        var $45=HEAP[$tree]; //@line 64 "tgt.c"
        var $46=CHECK_OVERFLOW(($45+8)&4294967295, 32); //@line 64 "tgt.c"
        HEAP[$46]=$44; //@line 64 "tgt.c"
        var $47=HEAP[$numlvls]; //@line 65 "tgt.c"
        var $48=CHECK_OVERFLOW((($47) + 1)&4294967295, 32); //@line 65 "tgt.c"
        HEAP[$numlvls]=$48; //@line 65 "tgt.c"
        var $49=HEAP[$n]; //@line 66 "tgt.c"
        var $50=($49) > 1; //@line 66 "tgt.c"
        if ($50) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 66 "tgt.c"
      case 4: // $bb3
        var $51=HEAP[$tree]; //@line 69 "tgt.c"
        var $52=CHECK_OVERFLOW(($51+8)&4294967295, 32); //@line 69 "tgt.c"
        var $53=HEAP[$52]; //@line 69 "tgt.c"
        var $54=($53)==0; //@line 69 "tgt.c"
        if ($54) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 69 "tgt.c"
      case 5: // $bb4
        var $55=HEAP[$tree]; //@line 70 "tgt.c"
        var $56=$55; //@line 70 "tgt.c"
        _free($56); //@line 70 "tgt.c"
        HEAP[$0]=0; //@line 71 "tgt.c"
        __label__ = 2; break; //@line 71 "tgt.c"
      case 6: // $bb5
        var $57=HEAP[$tree]; //@line 74 "tgt.c"
        var $58=CHECK_OVERFLOW(($57+8)&4294967295, 32); //@line 74 "tgt.c"
        var $59=HEAP[$58]; //@line 74 "tgt.c"
        var $60=_calloc($59, 16); //@line 74 "tgt.c"
        var $61=$60; //@line 74 "tgt.c"
        var $62=HEAP[$tree]; //@line 74 "tgt.c"
        var $63=CHECK_OVERFLOW(($62+12)&4294967295, 32); //@line 74 "tgt.c"
        HEAP[$63]=$61; //@line 74 "tgt.c"
        var $64=HEAP[$tree]; //@line 75 "tgt.c"
        var $65=CHECK_OVERFLOW(($64+12)&4294967295, 32); //@line 75 "tgt.c"
        var $66=HEAP[$65]; //@line 75 "tgt.c"
        var $67=($66)==0; //@line 75 "tgt.c"
        if ($67) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 75 "tgt.c"
      case 7: // $bb6
        var $68=HEAP[$tree]; //@line 76 "tgt.c"
        var $69=$68; //@line 76 "tgt.c"
        _free($69); //@line 76 "tgt.c"
        HEAP[$0]=0; //@line 77 "tgt.c"
        __label__ = 2; break; //@line 77 "tgt.c"
      case 8: // $bb7
        var $70=HEAP[$tree]; //@line 80 "tgt.c"
        var $71=CHECK_OVERFLOW(($70+12)&4294967295, 32); //@line 80 "tgt.c"
        var $72=HEAP[$71]; //@line 80 "tgt.c"
        HEAP[$node]=$72; //@line 80 "tgt.c"
        var $73=HEAP[$tree]; //@line 81 "tgt.c"
        var $74=CHECK_OVERFLOW(($73+12)&4294967295, 32); //@line 81 "tgt.c"
        var $75=HEAP[$74]; //@line 81 "tgt.c"
        var $76=HEAP[$tree]; //@line 81 "tgt.c"
        var $77=CHECK_OVERFLOW(($76)&4294967295, 32); //@line 81 "tgt.c"
        var $78=HEAP[$77]; //@line 81 "tgt.c"
        var $79=HEAP[$tree]; //@line 81 "tgt.c"
        var $80=CHECK_OVERFLOW(($79+4)&4294967295, 32); //@line 81 "tgt.c"
        var $81=HEAP[$80]; //@line 81 "tgt.c"
        var $82=CHECK_OVERFLOW((($78) * ($81))&4294967295, 32); //@line 81 "tgt.c"
        var $83=CHECK_OVERFLOW(($75+16*$82)&4294967295, 32); //@line 81 "tgt.c"
        HEAP[$parentnode]=$83; //@line 81 "tgt.c"
        var $84=HEAP[$parentnode]; //@line 82 "tgt.c"
        HEAP[$parentnode0]=$84; //@line 82 "tgt.c"
        HEAP[$i]=0; //@line 84 "tgt.c"
        __label__ = 9; break; //@line 84 "tgt.c"
      case 22: // $bb8
        HEAP[$j]=0; //@line 85 "tgt.c"
        __label__ = 10; break; //@line 85 "tgt.c"
      case 20: // $bb9
        var $85=HEAP[$i]; //@line 86 "tgt.c"
        var $86=CHECK_OVERFLOW(($nplh+$85*4)&4294967295, 32); //@line 86 "tgt.c"
        var $87=HEAP[$86]; //@line 86 "tgt.c"
        HEAP[$k]=$87; //@line 86 "tgt.c"
        __label__ = 11; break; //@line 86 "tgt.c"
      case 14: // $bb10
        var $88=HEAP[$node]; //@line 88 "tgt.c"
        var $89=CHECK_OVERFLOW(($88)&4294967295, 32); //@line 88 "tgt.c"
        var $90=HEAP[$parentnode]; //@line 88 "tgt.c"
        HEAP[$89]=$90; //@line 88 "tgt.c"
        var $91=HEAP[$node]; //@line 89 "tgt.c"
        var $92=CHECK_OVERFLOW(($91+16)&4294967295, 32); //@line 89 "tgt.c"
        HEAP[$node]=$92; //@line 89 "tgt.c"
        var $93=HEAP[$k]; //@line 90 "tgt.c"
        var $94=CHECK_OVERFLOW((($93) - 1)&4294967295, 32); //@line 90 "tgt.c"
        HEAP[$k]=$94; //@line 90 "tgt.c"
        var $95=HEAP[$k]; //@line 90 "tgt.c"
        var $96=($95) >= 0; //@line 90 "tgt.c"
        if ($96) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 90 "tgt.c"
      case 12: // $bb11
        var $97=HEAP[$node]; //@line 91 "tgt.c"
        var $98=CHECK_OVERFLOW(($97)&4294967295, 32); //@line 91 "tgt.c"
        var $99=HEAP[$parentnode]; //@line 91 "tgt.c"
        HEAP[$98]=$99; //@line 91 "tgt.c"
        var $100=HEAP[$node]; //@line 92 "tgt.c"
        var $101=CHECK_OVERFLOW(($100+16)&4294967295, 32); //@line 92 "tgt.c"
        HEAP[$node]=$101; //@line 92 "tgt.c"
        __label__ = 13; break; //@line 92 "tgt.c"
      case 13: // $bb12
        var $102=HEAP[$parentnode]; //@line 94 "tgt.c"
        var $103=CHECK_OVERFLOW(($102+16)&4294967295, 32); //@line 94 "tgt.c"
        HEAP[$parentnode]=$103; //@line 94 "tgt.c"
        __label__ = 11; break; //@line 94 "tgt.c"
      case 11: // $bb13
        var $104=HEAP[$k]; //@line 87 "tgt.c"
        var $105=CHECK_OVERFLOW((($104) - 1)&4294967295, 32); //@line 87 "tgt.c"
        HEAP[$k]=$105; //@line 87 "tgt.c"
        var $106=HEAP[$k]; //@line 87 "tgt.c"
        var $107=($106) >= 0; //@line 87 "tgt.c"
        if ($107) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 87 "tgt.c"
      case 15: // $bb14
        var $108=HEAP[$j]; //@line 96 "tgt.c"
        var $109=($108) & 1; //@line 96 "tgt.c"
        var $110=((($109)) & 255); //@line 96 "tgt.c"
        var $toBool=($110)!=0; //@line 96 "tgt.c"
        if ($toBool) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 96 "tgt.c"
      case 17: // $bb15
        var $111=HEAP[$i]; //@line 96 "tgt.c"
        var $112=CHECK_OVERFLOW(($nplv+$111*4)&4294967295, 32); //@line 96 "tgt.c"
        var $113=HEAP[$112]; //@line 96 "tgt.c"
        var $114=CHECK_OVERFLOW((($113) - 1)&4294967295, 32); //@line 96 "tgt.c"
        var $115=HEAP[$j]; //@line 96 "tgt.c"
        var $116=($114)==($115); //@line 96 "tgt.c"
        if ($116) { __label__ = 16; break; } else { __label__ = 18; break; } //@line 96 "tgt.c"
      case 16: // $bb16
        var $117=HEAP[$parentnode]; //@line 97 "tgt.c"
        HEAP[$parentnode0]=$117; //@line 97 "tgt.c"
        __label__ = 19; break; //@line 97 "tgt.c"
      case 18: // $bb17
        var $118=HEAP[$parentnode0]; //@line 99 "tgt.c"
        HEAP[$parentnode]=$118; //@line 99 "tgt.c"
        var $119=HEAP[$i]; //@line 100 "tgt.c"
        var $120=CHECK_OVERFLOW(($nplh+$119*4)&4294967295, 32); //@line 100 "tgt.c"
        var $121=HEAP[$120]; //@line 100 "tgt.c"
        var $122=HEAP[$parentnode0]; //@line 100 "tgt.c"
        var $123=CHECK_OVERFLOW(($122+16*$121)&4294967295, 32); //@line 100 "tgt.c"
        HEAP[$parentnode0]=$123; //@line 100 "tgt.c"
        __label__ = 19; break; //@line 100 "tgt.c"
      case 19: // $bb18
        var $124=HEAP[$j]; //@line 85 "tgt.c"
        var $125=CHECK_OVERFLOW((($124) + 1)&4294967295, 32); //@line 85 "tgt.c"
        HEAP[$j]=$125; //@line 85 "tgt.c"
        __label__ = 10; break; //@line 85 "tgt.c"
      case 10: // $bb19
        var $126=HEAP[$i]; //@line 85 "tgt.c"
        var $127=CHECK_OVERFLOW(($nplv+$126*4)&4294967295, 32); //@line 85 "tgt.c"
        var $128=HEAP[$127]; //@line 85 "tgt.c"
        var $129=HEAP[$j]; //@line 85 "tgt.c"
        var $130=($128) > ($129); //@line 85 "tgt.c"
        if ($130) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 85 "tgt.c"
      case 21: // $bb20
        var $131=HEAP[$i]; //@line 84 "tgt.c"
        var $132=CHECK_OVERFLOW((($131) + 1)&4294967295, 32); //@line 84 "tgt.c"
        HEAP[$i]=$132; //@line 84 "tgt.c"
        __label__ = 9; break; //@line 84 "tgt.c"
      case 9: // $bb21
        var $133=HEAP[$numlvls]; //@line 84 "tgt.c"
        var $134=CHECK_OVERFLOW((($133) - 1)&4294967295, 32); //@line 84 "tgt.c"
        var $135=HEAP[$i]; //@line 84 "tgt.c"
        var $136=($134) > ($135); //@line 84 "tgt.c"
        if ($136) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 84 "tgt.c"
      case 23: // $bb22
        var $137=HEAP[$node]; //@line 104 "tgt.c"
        var $138=CHECK_OVERFLOW(($137)&4294967295, 32); //@line 104 "tgt.c"
        HEAP[$138]=0; //@line 104 "tgt.c"
        var $139=HEAP[$tree]; //@line 106 "tgt.c"
        _tgt_reset($139); //@line 106 "tgt.c"
        var $140=HEAP[$tree]; //@line 108 "tgt.c"
        HEAP[$0]=$140; //@line 108 "tgt.c"
        __label__ = 2; break; //@line 108 "tgt.c"
      case 2: // $bb23
        var $141=HEAP[$0]; //@line 52 "tgt.c"
        HEAP[$retval]=$141; //@line 52 "tgt.c"
        __label__ = 24; break; //@line 52 "tgt.c"
      case 24: // $return
        var $retval24=HEAP[$retval]; //@line 52 "tgt.c"
        STACKTOP = __stackBase__;
        return $retval24; //@line 52 "tgt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tgt_destroy($tree) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tree_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$tree_addr]=$tree;
        var $0=HEAP[$tree_addr]; //@line 112 "tgt.c"
        var $1=CHECK_OVERFLOW(($0+12)&4294967295, 32); //@line 112 "tgt.c"
        var $2=HEAP[$1]; //@line 112 "tgt.c"
        var $3=$2; //@line 112 "tgt.c"
        _free($3); //@line 112 "tgt.c"
        var $4=HEAP[$tree_addr]; //@line 113 "tgt.c"
        var $5=$4; //@line 113 "tgt.c"
        _free($5); //@line 113 "tgt.c"
        __label__ = 0; break; //@line 114 "tgt.c"
      case 0: // $return
        STACKTOP = __stackBase__;
        return; //@line 114 "tgt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tgt_reset($tree) {
    var __stackBase__  = STACKTOP; STACKTOP += 8; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 8);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tree_addr=__stackBase__;
        var $i=__stackBase__+4;
        var $_alloca_point_=0;
        HEAP[$tree_addr]=$tree;
        var $0=HEAP[$tree_addr]; //@line 119 "tgt.c"
        var $1=($0)==0; //@line 119 "tgt.c"
        if ($1) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 119 "tgt.c"
      case 1: // $bb
        HEAP[$i]=0; //@line 122 "tgt.c"
        __label__ = 2; break; //@line 122 "tgt.c"
      case 3: // $bb1
        var $2=HEAP[$tree_addr]; //@line 123 "tgt.c"
        var $3=CHECK_OVERFLOW(($2+12)&4294967295, 32); //@line 123 "tgt.c"
        var $4=HEAP[$3]; //@line 123 "tgt.c"
        var $5=HEAP[$i]; //@line 123 "tgt.c"
        var $6=CHECK_OVERFLOW(($4+16*$5)&4294967295, 32); //@line 123 "tgt.c"
        var $7=CHECK_OVERFLOW(($6+4)&4294967295, 32); //@line 123 "tgt.c"
        HEAP[$7]=999; //@line 123 "tgt.c"
        var $8=HEAP[$tree_addr]; //@line 124 "tgt.c"
        var $9=CHECK_OVERFLOW(($8+12)&4294967295, 32); //@line 124 "tgt.c"
        var $10=HEAP[$9]; //@line 124 "tgt.c"
        var $11=HEAP[$i]; //@line 124 "tgt.c"
        var $12=CHECK_OVERFLOW(($10+16*$11)&4294967295, 32); //@line 124 "tgt.c"
        var $13=CHECK_OVERFLOW(($12+8)&4294967295, 32); //@line 124 "tgt.c"
        HEAP[$13]=0; //@line 124 "tgt.c"
        var $14=HEAP[$tree_addr]; //@line 125 "tgt.c"
        var $15=CHECK_OVERFLOW(($14+12)&4294967295, 32); //@line 125 "tgt.c"
        var $16=HEAP[$15]; //@line 125 "tgt.c"
        var $17=HEAP[$i]; //@line 125 "tgt.c"
        var $18=CHECK_OVERFLOW(($16+16*$17)&4294967295, 32); //@line 125 "tgt.c"
        var $19=CHECK_OVERFLOW(($18+12)&4294967295, 32); //@line 125 "tgt.c"
        HEAP[$19]=0; //@line 125 "tgt.c"
        var $20=HEAP[$i]; //@line 122 "tgt.c"
        var $21=CHECK_OVERFLOW((($20) + 1)&4294967295, 32); //@line 122 "tgt.c"
        HEAP[$i]=$21; //@line 122 "tgt.c"
        __label__ = 2; break; //@line 122 "tgt.c"
      case 2: // $bb2
        var $22=HEAP[$tree_addr]; //@line 122 "tgt.c"
        var $23=CHECK_OVERFLOW(($22+8)&4294967295, 32); //@line 122 "tgt.c"
        var $24=HEAP[$23]; //@line 122 "tgt.c"
        var $25=HEAP[$i]; //@line 122 "tgt.c"
        var $26=($24) > ($25); //@line 122 "tgt.c"
        if ($26) { __label__ = 3; break; } else { __label__ = 0; break; } //@line 122 "tgt.c"
      case 0: // $bb3
        __label__ = 4; break; //@line 120 "tgt.c"
      case 4: // $return
        STACKTOP = __stackBase__;
        return; //@line 120 "tgt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tgt_setvalue($tree, $leafno, $value) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $tree_addr=__stackBase__;
        var $leafno_addr=__stackBase__+4;
        var $value_addr=__stackBase__+8;
        var $node=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$tree_addr]=$tree;
        HEAP[$leafno_addr]=$leafno;
        HEAP[$value_addr]=$value;
        var $0=HEAP[$tree_addr]; //@line 131 "tgt.c"
        var $1=CHECK_OVERFLOW(($0+12)&4294967295, 32); //@line 131 "tgt.c"
        var $2=HEAP[$1]; //@line 131 "tgt.c"
        var $3=HEAP[$leafno_addr]; //@line 131 "tgt.c"
        var $4=CHECK_OVERFLOW(($2+16*$3)&4294967295, 32); //@line 131 "tgt.c"
        HEAP[$node]=$4; //@line 131 "tgt.c"
        __label__ = 0; break; //@line 131 "tgt.c"
      case 3: // $bb
        var $5=HEAP[$node]; //@line 133 "tgt.c"
        var $6=CHECK_OVERFLOW(($5+4)&4294967295, 32); //@line 133 "tgt.c"
        var $7=HEAP[$value_addr]; //@line 133 "tgt.c"
        HEAP[$6]=$7; //@line 133 "tgt.c"
        var $8=HEAP[$node]; //@line 134 "tgt.c"
        var $9=CHECK_OVERFLOW(($8)&4294967295, 32); //@line 134 "tgt.c"
        var $10=HEAP[$9]; //@line 134 "tgt.c"
        HEAP[$node]=$10; //@line 134 "tgt.c"
        __label__ = 0; break; //@line 134 "tgt.c"
      case 0: // $bb1
        var $11=HEAP[$node]; //@line 132 "tgt.c"
        var $12=($11)==0; //@line 132 "tgt.c"
        if ($12) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 132 "tgt.c"
      case 2: // $bb2
        var $13=HEAP[$node]; //@line 132 "tgt.c"
        var $14=CHECK_OVERFLOW(($13+4)&4294967295, 32); //@line 132 "tgt.c"
        var $15=HEAP[$14]; //@line 132 "tgt.c"
        var $16=HEAP[$value_addr]; //@line 132 "tgt.c"
        var $17=($15) > ($16); //@line 132 "tgt.c"
        if ($17) { __label__ = 3; break; } else { __label__ = 1; break; } //@line 132 "tgt.c"
      case 1: // $bb3
        __label__ = 4; break; //@line 136 "tgt.c"
      case 4: // $return
        STACKTOP = __stackBase__;
        return; //@line 136 "tgt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tgt_encode($bio, $tree, $leafno, $threshold) {
    var __stackBase__  = STACKTOP; STACKTOP += 152; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 152);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $bio_addr=__stackBase__;
        var $tree_addr=__stackBase__+4;
        var $leafno_addr=__stackBase__+8;
        var $threshold_addr=__stackBase__+12;
        var $stk=__stackBase__+16;
        var $stkptr=__stackBase__+140;
        var $node=__stackBase__+144;
        var $low=__stackBase__+148;
        var $_alloca_point_=0;
        HEAP[$bio_addr]=$bio;
        HEAP[$tree_addr]=$tree;
        HEAP[$leafno_addr]=$leafno;
        HEAP[$threshold_addr]=$threshold;
        var $stk1=$stk; //@line 144 "tgt.c"
        HEAP[$stkptr]=$stk1; //@line 144 "tgt.c"
        var $0=HEAP[$tree_addr]; //@line 145 "tgt.c"
        var $1=CHECK_OVERFLOW(($0+12)&4294967295, 32); //@line 145 "tgt.c"
        var $2=HEAP[$1]; //@line 145 "tgt.c"
        var $3=HEAP[$leafno_addr]; //@line 145 "tgt.c"
        var $4=CHECK_OVERFLOW(($2+16*$3)&4294967295, 32); //@line 145 "tgt.c"
        HEAP[$node]=$4; //@line 145 "tgt.c"
        __label__ = 0; break; //@line 145 "tgt.c"
      case 1: // $bb
        var $5=HEAP[$stkptr]; //@line 147 "tgt.c"
        var $6=HEAP[$node]; //@line 147 "tgt.c"
        HEAP[$5]=$6; //@line 147 "tgt.c"
        var $7=HEAP[$stkptr]; //@line 147 "tgt.c"
        var $8=CHECK_OVERFLOW(($7+4)&4294967295, 32); //@line 147 "tgt.c"
        HEAP[$stkptr]=$8; //@line 147 "tgt.c"
        var $9=HEAP[$node]; //@line 148 "tgt.c"
        var $10=CHECK_OVERFLOW(($9)&4294967295, 32); //@line 148 "tgt.c"
        var $11=HEAP[$10]; //@line 148 "tgt.c"
        HEAP[$node]=$11; //@line 148 "tgt.c"
        __label__ = 0; break; //@line 148 "tgt.c"
      case 0: // $bb2
        var $12=HEAP[$node]; //@line 146 "tgt.c"
        var $13=CHECK_OVERFLOW(($12)&4294967295, 32); //@line 146 "tgt.c"
        var $14=HEAP[$13]; //@line 146 "tgt.c"
        var $15=($14)!=0; //@line 146 "tgt.c"
        if ($15) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 146 "tgt.c"
      case 2: // $bb3
        HEAP[$low]=0; //@line 151 "tgt.c"
        __label__ = 3; break; //@line 151 "tgt.c"
      case 3: // $bb4
        var $16=HEAP[$node]; //@line 153 "tgt.c"
        var $17=CHECK_OVERFLOW(($16+8)&4294967295, 32); //@line 153 "tgt.c"
        var $18=HEAP[$17]; //@line 153 "tgt.c"
        var $19=HEAP[$low]; //@line 153 "tgt.c"
        var $20=($18) < ($19); //@line 153 "tgt.c"
        if ($20) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 153 "tgt.c"
      case 4: // $bb5
        var $21=HEAP[$node]; //@line 154 "tgt.c"
        var $22=CHECK_OVERFLOW(($21+8)&4294967295, 32); //@line 154 "tgt.c"
        var $23=HEAP[$low]; //@line 154 "tgt.c"
        HEAP[$22]=$23; //@line 154 "tgt.c"
        __label__ = 6; break; //@line 154 "tgt.c"
      case 5: // $bb6
        var $24=HEAP[$node]; //@line 156 "tgt.c"
        var $25=CHECK_OVERFLOW(($24+8)&4294967295, 32); //@line 156 "tgt.c"
        var $26=HEAP[$25]; //@line 156 "tgt.c"
        HEAP[$low]=$26; //@line 156 "tgt.c"
        __label__ = 6; break; //@line 156 "tgt.c"
      case 6: // $bb7
        __label__ = 7; break; //@line 156 "tgt.c"
      case 13: // $bb8
        var $27=HEAP[$node]; //@line 160 "tgt.c"
        var $28=CHECK_OVERFLOW(($27+4)&4294967295, 32); //@line 160 "tgt.c"
        var $29=HEAP[$28]; //@line 160 "tgt.c"
        var $30=HEAP[$low]; //@line 160 "tgt.c"
        var $31=($29) <= ($30); //@line 160 "tgt.c"
        if ($31) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 160 "tgt.c"
      case 8: // $bb9
        var $32=HEAP[$node]; //@line 161 "tgt.c"
        var $33=CHECK_OVERFLOW(($32+12)&4294967295, 32); //@line 161 "tgt.c"
        var $34=HEAP[$33]; //@line 161 "tgt.c"
        var $35=($34)==0; //@line 161 "tgt.c"
        if ($35) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 161 "tgt.c"
      case 10: // $bb10
        var $36=HEAP[$bio_addr]; //@line 162 "tgt.c"
        _bio_write($36, 1, 1); //@line 162 "tgt.c"
        var $37=HEAP[$node]; //@line 163 "tgt.c"
        var $38=CHECK_OVERFLOW(($37+12)&4294967295, 32); //@line 163 "tgt.c"
        HEAP[$38]=1; //@line 163 "tgt.c"
        __label__ = 11; break; //@line 163 "tgt.c"
      case 11: // $bb11
        __label__ = 12; break; //@line 163 "tgt.c"
      case 9: // $bb12
        var $39=HEAP[$bio_addr]; //@line 167 "tgt.c"
        _bio_write($39, 0, 1); //@line 167 "tgt.c"
        var $40=HEAP[$low]; //@line 168 "tgt.c"
        var $41=CHECK_OVERFLOW((($40) + 1)&4294967295, 32); //@line 168 "tgt.c"
        HEAP[$low]=$41; //@line 168 "tgt.c"
        __label__ = 7; break; //@line 168 "tgt.c"
      case 7: // $bb13
        var $42=HEAP[$low]; //@line 159 "tgt.c"
        var $43=HEAP[$threshold_addr]; //@line 159 "tgt.c"
        var $44=($42) < ($43); //@line 159 "tgt.c"
        if ($44) { __label__ = 13; break; } else { __label__ = 12; break; } //@line 159 "tgt.c"
      case 12: // $bb14
        var $45=HEAP[$node]; //@line 171 "tgt.c"
        var $46=CHECK_OVERFLOW(($45+8)&4294967295, 32); //@line 171 "tgt.c"
        var $47=HEAP[$low]; //@line 171 "tgt.c"
        HEAP[$46]=$47; //@line 171 "tgt.c"
        var $stk15=$stk; //@line 172 "tgt.c"
        var $48=HEAP[$stkptr]; //@line 172 "tgt.c"
        var $49=($stk15)==($48); //@line 172 "tgt.c"
        if ($49) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 172 "tgt.c"
      case 15: // $bb16
        var $50=HEAP[$stkptr]; //@line 174 "tgt.c"
        var $51=CHECK_OVERFLOW(($50+-4)&4294967295, 32); //@line 174 "tgt.c"
        HEAP[$stkptr]=$51; //@line 174 "tgt.c"
        var $52=HEAP[$stkptr]; //@line 174 "tgt.c"
        var $53=HEAP[$52]; //@line 174 "tgt.c"
        HEAP[$node]=$53; //@line 174 "tgt.c"
        __label__ = 3; break; //@line 174 "tgt.c"
      case 14: // $bb17
        __label__ = 16; break; //@line 176 "tgt.c"
      case 16: // $return
        STACKTOP = __stackBase__;
        return; //@line 176 "tgt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tgt_decode($bio, $tree, $leafno, $threshold) {
    var __stackBase__  = STACKTOP; STACKTOP += 160; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 160);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $bio_addr=__stackBase__;
        var $tree_addr=__stackBase__+4;
        var $leafno_addr=__stackBase__+8;
        var $threshold_addr=__stackBase__+12;
        var $retval=__stackBase__+16;
        var $0=__stackBase__+20;
        var $stk=__stackBase__+24;
        var $stkptr=__stackBase__+148;
        var $node=__stackBase__+152;
        var $low=__stackBase__+156;
        var $_alloca_point_=0;
        HEAP[$bio_addr]=$bio;
        HEAP[$tree_addr]=$tree;
        HEAP[$leafno_addr]=$leafno;
        HEAP[$threshold_addr]=$threshold;
        var $stk1=$stk; //@line 184 "tgt.c"
        HEAP[$stkptr]=$stk1; //@line 184 "tgt.c"
        var $1=HEAP[$tree_addr]; //@line 185 "tgt.c"
        var $2=CHECK_OVERFLOW(($1+12)&4294967295, 32); //@line 185 "tgt.c"
        var $3=HEAP[$2]; //@line 185 "tgt.c"
        var $4=HEAP[$leafno_addr]; //@line 185 "tgt.c"
        var $5=CHECK_OVERFLOW(($3+16*$4)&4294967295, 32); //@line 185 "tgt.c"
        HEAP[$node]=$5; //@line 185 "tgt.c"
        __label__ = 0; break; //@line 185 "tgt.c"
      case 1: // $bb
        var $6=HEAP[$stkptr]; //@line 187 "tgt.c"
        var $7=HEAP[$node]; //@line 187 "tgt.c"
        HEAP[$6]=$7; //@line 187 "tgt.c"
        var $8=HEAP[$stkptr]; //@line 187 "tgt.c"
        var $9=CHECK_OVERFLOW(($8+4)&4294967295, 32); //@line 187 "tgt.c"
        HEAP[$stkptr]=$9; //@line 187 "tgt.c"
        var $10=HEAP[$node]; //@line 188 "tgt.c"
        var $11=CHECK_OVERFLOW(($10)&4294967295, 32); //@line 188 "tgt.c"
        var $12=HEAP[$11]; //@line 188 "tgt.c"
        HEAP[$node]=$12; //@line 188 "tgt.c"
        __label__ = 0; break; //@line 188 "tgt.c"
      case 0: // $bb2
        var $13=HEAP[$node]; //@line 186 "tgt.c"
        var $14=CHECK_OVERFLOW(($13)&4294967295, 32); //@line 186 "tgt.c"
        var $15=HEAP[$14]; //@line 186 "tgt.c"
        var $16=($15)!=0; //@line 186 "tgt.c"
        if ($16) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 186 "tgt.c"
      case 2: // $bb3
        HEAP[$low]=0; //@line 191 "tgt.c"
        __label__ = 3; break; //@line 191 "tgt.c"
      case 3: // $bb4
        var $17=HEAP[$node]; //@line 193 "tgt.c"
        var $18=CHECK_OVERFLOW(($17+8)&4294967295, 32); //@line 193 "tgt.c"
        var $19=HEAP[$18]; //@line 193 "tgt.c"
        var $20=HEAP[$low]; //@line 193 "tgt.c"
        var $21=($19) < ($20); //@line 193 "tgt.c"
        if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 193 "tgt.c"
      case 4: // $bb5
        var $22=HEAP[$node]; //@line 194 "tgt.c"
        var $23=CHECK_OVERFLOW(($22+8)&4294967295, 32); //@line 194 "tgt.c"
        var $24=HEAP[$low]; //@line 194 "tgt.c"
        HEAP[$23]=$24; //@line 194 "tgt.c"
        __label__ = 6; break; //@line 194 "tgt.c"
      case 5: // $bb6
        var $25=HEAP[$node]; //@line 196 "tgt.c"
        var $26=CHECK_OVERFLOW(($25+8)&4294967295, 32); //@line 196 "tgt.c"
        var $27=HEAP[$26]; //@line 196 "tgt.c"
        HEAP[$low]=$27; //@line 196 "tgt.c"
        __label__ = 6; break; //@line 196 "tgt.c"
      case 6: // $bb7
        __label__ = 7; break; //@line 196 "tgt.c"
      case 12: // $bb8
        var $28=HEAP[$bio_addr]; //@line 199 "tgt.c"
        var $29=_bio_read($28, 1); //@line 199 "tgt.c"
        var $30=($29)!=0; //@line 199 "tgt.c"
        if ($30) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 199 "tgt.c"
      case 8: // $bb9
        var $31=HEAP[$node]; //@line 200 "tgt.c"
        var $32=CHECK_OVERFLOW(($31+4)&4294967295, 32); //@line 200 "tgt.c"
        var $33=HEAP[$low]; //@line 200 "tgt.c"
        HEAP[$32]=$33; //@line 200 "tgt.c"
        __label__ = 7; break; //@line 200 "tgt.c"
      case 9: // $bb10
        var $34=HEAP[$low]; //@line 202 "tgt.c"
        var $35=CHECK_OVERFLOW((($34) + 1)&4294967295, 32); //@line 202 "tgt.c"
        HEAP[$low]=$35; //@line 202 "tgt.c"
        __label__ = 7; break; //@line 202 "tgt.c"
      case 7: // $bb11
        var $36=HEAP[$low]; //@line 198 "tgt.c"
        var $37=HEAP[$threshold_addr]; //@line 198 "tgt.c"
        var $38=($36) >= ($37); //@line 198 "tgt.c"
        if ($38) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 198 "tgt.c"
      case 11: // $bb12
        var $39=HEAP[$node]; //@line 198 "tgt.c"
        var $40=CHECK_OVERFLOW(($39+4)&4294967295, 32); //@line 198 "tgt.c"
        var $41=HEAP[$40]; //@line 198 "tgt.c"
        var $42=HEAP[$low]; //@line 198 "tgt.c"
        var $43=($41) > ($42); //@line 198 "tgt.c"
        if ($43) { __label__ = 12; break; } else { __label__ = 10; break; } //@line 198 "tgt.c"
      case 10: // $bb13
        var $44=HEAP[$node]; //@line 205 "tgt.c"
        var $45=CHECK_OVERFLOW(($44+8)&4294967295, 32); //@line 205 "tgt.c"
        var $46=HEAP[$low]; //@line 205 "tgt.c"
        HEAP[$45]=$46; //@line 205 "tgt.c"
        var $stk14=$stk; //@line 206 "tgt.c"
        var $47=HEAP[$stkptr]; //@line 206 "tgt.c"
        var $48=($stk14)==($47); //@line 206 "tgt.c"
        if ($48) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 206 "tgt.c"
      case 14: // $bb15
        var $49=HEAP[$stkptr]; //@line 209 "tgt.c"
        var $50=CHECK_OVERFLOW(($49+-4)&4294967295, 32); //@line 209 "tgt.c"
        HEAP[$stkptr]=$50; //@line 209 "tgt.c"
        var $51=HEAP[$stkptr]; //@line 209 "tgt.c"
        var $52=HEAP[$51]; //@line 209 "tgt.c"
        HEAP[$node]=$52; //@line 209 "tgt.c"
        __label__ = 3; break; //@line 209 "tgt.c"
      case 13: // $bb16
        var $53=HEAP[$node]; //@line 212 "tgt.c"
        var $54=CHECK_OVERFLOW(($53+4)&4294967295, 32); //@line 212 "tgt.c"
        var $55=HEAP[$54]; //@line 212 "tgt.c"
        var $56=HEAP[$threshold_addr]; //@line 212 "tgt.c"
        var $57=($55) < ($56); //@line 212 "tgt.c"
        var $58=($57); //@line 212 "tgt.c"
        HEAP[$0]=$58; //@line 212 "tgt.c"
        var $59=HEAP[$0]; //@line 212 "tgt.c"
        HEAP[$retval]=$59; //@line 212 "tgt.c"
        __label__ = 15; break; //@line 212 "tgt.c"
      case 15: // $return
        var $retval17=HEAP[$retval]; //@line 212 "tgt.c"
        STACKTOP = __stackBase__;
        return $retval17; //@line 212 "tgt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _write_index_file($cstr_info, $index) {
    var __stackBase__  = STACKTOP; STACKTOP += 234; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 234);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $cstr_info_addr=__stackBase__;
        var $index_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $tileno=__stackBase__+16;
        var $compno=__stackBase__+20;
        var $layno=__stackBase__+24;
        var $resno=__stackBase__+28;
        var $precno=__stackBase__+32;
        var $pack_nb=__stackBase__+36;
        var $x=__stackBase__+40;
        var $y=__stackBase__+44;
        var $stream=__stackBase__+48;
        var $total_disto=__stackBase__+52;
        var $tilepartno=__stackBase__+60;
        var $disto_on=__stackBase__+64;
        var $numpix_on=__stackBase__+65;
        var $start_pos=__stackBase__+66;
        var $end_ph_pos=__stackBase__+70;
        var $end_pos=__stackBase__+74;
        var $disto=__stackBase__+78;
        var $max_numdecompos=__stackBase__+86;
        var $prec_max=__stackBase__+90;
        var $prec_max64=__stackBase__+94;
        var $numprec=__stackBase__+98;
        var $x0=__stackBase__+102;
        var $y0=__stackBase__+106;
        var $x1=__stackBase__+110;
        var $y1=__stackBase__+114;
        var $pcnx=__stackBase__+118;
        var $pcx=__stackBase__+122;
        var $pcy=__stackBase__+126;
        var $precno_x=__stackBase__+130;
        var $precno_y=__stackBase__+134;
        var $x0106=__stackBase__+138;
        var $y0107=__stackBase__+142;
        var $x1108=__stackBase__+146;
        var $y1109=__stackBase__+150;
        var $max_numprec=__stackBase__+154;
        var $numprec111=__stackBase__+158;
        var $numprec121=__stackBase__+162;
        var $pcnx122=__stackBase__+166;
        var $pcx123=__stackBase__+170;
        var $pcy124=__stackBase__+174;
        var $precno_x125=__stackBase__+178;
        var $precno_y126=__stackBase__+182;
        var $max_numprec148=__stackBase__+186;
        var $numprec150=__stackBase__+190;
        var $x0158=__stackBase__+194;
        var $y0159=__stackBase__+198;
        var $x1160=__stackBase__+202;
        var $y1161=__stackBase__+206;
        var $numprec164=__stackBase__+210;
        var $pcnx165=__stackBase__+214;
        var $pcx166=__stackBase__+218;
        var $pcy167=__stackBase__+222;
        var $precno_x168=__stackBase__+226;
        var $precno_y169=__stackBase__+230;
        var $_alloca_point_=0;
        HEAP[$cstr_info_addr]=$cstr_info;
        HEAP[$index_addr]=$index;
        HEAP[$stream]=0; //@line 45 "index.c"
        HEAP[$total_disto]=0; //@line 46 "index.c"
        var $1=HEAP[$cstr_info_addr]; //@line 57 "index.c"
        var $2=($1)==0; //@line 57 "index.c"
        if ($2) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 57 "index.c"
      case 0: // $bb
        HEAP[$0]=1; //@line 58 "index.c"
        __label__ = 2; break; //@line 58 "index.c"
      case 1: // $bb1
        var $3=HEAP[$index_addr]; //@line 60 "index.c"
        var $4=_fopen($3, CHECK_OVERFLOW((__str26117)&4294967295, 32)); //@line 60 "index.c"
        HEAP[$stream]=$4; //@line 60 "index.c"
        var $5=HEAP[$stream]; //@line 61 "index.c"
        var $6=($5)==0; //@line 61 "index.c"
        if ($6) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 61 "index.c"
      case 3: // $bb2
        var $7=HEAP[_stderr]; //@line 62 "index.c"
        var $8=HEAP[$index_addr]; //@line 62 "index.c"
        var $9=_fprintf($7, CHECK_OVERFLOW((__str127)&4294967295, 32), $8); //@line 62 "index.c"
        HEAP[$0]=1; //@line 63 "index.c"
        __label__ = 2; break; //@line 63 "index.c"
      case 4: // $bb3
        var $10=HEAP[$cstr_info_addr]; //@line 66 "index.c"
        var $11=CHECK_OVERFLOW(($10+88)&4294967295, 32); //@line 66 "index.c"
        var $12=HEAP[$11]; //@line 66 "index.c"
        var $13=CHECK_OVERFLOW(($12)&4294967295, 32); //@line 66 "index.c"
        var $14=CHECK_OVERFLOW(($13+556)&4294967295, 32); //@line 66 "index.c"
        var $15=HEAP[$14]; //@line 66 "index.c"
        var $16=($15) != 0; //@line 66 "index.c"
        if ($16) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 66 "index.c"
      case 5: // $bb4
        HEAP[$disto_on]=1; //@line 67 "index.c"
        __label__ = 7; break; //@line 67 "index.c"
      case 6: // $bb5
        HEAP[$disto_on]=0; //@line 69 "index.c"
        __label__ = 7; break; //@line 69 "index.c"
      case 7: // $bb6
        var $17=HEAP[$cstr_info_addr]; //@line 71 "index.c"
        var $18=CHECK_OVERFLOW(($17+88)&4294967295, 32); //@line 71 "index.c"
        var $19=HEAP[$18]; //@line 71 "index.c"
        var $20=CHECK_OVERFLOW(($19)&4294967295, 32); //@line 71 "index.c"
        var $21=CHECK_OVERFLOW(($20+552)&4294967295, 32); //@line 71 "index.c"
        var $22=HEAP[$21]; //@line 71 "index.c"
        var $23=($22)!=0; //@line 71 "index.c"
        if ($23) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 71 "index.c"
      case 8: // $bb7
        HEAP[$numpix_on]=1; //@line 72 "index.c"
        __label__ = 10; break; //@line 72 "index.c"
      case 9: // $bb8
        HEAP[$numpix_on]=0; //@line 74 "index.c"
        __label__ = 10; break; //@line 74 "index.c"
      case 10: // $bb9
        var $24=HEAP[$cstr_info_addr]; //@line 76 "index.c"
        var $25=CHECK_OVERFLOW(($24+20)&4294967295, 32); //@line 76 "index.c"
        var $26=HEAP[$25]; //@line 76 "index.c"
        var $27=HEAP[$cstr_info_addr]; //@line 76 "index.c"
        var $28=CHECK_OVERFLOW(($27+16)&4294967295, 32); //@line 76 "index.c"
        var $29=HEAP[$28]; //@line 76 "index.c"
        var $30=HEAP[$stream]; //@line 76 "index.c"
        var $31=_fprintf($30, CHECK_OVERFLOW((__str228)&4294967295, 32), $29, $26); //@line 76 "index.c"
        var $32=HEAP[$cstr_info_addr]; //@line 77 "index.c"
        var $33=CHECK_OVERFLOW(($32+24)&4294967295, 32); //@line 77 "index.c"
        var $34=HEAP[$33]; //@line 77 "index.c"
        var $35=HEAP[$stream]; //@line 77 "index.c"
        var $36=_fprintf($35, CHECK_OVERFLOW((__str329)&4294967295, 32), $34); //@line 77 "index.c"
        var $37=HEAP[$cstr_info_addr]; //@line 78 "index.c"
        var $38=CHECK_OVERFLOW(($37+32)&4294967295, 32); //@line 78 "index.c"
        var $39=HEAP[$38]; //@line 78 "index.c"
        var $40=HEAP[$cstr_info_addr]; //@line 78 "index.c"
        var $41=CHECK_OVERFLOW(($40+28)&4294967295, 32); //@line 78 "index.c"
        var $42=HEAP[$41]; //@line 78 "index.c"
        var $43=HEAP[$stream]; //@line 78 "index.c"
        var $44=_fprintf($43, CHECK_OVERFLOW((__str228)&4294967295, 32), $42, $39); //@line 78 "index.c"
        var $45=HEAP[$cstr_info_addr]; //@line 79 "index.c"
        var $46=CHECK_OVERFLOW(($45+48)&4294967295, 32); //@line 79 "index.c"
        var $47=HEAP[$46]; //@line 79 "index.c"
        var $48=HEAP[$cstr_info_addr]; //@line 79 "index.c"
        var $49=CHECK_OVERFLOW(($48+44)&4294967295, 32); //@line 79 "index.c"
        var $50=HEAP[$49]; //@line 79 "index.c"
        var $51=HEAP[$stream]; //@line 79 "index.c"
        var $52=_fprintf($51, CHECK_OVERFLOW((__str228)&4294967295, 32), $50, $47); //@line 79 "index.c"
        var $53=HEAP[$cstr_info_addr]; //@line 80 "index.c"
        var $54=CHECK_OVERFLOW(($53+52)&4294967295, 32); //@line 80 "index.c"
        var $55=HEAP[$54]; //@line 80 "index.c"
        var $56=HEAP[$stream]; //@line 80 "index.c"
        var $57=_fprintf($56, CHECK_OVERFLOW((__str329)&4294967295, 32), $55); //@line 80 "index.c"
        var $58=HEAP[$cstr_info_addr]; //@line 81 "index.c"
        var $59=CHECK_OVERFLOW(($58+56)&4294967295, 32); //@line 81 "index.c"
        var $60=HEAP[$59]; //@line 81 "index.c"
        var $61=HEAP[$stream]; //@line 81 "index.c"
        var $62=_fprintf($61, CHECK_OVERFLOW((__str329)&4294967295, 32), $60); //@line 81 "index.c"
        var $63=HEAP[$cstr_info_addr]; //@line 82 "index.c"
        var $64=CHECK_OVERFLOW(($63+60)&4294967295, 32); //@line 82 "index.c"
        var $65=HEAP[$64]; //@line 82 "index.c"
        var $66=CHECK_OVERFLOW(($65)&4294967295, 32); //@line 82 "index.c"
        var $67=HEAP[$66]; //@line 82 "index.c"
        var $68=HEAP[$stream]; //@line 82 "index.c"
        var $69=_fprintf($68, CHECK_OVERFLOW((__str329)&4294967295, 32), $67); //@line 82 "index.c"
        var $70=HEAP[$cstr_info_addr]; //@line 84 "index.c"
        var $71=CHECK_OVERFLOW(($70+60)&4294967295, 32); //@line 84 "index.c"
        var $72=HEAP[$71]; //@line 84 "index.c"
        var $73=CHECK_OVERFLOW(($72)&4294967295, 32); //@line 84 "index.c"
        var $74=HEAP[$73]; //@line 84 "index.c"
        HEAP[$resno]=$74; //@line 84 "index.c"
        __label__ = 11; break; //@line 84 "index.c"
      case 12: // $bb10
        var $75=HEAP[$cstr_info_addr]; //@line 85 "index.c"
        var $76=CHECK_OVERFLOW(($75+88)&4294967295, 32); //@line 85 "index.c"
        var $77=HEAP[$76]; //@line 85 "index.c"
        var $78=CHECK_OVERFLOW(($77)&4294967295, 32); //@line 85 "index.c"
        var $79=HEAP[$resno]; //@line 85 "index.c"
        var $80=CHECK_OVERFLOW(($78+284)&4294967295, 32); //@line 85 "index.c"
        var $81=CHECK_OVERFLOW(($80+$79*4)&4294967295, 32); //@line 85 "index.c"
        var $82=HEAP[$81]; //@line 85 "index.c"
        var $83=1 << ($82); //@line 85 "index.c"
        var $84=HEAP[$cstr_info_addr]; //@line 85 "index.c"
        var $85=CHECK_OVERFLOW(($84+88)&4294967295, 32); //@line 85 "index.c"
        var $86=HEAP[$85]; //@line 85 "index.c"
        var $87=CHECK_OVERFLOW(($86)&4294967295, 32); //@line 85 "index.c"
        var $88=HEAP[$resno]; //@line 85 "index.c"
        var $89=CHECK_OVERFLOW(($87+284)&4294967295, 32); //@line 85 "index.c"
        var $90=CHECK_OVERFLOW(($89+$88*4)&4294967295, 32); //@line 85 "index.c"
        var $91=HEAP[$90]; //@line 85 "index.c"
        var $92=1 << ($91); //@line 85 "index.c"
        var $93=HEAP[$stream]; //@line 85 "index.c"
        var $94=_fprintf($93, CHECK_OVERFLOW((__str430)&4294967295, 32), $92, $83); //@line 85 "index.c"
        var $95=HEAP[$resno]; //@line 84 "index.c"
        var $96=CHECK_OVERFLOW((($95) - 1)&4294967295, 32); //@line 84 "index.c"
        HEAP[$resno]=$96; //@line 84 "index.c"
        __label__ = 11; break; //@line 84 "index.c"
      case 11: // $bb11
        var $97=HEAP[$resno]; //@line 84 "index.c"
        var $98=($97) >= 0; //@line 84 "index.c"
        if ($98) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 84 "index.c"
      case 13: // $bb12
        var $99=HEAP[$stream]; //@line 89 "index.c"
        var $100=$99; //@line 89 "index.c"
        var $101=_fputc(10, $100); //@line 89 "index.c"
        var $102=HEAP[$cstr_info_addr]; //@line 91 "index.c"
        var $103=CHECK_OVERFLOW(($102+76)&4294967295, 32); //@line 91 "index.c"
        var $104=HEAP[$103]; //@line 91 "index.c"
        var $105=HEAP[$stream]; //@line 91 "index.c"
        var $106=_fprintf($105, CHECK_OVERFLOW((__str329)&4294967295, 32), $104); //@line 91 "index.c"
        var $107=HEAP[$cstr_info_addr]; //@line 93 "index.c"
        var $108=CHECK_OVERFLOW(($107+80)&4294967295, 32); //@line 93 "index.c"
        var $109=HEAP[$108]; //@line 93 "index.c"
        var $110=HEAP[$stream]; //@line 93 "index.c"
        var $111=_fprintf($110, CHECK_OVERFLOW((__str329)&4294967295, 32), $109); //@line 93 "index.c"
        var $112=HEAP[$cstr_info_addr]; //@line 94 "index.c"
        var $113=CHECK_OVERFLOW(($112+84)&4294967295, 32); //@line 94 "index.c"
        var $114=HEAP[$113]; //@line 94 "index.c"
        var $115=HEAP[$stream]; //@line 94 "index.c"
        var $116=_fprintf($115, CHECK_OVERFLOW((__str329)&4294967295, 32), $114); //@line 94 "index.c"
        var $117=HEAP[$stream]; //@line 96 "index.c"
        var $118=$117; //@line 96 "index.c"
        var $119=_fwrite(CHECK_OVERFLOW((__str531)&4294967295, 32), 1, 15, $118); //@line 96 "index.c"
        var $120=HEAP[$stream]; //@line 97 "index.c"
        var $121=$120; //@line 97 "index.c"
        var $122=_fwrite(CHECK_OVERFLOW((__str632)&4294967295, 32), 1, 44, $121); //@line 97 "index.c"
        var $123=HEAP[$disto_on]; //@line 98 "index.c"
        var $124=($123)!=0; //@line 98 "index.c"
        if ($124) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 98 "index.c"
      case 14: // $bb13
        var $125=HEAP[$stream]; //@line 99 "index.c"
        var $126=$125; //@line 99 "index.c"
        var $127=_fwrite(CHECK_OVERFLOW((__str733)&4294967295, 32), 1, 14, $126); //@line 99 "index.c"
        __label__ = 15; break; //@line 99 "index.c"
      case 15: // $bb14
        var $128=HEAP[$numpix_on]; //@line 100 "index.c"
        var $129=($128)!=0; //@line 100 "index.c"
        if ($129) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 100 "index.c"
      case 16: // $bb15
        var $130=HEAP[$stream]; //@line 101 "index.c"
        var $131=$130; //@line 101 "index.c"
        var $132=_fwrite(CHECK_OVERFLOW((__str834)&4294967295, 32), 1, 10, $131); //@line 101 "index.c"
        __label__ = 17; break; //@line 101 "index.c"
      case 17: // $bb16
        var $133=HEAP[$disto_on]; //@line 102 "index.c"
        var $134=($133)!=0; //@line 102 "index.c"
        if ($134) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 102 "index.c"
      case 18: // $bb17
        var $135=HEAP[$numpix_on]; //@line 102 "index.c"
        var $136=($135)!=0; //@line 102 "index.c"
        if ($136) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 102 "index.c"
      case 20: // $bb18
        var $137=HEAP[$stream]; //@line 103 "index.c"
        var $138=$137; //@line 103 "index.c"
        var $139=_fwrite(CHECK_OVERFLOW((__str935)&4294967295, 32), 1, 13, $138); //@line 103 "index.c"
        __label__ = 19; break; //@line 103 "index.c"
      case 19: // $bb19
        var $140=HEAP[$stream]; //@line 104 "index.c"
        var $141=$140; //@line 104 "index.c"
        var $142=_fputc(10, $141); //@line 104 "index.c"
        HEAP[$tileno]=0; //@line 106 "index.c"
        __label__ = 21; break; //@line 106 "index.c"
      case 29: // $bb20
        var $143=HEAP[$cstr_info_addr]; //@line 107 "index.c"
        var $144=CHECK_OVERFLOW(($143+88)&4294967295, 32); //@line 107 "index.c"
        var $145=HEAP[$144]; //@line 107 "index.c"
        var $146=HEAP[$tileno]; //@line 107 "index.c"
        var $147=CHECK_OVERFLOW(($145+572*$146)&4294967295, 32); //@line 107 "index.c"
        var $148=CHECK_OVERFLOW(($147+564)&4294967295, 32); //@line 107 "index.c"
        var $149=HEAP[$148]; //@line 107 "index.c"
        var $150=HEAP[$cstr_info_addr]; //@line 107 "index.c"
        var $151=CHECK_OVERFLOW(($150+88)&4294967295, 32); //@line 107 "index.c"
        var $152=HEAP[$151]; //@line 107 "index.c"
        var $153=HEAP[$tileno]; //@line 107 "index.c"
        var $154=CHECK_OVERFLOW(($152+572*$153)&4294967295, 32); //@line 107 "index.c"
        var $155=CHECK_OVERFLOW(($154+16)&4294967295, 32); //@line 107 "index.c"
        var $156=HEAP[$155]; //@line 107 "index.c"
        var $157=HEAP[$cstr_info_addr]; //@line 107 "index.c"
        var $158=CHECK_OVERFLOW(($157+88)&4294967295, 32); //@line 107 "index.c"
        var $159=HEAP[$158]; //@line 107 "index.c"
        var $160=HEAP[$tileno]; //@line 107 "index.c"
        var $161=CHECK_OVERFLOW(($159+572*$160)&4294967295, 32); //@line 107 "index.c"
        var $162=CHECK_OVERFLOW(($161+12)&4294967295, 32); //@line 107 "index.c"
        var $163=HEAP[$162]; //@line 107 "index.c"
        var $164=HEAP[$cstr_info_addr]; //@line 107 "index.c"
        var $165=CHECK_OVERFLOW(($164+88)&4294967295, 32); //@line 107 "index.c"
        var $166=HEAP[$165]; //@line 107 "index.c"
        var $167=HEAP[$tileno]; //@line 107 "index.c"
        var $168=CHECK_OVERFLOW(($166+572*$167)&4294967295, 32); //@line 107 "index.c"
        var $169=CHECK_OVERFLOW(($168+8)&4294967295, 32); //@line 107 "index.c"
        var $170=HEAP[$169]; //@line 107 "index.c"
        var $171=HEAP[$cstr_info_addr]; //@line 107 "index.c"
        var $172=CHECK_OVERFLOW(($171+88)&4294967295, 32); //@line 107 "index.c"
        var $173=HEAP[$172]; //@line 107 "index.c"
        var $174=HEAP[$tileno]; //@line 107 "index.c"
        var $175=CHECK_OVERFLOW(($173+572*$174)&4294967295, 32); //@line 107 "index.c"
        var $176=CHECK_OVERFLOW(($175+4)&4294967295, 32); //@line 107 "index.c"
        var $177=HEAP[$176]; //@line 107 "index.c"
        var $178=HEAP[$stream]; //@line 107 "index.c"
        var $179=_fprintf($178, CHECK_OVERFLOW((__str1036)&4294967295, 32), $177, $170, $163, $156, $149); //@line 107 "index.c"
        var $180=HEAP[$disto_on]; //@line 113 "index.c"
        var $181=($180)!=0; //@line 113 "index.c"
        if ($181) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 113 "index.c"
      case 22: // $bb21
        var $182=HEAP[$cstr_info_addr]; //@line 114 "index.c"
        var $183=CHECK_OVERFLOW(($182+88)&4294967295, 32); //@line 114 "index.c"
        var $184=HEAP[$183]; //@line 114 "index.c"
        var $185=HEAP[$tileno]; //@line 114 "index.c"
        var $186=CHECK_OVERFLOW(($184+572*$185)&4294967295, 32); //@line 114 "index.c"
        var $187=CHECK_OVERFLOW(($186+556)&4294967295, 32); //@line 114 "index.c"
        var $188=HEAP[$187]; //@line 114 "index.c"
        var $189=HEAP[$stream]; //@line 114 "index.c"
        var $190=_fprintf($189, CHECK_OVERFLOW((__str1137)&4294967295, 32), $188); //@line 114 "index.c"
        __label__ = 23; break; //@line 114 "index.c"
      case 23: // $bb22
        var $191=HEAP[$numpix_on]; //@line 115 "index.c"
        var $192=($191)!=0; //@line 115 "index.c"
        if ($192) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 115 "index.c"
      case 24: // $bb23
        var $193=HEAP[$cstr_info_addr]; //@line 116 "index.c"
        var $194=CHECK_OVERFLOW(($193+88)&4294967295, 32); //@line 116 "index.c"
        var $195=HEAP[$194]; //@line 116 "index.c"
        var $196=HEAP[$tileno]; //@line 116 "index.c"
        var $197=CHECK_OVERFLOW(($195+572*$196)&4294967295, 32); //@line 116 "index.c"
        var $198=CHECK_OVERFLOW(($197+552)&4294967295, 32); //@line 116 "index.c"
        var $199=HEAP[$198]; //@line 116 "index.c"
        var $200=HEAP[$stream]; //@line 116 "index.c"
        var $201=_fprintf($200, CHECK_OVERFLOW((__str1238)&4294967295, 32), $199); //@line 116 "index.c"
        __label__ = 25; break; //@line 116 "index.c"
      case 25: // $bb24
        var $202=HEAP[$disto_on]; //@line 117 "index.c"
        var $203=($202)!=0; //@line 117 "index.c"
        if ($203) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 117 "index.c"
      case 26: // $bb25
        var $204=HEAP[$numpix_on]; //@line 117 "index.c"
        var $205=($204)!=0; //@line 117 "index.c"
        if ($205) { __label__ = 28; break; } else { __label__ = 27; break; } //@line 117 "index.c"
      case 28: // $bb26
        var $206=HEAP[$cstr_info_addr]; //@line 118 "index.c"
        var $207=CHECK_OVERFLOW(($206+88)&4294967295, 32); //@line 118 "index.c"
        var $208=HEAP[$207]; //@line 118 "index.c"
        var $209=HEAP[$tileno]; //@line 118 "index.c"
        var $210=CHECK_OVERFLOW(($208+572*$209)&4294967295, 32); //@line 118 "index.c"
        var $211=CHECK_OVERFLOW(($210+556)&4294967295, 32); //@line 118 "index.c"
        var $212=HEAP[$211]; //@line 118 "index.c"
        var $213=HEAP[$cstr_info_addr]; //@line 118 "index.c"
        var $214=CHECK_OVERFLOW(($213+88)&4294967295, 32); //@line 118 "index.c"
        var $215=HEAP[$214]; //@line 118 "index.c"
        var $216=HEAP[$tileno]; //@line 118 "index.c"
        var $217=CHECK_OVERFLOW(($215+572*$216)&4294967295, 32); //@line 118 "index.c"
        var $218=CHECK_OVERFLOW(($217+552)&4294967295, 32); //@line 118 "index.c"
        var $219=HEAP[$218]; //@line 118 "index.c"
        var $220=($219); //@line 118 "index.c"
        var $221=($212) / ($220); //@line 118 "index.c"
        var $222=HEAP[$stream]; //@line 118 "index.c"
        var $223=_fprintf($222, CHECK_OVERFLOW((__str1137)&4294967295, 32), $221); //@line 118 "index.c"
        __label__ = 27; break; //@line 118 "index.c"
      case 27: // $bb27
        var $224=HEAP[$stream]; //@line 119 "index.c"
        var $225=$224; //@line 119 "index.c"
        var $226=_fputc(10, $225); //@line 119 "index.c"
        var $227=HEAP[$tileno]; //@line 106 "index.c"
        var $228=CHECK_OVERFLOW((($227) + 1)&4294967295, 32); //@line 106 "index.c"
        HEAP[$tileno]=$228; //@line 106 "index.c"
        __label__ = 21; break; //@line 106 "index.c"
      case 21: // $bb28
        var $229=HEAP[$cstr_info_addr]; //@line 106 "index.c"
        var $230=CHECK_OVERFLOW(($229+44)&4294967295, 32); //@line 106 "index.c"
        var $231=HEAP[$230]; //@line 106 "index.c"
        var $232=HEAP[$cstr_info_addr]; //@line 106 "index.c"
        var $233=CHECK_OVERFLOW(($232+48)&4294967295, 32); //@line 106 "index.c"
        var $234=HEAP[$233]; //@line 106 "index.c"
        var $235=CHECK_OVERFLOW((($231) * ($234))&4294967295, 32); //@line 106 "index.c"
        var $236=HEAP[$tileno]; //@line 106 "index.c"
        var $237=($235) > ($236); //@line 106 "index.c"
        if ($237) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 106 "index.c"
      case 30: // $bb29
        HEAP[$tileno]=0; //@line 122 "index.c"
        __label__ = 31; break; //@line 122 "index.c"
      case 167: // $bb30
        HEAP[$disto]=0; //@line 124 "index.c"
        HEAP[$max_numdecompos]=0; //@line 125 "index.c"
        HEAP[$pack_nb]=0; //@line 126 "index.c"
        HEAP[$compno]=0; //@line 128 "index.c"
        __label__ = 32; break; //@line 128 "index.c"
      case 35: // $bb31
        var $238=HEAP[$cstr_info_addr]; //@line 129 "index.c"
        var $239=CHECK_OVERFLOW(($238+60)&4294967295, 32); //@line 129 "index.c"
        var $240=HEAP[$239]; //@line 129 "index.c"
        var $241=HEAP[$compno]; //@line 129 "index.c"
        var $242=CHECK_OVERFLOW(($240+4*$241)&4294967295, 32); //@line 129 "index.c"
        var $243=HEAP[$242]; //@line 129 "index.c"
        var $244=HEAP[$max_numdecompos]; //@line 129 "index.c"
        var $245=($243) > ($244); //@line 129 "index.c"
        if ($245) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 129 "index.c"
      case 33: // $bb32
        var $246=HEAP[$cstr_info_addr]; //@line 130 "index.c"
        var $247=CHECK_OVERFLOW(($246+60)&4294967295, 32); //@line 130 "index.c"
        var $248=HEAP[$247]; //@line 130 "index.c"
        var $249=HEAP[$compno]; //@line 130 "index.c"
        var $250=CHECK_OVERFLOW(($248+4*$249)&4294967295, 32); //@line 130 "index.c"
        var $251=HEAP[$250]; //@line 130 "index.c"
        HEAP[$max_numdecompos]=$251; //@line 130 "index.c"
        __label__ = 34; break; //@line 130 "index.c"
      case 34: // $bb33
        var $252=HEAP[$compno]; //@line 128 "index.c"
        var $253=CHECK_OVERFLOW((($252) + 1)&4294967295, 32); //@line 128 "index.c"
        HEAP[$compno]=$253; //@line 128 "index.c"
        __label__ = 32; break; //@line 128 "index.c"
      case 32: // $bb34
        var $254=HEAP[$cstr_info_addr]; //@line 128 "index.c"
        var $255=CHECK_OVERFLOW(($254+52)&4294967295, 32); //@line 128 "index.c"
        var $256=HEAP[$255]; //@line 128 "index.c"
        var $257=HEAP[$compno]; //@line 128 "index.c"
        var $258=($256) > ($257); //@line 128 "index.c"
        if ($258) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 128 "index.c"
      case 36: // $bb35
        var $259=HEAP[$stream]; //@line 133 "index.c"
        var $260=HEAP[$tileno]; //@line 133 "index.c"
        var $261=_fprintf($259, CHECK_OVERFLOW((__str1339)&4294967295, 32), $260); //@line 133 "index.c"
        var $262=HEAP[$stream]; //@line 134 "index.c"
        var $263=$262; //@line 134 "index.c"
        var $264=_fwrite(CHECK_OVERFLOW((__str1440)&4294967295, 32), 1, 70, $263); //@line 134 "index.c"
        HEAP[$tilepartno]=0; //@line 135 "index.c"
        __label__ = 37; break; //@line 135 "index.c"
      case 38: // $bb36
        var $265=HEAP[$cstr_info_addr]; //@line 136 "index.c"
        var $266=CHECK_OVERFLOW(($265+88)&4294967295, 32); //@line 136 "index.c"
        var $267=HEAP[$266]; //@line 136 "index.c"
        var $268=HEAP[$tileno]; //@line 136 "index.c"
        var $269=CHECK_OVERFLOW(($267+572*$268)&4294967295, 32); //@line 136 "index.c"
        var $270=CHECK_OVERFLOW(($269+568)&4294967295, 32); //@line 136 "index.c"
        var $271=HEAP[$270]; //@line 136 "index.c"
        var $272=HEAP[$tilepartno]; //@line 136 "index.c"
        var $273=CHECK_OVERFLOW(($271+20*$272)&4294967295, 32); //@line 136 "index.c"
        var $274=CHECK_OVERFLOW(($273+8)&4294967295, 32); //@line 136 "index.c"
        var $275=HEAP[$274]; //@line 136 "index.c"
        var $276=HEAP[$cstr_info_addr]; //@line 136 "index.c"
        var $277=CHECK_OVERFLOW(($276+88)&4294967295, 32); //@line 136 "index.c"
        var $278=HEAP[$277]; //@line 136 "index.c"
        var $279=HEAP[$tileno]; //@line 136 "index.c"
        var $280=CHECK_OVERFLOW(($278+572*$279)&4294967295, 32); //@line 136 "index.c"
        var $281=CHECK_OVERFLOW(($280+568)&4294967295, 32); //@line 136 "index.c"
        var $282=HEAP[$281]; //@line 136 "index.c"
        var $283=HEAP[$tilepartno]; //@line 136 "index.c"
        var $284=CHECK_OVERFLOW(($282+20*$283)&4294967295, 32); //@line 136 "index.c"
        var $285=CHECK_OVERFLOW(($284+4)&4294967295, 32); //@line 136 "index.c"
        var $286=HEAP[$285]; //@line 136 "index.c"
        var $287=HEAP[$cstr_info_addr]; //@line 136 "index.c"
        var $288=CHECK_OVERFLOW(($287+88)&4294967295, 32); //@line 136 "index.c"
        var $289=HEAP[$288]; //@line 136 "index.c"
        var $290=HEAP[$tileno]; //@line 136 "index.c"
        var $291=CHECK_OVERFLOW(($289+572*$290)&4294967295, 32); //@line 136 "index.c"
        var $292=CHECK_OVERFLOW(($291+568)&4294967295, 32); //@line 136 "index.c"
        var $293=HEAP[$292]; //@line 136 "index.c"
        var $294=HEAP[$tilepartno]; //@line 136 "index.c"
        var $295=CHECK_OVERFLOW(($293+20*$294)&4294967295, 32); //@line 136 "index.c"
        var $296=CHECK_OVERFLOW(($295)&4294967295, 32); //@line 136 "index.c"
        var $297=HEAP[$296]; //@line 136 "index.c"
        var $298=HEAP[$cstr_info_addr]; //@line 136 "index.c"
        var $299=CHECK_OVERFLOW(($298+88)&4294967295, 32); //@line 136 "index.c"
        var $300=HEAP[$299]; //@line 136 "index.c"
        var $301=HEAP[$tileno]; //@line 136 "index.c"
        var $302=CHECK_OVERFLOW(($300+572*$301)&4294967295, 32); //@line 136 "index.c"
        var $303=CHECK_OVERFLOW(($302+568)&4294967295, 32); //@line 136 "index.c"
        var $304=HEAP[$303]; //@line 136 "index.c"
        var $305=HEAP[$tilepartno]; //@line 136 "index.c"
        var $306=CHECK_OVERFLOW(($304+20*$305)&4294967295, 32); //@line 136 "index.c"
        var $307=CHECK_OVERFLOW(($306+16)&4294967295, 32); //@line 136 "index.c"
        var $308=HEAP[$307]; //@line 136 "index.c"
        var $309=HEAP[$cstr_info_addr]; //@line 136 "index.c"
        var $310=CHECK_OVERFLOW(($309+88)&4294967295, 32); //@line 136 "index.c"
        var $311=HEAP[$310]; //@line 136 "index.c"
        var $312=HEAP[$tileno]; //@line 136 "index.c"
        var $313=CHECK_OVERFLOW(($311+572*$312)&4294967295, 32); //@line 136 "index.c"
        var $314=CHECK_OVERFLOW(($313+568)&4294967295, 32); //@line 136 "index.c"
        var $315=HEAP[$314]; //@line 136 "index.c"
        var $316=HEAP[$tilepartno]; //@line 136 "index.c"
        var $317=CHECK_OVERFLOW(($315+20*$316)&4294967295, 32); //@line 136 "index.c"
        var $318=CHECK_OVERFLOW(($317+12)&4294967295, 32); //@line 136 "index.c"
        var $319=HEAP[$318]; //@line 136 "index.c"
        var $320=HEAP[$stream]; //@line 136 "index.c"
        var $321=HEAP[$tilepartno]; //@line 136 "index.c"
        var $322=HEAP[$tileno]; //@line 136 "index.c"
        var $323=_fprintf($320, CHECK_OVERFLOW((__str1541)&4294967295, 32), $321, $322, $319, $308, $297, $286, $275); //@line 136 "index.c"
        var $324=HEAP[$tilepartno]; //@line 135 "index.c"
        var $325=CHECK_OVERFLOW((($324) + 1)&4294967295, 32); //@line 135 "index.c"
        HEAP[$tilepartno]=$325; //@line 135 "index.c"
        __label__ = 37; break; //@line 135 "index.c"
      case 37: // $bb37
        var $326=HEAP[$cstr_info_addr]; //@line 135 "index.c"
        var $327=CHECK_OVERFLOW(($326+88)&4294967295, 32); //@line 135 "index.c"
        var $328=HEAP[$327]; //@line 135 "index.c"
        var $329=HEAP[$tileno]; //@line 135 "index.c"
        var $330=CHECK_OVERFLOW(($328+572*$329)&4294967295, 32); //@line 135 "index.c"
        var $331=CHECK_OVERFLOW(($330+564)&4294967295, 32); //@line 135 "index.c"
        var $332=HEAP[$331]; //@line 135 "index.c"
        var $333=HEAP[$tilepartno]; //@line 135 "index.c"
        var $334=($332) > ($333); //@line 135 "index.c"
        if ($334) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 135 "index.c"
      case 39: // $bb38
        var $335=HEAP[$cstr_info_addr]; //@line 145 "index.c"
        var $336=CHECK_OVERFLOW(($335+24)&4294967295, 32); //@line 145 "index.c"
        var $337=HEAP[$336]; //@line 145 "index.c"
        var $338=($337)==0; //@line 145 "index.c"
        if ($338) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 145 "index.c"
      case 40: // $bb39
        var $339=HEAP[$stream]; //@line 146 "index.c"
        var $340=$339; //@line 146 "index.c"
        var $341=_fwrite(CHECK_OVERFLOW((__str1642)&4294967295, 32), 1, 74, $340); //@line 146 "index.c"
        var $342=HEAP[$disto_on]; //@line 147 "index.c"
        var $343=($342)!=0; //@line 147 "index.c"
        if ($343) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 147 "index.c"
      case 42: // $bb40
        var $344=HEAP[$stream]; //@line 148 "index.c"
        var $345=$344; //@line 148 "index.c"
        var $346=_fwrite(CHECK_OVERFLOW((__str1743)&4294967295, 32), 1, 6, $345); //@line 148 "index.c"
        __label__ = 43; break; //@line 148 "index.c"
      case 43: // $bb41
        var $347=HEAP[$stream]; //@line 149 "index.c"
        var $348=$347; //@line 149 "index.c"
        var $349=_fputc(10, $348); //@line 149 "index.c"
        HEAP[$layno]=0; //@line 151 "index.c"
        __label__ = 44; break; //@line 151 "index.c"
      case 57: // $bb42
        HEAP[$resno]=0; //@line 152 "index.c"
        __label__ = 45; break; //@line 152 "index.c"
      case 55: // $bb43
        HEAP[$compno]=0; //@line 153 "index.c"
        __label__ = 46; break; //@line 153 "index.c"
      case 54: // $bb44
        var $350=HEAP[$cstr_info_addr]; //@line 155 "index.c"
        var $351=CHECK_OVERFLOW(($350+60)&4294967295, 32); //@line 155 "index.c"
        var $352=HEAP[$351]; //@line 155 "index.c"
        var $353=HEAP[$compno]; //@line 155 "index.c"
        var $354=CHECK_OVERFLOW(($352+4*$353)&4294967295, 32); //@line 155 "index.c"
        var $355=HEAP[$354]; //@line 155 "index.c"
        var $356=HEAP[$resno]; //@line 155 "index.c"
        var $357=($355) < ($356); //@line 155 "index.c"
        if ($357) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 155 "index.c"
      case 48: // $bb45
        var $358=HEAP[$cstr_info_addr]; //@line 157 "index.c"
        var $359=CHECK_OVERFLOW(($358+88)&4294967295, 32); //@line 157 "index.c"
        var $360=HEAP[$359]; //@line 157 "index.c"
        var $361=HEAP[$tileno]; //@line 157 "index.c"
        var $362=CHECK_OVERFLOW(($360+572*$361)&4294967295, 32); //@line 157 "index.c"
        var $363=HEAP[$resno]; //@line 157 "index.c"
        var $364=CHECK_OVERFLOW(($362+20)&4294967295, 32); //@line 157 "index.c"
        var $365=CHECK_OVERFLOW(($364+$363*4)&4294967295, 32); //@line 157 "index.c"
        var $366=HEAP[$365]; //@line 157 "index.c"
        var $367=HEAP[$cstr_info_addr]; //@line 157 "index.c"
        var $368=CHECK_OVERFLOW(($367+88)&4294967295, 32); //@line 157 "index.c"
        var $369=HEAP[$368]; //@line 157 "index.c"
        var $370=HEAP[$tileno]; //@line 157 "index.c"
        var $371=CHECK_OVERFLOW(($369+572*$370)&4294967295, 32); //@line 157 "index.c"
        var $372=HEAP[$resno]; //@line 157 "index.c"
        var $373=CHECK_OVERFLOW(($371+152)&4294967295, 32); //@line 157 "index.c"
        var $374=CHECK_OVERFLOW(($373+$372*4)&4294967295, 32); //@line 157 "index.c"
        var $375=HEAP[$374]; //@line 157 "index.c"
        var $376=CHECK_OVERFLOW((($366) * ($375))&4294967295, 32); //@line 157 "index.c"
        HEAP[$prec_max]=$376; //@line 157 "index.c"
        HEAP[$precno]=0; //@line 158 "index.c"
        __label__ = 49; break; //@line 158 "index.c"
      case 52: // $bb46
        var $377=HEAP[$cstr_info_addr]; //@line 159 "index.c"
        var $378=CHECK_OVERFLOW(($377+88)&4294967295, 32); //@line 159 "index.c"
        var $379=HEAP[$378]; //@line 159 "index.c"
        var $380=HEAP[$tileno]; //@line 159 "index.c"
        var $381=CHECK_OVERFLOW(($379+572*$380)&4294967295, 32); //@line 159 "index.c"
        var $382=CHECK_OVERFLOW(($381+548)&4294967295, 32); //@line 159 "index.c"
        var $383=HEAP[$382]; //@line 159 "index.c"
        var $384=HEAP[$pack_nb]; //@line 159 "index.c"
        var $385=CHECK_OVERFLOW(($383+20*$384)&4294967295, 32); //@line 159 "index.c"
        var $386=CHECK_OVERFLOW(($385)&4294967295, 32); //@line 159 "index.c"
        var $387=HEAP[$386]; //@line 159 "index.c"
        HEAP[$start_pos]=$387; //@line 159 "index.c"
        var $388=HEAP[$cstr_info_addr]; //@line 160 "index.c"
        var $389=CHECK_OVERFLOW(($388+88)&4294967295, 32); //@line 160 "index.c"
        var $390=HEAP[$389]; //@line 160 "index.c"
        var $391=HEAP[$tileno]; //@line 160 "index.c"
        var $392=CHECK_OVERFLOW(($390+572*$391)&4294967295, 32); //@line 160 "index.c"
        var $393=CHECK_OVERFLOW(($392+548)&4294967295, 32); //@line 160 "index.c"
        var $394=HEAP[$393]; //@line 160 "index.c"
        var $395=HEAP[$pack_nb]; //@line 160 "index.c"
        var $396=CHECK_OVERFLOW(($394+20*$395)&4294967295, 32); //@line 160 "index.c"
        var $397=CHECK_OVERFLOW(($396+4)&4294967295, 32); //@line 160 "index.c"
        var $398=HEAP[$397]; //@line 160 "index.c"
        HEAP[$end_ph_pos]=$398; //@line 160 "index.c"
        var $399=HEAP[$cstr_info_addr]; //@line 161 "index.c"
        var $400=CHECK_OVERFLOW(($399+88)&4294967295, 32); //@line 161 "index.c"
        var $401=HEAP[$400]; //@line 161 "index.c"
        var $402=HEAP[$tileno]; //@line 161 "index.c"
        var $403=CHECK_OVERFLOW(($401+572*$402)&4294967295, 32); //@line 161 "index.c"
        var $404=CHECK_OVERFLOW(($403+548)&4294967295, 32); //@line 161 "index.c"
        var $405=HEAP[$404]; //@line 161 "index.c"
        var $406=HEAP[$pack_nb]; //@line 161 "index.c"
        var $407=CHECK_OVERFLOW(($405+20*$406)&4294967295, 32); //@line 161 "index.c"
        var $408=CHECK_OVERFLOW(($407+8)&4294967295, 32); //@line 161 "index.c"
        var $409=HEAP[$408]; //@line 161 "index.c"
        HEAP[$end_pos]=$409; //@line 161 "index.c"
        var $410=HEAP[$cstr_info_addr]; //@line 162 "index.c"
        var $411=CHECK_OVERFLOW(($410+88)&4294967295, 32); //@line 162 "index.c"
        var $412=HEAP[$411]; //@line 162 "index.c"
        var $413=HEAP[$tileno]; //@line 162 "index.c"
        var $414=CHECK_OVERFLOW(($412+572*$413)&4294967295, 32); //@line 162 "index.c"
        var $415=CHECK_OVERFLOW(($414+548)&4294967295, 32); //@line 162 "index.c"
        var $416=HEAP[$415]; //@line 162 "index.c"
        var $417=HEAP[$pack_nb]; //@line 162 "index.c"
        var $418=CHECK_OVERFLOW(($416+20*$417)&4294967295, 32); //@line 162 "index.c"
        var $419=CHECK_OVERFLOW(($418+12)&4294967295, 32); //@line 162 "index.c"
        var $420=HEAP[$419]; //@line 162 "index.c"
        HEAP[$disto]=$420; //@line 162 "index.c"
        var $421=HEAP[$stream]; //@line 163 "index.c"
        var $422=HEAP[$pack_nb]; //@line 163 "index.c"
        var $423=HEAP[$tileno]; //@line 163 "index.c"
        var $424=HEAP[$layno]; //@line 163 "index.c"
        var $425=HEAP[$resno]; //@line 163 "index.c"
        var $426=HEAP[$compno]; //@line 163 "index.c"
        var $427=HEAP[$precno]; //@line 163 "index.c"
        var $428=HEAP[$start_pos]; //@line 163 "index.c"
        var $429=HEAP[$end_ph_pos]; //@line 163 "index.c"
        var $430=HEAP[$end_pos]; //@line 163 "index.c"
        var $431=_fprintf($421, CHECK_OVERFLOW((__str1844)&4294967295, 32), $422, $423, $424, $425, $426, $427, $428, $429, $430); //@line 163 "index.c"
        var $432=HEAP[$disto_on]; //@line 165 "index.c"
        var $433=($432)!=0; //@line 165 "index.c"
        if ($433) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 165 "index.c"
      case 50: // $bb47
        var $434=HEAP[$stream]; //@line 166 "index.c"
        var $435=HEAP[$disto]; //@line 166 "index.c"
        var $436=_fprintf($434, CHECK_OVERFLOW((__str1945)&4294967295, 32), $435); //@line 166 "index.c"
        __label__ = 51; break; //@line 166 "index.c"
      case 51: // $bb48
        var $437=HEAP[$stream]; //@line 167 "index.c"
        var $438=$437; //@line 167 "index.c"
        var $439=_fputc(10, $438); //@line 167 "index.c"
        var $440=HEAP[$total_disto]; //@line 168 "index.c"
        var $441=HEAP[$disto]; //@line 168 "index.c"
        var $442=($440) + ($441); //@line 168 "index.c"
        HEAP[$total_disto]=$442; //@line 168 "index.c"
        var $443=HEAP[$pack_nb]; //@line 169 "index.c"
        var $444=CHECK_OVERFLOW((($443) + 1)&4294967295, 32); //@line 169 "index.c"
        HEAP[$pack_nb]=$444; //@line 169 "index.c"
        var $445=HEAP[$precno]; //@line 158 "index.c"
        var $446=CHECK_OVERFLOW((($445) + 1)&4294967295, 32); //@line 158 "index.c"
        HEAP[$precno]=$446; //@line 158 "index.c"
        __label__ = 49; break; //@line 158 "index.c"
      case 49: // $bb49
        var $447=HEAP[$precno]; //@line 158 "index.c"
        var $448=HEAP[$prec_max]; //@line 158 "index.c"
        var $449=($447) < ($448); //@line 158 "index.c"
        if ($449) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 158 "index.c"
      case 53: // $bb50
        var $450=HEAP[$compno]; //@line 153 "index.c"
        var $451=CHECK_OVERFLOW((($450) + 1)&4294967295, 32); //@line 153 "index.c"
        HEAP[$compno]=$451; //@line 153 "index.c"
        __label__ = 46; break; //@line 153 "index.c"
      case 46: // $bb51
        var $452=HEAP[$cstr_info_addr]; //@line 153 "index.c"
        var $453=CHECK_OVERFLOW(($452+52)&4294967295, 32); //@line 153 "index.c"
        var $454=HEAP[$453]; //@line 153 "index.c"
        var $455=HEAP[$compno]; //@line 153 "index.c"
        var $456=($454) > ($455); //@line 153 "index.c"
        if ($456) { __label__ = 54; break; } else { __label__ = 47; break; } //@line 153 "index.c"
      case 47: // $bb52
        var $457=HEAP[$resno]; //@line 152 "index.c"
        var $458=CHECK_OVERFLOW((($457) + 1)&4294967295, 32); //@line 152 "index.c"
        HEAP[$resno]=$458; //@line 152 "index.c"
        __label__ = 45; break; //@line 152 "index.c"
      case 45: // $bb53
        var $459=HEAP[$max_numdecompos]; //@line 152 "index.c"
        var $460=CHECK_OVERFLOW((($459) + 1)&4294967295, 32); //@line 152 "index.c"
        var $461=HEAP[$resno]; //@line 152 "index.c"
        var $462=($460) > ($461); //@line 152 "index.c"
        if ($462) { __label__ = 55; break; } else { __label__ = 56; break; } //@line 152 "index.c"
      case 56: // $bb54
        var $463=HEAP[$layno]; //@line 151 "index.c"
        var $464=CHECK_OVERFLOW((($463) + 1)&4294967295, 32); //@line 151 "index.c"
        HEAP[$layno]=$464; //@line 151 "index.c"
        __label__ = 44; break; //@line 151 "index.c"
      case 44: // $bb55
        var $465=HEAP[$cstr_info_addr]; //@line 151 "index.c"
        var $466=CHECK_OVERFLOW(($465+56)&4294967295, 32); //@line 151 "index.c"
        var $467=HEAP[$466]; //@line 151 "index.c"
        var $468=HEAP[$layno]; //@line 151 "index.c"
        var $469=($467) > ($468); //@line 151 "index.c"
        if ($469) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 151 "index.c"
      case 58: // $bb56
        __label__ = 59; break; //@line 151 "index.c"
      case 41: // $bb57
        var $470=HEAP[$cstr_info_addr]; //@line 176 "index.c"
        var $471=CHECK_OVERFLOW(($470+24)&4294967295, 32); //@line 176 "index.c"
        var $472=HEAP[$471]; //@line 176 "index.c"
        var $473=($472)==1; //@line 176 "index.c"
        if ($473) { __label__ = 60; break; } else { __label__ = 61; break; } //@line 176 "index.c"
      case 60: // $bb58
        var $474=HEAP[$stream]; //@line 177 "index.c"
        var $475=$474; //@line 177 "index.c"
        var $476=_fwrite(CHECK_OVERFLOW((__str2046)&4294967295, 32), 1, 75, $475); //@line 177 "index.c"
        var $477=HEAP[$disto_on]; //@line 178 "index.c"
        var $478=($477)!=0; //@line 178 "index.c"
        if ($478) { __label__ = 62; break; } else { __label__ = 63; break; } //@line 178 "index.c"
      case 62: // $bb59
        var $479=HEAP[$stream]; //@line 179 "index.c"
        var $480=$479; //@line 179 "index.c"
        var $481=_fwrite(CHECK_OVERFLOW((__str1743)&4294967295, 32), 1, 6, $480); //@line 179 "index.c"
        __label__ = 63; break; //@line 179 "index.c"
      case 63: // $bb60
        var $482=HEAP[$stream]; //@line 180 "index.c"
        var $483=$482; //@line 180 "index.c"
        var $484=_fputc(10, $483); //@line 180 "index.c"
        HEAP[$resno]=0; //@line 182 "index.c"
        __label__ = 64; break; //@line 182 "index.c"
      case 77: // $bb61
        HEAP[$layno]=0; //@line 183 "index.c"
        __label__ = 65; break; //@line 183 "index.c"
      case 75: // $bb62
        HEAP[$compno]=0; //@line 184 "index.c"
        __label__ = 66; break; //@line 184 "index.c"
      case 74: // $bb63
        var $485=HEAP[$cstr_info_addr]; //@line 186 "index.c"
        var $486=CHECK_OVERFLOW(($485+60)&4294967295, 32); //@line 186 "index.c"
        var $487=HEAP[$486]; //@line 186 "index.c"
        var $488=HEAP[$compno]; //@line 186 "index.c"
        var $489=CHECK_OVERFLOW(($487+4*$488)&4294967295, 32); //@line 186 "index.c"
        var $490=HEAP[$489]; //@line 186 "index.c"
        var $491=HEAP[$resno]; //@line 186 "index.c"
        var $492=($490) < ($491); //@line 186 "index.c"
        if ($492) { __label__ = 67; break; } else { __label__ = 68; break; } //@line 186 "index.c"
      case 68: // $bb65
        var $493=HEAP[$cstr_info_addr]; //@line 188 "index.c"
        var $494=CHECK_OVERFLOW(($493+88)&4294967295, 32); //@line 188 "index.c"
        var $495=HEAP[$494]; //@line 188 "index.c"
        var $496=HEAP[$tileno]; //@line 188 "index.c"
        var $497=CHECK_OVERFLOW(($495+572*$496)&4294967295, 32); //@line 188 "index.c"
        var $498=HEAP[$resno]; //@line 188 "index.c"
        var $499=CHECK_OVERFLOW(($497+20)&4294967295, 32); //@line 188 "index.c"
        var $500=CHECK_OVERFLOW(($499+$498*4)&4294967295, 32); //@line 188 "index.c"
        var $501=HEAP[$500]; //@line 188 "index.c"
        var $502=HEAP[$cstr_info_addr]; //@line 188 "index.c"
        var $503=CHECK_OVERFLOW(($502+88)&4294967295, 32); //@line 188 "index.c"
        var $504=HEAP[$503]; //@line 188 "index.c"
        var $505=HEAP[$tileno]; //@line 188 "index.c"
        var $506=CHECK_OVERFLOW(($504+572*$505)&4294967295, 32); //@line 188 "index.c"
        var $507=HEAP[$resno]; //@line 188 "index.c"
        var $508=CHECK_OVERFLOW(($506+152)&4294967295, 32); //@line 188 "index.c"
        var $509=CHECK_OVERFLOW(($508+$507*4)&4294967295, 32); //@line 188 "index.c"
        var $510=HEAP[$509]; //@line 188 "index.c"
        var $511=CHECK_OVERFLOW((($501) * ($510))&4294967295, 32); //@line 188 "index.c"
        HEAP[$prec_max64]=$511; //@line 188 "index.c"
        HEAP[$precno]=0; //@line 189 "index.c"
        __label__ = 69; break; //@line 189 "index.c"
      case 72: // $bb66
        var $512=HEAP[$cstr_info_addr]; //@line 190 "index.c"
        var $513=CHECK_OVERFLOW(($512+88)&4294967295, 32); //@line 190 "index.c"
        var $514=HEAP[$513]; //@line 190 "index.c"
        var $515=HEAP[$tileno]; //@line 190 "index.c"
        var $516=CHECK_OVERFLOW(($514+572*$515)&4294967295, 32); //@line 190 "index.c"
        var $517=CHECK_OVERFLOW(($516+548)&4294967295, 32); //@line 190 "index.c"
        var $518=HEAP[$517]; //@line 190 "index.c"
        var $519=HEAP[$pack_nb]; //@line 190 "index.c"
        var $520=CHECK_OVERFLOW(($518+20*$519)&4294967295, 32); //@line 190 "index.c"
        var $521=CHECK_OVERFLOW(($520)&4294967295, 32); //@line 190 "index.c"
        var $522=HEAP[$521]; //@line 190 "index.c"
        HEAP[$start_pos]=$522; //@line 190 "index.c"
        var $523=HEAP[$cstr_info_addr]; //@line 191 "index.c"
        var $524=CHECK_OVERFLOW(($523+88)&4294967295, 32); //@line 191 "index.c"
        var $525=HEAP[$524]; //@line 191 "index.c"
        var $526=HEAP[$tileno]; //@line 191 "index.c"
        var $527=CHECK_OVERFLOW(($525+572*$526)&4294967295, 32); //@line 191 "index.c"
        var $528=CHECK_OVERFLOW(($527+548)&4294967295, 32); //@line 191 "index.c"
        var $529=HEAP[$528]; //@line 191 "index.c"
        var $530=HEAP[$pack_nb]; //@line 191 "index.c"
        var $531=CHECK_OVERFLOW(($529+20*$530)&4294967295, 32); //@line 191 "index.c"
        var $532=CHECK_OVERFLOW(($531+4)&4294967295, 32); //@line 191 "index.c"
        var $533=HEAP[$532]; //@line 191 "index.c"
        HEAP[$end_ph_pos]=$533; //@line 191 "index.c"
        var $534=HEAP[$cstr_info_addr]; //@line 192 "index.c"
        var $535=CHECK_OVERFLOW(($534+88)&4294967295, 32); //@line 192 "index.c"
        var $536=HEAP[$535]; //@line 192 "index.c"
        var $537=HEAP[$tileno]; //@line 192 "index.c"
        var $538=CHECK_OVERFLOW(($536+572*$537)&4294967295, 32); //@line 192 "index.c"
        var $539=CHECK_OVERFLOW(($538+548)&4294967295, 32); //@line 192 "index.c"
        var $540=HEAP[$539]; //@line 192 "index.c"
        var $541=HEAP[$pack_nb]; //@line 192 "index.c"
        var $542=CHECK_OVERFLOW(($540+20*$541)&4294967295, 32); //@line 192 "index.c"
        var $543=CHECK_OVERFLOW(($542+8)&4294967295, 32); //@line 192 "index.c"
        var $544=HEAP[$543]; //@line 192 "index.c"
        HEAP[$end_pos]=$544; //@line 192 "index.c"
        var $545=HEAP[$cstr_info_addr]; //@line 193 "index.c"
        var $546=CHECK_OVERFLOW(($545+88)&4294967295, 32); //@line 193 "index.c"
        var $547=HEAP[$546]; //@line 193 "index.c"
        var $548=HEAP[$tileno]; //@line 193 "index.c"
        var $549=CHECK_OVERFLOW(($547+572*$548)&4294967295, 32); //@line 193 "index.c"
        var $550=CHECK_OVERFLOW(($549+548)&4294967295, 32); //@line 193 "index.c"
        var $551=HEAP[$550]; //@line 193 "index.c"
        var $552=HEAP[$pack_nb]; //@line 193 "index.c"
        var $553=CHECK_OVERFLOW(($551+20*$552)&4294967295, 32); //@line 193 "index.c"
        var $554=CHECK_OVERFLOW(($553+12)&4294967295, 32); //@line 193 "index.c"
        var $555=HEAP[$554]; //@line 193 "index.c"
        HEAP[$disto]=$555; //@line 193 "index.c"
        var $556=HEAP[$stream]; //@line 194 "index.c"
        var $557=HEAP[$pack_nb]; //@line 194 "index.c"
        var $558=HEAP[$tileno]; //@line 194 "index.c"
        var $559=HEAP[$resno]; //@line 194 "index.c"
        var $560=HEAP[$layno]; //@line 194 "index.c"
        var $561=HEAP[$compno]; //@line 194 "index.c"
        var $562=HEAP[$precno]; //@line 194 "index.c"
        var $563=HEAP[$start_pos]; //@line 194 "index.c"
        var $564=HEAP[$end_ph_pos]; //@line 194 "index.c"
        var $565=HEAP[$end_pos]; //@line 194 "index.c"
        var $566=_fprintf($556, CHECK_OVERFLOW((__str2147)&4294967295, 32), $557, $558, $559, $560, $561, $562, $563, $564, $565); //@line 194 "index.c"
        var $567=HEAP[$disto_on]; //@line 196 "index.c"
        var $568=($567)!=0; //@line 196 "index.c"
        if ($568) { __label__ = 70; break; } else { __label__ = 71; break; } //@line 196 "index.c"
      case 70: // $bb67
        var $569=HEAP[$stream]; //@line 197 "index.c"
        var $570=HEAP[$disto]; //@line 197 "index.c"
        var $571=_fprintf($569, CHECK_OVERFLOW((__str1945)&4294967295, 32), $570); //@line 197 "index.c"
        __label__ = 71; break; //@line 197 "index.c"
      case 71: // $bb68
        var $572=HEAP[$stream]; //@line 198 "index.c"
        var $573=$572; //@line 198 "index.c"
        var $574=_fputc(10, $573); //@line 198 "index.c"
        var $575=HEAP[$total_disto]; //@line 199 "index.c"
        var $576=HEAP[$disto]; //@line 199 "index.c"
        var $577=($575) + ($576); //@line 199 "index.c"
        HEAP[$total_disto]=$577; //@line 199 "index.c"
        var $578=HEAP[$pack_nb]; //@line 200 "index.c"
        var $579=CHECK_OVERFLOW((($578) + 1)&4294967295, 32); //@line 200 "index.c"
        HEAP[$pack_nb]=$579; //@line 200 "index.c"
        var $580=HEAP[$precno]; //@line 189 "index.c"
        var $581=CHECK_OVERFLOW((($580) + 1)&4294967295, 32); //@line 189 "index.c"
        HEAP[$precno]=$581; //@line 189 "index.c"
        __label__ = 69; break; //@line 189 "index.c"
      case 69: // $bb69
        var $582=HEAP[$precno]; //@line 189 "index.c"
        var $583=HEAP[$prec_max64]; //@line 189 "index.c"
        var $584=($582) < ($583); //@line 189 "index.c"
        if ($584) { __label__ = 72; break; } else { __label__ = 73; break; } //@line 189 "index.c"
      case 73: // $bb70
        var $585=HEAP[$compno]; //@line 184 "index.c"
        var $586=CHECK_OVERFLOW((($585) + 1)&4294967295, 32); //@line 184 "index.c"
        HEAP[$compno]=$586; //@line 184 "index.c"
        __label__ = 66; break; //@line 184 "index.c"
      case 66: // $bb71
        var $587=HEAP[$cstr_info_addr]; //@line 184 "index.c"
        var $588=CHECK_OVERFLOW(($587+52)&4294967295, 32); //@line 184 "index.c"
        var $589=HEAP[$588]; //@line 184 "index.c"
        var $590=HEAP[$compno]; //@line 184 "index.c"
        var $591=($589) > ($590); //@line 184 "index.c"
        if ($591) { __label__ = 74; break; } else { __label__ = 67; break; } //@line 184 "index.c"
      case 67: // $bb72
        var $592=HEAP[$layno]; //@line 183 "index.c"
        var $593=CHECK_OVERFLOW((($592) + 1)&4294967295, 32); //@line 183 "index.c"
        HEAP[$layno]=$593; //@line 183 "index.c"
        __label__ = 65; break; //@line 183 "index.c"
      case 65: // $bb73
        var $594=HEAP[$cstr_info_addr]; //@line 183 "index.c"
        var $595=CHECK_OVERFLOW(($594+56)&4294967295, 32); //@line 183 "index.c"
        var $596=HEAP[$595]; //@line 183 "index.c"
        var $597=HEAP[$layno]; //@line 183 "index.c"
        var $598=($596) > ($597); //@line 183 "index.c"
        if ($598) { __label__ = 75; break; } else { __label__ = 76; break; } //@line 183 "index.c"
      case 76: // $bb74
        var $599=HEAP[$resno]; //@line 182 "index.c"
        var $600=CHECK_OVERFLOW((($599) + 1)&4294967295, 32); //@line 182 "index.c"
        HEAP[$resno]=$600; //@line 182 "index.c"
        __label__ = 64; break; //@line 182 "index.c"
      case 64: // $bb75
        var $601=HEAP[$max_numdecompos]; //@line 182 "index.c"
        var $602=CHECK_OVERFLOW((($601) + 1)&4294967295, 32); //@line 182 "index.c"
        var $603=HEAP[$resno]; //@line 182 "index.c"
        var $604=($602) > ($603); //@line 182 "index.c"
        if ($604) { __label__ = 77; break; } else { __label__ = 78; break; } //@line 182 "index.c"
      case 78: // $bb76
        __label__ = 59; break; //@line 182 "index.c"
      case 61: // $bb77
        var $605=HEAP[$cstr_info_addr]; //@line 207 "index.c"
        var $606=CHECK_OVERFLOW(($605+24)&4294967295, 32); //@line 207 "index.c"
        var $607=HEAP[$606]; //@line 207 "index.c"
        var $608=($607)==2; //@line 207 "index.c"
        if ($608) { __label__ = 79; break; } else { __label__ = 80; break; } //@line 207 "index.c"
      case 79: // $bb78
        var $609=HEAP[$stream]; //@line 209 "index.c"
        var $610=$609; //@line 209 "index.c"
        var $611=_fwrite(CHECK_OVERFLOW((__str2248)&4294967295, 32), 1, 74, $610); //@line 209 "index.c"
        var $612=HEAP[$disto_on]; //@line 210 "index.c"
        var $613=($612)!=0; //@line 210 "index.c"
        if ($613) { __label__ = 81; break; } else { __label__ = 82; break; } //@line 210 "index.c"
      case 81: // $bb79
        var $614=HEAP[$stream]; //@line 211 "index.c"
        var $615=$614; //@line 211 "index.c"
        var $616=_fwrite(CHECK_OVERFLOW((__str1743)&4294967295, 32), 1, 6, $615); //@line 211 "index.c"
        __label__ = 82; break; //@line 211 "index.c"
      case 82: // $bb80
        var $617=HEAP[$stream]; //@line 212 "index.c"
        var $618=$617; //@line 212 "index.c"
        var $619=_fputc(10, $618); //@line 212 "index.c"
        HEAP[$resno]=0; //@line 214 "index.c"
        __label__ = 83; break; //@line 214 "index.c"
      case 104: // $bb81
        var $620=HEAP[$cstr_info_addr]; //@line 215 "index.c"
        var $621=CHECK_OVERFLOW(($620+88)&4294967295, 32); //@line 215 "index.c"
        var $622=HEAP[$621]; //@line 215 "index.c"
        var $623=HEAP[$tileno]; //@line 215 "index.c"
        var $624=CHECK_OVERFLOW(($622+572*$623)&4294967295, 32); //@line 215 "index.c"
        var $625=HEAP[$resno]; //@line 215 "index.c"
        var $626=CHECK_OVERFLOW(($624+20)&4294967295, 32); //@line 215 "index.c"
        var $627=CHECK_OVERFLOW(($626+$625*4)&4294967295, 32); //@line 215 "index.c"
        var $628=HEAP[$627]; //@line 215 "index.c"
        var $629=HEAP[$cstr_info_addr]; //@line 215 "index.c"
        var $630=CHECK_OVERFLOW(($629+88)&4294967295, 32); //@line 215 "index.c"
        var $631=HEAP[$630]; //@line 215 "index.c"
        var $632=HEAP[$tileno]; //@line 215 "index.c"
        var $633=CHECK_OVERFLOW(($631+572*$632)&4294967295, 32); //@line 215 "index.c"
        var $634=HEAP[$resno]; //@line 215 "index.c"
        var $635=CHECK_OVERFLOW(($633+152)&4294967295, 32); //@line 215 "index.c"
        var $636=CHECK_OVERFLOW(($635+$634*4)&4294967295, 32); //@line 215 "index.c"
        var $637=HEAP[$636]; //@line 215 "index.c"
        var $638=CHECK_OVERFLOW((($628) * ($637))&4294967295, 32); //@line 215 "index.c"
        HEAP[$numprec]=$638; //@line 215 "index.c"
        HEAP[$precno]=0; //@line 216 "index.c"
        __label__ = 84; break; //@line 216 "index.c"
      case 102: // $bb82
        var $639=HEAP[$cstr_info_addr]; //@line 218 "index.c"
        var $640=CHECK_OVERFLOW(($639+36)&4294967295, 32); //@line 218 "index.c"
        var $641=HEAP[$640]; //@line 218 "index.c"
        var $642=HEAP[$tileno]; //@line 218 "index.c"
        var $643=CHECK_OVERFLOW((($641) + ($642))&4294967295, 32); //@line 218 "index.c"
        var $644=HEAP[$tileno]; //@line 218 "index.c"
        var $645=($644); //@line 218 "index.c"
        var $646=HEAP[$cstr_info_addr]; //@line 218 "index.c"
        var $647=CHECK_OVERFLOW(($646+44)&4294967295, 32); //@line 218 "index.c"
        var $648=HEAP[$647]; //@line 218 "index.c"
        var $649=($648); //@line 218 "index.c"
        var $650=($645) / ($649); //@line 218 "index.c"
        var $651=($650); //@line 218 "index.c"
        var $652=_floor($651); //@line 218 "index.c"
        var $653=(($652)|0); //@line 218 "index.c"
        var $654=HEAP[$cstr_info_addr]; //@line 218 "index.c"
        var $655=CHECK_OVERFLOW(($654+44)&4294967295, 32); //@line 218 "index.c"
        var $656=HEAP[$655]; //@line 218 "index.c"
        var $657=CHECK_OVERFLOW((($653) * ($656))&4294967295, 32); //@line 218 "index.c"
        var $658=HEAP[$cstr_info_addr]; //@line 218 "index.c"
        var $659=CHECK_OVERFLOW(($658+28)&4294967295, 32); //@line 218 "index.c"
        var $660=HEAP[$659]; //@line 218 "index.c"
        var $661=CHECK_OVERFLOW((($657) * ($660))&4294967295, 32); //@line 218 "index.c"
        var $662=CHECK_OVERFLOW((($643) - ($661))&4294967295, 32); //@line 218 "index.c"
        HEAP[$x0]=$662; //@line 218 "index.c"
        var $663=HEAP[$cstr_info_addr]; //@line 219 "index.c"
        var $664=CHECK_OVERFLOW(($663+36)&4294967295, 32); //@line 219 "index.c"
        var $665=HEAP[$664]; //@line 219 "index.c"
        var $666=HEAP[$tileno]; //@line 219 "index.c"
        var $667=($666); //@line 219 "index.c"
        var $668=HEAP[$cstr_info_addr]; //@line 219 "index.c"
        var $669=CHECK_OVERFLOW(($668+44)&4294967295, 32); //@line 219 "index.c"
        var $670=HEAP[$669]; //@line 219 "index.c"
        var $671=($670); //@line 219 "index.c"
        var $672=($667) / ($671); //@line 219 "index.c"
        var $673=($672); //@line 219 "index.c"
        var $674=_floor($673); //@line 219 "index.c"
        var $675=(($674)|0); //@line 219 "index.c"
        var $676=HEAP[$cstr_info_addr]; //@line 219 "index.c"
        var $677=CHECK_OVERFLOW(($676+32)&4294967295, 32); //@line 219 "index.c"
        var $678=HEAP[$677]; //@line 219 "index.c"
        var $679=CHECK_OVERFLOW((($675) * ($678))&4294967295, 32); //@line 219 "index.c"
        var $680=CHECK_OVERFLOW((($665) + ($679))&4294967295, 32); //@line 219 "index.c"
        HEAP[$y0]=$680; //@line 219 "index.c"
        var $681=HEAP[$cstr_info_addr]; //@line 220 "index.c"
        var $682=CHECK_OVERFLOW(($681+28)&4294967295, 32); //@line 220 "index.c"
        var $683=HEAP[$682]; //@line 220 "index.c"
        var $684=HEAP[$x0]; //@line 220 "index.c"
        var $685=CHECK_OVERFLOW((($683) + ($684))&4294967295, 32); //@line 220 "index.c"
        HEAP[$x1]=$685; //@line 220 "index.c"
        var $686=HEAP[$cstr_info_addr]; //@line 221 "index.c"
        var $687=CHECK_OVERFLOW(($686+32)&4294967295, 32); //@line 221 "index.c"
        var $688=HEAP[$687]; //@line 221 "index.c"
        var $689=HEAP[$y0]; //@line 221 "index.c"
        var $690=CHECK_OVERFLOW((($688) + ($689))&4294967295, 32); //@line 221 "index.c"
        HEAP[$y1]=$690; //@line 221 "index.c"
        HEAP[$compno]=0; //@line 222 "index.c"
        __label__ = 85; break; //@line 222 "index.c"
      case 101: // $bb83
        var $691=HEAP[$cstr_info_addr]; //@line 223 "index.c"
        var $692=CHECK_OVERFLOW(($691+88)&4294967295, 32); //@line 223 "index.c"
        var $693=HEAP[$692]; //@line 223 "index.c"
        var $694=HEAP[$tileno]; //@line 223 "index.c"
        var $695=CHECK_OVERFLOW(($693+572*$694)&4294967295, 32); //@line 223 "index.c"
        var $696=HEAP[$resno]; //@line 223 "index.c"
        var $697=CHECK_OVERFLOW(($695+20)&4294967295, 32); //@line 223 "index.c"
        var $698=CHECK_OVERFLOW(($697+$696*4)&4294967295, 32); //@line 223 "index.c"
        var $699=HEAP[$698]; //@line 223 "index.c"
        HEAP[$pcnx]=$699; //@line 223 "index.c"
        var $700=HEAP[$cstr_info_addr]; //@line 224 "index.c"
        var $701=CHECK_OVERFLOW(($700+88)&4294967295, 32); //@line 224 "index.c"
        var $702=HEAP[$701]; //@line 224 "index.c"
        var $703=HEAP[$tileno]; //@line 224 "index.c"
        var $704=CHECK_OVERFLOW(($702+572*$703)&4294967295, 32); //@line 224 "index.c"
        var $705=HEAP[$resno]; //@line 224 "index.c"
        var $706=CHECK_OVERFLOW(($704+284)&4294967295, 32); //@line 224 "index.c"
        var $707=CHECK_OVERFLOW(($706+$705*4)&4294967295, 32); //@line 224 "index.c"
        var $708=HEAP[$707]; //@line 224 "index.c"
        var $709=HEAP[$cstr_info_addr]; //@line 224 "index.c"
        var $710=CHECK_OVERFLOW(($709+60)&4294967295, 32); //@line 224 "index.c"
        var $711=HEAP[$710]; //@line 224 "index.c"
        var $712=HEAP[$compno]; //@line 224 "index.c"
        var $713=CHECK_OVERFLOW(($711+4*$712)&4294967295, 32); //@line 224 "index.c"
        var $714=HEAP[$713]; //@line 224 "index.c"
        var $715=CHECK_OVERFLOW((($708) + ($714))&4294967295, 32); //@line 224 "index.c"
        var $716=HEAP[$resno]; //@line 224 "index.c"
        var $717=CHECK_OVERFLOW((($715) - ($716))&4294967295, 32); //@line 224 "index.c"
        var $718=($717); //@line 224 "index.c"
        var $719=_llvm_pow_f64(2, $718); //@line 224 "index.c"
        var $720=(($719)|0); //@line 224 "index.c"
        HEAP[$pcx]=$720; //@line 224 "index.c"
        var $721=HEAP[$cstr_info_addr]; //@line 225 "index.c"
        var $722=CHECK_OVERFLOW(($721+88)&4294967295, 32); //@line 225 "index.c"
        var $723=HEAP[$722]; //@line 225 "index.c"
        var $724=HEAP[$tileno]; //@line 225 "index.c"
        var $725=CHECK_OVERFLOW(($723+572*$724)&4294967295, 32); //@line 225 "index.c"
        var $726=HEAP[$resno]; //@line 225 "index.c"
        var $727=CHECK_OVERFLOW(($725+416)&4294967295, 32); //@line 225 "index.c"
        var $728=CHECK_OVERFLOW(($727+$726*4)&4294967295, 32); //@line 225 "index.c"
        var $729=HEAP[$728]; //@line 225 "index.c"
        var $730=HEAP[$cstr_info_addr]; //@line 225 "index.c"
        var $731=CHECK_OVERFLOW(($730+60)&4294967295, 32); //@line 225 "index.c"
        var $732=HEAP[$731]; //@line 225 "index.c"
        var $733=HEAP[$compno]; //@line 225 "index.c"
        var $734=CHECK_OVERFLOW(($732+4*$733)&4294967295, 32); //@line 225 "index.c"
        var $735=HEAP[$734]; //@line 225 "index.c"
        var $736=CHECK_OVERFLOW((($729) + ($735))&4294967295, 32); //@line 225 "index.c"
        var $737=HEAP[$resno]; //@line 225 "index.c"
        var $738=CHECK_OVERFLOW((($736) - ($737))&4294967295, 32); //@line 225 "index.c"
        var $739=($738); //@line 225 "index.c"
        var $740=_llvm_pow_f64(2, $739); //@line 225 "index.c"
        var $741=(($740)|0); //@line 225 "index.c"
        HEAP[$pcy]=$741; //@line 225 "index.c"
        var $742=HEAP[$precno]; //@line 226 "index.c"
        var $743=($742); //@line 226 "index.c"
        var $744=HEAP[$pcnx]; //@line 226 "index.c"
        var $745=($744); //@line 226 "index.c"
        var $746=($743) / ($745); //@line 226 "index.c"
        var $747=($746); //@line 226 "index.c"
        var $748=_floor($747); //@line 226 "index.c"
        var $749=(($748)|0); //@line 226 "index.c"
        var $750=HEAP[$pcnx]; //@line 226 "index.c"
        var $751=CHECK_OVERFLOW((($749) * ($750))&4294967295, 32); //@line 226 "index.c"
        var $752=HEAP[$precno]; //@line 226 "index.c"
        var $753=CHECK_OVERFLOW((($752) - ($751))&4294967295, 32); //@line 226 "index.c"
        HEAP[$precno_x]=$753; //@line 226 "index.c"
        var $754=HEAP[$precno]; //@line 227 "index.c"
        var $755=($754); //@line 227 "index.c"
        var $756=HEAP[$pcnx]; //@line 227 "index.c"
        var $757=($756); //@line 227 "index.c"
        var $758=($755) / ($757); //@line 227 "index.c"
        var $759=($758); //@line 227 "index.c"
        var $760=_floor($759); //@line 227 "index.c"
        var $761=(($760)|0); //@line 227 "index.c"
        HEAP[$precno_y]=$761; //@line 227 "index.c"
        var $762=HEAP[$cstr_info_addr]; //@line 228 "index.c"
        var $763=CHECK_OVERFLOW(($762+60)&4294967295, 32); //@line 228 "index.c"
        var $764=HEAP[$763]; //@line 228 "index.c"
        var $765=HEAP[$compno]; //@line 228 "index.c"
        var $766=CHECK_OVERFLOW(($764+4*$765)&4294967295, 32); //@line 228 "index.c"
        var $767=HEAP[$766]; //@line 228 "index.c"
        var $768=HEAP[$resno]; //@line 228 "index.c"
        var $769=($767) < ($768); //@line 228 "index.c"
        if ($769) { __label__ = 86; break; } else { __label__ = 87; break; } //@line 228 "index.c"
      case 87: // $bb84
        var $770=HEAP[$y0]; //@line 230 "index.c"
        HEAP[$y]=$770; //@line 230 "index.c"
        __label__ = 88; break; //@line 230 "index.c"
      case 99: // $bb85
        var $771=HEAP[$precno_y]; //@line 231 "index.c"
        var $772=HEAP[$pcy]; //@line 231 "index.c"
        var $773=CHECK_OVERFLOW((($771) * ($772))&4294967295, 32); //@line 231 "index.c"
        var $774=HEAP[$y]; //@line 231 "index.c"
        var $775=($773)==($774); //@line 231 "index.c"
        if ($775) { __label__ = 89; break; } else { __label__ = 90; break; } //@line 231 "index.c"
      case 89: // $bb86
        var $776=HEAP[$x0]; //@line 232 "index.c"
        HEAP[$x]=$776; //@line 232 "index.c"
        __label__ = 91; break; //@line 232 "index.c"
      case 98: // $bb87
        var $777=HEAP[$precno_x]; //@line 233 "index.c"
        var $778=HEAP[$pcx]; //@line 233 "index.c"
        var $779=CHECK_OVERFLOW((($777) * ($778))&4294967295, 32); //@line 233 "index.c"
        var $780=HEAP[$x]; //@line 233 "index.c"
        var $781=($779)==($780); //@line 233 "index.c"
        if ($781) { __label__ = 92; break; } else { __label__ = 93; break; } //@line 233 "index.c"
      case 92: // $bb88
        HEAP[$layno]=0; //@line 234 "index.c"
        __label__ = 94; break; //@line 234 "index.c"
      case 97: // $bb89
        var $782=HEAP[$cstr_info_addr]; //@line 235 "index.c"
        var $783=CHECK_OVERFLOW(($782+88)&4294967295, 32); //@line 235 "index.c"
        var $784=HEAP[$783]; //@line 235 "index.c"
        var $785=HEAP[$tileno]; //@line 235 "index.c"
        var $786=CHECK_OVERFLOW(($784+572*$785)&4294967295, 32); //@line 235 "index.c"
        var $787=CHECK_OVERFLOW(($786+548)&4294967295, 32); //@line 235 "index.c"
        var $788=HEAP[$787]; //@line 235 "index.c"
        var $789=HEAP[$pack_nb]; //@line 235 "index.c"
        var $790=CHECK_OVERFLOW(($788+20*$789)&4294967295, 32); //@line 235 "index.c"
        var $791=CHECK_OVERFLOW(($790)&4294967295, 32); //@line 235 "index.c"
        var $792=HEAP[$791]; //@line 235 "index.c"
        HEAP[$start_pos]=$792; //@line 235 "index.c"
        var $793=HEAP[$cstr_info_addr]; //@line 236 "index.c"
        var $794=CHECK_OVERFLOW(($793+88)&4294967295, 32); //@line 236 "index.c"
        var $795=HEAP[$794]; //@line 236 "index.c"
        var $796=HEAP[$tileno]; //@line 236 "index.c"
        var $797=CHECK_OVERFLOW(($795+572*$796)&4294967295, 32); //@line 236 "index.c"
        var $798=CHECK_OVERFLOW(($797+548)&4294967295, 32); //@line 236 "index.c"
        var $799=HEAP[$798]; //@line 236 "index.c"
        var $800=HEAP[$pack_nb]; //@line 236 "index.c"
        var $801=CHECK_OVERFLOW(($799+20*$800)&4294967295, 32); //@line 236 "index.c"
        var $802=CHECK_OVERFLOW(($801+4)&4294967295, 32); //@line 236 "index.c"
        var $803=HEAP[$802]; //@line 236 "index.c"
        HEAP[$end_ph_pos]=$803; //@line 236 "index.c"
        var $804=HEAP[$cstr_info_addr]; //@line 237 "index.c"
        var $805=CHECK_OVERFLOW(($804+88)&4294967295, 32); //@line 237 "index.c"
        var $806=HEAP[$805]; //@line 237 "index.c"
        var $807=HEAP[$tileno]; //@line 237 "index.c"
        var $808=CHECK_OVERFLOW(($806+572*$807)&4294967295, 32); //@line 237 "index.c"
        var $809=CHECK_OVERFLOW(($808+548)&4294967295, 32); //@line 237 "index.c"
        var $810=HEAP[$809]; //@line 237 "index.c"
        var $811=HEAP[$pack_nb]; //@line 237 "index.c"
        var $812=CHECK_OVERFLOW(($810+20*$811)&4294967295, 32); //@line 237 "index.c"
        var $813=CHECK_OVERFLOW(($812+8)&4294967295, 32); //@line 237 "index.c"
        var $814=HEAP[$813]; //@line 237 "index.c"
        HEAP[$end_pos]=$814; //@line 237 "index.c"
        var $815=HEAP[$cstr_info_addr]; //@line 238 "index.c"
        var $816=CHECK_OVERFLOW(($815+88)&4294967295, 32); //@line 238 "index.c"
        var $817=HEAP[$816]; //@line 238 "index.c"
        var $818=HEAP[$tileno]; //@line 238 "index.c"
        var $819=CHECK_OVERFLOW(($817+572*$818)&4294967295, 32); //@line 238 "index.c"
        var $820=CHECK_OVERFLOW(($819+548)&4294967295, 32); //@line 238 "index.c"
        var $821=HEAP[$820]; //@line 238 "index.c"
        var $822=HEAP[$pack_nb]; //@line 238 "index.c"
        var $823=CHECK_OVERFLOW(($821+20*$822)&4294967295, 32); //@line 238 "index.c"
        var $824=CHECK_OVERFLOW(($823+12)&4294967295, 32); //@line 238 "index.c"
        var $825=HEAP[$824]; //@line 238 "index.c"
        HEAP[$disto]=$825; //@line 238 "index.c"
        var $826=HEAP[$stream]; //@line 239 "index.c"
        var $827=HEAP[$pack_nb]; //@line 239 "index.c"
        var $828=HEAP[$tileno]; //@line 239 "index.c"
        var $829=HEAP[$resno]; //@line 239 "index.c"
        var $830=HEAP[$precno]; //@line 239 "index.c"
        var $831=HEAP[$compno]; //@line 239 "index.c"
        var $832=HEAP[$layno]; //@line 239 "index.c"
        var $833=HEAP[$start_pos]; //@line 239 "index.c"
        var $834=HEAP[$end_ph_pos]; //@line 239 "index.c"
        var $835=HEAP[$end_pos]; //@line 239 "index.c"
        var $836=_fprintf($826, CHECK_OVERFLOW((__str2349)&4294967295, 32), $827, $828, $829, $830, $831, $832, $833, $834, $835); //@line 239 "index.c"
        var $837=HEAP[$disto_on]; //@line 241 "index.c"
        var $838=($837)!=0; //@line 241 "index.c"
        if ($838) { __label__ = 95; break; } else { __label__ = 96; break; } //@line 241 "index.c"
      case 95: // $bb90
        var $839=HEAP[$stream]; //@line 242 "index.c"
        var $840=HEAP[$disto]; //@line 242 "index.c"
        var $841=_fprintf($839, CHECK_OVERFLOW((__str1945)&4294967295, 32), $840); //@line 242 "index.c"
        __label__ = 96; break; //@line 242 "index.c"
      case 96: // $bb91
        var $842=HEAP[$stream]; //@line 243 "index.c"
        var $843=$842; //@line 243 "index.c"
        var $844=_fputc(10, $843); //@line 243 "index.c"
        var $845=HEAP[$total_disto]; //@line 244 "index.c"
        var $846=HEAP[$disto]; //@line 244 "index.c"
        var $847=($845) + ($846); //@line 244 "index.c"
        HEAP[$total_disto]=$847; //@line 244 "index.c"
        var $848=HEAP[$pack_nb]; //@line 245 "index.c"
        var $849=CHECK_OVERFLOW((($848) + 1)&4294967295, 32); //@line 245 "index.c"
        HEAP[$pack_nb]=$849; //@line 245 "index.c"
        var $850=HEAP[$layno]; //@line 234 "index.c"
        var $851=CHECK_OVERFLOW((($850) + 1)&4294967295, 32); //@line 234 "index.c"
        HEAP[$layno]=$851; //@line 234 "index.c"
        __label__ = 94; break; //@line 234 "index.c"
      case 94: // $bb92
        var $852=HEAP[$cstr_info_addr]; //@line 234 "index.c"
        var $853=CHECK_OVERFLOW(($852+56)&4294967295, 32); //@line 234 "index.c"
        var $854=HEAP[$853]; //@line 234 "index.c"
        var $855=HEAP[$layno]; //@line 234 "index.c"
        var $856=($854) > ($855); //@line 234 "index.c"
        if ($856) { __label__ = 97; break; } else { __label__ = 93; break; } //@line 234 "index.c"
      case 93: // $bb93
        var $857=HEAP[$x]; //@line 232 "index.c"
        var $858=CHECK_OVERFLOW((($857) + 1)&4294967295, 32); //@line 232 "index.c"
        HEAP[$x]=$858; //@line 232 "index.c"
        __label__ = 91; break; //@line 232 "index.c"
      case 91: // $bb94
        var $859=HEAP[$x]; //@line 232 "index.c"
        var $860=HEAP[$x1]; //@line 232 "index.c"
        var $861=($859) < ($860); //@line 232 "index.c"
        if ($861) { __label__ = 98; break; } else { __label__ = 90; break; } //@line 232 "index.c"
      case 90: // $bb95
        var $862=HEAP[$y]; //@line 230 "index.c"
        var $863=CHECK_OVERFLOW((($862) + 1)&4294967295, 32); //@line 230 "index.c"
        HEAP[$y]=$863; //@line 230 "index.c"
        __label__ = 88; break; //@line 230 "index.c"
      case 88: // $bb96
        var $864=HEAP[$y]; //@line 230 "index.c"
        var $865=HEAP[$y1]; //@line 230 "index.c"
        var $866=($864) < ($865); //@line 230 "index.c"
        if ($866) { __label__ = 99; break; } else { __label__ = 100; break; } //@line 230 "index.c"
      case 100: // $bb97
        var $867=HEAP[$compno]; //@line 222 "index.c"
        var $868=CHECK_OVERFLOW((($867) + 1)&4294967295, 32); //@line 222 "index.c"
        HEAP[$compno]=$868; //@line 222 "index.c"
        __label__ = 85; break; //@line 222 "index.c"
      case 85: // $bb98
        var $869=HEAP[$cstr_info_addr]; //@line 222 "index.c"
        var $870=CHECK_OVERFLOW(($869+52)&4294967295, 32); //@line 222 "index.c"
        var $871=HEAP[$870]; //@line 222 "index.c"
        var $872=HEAP[$compno]; //@line 222 "index.c"
        var $873=($871) > ($872); //@line 222 "index.c"
        if ($873) { __label__ = 101; break; } else { __label__ = 86; break; } //@line 222 "index.c"
      case 86: // $bb99
        var $874=HEAP[$precno]; //@line 216 "index.c"
        var $875=CHECK_OVERFLOW((($874) + 1)&4294967295, 32); //@line 216 "index.c"
        HEAP[$precno]=$875; //@line 216 "index.c"
        __label__ = 84; break; //@line 216 "index.c"
      case 84: // $bb100
        var $876=HEAP[$precno]; //@line 216 "index.c"
        var $877=HEAP[$numprec]; //@line 216 "index.c"
        var $878=($876) < ($877); //@line 216 "index.c"
        if ($878) { __label__ = 102; break; } else { __label__ = 103; break; } //@line 216 "index.c"
      case 103: // $bb101
        var $879=HEAP[$resno]; //@line 214 "index.c"
        var $880=CHECK_OVERFLOW((($879) + 1)&4294967295, 32); //@line 214 "index.c"
        HEAP[$resno]=$880; //@line 214 "index.c"
        __label__ = 83; break; //@line 214 "index.c"
      case 83: // $bb102
        var $881=HEAP[$max_numdecompos]; //@line 214 "index.c"
        var $882=CHECK_OVERFLOW((($881) + 1)&4294967295, 32); //@line 214 "index.c"
        var $883=HEAP[$resno]; //@line 214 "index.c"
        var $884=($882) > ($883); //@line 214 "index.c"
        if ($884) { __label__ = 104; break; } else { __label__ = 105; break; } //@line 214 "index.c"
      case 105: // $bb103
        __label__ = 59; break; //@line 214 "index.c"
      case 80: // $bb104
        var $885=HEAP[$cstr_info_addr]; //@line 256 "index.c"
        var $886=CHECK_OVERFLOW(($885+24)&4294967295, 32); //@line 256 "index.c"
        var $887=HEAP[$886]; //@line 256 "index.c"
        var $888=($887)==3; //@line 256 "index.c"
        if ($888) { __label__ = 106; break; } else { __label__ = 107; break; } //@line 256 "index.c"
      case 106: // $bb105
        var $889=HEAP[$cstr_info_addr]; //@line 258 "index.c"
        var $890=CHECK_OVERFLOW(($889+36)&4294967295, 32); //@line 258 "index.c"
        var $891=HEAP[$890]; //@line 258 "index.c"
        var $892=HEAP[$tileno]; //@line 258 "index.c"
        var $893=CHECK_OVERFLOW((($891) + ($892))&4294967295, 32); //@line 258 "index.c"
        var $894=HEAP[$tileno]; //@line 258 "index.c"
        var $895=($894); //@line 258 "index.c"
        var $896=HEAP[$cstr_info_addr]; //@line 258 "index.c"
        var $897=CHECK_OVERFLOW(($896+44)&4294967295, 32); //@line 258 "index.c"
        var $898=HEAP[$897]; //@line 258 "index.c"
        var $899=($898); //@line 258 "index.c"
        var $900=($895) / ($899); //@line 258 "index.c"
        var $901=($900); //@line 258 "index.c"
        var $902=_floor($901); //@line 258 "index.c"
        var $903=(($902)|0); //@line 258 "index.c"
        var $904=HEAP[$cstr_info_addr]; //@line 258 "index.c"
        var $905=CHECK_OVERFLOW(($904+44)&4294967295, 32); //@line 258 "index.c"
        var $906=HEAP[$905]; //@line 258 "index.c"
        var $907=CHECK_OVERFLOW((($903) * ($906))&4294967295, 32); //@line 258 "index.c"
        var $908=HEAP[$cstr_info_addr]; //@line 258 "index.c"
        var $909=CHECK_OVERFLOW(($908+28)&4294967295, 32); //@line 258 "index.c"
        var $910=HEAP[$909]; //@line 258 "index.c"
        var $911=CHECK_OVERFLOW((($907) * ($910))&4294967295, 32); //@line 258 "index.c"
        var $912=CHECK_OVERFLOW((($893) - ($911))&4294967295, 32); //@line 258 "index.c"
        HEAP[$x0106]=$912; //@line 258 "index.c"
        var $913=HEAP[$cstr_info_addr]; //@line 259 "index.c"
        var $914=CHECK_OVERFLOW(($913+36)&4294967295, 32); //@line 259 "index.c"
        var $915=HEAP[$914]; //@line 259 "index.c"
        var $916=HEAP[$tileno]; //@line 259 "index.c"
        var $917=($916); //@line 259 "index.c"
        var $918=HEAP[$cstr_info_addr]; //@line 259 "index.c"
        var $919=CHECK_OVERFLOW(($918+44)&4294967295, 32); //@line 259 "index.c"
        var $920=HEAP[$919]; //@line 259 "index.c"
        var $921=($920); //@line 259 "index.c"
        var $922=($917) / ($921); //@line 259 "index.c"
        var $923=($922); //@line 259 "index.c"
        var $924=_floor($923); //@line 259 "index.c"
        var $925=(($924)|0); //@line 259 "index.c"
        var $926=HEAP[$cstr_info_addr]; //@line 259 "index.c"
        var $927=CHECK_OVERFLOW(($926+32)&4294967295, 32); //@line 259 "index.c"
        var $928=HEAP[$927]; //@line 259 "index.c"
        var $929=CHECK_OVERFLOW((($925) * ($928))&4294967295, 32); //@line 259 "index.c"
        var $930=CHECK_OVERFLOW((($915) + ($929))&4294967295, 32); //@line 259 "index.c"
        HEAP[$y0107]=$930; //@line 259 "index.c"
        var $931=HEAP[$cstr_info_addr]; //@line 260 "index.c"
        var $932=CHECK_OVERFLOW(($931+28)&4294967295, 32); //@line 260 "index.c"
        var $933=HEAP[$932]; //@line 260 "index.c"
        var $934=HEAP[$x0106]; //@line 260 "index.c"
        var $935=CHECK_OVERFLOW((($933) + ($934))&4294967295, 32); //@line 260 "index.c"
        HEAP[$x1108]=$935; //@line 260 "index.c"
        var $936=HEAP[$cstr_info_addr]; //@line 261 "index.c"
        var $937=CHECK_OVERFLOW(($936+32)&4294967295, 32); //@line 261 "index.c"
        var $938=HEAP[$937]; //@line 261 "index.c"
        var $939=HEAP[$y0107]; //@line 261 "index.c"
        var $940=CHECK_OVERFLOW((($938) + ($939))&4294967295, 32); //@line 261 "index.c"
        HEAP[$y1109]=$940; //@line 261 "index.c"
        HEAP[$max_numprec]=0; //@line 264 "index.c"
        HEAP[$resno]=0; //@line 265 "index.c"
        __label__ = 108; break; //@line 265 "index.c"
      case 111: // $bb110
        var $941=HEAP[$cstr_info_addr]; //@line 266 "index.c"
        var $942=CHECK_OVERFLOW(($941+88)&4294967295, 32); //@line 266 "index.c"
        var $943=HEAP[$942]; //@line 266 "index.c"
        var $944=HEAP[$tileno]; //@line 266 "index.c"
        var $945=CHECK_OVERFLOW(($943+572*$944)&4294967295, 32); //@line 266 "index.c"
        var $946=HEAP[$resno]; //@line 266 "index.c"
        var $947=CHECK_OVERFLOW(($945+20)&4294967295, 32); //@line 266 "index.c"
        var $948=CHECK_OVERFLOW(($947+$946*4)&4294967295, 32); //@line 266 "index.c"
        var $949=HEAP[$948]; //@line 266 "index.c"
        var $950=HEAP[$cstr_info_addr]; //@line 266 "index.c"
        var $951=CHECK_OVERFLOW(($950+88)&4294967295, 32); //@line 266 "index.c"
        var $952=HEAP[$951]; //@line 266 "index.c"
        var $953=HEAP[$tileno]; //@line 266 "index.c"
        var $954=CHECK_OVERFLOW(($952+572*$953)&4294967295, 32); //@line 266 "index.c"
        var $955=HEAP[$resno]; //@line 266 "index.c"
        var $956=CHECK_OVERFLOW(($954+152)&4294967295, 32); //@line 266 "index.c"
        var $957=CHECK_OVERFLOW(($956+$955*4)&4294967295, 32); //@line 266 "index.c"
        var $958=HEAP[$957]; //@line 266 "index.c"
        var $959=CHECK_OVERFLOW((($949) * ($958))&4294967295, 32); //@line 266 "index.c"
        HEAP[$numprec111]=$959; //@line 266 "index.c"
        var $960=HEAP[$numprec111]; //@line 267 "index.c"
        var $961=HEAP[$max_numprec]; //@line 267 "index.c"
        var $962=($960) > ($961); //@line 267 "index.c"
        if ($962) { __label__ = 109; break; } else { __label__ = 110; break; } //@line 267 "index.c"
      case 109: // $bb112
        var $963=HEAP[$numprec111]; //@line 268 "index.c"
        HEAP[$max_numprec]=$963; //@line 268 "index.c"
        __label__ = 110; break; //@line 268 "index.c"
      case 110: // $bb113
        var $964=HEAP[$resno]; //@line 265 "index.c"
        var $965=CHECK_OVERFLOW((($964) + 1)&4294967295, 32); //@line 265 "index.c"
        HEAP[$resno]=$965; //@line 265 "index.c"
        __label__ = 108; break; //@line 265 "index.c"
      case 108: // $bb114
        var $966=HEAP[$max_numdecompos]; //@line 265 "index.c"
        var $967=CHECK_OVERFLOW((($966) + 1)&4294967295, 32); //@line 265 "index.c"
        var $968=HEAP[$resno]; //@line 265 "index.c"
        var $969=($967) > ($968); //@line 265 "index.c"
        if ($969) { __label__ = 111; break; } else { __label__ = 112; break; } //@line 265 "index.c"
      case 112: // $bb115
        var $970=HEAP[$stream]; //@line 271 "index.c"
        var $971=$970; //@line 271 "index.c"
        var $972=_fwrite(CHECK_OVERFLOW((__str2450)&4294967295, 32), 1, 74, $971); //@line 271 "index.c"
        var $973=HEAP[$disto_on]; //@line 272 "index.c"
        var $974=($973)!=0; //@line 272 "index.c"
        if ($974) { __label__ = 113; break; } else { __label__ = 114; break; } //@line 272 "index.c"
      case 113: // $bb116
        var $975=HEAP[$stream]; //@line 273 "index.c"
        var $976=$975; //@line 273 "index.c"
        var $977=_fwrite(CHECK_OVERFLOW((__str1743)&4294967295, 32), 1, 6, $976); //@line 273 "index.c"
        __label__ = 114; break; //@line 273 "index.c"
      case 114: // $bb117
        var $978=HEAP[$stream]; //@line 274 "index.c"
        var $979=$978; //@line 274 "index.c"
        var $980=_fputc(10, $979); //@line 274 "index.c"
        HEAP[$precno]=0; //@line 276 "index.c"
        __label__ = 115; break; //@line 276 "index.c"
      case 136: // $bb118
        HEAP[$compno]=0; //@line 277 "index.c"
        __label__ = 116; break; //@line 277 "index.c"
      case 134: // $bb119
        HEAP[$resno]=0; //@line 278 "index.c"
        __label__ = 117; break; //@line 278 "index.c"
      case 132: // $bb120
        var $981=HEAP[$cstr_info_addr]; //@line 279 "index.c"
        var $982=CHECK_OVERFLOW(($981+88)&4294967295, 32); //@line 279 "index.c"
        var $983=HEAP[$982]; //@line 279 "index.c"
        var $984=HEAP[$tileno]; //@line 279 "index.c"
        var $985=CHECK_OVERFLOW(($983+572*$984)&4294967295, 32); //@line 279 "index.c"
        var $986=HEAP[$resno]; //@line 279 "index.c"
        var $987=CHECK_OVERFLOW(($985+20)&4294967295, 32); //@line 279 "index.c"
        var $988=CHECK_OVERFLOW(($987+$986*4)&4294967295, 32); //@line 279 "index.c"
        var $989=HEAP[$988]; //@line 279 "index.c"
        var $990=HEAP[$cstr_info_addr]; //@line 279 "index.c"
        var $991=CHECK_OVERFLOW(($990+88)&4294967295, 32); //@line 279 "index.c"
        var $992=HEAP[$991]; //@line 279 "index.c"
        var $993=HEAP[$tileno]; //@line 279 "index.c"
        var $994=CHECK_OVERFLOW(($992+572*$993)&4294967295, 32); //@line 279 "index.c"
        var $995=HEAP[$resno]; //@line 279 "index.c"
        var $996=CHECK_OVERFLOW(($994+152)&4294967295, 32); //@line 279 "index.c"
        var $997=CHECK_OVERFLOW(($996+$995*4)&4294967295, 32); //@line 279 "index.c"
        var $998=HEAP[$997]; //@line 279 "index.c"
        var $999=CHECK_OVERFLOW((($989) * ($998))&4294967295, 32); //@line 279 "index.c"
        HEAP[$numprec121]=$999; //@line 279 "index.c"
        var $1000=HEAP[$cstr_info_addr]; //@line 280 "index.c"
        var $1001=CHECK_OVERFLOW(($1000+88)&4294967295, 32); //@line 280 "index.c"
        var $1002=HEAP[$1001]; //@line 280 "index.c"
        var $1003=HEAP[$tileno]; //@line 280 "index.c"
        var $1004=CHECK_OVERFLOW(($1002+572*$1003)&4294967295, 32); //@line 280 "index.c"
        var $1005=HEAP[$resno]; //@line 280 "index.c"
        var $1006=CHECK_OVERFLOW(($1004+20)&4294967295, 32); //@line 280 "index.c"
        var $1007=CHECK_OVERFLOW(($1006+$1005*4)&4294967295, 32); //@line 280 "index.c"
        var $1008=HEAP[$1007]; //@line 280 "index.c"
        HEAP[$pcnx122]=$1008; //@line 280 "index.c"
        var $1009=HEAP[$cstr_info_addr]; //@line 281 "index.c"
        var $1010=CHECK_OVERFLOW(($1009+88)&4294967295, 32); //@line 281 "index.c"
        var $1011=HEAP[$1010]; //@line 281 "index.c"
        var $1012=HEAP[$tileno]; //@line 281 "index.c"
        var $1013=CHECK_OVERFLOW(($1011+572*$1012)&4294967295, 32); //@line 281 "index.c"
        var $1014=HEAP[$resno]; //@line 281 "index.c"
        var $1015=CHECK_OVERFLOW(($1013+284)&4294967295, 32); //@line 281 "index.c"
        var $1016=CHECK_OVERFLOW(($1015+$1014*4)&4294967295, 32); //@line 281 "index.c"
        var $1017=HEAP[$1016]; //@line 281 "index.c"
        var $1018=HEAP[$cstr_info_addr]; //@line 281 "index.c"
        var $1019=CHECK_OVERFLOW(($1018+60)&4294967295, 32); //@line 281 "index.c"
        var $1020=HEAP[$1019]; //@line 281 "index.c"
        var $1021=HEAP[$compno]; //@line 281 "index.c"
        var $1022=CHECK_OVERFLOW(($1020+4*$1021)&4294967295, 32); //@line 281 "index.c"
        var $1023=HEAP[$1022]; //@line 281 "index.c"
        var $1024=CHECK_OVERFLOW((($1017) + ($1023))&4294967295, 32); //@line 281 "index.c"
        var $1025=HEAP[$resno]; //@line 281 "index.c"
        var $1026=CHECK_OVERFLOW((($1024) - ($1025))&4294967295, 32); //@line 281 "index.c"
        var $1027=($1026); //@line 281 "index.c"
        var $1028=_llvm_pow_f64(2, $1027); //@line 281 "index.c"
        var $1029=(($1028)|0); //@line 281 "index.c"
        HEAP[$pcx123]=$1029; //@line 281 "index.c"
        var $1030=HEAP[$cstr_info_addr]; //@line 282 "index.c"
        var $1031=CHECK_OVERFLOW(($1030+88)&4294967295, 32); //@line 282 "index.c"
        var $1032=HEAP[$1031]; //@line 282 "index.c"
        var $1033=HEAP[$tileno]; //@line 282 "index.c"
        var $1034=CHECK_OVERFLOW(($1032+572*$1033)&4294967295, 32); //@line 282 "index.c"
        var $1035=HEAP[$resno]; //@line 282 "index.c"
        var $1036=CHECK_OVERFLOW(($1034+416)&4294967295, 32); //@line 282 "index.c"
        var $1037=CHECK_OVERFLOW(($1036+$1035*4)&4294967295, 32); //@line 282 "index.c"
        var $1038=HEAP[$1037]; //@line 282 "index.c"
        var $1039=HEAP[$cstr_info_addr]; //@line 282 "index.c"
        var $1040=CHECK_OVERFLOW(($1039+60)&4294967295, 32); //@line 282 "index.c"
        var $1041=HEAP[$1040]; //@line 282 "index.c"
        var $1042=HEAP[$compno]; //@line 282 "index.c"
        var $1043=CHECK_OVERFLOW(($1041+4*$1042)&4294967295, 32); //@line 282 "index.c"
        var $1044=HEAP[$1043]; //@line 282 "index.c"
        var $1045=CHECK_OVERFLOW((($1038) + ($1044))&4294967295, 32); //@line 282 "index.c"
        var $1046=HEAP[$resno]; //@line 282 "index.c"
        var $1047=CHECK_OVERFLOW((($1045) - ($1046))&4294967295, 32); //@line 282 "index.c"
        var $1048=($1047); //@line 282 "index.c"
        var $1049=_llvm_pow_f64(2, $1048); //@line 282 "index.c"
        var $1050=(($1049)|0); //@line 282 "index.c"
        HEAP[$pcy124]=$1050; //@line 282 "index.c"
        var $1051=HEAP[$precno]; //@line 283 "index.c"
        var $1052=($1051); //@line 283 "index.c"
        var $1053=HEAP[$pcnx122]; //@line 283 "index.c"
        var $1054=($1053); //@line 283 "index.c"
        var $1055=($1052) / ($1054); //@line 283 "index.c"
        var $1056=($1055); //@line 283 "index.c"
        var $1057=_floor($1056); //@line 283 "index.c"
        var $1058=(($1057)|0); //@line 283 "index.c"
        var $1059=HEAP[$pcnx122]; //@line 283 "index.c"
        var $1060=CHECK_OVERFLOW((($1058) * ($1059))&4294967295, 32); //@line 283 "index.c"
        var $1061=HEAP[$precno]; //@line 283 "index.c"
        var $1062=CHECK_OVERFLOW((($1061) - ($1060))&4294967295, 32); //@line 283 "index.c"
        HEAP[$precno_x125]=$1062; //@line 283 "index.c"
        var $1063=HEAP[$precno]; //@line 284 "index.c"
        var $1064=($1063); //@line 284 "index.c"
        var $1065=HEAP[$pcnx122]; //@line 284 "index.c"
        var $1066=($1065); //@line 284 "index.c"
        var $1067=($1064) / ($1066); //@line 284 "index.c"
        var $1068=($1067); //@line 284 "index.c"
        var $1069=_floor($1068); //@line 284 "index.c"
        var $1070=(($1069)|0); //@line 284 "index.c"
        HEAP[$precno_y126]=$1070; //@line 284 "index.c"
        var $1071=HEAP[$precno]; //@line 285 "index.c"
        var $1072=HEAP[$numprec121]; //@line 285 "index.c"
        var $1073=($1071) >= ($1072); //@line 285 "index.c"
        if ($1073) { __label__ = 118; break; } else { __label__ = 119; break; } //@line 285 "index.c"
      case 119: // $bb127
        var $1074=HEAP[$y0107]; //@line 287 "index.c"
        HEAP[$y]=$1074; //@line 287 "index.c"
        __label__ = 120; break; //@line 287 "index.c"
      case 131: // $bb128
        var $1075=HEAP[$precno_y126]; //@line 288 "index.c"
        var $1076=HEAP[$pcy124]; //@line 288 "index.c"
        var $1077=CHECK_OVERFLOW((($1075) * ($1076))&4294967295, 32); //@line 288 "index.c"
        var $1078=HEAP[$y]; //@line 288 "index.c"
        var $1079=($1077)==($1078); //@line 288 "index.c"
        if ($1079) { __label__ = 121; break; } else { __label__ = 122; break; } //@line 288 "index.c"
      case 121: // $bb129
        var $1080=HEAP[$x0106]; //@line 289 "index.c"
        HEAP[$x]=$1080; //@line 289 "index.c"
        __label__ = 123; break; //@line 289 "index.c"
      case 130: // $bb130
        var $1081=HEAP[$precno_x125]; //@line 290 "index.c"
        var $1082=HEAP[$pcx123]; //@line 290 "index.c"
        var $1083=CHECK_OVERFLOW((($1081) * ($1082))&4294967295, 32); //@line 290 "index.c"
        var $1084=HEAP[$x]; //@line 290 "index.c"
        var $1085=($1083)==($1084); //@line 290 "index.c"
        if ($1085) { __label__ = 124; break; } else { __label__ = 125; break; } //@line 290 "index.c"
      case 124: // $bb131
        HEAP[$layno]=0; //@line 291 "index.c"
        __label__ = 126; break; //@line 291 "index.c"
      case 129: // $bb132
        var $1086=HEAP[$cstr_info_addr]; //@line 292 "index.c"
        var $1087=CHECK_OVERFLOW(($1086+88)&4294967295, 32); //@line 292 "index.c"
        var $1088=HEAP[$1087]; //@line 292 "index.c"
        var $1089=HEAP[$tileno]; //@line 292 "index.c"
        var $1090=CHECK_OVERFLOW(($1088+572*$1089)&4294967295, 32); //@line 292 "index.c"
        var $1091=CHECK_OVERFLOW(($1090+548)&4294967295, 32); //@line 292 "index.c"
        var $1092=HEAP[$1091]; //@line 292 "index.c"
        var $1093=HEAP[$pack_nb]; //@line 292 "index.c"
        var $1094=CHECK_OVERFLOW(($1092+20*$1093)&4294967295, 32); //@line 292 "index.c"
        var $1095=CHECK_OVERFLOW(($1094)&4294967295, 32); //@line 292 "index.c"
        var $1096=HEAP[$1095]; //@line 292 "index.c"
        HEAP[$start_pos]=$1096; //@line 292 "index.c"
        var $1097=HEAP[$cstr_info_addr]; //@line 293 "index.c"
        var $1098=CHECK_OVERFLOW(($1097+88)&4294967295, 32); //@line 293 "index.c"
        var $1099=HEAP[$1098]; //@line 293 "index.c"
        var $1100=HEAP[$tileno]; //@line 293 "index.c"
        var $1101=CHECK_OVERFLOW(($1099+572*$1100)&4294967295, 32); //@line 293 "index.c"
        var $1102=CHECK_OVERFLOW(($1101+548)&4294967295, 32); //@line 293 "index.c"
        var $1103=HEAP[$1102]; //@line 293 "index.c"
        var $1104=HEAP[$pack_nb]; //@line 293 "index.c"
        var $1105=CHECK_OVERFLOW(($1103+20*$1104)&4294967295, 32); //@line 293 "index.c"
        var $1106=CHECK_OVERFLOW(($1105+4)&4294967295, 32); //@line 293 "index.c"
        var $1107=HEAP[$1106]; //@line 293 "index.c"
        HEAP[$end_ph_pos]=$1107; //@line 293 "index.c"
        var $1108=HEAP[$cstr_info_addr]; //@line 294 "index.c"
        var $1109=CHECK_OVERFLOW(($1108+88)&4294967295, 32); //@line 294 "index.c"
        var $1110=HEAP[$1109]; //@line 294 "index.c"
        var $1111=HEAP[$tileno]; //@line 294 "index.c"
        var $1112=CHECK_OVERFLOW(($1110+572*$1111)&4294967295, 32); //@line 294 "index.c"
        var $1113=CHECK_OVERFLOW(($1112+548)&4294967295, 32); //@line 294 "index.c"
        var $1114=HEAP[$1113]; //@line 294 "index.c"
        var $1115=HEAP[$pack_nb]; //@line 294 "index.c"
        var $1116=CHECK_OVERFLOW(($1114+20*$1115)&4294967295, 32); //@line 294 "index.c"
        var $1117=CHECK_OVERFLOW(($1116+8)&4294967295, 32); //@line 294 "index.c"
        var $1118=HEAP[$1117]; //@line 294 "index.c"
        HEAP[$end_pos]=$1118; //@line 294 "index.c"
        var $1119=HEAP[$cstr_info_addr]; //@line 295 "index.c"
        var $1120=CHECK_OVERFLOW(($1119+88)&4294967295, 32); //@line 295 "index.c"
        var $1121=HEAP[$1120]; //@line 295 "index.c"
        var $1122=HEAP[$tileno]; //@line 295 "index.c"
        var $1123=CHECK_OVERFLOW(($1121+572*$1122)&4294967295, 32); //@line 295 "index.c"
        var $1124=CHECK_OVERFLOW(($1123+548)&4294967295, 32); //@line 295 "index.c"
        var $1125=HEAP[$1124]; //@line 295 "index.c"
        var $1126=HEAP[$pack_nb]; //@line 295 "index.c"
        var $1127=CHECK_OVERFLOW(($1125+20*$1126)&4294967295, 32); //@line 295 "index.c"
        var $1128=CHECK_OVERFLOW(($1127+12)&4294967295, 32); //@line 295 "index.c"
        var $1129=HEAP[$1128]; //@line 295 "index.c"
        HEAP[$disto]=$1129; //@line 295 "index.c"
        var $1130=HEAP[$stream]; //@line 296 "index.c"
        var $1131=HEAP[$pack_nb]; //@line 296 "index.c"
        var $1132=HEAP[$tileno]; //@line 296 "index.c"
        var $1133=HEAP[$precno]; //@line 296 "index.c"
        var $1134=HEAP[$compno]; //@line 296 "index.c"
        var $1135=HEAP[$resno]; //@line 296 "index.c"
        var $1136=HEAP[$layno]; //@line 296 "index.c"
        var $1137=HEAP[$start_pos]; //@line 296 "index.c"
        var $1138=HEAP[$end_ph_pos]; //@line 296 "index.c"
        var $1139=HEAP[$end_pos]; //@line 296 "index.c"
        var $1140=_fprintf($1130, CHECK_OVERFLOW((__str2551)&4294967295, 32), $1131, $1132, $1133, $1134, $1135, $1136, $1137, $1138, $1139); //@line 296 "index.c"
        var $1141=HEAP[$disto_on]; //@line 298 "index.c"
        var $1142=($1141)!=0; //@line 298 "index.c"
        if ($1142) { __label__ = 127; break; } else { __label__ = 128; break; } //@line 298 "index.c"
      case 127: // $bb133
        var $1143=HEAP[$stream]; //@line 299 "index.c"
        var $1144=HEAP[$disto]; //@line 299 "index.c"
        var $1145=_fprintf($1143, CHECK_OVERFLOW((__str1945)&4294967295, 32), $1144); //@line 299 "index.c"
        __label__ = 128; break; //@line 299 "index.c"
      case 128: // $bb134
        var $1146=HEAP[$stream]; //@line 300 "index.c"
        var $1147=$1146; //@line 300 "index.c"
        var $1148=_fputc(10, $1147); //@line 300 "index.c"
        var $1149=HEAP[$total_disto]; //@line 301 "index.c"
        var $1150=HEAP[$disto]; //@line 301 "index.c"
        var $1151=($1149) + ($1150); //@line 301 "index.c"
        HEAP[$total_disto]=$1151; //@line 301 "index.c"
        var $1152=HEAP[$pack_nb]; //@line 302 "index.c"
        var $1153=CHECK_OVERFLOW((($1152) + 1)&4294967295, 32); //@line 302 "index.c"
        HEAP[$pack_nb]=$1153; //@line 302 "index.c"
        var $1154=HEAP[$layno]; //@line 291 "index.c"
        var $1155=CHECK_OVERFLOW((($1154) + 1)&4294967295, 32); //@line 291 "index.c"
        HEAP[$layno]=$1155; //@line 291 "index.c"
        __label__ = 126; break; //@line 291 "index.c"
      case 126: // $bb135
        var $1156=HEAP[$cstr_info_addr]; //@line 291 "index.c"
        var $1157=CHECK_OVERFLOW(($1156+56)&4294967295, 32); //@line 291 "index.c"
        var $1158=HEAP[$1157]; //@line 291 "index.c"
        var $1159=HEAP[$layno]; //@line 291 "index.c"
        var $1160=($1158) > ($1159); //@line 291 "index.c"
        if ($1160) { __label__ = 129; break; } else { __label__ = 125; break; } //@line 291 "index.c"
      case 125: // $bb136
        var $1161=HEAP[$x]; //@line 289 "index.c"
        var $1162=CHECK_OVERFLOW((($1161) + 1)&4294967295, 32); //@line 289 "index.c"
        HEAP[$x]=$1162; //@line 289 "index.c"
        __label__ = 123; break; //@line 289 "index.c"
      case 123: // $bb137
        var $1163=HEAP[$x]; //@line 289 "index.c"
        var $1164=HEAP[$x1108]; //@line 289 "index.c"
        var $1165=($1163) < ($1164); //@line 289 "index.c"
        if ($1165) { __label__ = 130; break; } else { __label__ = 122; break; } //@line 289 "index.c"
      case 122: // $bb138
        var $1166=HEAP[$y]; //@line 287 "index.c"
        var $1167=CHECK_OVERFLOW((($1166) + 1)&4294967295, 32); //@line 287 "index.c"
        HEAP[$y]=$1167; //@line 287 "index.c"
        __label__ = 120; break; //@line 287 "index.c"
      case 120: // $bb139
        var $1168=HEAP[$y]; //@line 287 "index.c"
        var $1169=HEAP[$y1109]; //@line 287 "index.c"
        var $1170=($1168) < ($1169); //@line 287 "index.c"
        if ($1170) { __label__ = 131; break; } else { __label__ = 118; break; } //@line 287 "index.c"
      case 118: // $bb140
        var $1171=HEAP[$resno]; //@line 278 "index.c"
        var $1172=CHECK_OVERFLOW((($1171) + 1)&4294967295, 32); //@line 278 "index.c"
        HEAP[$resno]=$1172; //@line 278 "index.c"
        __label__ = 117; break; //@line 278 "index.c"
      case 117: // $bb141
        var $1173=HEAP[$cstr_info_addr]; //@line 278 "index.c"
        var $1174=CHECK_OVERFLOW(($1173+60)&4294967295, 32); //@line 278 "index.c"
        var $1175=HEAP[$1174]; //@line 278 "index.c"
        var $1176=HEAP[$compno]; //@line 278 "index.c"
        var $1177=CHECK_OVERFLOW(($1175+4*$1176)&4294967295, 32); //@line 278 "index.c"
        var $1178=HEAP[$1177]; //@line 278 "index.c"
        var $1179=CHECK_OVERFLOW((($1178) + 1)&4294967295, 32); //@line 278 "index.c"
        var $1180=HEAP[$resno]; //@line 278 "index.c"
        var $1181=($1179) > ($1180); //@line 278 "index.c"
        if ($1181) { __label__ = 132; break; } else { __label__ = 133; break; } //@line 278 "index.c"
      case 133: // $bb142
        var $1182=HEAP[$compno]; //@line 277 "index.c"
        var $1183=CHECK_OVERFLOW((($1182) + 1)&4294967295, 32); //@line 277 "index.c"
        HEAP[$compno]=$1183; //@line 277 "index.c"
        __label__ = 116; break; //@line 277 "index.c"
      case 116: // $bb143
        var $1184=HEAP[$cstr_info_addr]; //@line 277 "index.c"
        var $1185=CHECK_OVERFLOW(($1184+52)&4294967295, 32); //@line 277 "index.c"
        var $1186=HEAP[$1185]; //@line 277 "index.c"
        var $1187=HEAP[$compno]; //@line 277 "index.c"
        var $1188=($1186) > ($1187); //@line 277 "index.c"
        if ($1188) { __label__ = 134; break; } else { __label__ = 135; break; } //@line 277 "index.c"
      case 135: // $bb144
        var $1189=HEAP[$precno]; //@line 276 "index.c"
        var $1190=CHECK_OVERFLOW((($1189) + 1)&4294967295, 32); //@line 276 "index.c"
        HEAP[$precno]=$1190; //@line 276 "index.c"
        __label__ = 115; break; //@line 276 "index.c"
      case 115: // $bb145
        var $1191=HEAP[$precno]; //@line 276 "index.c"
        var $1192=HEAP[$max_numprec]; //@line 276 "index.c"
        var $1193=($1191) < ($1192); //@line 276 "index.c"
        if ($1193) { __label__ = 136; break; } else { __label__ = 137; break; } //@line 276 "index.c"
      case 137: // $bb146
        __label__ = 59; break; //@line 276 "index.c"
      case 107: // $bb147
        HEAP[$max_numprec148]=0; //@line 315 "index.c"
        HEAP[$resno]=0; //@line 316 "index.c"
        __label__ = 138; break; //@line 316 "index.c"
      case 141: // $bb149
        var $1194=HEAP[$cstr_info_addr]; //@line 317 "index.c"
        var $1195=CHECK_OVERFLOW(($1194+88)&4294967295, 32); //@line 317 "index.c"
        var $1196=HEAP[$1195]; //@line 317 "index.c"
        var $1197=HEAP[$tileno]; //@line 317 "index.c"
        var $1198=CHECK_OVERFLOW(($1196+572*$1197)&4294967295, 32); //@line 317 "index.c"
        var $1199=HEAP[$resno]; //@line 317 "index.c"
        var $1200=CHECK_OVERFLOW(($1198+20)&4294967295, 32); //@line 317 "index.c"
        var $1201=CHECK_OVERFLOW(($1200+$1199*4)&4294967295, 32); //@line 317 "index.c"
        var $1202=HEAP[$1201]; //@line 317 "index.c"
        var $1203=HEAP[$cstr_info_addr]; //@line 317 "index.c"
        var $1204=CHECK_OVERFLOW(($1203+88)&4294967295, 32); //@line 317 "index.c"
        var $1205=HEAP[$1204]; //@line 317 "index.c"
        var $1206=HEAP[$tileno]; //@line 317 "index.c"
        var $1207=CHECK_OVERFLOW(($1205+572*$1206)&4294967295, 32); //@line 317 "index.c"
        var $1208=HEAP[$resno]; //@line 317 "index.c"
        var $1209=CHECK_OVERFLOW(($1207+152)&4294967295, 32); //@line 317 "index.c"
        var $1210=CHECK_OVERFLOW(($1209+$1208*4)&4294967295, 32); //@line 317 "index.c"
        var $1211=HEAP[$1210]; //@line 317 "index.c"
        var $1212=CHECK_OVERFLOW((($1202) * ($1211))&4294967295, 32); //@line 317 "index.c"
        HEAP[$numprec150]=$1212; //@line 317 "index.c"
        var $1213=HEAP[$numprec150]; //@line 318 "index.c"
        var $1214=HEAP[$max_numprec148]; //@line 318 "index.c"
        var $1215=($1213) > ($1214); //@line 318 "index.c"
        if ($1215) { __label__ = 139; break; } else { __label__ = 140; break; } //@line 318 "index.c"
      case 139: // $bb151
        var $1216=HEAP[$numprec150]; //@line 319 "index.c"
        HEAP[$max_numprec148]=$1216; //@line 319 "index.c"
        __label__ = 140; break; //@line 319 "index.c"
      case 140: // $bb152
        var $1217=HEAP[$resno]; //@line 316 "index.c"
        var $1218=CHECK_OVERFLOW((($1217) + 1)&4294967295, 32); //@line 316 "index.c"
        HEAP[$resno]=$1218; //@line 316 "index.c"
        __label__ = 138; break; //@line 316 "index.c"
      case 138: // $bb153
        var $1219=HEAP[$max_numdecompos]; //@line 316 "index.c"
        var $1220=CHECK_OVERFLOW((($1219) + 1)&4294967295, 32); //@line 316 "index.c"
        var $1221=HEAP[$resno]; //@line 316 "index.c"
        var $1222=($1220) > ($1221); //@line 316 "index.c"
        if ($1222) { __label__ = 141; break; } else { __label__ = 142; break; } //@line 316 "index.c"
      case 142: // $bb154
        var $1223=HEAP[$stream]; //@line 322 "index.c"
        var $1224=$1223; //@line 322 "index.c"
        var $1225=_fwrite(CHECK_OVERFLOW((__str2652)&4294967295, 32), 1, 74, $1224); //@line 322 "index.c"
        var $1226=HEAP[$disto_on]; //@line 323 "index.c"
        var $1227=($1226)!=0; //@line 323 "index.c"
        if ($1227) { __label__ = 143; break; } else { __label__ = 144; break; } //@line 323 "index.c"
      case 143: // $bb155
        var $1228=HEAP[$stream]; //@line 324 "index.c"
        var $1229=$1228; //@line 324 "index.c"
        var $1230=_fwrite(CHECK_OVERFLOW((__str1743)&4294967295, 32), 1, 6, $1229); //@line 324 "index.c"
        __label__ = 144; break; //@line 324 "index.c"
      case 144: // $bb156
        var $1231=HEAP[$stream]; //@line 325 "index.c"
        var $1232=$1231; //@line 325 "index.c"
        var $1233=_fputc(10, $1232); //@line 325 "index.c"
        HEAP[$compno]=0; //@line 327 "index.c"
        __label__ = 145; break; //@line 327 "index.c"
      case 166: // $bb157
        var $1234=HEAP[$cstr_info_addr]; //@line 329 "index.c"
        var $1235=CHECK_OVERFLOW(($1234+36)&4294967295, 32); //@line 329 "index.c"
        var $1236=HEAP[$1235]; //@line 329 "index.c"
        var $1237=HEAP[$tileno]; //@line 329 "index.c"
        var $1238=CHECK_OVERFLOW((($1236) + ($1237))&4294967295, 32); //@line 329 "index.c"
        var $1239=HEAP[$tileno]; //@line 329 "index.c"
        var $1240=($1239); //@line 329 "index.c"
        var $1241=HEAP[$cstr_info_addr]; //@line 329 "index.c"
        var $1242=CHECK_OVERFLOW(($1241+44)&4294967295, 32); //@line 329 "index.c"
        var $1243=HEAP[$1242]; //@line 329 "index.c"
        var $1244=($1243); //@line 329 "index.c"
        var $1245=($1240) / ($1244); //@line 329 "index.c"
        var $1246=($1245); //@line 329 "index.c"
        var $1247=_floor($1246); //@line 329 "index.c"
        var $1248=(($1247)|0); //@line 329 "index.c"
        var $1249=HEAP[$cstr_info_addr]; //@line 329 "index.c"
        var $1250=CHECK_OVERFLOW(($1249+44)&4294967295, 32); //@line 329 "index.c"
        var $1251=HEAP[$1250]; //@line 329 "index.c"
        var $1252=CHECK_OVERFLOW((($1248) * ($1251))&4294967295, 32); //@line 329 "index.c"
        var $1253=HEAP[$cstr_info_addr]; //@line 329 "index.c"
        var $1254=CHECK_OVERFLOW(($1253+28)&4294967295, 32); //@line 329 "index.c"
        var $1255=HEAP[$1254]; //@line 329 "index.c"
        var $1256=CHECK_OVERFLOW((($1252) * ($1255))&4294967295, 32); //@line 329 "index.c"
        var $1257=CHECK_OVERFLOW((($1238) - ($1256))&4294967295, 32); //@line 329 "index.c"
        HEAP[$x0158]=$1257; //@line 329 "index.c"
        var $1258=HEAP[$cstr_info_addr]; //@line 330 "index.c"
        var $1259=CHECK_OVERFLOW(($1258+36)&4294967295, 32); //@line 330 "index.c"
        var $1260=HEAP[$1259]; //@line 330 "index.c"
        var $1261=HEAP[$tileno]; //@line 330 "index.c"
        var $1262=($1261); //@line 330 "index.c"
        var $1263=HEAP[$cstr_info_addr]; //@line 330 "index.c"
        var $1264=CHECK_OVERFLOW(($1263+44)&4294967295, 32); //@line 330 "index.c"
        var $1265=HEAP[$1264]; //@line 330 "index.c"
        var $1266=($1265); //@line 330 "index.c"
        var $1267=($1262) / ($1266); //@line 330 "index.c"
        var $1268=($1267); //@line 330 "index.c"
        var $1269=_floor($1268); //@line 330 "index.c"
        var $1270=(($1269)|0); //@line 330 "index.c"
        var $1271=HEAP[$cstr_info_addr]; //@line 330 "index.c"
        var $1272=CHECK_OVERFLOW(($1271+32)&4294967295, 32); //@line 330 "index.c"
        var $1273=HEAP[$1272]; //@line 330 "index.c"
        var $1274=CHECK_OVERFLOW((($1270) * ($1273))&4294967295, 32); //@line 330 "index.c"
        var $1275=CHECK_OVERFLOW((($1260) + ($1274))&4294967295, 32); //@line 330 "index.c"
        HEAP[$y0159]=$1275; //@line 330 "index.c"
        var $1276=HEAP[$cstr_info_addr]; //@line 331 "index.c"
        var $1277=CHECK_OVERFLOW(($1276+28)&4294967295, 32); //@line 331 "index.c"
        var $1278=HEAP[$1277]; //@line 331 "index.c"
        var $1279=HEAP[$x0158]; //@line 331 "index.c"
        var $1280=CHECK_OVERFLOW((($1278) + ($1279))&4294967295, 32); //@line 331 "index.c"
        HEAP[$x1160]=$1280; //@line 331 "index.c"
        var $1281=HEAP[$cstr_info_addr]; //@line 332 "index.c"
        var $1282=CHECK_OVERFLOW(($1281+32)&4294967295, 32); //@line 332 "index.c"
        var $1283=HEAP[$1282]; //@line 332 "index.c"
        var $1284=HEAP[$y0159]; //@line 332 "index.c"
        var $1285=CHECK_OVERFLOW((($1283) + ($1284))&4294967295, 32); //@line 332 "index.c"
        HEAP[$y1161]=$1285; //@line 332 "index.c"
        HEAP[$precno]=0; //@line 334 "index.c"
        __label__ = 146; break; //@line 334 "index.c"
      case 164: // $bb162
        HEAP[$resno]=0; //@line 335 "index.c"
        __label__ = 147; break; //@line 335 "index.c"
      case 162: // $bb163
        var $1286=HEAP[$cstr_info_addr]; //@line 336 "index.c"
        var $1287=CHECK_OVERFLOW(($1286+88)&4294967295, 32); //@line 336 "index.c"
        var $1288=HEAP[$1287]; //@line 336 "index.c"
        var $1289=HEAP[$tileno]; //@line 336 "index.c"
        var $1290=CHECK_OVERFLOW(($1288+572*$1289)&4294967295, 32); //@line 336 "index.c"
        var $1291=HEAP[$resno]; //@line 336 "index.c"
        var $1292=CHECK_OVERFLOW(($1290+20)&4294967295, 32); //@line 336 "index.c"
        var $1293=CHECK_OVERFLOW(($1292+$1291*4)&4294967295, 32); //@line 336 "index.c"
        var $1294=HEAP[$1293]; //@line 336 "index.c"
        var $1295=HEAP[$cstr_info_addr]; //@line 336 "index.c"
        var $1296=CHECK_OVERFLOW(($1295+88)&4294967295, 32); //@line 336 "index.c"
        var $1297=HEAP[$1296]; //@line 336 "index.c"
        var $1298=HEAP[$tileno]; //@line 336 "index.c"
        var $1299=CHECK_OVERFLOW(($1297+572*$1298)&4294967295, 32); //@line 336 "index.c"
        var $1300=HEAP[$resno]; //@line 336 "index.c"
        var $1301=CHECK_OVERFLOW(($1299+152)&4294967295, 32); //@line 336 "index.c"
        var $1302=CHECK_OVERFLOW(($1301+$1300*4)&4294967295, 32); //@line 336 "index.c"
        var $1303=HEAP[$1302]; //@line 336 "index.c"
        var $1304=CHECK_OVERFLOW((($1294) * ($1303))&4294967295, 32); //@line 336 "index.c"
        HEAP[$numprec164]=$1304; //@line 336 "index.c"
        var $1305=HEAP[$cstr_info_addr]; //@line 337 "index.c"
        var $1306=CHECK_OVERFLOW(($1305+88)&4294967295, 32); //@line 337 "index.c"
        var $1307=HEAP[$1306]; //@line 337 "index.c"
        var $1308=HEAP[$tileno]; //@line 337 "index.c"
        var $1309=CHECK_OVERFLOW(($1307+572*$1308)&4294967295, 32); //@line 337 "index.c"
        var $1310=HEAP[$resno]; //@line 337 "index.c"
        var $1311=CHECK_OVERFLOW(($1309+20)&4294967295, 32); //@line 337 "index.c"
        var $1312=CHECK_OVERFLOW(($1311+$1310*4)&4294967295, 32); //@line 337 "index.c"
        var $1313=HEAP[$1312]; //@line 337 "index.c"
        HEAP[$pcnx165]=$1313; //@line 337 "index.c"
        var $1314=HEAP[$cstr_info_addr]; //@line 338 "index.c"
        var $1315=CHECK_OVERFLOW(($1314+88)&4294967295, 32); //@line 338 "index.c"
        var $1316=HEAP[$1315]; //@line 338 "index.c"
        var $1317=HEAP[$tileno]; //@line 338 "index.c"
        var $1318=CHECK_OVERFLOW(($1316+572*$1317)&4294967295, 32); //@line 338 "index.c"
        var $1319=HEAP[$resno]; //@line 338 "index.c"
        var $1320=CHECK_OVERFLOW(($1318+284)&4294967295, 32); //@line 338 "index.c"
        var $1321=CHECK_OVERFLOW(($1320+$1319*4)&4294967295, 32); //@line 338 "index.c"
        var $1322=HEAP[$1321]; //@line 338 "index.c"
        var $1323=HEAP[$cstr_info_addr]; //@line 338 "index.c"
        var $1324=CHECK_OVERFLOW(($1323+60)&4294967295, 32); //@line 338 "index.c"
        var $1325=HEAP[$1324]; //@line 338 "index.c"
        var $1326=HEAP[$compno]; //@line 338 "index.c"
        var $1327=CHECK_OVERFLOW(($1325+4*$1326)&4294967295, 32); //@line 338 "index.c"
        var $1328=HEAP[$1327]; //@line 338 "index.c"
        var $1329=CHECK_OVERFLOW((($1322) + ($1328))&4294967295, 32); //@line 338 "index.c"
        var $1330=HEAP[$resno]; //@line 338 "index.c"
        var $1331=CHECK_OVERFLOW((($1329) - ($1330))&4294967295, 32); //@line 338 "index.c"
        var $1332=($1331); //@line 338 "index.c"
        var $1333=_llvm_pow_f64(2, $1332); //@line 338 "index.c"
        var $1334=(($1333)|0); //@line 338 "index.c"
        HEAP[$pcx166]=$1334; //@line 338 "index.c"
        var $1335=HEAP[$cstr_info_addr]; //@line 339 "index.c"
        var $1336=CHECK_OVERFLOW(($1335+88)&4294967295, 32); //@line 339 "index.c"
        var $1337=HEAP[$1336]; //@line 339 "index.c"
        var $1338=HEAP[$tileno]; //@line 339 "index.c"
        var $1339=CHECK_OVERFLOW(($1337+572*$1338)&4294967295, 32); //@line 339 "index.c"
        var $1340=HEAP[$resno]; //@line 339 "index.c"
        var $1341=CHECK_OVERFLOW(($1339+416)&4294967295, 32); //@line 339 "index.c"
        var $1342=CHECK_OVERFLOW(($1341+$1340*4)&4294967295, 32); //@line 339 "index.c"
        var $1343=HEAP[$1342]; //@line 339 "index.c"
        var $1344=HEAP[$cstr_info_addr]; //@line 339 "index.c"
        var $1345=CHECK_OVERFLOW(($1344+60)&4294967295, 32); //@line 339 "index.c"
        var $1346=HEAP[$1345]; //@line 339 "index.c"
        var $1347=HEAP[$compno]; //@line 339 "index.c"
        var $1348=CHECK_OVERFLOW(($1346+4*$1347)&4294967295, 32); //@line 339 "index.c"
        var $1349=HEAP[$1348]; //@line 339 "index.c"
        var $1350=CHECK_OVERFLOW((($1343) + ($1349))&4294967295, 32); //@line 339 "index.c"
        var $1351=HEAP[$resno]; //@line 339 "index.c"
        var $1352=CHECK_OVERFLOW((($1350) - ($1351))&4294967295, 32); //@line 339 "index.c"
        var $1353=($1352); //@line 339 "index.c"
        var $1354=_llvm_pow_f64(2, $1353); //@line 339 "index.c"
        var $1355=(($1354)|0); //@line 339 "index.c"
        HEAP[$pcy167]=$1355; //@line 339 "index.c"
        var $1356=HEAP[$precno]; //@line 340 "index.c"
        var $1357=($1356); //@line 340 "index.c"
        var $1358=HEAP[$pcnx165]; //@line 340 "index.c"
        var $1359=($1358); //@line 340 "index.c"
        var $1360=($1357) / ($1359); //@line 340 "index.c"
        var $1361=($1360); //@line 340 "index.c"
        var $1362=_floor($1361); //@line 340 "index.c"
        var $1363=(($1362)|0); //@line 340 "index.c"
        var $1364=HEAP[$pcnx165]; //@line 340 "index.c"
        var $1365=CHECK_OVERFLOW((($1363) * ($1364))&4294967295, 32); //@line 340 "index.c"
        var $1366=HEAP[$precno]; //@line 340 "index.c"
        var $1367=CHECK_OVERFLOW((($1366) - ($1365))&4294967295, 32); //@line 340 "index.c"
        HEAP[$precno_x168]=$1367; //@line 340 "index.c"
        var $1368=HEAP[$precno]; //@line 341 "index.c"
        var $1369=($1368); //@line 341 "index.c"
        var $1370=HEAP[$pcnx165]; //@line 341 "index.c"
        var $1371=($1370); //@line 341 "index.c"
        var $1372=($1369) / ($1371); //@line 341 "index.c"
        var $1373=($1372); //@line 341 "index.c"
        var $1374=_floor($1373); //@line 341 "index.c"
        var $1375=(($1374)|0); //@line 341 "index.c"
        HEAP[$precno_y169]=$1375; //@line 341 "index.c"
        var $1376=HEAP[$precno]; //@line 342 "index.c"
        var $1377=HEAP[$numprec164]; //@line 342 "index.c"
        var $1378=($1376) >= ($1377); //@line 342 "index.c"
        if ($1378) { __label__ = 148; break; } else { __label__ = 149; break; } //@line 342 "index.c"
      case 149: // $bb170
        var $1379=HEAP[$y0159]; //@line 345 "index.c"
        HEAP[$y]=$1379; //@line 345 "index.c"
        __label__ = 150; break; //@line 345 "index.c"
      case 161: // $bb171
        var $1380=HEAP[$precno_y169]; //@line 346 "index.c"
        var $1381=HEAP[$pcy167]; //@line 346 "index.c"
        var $1382=CHECK_OVERFLOW((($1380) * ($1381))&4294967295, 32); //@line 346 "index.c"
        var $1383=HEAP[$y]; //@line 346 "index.c"
        var $1384=($1382)==($1383); //@line 346 "index.c"
        if ($1384) { __label__ = 151; break; } else { __label__ = 152; break; } //@line 346 "index.c"
      case 151: // $bb172
        var $1385=HEAP[$x0158]; //@line 347 "index.c"
        HEAP[$x]=$1385; //@line 347 "index.c"
        __label__ = 153; break; //@line 347 "index.c"
      case 160: // $bb173
        var $1386=HEAP[$precno_x168]; //@line 348 "index.c"
        var $1387=HEAP[$pcx166]; //@line 348 "index.c"
        var $1388=CHECK_OVERFLOW((($1386) * ($1387))&4294967295, 32); //@line 348 "index.c"
        var $1389=HEAP[$x]; //@line 348 "index.c"
        var $1390=($1388)==($1389); //@line 348 "index.c"
        if ($1390) { __label__ = 154; break; } else { __label__ = 155; break; } //@line 348 "index.c"
      case 154: // $bb174
        HEAP[$layno]=0; //@line 349 "index.c"
        __label__ = 156; break; //@line 349 "index.c"
      case 159: // $bb175
        var $1391=HEAP[$cstr_info_addr]; //@line 350 "index.c"
        var $1392=CHECK_OVERFLOW(($1391+88)&4294967295, 32); //@line 350 "index.c"
        var $1393=HEAP[$1392]; //@line 350 "index.c"
        var $1394=HEAP[$tileno]; //@line 350 "index.c"
        var $1395=CHECK_OVERFLOW(($1393+572*$1394)&4294967295, 32); //@line 350 "index.c"
        var $1396=CHECK_OVERFLOW(($1395+548)&4294967295, 32); //@line 350 "index.c"
        var $1397=HEAP[$1396]; //@line 350 "index.c"
        var $1398=HEAP[$pack_nb]; //@line 350 "index.c"
        var $1399=CHECK_OVERFLOW(($1397+20*$1398)&4294967295, 32); //@line 350 "index.c"
        var $1400=CHECK_OVERFLOW(($1399)&4294967295, 32); //@line 350 "index.c"
        var $1401=HEAP[$1400]; //@line 350 "index.c"
        HEAP[$start_pos]=$1401; //@line 350 "index.c"
        var $1402=HEAP[$cstr_info_addr]; //@line 351 "index.c"
        var $1403=CHECK_OVERFLOW(($1402+88)&4294967295, 32); //@line 351 "index.c"
        var $1404=HEAP[$1403]; //@line 351 "index.c"
        var $1405=HEAP[$tileno]; //@line 351 "index.c"
        var $1406=CHECK_OVERFLOW(($1404+572*$1405)&4294967295, 32); //@line 351 "index.c"
        var $1407=CHECK_OVERFLOW(($1406+548)&4294967295, 32); //@line 351 "index.c"
        var $1408=HEAP[$1407]; //@line 351 "index.c"
        var $1409=HEAP[$pack_nb]; //@line 351 "index.c"
        var $1410=CHECK_OVERFLOW(($1408+20*$1409)&4294967295, 32); //@line 351 "index.c"
        var $1411=CHECK_OVERFLOW(($1410+4)&4294967295, 32); //@line 351 "index.c"
        var $1412=HEAP[$1411]; //@line 351 "index.c"
        HEAP[$end_ph_pos]=$1412; //@line 351 "index.c"
        var $1413=HEAP[$cstr_info_addr]; //@line 352 "index.c"
        var $1414=CHECK_OVERFLOW(($1413+88)&4294967295, 32); //@line 352 "index.c"
        var $1415=HEAP[$1414]; //@line 352 "index.c"
        var $1416=HEAP[$tileno]; //@line 352 "index.c"
        var $1417=CHECK_OVERFLOW(($1415+572*$1416)&4294967295, 32); //@line 352 "index.c"
        var $1418=CHECK_OVERFLOW(($1417+548)&4294967295, 32); //@line 352 "index.c"
        var $1419=HEAP[$1418]; //@line 352 "index.c"
        var $1420=HEAP[$pack_nb]; //@line 352 "index.c"
        var $1421=CHECK_OVERFLOW(($1419+20*$1420)&4294967295, 32); //@line 352 "index.c"
        var $1422=CHECK_OVERFLOW(($1421+8)&4294967295, 32); //@line 352 "index.c"
        var $1423=HEAP[$1422]; //@line 352 "index.c"
        HEAP[$end_pos]=$1423; //@line 352 "index.c"
        var $1424=HEAP[$cstr_info_addr]; //@line 353 "index.c"
        var $1425=CHECK_OVERFLOW(($1424+88)&4294967295, 32); //@line 353 "index.c"
        var $1426=HEAP[$1425]; //@line 353 "index.c"
        var $1427=HEAP[$tileno]; //@line 353 "index.c"
        var $1428=CHECK_OVERFLOW(($1426+572*$1427)&4294967295, 32); //@line 353 "index.c"
        var $1429=CHECK_OVERFLOW(($1428+548)&4294967295, 32); //@line 353 "index.c"
        var $1430=HEAP[$1429]; //@line 353 "index.c"
        var $1431=HEAP[$pack_nb]; //@line 353 "index.c"
        var $1432=CHECK_OVERFLOW(($1430+20*$1431)&4294967295, 32); //@line 353 "index.c"
        var $1433=CHECK_OVERFLOW(($1432+12)&4294967295, 32); //@line 353 "index.c"
        var $1434=HEAP[$1433]; //@line 353 "index.c"
        HEAP[$disto]=$1434; //@line 353 "index.c"
        var $1435=HEAP[$stream]; //@line 354 "index.c"
        var $1436=HEAP[$pack_nb]; //@line 354 "index.c"
        var $1437=HEAP[$tileno]; //@line 354 "index.c"
        var $1438=HEAP[$compno]; //@line 354 "index.c"
        var $1439=HEAP[$precno]; //@line 354 "index.c"
        var $1440=HEAP[$resno]; //@line 354 "index.c"
        var $1441=HEAP[$layno]; //@line 354 "index.c"
        var $1442=HEAP[$start_pos]; //@line 354 "index.c"
        var $1443=HEAP[$end_ph_pos]; //@line 354 "index.c"
        var $1444=HEAP[$end_pos]; //@line 354 "index.c"
        var $1445=_fprintf($1435, CHECK_OVERFLOW((__str2551)&4294967295, 32), $1436, $1437, $1438, $1439, $1440, $1441, $1442, $1443, $1444); //@line 354 "index.c"
        var $1446=HEAP[$disto_on]; //@line 356 "index.c"
        var $1447=($1446)!=0; //@line 356 "index.c"
        if ($1447) { __label__ = 157; break; } else { __label__ = 158; break; } //@line 356 "index.c"
      case 157: // $bb176
        var $1448=HEAP[$stream]; //@line 357 "index.c"
        var $1449=HEAP[$disto]; //@line 357 "index.c"
        var $1450=_fprintf($1448, CHECK_OVERFLOW((__str1945)&4294967295, 32), $1449); //@line 357 "index.c"
        __label__ = 158; break; //@line 357 "index.c"
      case 158: // $bb177
        var $1451=HEAP[$stream]; //@line 358 "index.c"
        var $1452=$1451; //@line 358 "index.c"
        var $1453=_fputc(10, $1452); //@line 358 "index.c"
        var $1454=HEAP[$total_disto]; //@line 359 "index.c"
        var $1455=HEAP[$disto]; //@line 359 "index.c"
        var $1456=($1454) + ($1455); //@line 359 "index.c"
        HEAP[$total_disto]=$1456; //@line 359 "index.c"
        var $1457=HEAP[$pack_nb]; //@line 360 "index.c"
        var $1458=CHECK_OVERFLOW((($1457) + 1)&4294967295, 32); //@line 360 "index.c"
        HEAP[$pack_nb]=$1458; //@line 360 "index.c"
        var $1459=HEAP[$layno]; //@line 349 "index.c"
        var $1460=CHECK_OVERFLOW((($1459) + 1)&4294967295, 32); //@line 349 "index.c"
        HEAP[$layno]=$1460; //@line 349 "index.c"
        __label__ = 156; break; //@line 349 "index.c"
      case 156: // $bb178
        var $1461=HEAP[$cstr_info_addr]; //@line 349 "index.c"
        var $1462=CHECK_OVERFLOW(($1461+56)&4294967295, 32); //@line 349 "index.c"
        var $1463=HEAP[$1462]; //@line 349 "index.c"
        var $1464=HEAP[$layno]; //@line 349 "index.c"
        var $1465=($1463) > ($1464); //@line 349 "index.c"
        if ($1465) { __label__ = 159; break; } else { __label__ = 155; break; } //@line 349 "index.c"
      case 155: // $bb179
        var $1466=HEAP[$x]; //@line 347 "index.c"
        var $1467=CHECK_OVERFLOW((($1466) + 1)&4294967295, 32); //@line 347 "index.c"
        HEAP[$x]=$1467; //@line 347 "index.c"
        __label__ = 153; break; //@line 347 "index.c"
      case 153: // $bb180
        var $1468=HEAP[$x]; //@line 347 "index.c"
        var $1469=HEAP[$x1160]; //@line 347 "index.c"
        var $1470=($1468) < ($1469); //@line 347 "index.c"
        if ($1470) { __label__ = 160; break; } else { __label__ = 152; break; } //@line 347 "index.c"
      case 152: // $bb181
        var $1471=HEAP[$y]; //@line 345 "index.c"
        var $1472=CHECK_OVERFLOW((($1471) + 1)&4294967295, 32); //@line 345 "index.c"
        HEAP[$y]=$1472; //@line 345 "index.c"
        __label__ = 150; break; //@line 345 "index.c"
      case 150: // $bb182
        var $1473=HEAP[$y]; //@line 345 "index.c"
        var $1474=HEAP[$y1161]; //@line 345 "index.c"
        var $1475=($1473) < ($1474); //@line 345 "index.c"
        if ($1475) { __label__ = 161; break; } else { __label__ = 148; break; } //@line 345 "index.c"
      case 148: // $bb183
        var $1476=HEAP[$resno]; //@line 335 "index.c"
        var $1477=CHECK_OVERFLOW((($1476) + 1)&4294967295, 32); //@line 335 "index.c"
        HEAP[$resno]=$1477; //@line 335 "index.c"
        __label__ = 147; break; //@line 335 "index.c"
      case 147: // $bb184
        var $1478=HEAP[$cstr_info_addr]; //@line 335 "index.c"
        var $1479=CHECK_OVERFLOW(($1478+60)&4294967295, 32); //@line 335 "index.c"
        var $1480=HEAP[$1479]; //@line 335 "index.c"
        var $1481=HEAP[$compno]; //@line 335 "index.c"
        var $1482=CHECK_OVERFLOW(($1480+4*$1481)&4294967295, 32); //@line 335 "index.c"
        var $1483=HEAP[$1482]; //@line 335 "index.c"
        var $1484=CHECK_OVERFLOW((($1483) + 1)&4294967295, 32); //@line 335 "index.c"
        var $1485=HEAP[$resno]; //@line 335 "index.c"
        var $1486=($1484) > ($1485); //@line 335 "index.c"
        if ($1486) { __label__ = 162; break; } else { __label__ = 163; break; } //@line 335 "index.c"
      case 163: // $bb185
        var $1487=HEAP[$precno]; //@line 334 "index.c"
        var $1488=CHECK_OVERFLOW((($1487) + 1)&4294967295, 32); //@line 334 "index.c"
        HEAP[$precno]=$1488; //@line 334 "index.c"
        __label__ = 146; break; //@line 334 "index.c"
      case 146: // $bb186
        var $1489=HEAP[$precno]; //@line 334 "index.c"
        var $1490=HEAP[$max_numprec148]; //@line 334 "index.c"
        var $1491=($1489) < ($1490); //@line 334 "index.c"
        if ($1491) { __label__ = 164; break; } else { __label__ = 165; break; } //@line 334 "index.c"
      case 165: // $bb187
        var $1492=HEAP[$compno]; //@line 327 "index.c"
        var $1493=CHECK_OVERFLOW((($1492) + 1)&4294967295, 32); //@line 327 "index.c"
        HEAP[$compno]=$1493; //@line 327 "index.c"
        __label__ = 145; break; //@line 327 "index.c"
      case 145: // $bb188
        var $1494=HEAP[$cstr_info_addr]; //@line 327 "index.c"
        var $1495=CHECK_OVERFLOW(($1494+52)&4294967295, 32); //@line 327 "index.c"
        var $1496=HEAP[$1495]; //@line 327 "index.c"
        var $1497=HEAP[$compno]; //@line 327 "index.c"
        var $1498=($1496) > ($1497); //@line 327 "index.c"
        if ($1498) { __label__ = 166; break; } else { __label__ = 59; break; } //@line 327 "index.c"
      case 59: // $bb189
        var $1499=HEAP[$tileno]; //@line 122 "index.c"
        var $1500=CHECK_OVERFLOW((($1499) + 1)&4294967295, 32); //@line 122 "index.c"
        HEAP[$tileno]=$1500; //@line 122 "index.c"
        __label__ = 31; break; //@line 122 "index.c"
      case 31: // $bb190
        var $1501=HEAP[$cstr_info_addr]; //@line 122 "index.c"
        var $1502=CHECK_OVERFLOW(($1501+44)&4294967295, 32); //@line 122 "index.c"
        var $1503=HEAP[$1502]; //@line 122 "index.c"
        var $1504=HEAP[$cstr_info_addr]; //@line 122 "index.c"
        var $1505=CHECK_OVERFLOW(($1504+48)&4294967295, 32); //@line 122 "index.c"
        var $1506=HEAP[$1505]; //@line 122 "index.c"
        var $1507=CHECK_OVERFLOW((($1503) * ($1506))&4294967295, 32); //@line 122 "index.c"
        var $1508=HEAP[$tileno]; //@line 122 "index.c"
        var $1509=($1507) > ($1508); //@line 122 "index.c"
        if ($1509) { __label__ = 167; break; } else { __label__ = 168; break; } //@line 122 "index.c"
      case 168: // $bb191
        var $1510=HEAP[$disto_on]; //@line 372 "index.c"
        var $1511=($1510)!=0; //@line 372 "index.c"
        if ($1511) { __label__ = 169; break; } else { __label__ = 170; break; } //@line 372 "index.c"
      case 169: // $bb192
        var $1512=HEAP[$cstr_info_addr]; //@line 373 "index.c"
        var $1513=CHECK_OVERFLOW(($1512)&4294967295, 32); //@line 373 "index.c"
        var $1514=HEAP[$1513]; //@line 373 "index.c"
        var $1515=HEAP[$stream]; //@line 373 "index.c"
        var $1516=_fprintf($1515, CHECK_OVERFLOW((__str27118)&4294967295, 32), $1514); //@line 373 "index.c"
        var $1517=HEAP[$stream]; //@line 374 "index.c"
        var $1518=HEAP[$total_disto]; //@line 374 "index.c"
        var $1519=_fprintf($1517, CHECK_OVERFLOW((__str2853)&4294967295, 32), $1518); //@line 374 "index.c"
        __label__ = 170; break; //@line 374 "index.c"
      case 170: // $bb193
        var $1520=HEAP[$cstr_info_addr]; //@line 378 "index.c"
        var $1521=CHECK_OVERFLOW(($1520+64)&4294967295, 32); //@line 378 "index.c"
        var $1522=HEAP[$1521]; //@line 378 "index.c"
        var $1523=($1522)!=0; //@line 378 "index.c"
        if ($1523) { __label__ = 171; break; } else { __label__ = 172; break; } //@line 378 "index.c"
      case 171: // $bb194
        var $1524=HEAP[$stream]; //@line 379 "index.c"
        var $1525=$1524; //@line 379 "index.c"
        var $1526=_fwrite(CHECK_OVERFLOW((__str2954)&4294967295, 32), 1, 13, $1525); //@line 379 "index.c"
        var $1527=HEAP[$cstr_info_addr]; //@line 380 "index.c"
        var $1528=CHECK_OVERFLOW(($1527+64)&4294967295, 32); //@line 380 "index.c"
        var $1529=HEAP[$1528]; //@line 380 "index.c"
        var $1530=HEAP[$stream]; //@line 380 "index.c"
        var $1531=_fprintf($1530, CHECK_OVERFLOW((__str329)&4294967295, 32), $1529); //@line 380 "index.c"
        var $1532=HEAP[$stream]; //@line 381 "index.c"
        var $1533=$1532; //@line 381 "index.c"
        var $1534=_fwrite(CHECK_OVERFLOW((__str30119)&4294967295, 32), 1, 25, $1533); //@line 381 "index.c"
        HEAP[$x]=0; //@line 382 "index.c"
        __label__ = 173; break; //@line 382 "index.c"
      case 174: // $bb195
        var $1535=HEAP[$cstr_info_addr]; //@line 383 "index.c"
        var $1536=CHECK_OVERFLOW(($1535+68)&4294967295, 32); //@line 383 "index.c"
        var $1537=HEAP[$1536]; //@line 383 "index.c"
        var $1538=HEAP[$x]; //@line 383 "index.c"
        var $1539=CHECK_OVERFLOW(($1537+12*$1538)&4294967295, 32); //@line 383 "index.c"
        var $1540=CHECK_OVERFLOW(($1539+8)&4294967295, 32); //@line 383 "index.c"
        var $1541=HEAP[$1540]; //@line 383 "index.c"
        var $1542=HEAP[$cstr_info_addr]; //@line 383 "index.c"
        var $1543=CHECK_OVERFLOW(($1542+68)&4294967295, 32); //@line 383 "index.c"
        var $1544=HEAP[$1543]; //@line 383 "index.c"
        var $1545=HEAP[$x]; //@line 383 "index.c"
        var $1546=CHECK_OVERFLOW(($1544+12*$1545)&4294967295, 32); //@line 383 "index.c"
        var $1547=CHECK_OVERFLOW(($1546+4)&4294967295, 32); //@line 383 "index.c"
        var $1548=HEAP[$1547]; //@line 383 "index.c"
        var $1549=HEAP[$cstr_info_addr]; //@line 383 "index.c"
        var $1550=CHECK_OVERFLOW(($1549+68)&4294967295, 32); //@line 383 "index.c"
        var $1551=HEAP[$1550]; //@line 383 "index.c"
        var $1552=HEAP[$x]; //@line 383 "index.c"
        var $1553=CHECK_OVERFLOW(($1551+12*$1552)&4294967295, 32); //@line 383 "index.c"
        var $1554=CHECK_OVERFLOW(($1553)&4294967295, 32); //@line 383 "index.c"
        var $1555=HEAP[$1554]; //@line 383 "index.c"
        var $1556=($1555); //@line 383 "index.c"
        var $1557=HEAP[$stream]; //@line 383 "index.c"
        var $1558=_fprintf($1557, CHECK_OVERFLOW((__str3155)&4294967295, 32), $1556, $1548, $1541); //@line 383 "index.c"
        var $1559=HEAP[$x]; //@line 382 "index.c"
        var $1560=CHECK_OVERFLOW((($1559) + 1)&4294967295, 32); //@line 382 "index.c"
        HEAP[$x]=$1560; //@line 382 "index.c"
        __label__ = 173; break; //@line 382 "index.c"
      case 173: // $bb196
        var $1561=HEAP[$cstr_info_addr]; //@line 382 "index.c"
        var $1562=CHECK_OVERFLOW(($1561+64)&4294967295, 32); //@line 382 "index.c"
        var $1563=HEAP[$1562]; //@line 382 "index.c"
        var $1564=HEAP[$x]; //@line 382 "index.c"
        var $1565=($1563) > ($1564); //@line 382 "index.c"
        if ($1565) { __label__ = 174; break; } else { __label__ = 172; break; } //@line 382 "index.c"
      case 172: // $bb197
        var $1566=HEAP[$stream]; //@line 386 "index.c"
        var $1567=_fclose($1566); //@line 386 "index.c"
        var $1568=HEAP[_stderr]; //@line 388 "index.c"
        var $1569=HEAP[$index_addr]; //@line 388 "index.c"
        var $1570=_fprintf($1568, CHECK_OVERFLOW((__str32120)&4294967295, 32), $1569); //@line 388 "index.c"
        HEAP[$0]=0; //@line 390 "index.c"
        __label__ = 2; break; //@line 390 "index.c"
      case 2: // $bb198
        var $1571=HEAP[$0]; //@line 58 "index.c"
        HEAP[$retval]=$1571; //@line 58 "index.c"
        __label__ = 175; break; //@line 58 "index.c"
      case 175: // $return
        var $retval199=HEAP[$retval]; //@line 58 "index.c"
        STACKTOP = __stackBase__;
        return $retval199; //@line 58 "index.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_floorlog293($a) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $l=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$l]=0; //@line 64 "convert.c"
        __label__ = 0; break; //@line 64 "convert.c"
      case 1: // $bb
        var $1=HEAP[$a_addr]; //@line 65 "convert.c"
        var $2=($1) >> 1; //@line 65 "convert.c"
        HEAP[$a_addr]=$2; //@line 65 "convert.c"
        var $3=HEAP[$l]; //@line 64 "convert.c"
        var $4=CHECK_OVERFLOW((($3) + 1)&4294967295, 32); //@line 64 "convert.c"
        HEAP[$l]=$4; //@line 64 "convert.c"
        __label__ = 0; break; //@line 64 "convert.c"
      case 0: // $bb1
        var $5=HEAP[$a_addr]; //@line 64 "convert.c"
        var $6=($5) > 1; //@line 64 "convert.c"
        if ($6) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 64 "convert.c"
      case 2: // $bb2
        var $7=HEAP[$l]; //@line 67 "convert.c"
        HEAP[$0]=$7; //@line 67 "convert.c"
        var $8=HEAP[$0]; //@line 67 "convert.c"
        HEAP[$retval]=$8; //@line 67 "convert.c"
        __label__ = 3; break; //@line 67 "convert.c"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 67 "convert.c"
        STACKTOP = __stackBase__;
        return $retval3; //@line 67 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_ceildivpow294($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$b_addr]; //@line 76 "convert.c"
        var $2=1 << ($1); //@line 76 "convert.c"
        var $3=HEAP[$a_addr]; //@line 76 "convert.c"
        var $4=CHECK_OVERFLOW((($2) + ($3))&4294967295, 32); //@line 76 "convert.c"
        var $5=CHECK_OVERFLOW((($4) - 1)&4294967295, 32); //@line 76 "convert.c"
        var $6=HEAP[$b_addr]; //@line 76 "convert.c"
        var $7=($5) >> ($6); //@line 76 "convert.c"
        HEAP[$0]=$7; //@line 76 "convert.c"
        var $8=HEAP[$0]; //@line 76 "convert.c"
        HEAP[$retval]=$8; //@line 76 "convert.c"
        __label__ = 0; break; //@line 76 "convert.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 76 "convert.c"
        STACKTOP = __stackBase__;
        return $retval1; //@line 76 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _int_ceildiv95($a, $b) {
    var __stackBase__  = STACKTOP; STACKTOP += 16; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 16);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $a_addr=__stackBase__;
        var $b_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$a_addr]=$a;
        HEAP[$b_addr]=$b;
        var $1=HEAP[$a_addr]; //@line 85 "convert.c"
        var $2=HEAP[$b_addr]; //@line 85 "convert.c"
        var $3=CHECK_OVERFLOW((($1) + ($2))&4294967295, 32); //@line 85 "convert.c"
        var $4=CHECK_OVERFLOW((($3) - 1)&4294967295, 32); //@line 85 "convert.c"
        var $5=HEAP[$b_addr]; //@line 85 "convert.c"
        var $6=(($4)/($5)|0); //@line 85 "convert.c"
        HEAP[$0]=$6; //@line 85 "convert.c"
        var $7=HEAP[$0]; //@line 85 "convert.c"
        HEAP[$retval]=$7; //@line 85 "convert.c"
        __label__ = 0; break; //@line 85 "convert.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 85 "convert.c"
        STACKTOP = __stackBase__;
        return $retval1; //@line 85 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tga_readheader($fp, $bits_per_pixel, $width, $height, $flip_image) {
    var __stackBase__  = STACKTOP; STACKTOP += 54; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 54);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $fp_addr=__stackBase__;
        var $bits_per_pixel_addr=__stackBase__+4;
        var $width_addr=__stackBase__+8;
        var $height_addr=__stackBase__+12;
        var $flip_image_addr=__stackBase__+16;
        var $retval=__stackBase__+20;
        var $0=__stackBase__+24;
        var $palette_size=__stackBase__+28;
        var $tga=__stackBase__+32;
        var $id=__stackBase__+50;
        var $_alloca_point_=0;
        HEAP[$fp_addr]=$fp;
        HEAP[$bits_per_pixel_addr]=$bits_per_pixel;
        HEAP[$width_addr]=$width;
        HEAP[$height_addr]=$height;
        HEAP[$flip_image_addr]=$flip_image;
        var $1=HEAP[$bits_per_pixel_addr]; //@line 126 "convert.c"
        var $2=($1)==0; //@line 126 "convert.c"
        if ($2) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 126 "convert.c"
      case 1: // $bb
        var $3=HEAP[$width_addr]; //@line 126 "convert.c"
        var $4=($3)==0; //@line 126 "convert.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 2; break; } //@line 126 "convert.c"
      case 2: // $bb1
        var $5=HEAP[$height_addr]; //@line 126 "convert.c"
        var $6=($5)==0; //@line 126 "convert.c"
        if ($6) { __label__ = 0; break; } else { __label__ = 3; break; } //@line 126 "convert.c"
      case 3: // $bb2
        var $7=HEAP[$flip_image_addr]; //@line 126 "convert.c"
        var $8=($7)==0; //@line 126 "convert.c"
        if ($8) { __label__ = 0; break; } else { __label__ = 4; break; } //@line 126 "convert.c"
      case 0: // $bb3
        HEAP[$0]=0; //@line 127 "convert.c"
        __label__ = 5; break; //@line 127 "convert.c"
      case 4: // $bb4
        var $tga5=$tga; //@line 130 "convert.c"
        var $9=HEAP[$fp_addr]; //@line 130 "convert.c"
        var $10=_fread($tga5, 18, 1, $9); //@line 130 "convert.c"
        var $11=CHECK_OVERFLOW(($tga+16)&4294967295, 32); //@line 132 "convert.c"
        var $12=HEAP[$11]; //@line 132 "convert.c"
        var $13=($12); //@line 132 "convert.c"
        var $14=HEAP[$bits_per_pixel_addr]; //@line 132 "convert.c"
        HEAP[$14]=$13; //@line 132 "convert.c"
        var $15=CHECK_OVERFLOW(($tga+12)&4294967295, 32); //@line 134 "convert.c"
        var $16=HEAP[$15]; //@line 134 "convert.c"
        var $17=($16); //@line 134 "convert.c"
        var $18=HEAP[$width_addr]; //@line 134 "convert.c"
        HEAP[$18]=$17; //@line 134 "convert.c"
        var $19=CHECK_OVERFLOW(($tga+14)&4294967295, 32); //@line 135 "convert.c"
        var $20=HEAP[$19]; //@line 135 "convert.c"
        var $21=($20); //@line 135 "convert.c"
        var $22=HEAP[$height_addr]; //@line 135 "convert.c"
        HEAP[$22]=$21; //@line 135 "convert.c"
        var $23=CHECK_OVERFLOW(($tga)&4294967295, 32); //@line 138 "convert.c"
        var $24=HEAP[$23]; //@line 138 "convert.c"
        var $25=($24)!=0; //@line 138 "convert.c"
        if ($25) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 138 "convert.c"
      case 6: // $bb6
        var $26=CHECK_OVERFLOW(($tga)&4294967295, 32); //@line 140 "convert.c"
        var $27=HEAP[$26]; //@line 140 "convert.c"
        var $28=($27); //@line 140 "convert.c"
        var $29=_malloc($28); //@line 140 "convert.c"
        HEAP[$id]=$29; //@line 140 "convert.c"
        var $30=CHECK_OVERFLOW(($tga)&4294967295, 32); //@line 141 "convert.c"
        var $31=HEAP[$30]; //@line 141 "convert.c"
        var $32=($31); //@line 141 "convert.c"
        var $33=HEAP[$id]; //@line 141 "convert.c"
        var $34=HEAP[$fp_addr]; //@line 141 "convert.c"
        var $35=_fread($33, $32, 1, $34); //@line 141 "convert.c"
        var $36=HEAP[$id]; //@line 142 "convert.c"
        _free($36); //@line 142 "convert.c"
        __label__ = 7; break; //@line 142 "convert.c"
      case 7: // $bb7
        var $37=CHECK_OVERFLOW(($tga+2)&4294967295, 32); //@line 148 "convert.c"
        var $38=HEAP[$37]; //@line 148 "convert.c"
        var $39=($38) > 8; //@line 148 "convert.c"
        if ($39) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 148 "convert.c"
      case 8: // $bb8
        var $40=HEAP[_stderr]; //@line 150 "convert.c"
        var $41=$40; //@line 150 "convert.c"
        var $42=_fwrite(CHECK_OVERFLOW((__str56121)&4294967295, 32), 1, 57, $41); //@line 150 "convert.c"
        HEAP[$0]=0; //@line 151 "convert.c"
        __label__ = 5; break; //@line 151 "convert.c"
      case 9: // $bb9
        var $43=CHECK_OVERFLOW(($tga+17)&4294967295, 32); //@line 154 "convert.c"
        var $44=HEAP[$43]; //@line 154 "convert.c"
        var $45=($44); //@line 154 "convert.c"
        var $46=($45) & 32; //@line 154 "convert.c"
        var $47=($46)==0; //@line 154 "convert.c"
        var $48=($47); //@line 154 "convert.c"
        var $49=HEAP[$flip_image_addr]; //@line 154 "convert.c"
        HEAP[$49]=$48; //@line 154 "convert.c"
        var $50=CHECK_OVERFLOW(($tga+5)&4294967295, 32); //@line 157 "convert.c"
        var $51=HEAP[$50]; //@line 157 "convert.c"
        var $52=($51); //@line 157 "convert.c"
        var $53=CHECK_OVERFLOW(($tga+7)&4294967295, 32); //@line 157 "convert.c"
        var $54=HEAP[$53]; //@line 157 "convert.c"
        var $55=Math.floor(($54)/8); //@line 157 "convert.c"
        var $56=($55); //@line 157 "convert.c"
        var $57=CHECK_OVERFLOW((($52) * ($56))&4294967295, 32); //@line 157 "convert.c"
        HEAP[$palette_size]=$57; //@line 157 "convert.c"
        var $58=HEAP[$palette_size]; //@line 159 "convert.c"
        var $59=($58) > 0; //@line 159 "convert.c"
        if ($59) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 159 "convert.c"
      case 10: // $bb10
        var $60=HEAP[_stderr]; //@line 161 "convert.c"
        var $61=$60; //@line 161 "convert.c"
        var $62=_fwrite(CHECK_OVERFLOW((__str157)&4294967295, 32), 1, 44, $61); //@line 161 "convert.c"
        var $63=HEAP[$fp_addr]; //@line 162 "convert.c"
        var $64=HEAP[$palette_size]; //@line 162 "convert.c"
        var $65=_fseek($63, $64, 1); //@line 162 "convert.c"
        __label__ = 11; break; //@line 162 "convert.c"
      case 11: // $bb11
        HEAP[$0]=1; //@line 164 "convert.c"
        __label__ = 5; break; //@line 164 "convert.c"
      case 5: // $bb12
        var $66=HEAP[$0]; //@line 127 "convert.c"
        HEAP[$retval]=$66; //@line 127 "convert.c"
        __label__ = 12; break; //@line 127 "convert.c"
      case 12: // $return
        var $retval13=HEAP[$retval]; //@line 127 "convert.c"
        STACKTOP = __stackBase__;
        return $retval13; //@line 127 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tga_writeheader($fp, $bits_per_pixel, $width, $height, $flip_image) {
    var __stackBase__  = STACKTOP; STACKTOP += 46; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 46);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $fp_addr=__stackBase__;
        var $bits_per_pixel_addr=__stackBase__+4;
        var $width_addr=__stackBase__+8;
        var $height_addr=__stackBase__+12;
        var $flip_image_addr=__stackBase__+16;
        var $retval=__stackBase__+20;
        var $0=__stackBase__+24;
        var $tga=__stackBase__+28;
        var $_alloca_point_=0;
        HEAP[$fp_addr]=$fp;
        HEAP[$bits_per_pixel_addr]=$bits_per_pixel;
        HEAP[$width_addr]=$width;
        HEAP[$height_addr]=$height;
        HEAP[$flip_image_addr]=$flip_image;
        var $1=HEAP[$bits_per_pixel_addr]; //@line 172 "convert.c"
        var $2=($1)==0; //@line 172 "convert.c"
        if ($2) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 172 "convert.c"
      case 1: // $bb
        var $3=HEAP[$width_addr]; //@line 172 "convert.c"
        var $4=($3)==0; //@line 172 "convert.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 2; break; } //@line 172 "convert.c"
      case 2: // $bb1
        var $5=HEAP[$height_addr]; //@line 172 "convert.c"
        var $6=($5)==0; //@line 172 "convert.c"
        if ($6) { __label__ = 0; break; } else { __label__ = 3; break; } //@line 172 "convert.c"
      case 0: // $bb2
        HEAP[$0]=0; //@line 173 "convert.c"
        __label__ = 4; break; //@line 173 "convert.c"
      case 3: // $bb3
        var $tga4=$tga; //@line 175 "convert.c"
        _llvm_memset_p0i8_i32($tga4, 0, 18, 1, 0); //@line 175 "convert.c"
        var $7=HEAP[$bits_per_pixel_addr]; //@line 177 "convert.c"
        var $8=((($7)) & 255); //@line 177 "convert.c"
        var $9=CHECK_OVERFLOW(($tga+16)&4294967295, 32); //@line 177 "convert.c"
        HEAP[$9]=$8; //@line 177 "convert.c"
        var $10=HEAP[$width_addr]; //@line 178 "convert.c"
        var $11=((($10)) & 65535); //@line 178 "convert.c"
        var $12=CHECK_OVERFLOW(($tga+12)&4294967295, 32); //@line 178 "convert.c"
        HEAP[$12]=$11; //@line 178 "convert.c"
        var $13=HEAP[$height_addr]; //@line 179 "convert.c"
        var $14=((($13)) & 65535); //@line 179 "convert.c"
        var $15=CHECK_OVERFLOW(($tga+14)&4294967295, 32); //@line 179 "convert.c"
        HEAP[$15]=$14; //@line 179 "convert.c"
        var $16=CHECK_OVERFLOW(($tga+2)&4294967295, 32); //@line 180 "convert.c"
        HEAP[$16]=2; //@line 180 "convert.c"
        var $17=CHECK_OVERFLOW(($tga+17)&4294967295, 32); //@line 181 "convert.c"
        HEAP[$17]=8; //@line 181 "convert.c"
        var $18=HEAP[$flip_image_addr]; //@line 183 "convert.c"
        var $19=($18)!=0; //@line 183 "convert.c"
        if ($19) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 183 "convert.c"
      case 5: // $bb5
        var $20=CHECK_OVERFLOW(($tga+17)&4294967295, 32); //@line 184 "convert.c"
        var $21=HEAP[$20]; //@line 184 "convert.c"
        var $22=($21) | 32; //@line 184 "convert.c"
        var $23=CHECK_OVERFLOW(($tga+17)&4294967295, 32); //@line 184 "convert.c"
        HEAP[$23]=$22; //@line 184 "convert.c"
        __label__ = 6; break; //@line 184 "convert.c"
      case 6: // $bb6
        var $tga7=$tga; //@line 187 "convert.c"
        var $24=HEAP[$fp_addr]; //@line 187 "convert.c"
        var $25=_fwrite($tga7, 18, 1, $24); //@line 187 "convert.c"
        HEAP[$0]=1; //@line 189 "convert.c"
        __label__ = 4; break; //@line 189 "convert.c"
      case 4: // $bb8
        var $26=HEAP[$0]; //@line 173 "convert.c"
        HEAP[$retval]=$26; //@line 173 "convert.c"
        __label__ = 7; break; //@line 173 "convert.c"
      case 7: // $return
        var $retval9=HEAP[$retval]; //@line 173 "convert.c"
        STACKTOP = __stackBase__;
        return $retval9; //@line 173 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tgatoimage($filename, $parameters) {
    var __stackBase__  = STACKTOP; STACKTOP += 255; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 255);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $filename_addr=__stackBase__;
        var $parameters_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $iftmp_29=__stackBase__+12;
        var $iftmp_24=__stackBase__+16;
        var $iftmp_12=__stackBase__+20;
        var $iftmp_11=__stackBase__+24;
        var $iftmp_8=__stackBase__+28;
        var $iftmp_5=__stackBase__+32;
        var $0=__stackBase__+36;
        var $f=__stackBase__+40;
        var $image=__stackBase__+44;
        var $image_width=__stackBase__+48;
        var $image_height=__stackBase__+52;
        var $pixel_bit_depth=__stackBase__+56;
        var $x=__stackBase__+60;
        var $y=__stackBase__+64;
        var $flip_image=__stackBase__+68;
        var $cmptparm=__stackBase__+72;
        var $numcomps=__stackBase__+216;
        var $color_space=__stackBase__+220;
        var $mono=__stackBase__+224;
        var $save_alpha=__stackBase__+228;
        var $subsampling_dx=__stackBase__+232;
        var $subsampling_dy=__stackBase__+236;
        var $i=__stackBase__+240;
        var $index=__stackBase__+244;
        var $r=__stackBase__+248;
        var $g=__stackBase__+249;
        var $b=__stackBase__+250;
        var $r46=__stackBase__+251;
        var $g47=__stackBase__+252;
        var $b48=__stackBase__+253;
        var $a=__stackBase__+254;
        var $_alloca_point_=0;
        HEAP[$filename_addr]=$filename;
        HEAP[$parameters_addr]=$parameters;
        HEAP[$flip_image]=0; //@line 197 "convert.c"
        var $1=HEAP[$filename_addr]; //@line 206 "convert.c"
        var $2=_fopen($1, CHECK_OVERFLOW((__str258)&4294967295, 32)); //@line 206 "convert.c"
        HEAP[$f]=$2; //@line 206 "convert.c"
        var $3=HEAP[$f]; //@line 207 "convert.c"
        var $4=($3)==0; //@line 207 "convert.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 207 "convert.c"
      case 0: // $bb
        var $5=HEAP[_stderr]; //@line 208 "convert.c"
        var $6=HEAP[$filename_addr]; //@line 208 "convert.c"
        var $7=_fprintf($5, CHECK_OVERFLOW((__str359)&4294967295, 32), $6); //@line 208 "convert.c"
        HEAP[$0]=0; //@line 209 "convert.c"
        __label__ = 2; break; //@line 209 "convert.c"
      case 1: // $bb1
        var $8=HEAP[$f]; //@line 212 "convert.c"
        var $9=_tga_readheader($8, $pixel_bit_depth, $image_width, $image_height, $flip_image); //@line 212 "convert.c"
        var $10=($9)==0; //@line 212 "convert.c"
        if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 212 "convert.c"
      case 3: // $bb2
        HEAP[$0]=0; //@line 213 "convert.c"
        __label__ = 2; break; //@line 213 "convert.c"
      case 4: // $bb3
        var $11=HEAP[$pixel_bit_depth]; //@line 216 "convert.c"
        var $12=($11)!=24; //@line 216 "convert.c"
        if ($12) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 216 "convert.c"
      case 5: // $bb4
        var $13=HEAP[$pixel_bit_depth]; //@line 216 "convert.c"
        var $14=($13)!=32; //@line 216 "convert.c"
        if ($14) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 216 "convert.c"
      case 7: // $bb5
        HEAP[$0]=0; //@line 217 "convert.c"
        __label__ = 2; break; //@line 217 "convert.c"
      case 6: // $bb6
        var $15=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 220 "convert.c"
        var $16=$15; //@line 220 "convert.c"
        _llvm_memset_p0i8_i32($16, 0, 144, 1, 0); //@line 220 "convert.c"
        var $17=HEAP[$pixel_bit_depth]; //@line 222 "convert.c"
        var $18=($17)==8; //@line 222 "convert.c"
        if ($18) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 222 "convert.c"
      case 9: // $bb7
        var $19=HEAP[$pixel_bit_depth]; //@line 222 "convert.c"
        var $20=($19)==16; //@line 222 "convert.c"
        if ($20) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 222 "convert.c"
      case 8: // $bb8
        HEAP[$iftmp_5]=1; //@line 222 "convert.c"
        __label__ = 11; break; //@line 222 "convert.c"
      case 10: // $bb9
        HEAP[$iftmp_5]=0; //@line 222 "convert.c"
        __label__ = 11; break; //@line 222 "convert.c"
      case 11: // $bb10
        var $21=HEAP[$iftmp_5]; //@line 222 "convert.c"
        HEAP[$mono]=$21; //@line 222 "convert.c"
        var $22=HEAP[$pixel_bit_depth]; //@line 223 "convert.c"
        var $23=($22)==16; //@line 223 "convert.c"
        if ($23) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 223 "convert.c"
      case 13: // $bb11
        var $24=HEAP[$pixel_bit_depth]; //@line 223 "convert.c"
        var $25=($24)==32; //@line 223 "convert.c"
        if ($25) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 223 "convert.c"
      case 12: // $bb12
        HEAP[$iftmp_8]=1; //@line 223 "convert.c"
        __label__ = 15; break; //@line 223 "convert.c"
      case 14: // $bb13
        HEAP[$iftmp_8]=0; //@line 223 "convert.c"
        __label__ = 15; break; //@line 223 "convert.c"
      case 15: // $bb14
        var $26=HEAP[$iftmp_8]; //@line 223 "convert.c"
        HEAP[$save_alpha]=$26; //@line 223 "convert.c"
        var $27=HEAP[$mono]; //@line 225 "convert.c"
        var $28=($27)!=0; //@line 225 "convert.c"
        if ($28) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 225 "convert.c"
      case 16: // $bb15
        HEAP[$color_space]=2; //@line 226 "convert.c"
        var $29=HEAP[$save_alpha]; //@line 227 "convert.c"
        var $30=($29)!=0; //@line 227 "convert.c"
        if ($30) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 227 "convert.c"
      case 18: // $bb16
        HEAP[$iftmp_11]=2; //@line 227 "convert.c"
        __label__ = 20; break; //@line 227 "convert.c"
      case 19: // $bb17
        HEAP[$iftmp_11]=1; //@line 227 "convert.c"
        __label__ = 20; break; //@line 227 "convert.c"
      case 20: // $bb18
        var $31=HEAP[$iftmp_11]; //@line 227 "convert.c"
        HEAP[$numcomps]=$31; //@line 227 "convert.c"
        __label__ = 21; break; //@line 227 "convert.c"
      case 17: // $bb19
        var $32=HEAP[$save_alpha]; //@line 230 "convert.c"
        var $33=($32)!=0; //@line 230 "convert.c"
        if ($33) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 230 "convert.c"
      case 22: // $bb20
        HEAP[$iftmp_12]=4; //@line 230 "convert.c"
        __label__ = 24; break; //@line 230 "convert.c"
      case 23: // $bb21
        HEAP[$iftmp_12]=3; //@line 230 "convert.c"
        __label__ = 24; break; //@line 230 "convert.c"
      case 24: // $bb22
        var $34=HEAP[$iftmp_12]; //@line 230 "convert.c"
        HEAP[$numcomps]=$34; //@line 230 "convert.c"
        HEAP[$color_space]=1; //@line 231 "convert.c"
        __label__ = 21; break; //@line 231 "convert.c"
      case 21: // $bb23
        var $35=HEAP[$parameters_addr]; //@line 234 "convert.c"
        var $36=CHECK_OVERFLOW(($35+18188)&4294967295, 32); //@line 234 "convert.c"
        var $37=HEAP[$36]; //@line 234 "convert.c"
        HEAP[$subsampling_dx]=$37; //@line 234 "convert.c"
        var $38=HEAP[$parameters_addr]; //@line 235 "convert.c"
        var $39=CHECK_OVERFLOW(($38+18192)&4294967295, 32); //@line 235 "convert.c"
        var $40=HEAP[$39]; //@line 235 "convert.c"
        HEAP[$subsampling_dy]=$40; //@line 235 "convert.c"
        HEAP[$i]=0; //@line 237 "convert.c"
        __label__ = 25; break; //@line 237 "convert.c"
      case 26: // $bb24
        var $41=HEAP[$i]; //@line 238 "convert.c"
        var $42=CHECK_OVERFLOW(($cmptparm+$41*36)&4294967295, 32); //@line 238 "convert.c"
        var $43=CHECK_OVERFLOW(($42+24)&4294967295, 32); //@line 238 "convert.c"
        HEAP[$43]=8; //@line 238 "convert.c"
        var $44=HEAP[$i]; //@line 239 "convert.c"
        var $45=CHECK_OVERFLOW(($cmptparm+$44*36)&4294967295, 32); //@line 239 "convert.c"
        var $46=CHECK_OVERFLOW(($45+28)&4294967295, 32); //@line 239 "convert.c"
        HEAP[$46]=8; //@line 239 "convert.c"
        var $47=HEAP[$i]; //@line 240 "convert.c"
        var $48=CHECK_OVERFLOW(($cmptparm+$47*36)&4294967295, 32); //@line 240 "convert.c"
        var $49=CHECK_OVERFLOW(($48+32)&4294967295, 32); //@line 240 "convert.c"
        HEAP[$49]=0; //@line 240 "convert.c"
        var $50=HEAP[$i]; //@line 241 "convert.c"
        var $51=CHECK_OVERFLOW(($cmptparm+$50*36)&4294967295, 32); //@line 241 "convert.c"
        var $52=CHECK_OVERFLOW(($51)&4294967295, 32); //@line 241 "convert.c"
        var $53=HEAP[$subsampling_dx]; //@line 241 "convert.c"
        HEAP[$52]=$53; //@line 241 "convert.c"
        var $54=HEAP[$i]; //@line 242 "convert.c"
        var $55=CHECK_OVERFLOW(($cmptparm+$54*36)&4294967295, 32); //@line 242 "convert.c"
        var $56=CHECK_OVERFLOW(($55+4)&4294967295, 32); //@line 242 "convert.c"
        var $57=HEAP[$subsampling_dy]; //@line 242 "convert.c"
        HEAP[$56]=$57; //@line 242 "convert.c"
        var $58=HEAP[$i]; //@line 243 "convert.c"
        var $59=HEAP[$image_width]; //@line 243 "convert.c"
        var $60=CHECK_OVERFLOW(($cmptparm+$58*36)&4294967295, 32); //@line 243 "convert.c"
        var $61=CHECK_OVERFLOW(($60+8)&4294967295, 32); //@line 243 "convert.c"
        HEAP[$61]=$59; //@line 243 "convert.c"
        var $62=HEAP[$i]; //@line 244 "convert.c"
        var $63=HEAP[$image_height]; //@line 244 "convert.c"
        var $64=CHECK_OVERFLOW(($cmptparm+$62*36)&4294967295, 32); //@line 244 "convert.c"
        var $65=CHECK_OVERFLOW(($64+12)&4294967295, 32); //@line 244 "convert.c"
        HEAP[$65]=$63; //@line 244 "convert.c"
        var $66=HEAP[$i]; //@line 237 "convert.c"
        var $67=CHECK_OVERFLOW((($66) + 1)&4294967295, 32); //@line 237 "convert.c"
        HEAP[$i]=$67; //@line 237 "convert.c"
        __label__ = 25; break; //@line 237 "convert.c"
      case 25: // $bb25
        var $68=HEAP[$i]; //@line 237 "convert.c"
        var $69=HEAP[$numcomps]; //@line 237 "convert.c"
        var $70=($68) < ($69); //@line 237 "convert.c"
        if ($70) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 237 "convert.c"
      case 27: // $bb26
        var $71=HEAP[$numcomps]; //@line 248 "convert.c"
        var $72=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 248 "convert.c"
        var $73=HEAP[$color_space]; //@line 248 "convert.c"
        var $74=_opj_image_create($71, $72, $73); //@line 248 "convert.c"
        HEAP[$image]=$74; //@line 248 "convert.c"
        var $75=HEAP[$image]; //@line 250 "convert.c"
        var $76=($75)==0; //@line 250 "convert.c"
        if ($76) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 250 "convert.c"
      case 28: // $bb27
        HEAP[$0]=0; //@line 251 "convert.c"
        __label__ = 2; break; //@line 251 "convert.c"
      case 29: // $bb28
        var $77=HEAP[$parameters_addr]; //@line 254 "convert.c"
        var $78=CHECK_OVERFLOW(($77+18180)&4294967295, 32); //@line 254 "convert.c"
        var $79=HEAP[$78]; //@line 254 "convert.c"
        var $80=HEAP[$image]; //@line 254 "convert.c"
        var $81=CHECK_OVERFLOW(($80)&4294967295, 32); //@line 254 "convert.c"
        HEAP[$81]=$79; //@line 254 "convert.c"
        var $82=HEAP[$parameters_addr]; //@line 255 "convert.c"
        var $83=CHECK_OVERFLOW(($82+18184)&4294967295, 32); //@line 255 "convert.c"
        var $84=HEAP[$83]; //@line 255 "convert.c"
        var $85=HEAP[$image]; //@line 255 "convert.c"
        var $86=CHECK_OVERFLOW(($85+4)&4294967295, 32); //@line 255 "convert.c"
        HEAP[$86]=$84; //@line 255 "convert.c"
        var $87=HEAP[$image]; //@line 256 "convert.c"
        var $88=CHECK_OVERFLOW(($87)&4294967295, 32); //@line 256 "convert.c"
        var $89=HEAP[$88]; //@line 256 "convert.c"
        var $90=($89)==0; //@line 256 "convert.c"
        if ($90) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 256 "convert.c"
      case 30: // $bb29
        var $91=HEAP[$image_width]; //@line 256 "convert.c"
        var $92=CHECK_OVERFLOW((($91) - 1)&4294967295, 32); //@line 256 "convert.c"
        var $93=HEAP[$subsampling_dx]; //@line 256 "convert.c"
        var $94=CHECK_OVERFLOW((($92) * ($93))&4294967295, 32); //@line 256 "convert.c"
        var $95=CHECK_OVERFLOW((($94) + 1)&4294967295, 32); //@line 256 "convert.c"
        HEAP[$iftmp_24]=$95; //@line 256 "convert.c"
        __label__ = 32; break; //@line 256 "convert.c"
      case 31: // $bb30
        var $96=HEAP[$image]; //@line 256 "convert.c"
        var $97=CHECK_OVERFLOW(($96)&4294967295, 32); //@line 256 "convert.c"
        var $98=HEAP[$97]; //@line 256 "convert.c"
        var $99=HEAP[$image_width]; //@line 256 "convert.c"
        var $100=CHECK_OVERFLOW((($99) - 1)&4294967295, 32); //@line 256 "convert.c"
        var $101=HEAP[$subsampling_dx]; //@line 256 "convert.c"
        var $102=CHECK_OVERFLOW((($100) * ($101))&4294967295, 32); //@line 256 "convert.c"
        var $103=CHECK_OVERFLOW((($98) + ($102))&4294967295, 32); //@line 256 "convert.c"
        var $104=CHECK_OVERFLOW((($103) + 1)&4294967295, 32); //@line 256 "convert.c"
        HEAP[$iftmp_24]=$104; //@line 256 "convert.c"
        __label__ = 32; break; //@line 256 "convert.c"
      case 32: // $bb31
        var $105=HEAP[$image]; //@line 256 "convert.c"
        var $106=CHECK_OVERFLOW(($105+8)&4294967295, 32); //@line 256 "convert.c"
        var $107=HEAP[$iftmp_24]; //@line 256 "convert.c"
        HEAP[$106]=$107; //@line 256 "convert.c"
        var $108=HEAP[$image]; //@line 257 "convert.c"
        var $109=CHECK_OVERFLOW(($108+4)&4294967295, 32); //@line 257 "convert.c"
        var $110=HEAP[$109]; //@line 257 "convert.c"
        var $111=($110)==0; //@line 257 "convert.c"
        if ($111) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 257 "convert.c"
      case 33: // $bb32
        var $112=HEAP[$image_height]; //@line 257 "convert.c"
        var $113=CHECK_OVERFLOW((($112) - 1)&4294967295, 32); //@line 257 "convert.c"
        var $114=HEAP[$subsampling_dy]; //@line 257 "convert.c"
        var $115=CHECK_OVERFLOW((($113) * ($114))&4294967295, 32); //@line 257 "convert.c"
        var $116=CHECK_OVERFLOW((($115) + 1)&4294967295, 32); //@line 257 "convert.c"
        HEAP[$iftmp_29]=$116; //@line 257 "convert.c"
        __label__ = 35; break; //@line 257 "convert.c"
      case 34: // $bb33
        var $117=HEAP[$image]; //@line 257 "convert.c"
        var $118=CHECK_OVERFLOW(($117+4)&4294967295, 32); //@line 257 "convert.c"
        var $119=HEAP[$118]; //@line 257 "convert.c"
        var $120=HEAP[$image_height]; //@line 257 "convert.c"
        var $121=CHECK_OVERFLOW((($120) - 1)&4294967295, 32); //@line 257 "convert.c"
        var $122=HEAP[$subsampling_dy]; //@line 257 "convert.c"
        var $123=CHECK_OVERFLOW((($121) * ($122))&4294967295, 32); //@line 257 "convert.c"
        var $124=CHECK_OVERFLOW((($119) + ($123))&4294967295, 32); //@line 257 "convert.c"
        var $125=CHECK_OVERFLOW((($124) + 1)&4294967295, 32); //@line 257 "convert.c"
        HEAP[$iftmp_29]=$125; //@line 257 "convert.c"
        __label__ = 35; break; //@line 257 "convert.c"
      case 35: // $bb34
        var $126=HEAP[$image]; //@line 257 "convert.c"
        var $127=CHECK_OVERFLOW(($126+12)&4294967295, 32); //@line 257 "convert.c"
        var $128=HEAP[$iftmp_29]; //@line 257 "convert.c"
        HEAP[$127]=$128; //@line 257 "convert.c"
        HEAP[$y]=0; //@line 260 "convert.c"
        __label__ = 36; break; //@line 260 "convert.c"
      case 51: // $bb35
        var $129=HEAP[$flip_image]; //@line 264 "convert.c"
        var $130=($129)!=0; //@line 264 "convert.c"
        if ($130) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 264 "convert.c"
      case 37: // $bb36
        var $131=HEAP[$image_height]; //@line 265 "convert.c"
        var $132=HEAP[$y]; //@line 265 "convert.c"
        var $133=CHECK_OVERFLOW((($131) - ($132))&4294967295, 32); //@line 265 "convert.c"
        var $134=CHECK_OVERFLOW((($133) - 1)&4294967295, 32); //@line 265 "convert.c"
        var $135=HEAP[$image_width]; //@line 265 "convert.c"
        var $136=CHECK_OVERFLOW((($134) * ($135))&4294967295, 32); //@line 265 "convert.c"
        HEAP[$index]=$136; //@line 265 "convert.c"
        __label__ = 39; break; //@line 265 "convert.c"
      case 38: // $bb37
        var $137=HEAP[$image_width]; //@line 267 "convert.c"
        var $138=HEAP[$y]; //@line 267 "convert.c"
        var $139=CHECK_OVERFLOW((($138) * ($137))&4294967295, 32); //@line 267 "convert.c"
        HEAP[$index]=$139; //@line 267 "convert.c"
        __label__ = 39; break; //@line 267 "convert.c"
      case 39: // $bb38
        var $140=HEAP[$numcomps]; //@line 269 "convert.c"
        var $141=($140)==3; //@line 269 "convert.c"
        if ($141) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 269 "convert.c"
      case 40: // $bb39
        HEAP[$x]=0; //@line 271 "convert.c"
        __label__ = 42; break; //@line 271 "convert.c"
      case 43: // $bb40
        var $142=HEAP[$f]; //@line 274 "convert.c"
        var $143=_fread($b, 1, 1, $142); //@line 274 "convert.c"
        var $144=HEAP[$f]; //@line 275 "convert.c"
        var $145=_fread($g, 1, 1, $144); //@line 275 "convert.c"
        var $146=HEAP[$f]; //@line 276 "convert.c"
        var $147=_fread($r, 1, 1, $146); //@line 276 "convert.c"
        var $148=HEAP[$image]; //@line 278 "convert.c"
        var $149=CHECK_OVERFLOW(($148+24)&4294967295, 32); //@line 278 "convert.c"
        var $150=HEAP[$149]; //@line 278 "convert.c"
        var $151=CHECK_OVERFLOW(($150)&4294967295, 32); //@line 278 "convert.c"
        var $152=CHECK_OVERFLOW(($151+44)&4294967295, 32); //@line 278 "convert.c"
        var $153=HEAP[$152]; //@line 278 "convert.c"
        var $154=HEAP[$r]; //@line 278 "convert.c"
        var $155=($154); //@line 278 "convert.c"
        var $156=HEAP[$index]; //@line 278 "convert.c"
        var $157=CHECK_OVERFLOW(($153+4*$156)&4294967295, 32); //@line 278 "convert.c"
        HEAP[$157]=$155; //@line 278 "convert.c"
        var $158=HEAP[$image]; //@line 279 "convert.c"
        var $159=CHECK_OVERFLOW(($158+24)&4294967295, 32); //@line 279 "convert.c"
        var $160=HEAP[$159]; //@line 279 "convert.c"
        var $161=CHECK_OVERFLOW(($160+48)&4294967295, 32); //@line 279 "convert.c"
        var $162=CHECK_OVERFLOW(($161+44)&4294967295, 32); //@line 279 "convert.c"
        var $163=HEAP[$162]; //@line 279 "convert.c"
        var $164=HEAP[$g]; //@line 279 "convert.c"
        var $165=($164); //@line 279 "convert.c"
        var $166=HEAP[$index]; //@line 279 "convert.c"
        var $167=CHECK_OVERFLOW(($163+4*$166)&4294967295, 32); //@line 279 "convert.c"
        HEAP[$167]=$165; //@line 279 "convert.c"
        var $168=HEAP[$image]; //@line 280 "convert.c"
        var $169=CHECK_OVERFLOW(($168+24)&4294967295, 32); //@line 280 "convert.c"
        var $170=HEAP[$169]; //@line 280 "convert.c"
        var $171=CHECK_OVERFLOW(($170+96)&4294967295, 32); //@line 280 "convert.c"
        var $172=CHECK_OVERFLOW(($171+44)&4294967295, 32); //@line 280 "convert.c"
        var $173=HEAP[$172]; //@line 280 "convert.c"
        var $174=HEAP[$b]; //@line 280 "convert.c"
        var $175=($174); //@line 280 "convert.c"
        var $176=HEAP[$index]; //@line 280 "convert.c"
        var $177=CHECK_OVERFLOW(($173+4*$176)&4294967295, 32); //@line 280 "convert.c"
        HEAP[$177]=$175; //@line 280 "convert.c"
        var $178=HEAP[$index]; //@line 281 "convert.c"
        var $179=CHECK_OVERFLOW((($178) + 1)&4294967295, 32); //@line 281 "convert.c"
        HEAP[$index]=$179; //@line 281 "convert.c"
        var $180=HEAP[$x]; //@line 271 "convert.c"
        var $181=CHECK_OVERFLOW((($180) + 1)&4294967295, 32); //@line 271 "convert.c"
        HEAP[$x]=$181; //@line 271 "convert.c"
        __label__ = 42; break; //@line 271 "convert.c"
      case 42: // $bb41
        var $182=HEAP[$image_width]; //@line 271 "convert.c"
        var $183=HEAP[$x]; //@line 271 "convert.c"
        var $184=($183) < ($182); //@line 271 "convert.c"
        if ($184) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 271 "convert.c"
      case 44: // $bb42
        __label__ = 45; break; //@line 271 "convert.c"
      case 41: // $bb43
        var $185=HEAP[$numcomps]; //@line 284 "convert.c"
        var $186=($185)==4; //@line 284 "convert.c"
        if ($186) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 284 "convert.c"
      case 46: // $bb44
        HEAP[$x]=0; //@line 286 "convert.c"
        __label__ = 48; break; //@line 286 "convert.c"
      case 49: // $bb45
        var $187=HEAP[$f]; //@line 289 "convert.c"
        var $188=_fread($b48, 1, 1, $187); //@line 289 "convert.c"
        var $189=HEAP[$f]; //@line 290 "convert.c"
        var $190=_fread($g47, 1, 1, $189); //@line 290 "convert.c"
        var $191=HEAP[$f]; //@line 291 "convert.c"
        var $192=_fread($r46, 1, 1, $191); //@line 291 "convert.c"
        var $193=HEAP[$f]; //@line 292 "convert.c"
        var $194=_fread($a, 1, 1, $193); //@line 292 "convert.c"
        var $195=HEAP[$image]; //@line 294 "convert.c"
        var $196=CHECK_OVERFLOW(($195+24)&4294967295, 32); //@line 294 "convert.c"
        var $197=HEAP[$196]; //@line 294 "convert.c"
        var $198=CHECK_OVERFLOW(($197)&4294967295, 32); //@line 294 "convert.c"
        var $199=CHECK_OVERFLOW(($198+44)&4294967295, 32); //@line 294 "convert.c"
        var $200=HEAP[$199]; //@line 294 "convert.c"
        var $201=HEAP[$r46]; //@line 294 "convert.c"
        var $202=($201); //@line 294 "convert.c"
        var $203=HEAP[$index]; //@line 294 "convert.c"
        var $204=CHECK_OVERFLOW(($200+4*$203)&4294967295, 32); //@line 294 "convert.c"
        HEAP[$204]=$202; //@line 294 "convert.c"
        var $205=HEAP[$image]; //@line 295 "convert.c"
        var $206=CHECK_OVERFLOW(($205+24)&4294967295, 32); //@line 295 "convert.c"
        var $207=HEAP[$206]; //@line 295 "convert.c"
        var $208=CHECK_OVERFLOW(($207+48)&4294967295, 32); //@line 295 "convert.c"
        var $209=CHECK_OVERFLOW(($208+44)&4294967295, 32); //@line 295 "convert.c"
        var $210=HEAP[$209]; //@line 295 "convert.c"
        var $211=HEAP[$g47]; //@line 295 "convert.c"
        var $212=($211); //@line 295 "convert.c"
        var $213=HEAP[$index]; //@line 295 "convert.c"
        var $214=CHECK_OVERFLOW(($210+4*$213)&4294967295, 32); //@line 295 "convert.c"
        HEAP[$214]=$212; //@line 295 "convert.c"
        var $215=HEAP[$image]; //@line 296 "convert.c"
        var $216=CHECK_OVERFLOW(($215+24)&4294967295, 32); //@line 296 "convert.c"
        var $217=HEAP[$216]; //@line 296 "convert.c"
        var $218=CHECK_OVERFLOW(($217+96)&4294967295, 32); //@line 296 "convert.c"
        var $219=CHECK_OVERFLOW(($218+44)&4294967295, 32); //@line 296 "convert.c"
        var $220=HEAP[$219]; //@line 296 "convert.c"
        var $221=HEAP[$b48]; //@line 296 "convert.c"
        var $222=($221); //@line 296 "convert.c"
        var $223=HEAP[$index]; //@line 296 "convert.c"
        var $224=CHECK_OVERFLOW(($220+4*$223)&4294967295, 32); //@line 296 "convert.c"
        HEAP[$224]=$222; //@line 296 "convert.c"
        var $225=HEAP[$image]; //@line 297 "convert.c"
        var $226=CHECK_OVERFLOW(($225+24)&4294967295, 32); //@line 297 "convert.c"
        var $227=HEAP[$226]; //@line 297 "convert.c"
        var $228=CHECK_OVERFLOW(($227+144)&4294967295, 32); //@line 297 "convert.c"
        var $229=CHECK_OVERFLOW(($228+44)&4294967295, 32); //@line 297 "convert.c"
        var $230=HEAP[$229]; //@line 297 "convert.c"
        var $231=HEAP[$a]; //@line 297 "convert.c"
        var $232=($231); //@line 297 "convert.c"
        var $233=HEAP[$index]; //@line 297 "convert.c"
        var $234=CHECK_OVERFLOW(($230+4*$233)&4294967295, 32); //@line 297 "convert.c"
        HEAP[$234]=$232; //@line 297 "convert.c"
        var $235=HEAP[$index]; //@line 298 "convert.c"
        var $236=CHECK_OVERFLOW((($235) + 1)&4294967295, 32); //@line 298 "convert.c"
        HEAP[$index]=$236; //@line 298 "convert.c"
        var $237=HEAP[$x]; //@line 286 "convert.c"
        var $238=CHECK_OVERFLOW((($237) + 1)&4294967295, 32); //@line 286 "convert.c"
        HEAP[$x]=$238; //@line 286 "convert.c"
        __label__ = 48; break; //@line 286 "convert.c"
      case 48: // $bb49
        var $239=HEAP[$image_width]; //@line 286 "convert.c"
        var $240=HEAP[$x]; //@line 286 "convert.c"
        var $241=($240) < ($239); //@line 286 "convert.c"
        if ($241) { __label__ = 49; break; } else { __label__ = 50; break; } //@line 286 "convert.c"
      case 50: // $bb50
        __label__ = 45; break; //@line 286 "convert.c"
      case 47: // $bb51
        var $242=HEAP[_stderr]; //@line 302 "convert.c"
        var $243=HEAP[$filename_addr]; //@line 302 "convert.c"
        var $244=_fprintf($242, CHECK_OVERFLOW((__str460)&4294967295, 32), $243); //@line 302 "convert.c"
        __label__ = 45; break; //@line 302 "convert.c"
      case 45: // $bb52
        var $245=HEAP[$y]; //@line 260 "convert.c"
        var $246=CHECK_OVERFLOW((($245) + 1)&4294967295, 32); //@line 260 "convert.c"
        HEAP[$y]=$246; //@line 260 "convert.c"
        __label__ = 36; break; //@line 260 "convert.c"
      case 36: // $bb53
        var $247=HEAP[$image_height]; //@line 260 "convert.c"
        var $248=HEAP[$y]; //@line 260 "convert.c"
        var $249=($248) < ($247); //@line 260 "convert.c"
        if ($249) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 260 "convert.c"
      case 52: // $bb54
        var $250=HEAP[$image]; //@line 305 "convert.c"
        HEAP[$0]=$250; //@line 305 "convert.c"
        __label__ = 2; break; //@line 305 "convert.c"
      case 2: // $bb55
        var $251=HEAP[$0]; //@line 209 "convert.c"
        HEAP[$retval]=$251; //@line 209 "convert.c"
        __label__ = 53; break; //@line 209 "convert.c"
      case 53: // $return
        var $retval56=HEAP[$retval]; //@line 209 "convert.c"
        STACKTOP = __stackBase__;
        return $retval56; //@line 209 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _imagetotga($image, $outfile) {
    var __stackBase__  = STACKTOP; STACKTOP += 85; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 85);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $image_addr=__stackBase__;
        var $outfile_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $iftmp_52=__stackBase__+12;
        var $iftmp_51=__stackBase__+16;
        var $0=__stackBase__+20;
        var $width=__stackBase__+24;
        var $height=__stackBase__+28;
        var $bpp=__stackBase__+32;
        var $x=__stackBase__+36;
        var $y=__stackBase__+40;
        var $write_alpha=__stackBase__+44;
        var $i=__stackBase__+48;
        var $alpha_channel=__stackBase__+52;
        var $r=__stackBase__+56;
        var $g=__stackBase__+60;
        var $b=__stackBase__+64;
        var $a=__stackBase__+68;
        var $value=__stackBase__+72;
        var $scale=__stackBase__+73;
        var $fdest=__stackBase__+77;
        var $index=__stackBase__+81;
        var $_alloca_point_=0;
        HEAP[$image_addr]=$image;
        HEAP[$outfile_addr]=$outfile;
        var $1=HEAP[$outfile_addr]; //@line 318 "convert.c"
        var $2=_fopen($1, CHECK_OVERFLOW((__str561)&4294967295, 32)); //@line 318 "convert.c"
        HEAP[$fdest]=$2; //@line 318 "convert.c"
        var $3=HEAP[$fdest]; //@line 319 "convert.c"
        var $4=($3)==0; //@line 319 "convert.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 319 "convert.c"
      case 0: // $bb
        var $5=HEAP[_stderr]; //@line 320 "convert.c"
        var $6=HEAP[$outfile_addr]; //@line 320 "convert.c"
        var $7=_fprintf($5, CHECK_OVERFLOW((__str662)&4294967295, 32), $6); //@line 320 "convert.c"
        HEAP[$0]=1; //@line 321 "convert.c"
        __label__ = 2; break; //@line 321 "convert.c"
      case 1: // $bb1
        HEAP[$i]=0; //@line 324 "convert.c"
        __label__ = 3; break; //@line 324 "convert.c"
      case 8: // $bb2
        var $8=HEAP[$image_addr]; //@line 325 "convert.c"
        var $9=CHECK_OVERFLOW(($8+24)&4294967295, 32); //@line 325 "convert.c"
        var $10=HEAP[$9]; //@line 325 "convert.c"
        var $11=CHECK_OVERFLOW(($10)&4294967295, 32); //@line 325 "convert.c"
        var $12=CHECK_OVERFLOW(($11)&4294967295, 32); //@line 325 "convert.c"
        var $13=HEAP[$12]; //@line 325 "convert.c"
        var $14=HEAP[$image_addr]; //@line 325 "convert.c"
        var $15=CHECK_OVERFLOW(($14+24)&4294967295, 32); //@line 325 "convert.c"
        var $16=HEAP[$15]; //@line 325 "convert.c"
        var $17=HEAP[$i]; //@line 325 "convert.c"
        var $18=CHECK_OVERFLOW((($17) + 1)&4294967295, 32); //@line 325 "convert.c"
        var $19=CHECK_OVERFLOW(($16+48*$18)&4294967295, 32); //@line 325 "convert.c"
        var $20=CHECK_OVERFLOW(($19)&4294967295, 32); //@line 325 "convert.c"
        var $21=HEAP[$20]; //@line 325 "convert.c"
        var $22=($13)!=($21); //@line 325 "convert.c"
        if ($22) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 325 "convert.c"
      case 5: // $bb3
        var $23=HEAP[$image_addr]; //@line 325 "convert.c"
        var $24=CHECK_OVERFLOW(($23+24)&4294967295, 32); //@line 325 "convert.c"
        var $25=HEAP[$24]; //@line 325 "convert.c"
        var $26=CHECK_OVERFLOW(($25)&4294967295, 32); //@line 325 "convert.c"
        var $27=CHECK_OVERFLOW(($26+4)&4294967295, 32); //@line 325 "convert.c"
        var $28=HEAP[$27]; //@line 325 "convert.c"
        var $29=HEAP[$image_addr]; //@line 325 "convert.c"
        var $30=CHECK_OVERFLOW(($29+24)&4294967295, 32); //@line 325 "convert.c"
        var $31=HEAP[$30]; //@line 325 "convert.c"
        var $32=HEAP[$i]; //@line 325 "convert.c"
        var $33=CHECK_OVERFLOW((($32) + 1)&4294967295, 32); //@line 325 "convert.c"
        var $34=CHECK_OVERFLOW(($31+48*$33)&4294967295, 32); //@line 325 "convert.c"
        var $35=CHECK_OVERFLOW(($34+4)&4294967295, 32); //@line 325 "convert.c"
        var $36=HEAP[$35]; //@line 325 "convert.c"
        var $37=($28)!=($36); //@line 325 "convert.c"
        if ($37) { __label__ = 4; break; } else { __label__ = 6; break; } //@line 325 "convert.c"
      case 6: // $bb4
        var $38=HEAP[$image_addr]; //@line 325 "convert.c"
        var $39=CHECK_OVERFLOW(($38+24)&4294967295, 32); //@line 325 "convert.c"
        var $40=HEAP[$39]; //@line 325 "convert.c"
        var $41=CHECK_OVERFLOW(($40)&4294967295, 32); //@line 325 "convert.c"
        var $42=CHECK_OVERFLOW(($41+24)&4294967295, 32); //@line 325 "convert.c"
        var $43=HEAP[$42]; //@line 325 "convert.c"
        var $44=HEAP[$image_addr]; //@line 325 "convert.c"
        var $45=CHECK_OVERFLOW(($44+24)&4294967295, 32); //@line 325 "convert.c"
        var $46=HEAP[$45]; //@line 325 "convert.c"
        var $47=HEAP[$i]; //@line 325 "convert.c"
        var $48=CHECK_OVERFLOW((($47) + 1)&4294967295, 32); //@line 325 "convert.c"
        var $49=CHECK_OVERFLOW(($46+48*$48)&4294967295, 32); //@line 325 "convert.c"
        var $50=CHECK_OVERFLOW(($49+24)&4294967295, 32); //@line 325 "convert.c"
        var $51=HEAP[$50]; //@line 325 "convert.c"
        var $52=($43)!=($51); //@line 325 "convert.c"
        if ($52) { __label__ = 4; break; } else { __label__ = 7; break; } //@line 325 "convert.c"
      case 4: // $bb5
        var $53=HEAP[_stderr]; //@line 328 "convert.c"
        var $54=$53; //@line 328 "convert.c"
        var $55=_fwrite(CHECK_OVERFLOW((__str763)&4294967295, 32), 1, 63, $54); //@line 328 "convert.c"
        HEAP[$0]=1; //@line 329 "convert.c"
        __label__ = 2; break; //@line 329 "convert.c"
      case 7: // $bb6
        var $56=HEAP[$i]; //@line 324 "convert.c"
        var $57=CHECK_OVERFLOW((($56) + 1)&4294967295, 32); //@line 324 "convert.c"
        HEAP[$i]=$57; //@line 324 "convert.c"
        __label__ = 3; break; //@line 324 "convert.c"
      case 3: // $bb7
        var $58=HEAP[$image_addr]; //@line 324 "convert.c"
        var $59=CHECK_OVERFLOW(($58+16)&4294967295, 32); //@line 324 "convert.c"
        var $60=HEAP[$59]; //@line 324 "convert.c"
        var $61=CHECK_OVERFLOW((($60) - 1)&4294967295, 32); //@line 324 "convert.c"
        var $62=HEAP[$i]; //@line 324 "convert.c"
        var $63=($61) > ($62); //@line 324 "convert.c"
        if ($63) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 324 "convert.c"
      case 9: // $bb8
        var $64=HEAP[$image_addr]; //@line 333 "convert.c"
        var $65=CHECK_OVERFLOW(($64+24)&4294967295, 32); //@line 333 "convert.c"
        var $66=HEAP[$65]; //@line 333 "convert.c"
        var $67=CHECK_OVERFLOW(($66)&4294967295, 32); //@line 333 "convert.c"
        var $68=CHECK_OVERFLOW(($67+8)&4294967295, 32); //@line 333 "convert.c"
        var $69=HEAP[$68]; //@line 333 "convert.c"
        HEAP[$width]=$69; //@line 333 "convert.c"
        var $70=HEAP[$image_addr]; //@line 334 "convert.c"
        var $71=CHECK_OVERFLOW(($70+24)&4294967295, 32); //@line 334 "convert.c"
        var $72=HEAP[$71]; //@line 334 "convert.c"
        var $73=CHECK_OVERFLOW(($72)&4294967295, 32); //@line 334 "convert.c"
        var $74=CHECK_OVERFLOW(($73+12)&4294967295, 32); //@line 334 "convert.c"
        var $75=HEAP[$74]; //@line 334 "convert.c"
        HEAP[$height]=$75; //@line 334 "convert.c"
        var $76=HEAP[$image_addr]; //@line 337 "convert.c"
        var $77=CHECK_OVERFLOW(($76+16)&4294967295, 32); //@line 337 "convert.c"
        var $78=HEAP[$77]; //@line 337 "convert.c"
        var $79=($78)==2; //@line 337 "convert.c"
        if ($79) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 337 "convert.c"
      case 11: // $bb9
        var $80=HEAP[$image_addr]; //@line 337 "convert.c"
        var $81=CHECK_OVERFLOW(($80+16)&4294967295, 32); //@line 337 "convert.c"
        var $82=HEAP[$81]; //@line 337 "convert.c"
        var $83=($82)==4; //@line 337 "convert.c"
        if ($83) { __label__ = 10; break; } else { __label__ = 12; break; } //@line 337 "convert.c"
      case 10: // $bb10
        HEAP[$iftmp_51]=1; //@line 337 "convert.c"
        __label__ = 13; break; //@line 337 "convert.c"
      case 12: // $bb11
        HEAP[$iftmp_51]=0; //@line 337 "convert.c"
        __label__ = 13; break; //@line 337 "convert.c"
      case 13: // $bb12
        var $84=HEAP[$iftmp_51]; //@line 337 "convert.c"
        HEAP[$write_alpha]=$84; //@line 337 "convert.c"
        var $85=HEAP[$write_alpha]; //@line 340 "convert.c"
        var $86=($85)!=0; //@line 340 "convert.c"
        if ($86) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 340 "convert.c"
      case 14: // $bb13
        HEAP[$iftmp_52]=32; //@line 340 "convert.c"
        __label__ = 16; break; //@line 340 "convert.c"
      case 15: // $bb14
        HEAP[$iftmp_52]=24; //@line 340 "convert.c"
        __label__ = 16; break; //@line 340 "convert.c"
      case 16: // $bb15
        var $87=HEAP[$iftmp_52]; //@line 340 "convert.c"
        HEAP[$bpp]=$87; //@line 340 "convert.c"
        var $88=HEAP[$fdest]; //@line 341 "convert.c"
        var $89=HEAP[$bpp]; //@line 341 "convert.c"
        var $90=HEAP[$width]; //@line 341 "convert.c"
        var $91=HEAP[$height]; //@line 341 "convert.c"
        var $92=_tga_writeheader($88, $89, $90, $91, 1); //@line 341 "convert.c"
        var $93=($92)==0; //@line 341 "convert.c"
        if ($93) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 341 "convert.c"
      case 17: // $bb16
        HEAP[$0]=1; //@line 342 "convert.c"
        __label__ = 2; break; //@line 342 "convert.c"
      case 18: // $bb17
        var $94=HEAP[$image_addr]; //@line 344 "convert.c"
        var $95=CHECK_OVERFLOW(($94+16)&4294967295, 32); //@line 344 "convert.c"
        var $96=HEAP[$95]; //@line 344 "convert.c"
        var $97=CHECK_OVERFLOW((($96) - 1)&4294967295, 32); //@line 344 "convert.c"
        HEAP[$alpha_channel]=$97; //@line 344 "convert.c"
        var $98=HEAP[$image_addr]; //@line 346 "convert.c"
        var $99=CHECK_OVERFLOW(($98+24)&4294967295, 32); //@line 346 "convert.c"
        var $100=HEAP[$99]; //@line 346 "convert.c"
        var $101=CHECK_OVERFLOW(($100)&4294967295, 32); //@line 346 "convert.c"
        var $102=CHECK_OVERFLOW(($101+24)&4294967295, 32); //@line 346 "convert.c"
        var $103=HEAP[$102]; //@line 346 "convert.c"
        var $104=1 << ($103); //@line 346 "convert.c"
        var $105=CHECK_OVERFLOW((($104) - 1)&4294967295, 32); //@line 346 "convert.c"
        var $106=($105); //@line 346 "convert.c"
        var $107=255 / ($106); //@line 346 "convert.c"
        HEAP[$scale]=$107; //@line 346 "convert.c"
        HEAP[$y]=0; //@line 348 "convert.c"
        __label__ = 19; break; //@line 348 "convert.c"
      case 28: // $bb18
        var $108=HEAP[$y]; //@line 349 "convert.c"
        var $109=HEAP[$width]; //@line 349 "convert.c"
        var $110=CHECK_OVERFLOW((($108) * ($109))&4294967295, 32); //@line 349 "convert.c"
        HEAP[$index]=$110; //@line 349 "convert.c"
        HEAP[$x]=0; //@line 351 "convert.c"
        __label__ = 20; break; //@line 351 "convert.c"
      case 26: // $bb19
        var $111=HEAP[$image_addr]; //@line 352 "convert.c"
        var $112=CHECK_OVERFLOW(($111+24)&4294967295, 32); //@line 352 "convert.c"
        var $113=HEAP[$112]; //@line 352 "convert.c"
        var $114=CHECK_OVERFLOW(($113)&4294967295, 32); //@line 352 "convert.c"
        var $115=CHECK_OVERFLOW(($114+44)&4294967295, 32); //@line 352 "convert.c"
        var $116=HEAP[$115]; //@line 352 "convert.c"
        var $117=HEAP[$index]; //@line 352 "convert.c"
        var $118=CHECK_OVERFLOW(($116+4*$117)&4294967295, 32); //@line 352 "convert.c"
        var $119=HEAP[$118]; //@line 352 "convert.c"
        var $120=($119); //@line 352 "convert.c"
        HEAP[$r]=$120; //@line 352 "convert.c"
        var $121=HEAP[$image_addr]; //@line 354 "convert.c"
        var $122=CHECK_OVERFLOW(($121+16)&4294967295, 32); //@line 354 "convert.c"
        var $123=HEAP[$122]; //@line 354 "convert.c"
        var $124=($123) > 2; //@line 354 "convert.c"
        if ($124) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 354 "convert.c"
      case 21: // $bb20
        var $125=HEAP[$image_addr]; //@line 355 "convert.c"
        var $126=CHECK_OVERFLOW(($125+24)&4294967295, 32); //@line 355 "convert.c"
        var $127=HEAP[$126]; //@line 355 "convert.c"
        var $128=CHECK_OVERFLOW(($127+48)&4294967295, 32); //@line 355 "convert.c"
        var $129=CHECK_OVERFLOW(($128+44)&4294967295, 32); //@line 355 "convert.c"
        var $130=HEAP[$129]; //@line 355 "convert.c"
        var $131=HEAP[$index]; //@line 355 "convert.c"
        var $132=CHECK_OVERFLOW(($130+4*$131)&4294967295, 32); //@line 355 "convert.c"
        var $133=HEAP[$132]; //@line 355 "convert.c"
        var $134=($133); //@line 355 "convert.c"
        HEAP[$g]=$134; //@line 355 "convert.c"
        var $135=HEAP[$image_addr]; //@line 356 "convert.c"
        var $136=CHECK_OVERFLOW(($135+24)&4294967295, 32); //@line 356 "convert.c"
        var $137=HEAP[$136]; //@line 356 "convert.c"
        var $138=CHECK_OVERFLOW(($137+96)&4294967295, 32); //@line 356 "convert.c"
        var $139=CHECK_OVERFLOW(($138+44)&4294967295, 32); //@line 356 "convert.c"
        var $140=HEAP[$139]; //@line 356 "convert.c"
        var $141=HEAP[$index]; //@line 356 "convert.c"
        var $142=CHECK_OVERFLOW(($140+4*$141)&4294967295, 32); //@line 356 "convert.c"
        var $143=HEAP[$142]; //@line 356 "convert.c"
        var $144=($143); //@line 356 "convert.c"
        HEAP[$b]=$144; //@line 356 "convert.c"
        __label__ = 23; break; //@line 356 "convert.c"
      case 22: // $bb21
        var $145=HEAP[$r]; //@line 359 "convert.c"
        HEAP[$g]=$145; //@line 359 "convert.c"
        var $146=HEAP[$r]; //@line 360 "convert.c"
        HEAP[$b]=$146; //@line 360 "convert.c"
        __label__ = 23; break; //@line 360 "convert.c"
      case 23: // $bb22
        var $147=HEAP[$b]; //@line 364 "convert.c"
        var $148=HEAP[$scale]; //@line 364 "convert.c"
        var $149=($147) * ($148); //@line 364 "convert.c"
        var $150=Math.floor(($149)); //@line 364 "convert.c"
        HEAP[$value]=$150; //@line 364 "convert.c"
        var $151=HEAP[$fdest]; //@line 365 "convert.c"
        var $152=_fwrite($value, 1, 1, $151); //@line 365 "convert.c"
        var $153=HEAP[$g]; //@line 367 "convert.c"
        var $154=HEAP[$scale]; //@line 367 "convert.c"
        var $155=($153) * ($154); //@line 367 "convert.c"
        var $156=Math.floor(($155)); //@line 367 "convert.c"
        HEAP[$value]=$156; //@line 367 "convert.c"
        var $157=HEAP[$fdest]; //@line 368 "convert.c"
        var $158=_fwrite($value, 1, 1, $157); //@line 368 "convert.c"
        var $159=HEAP[$r]; //@line 370 "convert.c"
        var $160=HEAP[$scale]; //@line 370 "convert.c"
        var $161=($159) * ($160); //@line 370 "convert.c"
        var $162=Math.floor(($161)); //@line 370 "convert.c"
        HEAP[$value]=$162; //@line 370 "convert.c"
        var $163=HEAP[$fdest]; //@line 371 "convert.c"
        var $164=_fwrite($value, 1, 1, $163); //@line 371 "convert.c"
        var $165=HEAP[$write_alpha]; //@line 373 "convert.c"
        var $166=($165)!=0; //@line 373 "convert.c"
        if ($166) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 373 "convert.c"
      case 24: // $bb23
        var $167=HEAP[$image_addr]; //@line 374 "convert.c"
        var $168=CHECK_OVERFLOW(($167+24)&4294967295, 32); //@line 374 "convert.c"
        var $169=HEAP[$168]; //@line 374 "convert.c"
        var $170=HEAP[$alpha_channel]; //@line 374 "convert.c"
        var $171=CHECK_OVERFLOW(($169+48*$170)&4294967295, 32); //@line 374 "convert.c"
        var $172=CHECK_OVERFLOW(($171+44)&4294967295, 32); //@line 374 "convert.c"
        var $173=HEAP[$172]; //@line 374 "convert.c"
        var $174=HEAP[$index]; //@line 374 "convert.c"
        var $175=CHECK_OVERFLOW(($173+4*$174)&4294967295, 32); //@line 374 "convert.c"
        var $176=HEAP[$175]; //@line 374 "convert.c"
        var $177=($176); //@line 374 "convert.c"
        HEAP[$a]=$177; //@line 374 "convert.c"
        var $178=HEAP[$a]; //@line 375 "convert.c"
        var $179=HEAP[$scale]; //@line 375 "convert.c"
        var $180=($178) * ($179); //@line 375 "convert.c"
        var $181=Math.floor(($180)); //@line 375 "convert.c"
        HEAP[$value]=$181; //@line 375 "convert.c"
        var $182=HEAP[$fdest]; //@line 376 "convert.c"
        var $183=_fwrite($value, 1, 1, $182); //@line 376 "convert.c"
        __label__ = 25; break; //@line 376 "convert.c"
      case 25: // $bb24
        var $184=HEAP[$x]; //@line 351 "convert.c"
        var $185=CHECK_OVERFLOW((($184) + 1)&4294967295, 32); //@line 351 "convert.c"
        HEAP[$x]=$185; //@line 351 "convert.c"
        var $186=HEAP[$index]; //@line 351 "convert.c"
        var $187=CHECK_OVERFLOW((($186) + 1)&4294967295, 32); //@line 351 "convert.c"
        HEAP[$index]=$187; //@line 351 "convert.c"
        __label__ = 20; break; //@line 351 "convert.c"
      case 20: // $bb25
        var $188=HEAP[$x]; //@line 351 "convert.c"
        var $189=HEAP[$width]; //@line 351 "convert.c"
        var $190=($188) < ($189); //@line 351 "convert.c"
        if ($190) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 351 "convert.c"
      case 27: // $bb26
        var $191=HEAP[$y]; //@line 348 "convert.c"
        var $192=CHECK_OVERFLOW((($191) + 1)&4294967295, 32); //@line 348 "convert.c"
        HEAP[$y]=$192; //@line 348 "convert.c"
        __label__ = 19; break; //@line 348 "convert.c"
      case 19: // $bb27
        var $193=HEAP[$y]; //@line 348 "convert.c"
        var $194=HEAP[$height]; //@line 348 "convert.c"
        var $195=($193) < ($194); //@line 348 "convert.c"
        if ($195) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 348 "convert.c"
      case 29: // $bb28
        HEAP[$0]=0; //@line 381 "convert.c"
        __label__ = 2; break; //@line 381 "convert.c"
      case 2: // $bb29
        var $196=HEAP[$0]; //@line 321 "convert.c"
        HEAP[$retval]=$196; //@line 321 "convert.c"
        __label__ = 30; break; //@line 321 "convert.c"
      case 30: // $return
        var $retval30=HEAP[$retval]; //@line 321 "convert.c"
        STACKTOP = __stackBase__;
        return $retval30; //@line 321 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _bmptoimage($filename, $parameters) {
    var __stackBase__  = STACKTOP; STACKTOP += 332; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 332);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $filename_addr=__stackBase__;
        var $parameters_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $iftmp_89=__stackBase__+12;
        var $iftmp_88=__stackBase__+16;
        var $iftmp_80=__stackBase__+20;
        var $iftmp_79=__stackBase__+24;
        var $iftmp_78=__stackBase__+28;
        var $iftmp_77=__stackBase__+32;
        var $iftmp_69=__stackBase__+36;
        var $iftmp_68=__stackBase__+40;
        var $iftmp_64=__stackBase__+44;
        var $iftmp_63=__stackBase__+48;
        var $iftmp_62=__stackBase__+52;
        var $0=__stackBase__+56;
        var $subsampling_dx=__stackBase__+60;
        var $subsampling_dy=__stackBase__+64;
        var $i=__stackBase__+68;
        var $numcomps=__stackBase__+72;
        var $w=__stackBase__+76;
        var $h=__stackBase__+80;
        var $color_space=__stackBase__+84;
        var $cmptparm=__stackBase__+88;
        var $image=__stackBase__+196;
        var $IN=__stackBase__+200;
        var $File_h=__stackBase__+204;
        var $Info_h=__stackBase__+220;
        var $RGB=__stackBase__+260;
        var $table_R=__stackBase__+264;
        var $table_G=__stackBase__+268;
        var $table_B=__stackBase__+272;
        var $j=__stackBase__+276;
        var $PAD=__stackBase__+280;
        var $x=__stackBase__+284;
        var $y=__stackBase__+288;
        var $index=__stackBase__+292;
        var $gray_scale=__stackBase__+296;
        var $not_end_file=__stackBase__+300;
        var $line=__stackBase__+304;
        var $col=__stackBase__+308;
        var $v=__stackBase__+312;
        var $v2=__stackBase__+313;
        var $W=__stackBase__+314;
        var $H=__stackBase__+318;
        var $scanline=__stackBase__+322;
        var $pixel=__stackBase__+326;
        var $pixel_index=__stackBase__+330;
        var $pixel_index126=__stackBase__+331;
        var $_alloca_point_=0;
        HEAP[$filename_addr]=$filename;
        HEAP[$parameters_addr]=$parameters;
        var $1=HEAP[$parameters_addr]; //@line 419 "convert.c"
        var $2=CHECK_OVERFLOW(($1+18188)&4294967295, 32); //@line 419 "convert.c"
        var $3=HEAP[$2]; //@line 419 "convert.c"
        HEAP[$subsampling_dx]=$3; //@line 419 "convert.c"
        var $4=HEAP[$parameters_addr]; //@line 420 "convert.c"
        var $5=CHECK_OVERFLOW(($4+18192)&4294967295, 32); //@line 420 "convert.c"
        var $6=HEAP[$5]; //@line 420 "convert.c"
        HEAP[$subsampling_dy]=$6; //@line 420 "convert.c"
        HEAP[$image]=0; //@line 425 "convert.c"
        HEAP[$PAD]=0; //@line 432 "convert.c"
        HEAP[$gray_scale]=1; //@line 435 "convert.c"
        HEAP[$not_end_file]=1; //@line 435 "convert.c"
        HEAP[$line]=0; //@line 437 "convert.c"
        HEAP[$col]=0; //@line 437 "convert.c"
        var $7=HEAP[$filename_addr]; //@line 441 "convert.c"
        var $8=_fopen($7, CHECK_OVERFLOW((__str258)&4294967295, 32)); //@line 441 "convert.c"
        HEAP[$IN]=$8; //@line 441 "convert.c"
        var $9=HEAP[$IN]; //@line 442 "convert.c"
        var $10=($9)==0; //@line 442 "convert.c"
        if ($10) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 442 "convert.c"
      case 0: // $bb
        var $11=HEAP[_stderr]; //@line 443 "convert.c"
        var $12=HEAP[$filename_addr]; //@line 443 "convert.c"
        var $13=_fprintf($11, CHECK_OVERFLOW((__str359)&4294967295, 32), $12); //@line 443 "convert.c"
        HEAP[$0]=0; //@line 444 "convert.c"
        __label__ = 2; break; //@line 444 "convert.c"
      case 1: // $bb1
        var $14=HEAP[$IN]; //@line 447 "convert.c"
        var $15=__IO_getc($14); //@line 447 "convert.c"
        var $16=((($15)) & 65535); //@line 447 "convert.c"
        var $17=CHECK_OVERFLOW(($File_h)&4294967295, 32); //@line 447 "convert.c"
        HEAP[$17]=$16; //@line 447 "convert.c"
        var $18=HEAP[$IN]; //@line 448 "convert.c"
        var $19=__IO_getc($18); //@line 448 "convert.c"
        var $20=((($19)) & 65535); //@line 448 "convert.c"
        var $21=($20) << 8; //@line 448 "convert.c"
        var $22=CHECK_OVERFLOW(($File_h)&4294967295, 32); //@line 448 "convert.c"
        var $23=HEAP[$22]; //@line 448 "convert.c"
        var $24=CHECK_OVERFLOW((($21) + ($23))&65535, 16); //@line 448 "convert.c"
        var $25=CHECK_OVERFLOW(($File_h)&4294967295, 32); //@line 448 "convert.c"
        HEAP[$25]=$24; //@line 448 "convert.c"
        var $26=CHECK_OVERFLOW(($File_h)&4294967295, 32); //@line 450 "convert.c"
        var $27=HEAP[$26]; //@line 450 "convert.c"
        var $28=($27)!=19778; //@line 450 "convert.c"
        if ($28) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 450 "convert.c"
      case 3: // $bb2
        var $29=HEAP[_stderr]; //@line 451 "convert.c"
        var $30=$29; //@line 451 "convert.c"
        var $31=_fwrite(CHECK_OVERFLOW((__str864)&4294967295, 32), 1, 23, $30); //@line 451 "convert.c"
        HEAP[$0]=0; //@line 452 "convert.c"
        __label__ = 2; break; //@line 452 "convert.c"
      case 4: // $bb3
        var $32=HEAP[$IN]; //@line 456 "convert.c"
        var $33=__IO_getc($32); //@line 456 "convert.c"
        var $34=CHECK_OVERFLOW(($File_h+4)&4294967295, 32); //@line 456 "convert.c"
        HEAP[$34]=$33; //@line 456 "convert.c"
        var $35=HEAP[$IN]; //@line 457 "convert.c"
        var $36=__IO_getc($35); //@line 457 "convert.c"
        var $37=($36) << 8; //@line 457 "convert.c"
        var $38=CHECK_OVERFLOW(($File_h+4)&4294967295, 32); //@line 457 "convert.c"
        var $39=HEAP[$38]; //@line 457 "convert.c"
        var $40=CHECK_OVERFLOW((($37) + ($39))&4294967295, 32); //@line 457 "convert.c"
        var $41=CHECK_OVERFLOW(($File_h+4)&4294967295, 32); //@line 457 "convert.c"
        HEAP[$41]=$40; //@line 457 "convert.c"
        var $42=HEAP[$IN]; //@line 458 "convert.c"
        var $43=__IO_getc($42); //@line 458 "convert.c"
        var $44=($43) << 16; //@line 458 "convert.c"
        var $45=CHECK_OVERFLOW(($File_h+4)&4294967295, 32); //@line 458 "convert.c"
        var $46=HEAP[$45]; //@line 458 "convert.c"
        var $47=CHECK_OVERFLOW((($44) + ($46))&4294967295, 32); //@line 458 "convert.c"
        var $48=CHECK_OVERFLOW(($File_h+4)&4294967295, 32); //@line 458 "convert.c"
        HEAP[$48]=$47; //@line 458 "convert.c"
        var $49=HEAP[$IN]; //@line 459 "convert.c"
        var $50=__IO_getc($49); //@line 459 "convert.c"
        var $51=($50) << 24; //@line 459 "convert.c"
        var $52=CHECK_OVERFLOW(($File_h+4)&4294967295, 32); //@line 459 "convert.c"
        var $53=HEAP[$52]; //@line 459 "convert.c"
        var $54=CHECK_OVERFLOW((($51) + ($53))&4294967295, 32); //@line 459 "convert.c"
        var $55=CHECK_OVERFLOW(($File_h+4)&4294967295, 32); //@line 459 "convert.c"
        HEAP[$55]=$54; //@line 459 "convert.c"
        var $56=HEAP[$IN]; //@line 461 "convert.c"
        var $57=__IO_getc($56); //@line 461 "convert.c"
        var $58=((($57)) & 65535); //@line 461 "convert.c"
        var $59=CHECK_OVERFLOW(($File_h+8)&4294967295, 32); //@line 461 "convert.c"
        HEAP[$59]=$58; //@line 461 "convert.c"
        var $60=HEAP[$IN]; //@line 462 "convert.c"
        var $61=__IO_getc($60); //@line 462 "convert.c"
        var $62=((($61)) & 65535); //@line 462 "convert.c"
        var $63=($62) << 8; //@line 462 "convert.c"
        var $64=CHECK_OVERFLOW(($File_h+8)&4294967295, 32); //@line 462 "convert.c"
        var $65=HEAP[$64]; //@line 462 "convert.c"
        var $66=CHECK_OVERFLOW((($63) + ($65))&65535, 16); //@line 462 "convert.c"
        var $67=CHECK_OVERFLOW(($File_h+8)&4294967295, 32); //@line 462 "convert.c"
        HEAP[$67]=$66; //@line 462 "convert.c"
        var $68=HEAP[$IN]; //@line 464 "convert.c"
        var $69=__IO_getc($68); //@line 464 "convert.c"
        var $70=((($69)) & 65535); //@line 464 "convert.c"
        var $71=CHECK_OVERFLOW(($File_h+10)&4294967295, 32); //@line 464 "convert.c"
        HEAP[$71]=$70; //@line 464 "convert.c"
        var $72=HEAP[$IN]; //@line 465 "convert.c"
        var $73=__IO_getc($72); //@line 465 "convert.c"
        var $74=((($73)) & 65535); //@line 465 "convert.c"
        var $75=($74) << 8; //@line 465 "convert.c"
        var $76=CHECK_OVERFLOW(($File_h+10)&4294967295, 32); //@line 465 "convert.c"
        var $77=HEAP[$76]; //@line 465 "convert.c"
        var $78=CHECK_OVERFLOW((($75) + ($77))&65535, 16); //@line 465 "convert.c"
        var $79=CHECK_OVERFLOW(($File_h+10)&4294967295, 32); //@line 465 "convert.c"
        HEAP[$79]=$78; //@line 465 "convert.c"
        var $80=HEAP[$IN]; //@line 467 "convert.c"
        var $81=__IO_getc($80); //@line 467 "convert.c"
        var $82=CHECK_OVERFLOW(($File_h+12)&4294967295, 32); //@line 467 "convert.c"
        HEAP[$82]=$81; //@line 467 "convert.c"
        var $83=HEAP[$IN]; //@line 468 "convert.c"
        var $84=__IO_getc($83); //@line 468 "convert.c"
        var $85=($84) << 8; //@line 468 "convert.c"
        var $86=CHECK_OVERFLOW(($File_h+12)&4294967295, 32); //@line 468 "convert.c"
        var $87=HEAP[$86]; //@line 468 "convert.c"
        var $88=CHECK_OVERFLOW((($85) + ($87))&4294967295, 32); //@line 468 "convert.c"
        var $89=CHECK_OVERFLOW(($File_h+12)&4294967295, 32); //@line 468 "convert.c"
        HEAP[$89]=$88; //@line 468 "convert.c"
        var $90=HEAP[$IN]; //@line 469 "convert.c"
        var $91=__IO_getc($90); //@line 469 "convert.c"
        var $92=($91) << 16; //@line 469 "convert.c"
        var $93=CHECK_OVERFLOW(($File_h+12)&4294967295, 32); //@line 469 "convert.c"
        var $94=HEAP[$93]; //@line 469 "convert.c"
        var $95=CHECK_OVERFLOW((($92) + ($94))&4294967295, 32); //@line 469 "convert.c"
        var $96=CHECK_OVERFLOW(($File_h+12)&4294967295, 32); //@line 469 "convert.c"
        HEAP[$96]=$95; //@line 469 "convert.c"
        var $97=HEAP[$IN]; //@line 470 "convert.c"
        var $98=__IO_getc($97); //@line 470 "convert.c"
        var $99=($98) << 24; //@line 470 "convert.c"
        var $100=CHECK_OVERFLOW(($File_h+12)&4294967295, 32); //@line 470 "convert.c"
        var $101=HEAP[$100]; //@line 470 "convert.c"
        var $102=CHECK_OVERFLOW((($99) + ($101))&4294967295, 32); //@line 470 "convert.c"
        var $103=CHECK_OVERFLOW(($File_h+12)&4294967295, 32); //@line 470 "convert.c"
        HEAP[$103]=$102; //@line 470 "convert.c"
        var $104=HEAP[$IN]; //@line 475 "convert.c"
        var $105=__IO_getc($104); //@line 475 "convert.c"
        var $106=CHECK_OVERFLOW(($Info_h)&4294967295, 32); //@line 475 "convert.c"
        HEAP[$106]=$105; //@line 475 "convert.c"
        var $107=HEAP[$IN]; //@line 476 "convert.c"
        var $108=__IO_getc($107); //@line 476 "convert.c"
        var $109=($108) << 8; //@line 476 "convert.c"
        var $110=CHECK_OVERFLOW(($Info_h)&4294967295, 32); //@line 476 "convert.c"
        var $111=HEAP[$110]; //@line 476 "convert.c"
        var $112=CHECK_OVERFLOW((($109) + ($111))&4294967295, 32); //@line 476 "convert.c"
        var $113=CHECK_OVERFLOW(($Info_h)&4294967295, 32); //@line 476 "convert.c"
        HEAP[$113]=$112; //@line 476 "convert.c"
        var $114=HEAP[$IN]; //@line 477 "convert.c"
        var $115=__IO_getc($114); //@line 477 "convert.c"
        var $116=($115) << 16; //@line 477 "convert.c"
        var $117=CHECK_OVERFLOW(($Info_h)&4294967295, 32); //@line 477 "convert.c"
        var $118=HEAP[$117]; //@line 477 "convert.c"
        var $119=CHECK_OVERFLOW((($116) + ($118))&4294967295, 32); //@line 477 "convert.c"
        var $120=CHECK_OVERFLOW(($Info_h)&4294967295, 32); //@line 477 "convert.c"
        HEAP[$120]=$119; //@line 477 "convert.c"
        var $121=HEAP[$IN]; //@line 478 "convert.c"
        var $122=__IO_getc($121); //@line 478 "convert.c"
        var $123=($122) << 24; //@line 478 "convert.c"
        var $124=CHECK_OVERFLOW(($Info_h)&4294967295, 32); //@line 478 "convert.c"
        var $125=HEAP[$124]; //@line 478 "convert.c"
        var $126=CHECK_OVERFLOW((($123) + ($125))&4294967295, 32); //@line 478 "convert.c"
        var $127=CHECK_OVERFLOW(($Info_h)&4294967295, 32); //@line 478 "convert.c"
        HEAP[$127]=$126; //@line 478 "convert.c"
        var $128=HEAP[$IN]; //@line 480 "convert.c"
        var $129=__IO_getc($128); //@line 480 "convert.c"
        var $130=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 480 "convert.c"
        HEAP[$130]=$129; //@line 480 "convert.c"
        var $131=HEAP[$IN]; //@line 481 "convert.c"
        var $132=__IO_getc($131); //@line 481 "convert.c"
        var $133=($132) << 8; //@line 481 "convert.c"
        var $134=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 481 "convert.c"
        var $135=HEAP[$134]; //@line 481 "convert.c"
        var $136=CHECK_OVERFLOW((($133) + ($135))&4294967295, 32); //@line 481 "convert.c"
        var $137=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 481 "convert.c"
        HEAP[$137]=$136; //@line 481 "convert.c"
        var $138=HEAP[$IN]; //@line 482 "convert.c"
        var $139=__IO_getc($138); //@line 482 "convert.c"
        var $140=($139) << 16; //@line 482 "convert.c"
        var $141=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 482 "convert.c"
        var $142=HEAP[$141]; //@line 482 "convert.c"
        var $143=CHECK_OVERFLOW((($140) + ($142))&4294967295, 32); //@line 482 "convert.c"
        var $144=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 482 "convert.c"
        HEAP[$144]=$143; //@line 482 "convert.c"
        var $145=HEAP[$IN]; //@line 483 "convert.c"
        var $146=__IO_getc($145); //@line 483 "convert.c"
        var $147=($146) << 24; //@line 483 "convert.c"
        var $148=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 483 "convert.c"
        var $149=HEAP[$148]; //@line 483 "convert.c"
        var $150=CHECK_OVERFLOW((($147) + ($149))&4294967295, 32); //@line 483 "convert.c"
        var $151=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 483 "convert.c"
        HEAP[$151]=$150; //@line 483 "convert.c"
        var $152=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 484 "convert.c"
        var $153=HEAP[$152]; //@line 484 "convert.c"
        HEAP[$w]=$153; //@line 484 "convert.c"
        var $154=HEAP[$IN]; //@line 486 "convert.c"
        var $155=__IO_getc($154); //@line 486 "convert.c"
        var $156=CHECK_OVERFLOW(($Info_h+8)&4294967295, 32); //@line 486 "convert.c"
        HEAP[$156]=$155; //@line 486 "convert.c"
        var $157=HEAP[$IN]; //@line 487 "convert.c"
        var $158=__IO_getc($157); //@line 487 "convert.c"
        var $159=($158) << 8; //@line 487 "convert.c"
        var $160=CHECK_OVERFLOW(($Info_h+8)&4294967295, 32); //@line 487 "convert.c"
        var $161=HEAP[$160]; //@line 487 "convert.c"
        var $162=CHECK_OVERFLOW((($159) + ($161))&4294967295, 32); //@line 487 "convert.c"
        var $163=CHECK_OVERFLOW(($Info_h+8)&4294967295, 32); //@line 487 "convert.c"
        HEAP[$163]=$162; //@line 487 "convert.c"
        var $164=HEAP[$IN]; //@line 488 "convert.c"
        var $165=__IO_getc($164); //@line 488 "convert.c"
        var $166=($165) << 16; //@line 488 "convert.c"
        var $167=CHECK_OVERFLOW(($Info_h+8)&4294967295, 32); //@line 488 "convert.c"
        var $168=HEAP[$167]; //@line 488 "convert.c"
        var $169=CHECK_OVERFLOW((($166) + ($168))&4294967295, 32); //@line 488 "convert.c"
        var $170=CHECK_OVERFLOW(($Info_h+8)&4294967295, 32); //@line 488 "convert.c"
        HEAP[$170]=$169; //@line 488 "convert.c"
        var $171=HEAP[$IN]; //@line 489 "convert.c"
        var $172=__IO_getc($171); //@line 489 "convert.c"
        var $173=($172) << 24; //@line 489 "convert.c"
        var $174=CHECK_OVERFLOW(($Info_h+8)&4294967295, 32); //@line 489 "convert.c"
        var $175=HEAP[$174]; //@line 489 "convert.c"
        var $176=CHECK_OVERFLOW((($173) + ($175))&4294967295, 32); //@line 489 "convert.c"
        var $177=CHECK_OVERFLOW(($Info_h+8)&4294967295, 32); //@line 489 "convert.c"
        HEAP[$177]=$176; //@line 489 "convert.c"
        var $178=CHECK_OVERFLOW(($Info_h+8)&4294967295, 32); //@line 490 "convert.c"
        var $179=HEAP[$178]; //@line 490 "convert.c"
        HEAP[$h]=$179; //@line 490 "convert.c"
        var $180=HEAP[$IN]; //@line 492 "convert.c"
        var $181=__IO_getc($180); //@line 492 "convert.c"
        var $182=((($181)) & 65535); //@line 492 "convert.c"
        var $183=CHECK_OVERFLOW(($Info_h+12)&4294967295, 32); //@line 492 "convert.c"
        HEAP[$183]=$182; //@line 492 "convert.c"
        var $184=HEAP[$IN]; //@line 493 "convert.c"
        var $185=__IO_getc($184); //@line 493 "convert.c"
        var $186=((($185)) & 65535); //@line 493 "convert.c"
        var $187=($186) << 8; //@line 493 "convert.c"
        var $188=CHECK_OVERFLOW(($Info_h+12)&4294967295, 32); //@line 493 "convert.c"
        var $189=HEAP[$188]; //@line 493 "convert.c"
        var $190=CHECK_OVERFLOW((($187) + ($189))&65535, 16); //@line 493 "convert.c"
        var $191=CHECK_OVERFLOW(($Info_h+12)&4294967295, 32); //@line 493 "convert.c"
        HEAP[$191]=$190; //@line 493 "convert.c"
        var $192=HEAP[$IN]; //@line 495 "convert.c"
        var $193=__IO_getc($192); //@line 495 "convert.c"
        var $194=((($193)) & 65535); //@line 495 "convert.c"
        var $195=CHECK_OVERFLOW(($Info_h+14)&4294967295, 32); //@line 495 "convert.c"
        HEAP[$195]=$194; //@line 495 "convert.c"
        var $196=HEAP[$IN]; //@line 496 "convert.c"
        var $197=__IO_getc($196); //@line 496 "convert.c"
        var $198=((($197)) & 65535); //@line 496 "convert.c"
        var $199=($198) << 8; //@line 496 "convert.c"
        var $200=CHECK_OVERFLOW(($Info_h+14)&4294967295, 32); //@line 496 "convert.c"
        var $201=HEAP[$200]; //@line 496 "convert.c"
        var $202=CHECK_OVERFLOW((($199) + ($201))&65535, 16); //@line 496 "convert.c"
        var $203=CHECK_OVERFLOW(($Info_h+14)&4294967295, 32); //@line 496 "convert.c"
        HEAP[$203]=$202; //@line 496 "convert.c"
        var $204=HEAP[$IN]; //@line 498 "convert.c"
        var $205=__IO_getc($204); //@line 498 "convert.c"
        var $206=CHECK_OVERFLOW(($Info_h+16)&4294967295, 32); //@line 498 "convert.c"
        HEAP[$206]=$205; //@line 498 "convert.c"
        var $207=HEAP[$IN]; //@line 499 "convert.c"
        var $208=__IO_getc($207); //@line 499 "convert.c"
        var $209=($208) << 8; //@line 499 "convert.c"
        var $210=CHECK_OVERFLOW(($Info_h+16)&4294967295, 32); //@line 499 "convert.c"
        var $211=HEAP[$210]; //@line 499 "convert.c"
        var $212=CHECK_OVERFLOW((($209) + ($211))&4294967295, 32); //@line 499 "convert.c"
        var $213=CHECK_OVERFLOW(($Info_h+16)&4294967295, 32); //@line 499 "convert.c"
        HEAP[$213]=$212; //@line 499 "convert.c"
        var $214=HEAP[$IN]; //@line 500 "convert.c"
        var $215=__IO_getc($214); //@line 500 "convert.c"
        var $216=($215) << 16; //@line 500 "convert.c"
        var $217=CHECK_OVERFLOW(($Info_h+16)&4294967295, 32); //@line 500 "convert.c"
        var $218=HEAP[$217]; //@line 500 "convert.c"
        var $219=CHECK_OVERFLOW((($216) + ($218))&4294967295, 32); //@line 500 "convert.c"
        var $220=CHECK_OVERFLOW(($Info_h+16)&4294967295, 32); //@line 500 "convert.c"
        HEAP[$220]=$219; //@line 500 "convert.c"
        var $221=HEAP[$IN]; //@line 501 "convert.c"
        var $222=__IO_getc($221); //@line 501 "convert.c"
        var $223=($222) << 24; //@line 501 "convert.c"
        var $224=CHECK_OVERFLOW(($Info_h+16)&4294967295, 32); //@line 501 "convert.c"
        var $225=HEAP[$224]; //@line 501 "convert.c"
        var $226=CHECK_OVERFLOW((($223) + ($225))&4294967295, 32); //@line 501 "convert.c"
        var $227=CHECK_OVERFLOW(($Info_h+16)&4294967295, 32); //@line 501 "convert.c"
        HEAP[$227]=$226; //@line 501 "convert.c"
        var $228=HEAP[$IN]; //@line 503 "convert.c"
        var $229=__IO_getc($228); //@line 503 "convert.c"
        var $230=CHECK_OVERFLOW(($Info_h+20)&4294967295, 32); //@line 503 "convert.c"
        HEAP[$230]=$229; //@line 503 "convert.c"
        var $231=HEAP[$IN]; //@line 504 "convert.c"
        var $232=__IO_getc($231); //@line 504 "convert.c"
        var $233=($232) << 8; //@line 504 "convert.c"
        var $234=CHECK_OVERFLOW(($Info_h+20)&4294967295, 32); //@line 504 "convert.c"
        var $235=HEAP[$234]; //@line 504 "convert.c"
        var $236=CHECK_OVERFLOW((($233) + ($235))&4294967295, 32); //@line 504 "convert.c"
        var $237=CHECK_OVERFLOW(($Info_h+20)&4294967295, 32); //@line 504 "convert.c"
        HEAP[$237]=$236; //@line 504 "convert.c"
        var $238=HEAP[$IN]; //@line 505 "convert.c"
        var $239=__IO_getc($238); //@line 505 "convert.c"
        var $240=($239) << 16; //@line 505 "convert.c"
        var $241=CHECK_OVERFLOW(($Info_h+20)&4294967295, 32); //@line 505 "convert.c"
        var $242=HEAP[$241]; //@line 505 "convert.c"
        var $243=CHECK_OVERFLOW((($240) + ($242))&4294967295, 32); //@line 505 "convert.c"
        var $244=CHECK_OVERFLOW(($Info_h+20)&4294967295, 32); //@line 505 "convert.c"
        HEAP[$244]=$243; //@line 505 "convert.c"
        var $245=HEAP[$IN]; //@line 506 "convert.c"
        var $246=__IO_getc($245); //@line 506 "convert.c"
        var $247=($246) << 24; //@line 506 "convert.c"
        var $248=CHECK_OVERFLOW(($Info_h+20)&4294967295, 32); //@line 506 "convert.c"
        var $249=HEAP[$248]; //@line 506 "convert.c"
        var $250=CHECK_OVERFLOW((($247) + ($249))&4294967295, 32); //@line 506 "convert.c"
        var $251=CHECK_OVERFLOW(($Info_h+20)&4294967295, 32); //@line 506 "convert.c"
        HEAP[$251]=$250; //@line 506 "convert.c"
        var $252=HEAP[$IN]; //@line 508 "convert.c"
        var $253=__IO_getc($252); //@line 508 "convert.c"
        var $254=CHECK_OVERFLOW(($Info_h+24)&4294967295, 32); //@line 508 "convert.c"
        HEAP[$254]=$253; //@line 508 "convert.c"
        var $255=HEAP[$IN]; //@line 509 "convert.c"
        var $256=__IO_getc($255); //@line 509 "convert.c"
        var $257=($256) << 8; //@line 509 "convert.c"
        var $258=CHECK_OVERFLOW(($Info_h+24)&4294967295, 32); //@line 509 "convert.c"
        var $259=HEAP[$258]; //@line 509 "convert.c"
        var $260=CHECK_OVERFLOW((($257) + ($259))&4294967295, 32); //@line 509 "convert.c"
        var $261=CHECK_OVERFLOW(($Info_h+24)&4294967295, 32); //@line 509 "convert.c"
        HEAP[$261]=$260; //@line 509 "convert.c"
        var $262=HEAP[$IN]; //@line 510 "convert.c"
        var $263=__IO_getc($262); //@line 510 "convert.c"
        var $264=($263) << 16; //@line 510 "convert.c"
        var $265=CHECK_OVERFLOW(($Info_h+24)&4294967295, 32); //@line 510 "convert.c"
        var $266=HEAP[$265]; //@line 510 "convert.c"
        var $267=CHECK_OVERFLOW((($264) + ($266))&4294967295, 32); //@line 510 "convert.c"
        var $268=CHECK_OVERFLOW(($Info_h+24)&4294967295, 32); //@line 510 "convert.c"
        HEAP[$268]=$267; //@line 510 "convert.c"
        var $269=HEAP[$IN]; //@line 511 "convert.c"
        var $270=__IO_getc($269); //@line 511 "convert.c"
        var $271=($270) << 24; //@line 511 "convert.c"
        var $272=CHECK_OVERFLOW(($Info_h+24)&4294967295, 32); //@line 511 "convert.c"
        var $273=HEAP[$272]; //@line 511 "convert.c"
        var $274=CHECK_OVERFLOW((($271) + ($273))&4294967295, 32); //@line 511 "convert.c"
        var $275=CHECK_OVERFLOW(($Info_h+24)&4294967295, 32); //@line 511 "convert.c"
        HEAP[$275]=$274; //@line 511 "convert.c"
        var $276=HEAP[$IN]; //@line 513 "convert.c"
        var $277=__IO_getc($276); //@line 513 "convert.c"
        var $278=CHECK_OVERFLOW(($Info_h+28)&4294967295, 32); //@line 513 "convert.c"
        HEAP[$278]=$277; //@line 513 "convert.c"
        var $279=HEAP[$IN]; //@line 514 "convert.c"
        var $280=__IO_getc($279); //@line 514 "convert.c"
        var $281=($280) << 8; //@line 514 "convert.c"
        var $282=CHECK_OVERFLOW(($Info_h+28)&4294967295, 32); //@line 514 "convert.c"
        var $283=HEAP[$282]; //@line 514 "convert.c"
        var $284=CHECK_OVERFLOW((($281) + ($283))&4294967295, 32); //@line 514 "convert.c"
        var $285=CHECK_OVERFLOW(($Info_h+28)&4294967295, 32); //@line 514 "convert.c"
        HEAP[$285]=$284; //@line 514 "convert.c"
        var $286=HEAP[$IN]; //@line 515 "convert.c"
        var $287=__IO_getc($286); //@line 515 "convert.c"
        var $288=($287) << 16; //@line 515 "convert.c"
        var $289=CHECK_OVERFLOW(($Info_h+28)&4294967295, 32); //@line 515 "convert.c"
        var $290=HEAP[$289]; //@line 515 "convert.c"
        var $291=CHECK_OVERFLOW((($288) + ($290))&4294967295, 32); //@line 515 "convert.c"
        var $292=CHECK_OVERFLOW(($Info_h+28)&4294967295, 32); //@line 515 "convert.c"
        HEAP[$292]=$291; //@line 515 "convert.c"
        var $293=HEAP[$IN]; //@line 516 "convert.c"
        var $294=__IO_getc($293); //@line 516 "convert.c"
        var $295=($294) << 24; //@line 516 "convert.c"
        var $296=CHECK_OVERFLOW(($Info_h+28)&4294967295, 32); //@line 516 "convert.c"
        var $297=HEAP[$296]; //@line 516 "convert.c"
        var $298=CHECK_OVERFLOW((($295) + ($297))&4294967295, 32); //@line 516 "convert.c"
        var $299=CHECK_OVERFLOW(($Info_h+28)&4294967295, 32); //@line 516 "convert.c"
        HEAP[$299]=$298; //@line 516 "convert.c"
        var $300=HEAP[$IN]; //@line 518 "convert.c"
        var $301=__IO_getc($300); //@line 518 "convert.c"
        var $302=CHECK_OVERFLOW(($Info_h+32)&4294967295, 32); //@line 518 "convert.c"
        HEAP[$302]=$301; //@line 518 "convert.c"
        var $303=HEAP[$IN]; //@line 519 "convert.c"
        var $304=__IO_getc($303); //@line 519 "convert.c"
        var $305=($304) << 8; //@line 519 "convert.c"
        var $306=CHECK_OVERFLOW(($Info_h+32)&4294967295, 32); //@line 519 "convert.c"
        var $307=HEAP[$306]; //@line 519 "convert.c"
        var $308=CHECK_OVERFLOW((($305) + ($307))&4294967295, 32); //@line 519 "convert.c"
        var $309=CHECK_OVERFLOW(($Info_h+32)&4294967295, 32); //@line 519 "convert.c"
        HEAP[$309]=$308; //@line 519 "convert.c"
        var $310=HEAP[$IN]; //@line 520 "convert.c"
        var $311=__IO_getc($310); //@line 520 "convert.c"
        var $312=($311) << 16; //@line 520 "convert.c"
        var $313=CHECK_OVERFLOW(($Info_h+32)&4294967295, 32); //@line 520 "convert.c"
        var $314=HEAP[$313]; //@line 520 "convert.c"
        var $315=CHECK_OVERFLOW((($312) + ($314))&4294967295, 32); //@line 520 "convert.c"
        var $316=CHECK_OVERFLOW(($Info_h+32)&4294967295, 32); //@line 520 "convert.c"
        HEAP[$316]=$315; //@line 520 "convert.c"
        var $317=HEAP[$IN]; //@line 521 "convert.c"
        var $318=__IO_getc($317); //@line 521 "convert.c"
        var $319=($318) << 24; //@line 521 "convert.c"
        var $320=CHECK_OVERFLOW(($Info_h+32)&4294967295, 32); //@line 521 "convert.c"
        var $321=HEAP[$320]; //@line 521 "convert.c"
        var $322=CHECK_OVERFLOW((($319) + ($321))&4294967295, 32); //@line 521 "convert.c"
        var $323=CHECK_OVERFLOW(($Info_h+32)&4294967295, 32); //@line 521 "convert.c"
        HEAP[$323]=$322; //@line 521 "convert.c"
        var $324=HEAP[$IN]; //@line 523 "convert.c"
        var $325=__IO_getc($324); //@line 523 "convert.c"
        var $326=CHECK_OVERFLOW(($Info_h+36)&4294967295, 32); //@line 523 "convert.c"
        HEAP[$326]=$325; //@line 523 "convert.c"
        var $327=HEAP[$IN]; //@line 524 "convert.c"
        var $328=__IO_getc($327); //@line 524 "convert.c"
        var $329=($328) << 8; //@line 524 "convert.c"
        var $330=CHECK_OVERFLOW(($Info_h+36)&4294967295, 32); //@line 524 "convert.c"
        var $331=HEAP[$330]; //@line 524 "convert.c"
        var $332=CHECK_OVERFLOW((($329) + ($331))&4294967295, 32); //@line 524 "convert.c"
        var $333=CHECK_OVERFLOW(($Info_h+36)&4294967295, 32); //@line 524 "convert.c"
        HEAP[$333]=$332; //@line 524 "convert.c"
        var $334=HEAP[$IN]; //@line 525 "convert.c"
        var $335=__IO_getc($334); //@line 525 "convert.c"
        var $336=($335) << 16; //@line 525 "convert.c"
        var $337=CHECK_OVERFLOW(($Info_h+36)&4294967295, 32); //@line 525 "convert.c"
        var $338=HEAP[$337]; //@line 525 "convert.c"
        var $339=CHECK_OVERFLOW((($336) + ($338))&4294967295, 32); //@line 525 "convert.c"
        var $340=CHECK_OVERFLOW(($Info_h+36)&4294967295, 32); //@line 525 "convert.c"
        HEAP[$340]=$339; //@line 525 "convert.c"
        var $341=HEAP[$IN]; //@line 526 "convert.c"
        var $342=__IO_getc($341); //@line 526 "convert.c"
        var $343=($342) << 24; //@line 526 "convert.c"
        var $344=CHECK_OVERFLOW(($Info_h+36)&4294967295, 32); //@line 526 "convert.c"
        var $345=HEAP[$344]; //@line 526 "convert.c"
        var $346=CHECK_OVERFLOW((($343) + ($345))&4294967295, 32); //@line 526 "convert.c"
        var $347=CHECK_OVERFLOW(($Info_h+36)&4294967295, 32); //@line 526 "convert.c"
        HEAP[$347]=$346; //@line 526 "convert.c"
        var $348=CHECK_OVERFLOW(($Info_h+14)&4294967295, 32); //@line 530 "convert.c"
        var $349=HEAP[$348]; //@line 530 "convert.c"
        var $350=($349)==24; //@line 530 "convert.c"
        if ($350) { __label__ = 5; break; } else { __label__ = 6; break; } //@line 530 "convert.c"
      case 5: // $bb4
        HEAP[$numcomps]=3; //@line 531 "convert.c"
        HEAP[$color_space]=1; //@line 532 "convert.c"
        var $351=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 534 "convert.c"
        var $352=$351; //@line 534 "convert.c"
        _llvm_memset_p0i8_i32($352, 0, 108, 1, 0); //@line 534 "convert.c"
        HEAP[$i]=0; //@line 535 "convert.c"
        __label__ = 7; break; //@line 535 "convert.c"
      case 8: // $bb5
        var $353=HEAP[$i]; //@line 536 "convert.c"
        var $354=CHECK_OVERFLOW(($cmptparm+$353*36)&4294967295, 32); //@line 536 "convert.c"
        var $355=CHECK_OVERFLOW(($354+24)&4294967295, 32); //@line 536 "convert.c"
        HEAP[$355]=8; //@line 536 "convert.c"
        var $356=HEAP[$i]; //@line 537 "convert.c"
        var $357=CHECK_OVERFLOW(($cmptparm+$356*36)&4294967295, 32); //@line 537 "convert.c"
        var $358=CHECK_OVERFLOW(($357+28)&4294967295, 32); //@line 537 "convert.c"
        HEAP[$358]=8; //@line 537 "convert.c"
        var $359=HEAP[$i]; //@line 538 "convert.c"
        var $360=CHECK_OVERFLOW(($cmptparm+$359*36)&4294967295, 32); //@line 538 "convert.c"
        var $361=CHECK_OVERFLOW(($360+32)&4294967295, 32); //@line 538 "convert.c"
        HEAP[$361]=0; //@line 538 "convert.c"
        var $362=HEAP[$i]; //@line 539 "convert.c"
        var $363=CHECK_OVERFLOW(($cmptparm+$362*36)&4294967295, 32); //@line 539 "convert.c"
        var $364=CHECK_OVERFLOW(($363)&4294967295, 32); //@line 539 "convert.c"
        var $365=HEAP[$subsampling_dx]; //@line 539 "convert.c"
        HEAP[$364]=$365; //@line 539 "convert.c"
        var $366=HEAP[$i]; //@line 540 "convert.c"
        var $367=CHECK_OVERFLOW(($cmptparm+$366*36)&4294967295, 32); //@line 540 "convert.c"
        var $368=CHECK_OVERFLOW(($367+4)&4294967295, 32); //@line 540 "convert.c"
        var $369=HEAP[$subsampling_dy]; //@line 540 "convert.c"
        HEAP[$368]=$369; //@line 540 "convert.c"
        var $370=HEAP[$i]; //@line 541 "convert.c"
        var $371=CHECK_OVERFLOW(($cmptparm+$370*36)&4294967295, 32); //@line 541 "convert.c"
        var $372=CHECK_OVERFLOW(($371+8)&4294967295, 32); //@line 541 "convert.c"
        var $373=HEAP[$w]; //@line 541 "convert.c"
        HEAP[$372]=$373; //@line 541 "convert.c"
        var $374=HEAP[$i]; //@line 542 "convert.c"
        var $375=CHECK_OVERFLOW(($cmptparm+$374*36)&4294967295, 32); //@line 542 "convert.c"
        var $376=CHECK_OVERFLOW(($375+12)&4294967295, 32); //@line 542 "convert.c"
        var $377=HEAP[$h]; //@line 542 "convert.c"
        HEAP[$376]=$377; //@line 542 "convert.c"
        var $378=HEAP[$i]; //@line 535 "convert.c"
        var $379=CHECK_OVERFLOW((($378) + 1)&4294967295, 32); //@line 535 "convert.c"
        HEAP[$i]=$379; //@line 535 "convert.c"
        __label__ = 7; break; //@line 535 "convert.c"
      case 7: // $bb6
        var $380=HEAP[$i]; //@line 535 "convert.c"
        var $381=HEAP[$numcomps]; //@line 535 "convert.c"
        var $382=($380) < ($381); //@line 535 "convert.c"
        if ($382) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 535 "convert.c"
      case 9: // $bb7
        var $383=HEAP[$numcomps]; //@line 545 "convert.c"
        var $384=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 545 "convert.c"
        var $385=HEAP[$color_space]; //@line 545 "convert.c"
        var $386=_opj_image_create($383, $384, $385); //@line 545 "convert.c"
        HEAP[$image]=$386; //@line 545 "convert.c"
        var $387=HEAP[$image]; //@line 546 "convert.c"
        var $388=($387)==0; //@line 546 "convert.c"
        if ($388) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 546 "convert.c"
      case 10: // $bb8
        var $389=HEAP[$IN]; //@line 547 "convert.c"
        var $390=_fclose($389); //@line 547 "convert.c"
        HEAP[$0]=0; //@line 548 "convert.c"
        __label__ = 2; break; //@line 548 "convert.c"
      case 11: // $bb9
        var $391=HEAP[$parameters_addr]; //@line 552 "convert.c"
        var $392=CHECK_OVERFLOW(($391+18180)&4294967295, 32); //@line 552 "convert.c"
        var $393=HEAP[$392]; //@line 552 "convert.c"
        var $394=HEAP[$image]; //@line 552 "convert.c"
        var $395=CHECK_OVERFLOW(($394)&4294967295, 32); //@line 552 "convert.c"
        HEAP[$395]=$393; //@line 552 "convert.c"
        var $396=HEAP[$parameters_addr]; //@line 553 "convert.c"
        var $397=CHECK_OVERFLOW(($396+18184)&4294967295, 32); //@line 553 "convert.c"
        var $398=HEAP[$397]; //@line 553 "convert.c"
        var $399=HEAP[$image]; //@line 553 "convert.c"
        var $400=CHECK_OVERFLOW(($399+4)&4294967295, 32); //@line 553 "convert.c"
        HEAP[$400]=$398; //@line 553 "convert.c"
        var $401=HEAP[$image]; //@line 554 "convert.c"
        var $402=CHECK_OVERFLOW(($401)&4294967295, 32); //@line 554 "convert.c"
        var $403=HEAP[$402]; //@line 554 "convert.c"
        var $404=($403)==0; //@line 554 "convert.c"
        if ($404) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 554 "convert.c"
      case 12: // $bb10
        var $405=HEAP[$w]; //@line 554 "convert.c"
        var $406=CHECK_OVERFLOW((($405) - 1)&4294967295, 32); //@line 554 "convert.c"
        var $407=HEAP[$subsampling_dx]; //@line 554 "convert.c"
        var $408=CHECK_OVERFLOW((($406) * ($407))&4294967295, 32); //@line 554 "convert.c"
        var $409=CHECK_OVERFLOW((($408) + 1)&4294967295, 32); //@line 554 "convert.c"
        HEAP[$iftmp_62]=$409; //@line 554 "convert.c"
        __label__ = 14; break; //@line 554 "convert.c"
      case 13: // $bb11
        var $410=HEAP[$image]; //@line 554 "convert.c"
        var $411=CHECK_OVERFLOW(($410)&4294967295, 32); //@line 554 "convert.c"
        var $412=HEAP[$411]; //@line 554 "convert.c"
        var $413=HEAP[$w]; //@line 554 "convert.c"
        var $414=CHECK_OVERFLOW((($413) - 1)&4294967295, 32); //@line 554 "convert.c"
        var $415=HEAP[$subsampling_dx]; //@line 554 "convert.c"
        var $416=CHECK_OVERFLOW((($414) * ($415))&4294967295, 32); //@line 554 "convert.c"
        var $417=CHECK_OVERFLOW((($412) + ($416))&4294967295, 32); //@line 554 "convert.c"
        var $418=CHECK_OVERFLOW((($417) + 1)&4294967295, 32); //@line 554 "convert.c"
        HEAP[$iftmp_62]=$418; //@line 554 "convert.c"
        __label__ = 14; break; //@line 554 "convert.c"
      case 14: // $bb12
        var $419=HEAP[$image]; //@line 554 "convert.c"
        var $420=CHECK_OVERFLOW(($419+8)&4294967295, 32); //@line 554 "convert.c"
        var $421=HEAP[$iftmp_62]; //@line 554 "convert.c"
        HEAP[$420]=$421; //@line 554 "convert.c"
        var $422=HEAP[$image]; //@line 555 "convert.c"
        var $423=CHECK_OVERFLOW(($422+4)&4294967295, 32); //@line 555 "convert.c"
        var $424=HEAP[$423]; //@line 555 "convert.c"
        var $425=($424)==0; //@line 555 "convert.c"
        if ($425) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 555 "convert.c"
      case 15: // $bb13
        var $426=HEAP[$h]; //@line 555 "convert.c"
        var $427=CHECK_OVERFLOW((($426) - 1)&4294967295, 32); //@line 555 "convert.c"
        var $428=HEAP[$subsampling_dy]; //@line 555 "convert.c"
        var $429=CHECK_OVERFLOW((($427) * ($428))&4294967295, 32); //@line 555 "convert.c"
        var $430=CHECK_OVERFLOW((($429) + 1)&4294967295, 32); //@line 555 "convert.c"
        HEAP[$iftmp_63]=$430; //@line 555 "convert.c"
        __label__ = 17; break; //@line 555 "convert.c"
      case 16: // $bb14
        var $431=HEAP[$image]; //@line 555 "convert.c"
        var $432=CHECK_OVERFLOW(($431+4)&4294967295, 32); //@line 555 "convert.c"
        var $433=HEAP[$432]; //@line 555 "convert.c"
        var $434=HEAP[$h]; //@line 555 "convert.c"
        var $435=CHECK_OVERFLOW((($434) - 1)&4294967295, 32); //@line 555 "convert.c"
        var $436=HEAP[$subsampling_dy]; //@line 555 "convert.c"
        var $437=CHECK_OVERFLOW((($435) * ($436))&4294967295, 32); //@line 555 "convert.c"
        var $438=CHECK_OVERFLOW((($433) + ($437))&4294967295, 32); //@line 555 "convert.c"
        var $439=CHECK_OVERFLOW((($438) + 1)&4294967295, 32); //@line 555 "convert.c"
        HEAP[$iftmp_63]=$439; //@line 555 "convert.c"
        __label__ = 17; break; //@line 555 "convert.c"
      case 17: // $bb15
        var $440=HEAP[$image]; //@line 555 "convert.c"
        var $441=CHECK_OVERFLOW(($440+12)&4294967295, 32); //@line 555 "convert.c"
        var $442=HEAP[$iftmp_63]; //@line 555 "convert.c"
        HEAP[$441]=$442; //@line 555 "convert.c"
        var $443=HEAP[$IN]; //@line 560 "convert.c"
        var $444=_fseek($443, 0, 0); //@line 560 "convert.c"
        var $445=CHECK_OVERFLOW(($File_h+12)&4294967295, 32); //@line 561 "convert.c"
        var $446=HEAP[$445]; //@line 561 "convert.c"
        var $447=HEAP[$IN]; //@line 561 "convert.c"
        var $448=_fseek($447, $446, 0); //@line 561 "convert.c"
        var $449=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 563 "convert.c"
        var $450=HEAP[$449]; //@line 563 "convert.c"
        HEAP[$W]=$450; //@line 563 "convert.c"
        var $451=CHECK_OVERFLOW(($Info_h+8)&4294967295, 32); //@line 564 "convert.c"
        var $452=HEAP[$451]; //@line 564 "convert.c"
        HEAP[$H]=$452; //@line 564 "convert.c"
        var $453=HEAP[$W]; //@line 568 "convert.c"
        var $454=CHECK_OVERFLOW((($453) * 3)&4294967295, 32); //@line 568 "convert.c"
        var $455=($454) & 3; //@line 568 "convert.c"
        var $456=($455)!=0; //@line 568 "convert.c"
        if ($456) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 568 "convert.c"
      case 18: // $bb16
        var $457=HEAP[$W]; //@line 568 "convert.c"
        var $458=CHECK_OVERFLOW((($457) * 3)&4294967295, 32); //@line 568 "convert.c"
        var $459=($458) & 3; //@line 568 "convert.c"
        var $460=CHECK_OVERFLOW((4 - ($459))&4294967295, 32); //@line 568 "convert.c"
        HEAP[$iftmp_64]=$460; //@line 568 "convert.c"
        __label__ = 20; break; //@line 568 "convert.c"
      case 19: // $bb17
        HEAP[$iftmp_64]=0; //@line 568 "convert.c"
        __label__ = 20; break; //@line 568 "convert.c"
      case 20: // $bb18
        var $461=HEAP[$iftmp_64]; //@line 568 "convert.c"
        HEAP[$PAD]=$461; //@line 568 "convert.c"
        var $462=HEAP[$W]; //@line 570 "convert.c"
        var $463=CHECK_OVERFLOW((($462) * 3)&4294967295, 32); //@line 570 "convert.c"
        var $464=HEAP[$PAD]; //@line 570 "convert.c"
        var $465=CHECK_OVERFLOW((($463) + ($464))&4294967295, 32); //@line 570 "convert.c"
        var $466=HEAP[$H]; //@line 570 "convert.c"
        var $467=CHECK_OVERFLOW((($465) * ($466))&4294967295, 32); //@line 570 "convert.c"
        var $468=_malloc($467); //@line 570 "convert.c"
        HEAP[$RGB]=$468; //@line 570 "convert.c"
        var $469=HEAP[$W]; //@line 572 "convert.c"
        var $470=CHECK_OVERFLOW((($469) * 3)&4294967295, 32); //@line 572 "convert.c"
        var $471=HEAP[$PAD]; //@line 572 "convert.c"
        var $472=CHECK_OVERFLOW((($470) + ($471))&4294967295, 32); //@line 572 "convert.c"
        var $473=HEAP[$H]; //@line 572 "convert.c"
        var $474=CHECK_OVERFLOW((($472) * ($473))&4294967295, 32); //@line 572 "convert.c"
        var $475=HEAP[$RGB]; //@line 572 "convert.c"
        var $476=HEAP[$IN]; //@line 572 "convert.c"
        var $477=_fread($475, 1, $474, $476); //@line 572 "convert.c"
        HEAP[$index]=0; //@line 574 "convert.c"
        HEAP[$y]=0; //@line 576 "convert.c"
        __label__ = 21; break; //@line 576 "convert.c"
      case 25: // $bb19
        var $478=HEAP[$W]; //@line 577 "convert.c"
        var $479=CHECK_OVERFLOW((($478) * 3)&4294967295, 32); //@line 577 "convert.c"
        var $480=HEAP[$PAD]; //@line 577 "convert.c"
        var $481=CHECK_OVERFLOW((($479) + ($480))&4294967295, 32); //@line 577 "convert.c"
        var $482=HEAP[$y]; //@line 577 "convert.c"
        var $483=HEAP[$H]; //@line 577 "convert.c"
        var $484=CHECK_OVERFLOW((($483) - ($482))&4294967295, 32); //@line 577 "convert.c"
        var $485=CHECK_OVERFLOW((($484) - 1)&4294967295, 32); //@line 577 "convert.c"
        var $486=CHECK_OVERFLOW((($481) * ($485))&4294967295, 32); //@line 577 "convert.c"
        var $487=HEAP[$RGB]; //@line 577 "convert.c"
        var $488=CHECK_OVERFLOW(($487+$486)&4294967295, 32); //@line 577 "convert.c"
        HEAP[$scanline]=$488; //@line 577 "convert.c"
        HEAP[$x]=0; //@line 578 "convert.c"
        __label__ = 22; break; //@line 578 "convert.c"
      case 23: // $bb20
        var $489=HEAP[$x]; //@line 579 "convert.c"
        var $490=CHECK_OVERFLOW((($489) * 3)&4294967295, 32); //@line 579 "convert.c"
        var $491=HEAP[$scanline]; //@line 579 "convert.c"
        var $492=CHECK_OVERFLOW(($491+$490)&4294967295, 32); //@line 579 "convert.c"
        HEAP[$pixel]=$492; //@line 579 "convert.c"
        var $493=HEAP[$image]; //@line 580 "convert.c"
        var $494=CHECK_OVERFLOW(($493+24)&4294967295, 32); //@line 580 "convert.c"
        var $495=HEAP[$494]; //@line 580 "convert.c"
        var $496=CHECK_OVERFLOW(($495)&4294967295, 32); //@line 580 "convert.c"
        var $497=CHECK_OVERFLOW(($496+44)&4294967295, 32); //@line 580 "convert.c"
        var $498=HEAP[$497]; //@line 580 "convert.c"
        var $499=HEAP[$pixel]; //@line 580 "convert.c"
        var $500=CHECK_OVERFLOW(($499+2)&4294967295, 32); //@line 580 "convert.c"
        var $501=HEAP[$500]; //@line 580 "convert.c"
        var $502=($501); //@line 580 "convert.c"
        var $503=HEAP[$index]; //@line 580 "convert.c"
        var $504=CHECK_OVERFLOW(($498+4*$503)&4294967295, 32); //@line 580 "convert.c"
        HEAP[$504]=$502; //@line 580 "convert.c"
        var $505=HEAP[$image]; //@line 581 "convert.c"
        var $506=CHECK_OVERFLOW(($505+24)&4294967295, 32); //@line 581 "convert.c"
        var $507=HEAP[$506]; //@line 581 "convert.c"
        var $508=CHECK_OVERFLOW(($507+48)&4294967295, 32); //@line 581 "convert.c"
        var $509=CHECK_OVERFLOW(($508+44)&4294967295, 32); //@line 581 "convert.c"
        var $510=HEAP[$509]; //@line 581 "convert.c"
        var $511=HEAP[$pixel]; //@line 581 "convert.c"
        var $512=CHECK_OVERFLOW(($511+1)&4294967295, 32); //@line 581 "convert.c"
        var $513=HEAP[$512]; //@line 581 "convert.c"
        var $514=($513); //@line 581 "convert.c"
        var $515=HEAP[$index]; //@line 581 "convert.c"
        var $516=CHECK_OVERFLOW(($510+4*$515)&4294967295, 32); //@line 581 "convert.c"
        HEAP[$516]=$514; //@line 581 "convert.c"
        var $517=HEAP[$image]; //@line 582 "convert.c"
        var $518=CHECK_OVERFLOW(($517+24)&4294967295, 32); //@line 582 "convert.c"
        var $519=HEAP[$518]; //@line 582 "convert.c"
        var $520=CHECK_OVERFLOW(($519+96)&4294967295, 32); //@line 582 "convert.c"
        var $521=CHECK_OVERFLOW(($520+44)&4294967295, 32); //@line 582 "convert.c"
        var $522=HEAP[$521]; //@line 582 "convert.c"
        var $523=HEAP[$pixel]; //@line 582 "convert.c"
        var $524=CHECK_OVERFLOW(($523)&4294967295, 32); //@line 582 "convert.c"
        var $525=HEAP[$524]; //@line 582 "convert.c"
        var $526=($525); //@line 582 "convert.c"
        var $527=HEAP[$index]; //@line 582 "convert.c"
        var $528=CHECK_OVERFLOW(($522+4*$527)&4294967295, 32); //@line 582 "convert.c"
        HEAP[$528]=$526; //@line 582 "convert.c"
        var $529=HEAP[$index]; //@line 583 "convert.c"
        var $530=CHECK_OVERFLOW((($529) + 1)&4294967295, 32); //@line 583 "convert.c"
        HEAP[$index]=$530; //@line 583 "convert.c"
        var $531=HEAP[$x]; //@line 578 "convert.c"
        var $532=CHECK_OVERFLOW((($531) + 1)&4294967295, 32); //@line 578 "convert.c"
        HEAP[$x]=$532; //@line 578 "convert.c"
        __label__ = 22; break; //@line 578 "convert.c"
      case 22: // $bb21
        var $533=HEAP[$W]; //@line 578 "convert.c"
        var $534=HEAP[$x]; //@line 578 "convert.c"
        var $535=($533) > ($534); //@line 578 "convert.c"
        if ($535) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 578 "convert.c"
      case 24: // $bb22
        var $536=HEAP[$y]; //@line 576 "convert.c"
        var $537=CHECK_OVERFLOW((($536) + 1)&4294967295, 32); //@line 576 "convert.c"
        HEAP[$y]=$537; //@line 576 "convert.c"
        __label__ = 21; break; //@line 576 "convert.c"
      case 21: // $bb23
        var $538=HEAP[$H]; //@line 576 "convert.c"
        var $539=HEAP[$y]; //@line 576 "convert.c"
        var $540=($538) > ($539); //@line 576 "convert.c"
        if ($540) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 576 "convert.c"
      case 26: // $bb24
        var $541=HEAP[$RGB]; //@line 587 "convert.c"
        _free($541); //@line 587 "convert.c"
        __label__ = 27; break; //@line 587 "convert.c"
      case 6: // $bb25
        var $542=CHECK_OVERFLOW(($Info_h+14)&4294967295, 32); //@line 589 "convert.c"
        var $543=HEAP[$542]; //@line 589 "convert.c"
        var $544=($543)!=8; //@line 589 "convert.c"
        if ($544) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 589 "convert.c"
      case 29: // $bb26
        var $545=CHECK_OVERFLOW(($Info_h+16)&4294967295, 32); //@line 589 "convert.c"
        var $546=HEAP[$545]; //@line 589 "convert.c"
        var $547=($546)!=0; //@line 589 "convert.c"
        if ($547) { __label__ = 28; break; } else { __label__ = 30; break; } //@line 589 "convert.c"
      case 30: // $bb27
        var $548=_malloc(256); //@line 590 "convert.c"
        HEAP[$table_R]=$548; //@line 590 "convert.c"
        var $549=_malloc(256); //@line 591 "convert.c"
        HEAP[$table_G]=$549; //@line 591 "convert.c"
        var $550=_malloc(256); //@line 592 "convert.c"
        HEAP[$table_B]=$550; //@line 592 "convert.c"
        HEAP[$j]=0; //@line 594 "convert.c"
        __label__ = 31; break; //@line 594 "convert.c"
      case 36: // $bb28
        var $551=HEAP[$IN]; //@line 595 "convert.c"
        var $552=__IO_getc($551); //@line 595 "convert.c"
        var $553=((($552)) & 255); //@line 595 "convert.c"
        var $554=HEAP[$table_B]; //@line 595 "convert.c"
        var $555=HEAP[$j]; //@line 595 "convert.c"
        var $556=CHECK_OVERFLOW(($554+$555)&4294967295, 32); //@line 595 "convert.c"
        HEAP[$556]=$553; //@line 595 "convert.c"
        var $557=HEAP[$IN]; //@line 596 "convert.c"
        var $558=__IO_getc($557); //@line 596 "convert.c"
        var $559=((($558)) & 255); //@line 596 "convert.c"
        var $560=HEAP[$table_G]; //@line 596 "convert.c"
        var $561=HEAP[$j]; //@line 596 "convert.c"
        var $562=CHECK_OVERFLOW(($560+$561)&4294967295, 32); //@line 596 "convert.c"
        HEAP[$562]=$559; //@line 596 "convert.c"
        var $563=HEAP[$IN]; //@line 597 "convert.c"
        var $564=__IO_getc($563); //@line 597 "convert.c"
        var $565=((($564)) & 255); //@line 597 "convert.c"
        var $566=HEAP[$table_R]; //@line 597 "convert.c"
        var $567=HEAP[$j]; //@line 597 "convert.c"
        var $568=CHECK_OVERFLOW(($566+$567)&4294967295, 32); //@line 597 "convert.c"
        HEAP[$568]=$565; //@line 597 "convert.c"
        var $569=HEAP[$IN]; //@line 598 "convert.c"
        var $570=__IO_getc($569); //@line 598 "convert.c"
        var $571=HEAP[$table_R]; //@line 599 "convert.c"
        var $572=HEAP[$j]; //@line 599 "convert.c"
        var $573=CHECK_OVERFLOW(($571+$572)&4294967295, 32); //@line 599 "convert.c"
        var $574=HEAP[$573]; //@line 599 "convert.c"
        var $575=HEAP[$table_G]; //@line 599 "convert.c"
        var $576=HEAP[$j]; //@line 599 "convert.c"
        var $577=CHECK_OVERFLOW(($575+$576)&4294967295, 32); //@line 599 "convert.c"
        var $578=HEAP[$577]; //@line 599 "convert.c"
        var $579=($574)!=($578); //@line 599 "convert.c"
        if ($579) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 599 "convert.c"
      case 32: // $bb29
        var $580=HEAP[$table_R]; //@line 599 "convert.c"
        var $581=HEAP[$j]; //@line 599 "convert.c"
        var $582=CHECK_OVERFLOW(($580+$581)&4294967295, 32); //@line 599 "convert.c"
        var $583=HEAP[$582]; //@line 599 "convert.c"
        var $584=HEAP[$table_B]; //@line 599 "convert.c"
        var $585=HEAP[$j]; //@line 599 "convert.c"
        var $586=CHECK_OVERFLOW(($584+$585)&4294967295, 32); //@line 599 "convert.c"
        var $587=HEAP[$586]; //@line 599 "convert.c"
        var $588=($583)!=($587); //@line 599 "convert.c"
        if ($588) { __label__ = 34; break; } else { __label__ = 33; break; } //@line 599 "convert.c"
      case 34: // $bb30
        var $589=HEAP[$table_G]; //@line 599 "convert.c"
        var $590=HEAP[$j]; //@line 599 "convert.c"
        var $591=CHECK_OVERFLOW(($589+$590)&4294967295, 32); //@line 599 "convert.c"
        var $592=HEAP[$591]; //@line 599 "convert.c"
        var $593=HEAP[$table_B]; //@line 599 "convert.c"
        var $594=HEAP[$j]; //@line 599 "convert.c"
        var $595=CHECK_OVERFLOW(($593+$594)&4294967295, 32); //@line 599 "convert.c"
        var $596=HEAP[$595]; //@line 599 "convert.c"
        var $597=($592)!=($596); //@line 599 "convert.c"
        if ($597) { __label__ = 35; break; } else { __label__ = 33; break; } //@line 599 "convert.c"
      case 35: // $bb31
        HEAP[$gray_scale]=0; //@line 600 "convert.c"
        __label__ = 33; break; //@line 600 "convert.c"
      case 33: // $bb32
        var $598=HEAP[$j]; //@line 594 "convert.c"
        var $599=CHECK_OVERFLOW((($598) + 1)&4294967295, 32); //@line 594 "convert.c"
        HEAP[$j]=$599; //@line 594 "convert.c"
        __label__ = 31; break; //@line 594 "convert.c"
      case 31: // $bb33
        var $600=CHECK_OVERFLOW(($Info_h+32)&4294967295, 32); //@line 594 "convert.c"
        var $601=HEAP[$600]; //@line 594 "convert.c"
        var $602=HEAP[$j]; //@line 594 "convert.c"
        var $603=($601) > ($602); //@line 594 "convert.c"
        if ($603) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 594 "convert.c"
      case 37: // $bb34
        var $604=HEAP[$IN]; //@line 604 "convert.c"
        var $605=_fseek($604, 0, 0); //@line 604 "convert.c"
        var $606=CHECK_OVERFLOW(($File_h+12)&4294967295, 32); //@line 605 "convert.c"
        var $607=HEAP[$606]; //@line 605 "convert.c"
        var $608=HEAP[$IN]; //@line 605 "convert.c"
        var $609=_fseek($608, $607, 0); //@line 605 "convert.c"
        var $610=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 607 "convert.c"
        var $611=HEAP[$610]; //@line 607 "convert.c"
        HEAP[$W]=$611; //@line 607 "convert.c"
        var $612=CHECK_OVERFLOW(($Info_h+8)&4294967295, 32); //@line 608 "convert.c"
        var $613=HEAP[$612]; //@line 608 "convert.c"
        HEAP[$H]=$613; //@line 608 "convert.c"
        var $614=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 609 "convert.c"
        var $615=HEAP[$614]; //@line 609 "convert.c"
        var $616=($615) & 1; //@line 609 "convert.c"
        var $617=((($616)) & 255); //@line 609 "convert.c"
        var $toBool=($617)!=0; //@line 609 "convert.c"
        if ($toBool) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 609 "convert.c"
      case 38: // $bb35
        var $618=HEAP[$W]; //@line 610 "convert.c"
        var $619=CHECK_OVERFLOW((($618) + 1)&4294967295, 32); //@line 610 "convert.c"
        HEAP[$W]=$619; //@line 610 "convert.c"
        __label__ = 39; break; //@line 610 "convert.c"
      case 39: // $bb36
        var $620=HEAP[$gray_scale]; //@line 612 "convert.c"
        var $621=($620)!=0; //@line 612 "convert.c"
        if ($621) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 612 "convert.c"
      case 40: // $bb37
        HEAP[$iftmp_68]=1; //@line 612 "convert.c"
        __label__ = 42; break; //@line 612 "convert.c"
      case 41: // $bb38
        HEAP[$iftmp_68]=3; //@line 612 "convert.c"
        __label__ = 42; break; //@line 612 "convert.c"
      case 42: // $bb39
        var $622=HEAP[$iftmp_68]; //@line 612 "convert.c"
        HEAP[$numcomps]=$622; //@line 612 "convert.c"
        var $623=HEAP[$gray_scale]; //@line 613 "convert.c"
        var $624=($623)!=0; //@line 613 "convert.c"
        if ($624) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 613 "convert.c"
      case 43: // $bb40
        HEAP[$iftmp_69]=2; //@line 613 "convert.c"
        __label__ = 45; break; //@line 613 "convert.c"
      case 44: // $bb41
        HEAP[$iftmp_69]=1; //@line 613 "convert.c"
        __label__ = 45; break; //@line 613 "convert.c"
      case 45: // $bb42
        var $625=HEAP[$iftmp_69]; //@line 613 "convert.c"
        HEAP[$color_space]=$625; //@line 613 "convert.c"
        var $626=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 615 "convert.c"
        var $627=$626; //@line 615 "convert.c"
        _llvm_memset_p0i8_i32($627, 0, 108, 1, 0); //@line 615 "convert.c"
        HEAP[$i]=0; //@line 616 "convert.c"
        __label__ = 46; break; //@line 616 "convert.c"
      case 47: // $bb43
        var $628=HEAP[$i]; //@line 617 "convert.c"
        var $629=CHECK_OVERFLOW(($cmptparm+$628*36)&4294967295, 32); //@line 617 "convert.c"
        var $630=CHECK_OVERFLOW(($629+24)&4294967295, 32); //@line 617 "convert.c"
        HEAP[$630]=8; //@line 617 "convert.c"
        var $631=HEAP[$i]; //@line 618 "convert.c"
        var $632=CHECK_OVERFLOW(($cmptparm+$631*36)&4294967295, 32); //@line 618 "convert.c"
        var $633=CHECK_OVERFLOW(($632+28)&4294967295, 32); //@line 618 "convert.c"
        HEAP[$633]=8; //@line 618 "convert.c"
        var $634=HEAP[$i]; //@line 619 "convert.c"
        var $635=CHECK_OVERFLOW(($cmptparm+$634*36)&4294967295, 32); //@line 619 "convert.c"
        var $636=CHECK_OVERFLOW(($635+32)&4294967295, 32); //@line 619 "convert.c"
        HEAP[$636]=0; //@line 619 "convert.c"
        var $637=HEAP[$i]; //@line 620 "convert.c"
        var $638=CHECK_OVERFLOW(($cmptparm+$637*36)&4294967295, 32); //@line 620 "convert.c"
        var $639=CHECK_OVERFLOW(($638)&4294967295, 32); //@line 620 "convert.c"
        var $640=HEAP[$subsampling_dx]; //@line 620 "convert.c"
        HEAP[$639]=$640; //@line 620 "convert.c"
        var $641=HEAP[$i]; //@line 621 "convert.c"
        var $642=CHECK_OVERFLOW(($cmptparm+$641*36)&4294967295, 32); //@line 621 "convert.c"
        var $643=CHECK_OVERFLOW(($642+4)&4294967295, 32); //@line 621 "convert.c"
        var $644=HEAP[$subsampling_dy]; //@line 621 "convert.c"
        HEAP[$643]=$644; //@line 621 "convert.c"
        var $645=HEAP[$i]; //@line 622 "convert.c"
        var $646=CHECK_OVERFLOW(($cmptparm+$645*36)&4294967295, 32); //@line 622 "convert.c"
        var $647=CHECK_OVERFLOW(($646+8)&4294967295, 32); //@line 622 "convert.c"
        var $648=HEAP[$w]; //@line 622 "convert.c"
        HEAP[$647]=$648; //@line 622 "convert.c"
        var $649=HEAP[$i]; //@line 623 "convert.c"
        var $650=CHECK_OVERFLOW(($cmptparm+$649*36)&4294967295, 32); //@line 623 "convert.c"
        var $651=CHECK_OVERFLOW(($650+12)&4294967295, 32); //@line 623 "convert.c"
        var $652=HEAP[$h]; //@line 623 "convert.c"
        HEAP[$651]=$652; //@line 623 "convert.c"
        var $653=HEAP[$i]; //@line 616 "convert.c"
        var $654=CHECK_OVERFLOW((($653) + 1)&4294967295, 32); //@line 616 "convert.c"
        HEAP[$i]=$654; //@line 616 "convert.c"
        __label__ = 46; break; //@line 616 "convert.c"
      case 46: // $bb44
        var $655=HEAP[$i]; //@line 616 "convert.c"
        var $656=HEAP[$numcomps]; //@line 616 "convert.c"
        var $657=($655) < ($656); //@line 616 "convert.c"
        if ($657) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 616 "convert.c"
      case 48: // $bb45
        var $658=HEAP[$numcomps]; //@line 626 "convert.c"
        var $659=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 626 "convert.c"
        var $660=HEAP[$color_space]; //@line 626 "convert.c"
        var $661=_opj_image_create($658, $659, $660); //@line 626 "convert.c"
        HEAP[$image]=$661; //@line 626 "convert.c"
        var $662=HEAP[$image]; //@line 627 "convert.c"
        var $663=($662)==0; //@line 627 "convert.c"
        if ($663) { __label__ = 49; break; } else { __label__ = 50; break; } //@line 627 "convert.c"
      case 49: // $bb46
        var $664=HEAP[$IN]; //@line 628 "convert.c"
        var $665=_fclose($664); //@line 628 "convert.c"
        HEAP[$0]=0; //@line 629 "convert.c"
        __label__ = 2; break; //@line 629 "convert.c"
      case 50: // $bb47
        var $666=HEAP[$parameters_addr]; //@line 633 "convert.c"
        var $667=CHECK_OVERFLOW(($666+18180)&4294967295, 32); //@line 633 "convert.c"
        var $668=HEAP[$667]; //@line 633 "convert.c"
        var $669=HEAP[$image]; //@line 633 "convert.c"
        var $670=CHECK_OVERFLOW(($669)&4294967295, 32); //@line 633 "convert.c"
        HEAP[$670]=$668; //@line 633 "convert.c"
        var $671=HEAP[$parameters_addr]; //@line 634 "convert.c"
        var $672=CHECK_OVERFLOW(($671+18184)&4294967295, 32); //@line 634 "convert.c"
        var $673=HEAP[$672]; //@line 634 "convert.c"
        var $674=HEAP[$image]; //@line 634 "convert.c"
        var $675=CHECK_OVERFLOW(($674+4)&4294967295, 32); //@line 634 "convert.c"
        HEAP[$675]=$673; //@line 634 "convert.c"
        var $676=HEAP[$image]; //@line 635 "convert.c"
        var $677=CHECK_OVERFLOW(($676)&4294967295, 32); //@line 635 "convert.c"
        var $678=HEAP[$677]; //@line 635 "convert.c"
        var $679=($678)==0; //@line 635 "convert.c"
        if ($679) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 635 "convert.c"
      case 51: // $bb48
        var $680=HEAP[$w]; //@line 635 "convert.c"
        var $681=CHECK_OVERFLOW((($680) - 1)&4294967295, 32); //@line 635 "convert.c"
        var $682=HEAP[$subsampling_dx]; //@line 635 "convert.c"
        var $683=CHECK_OVERFLOW((($681) * ($682))&4294967295, 32); //@line 635 "convert.c"
        var $684=CHECK_OVERFLOW((($683) + 1)&4294967295, 32); //@line 635 "convert.c"
        HEAP[$iftmp_77]=$684; //@line 635 "convert.c"
        __label__ = 53; break; //@line 635 "convert.c"
      case 52: // $bb49
        var $685=HEAP[$image]; //@line 635 "convert.c"
        var $686=CHECK_OVERFLOW(($685)&4294967295, 32); //@line 635 "convert.c"
        var $687=HEAP[$686]; //@line 635 "convert.c"
        var $688=HEAP[$w]; //@line 635 "convert.c"
        var $689=CHECK_OVERFLOW((($688) - 1)&4294967295, 32); //@line 635 "convert.c"
        var $690=HEAP[$subsampling_dx]; //@line 635 "convert.c"
        var $691=CHECK_OVERFLOW((($689) * ($690))&4294967295, 32); //@line 635 "convert.c"
        var $692=CHECK_OVERFLOW((($687) + ($691))&4294967295, 32); //@line 635 "convert.c"
        var $693=CHECK_OVERFLOW((($692) + 1)&4294967295, 32); //@line 635 "convert.c"
        HEAP[$iftmp_77]=$693; //@line 635 "convert.c"
        __label__ = 53; break; //@line 635 "convert.c"
      case 53: // $bb50
        var $694=HEAP[$image]; //@line 635 "convert.c"
        var $695=CHECK_OVERFLOW(($694+8)&4294967295, 32); //@line 635 "convert.c"
        var $696=HEAP[$iftmp_77]; //@line 635 "convert.c"
        HEAP[$695]=$696; //@line 635 "convert.c"
        var $697=HEAP[$image]; //@line 636 "convert.c"
        var $698=CHECK_OVERFLOW(($697+4)&4294967295, 32); //@line 636 "convert.c"
        var $699=HEAP[$698]; //@line 636 "convert.c"
        var $700=($699)==0; //@line 636 "convert.c"
        if ($700) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 636 "convert.c"
      case 54: // $bb51
        var $701=HEAP[$h]; //@line 636 "convert.c"
        var $702=CHECK_OVERFLOW((($701) - 1)&4294967295, 32); //@line 636 "convert.c"
        var $703=HEAP[$subsampling_dy]; //@line 636 "convert.c"
        var $704=CHECK_OVERFLOW((($702) * ($703))&4294967295, 32); //@line 636 "convert.c"
        var $705=CHECK_OVERFLOW((($704) + 1)&4294967295, 32); //@line 636 "convert.c"
        HEAP[$iftmp_78]=$705; //@line 636 "convert.c"
        __label__ = 56; break; //@line 636 "convert.c"
      case 55: // $bb52
        var $706=HEAP[$image]; //@line 636 "convert.c"
        var $707=CHECK_OVERFLOW(($706+4)&4294967295, 32); //@line 636 "convert.c"
        var $708=HEAP[$707]; //@line 636 "convert.c"
        var $709=HEAP[$h]; //@line 636 "convert.c"
        var $710=CHECK_OVERFLOW((($709) - 1)&4294967295, 32); //@line 636 "convert.c"
        var $711=HEAP[$subsampling_dy]; //@line 636 "convert.c"
        var $712=CHECK_OVERFLOW((($710) * ($711))&4294967295, 32); //@line 636 "convert.c"
        var $713=CHECK_OVERFLOW((($708) + ($712))&4294967295, 32); //@line 636 "convert.c"
        var $714=CHECK_OVERFLOW((($713) + 1)&4294967295, 32); //@line 636 "convert.c"
        HEAP[$iftmp_78]=$714; //@line 636 "convert.c"
        __label__ = 56; break; //@line 636 "convert.c"
      case 56: // $bb53
        var $715=HEAP[$image]; //@line 636 "convert.c"
        var $716=CHECK_OVERFLOW(($715+12)&4294967295, 32); //@line 636 "convert.c"
        var $717=HEAP[$iftmp_78]; //@line 636 "convert.c"
        HEAP[$716]=$717; //@line 636 "convert.c"
        var $718=HEAP[$W]; //@line 640 "convert.c"
        var $719=HEAP[$H]; //@line 640 "convert.c"
        var $720=CHECK_OVERFLOW((($718) * ($719))&4294967295, 32); //@line 640 "convert.c"
        var $721=_malloc($720); //@line 640 "convert.c"
        HEAP[$RGB]=$721; //@line 640 "convert.c"
        var $722=HEAP[$W]; //@line 642 "convert.c"
        var $723=HEAP[$H]; //@line 642 "convert.c"
        var $724=CHECK_OVERFLOW((($722) * ($723))&4294967295, 32); //@line 642 "convert.c"
        var $725=HEAP[$RGB]; //@line 642 "convert.c"
        var $726=HEAP[$IN]; //@line 642 "convert.c"
        var $727=_fread($725, 1, $724, $726); //@line 642 "convert.c"
        var $728=HEAP[$gray_scale]; //@line 643 "convert.c"
        var $729=($728)!=0; //@line 643 "convert.c"
        if ($729) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 643 "convert.c"
      case 57: // $bb54
        HEAP[$index]=0; //@line 644 "convert.c"
        HEAP[$j]=0; //@line 645 "convert.c"
        __label__ = 59; break; //@line 645 "convert.c"
      case 64: // $bb55
        var $730=HEAP[$j]; //@line 646 "convert.c"
        var $731=HEAP[$W]; //@line 646 "convert.c"
        var $732=($730) % ($731); //@line 646 "convert.c"
        var $733=HEAP[$W]; //@line 646 "convert.c"
        var $734=CHECK_OVERFLOW((($733) - 1)&4294967295, 32); //@line 646 "convert.c"
        var $735=($732) >= ($734); //@line 646 "convert.c"
        if ($735) { __label__ = 60; break; } else { __label__ = 61; break; } //@line 646 "convert.c"
      case 61: // $bb56
        var $736=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 646 "convert.c"
        var $737=HEAP[$736]; //@line 646 "convert.c"
        var $738=($737) & 1; //@line 646 "convert.c"
        var $739=((($738)) & 255); //@line 646 "convert.c"
        var $toBool57=($739)!=0; //@line 646 "convert.c"
        if ($toBool57) { __label__ = 62; break; } else { __label__ = 60; break; } //@line 646 "convert.c"
      case 60: // $bb58
        var $740=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 646 "convert.c"
        var $741=HEAP[$740]; //@line 646 "convert.c"
        var $742=($741) & 1; //@line 646 "convert.c"
        var $743=($742)==0; //@line 646 "convert.c"
        if ($743) { __label__ = 62; break; } else { __label__ = 63; break; } //@line 646 "convert.c"
      case 62: // $bb59
        var $744=HEAP[$image]; //@line 647 "convert.c"
        var $745=CHECK_OVERFLOW(($744+24)&4294967295, 32); //@line 647 "convert.c"
        var $746=HEAP[$745]; //@line 647 "convert.c"
        var $747=CHECK_OVERFLOW(($746)&4294967295, 32); //@line 647 "convert.c"
        var $748=CHECK_OVERFLOW(($747+44)&4294967295, 32); //@line 647 "convert.c"
        var $749=HEAP[$748]; //@line 647 "convert.c"
        var $750=HEAP[$j]; //@line 647 "convert.c"
        var $751=HEAP[$W]; //@line 647 "convert.c"
        var $752=Math.floor(($750)/($751)); //@line 647 "convert.c"
        var $753=HEAP[$H]; //@line 647 "convert.c"
        var $754=CHECK_OVERFLOW((($753) - ($752))&4294967295, 32); //@line 647 "convert.c"
        var $755=CHECK_OVERFLOW((($754) - 1)&4294967295, 32); //@line 647 "convert.c"
        var $756=HEAP[$W]; //@line 647 "convert.c"
        var $757=CHECK_OVERFLOW((($755) * ($756))&4294967295, 32); //@line 647 "convert.c"
        var $758=HEAP[$j]; //@line 647 "convert.c"
        var $759=HEAP[$W]; //@line 647 "convert.c"
        var $760=($758) % ($759); //@line 647 "convert.c"
        var $761=CHECK_OVERFLOW((($757) + ($760))&4294967295, 32); //@line 647 "convert.c"
        var $762=HEAP[$RGB]; //@line 647 "convert.c"
        var $763=CHECK_OVERFLOW(($762+$761)&4294967295, 32); //@line 647 "convert.c"
        var $764=HEAP[$763]; //@line 647 "convert.c"
        var $765=($764); //@line 647 "convert.c"
        var $766=HEAP[$table_R]; //@line 647 "convert.c"
        var $767=CHECK_OVERFLOW(($766+$765)&4294967295, 32); //@line 647 "convert.c"
        var $768=HEAP[$767]; //@line 647 "convert.c"
        var $769=($768); //@line 647 "convert.c"
        var $770=HEAP[$index]; //@line 647 "convert.c"
        var $771=CHECK_OVERFLOW(($749+4*$770)&4294967295, 32); //@line 647 "convert.c"
        HEAP[$771]=$769; //@line 647 "convert.c"
        var $772=HEAP[$index]; //@line 648 "convert.c"
        var $773=CHECK_OVERFLOW((($772) + 1)&4294967295, 32); //@line 648 "convert.c"
        HEAP[$index]=$773; //@line 648 "convert.c"
        __label__ = 63; break; //@line 648 "convert.c"
      case 63: // $bb60
        var $774=HEAP[$j]; //@line 645 "convert.c"
        var $775=CHECK_OVERFLOW((($774) + 1)&4294967295, 32); //@line 645 "convert.c"
        HEAP[$j]=$775; //@line 645 "convert.c"
        __label__ = 59; break; //@line 645 "convert.c"
      case 59: // $bb61
        var $776=HEAP[$W]; //@line 645 "convert.c"
        var $777=HEAP[$H]; //@line 645 "convert.c"
        var $778=CHECK_OVERFLOW((($776) * ($777))&4294967295, 32); //@line 645 "convert.c"
        var $779=HEAP[$j]; //@line 645 "convert.c"
        var $780=($778) > ($779); //@line 645 "convert.c"
        if ($780) { __label__ = 64; break; } else { __label__ = 65; break; } //@line 645 "convert.c"
      case 65: // $bb62
        __label__ = 66; break; //@line 645 "convert.c"
      case 58: // $bb63
        HEAP[$index]=0; //@line 653 "convert.c"
        HEAP[$j]=0; //@line 654 "convert.c"
        __label__ = 67; break; //@line 654 "convert.c"
      case 72: // $bb64
        var $781=HEAP[$j]; //@line 655 "convert.c"
        var $782=HEAP[$W]; //@line 655 "convert.c"
        var $783=($781) % ($782); //@line 655 "convert.c"
        var $784=HEAP[$W]; //@line 655 "convert.c"
        var $785=CHECK_OVERFLOW((($784) - 1)&4294967295, 32); //@line 655 "convert.c"
        var $786=($783) >= ($785); //@line 655 "convert.c"
        if ($786) { __label__ = 68; break; } else { __label__ = 69; break; } //@line 655 "convert.c"
      case 69: // $bb65
        var $787=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 655 "convert.c"
        var $788=HEAP[$787]; //@line 655 "convert.c"
        var $789=($788) & 1; //@line 655 "convert.c"
        var $790=((($789)) & 255); //@line 655 "convert.c"
        var $toBool66=($790)!=0; //@line 655 "convert.c"
        if ($toBool66) { __label__ = 70; break; } else { __label__ = 68; break; } //@line 655 "convert.c"
      case 68: // $bb67
        var $791=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 655 "convert.c"
        var $792=HEAP[$791]; //@line 655 "convert.c"
        var $793=($792) & 1; //@line 655 "convert.c"
        var $794=($793)==0; //@line 655 "convert.c"
        if ($794) { __label__ = 70; break; } else { __label__ = 71; break; } //@line 655 "convert.c"
      case 70: // $bb68
        var $795=HEAP[$j]; //@line 656 "convert.c"
        var $796=HEAP[$W]; //@line 656 "convert.c"
        var $797=Math.floor(($795)/($796)); //@line 656 "convert.c"
        var $798=HEAP[$H]; //@line 656 "convert.c"
        var $799=CHECK_OVERFLOW((($798) - ($797))&4294967295, 32); //@line 656 "convert.c"
        var $800=CHECK_OVERFLOW((($799) - 1)&4294967295, 32); //@line 656 "convert.c"
        var $801=HEAP[$W]; //@line 656 "convert.c"
        var $802=CHECK_OVERFLOW((($800) * ($801))&4294967295, 32); //@line 656 "convert.c"
        var $803=HEAP[$j]; //@line 656 "convert.c"
        var $804=HEAP[$W]; //@line 656 "convert.c"
        var $805=($803) % ($804); //@line 656 "convert.c"
        var $806=CHECK_OVERFLOW((($802) + ($805))&4294967295, 32); //@line 656 "convert.c"
        var $807=HEAP[$RGB]; //@line 656 "convert.c"
        var $808=CHECK_OVERFLOW(($807+$806)&4294967295, 32); //@line 656 "convert.c"
        var $809=HEAP[$808]; //@line 656 "convert.c"
        HEAP[$pixel_index]=$809; //@line 656 "convert.c"
        var $810=HEAP[$image]; //@line 657 "convert.c"
        var $811=CHECK_OVERFLOW(($810+24)&4294967295, 32); //@line 657 "convert.c"
        var $812=HEAP[$811]; //@line 657 "convert.c"
        var $813=CHECK_OVERFLOW(($812)&4294967295, 32); //@line 657 "convert.c"
        var $814=CHECK_OVERFLOW(($813+44)&4294967295, 32); //@line 657 "convert.c"
        var $815=HEAP[$814]; //@line 657 "convert.c"
        var $816=HEAP[$pixel_index]; //@line 657 "convert.c"
        var $817=($816); //@line 657 "convert.c"
        var $818=HEAP[$table_R]; //@line 657 "convert.c"
        var $819=CHECK_OVERFLOW(($818+$817)&4294967295, 32); //@line 657 "convert.c"
        var $820=HEAP[$819]; //@line 657 "convert.c"
        var $821=($820); //@line 657 "convert.c"
        var $822=HEAP[$index]; //@line 657 "convert.c"
        var $823=CHECK_OVERFLOW(($815+4*$822)&4294967295, 32); //@line 657 "convert.c"
        HEAP[$823]=$821; //@line 657 "convert.c"
        var $824=HEAP[$image]; //@line 658 "convert.c"
        var $825=CHECK_OVERFLOW(($824+24)&4294967295, 32); //@line 658 "convert.c"
        var $826=HEAP[$825]; //@line 658 "convert.c"
        var $827=CHECK_OVERFLOW(($826+48)&4294967295, 32); //@line 658 "convert.c"
        var $828=CHECK_OVERFLOW(($827+44)&4294967295, 32); //@line 658 "convert.c"
        var $829=HEAP[$828]; //@line 658 "convert.c"
        var $830=HEAP[$pixel_index]; //@line 658 "convert.c"
        var $831=($830); //@line 658 "convert.c"
        var $832=HEAP[$table_G]; //@line 658 "convert.c"
        var $833=CHECK_OVERFLOW(($832+$831)&4294967295, 32); //@line 658 "convert.c"
        var $834=HEAP[$833]; //@line 658 "convert.c"
        var $835=($834); //@line 658 "convert.c"
        var $836=HEAP[$index]; //@line 658 "convert.c"
        var $837=CHECK_OVERFLOW(($829+4*$836)&4294967295, 32); //@line 658 "convert.c"
        HEAP[$837]=$835; //@line 658 "convert.c"
        var $838=HEAP[$image]; //@line 659 "convert.c"
        var $839=CHECK_OVERFLOW(($838+24)&4294967295, 32); //@line 659 "convert.c"
        var $840=HEAP[$839]; //@line 659 "convert.c"
        var $841=CHECK_OVERFLOW(($840+96)&4294967295, 32); //@line 659 "convert.c"
        var $842=CHECK_OVERFLOW(($841+44)&4294967295, 32); //@line 659 "convert.c"
        var $843=HEAP[$842]; //@line 659 "convert.c"
        var $844=HEAP[$pixel_index]; //@line 659 "convert.c"
        var $845=($844); //@line 659 "convert.c"
        var $846=HEAP[$table_B]; //@line 659 "convert.c"
        var $847=CHECK_OVERFLOW(($846+$845)&4294967295, 32); //@line 659 "convert.c"
        var $848=HEAP[$847]; //@line 659 "convert.c"
        var $849=($848); //@line 659 "convert.c"
        var $850=HEAP[$index]; //@line 659 "convert.c"
        var $851=CHECK_OVERFLOW(($843+4*$850)&4294967295, 32); //@line 659 "convert.c"
        HEAP[$851]=$849; //@line 659 "convert.c"
        var $852=HEAP[$index]; //@line 660 "convert.c"
        var $853=CHECK_OVERFLOW((($852) + 1)&4294967295, 32); //@line 660 "convert.c"
        HEAP[$index]=$853; //@line 660 "convert.c"
        __label__ = 71; break; //@line 660 "convert.c"
      case 71: // $bb69
        var $854=HEAP[$j]; //@line 654 "convert.c"
        var $855=CHECK_OVERFLOW((($854) + 1)&4294967295, 32); //@line 654 "convert.c"
        HEAP[$j]=$855; //@line 654 "convert.c"
        __label__ = 67; break; //@line 654 "convert.c"
      case 67: // $bb70
        var $856=HEAP[$W]; //@line 654 "convert.c"
        var $857=HEAP[$H]; //@line 654 "convert.c"
        var $858=CHECK_OVERFLOW((($856) * ($857))&4294967295, 32); //@line 654 "convert.c"
        var $859=HEAP[$j]; //@line 654 "convert.c"
        var $860=($858) > ($859); //@line 654 "convert.c"
        if ($860) { __label__ = 72; break; } else { __label__ = 66; break; } //@line 654 "convert.c"
      case 66: // $bb71
        var $861=HEAP[$RGB]; //@line 664 "convert.c"
        _free($861); //@line 664 "convert.c"
        var $862=HEAP[$table_R]; //@line 665 "convert.c"
        _free($862); //@line 665 "convert.c"
        var $863=HEAP[$table_G]; //@line 666 "convert.c"
        _free($863); //@line 666 "convert.c"
        var $864=HEAP[$table_B]; //@line 667 "convert.c"
        _free($864); //@line 667 "convert.c"
        __label__ = 27; break; //@line 667 "convert.c"
      case 28: // $bb72
        var $865=CHECK_OVERFLOW(($Info_h+14)&4294967295, 32); //@line 668 "convert.c"
        var $866=HEAP[$865]; //@line 668 "convert.c"
        var $867=($866)!=8; //@line 668 "convert.c"
        if ($867) { __label__ = 73; break; } else { __label__ = 74; break; } //@line 668 "convert.c"
      case 74: // $bb73
        var $868=CHECK_OVERFLOW(($Info_h+16)&4294967295, 32); //@line 668 "convert.c"
        var $869=HEAP[$868]; //@line 668 "convert.c"
        var $870=($869)!=1; //@line 668 "convert.c"
        if ($870) { __label__ = 73; break; } else { __label__ = 75; break; } //@line 668 "convert.c"
      case 75: // $bb74
        var $871=_malloc(256); //@line 669 "convert.c"
        HEAP[$table_R]=$871; //@line 669 "convert.c"
        var $872=_malloc(256); //@line 670 "convert.c"
        HEAP[$table_G]=$872; //@line 670 "convert.c"
        var $873=_malloc(256); //@line 671 "convert.c"
        HEAP[$table_B]=$873; //@line 671 "convert.c"
        HEAP[$j]=0; //@line 673 "convert.c"
        __label__ = 76; break; //@line 673 "convert.c"
      case 81: // $bb75
        var $874=HEAP[$IN]; //@line 674 "convert.c"
        var $875=__IO_getc($874); //@line 674 "convert.c"
        var $876=((($875)) & 255); //@line 674 "convert.c"
        var $877=HEAP[$table_B]; //@line 674 "convert.c"
        var $878=HEAP[$j]; //@line 674 "convert.c"
        var $879=CHECK_OVERFLOW(($877+$878)&4294967295, 32); //@line 674 "convert.c"
        HEAP[$879]=$876; //@line 674 "convert.c"
        var $880=HEAP[$IN]; //@line 675 "convert.c"
        var $881=__IO_getc($880); //@line 675 "convert.c"
        var $882=((($881)) & 255); //@line 675 "convert.c"
        var $883=HEAP[$table_G]; //@line 675 "convert.c"
        var $884=HEAP[$j]; //@line 675 "convert.c"
        var $885=CHECK_OVERFLOW(($883+$884)&4294967295, 32); //@line 675 "convert.c"
        HEAP[$885]=$882; //@line 675 "convert.c"
        var $886=HEAP[$IN]; //@line 676 "convert.c"
        var $887=__IO_getc($886); //@line 676 "convert.c"
        var $888=((($887)) & 255); //@line 676 "convert.c"
        var $889=HEAP[$table_R]; //@line 676 "convert.c"
        var $890=HEAP[$j]; //@line 676 "convert.c"
        var $891=CHECK_OVERFLOW(($889+$890)&4294967295, 32); //@line 676 "convert.c"
        HEAP[$891]=$888; //@line 676 "convert.c"
        var $892=HEAP[$IN]; //@line 677 "convert.c"
        var $893=__IO_getc($892); //@line 677 "convert.c"
        var $894=HEAP[$table_R]; //@line 678 "convert.c"
        var $895=HEAP[$j]; //@line 678 "convert.c"
        var $896=CHECK_OVERFLOW(($894+$895)&4294967295, 32); //@line 678 "convert.c"
        var $897=HEAP[$896]; //@line 678 "convert.c"
        var $898=HEAP[$table_G]; //@line 678 "convert.c"
        var $899=HEAP[$j]; //@line 678 "convert.c"
        var $900=CHECK_OVERFLOW(($898+$899)&4294967295, 32); //@line 678 "convert.c"
        var $901=HEAP[$900]; //@line 678 "convert.c"
        var $902=($897)!=($901); //@line 678 "convert.c"
        if ($902) { __label__ = 77; break; } else { __label__ = 78; break; } //@line 678 "convert.c"
      case 77: // $bb76
        var $903=HEAP[$table_R]; //@line 678 "convert.c"
        var $904=HEAP[$j]; //@line 678 "convert.c"
        var $905=CHECK_OVERFLOW(($903+$904)&4294967295, 32); //@line 678 "convert.c"
        var $906=HEAP[$905]; //@line 678 "convert.c"
        var $907=HEAP[$table_B]; //@line 678 "convert.c"
        var $908=HEAP[$j]; //@line 678 "convert.c"
        var $909=CHECK_OVERFLOW(($907+$908)&4294967295, 32); //@line 678 "convert.c"
        var $910=HEAP[$909]; //@line 678 "convert.c"
        var $911=($906)!=($910); //@line 678 "convert.c"
        if ($911) { __label__ = 79; break; } else { __label__ = 78; break; } //@line 678 "convert.c"
      case 79: // $bb77
        var $912=HEAP[$table_G]; //@line 678 "convert.c"
        var $913=HEAP[$j]; //@line 678 "convert.c"
        var $914=CHECK_OVERFLOW(($912+$913)&4294967295, 32); //@line 678 "convert.c"
        var $915=HEAP[$914]; //@line 678 "convert.c"
        var $916=HEAP[$table_B]; //@line 678 "convert.c"
        var $917=HEAP[$j]; //@line 678 "convert.c"
        var $918=CHECK_OVERFLOW(($916+$917)&4294967295, 32); //@line 678 "convert.c"
        var $919=HEAP[$918]; //@line 678 "convert.c"
        var $920=($915)!=($919); //@line 678 "convert.c"
        if ($920) { __label__ = 80; break; } else { __label__ = 78; break; } //@line 678 "convert.c"
      case 80: // $bb78
        HEAP[$gray_scale]=0; //@line 679 "convert.c"
        __label__ = 78; break; //@line 679 "convert.c"
      case 78: // $bb79
        var $921=HEAP[$j]; //@line 673 "convert.c"
        var $922=CHECK_OVERFLOW((($921) + 1)&4294967295, 32); //@line 673 "convert.c"
        HEAP[$j]=$922; //@line 673 "convert.c"
        __label__ = 76; break; //@line 673 "convert.c"
      case 76: // $bb80
        var $923=CHECK_OVERFLOW(($Info_h+32)&4294967295, 32); //@line 673 "convert.c"
        var $924=HEAP[$923]; //@line 673 "convert.c"
        var $925=HEAP[$j]; //@line 673 "convert.c"
        var $926=($924) > ($925); //@line 673 "convert.c"
        if ($926) { __label__ = 81; break; } else { __label__ = 82; break; } //@line 673 "convert.c"
      case 82: // $bb81
        var $927=HEAP[$gray_scale]; //@line 682 "convert.c"
        var $928=($927)!=0; //@line 682 "convert.c"
        if ($928) { __label__ = 83; break; } else { __label__ = 84; break; } //@line 682 "convert.c"
      case 83: // $bb82
        HEAP[$iftmp_79]=1; //@line 682 "convert.c"
        __label__ = 85; break; //@line 682 "convert.c"
      case 84: // $bb83
        HEAP[$iftmp_79]=3; //@line 682 "convert.c"
        __label__ = 85; break; //@line 682 "convert.c"
      case 85: // $bb84
        var $929=HEAP[$iftmp_79]; //@line 682 "convert.c"
        HEAP[$numcomps]=$929; //@line 682 "convert.c"
        var $930=HEAP[$gray_scale]; //@line 683 "convert.c"
        var $931=($930)!=0; //@line 683 "convert.c"
        if ($931) { __label__ = 86; break; } else { __label__ = 87; break; } //@line 683 "convert.c"
      case 86: // $bb85
        HEAP[$iftmp_80]=2; //@line 683 "convert.c"
        __label__ = 88; break; //@line 683 "convert.c"
      case 87: // $bb86
        HEAP[$iftmp_80]=1; //@line 683 "convert.c"
        __label__ = 88; break; //@line 683 "convert.c"
      case 88: // $bb87
        var $932=HEAP[$iftmp_80]; //@line 683 "convert.c"
        HEAP[$color_space]=$932; //@line 683 "convert.c"
        var $933=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 685 "convert.c"
        var $934=$933; //@line 685 "convert.c"
        _llvm_memset_p0i8_i32($934, 0, 108, 1, 0); //@line 685 "convert.c"
        HEAP[$i]=0; //@line 686 "convert.c"
        __label__ = 89; break; //@line 686 "convert.c"
      case 90: // $bb88
        var $935=HEAP[$i]; //@line 687 "convert.c"
        var $936=CHECK_OVERFLOW(($cmptparm+$935*36)&4294967295, 32); //@line 687 "convert.c"
        var $937=CHECK_OVERFLOW(($936+24)&4294967295, 32); //@line 687 "convert.c"
        HEAP[$937]=8; //@line 687 "convert.c"
        var $938=HEAP[$i]; //@line 688 "convert.c"
        var $939=CHECK_OVERFLOW(($cmptparm+$938*36)&4294967295, 32); //@line 688 "convert.c"
        var $940=CHECK_OVERFLOW(($939+28)&4294967295, 32); //@line 688 "convert.c"
        HEAP[$940]=8; //@line 688 "convert.c"
        var $941=HEAP[$i]; //@line 689 "convert.c"
        var $942=CHECK_OVERFLOW(($cmptparm+$941*36)&4294967295, 32); //@line 689 "convert.c"
        var $943=CHECK_OVERFLOW(($942+32)&4294967295, 32); //@line 689 "convert.c"
        HEAP[$943]=0; //@line 689 "convert.c"
        var $944=HEAP[$i]; //@line 690 "convert.c"
        var $945=CHECK_OVERFLOW(($cmptparm+$944*36)&4294967295, 32); //@line 690 "convert.c"
        var $946=CHECK_OVERFLOW(($945)&4294967295, 32); //@line 690 "convert.c"
        var $947=HEAP[$subsampling_dx]; //@line 690 "convert.c"
        HEAP[$946]=$947; //@line 690 "convert.c"
        var $948=HEAP[$i]; //@line 691 "convert.c"
        var $949=CHECK_OVERFLOW(($cmptparm+$948*36)&4294967295, 32); //@line 691 "convert.c"
        var $950=CHECK_OVERFLOW(($949+4)&4294967295, 32); //@line 691 "convert.c"
        var $951=HEAP[$subsampling_dy]; //@line 691 "convert.c"
        HEAP[$950]=$951; //@line 691 "convert.c"
        var $952=HEAP[$i]; //@line 692 "convert.c"
        var $953=CHECK_OVERFLOW(($cmptparm+$952*36)&4294967295, 32); //@line 692 "convert.c"
        var $954=CHECK_OVERFLOW(($953+8)&4294967295, 32); //@line 692 "convert.c"
        var $955=HEAP[$w]; //@line 692 "convert.c"
        HEAP[$954]=$955; //@line 692 "convert.c"
        var $956=HEAP[$i]; //@line 693 "convert.c"
        var $957=CHECK_OVERFLOW(($cmptparm+$956*36)&4294967295, 32); //@line 693 "convert.c"
        var $958=CHECK_OVERFLOW(($957+12)&4294967295, 32); //@line 693 "convert.c"
        var $959=HEAP[$h]; //@line 693 "convert.c"
        HEAP[$958]=$959; //@line 693 "convert.c"
        var $960=HEAP[$i]; //@line 686 "convert.c"
        var $961=CHECK_OVERFLOW((($960) + 1)&4294967295, 32); //@line 686 "convert.c"
        HEAP[$i]=$961; //@line 686 "convert.c"
        __label__ = 89; break; //@line 686 "convert.c"
      case 89: // $bb89
        var $962=HEAP[$i]; //@line 686 "convert.c"
        var $963=HEAP[$numcomps]; //@line 686 "convert.c"
        var $964=($962) < ($963); //@line 686 "convert.c"
        if ($964) { __label__ = 90; break; } else { __label__ = 91; break; } //@line 686 "convert.c"
      case 91: // $bb90
        var $965=HEAP[$numcomps]; //@line 696 "convert.c"
        var $966=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 696 "convert.c"
        var $967=HEAP[$color_space]; //@line 696 "convert.c"
        var $968=_opj_image_create($965, $966, $967); //@line 696 "convert.c"
        HEAP[$image]=$968; //@line 696 "convert.c"
        var $969=HEAP[$image]; //@line 697 "convert.c"
        var $970=($969)==0; //@line 697 "convert.c"
        if ($970) { __label__ = 92; break; } else { __label__ = 93; break; } //@line 697 "convert.c"
      case 92: // $bb91
        var $971=HEAP[$IN]; //@line 698 "convert.c"
        var $972=_fclose($971); //@line 698 "convert.c"
        HEAP[$0]=0; //@line 699 "convert.c"
        __label__ = 2; break; //@line 699 "convert.c"
      case 93: // $bb92
        var $973=HEAP[$parameters_addr]; //@line 703 "convert.c"
        var $974=CHECK_OVERFLOW(($973+18180)&4294967295, 32); //@line 703 "convert.c"
        var $975=HEAP[$974]; //@line 703 "convert.c"
        var $976=HEAP[$image]; //@line 703 "convert.c"
        var $977=CHECK_OVERFLOW(($976)&4294967295, 32); //@line 703 "convert.c"
        HEAP[$977]=$975; //@line 703 "convert.c"
        var $978=HEAP[$parameters_addr]; //@line 704 "convert.c"
        var $979=CHECK_OVERFLOW(($978+18184)&4294967295, 32); //@line 704 "convert.c"
        var $980=HEAP[$979]; //@line 704 "convert.c"
        var $981=HEAP[$image]; //@line 704 "convert.c"
        var $982=CHECK_OVERFLOW(($981+4)&4294967295, 32); //@line 704 "convert.c"
        HEAP[$982]=$980; //@line 704 "convert.c"
        var $983=HEAP[$image]; //@line 705 "convert.c"
        var $984=CHECK_OVERFLOW(($983)&4294967295, 32); //@line 705 "convert.c"
        var $985=HEAP[$984]; //@line 705 "convert.c"
        var $986=($985)==0; //@line 705 "convert.c"
        if ($986) { __label__ = 94; break; } else { __label__ = 95; break; } //@line 705 "convert.c"
      case 94: // $bb93
        var $987=HEAP[$w]; //@line 705 "convert.c"
        var $988=CHECK_OVERFLOW((($987) - 1)&4294967295, 32); //@line 705 "convert.c"
        var $989=HEAP[$subsampling_dx]; //@line 705 "convert.c"
        var $990=CHECK_OVERFLOW((($988) * ($989))&4294967295, 32); //@line 705 "convert.c"
        var $991=CHECK_OVERFLOW((($990) + 1)&4294967295, 32); //@line 705 "convert.c"
        HEAP[$iftmp_88]=$991; //@line 705 "convert.c"
        __label__ = 96; break; //@line 705 "convert.c"
      case 95: // $bb94
        var $992=HEAP[$image]; //@line 705 "convert.c"
        var $993=CHECK_OVERFLOW(($992)&4294967295, 32); //@line 705 "convert.c"
        var $994=HEAP[$993]; //@line 705 "convert.c"
        var $995=HEAP[$w]; //@line 705 "convert.c"
        var $996=CHECK_OVERFLOW((($995) - 1)&4294967295, 32); //@line 705 "convert.c"
        var $997=HEAP[$subsampling_dx]; //@line 705 "convert.c"
        var $998=CHECK_OVERFLOW((($996) * ($997))&4294967295, 32); //@line 705 "convert.c"
        var $999=CHECK_OVERFLOW((($994) + ($998))&4294967295, 32); //@line 705 "convert.c"
        var $1000=CHECK_OVERFLOW((($999) + 1)&4294967295, 32); //@line 705 "convert.c"
        HEAP[$iftmp_88]=$1000; //@line 705 "convert.c"
        __label__ = 96; break; //@line 705 "convert.c"
      case 96: // $bb95
        var $1001=HEAP[$image]; //@line 705 "convert.c"
        var $1002=CHECK_OVERFLOW(($1001+8)&4294967295, 32); //@line 705 "convert.c"
        var $1003=HEAP[$iftmp_88]; //@line 705 "convert.c"
        HEAP[$1002]=$1003; //@line 705 "convert.c"
        var $1004=HEAP[$image]; //@line 706 "convert.c"
        var $1005=CHECK_OVERFLOW(($1004+4)&4294967295, 32); //@line 706 "convert.c"
        var $1006=HEAP[$1005]; //@line 706 "convert.c"
        var $1007=($1006)==0; //@line 706 "convert.c"
        if ($1007) { __label__ = 97; break; } else { __label__ = 98; break; } //@line 706 "convert.c"
      case 97: // $bb96
        var $1008=HEAP[$h]; //@line 706 "convert.c"
        var $1009=CHECK_OVERFLOW((($1008) - 1)&4294967295, 32); //@line 706 "convert.c"
        var $1010=HEAP[$subsampling_dy]; //@line 706 "convert.c"
        var $1011=CHECK_OVERFLOW((($1009) * ($1010))&4294967295, 32); //@line 706 "convert.c"
        var $1012=CHECK_OVERFLOW((($1011) + 1)&4294967295, 32); //@line 706 "convert.c"
        HEAP[$iftmp_89]=$1012; //@line 706 "convert.c"
        __label__ = 99; break; //@line 706 "convert.c"
      case 98: // $bb97
        var $1013=HEAP[$image]; //@line 706 "convert.c"
        var $1014=CHECK_OVERFLOW(($1013+4)&4294967295, 32); //@line 706 "convert.c"
        var $1015=HEAP[$1014]; //@line 706 "convert.c"
        var $1016=HEAP[$h]; //@line 706 "convert.c"
        var $1017=CHECK_OVERFLOW((($1016) - 1)&4294967295, 32); //@line 706 "convert.c"
        var $1018=HEAP[$subsampling_dy]; //@line 706 "convert.c"
        var $1019=CHECK_OVERFLOW((($1017) * ($1018))&4294967295, 32); //@line 706 "convert.c"
        var $1020=CHECK_OVERFLOW((($1015) + ($1019))&4294967295, 32); //@line 706 "convert.c"
        var $1021=CHECK_OVERFLOW((($1020) + 1)&4294967295, 32); //@line 706 "convert.c"
        HEAP[$iftmp_89]=$1021; //@line 706 "convert.c"
        __label__ = 99; break; //@line 706 "convert.c"
      case 99: // $bb98
        var $1022=HEAP[$image]; //@line 706 "convert.c"
        var $1023=CHECK_OVERFLOW(($1022+12)&4294967295, 32); //@line 706 "convert.c"
        var $1024=HEAP[$iftmp_89]; //@line 706 "convert.c"
        HEAP[$1023]=$1024; //@line 706 "convert.c"
        var $1025=HEAP[$IN]; //@line 711 "convert.c"
        var $1026=_fseek($1025, 0, 0); //@line 711 "convert.c"
        var $1027=CHECK_OVERFLOW(($File_h+12)&4294967295, 32); //@line 712 "convert.c"
        var $1028=HEAP[$1027]; //@line 712 "convert.c"
        var $1029=HEAP[$IN]; //@line 712 "convert.c"
        var $1030=_fseek($1029, $1028, 0); //@line 712 "convert.c"
        var $1031=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 714 "convert.c"
        var $1032=HEAP[$1031]; //@line 714 "convert.c"
        var $1033=CHECK_OVERFLOW(($Info_h+8)&4294967295, 32); //@line 714 "convert.c"
        var $1034=HEAP[$1033]; //@line 714 "convert.c"
        var $1035=CHECK_OVERFLOW((($1032) * ($1034))&4294967295, 32); //@line 714 "convert.c"
        var $1036=_malloc($1035); //@line 714 "convert.c"
        HEAP[$RGB]=$1036; //@line 714 "convert.c"
        __label__ = 100; break; //@line 714 "convert.c"
      case 110: // $bb99
        var $1037=HEAP[$IN]; //@line 717 "convert.c"
        var $1038=__IO_getc($1037); //@line 717 "convert.c"
        var $1039=((($1038)) & 255); //@line 717 "convert.c"
        HEAP[$v]=$1039; //@line 717 "convert.c"
        var $1040=HEAP[$v]; //@line 718 "convert.c"
        var $1041=($1040)!=0; //@line 718 "convert.c"
        if ($1041) { __label__ = 101; break; } else { __label__ = 102; break; } //@line 718 "convert.c"
      case 101: // $bb100
        var $1042=HEAP[$IN]; //@line 719 "convert.c"
        var $1043=__IO_getc($1042); //@line 719 "convert.c"
        var $1044=((($1043)) & 255); //@line 719 "convert.c"
        HEAP[$v2]=$1044; //@line 719 "convert.c"
        HEAP[$i]=0; //@line 720 "convert.c"
        __label__ = 103; break; //@line 720 "convert.c"
      case 104: // $bb101
        var $1045=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 721 "convert.c"
        var $1046=HEAP[$1045]; //@line 721 "convert.c"
        var $1047=HEAP[$line]; //@line 721 "convert.c"
        var $1048=CHECK_OVERFLOW((($1046) * ($1047))&4294967295, 32); //@line 721 "convert.c"
        var $1049=HEAP[$col]; //@line 721 "convert.c"
        var $1050=CHECK_OVERFLOW((($1048) + ($1049))&4294967295, 32); //@line 721 "convert.c"
        var $1051=HEAP[$RGB]; //@line 721 "convert.c"
        var $1052=CHECK_OVERFLOW(($1051+$1050)&4294967295, 32); //@line 721 "convert.c"
        var $1053=HEAP[$v2]; //@line 721 "convert.c"
        HEAP[$1052]=$1053; //@line 721 "convert.c"
        var $1054=HEAP[$col]; //@line 722 "convert.c"
        var $1055=CHECK_OVERFLOW((($1054) + 1)&4294967295, 32); //@line 722 "convert.c"
        HEAP[$col]=$1055; //@line 722 "convert.c"
        var $1056=HEAP[$i]; //@line 720 "convert.c"
        var $1057=CHECK_OVERFLOW((($1056) + 1)&4294967295, 32); //@line 720 "convert.c"
        HEAP[$i]=$1057; //@line 720 "convert.c"
        __label__ = 103; break; //@line 720 "convert.c"
      case 103: // $bb102
        var $1058=HEAP[$v]; //@line 720 "convert.c"
        var $1059=($1058); //@line 720 "convert.c"
        var $1060=HEAP[$i]; //@line 720 "convert.c"
        var $1061=($1059) > ($1060); //@line 720 "convert.c"
        if ($1061) { __label__ = 104; break; } else { __label__ = 105; break; } //@line 720 "convert.c"
      case 105: // $bb103
        __label__ = 100; break; //@line 720 "convert.c"
      case 102: // $bb104
        var $1062=HEAP[$IN]; //@line 725 "convert.c"
        var $1063=__IO_getc($1062); //@line 725 "convert.c"
        var $1064=((($1063)) & 255); //@line 725 "convert.c"
        HEAP[$v]=$1064; //@line 725 "convert.c"
        var $1065=HEAP[$v]; //@line 726 "convert.c"
        var $1066=($1065); //@line 726 "convert.c"
        if ($1066 == 0) {
          __label__ = 127; break;
        }
        else if ($1066 == 1) {
          __label__ = 128; break;
        }
        else if ($1066 == 2) {
          __label__ = 129; break;
        }
        else {
        __label__ = 130; break;
        }
        
      case 127: // $bb105
        HEAP[$col]=0; //@line 728 "convert.c"
        var $1067=HEAP[$line]; //@line 729 "convert.c"
        var $1068=CHECK_OVERFLOW((($1067) + 1)&4294967295, 32); //@line 729 "convert.c"
        HEAP[$line]=$1068; //@line 729 "convert.c"
        __label__ = 100; break; //@line 729 "convert.c"
      case 128: // $bb106
        var $1069=HEAP[$line]; //@line 732 "convert.c"
        var $1070=CHECK_OVERFLOW((($1069) + 1)&4294967295, 32); //@line 732 "convert.c"
        HEAP[$line]=$1070; //@line 732 "convert.c"
        HEAP[$not_end_file]=0; //@line 733 "convert.c"
        __label__ = 100; break; //@line 733 "convert.c"
      case 129: // $bb107
        var $1071=HEAP[_stderr]; //@line 736 "convert.c"
        var $1072=$1071; //@line 736 "convert.c"
        var $1073=_fwrite(CHECK_OVERFLOW((__str965)&4294967295, 32), 1, 19, $1072); //@line 736 "convert.c"
        var $1074=HEAP[$image]; //@line 737 "convert.c"
        _opj_image_destroy($1074); //@line 737 "convert.c"
        var $1075=HEAP[$IN]; //@line 738 "convert.c"
        var $1076=_fclose($1075); //@line 738 "convert.c"
        HEAP[$0]=0; //@line 739 "convert.c"
        __label__ = 2; break; //@line 739 "convert.c"
      case 130: // $bb108
        HEAP[$i]=0; //@line 741 "convert.c"
        __label__ = 106; break; //@line 741 "convert.c"
      case 107: // $bb109
        var $1077=HEAP[$IN]; //@line 742 "convert.c"
        var $1078=__IO_getc($1077); //@line 742 "convert.c"
        var $1079=((($1078)) & 255); //@line 742 "convert.c"
        HEAP[$v2]=$1079; //@line 742 "convert.c"
        var $1080=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 743 "convert.c"
        var $1081=HEAP[$1080]; //@line 743 "convert.c"
        var $1082=HEAP[$line]; //@line 743 "convert.c"
        var $1083=CHECK_OVERFLOW((($1081) * ($1082))&4294967295, 32); //@line 743 "convert.c"
        var $1084=HEAP[$col]; //@line 743 "convert.c"
        var $1085=CHECK_OVERFLOW((($1083) + ($1084))&4294967295, 32); //@line 743 "convert.c"
        var $1086=HEAP[$RGB]; //@line 743 "convert.c"
        var $1087=CHECK_OVERFLOW(($1086+$1085)&4294967295, 32); //@line 743 "convert.c"
        var $1088=HEAP[$v2]; //@line 743 "convert.c"
        HEAP[$1087]=$1088; //@line 743 "convert.c"
        var $1089=HEAP[$col]; //@line 744 "convert.c"
        var $1090=CHECK_OVERFLOW((($1089) + 1)&4294967295, 32); //@line 744 "convert.c"
        HEAP[$col]=$1090; //@line 744 "convert.c"
        var $1091=HEAP[$i]; //@line 741 "convert.c"
        var $1092=CHECK_OVERFLOW((($1091) + 1)&4294967295, 32); //@line 741 "convert.c"
        HEAP[$i]=$1092; //@line 741 "convert.c"
        __label__ = 106; break; //@line 741 "convert.c"
      case 106: // $bb110
        var $1093=HEAP[$v]; //@line 741 "convert.c"
        var $1094=($1093); //@line 741 "convert.c"
        var $1095=HEAP[$i]; //@line 741 "convert.c"
        var $1096=($1094) > ($1095); //@line 741 "convert.c"
        if ($1096) { __label__ = 107; break; } else { __label__ = 108; break; } //@line 741 "convert.c"
      case 108: // $bb111
        var $1097=HEAP[$v]; //@line 746 "convert.c"
        var $1098=($1097); //@line 746 "convert.c"
        var $1099=($1098) & 1; //@line 746 "convert.c"
        var $1100=((($1099)) & 255); //@line 746 "convert.c"
        var $toBool112=($1100)!=0; //@line 746 "convert.c"
        if ($toBool112) { __label__ = 109; break; } else { __label__ = 100; break; } //@line 746 "convert.c"
      case 109: // $bb113
        var $1101=HEAP[$IN]; //@line 747 "convert.c"
        var $1102=__IO_getc($1101); //@line 747 "convert.c"
        var $1103=((($1102)) & 255); //@line 747 "convert.c"
        HEAP[$v2]=$1103; //@line 747 "convert.c"
        __label__ = 100; break; //@line 747 "convert.c"
      case 100: // $bb114
        var $1104=HEAP[$not_end_file]; //@line 716 "convert.c"
        var $1105=($1104)!=0; //@line 716 "convert.c"
        if ($1105) { __label__ = 110; break; } else { __label__ = 111; break; } //@line 716 "convert.c"
      case 111: // $bb115
        var $1106=HEAP[$gray_scale]; //@line 752 "convert.c"
        var $1107=($1106)!=0; //@line 752 "convert.c"
        if ($1107) { __label__ = 112; break; } else { __label__ = 113; break; } //@line 752 "convert.c"
      case 112: // $bb116
        HEAP[$index]=0; //@line 753 "convert.c"
        HEAP[$line]=0; //@line 754 "convert.c"
        __label__ = 114; break; //@line 754 "convert.c"
      case 118: // $bb117
        HEAP[$col]=0; //@line 755 "convert.c"
        __label__ = 115; break; //@line 755 "convert.c"
      case 116: // $bb118
        var $1108=HEAP[$image]; //@line 756 "convert.c"
        var $1109=CHECK_OVERFLOW(($1108+24)&4294967295, 32); //@line 756 "convert.c"
        var $1110=HEAP[$1109]; //@line 756 "convert.c"
        var $1111=CHECK_OVERFLOW(($1110)&4294967295, 32); //@line 756 "convert.c"
        var $1112=CHECK_OVERFLOW(($1111+44)&4294967295, 32); //@line 756 "convert.c"
        var $1113=HEAP[$1112]; //@line 756 "convert.c"
        var $1114=CHECK_OVERFLOW(($Info_h+8)&4294967295, 32); //@line 756 "convert.c"
        var $1115=HEAP[$1114]; //@line 756 "convert.c"
        var $1116=HEAP[$line]; //@line 756 "convert.c"
        var $1117=CHECK_OVERFLOW((($1115) - ($1116))&4294967295, 32); //@line 756 "convert.c"
        var $1118=CHECK_OVERFLOW((($1117) - 1)&4294967295, 32); //@line 756 "convert.c"
        var $1119=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 756 "convert.c"
        var $1120=HEAP[$1119]; //@line 756 "convert.c"
        var $1121=CHECK_OVERFLOW((($1118) * ($1120))&4294967295, 32); //@line 756 "convert.c"
        var $1122=HEAP[$col]; //@line 756 "convert.c"
        var $1123=CHECK_OVERFLOW((($1121) + ($1122))&4294967295, 32); //@line 756 "convert.c"
        var $1124=HEAP[$RGB]; //@line 756 "convert.c"
        var $1125=CHECK_OVERFLOW(($1124+$1123)&4294967295, 32); //@line 756 "convert.c"
        var $1126=HEAP[$1125]; //@line 756 "convert.c"
        var $1127=($1126); //@line 756 "convert.c"
        var $1128=HEAP[$table_R]; //@line 756 "convert.c"
        var $1129=CHECK_OVERFLOW(($1128+$1127)&4294967295, 32); //@line 756 "convert.c"
        var $1130=HEAP[$1129]; //@line 756 "convert.c"
        var $1131=($1130); //@line 756 "convert.c"
        var $1132=HEAP[$index]; //@line 756 "convert.c"
        var $1133=CHECK_OVERFLOW(($1113+4*$1132)&4294967295, 32); //@line 756 "convert.c"
        HEAP[$1133]=$1131; //@line 756 "convert.c"
        var $1134=HEAP[$index]; //@line 757 "convert.c"
        var $1135=CHECK_OVERFLOW((($1134) + 1)&4294967295, 32); //@line 757 "convert.c"
        HEAP[$index]=$1135; //@line 757 "convert.c"
        var $1136=HEAP[$col]; //@line 755 "convert.c"
        var $1137=CHECK_OVERFLOW((($1136) + 1)&4294967295, 32); //@line 755 "convert.c"
        HEAP[$col]=$1137; //@line 755 "convert.c"
        __label__ = 115; break; //@line 755 "convert.c"
      case 115: // $bb119
        var $1138=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 755 "convert.c"
        var $1139=HEAP[$1138]; //@line 755 "convert.c"
        var $1140=HEAP[$col]; //@line 755 "convert.c"
        var $1141=($1139) > ($1140); //@line 755 "convert.c"
        if ($1141) { __label__ = 116; break; } else { __label__ = 117; break; } //@line 755 "convert.c"
      case 117: // $bb120
        var $1142=HEAP[$line]; //@line 754 "convert.c"
        var $1143=CHECK_OVERFLOW((($1142) + 1)&4294967295, 32); //@line 754 "convert.c"
        HEAP[$line]=$1143; //@line 754 "convert.c"
        __label__ = 114; break; //@line 754 "convert.c"
      case 114: // $bb121
        var $1144=CHECK_OVERFLOW(($Info_h+8)&4294967295, 32); //@line 754 "convert.c"
        var $1145=HEAP[$1144]; //@line 754 "convert.c"
        var $1146=HEAP[$line]; //@line 754 "convert.c"
        var $1147=($1145) > ($1146); //@line 754 "convert.c"
        if ($1147) { __label__ = 118; break; } else { __label__ = 119; break; } //@line 754 "convert.c"
      case 119: // $bb122
        __label__ = 120; break; //@line 754 "convert.c"
      case 113: // $bb123
        HEAP[$index]=0; //@line 761 "convert.c"
        HEAP[$line]=0; //@line 762 "convert.c"
        __label__ = 121; break; //@line 762 "convert.c"
      case 125: // $bb124
        HEAP[$col]=0; //@line 763 "convert.c"
        __label__ = 122; break; //@line 763 "convert.c"
      case 123: // $bb125
        var $1148=CHECK_OVERFLOW(($Info_h+8)&4294967295, 32); //@line 764 "convert.c"
        var $1149=HEAP[$1148]; //@line 764 "convert.c"
        var $1150=HEAP[$line]; //@line 764 "convert.c"
        var $1151=CHECK_OVERFLOW((($1149) - ($1150))&4294967295, 32); //@line 764 "convert.c"
        var $1152=CHECK_OVERFLOW((($1151) - 1)&4294967295, 32); //@line 764 "convert.c"
        var $1153=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 764 "convert.c"
        var $1154=HEAP[$1153]; //@line 764 "convert.c"
        var $1155=CHECK_OVERFLOW((($1152) * ($1154))&4294967295, 32); //@line 764 "convert.c"
        var $1156=HEAP[$col]; //@line 764 "convert.c"
        var $1157=CHECK_OVERFLOW((($1155) + ($1156))&4294967295, 32); //@line 764 "convert.c"
        var $1158=HEAP[$RGB]; //@line 764 "convert.c"
        var $1159=CHECK_OVERFLOW(($1158+$1157)&4294967295, 32); //@line 764 "convert.c"
        var $1160=HEAP[$1159]; //@line 764 "convert.c"
        HEAP[$pixel_index126]=$1160; //@line 764 "convert.c"
        var $1161=HEAP[$image]; //@line 765 "convert.c"
        var $1162=CHECK_OVERFLOW(($1161+24)&4294967295, 32); //@line 765 "convert.c"
        var $1163=HEAP[$1162]; //@line 765 "convert.c"
        var $1164=CHECK_OVERFLOW(($1163)&4294967295, 32); //@line 765 "convert.c"
        var $1165=CHECK_OVERFLOW(($1164+44)&4294967295, 32); //@line 765 "convert.c"
        var $1166=HEAP[$1165]; //@line 765 "convert.c"
        var $1167=HEAP[$pixel_index126]; //@line 765 "convert.c"
        var $1168=($1167); //@line 765 "convert.c"
        var $1169=HEAP[$table_R]; //@line 765 "convert.c"
        var $1170=CHECK_OVERFLOW(($1169+$1168)&4294967295, 32); //@line 765 "convert.c"
        var $1171=HEAP[$1170]; //@line 765 "convert.c"
        var $1172=($1171); //@line 765 "convert.c"
        var $1173=HEAP[$index]; //@line 765 "convert.c"
        var $1174=CHECK_OVERFLOW(($1166+4*$1173)&4294967295, 32); //@line 765 "convert.c"
        HEAP[$1174]=$1172; //@line 765 "convert.c"
        var $1175=HEAP[$image]; //@line 766 "convert.c"
        var $1176=CHECK_OVERFLOW(($1175+24)&4294967295, 32); //@line 766 "convert.c"
        var $1177=HEAP[$1176]; //@line 766 "convert.c"
        var $1178=CHECK_OVERFLOW(($1177+48)&4294967295, 32); //@line 766 "convert.c"
        var $1179=CHECK_OVERFLOW(($1178+44)&4294967295, 32); //@line 766 "convert.c"
        var $1180=HEAP[$1179]; //@line 766 "convert.c"
        var $1181=HEAP[$pixel_index126]; //@line 766 "convert.c"
        var $1182=($1181); //@line 766 "convert.c"
        var $1183=HEAP[$table_G]; //@line 766 "convert.c"
        var $1184=CHECK_OVERFLOW(($1183+$1182)&4294967295, 32); //@line 766 "convert.c"
        var $1185=HEAP[$1184]; //@line 766 "convert.c"
        var $1186=($1185); //@line 766 "convert.c"
        var $1187=HEAP[$index]; //@line 766 "convert.c"
        var $1188=CHECK_OVERFLOW(($1180+4*$1187)&4294967295, 32); //@line 766 "convert.c"
        HEAP[$1188]=$1186; //@line 766 "convert.c"
        var $1189=HEAP[$image]; //@line 767 "convert.c"
        var $1190=CHECK_OVERFLOW(($1189+24)&4294967295, 32); //@line 767 "convert.c"
        var $1191=HEAP[$1190]; //@line 767 "convert.c"
        var $1192=CHECK_OVERFLOW(($1191+96)&4294967295, 32); //@line 767 "convert.c"
        var $1193=CHECK_OVERFLOW(($1192+44)&4294967295, 32); //@line 767 "convert.c"
        var $1194=HEAP[$1193]; //@line 767 "convert.c"
        var $1195=HEAP[$pixel_index126]; //@line 767 "convert.c"
        var $1196=($1195); //@line 767 "convert.c"
        var $1197=HEAP[$table_B]; //@line 767 "convert.c"
        var $1198=CHECK_OVERFLOW(($1197+$1196)&4294967295, 32); //@line 767 "convert.c"
        var $1199=HEAP[$1198]; //@line 767 "convert.c"
        var $1200=($1199); //@line 767 "convert.c"
        var $1201=HEAP[$index]; //@line 767 "convert.c"
        var $1202=CHECK_OVERFLOW(($1194+4*$1201)&4294967295, 32); //@line 767 "convert.c"
        HEAP[$1202]=$1200; //@line 767 "convert.c"
        var $1203=HEAP[$index]; //@line 768 "convert.c"
        var $1204=CHECK_OVERFLOW((($1203) + 1)&4294967295, 32); //@line 768 "convert.c"
        HEAP[$index]=$1204; //@line 768 "convert.c"
        var $1205=HEAP[$col]; //@line 763 "convert.c"
        var $1206=CHECK_OVERFLOW((($1205) + 1)&4294967295, 32); //@line 763 "convert.c"
        HEAP[$col]=$1206; //@line 763 "convert.c"
        __label__ = 122; break; //@line 763 "convert.c"
      case 122: // $bb127
        var $1207=CHECK_OVERFLOW(($Info_h+4)&4294967295, 32); //@line 763 "convert.c"
        var $1208=HEAP[$1207]; //@line 763 "convert.c"
        var $1209=HEAP[$col]; //@line 763 "convert.c"
        var $1210=($1208) > ($1209); //@line 763 "convert.c"
        if ($1210) { __label__ = 123; break; } else { __label__ = 124; break; } //@line 763 "convert.c"
      case 124: // $bb128
        var $1211=HEAP[$line]; //@line 762 "convert.c"
        var $1212=CHECK_OVERFLOW((($1211) + 1)&4294967295, 32); //@line 762 "convert.c"
        HEAP[$line]=$1212; //@line 762 "convert.c"
        __label__ = 121; break; //@line 762 "convert.c"
      case 121: // $bb129
        var $1213=CHECK_OVERFLOW(($Info_h+8)&4294967295, 32); //@line 762 "convert.c"
        var $1214=HEAP[$1213]; //@line 762 "convert.c"
        var $1215=HEAP[$line]; //@line 762 "convert.c"
        var $1216=($1214) > ($1215); //@line 762 "convert.c"
        if ($1216) { __label__ = 125; break; } else { __label__ = 120; break; } //@line 762 "convert.c"
      case 120: // $bb130
        var $1217=HEAP[$RGB]; //@line 772 "convert.c"
        _free($1217); //@line 772 "convert.c"
        var $1218=HEAP[$table_R]; //@line 773 "convert.c"
        _free($1218); //@line 773 "convert.c"
        var $1219=HEAP[$table_G]; //@line 774 "convert.c"
        _free($1219); //@line 774 "convert.c"
        var $1220=HEAP[$table_B]; //@line 775 "convert.c"
        _free($1220); //@line 775 "convert.c"
        __label__ = 27; break; //@line 775 "convert.c"
      case 73: // $bb131
        var $1221=CHECK_OVERFLOW(($Info_h+14)&4294967295, 32); //@line 777 "convert.c"
        var $1222=HEAP[$1221]; //@line 777 "convert.c"
        var $1223=($1222); //@line 777 "convert.c"
        var $1224=HEAP[_stderr]; //@line 777 "convert.c"
        var $1225=_fprintf($1224, CHECK_OVERFLOW((__str1066)&4294967295, 32), $1223); //@line 777 "convert.c"
        __label__ = 27; break; //@line 777 "convert.c"
      case 27: // $bb132
        var $1226=HEAP[$IN]; //@line 780 "convert.c"
        var $1227=_fclose($1226); //@line 780 "convert.c"
        var $1228=HEAP[$image]; //@line 783 "convert.c"
        HEAP[$0]=$1228; //@line 783 "convert.c"
        __label__ = 2; break; //@line 783 "convert.c"
      case 2: // $bb133
        var $1229=HEAP[$0]; //@line 444 "convert.c"
        HEAP[$retval]=$1229; //@line 444 "convert.c"
        __label__ = 126; break; //@line 444 "convert.c"
      case 126: // $return
        var $retval134=HEAP[$retval]; //@line 444 "convert.c"
        STACKTOP = __stackBase__;
        return $retval134; //@line 444 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _imagetobmp($image, $outfile) {
    var __stackBase__  = STACKTOP; STACKTOP += 92; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 92);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $image_addr=__stackBase__;
        var $outfile_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $iftmp_98=__stackBase__+12;
        var $iftmp_97=__stackBase__+16;
        var $iftmp_96=__stackBase__+20;
        var $iftmp_95=__stackBase__+24;
        var $iftmp_94=__stackBase__+28;
        var $iftmp_93=__stackBase__+32;
        var $0=__stackBase__+36;
        var $w=__stackBase__+40;
        var $h=__stackBase__+44;
        var $i=__stackBase__+48;
        var $pad=__stackBase__+52;
        var $fdest=__stackBase__+56;
        var $adjustR=__stackBase__+60;
        var $adjustG=__stackBase__+64;
        var $adjustB=__stackBase__+68;
        var $rc=__stackBase__+72;
        var $gc=__stackBase__+73;
        var $bc=__stackBase__+74;
        var $r=__stackBase__+75;
        var $g=__stackBase__+79;
        var $b=__stackBase__+83;
        var $rc45=__stackBase__+87;
        var $r46=__stackBase__+88;
        var $_alloca_point_=0;
        HEAP[$image_addr]=$image;
        HEAP[$outfile_addr]=$outfile;
        HEAP[$fdest]=0; //@line 789 "convert.c"
        var $1=HEAP[$image_addr]; //@line 792 "convert.c"
        var $2=CHECK_OVERFLOW(($1+16)&4294967295, 32); //@line 792 "convert.c"
        var $3=HEAP[$2]; //@line 792 "convert.c"
        var $4=($3)!=3; //@line 792 "convert.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 792 "convert.c"
      case 1: // $bb
        var $5=HEAP[$image_addr]; //@line 792 "convert.c"
        var $6=CHECK_OVERFLOW(($5+24)&4294967295, 32); //@line 792 "convert.c"
        var $7=HEAP[$6]; //@line 792 "convert.c"
        var $8=CHECK_OVERFLOW(($7)&4294967295, 32); //@line 792 "convert.c"
        var $9=CHECK_OVERFLOW(($8)&4294967295, 32); //@line 792 "convert.c"
        var $10=HEAP[$9]; //@line 792 "convert.c"
        var $11=HEAP[$image_addr]; //@line 792 "convert.c"
        var $12=CHECK_OVERFLOW(($11+24)&4294967295, 32); //@line 792 "convert.c"
        var $13=HEAP[$12]; //@line 792 "convert.c"
        var $14=CHECK_OVERFLOW(($13+48)&4294967295, 32); //@line 792 "convert.c"
        var $15=CHECK_OVERFLOW(($14)&4294967295, 32); //@line 792 "convert.c"
        var $16=HEAP[$15]; //@line 792 "convert.c"
        var $17=($10)!=($16); //@line 792 "convert.c"
        if ($17) { __label__ = 0; break; } else { __label__ = 2; break; } //@line 792 "convert.c"
      case 2: // $bb1
        var $18=HEAP[$image_addr]; //@line 792 "convert.c"
        var $19=CHECK_OVERFLOW(($18+24)&4294967295, 32); //@line 792 "convert.c"
        var $20=HEAP[$19]; //@line 792 "convert.c"
        var $21=CHECK_OVERFLOW(($20+48)&4294967295, 32); //@line 792 "convert.c"
        var $22=CHECK_OVERFLOW(($21)&4294967295, 32); //@line 792 "convert.c"
        var $23=HEAP[$22]; //@line 792 "convert.c"
        var $24=HEAP[$image_addr]; //@line 792 "convert.c"
        var $25=CHECK_OVERFLOW(($24+24)&4294967295, 32); //@line 792 "convert.c"
        var $26=HEAP[$25]; //@line 792 "convert.c"
        var $27=CHECK_OVERFLOW(($26+96)&4294967295, 32); //@line 792 "convert.c"
        var $28=CHECK_OVERFLOW(($27)&4294967295, 32); //@line 792 "convert.c"
        var $29=HEAP[$28]; //@line 792 "convert.c"
        var $30=($23)!=($29); //@line 792 "convert.c"
        if ($30) { __label__ = 0; break; } else { __label__ = 3; break; } //@line 792 "convert.c"
      case 3: // $bb2
        var $31=HEAP[$image_addr]; //@line 792 "convert.c"
        var $32=CHECK_OVERFLOW(($31+24)&4294967295, 32); //@line 792 "convert.c"
        var $33=HEAP[$32]; //@line 792 "convert.c"
        var $34=CHECK_OVERFLOW(($33)&4294967295, 32); //@line 792 "convert.c"
        var $35=CHECK_OVERFLOW(($34+4)&4294967295, 32); //@line 792 "convert.c"
        var $36=HEAP[$35]; //@line 792 "convert.c"
        var $37=HEAP[$image_addr]; //@line 792 "convert.c"
        var $38=CHECK_OVERFLOW(($37+24)&4294967295, 32); //@line 792 "convert.c"
        var $39=HEAP[$38]; //@line 792 "convert.c"
        var $40=CHECK_OVERFLOW(($39+48)&4294967295, 32); //@line 792 "convert.c"
        var $41=CHECK_OVERFLOW(($40+4)&4294967295, 32); //@line 792 "convert.c"
        var $42=HEAP[$41]; //@line 792 "convert.c"
        var $43=($36)!=($42); //@line 792 "convert.c"
        if ($43) { __label__ = 0; break; } else { __label__ = 4; break; } //@line 792 "convert.c"
      case 4: // $bb3
        var $44=HEAP[$image_addr]; //@line 792 "convert.c"
        var $45=CHECK_OVERFLOW(($44+24)&4294967295, 32); //@line 792 "convert.c"
        var $46=HEAP[$45]; //@line 792 "convert.c"
        var $47=CHECK_OVERFLOW(($46+48)&4294967295, 32); //@line 792 "convert.c"
        var $48=CHECK_OVERFLOW(($47+4)&4294967295, 32); //@line 792 "convert.c"
        var $49=HEAP[$48]; //@line 792 "convert.c"
        var $50=HEAP[$image_addr]; //@line 792 "convert.c"
        var $51=CHECK_OVERFLOW(($50+24)&4294967295, 32); //@line 792 "convert.c"
        var $52=HEAP[$51]; //@line 792 "convert.c"
        var $53=CHECK_OVERFLOW(($52+96)&4294967295, 32); //@line 792 "convert.c"
        var $54=CHECK_OVERFLOW(($53+4)&4294967295, 32); //@line 792 "convert.c"
        var $55=HEAP[$54]; //@line 792 "convert.c"
        var $56=($49)!=($55); //@line 792 "convert.c"
        if ($56) { __label__ = 0; break; } else { __label__ = 5; break; } //@line 792 "convert.c"
      case 5: // $bb4
        var $57=HEAP[$image_addr]; //@line 792 "convert.c"
        var $58=CHECK_OVERFLOW(($57+24)&4294967295, 32); //@line 792 "convert.c"
        var $59=HEAP[$58]; //@line 792 "convert.c"
        var $60=CHECK_OVERFLOW(($59)&4294967295, 32); //@line 792 "convert.c"
        var $61=CHECK_OVERFLOW(($60+24)&4294967295, 32); //@line 792 "convert.c"
        var $62=HEAP[$61]; //@line 792 "convert.c"
        var $63=HEAP[$image_addr]; //@line 792 "convert.c"
        var $64=CHECK_OVERFLOW(($63+24)&4294967295, 32); //@line 792 "convert.c"
        var $65=HEAP[$64]; //@line 792 "convert.c"
        var $66=CHECK_OVERFLOW(($65+48)&4294967295, 32); //@line 792 "convert.c"
        var $67=CHECK_OVERFLOW(($66+24)&4294967295, 32); //@line 792 "convert.c"
        var $68=HEAP[$67]; //@line 792 "convert.c"
        var $69=($62)!=($68); //@line 792 "convert.c"
        if ($69) { __label__ = 0; break; } else { __label__ = 6; break; } //@line 792 "convert.c"
      case 6: // $bb5
        var $70=HEAP[$image_addr]; //@line 792 "convert.c"
        var $71=CHECK_OVERFLOW(($70+24)&4294967295, 32); //@line 792 "convert.c"
        var $72=HEAP[$71]; //@line 792 "convert.c"
        var $73=CHECK_OVERFLOW(($72+48)&4294967295, 32); //@line 792 "convert.c"
        var $74=CHECK_OVERFLOW(($73+24)&4294967295, 32); //@line 792 "convert.c"
        var $75=HEAP[$74]; //@line 792 "convert.c"
        var $76=HEAP[$image_addr]; //@line 792 "convert.c"
        var $77=CHECK_OVERFLOW(($76+24)&4294967295, 32); //@line 792 "convert.c"
        var $78=HEAP[$77]; //@line 792 "convert.c"
        var $79=CHECK_OVERFLOW(($78+96)&4294967295, 32); //@line 792 "convert.c"
        var $80=CHECK_OVERFLOW(($79+24)&4294967295, 32); //@line 792 "convert.c"
        var $81=HEAP[$80]; //@line 792 "convert.c"
        var $82=($75)!=($81); //@line 792 "convert.c"
        if ($82) { __label__ = 0; break; } else { __label__ = 7; break; } //@line 792 "convert.c"
      case 7: // $bb6
        var $83=HEAP[$outfile_addr]; //@line 803 "convert.c"
        var $84=_fopen($83, CHECK_OVERFLOW((__str561)&4294967295, 32)); //@line 803 "convert.c"
        HEAP[$fdest]=$84; //@line 803 "convert.c"
        var $85=HEAP[$fdest]; //@line 804 "convert.c"
        var $86=($85)==0; //@line 804 "convert.c"
        if ($86) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 804 "convert.c"
      case 8: // $bb7
        var $87=HEAP[_stderr]; //@line 805 "convert.c"
        var $88=HEAP[$outfile_addr]; //@line 805 "convert.c"
        var $89=_fprintf($87, CHECK_OVERFLOW((__str662)&4294967295, 32), $88); //@line 805 "convert.c"
        HEAP[$0]=1; //@line 806 "convert.c"
        __label__ = 10; break; //@line 806 "convert.c"
      case 9: // $bb8
        var $90=HEAP[$image_addr]; //@line 809 "convert.c"
        var $91=CHECK_OVERFLOW(($90+24)&4294967295, 32); //@line 809 "convert.c"
        var $92=HEAP[$91]; //@line 809 "convert.c"
        var $93=CHECK_OVERFLOW(($92)&4294967295, 32); //@line 809 "convert.c"
        var $94=CHECK_OVERFLOW(($93+8)&4294967295, 32); //@line 809 "convert.c"
        var $95=HEAP[$94]; //@line 809 "convert.c"
        HEAP[$w]=$95; //@line 809 "convert.c"
        var $96=HEAP[$image_addr]; //@line 810 "convert.c"
        var $97=CHECK_OVERFLOW(($96+24)&4294967295, 32); //@line 810 "convert.c"
        var $98=HEAP[$97]; //@line 810 "convert.c"
        var $99=CHECK_OVERFLOW(($98)&4294967295, 32); //@line 810 "convert.c"
        var $100=CHECK_OVERFLOW(($99+12)&4294967295, 32); //@line 810 "convert.c"
        var $101=HEAP[$100]; //@line 810 "convert.c"
        HEAP[$h]=$101; //@line 810 "convert.c"
        var $102=HEAP[$fdest]; //@line 812 "convert.c"
        var $103=$102; //@line 812 "convert.c"
        var $104=_fwrite(CHECK_OVERFLOW((__str1167)&4294967295, 32), 1, 2, $103); //@line 812 "convert.c"
        var $105=HEAP[$h]; //@line 816 "convert.c"
        var $106=HEAP[$w]; //@line 816 "convert.c"
        var $107=CHECK_OVERFLOW((($105) * ($106))&4294967295, 32); //@line 816 "convert.c"
        var $108=CHECK_OVERFLOW((($107) * 3)&4294967295, 32); //@line 816 "convert.c"
        var $109=HEAP[$h]; //@line 816 "convert.c"
        var $110=CHECK_OVERFLOW((($109) * 3)&4294967295, 32); //@line 816 "convert.c"
        var $111=HEAP[$w]; //@line 816 "convert.c"
        var $112=($111) % 2; //@line 816 "convert.c"
        var $113=CHECK_OVERFLOW((($110) * ($112))&4294967295, 32); //@line 816 "convert.c"
        var $114=CHECK_OVERFLOW((($108) + ($113))&4294967295, 32); //@line 816 "convert.c"
        var $115=CHECK_OVERFLOW((($114) + 54)&4294967295, 32); //@line 816 "convert.c"
        var $116=($115) >> 24; //@line 816 "convert.c"
        var $117=((($116)) & 255); //@line 816 "convert.c"
        var $118=($117); //@line 816 "convert.c"
        var $119=HEAP[$h]; //@line 816 "convert.c"
        var $120=HEAP[$w]; //@line 816 "convert.c"
        var $121=CHECK_OVERFLOW((($119) * ($120))&4294967295, 32); //@line 816 "convert.c"
        var $122=CHECK_OVERFLOW((($121) * 3)&4294967295, 32); //@line 816 "convert.c"
        var $123=HEAP[$h]; //@line 816 "convert.c"
        var $124=CHECK_OVERFLOW((($123) * 3)&4294967295, 32); //@line 816 "convert.c"
        var $125=HEAP[$w]; //@line 816 "convert.c"
        var $126=($125) % 2; //@line 816 "convert.c"
        var $127=CHECK_OVERFLOW((($124) * ($126))&4294967295, 32); //@line 816 "convert.c"
        var $128=CHECK_OVERFLOW((($122) + ($127))&4294967295, 32); //@line 816 "convert.c"
        var $129=CHECK_OVERFLOW((($128) + 54)&4294967295, 32); //@line 816 "convert.c"
        var $130=($129) >> 16; //@line 816 "convert.c"
        var $131=((($130)) & 255); //@line 816 "convert.c"
        var $132=($131); //@line 816 "convert.c"
        var $133=HEAP[$h]; //@line 816 "convert.c"
        var $134=HEAP[$w]; //@line 816 "convert.c"
        var $135=CHECK_OVERFLOW((($133) * ($134))&4294967295, 32); //@line 816 "convert.c"
        var $136=CHECK_OVERFLOW((($135) * 3)&4294967295, 32); //@line 816 "convert.c"
        var $137=HEAP[$h]; //@line 816 "convert.c"
        var $138=CHECK_OVERFLOW((($137) * 3)&4294967295, 32); //@line 816 "convert.c"
        var $139=HEAP[$w]; //@line 816 "convert.c"
        var $140=($139) % 2; //@line 816 "convert.c"
        var $141=CHECK_OVERFLOW((($138) * ($140))&4294967295, 32); //@line 816 "convert.c"
        var $142=CHECK_OVERFLOW((($136) + ($141))&4294967295, 32); //@line 816 "convert.c"
        var $143=CHECK_OVERFLOW((($142) + 54)&4294967295, 32); //@line 816 "convert.c"
        var $144=($143) >> 8; //@line 816 "convert.c"
        var $145=((($144)) & 255); //@line 816 "convert.c"
        var $146=($145); //@line 816 "convert.c"
        var $147=HEAP[$h]; //@line 816 "convert.c"
        var $148=HEAP[$w]; //@line 816 "convert.c"
        var $149=CHECK_OVERFLOW((($147) * ($148))&4294967295, 32); //@line 816 "convert.c"
        var $150=CHECK_OVERFLOW((($149) * 3)&4294967295, 32); //@line 816 "convert.c"
        var $151=((($150)) & 255); //@line 816 "convert.c"
        var $152=HEAP[$h]; //@line 816 "convert.c"
        var $153=CHECK_OVERFLOW((($152) * 3)&4294967295, 32); //@line 816 "convert.c"
        var $154=HEAP[$w]; //@line 816 "convert.c"
        var $155=($154) % 2; //@line 816 "convert.c"
        var $156=CHECK_OVERFLOW((($153) * ($155))&4294967295, 32); //@line 816 "convert.c"
        var $157=((($156)) & 255); //@line 816 "convert.c"
        var $158=CHECK_OVERFLOW((($151) + ($157))&255, 8); //@line 816 "convert.c"
        var $159=CHECK_OVERFLOW((($158) + 54)&255, 8); //@line 816 "convert.c"
        var $160=($159); //@line 816 "convert.c"
        var $161=HEAP[$fdest]; //@line 816 "convert.c"
        var $162=_fprintf($161, CHECK_OVERFLOW((__str1268)&4294967295, 32), $160, $146, $132, $118); //@line 816 "convert.c"
        var $163=HEAP[$fdest]; //@line 821 "convert.c"
        var $164=_fprintf($163, CHECK_OVERFLOW((__str1268)&4294967295, 32), 0, 0, 0, 0); //@line 821 "convert.c"
        var $165=HEAP[$fdest]; //@line 822 "convert.c"
        var $166=_fprintf($165, CHECK_OVERFLOW((__str1268)&4294967295, 32), 54, 0, 0, 0); //@line 822 "convert.c"
        var $167=HEAP[$fdest]; //@line 826 "convert.c"
        var $168=_fprintf($167, CHECK_OVERFLOW((__str1268)&4294967295, 32), 40, 0, 0, 0); //@line 826 "convert.c"
        var $169=HEAP[$w]; //@line 827 "convert.c"
        var $170=($169) >> 24; //@line 827 "convert.c"
        var $171=((($170)) & 255); //@line 827 "convert.c"
        var $172=($171); //@line 827 "convert.c"
        var $173=HEAP[$w]; //@line 827 "convert.c"
        var $174=($173) >> 16; //@line 827 "convert.c"
        var $175=((($174)) & 255); //@line 827 "convert.c"
        var $176=($175); //@line 827 "convert.c"
        var $177=HEAP[$w]; //@line 827 "convert.c"
        var $178=($177) >> 8; //@line 827 "convert.c"
        var $179=((($178)) & 255); //@line 827 "convert.c"
        var $180=($179); //@line 827 "convert.c"
        var $181=HEAP[$w]; //@line 827 "convert.c"
        var $182=((($181)) & 255); //@line 827 "convert.c"
        var $183=($182); //@line 827 "convert.c"
        var $184=HEAP[$fdest]; //@line 827 "convert.c"
        var $185=_fprintf($184, CHECK_OVERFLOW((__str1268)&4294967295, 32), $183, $180, $176, $172); //@line 827 "convert.c"
        var $186=HEAP[$h]; //@line 831 "convert.c"
        var $187=($186) >> 24; //@line 831 "convert.c"
        var $188=((($187)) & 255); //@line 831 "convert.c"
        var $189=($188); //@line 831 "convert.c"
        var $190=HEAP[$h]; //@line 831 "convert.c"
        var $191=($190) >> 16; //@line 831 "convert.c"
        var $192=((($191)) & 255); //@line 831 "convert.c"
        var $193=($192); //@line 831 "convert.c"
        var $194=HEAP[$h]; //@line 831 "convert.c"
        var $195=($194) >> 8; //@line 831 "convert.c"
        var $196=((($195)) & 255); //@line 831 "convert.c"
        var $197=($196); //@line 831 "convert.c"
        var $198=HEAP[$h]; //@line 831 "convert.c"
        var $199=((($198)) & 255); //@line 831 "convert.c"
        var $200=($199); //@line 831 "convert.c"
        var $201=HEAP[$fdest]; //@line 831 "convert.c"
        var $202=_fprintf($201, CHECK_OVERFLOW((__str1268)&4294967295, 32), $200, $197, $193, $189); //@line 831 "convert.c"
        var $203=HEAP[$fdest]; //@line 835 "convert.c"
        var $204=_fprintf($203, CHECK_OVERFLOW((__str1369)&4294967295, 32), 1, 0); //@line 835 "convert.c"
        var $205=HEAP[$fdest]; //@line 836 "convert.c"
        var $206=_fprintf($205, CHECK_OVERFLOW((__str1369)&4294967295, 32), 24, 0); //@line 836 "convert.c"
        var $207=HEAP[$fdest]; //@line 837 "convert.c"
        var $208=_fprintf($207, CHECK_OVERFLOW((__str1268)&4294967295, 32), 0, 0, 0, 0); //@line 837 "convert.c"
        var $209=HEAP[$h]; //@line 838 "convert.c"
        var $210=HEAP[$w]; //@line 838 "convert.c"
        var $211=CHECK_OVERFLOW((($209) * ($210))&4294967295, 32); //@line 838 "convert.c"
        var $212=CHECK_OVERFLOW((($211) * 3)&4294967295, 32); //@line 838 "convert.c"
        var $213=HEAP[$h]; //@line 838 "convert.c"
        var $214=CHECK_OVERFLOW((($213) * 3)&4294967295, 32); //@line 838 "convert.c"
        var $215=HEAP[$w]; //@line 838 "convert.c"
        var $216=($215) % 2; //@line 838 "convert.c"
        var $217=CHECK_OVERFLOW((($214) * ($216))&4294967295, 32); //@line 838 "convert.c"
        var $218=CHECK_OVERFLOW((($212) + ($217))&4294967295, 32); //@line 838 "convert.c"
        var $219=($218) >> 24; //@line 838 "convert.c"
        var $220=((($219)) & 255); //@line 838 "convert.c"
        var $221=($220); //@line 838 "convert.c"
        var $222=HEAP[$h]; //@line 838 "convert.c"
        var $223=HEAP[$w]; //@line 838 "convert.c"
        var $224=CHECK_OVERFLOW((($222) * ($223))&4294967295, 32); //@line 838 "convert.c"
        var $225=CHECK_OVERFLOW((($224) * 3)&4294967295, 32); //@line 838 "convert.c"
        var $226=HEAP[$h]; //@line 838 "convert.c"
        var $227=CHECK_OVERFLOW((($226) * 3)&4294967295, 32); //@line 838 "convert.c"
        var $228=HEAP[$w]; //@line 838 "convert.c"
        var $229=($228) % 2; //@line 838 "convert.c"
        var $230=CHECK_OVERFLOW((($227) * ($229))&4294967295, 32); //@line 838 "convert.c"
        var $231=CHECK_OVERFLOW((($225) + ($230))&4294967295, 32); //@line 838 "convert.c"
        var $232=($231) >> 16; //@line 838 "convert.c"
        var $233=((($232)) & 255); //@line 838 "convert.c"
        var $234=($233); //@line 838 "convert.c"
        var $235=HEAP[$h]; //@line 838 "convert.c"
        var $236=HEAP[$w]; //@line 838 "convert.c"
        var $237=CHECK_OVERFLOW((($235) * ($236))&4294967295, 32); //@line 838 "convert.c"
        var $238=CHECK_OVERFLOW((($237) * 3)&4294967295, 32); //@line 838 "convert.c"
        var $239=HEAP[$h]; //@line 838 "convert.c"
        var $240=CHECK_OVERFLOW((($239) * 3)&4294967295, 32); //@line 838 "convert.c"
        var $241=HEAP[$w]; //@line 838 "convert.c"
        var $242=($241) % 2; //@line 838 "convert.c"
        var $243=CHECK_OVERFLOW((($240) * ($242))&4294967295, 32); //@line 838 "convert.c"
        var $244=CHECK_OVERFLOW((($238) + ($243))&4294967295, 32); //@line 838 "convert.c"
        var $245=($244) >> 8; //@line 838 "convert.c"
        var $246=((($245)) & 255); //@line 838 "convert.c"
        var $247=($246); //@line 838 "convert.c"
        var $248=HEAP[$w]; //@line 838 "convert.c"
        var $249=($248) % 2; //@line 838 "convert.c"
        var $250=HEAP[$w]; //@line 838 "convert.c"
        var $251=CHECK_OVERFLOW((($249) + ($250))&4294967295, 32); //@line 838 "convert.c"
        var $252=HEAP[$h]; //@line 838 "convert.c"
        var $253=CHECK_OVERFLOW((($252) * 3)&4294967295, 32); //@line 838 "convert.c"
        var $254=CHECK_OVERFLOW((($251) * ($253))&4294967295, 32); //@line 838 "convert.c"
        var $255=((($254)) & 255); //@line 838 "convert.c"
        var $256=($255); //@line 838 "convert.c"
        var $257=HEAP[$fdest]; //@line 838 "convert.c"
        var $258=_fprintf($257, CHECK_OVERFLOW((__str1268)&4294967295, 32), $256, $247, $234, $221); //@line 838 "convert.c"
        var $259=HEAP[$fdest]; //@line 842 "convert.c"
        var $260=_fprintf($259, CHECK_OVERFLOW((__str1268)&4294967295, 32), 154, 30, 0, 0); //@line 842 "convert.c"
        var $261=HEAP[$fdest]; //@line 843 "convert.c"
        var $262=_fprintf($261, CHECK_OVERFLOW((__str1268)&4294967295, 32), 154, 30, 0, 0); //@line 843 "convert.c"
        var $263=HEAP[$fdest]; //@line 844 "convert.c"
        var $264=_fprintf($263, CHECK_OVERFLOW((__str1268)&4294967295, 32), 0, 0, 0, 0); //@line 844 "convert.c"
        var $265=HEAP[$fdest]; //@line 845 "convert.c"
        var $266=_fprintf($265, CHECK_OVERFLOW((__str1268)&4294967295, 32), 0, 0, 0, 0); //@line 845 "convert.c"
        var $267=HEAP[$image_addr]; //@line 847 "convert.c"
        var $268=CHECK_OVERFLOW(($267+24)&4294967295, 32); //@line 847 "convert.c"
        var $269=HEAP[$268]; //@line 847 "convert.c"
        var $270=CHECK_OVERFLOW(($269)&4294967295, 32); //@line 847 "convert.c"
        var $271=CHECK_OVERFLOW(($270+24)&4294967295, 32); //@line 847 "convert.c"
        var $272=HEAP[$271]; //@line 847 "convert.c"
        var $273=($272) > 8; //@line 847 "convert.c"
        if ($273) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 847 "convert.c"
      case 11: // $bb9
        var $274=HEAP[$image_addr]; //@line 848 "convert.c"
        var $275=CHECK_OVERFLOW(($274+24)&4294967295, 32); //@line 848 "convert.c"
        var $276=HEAP[$275]; //@line 848 "convert.c"
        var $277=CHECK_OVERFLOW(($276)&4294967295, 32); //@line 848 "convert.c"
        var $278=CHECK_OVERFLOW(($277+24)&4294967295, 32); //@line 848 "convert.c"
        var $279=HEAP[$278]; //@line 848 "convert.c"
        var $280=CHECK_OVERFLOW((($279) - 8)&4294967295, 32); //@line 848 "convert.c"
        HEAP[$adjustR]=$280; //@line 848 "convert.c"
        var $281=HEAP[$image_addr]; //@line 849 "convert.c"
        var $282=CHECK_OVERFLOW(($281+24)&4294967295, 32); //@line 849 "convert.c"
        var $283=HEAP[$282]; //@line 849 "convert.c"
        var $284=CHECK_OVERFLOW(($283)&4294967295, 32); //@line 849 "convert.c"
        var $285=CHECK_OVERFLOW(($284+24)&4294967295, 32); //@line 849 "convert.c"
        var $286=HEAP[$285]; //@line 849 "convert.c"
        var $287=_printf(CHECK_OVERFLOW((__str1470)&4294967295, 32), $286); //@line 849 "convert.c"
        __label__ = 13; break; //@line 849 "convert.c"
      case 12: // $bb10
        HEAP[$adjustR]=0; //@line 852 "convert.c"
        __label__ = 13; break; //@line 852 "convert.c"
      case 13: // $bb11
        var $288=HEAP[$image_addr]; //@line 853 "convert.c"
        var $289=CHECK_OVERFLOW(($288+24)&4294967295, 32); //@line 853 "convert.c"
        var $290=HEAP[$289]; //@line 853 "convert.c"
        var $291=CHECK_OVERFLOW(($290+48)&4294967295, 32); //@line 853 "convert.c"
        var $292=CHECK_OVERFLOW(($291+24)&4294967295, 32); //@line 853 "convert.c"
        var $293=HEAP[$292]; //@line 853 "convert.c"
        var $294=($293) > 8; //@line 853 "convert.c"
        if ($294) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 853 "convert.c"
      case 14: // $bb12
        var $295=HEAP[$image_addr]; //@line 854 "convert.c"
        var $296=CHECK_OVERFLOW(($295+24)&4294967295, 32); //@line 854 "convert.c"
        var $297=HEAP[$296]; //@line 854 "convert.c"
        var $298=CHECK_OVERFLOW(($297+48)&4294967295, 32); //@line 854 "convert.c"
        var $299=CHECK_OVERFLOW(($298+24)&4294967295, 32); //@line 854 "convert.c"
        var $300=HEAP[$299]; //@line 854 "convert.c"
        var $301=CHECK_OVERFLOW((($300) - 8)&4294967295, 32); //@line 854 "convert.c"
        HEAP[$adjustG]=$301; //@line 854 "convert.c"
        var $302=HEAP[$image_addr]; //@line 855 "convert.c"
        var $303=CHECK_OVERFLOW(($302+24)&4294967295, 32); //@line 855 "convert.c"
        var $304=HEAP[$303]; //@line 855 "convert.c"
        var $305=CHECK_OVERFLOW(($304+48)&4294967295, 32); //@line 855 "convert.c"
        var $306=CHECK_OVERFLOW(($305+24)&4294967295, 32); //@line 855 "convert.c"
        var $307=HEAP[$306]; //@line 855 "convert.c"
        var $308=_printf(CHECK_OVERFLOW((__str1571)&4294967295, 32), $307); //@line 855 "convert.c"
        __label__ = 16; break; //@line 855 "convert.c"
      case 15: // $bb13
        HEAP[$adjustG]=0; //@line 858 "convert.c"
        __label__ = 16; break; //@line 858 "convert.c"
      case 16: // $bb14
        var $309=HEAP[$image_addr]; //@line 859 "convert.c"
        var $310=CHECK_OVERFLOW(($309+24)&4294967295, 32); //@line 859 "convert.c"
        var $311=HEAP[$310]; //@line 859 "convert.c"
        var $312=CHECK_OVERFLOW(($311+96)&4294967295, 32); //@line 859 "convert.c"
        var $313=CHECK_OVERFLOW(($312+24)&4294967295, 32); //@line 859 "convert.c"
        var $314=HEAP[$313]; //@line 859 "convert.c"
        var $315=($314) > 8; //@line 859 "convert.c"
        if ($315) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 859 "convert.c"
      case 17: // $bb15
        var $316=HEAP[$image_addr]; //@line 860 "convert.c"
        var $317=CHECK_OVERFLOW(($316+24)&4294967295, 32); //@line 860 "convert.c"
        var $318=HEAP[$317]; //@line 860 "convert.c"
        var $319=CHECK_OVERFLOW(($318+96)&4294967295, 32); //@line 860 "convert.c"
        var $320=CHECK_OVERFLOW(($319+24)&4294967295, 32); //@line 860 "convert.c"
        var $321=HEAP[$320]; //@line 860 "convert.c"
        var $322=CHECK_OVERFLOW((($321) - 8)&4294967295, 32); //@line 860 "convert.c"
        HEAP[$adjustB]=$322; //@line 860 "convert.c"
        var $323=HEAP[$image_addr]; //@line 861 "convert.c"
        var $324=CHECK_OVERFLOW(($323+24)&4294967295, 32); //@line 861 "convert.c"
        var $325=HEAP[$324]; //@line 861 "convert.c"
        var $326=CHECK_OVERFLOW(($325+96)&4294967295, 32); //@line 861 "convert.c"
        var $327=CHECK_OVERFLOW(($326+24)&4294967295, 32); //@line 861 "convert.c"
        var $328=HEAP[$327]; //@line 861 "convert.c"
        var $329=_printf(CHECK_OVERFLOW((__str1672)&4294967295, 32), $328); //@line 861 "convert.c"
        __label__ = 19; break; //@line 861 "convert.c"
      case 18: // $bb16
        HEAP[$adjustB]=0; //@line 864 "convert.c"
        __label__ = 19; break; //@line 864 "convert.c"
      case 19: // $bb17
        HEAP[$i]=0; //@line 866 "convert.c"
        __label__ = 20; break; //@line 866 "convert.c"
      case 37: // $bb18
        var $330=HEAP[$image_addr]; //@line 870 "convert.c"
        var $331=CHECK_OVERFLOW(($330+24)&4294967295, 32); //@line 870 "convert.c"
        var $332=HEAP[$331]; //@line 870 "convert.c"
        var $333=CHECK_OVERFLOW(($332)&4294967295, 32); //@line 870 "convert.c"
        var $334=CHECK_OVERFLOW(($333+44)&4294967295, 32); //@line 870 "convert.c"
        var $335=HEAP[$334]; //@line 870 "convert.c"
        var $336=HEAP[$i]; //@line 870 "convert.c"
        var $337=HEAP[$w]; //@line 870 "convert.c"
        var $338=(($336)/($337)|0); //@line 870 "convert.c"
        var $339=CHECK_OVERFLOW((($338) + 1)&4294967295, 32); //@line 870 "convert.c"
        var $340=HEAP[$h]; //@line 870 "convert.c"
        var $341=CHECK_OVERFLOW((($340) - ($339))&4294967295, 32); //@line 870 "convert.c"
        var $342=HEAP[$w]; //@line 870 "convert.c"
        var $343=CHECK_OVERFLOW((($341) * ($342))&4294967295, 32); //@line 870 "convert.c"
        var $344=HEAP[$i]; //@line 870 "convert.c"
        var $345=HEAP[$w]; //@line 870 "convert.c"
        var $346=($344) % ($345); //@line 870 "convert.c"
        var $347=CHECK_OVERFLOW((($343) + ($346))&4294967295, 32); //@line 870 "convert.c"
        var $348=CHECK_OVERFLOW(($335+4*$347)&4294967295, 32); //@line 870 "convert.c"
        var $349=HEAP[$348]; //@line 870 "convert.c"
        HEAP[$r]=$349; //@line 870 "convert.c"
        var $350=HEAP[$image_addr]; //@line 871 "convert.c"
        var $351=CHECK_OVERFLOW(($350+24)&4294967295, 32); //@line 871 "convert.c"
        var $352=HEAP[$351]; //@line 871 "convert.c"
        var $353=CHECK_OVERFLOW(($352)&4294967295, 32); //@line 871 "convert.c"
        var $354=CHECK_OVERFLOW(($353+32)&4294967295, 32); //@line 871 "convert.c"
        var $355=HEAP[$354]; //@line 871 "convert.c"
        var $356=($355)!=0; //@line 871 "convert.c"
        if ($356) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 871 "convert.c"
      case 21: // $bb19
        var $357=HEAP[$image_addr]; //@line 871 "convert.c"
        var $358=CHECK_OVERFLOW(($357+24)&4294967295, 32); //@line 871 "convert.c"
        var $359=HEAP[$358]; //@line 871 "convert.c"
        var $360=CHECK_OVERFLOW(($359)&4294967295, 32); //@line 871 "convert.c"
        var $361=CHECK_OVERFLOW(($360+24)&4294967295, 32); //@line 871 "convert.c"
        var $362=HEAP[$361]; //@line 871 "convert.c"
        var $363=CHECK_OVERFLOW((($362) - 1)&4294967295, 32); //@line 871 "convert.c"
        var $364=1 << ($363); //@line 871 "convert.c"
        HEAP[$iftmp_93]=$364; //@line 871 "convert.c"
        __label__ = 23; break; //@line 871 "convert.c"
      case 22: // $bb20
        HEAP[$iftmp_93]=0; //@line 871 "convert.c"
        __label__ = 23; break; //@line 871 "convert.c"
      case 23: // $bb21
        var $365=HEAP[$iftmp_93]; //@line 871 "convert.c"
        var $366=HEAP[$r]; //@line 871 "convert.c"
        var $367=CHECK_OVERFLOW((($365) + ($366))&4294967295, 32); //@line 871 "convert.c"
        HEAP[$r]=$367; //@line 871 "convert.c"
        var $368=HEAP[$r]; //@line 872 "convert.c"
        var $369=HEAP[$adjustR]; //@line 872 "convert.c"
        var $370=($368) >> ($369); //@line 872 "convert.c"
        var $371=((($370)) & 255); //@line 872 "convert.c"
        var $372=HEAP[$adjustR]; //@line 872 "convert.c"
        var $373=CHECK_OVERFLOW((($372) - 1)&4294967295, 32); //@line 872 "convert.c"
        var $374=HEAP[$r]; //@line 872 "convert.c"
        var $375=($374) >> ($373); //@line 872 "convert.c"
        var $376=($375) % 2; //@line 872 "convert.c"
        var $377=((($376)) & 255); //@line 872 "convert.c"
        var $378=CHECK_OVERFLOW((($371) + ($377))&255, 8); //@line 872 "convert.c"
        HEAP[$rc]=$378; //@line 872 "convert.c"
        var $379=HEAP[$image_addr]; //@line 873 "convert.c"
        var $380=CHECK_OVERFLOW(($379+24)&4294967295, 32); //@line 873 "convert.c"
        var $381=HEAP[$380]; //@line 873 "convert.c"
        var $382=CHECK_OVERFLOW(($381+48)&4294967295, 32); //@line 873 "convert.c"
        var $383=CHECK_OVERFLOW(($382+44)&4294967295, 32); //@line 873 "convert.c"
        var $384=HEAP[$383]; //@line 873 "convert.c"
        var $385=HEAP[$i]; //@line 873 "convert.c"
        var $386=HEAP[$w]; //@line 873 "convert.c"
        var $387=(($385)/($386)|0); //@line 873 "convert.c"
        var $388=CHECK_OVERFLOW((($387) + 1)&4294967295, 32); //@line 873 "convert.c"
        var $389=HEAP[$h]; //@line 873 "convert.c"
        var $390=CHECK_OVERFLOW((($389) - ($388))&4294967295, 32); //@line 873 "convert.c"
        var $391=HEAP[$w]; //@line 873 "convert.c"
        var $392=CHECK_OVERFLOW((($390) * ($391))&4294967295, 32); //@line 873 "convert.c"
        var $393=HEAP[$i]; //@line 873 "convert.c"
        var $394=HEAP[$w]; //@line 873 "convert.c"
        var $395=($393) % ($394); //@line 873 "convert.c"
        var $396=CHECK_OVERFLOW((($392) + ($395))&4294967295, 32); //@line 873 "convert.c"
        var $397=CHECK_OVERFLOW(($384+4*$396)&4294967295, 32); //@line 873 "convert.c"
        var $398=HEAP[$397]; //@line 873 "convert.c"
        HEAP[$g]=$398; //@line 873 "convert.c"
        var $399=HEAP[$image_addr]; //@line 874 "convert.c"
        var $400=CHECK_OVERFLOW(($399+24)&4294967295, 32); //@line 874 "convert.c"
        var $401=HEAP[$400]; //@line 874 "convert.c"
        var $402=CHECK_OVERFLOW(($401+48)&4294967295, 32); //@line 874 "convert.c"
        var $403=CHECK_OVERFLOW(($402+32)&4294967295, 32); //@line 874 "convert.c"
        var $404=HEAP[$403]; //@line 874 "convert.c"
        var $405=($404)!=0; //@line 874 "convert.c"
        if ($405) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 874 "convert.c"
      case 24: // $bb22
        var $406=HEAP[$image_addr]; //@line 874 "convert.c"
        var $407=CHECK_OVERFLOW(($406+24)&4294967295, 32); //@line 874 "convert.c"
        var $408=HEAP[$407]; //@line 874 "convert.c"
        var $409=CHECK_OVERFLOW(($408+48)&4294967295, 32); //@line 874 "convert.c"
        var $410=CHECK_OVERFLOW(($409+24)&4294967295, 32); //@line 874 "convert.c"
        var $411=HEAP[$410]; //@line 874 "convert.c"
        var $412=CHECK_OVERFLOW((($411) - 1)&4294967295, 32); //@line 874 "convert.c"
        var $413=1 << ($412); //@line 874 "convert.c"
        HEAP[$iftmp_94]=$413; //@line 874 "convert.c"
        __label__ = 26; break; //@line 874 "convert.c"
      case 25: // $bb23
        HEAP[$iftmp_94]=0; //@line 874 "convert.c"
        __label__ = 26; break; //@line 874 "convert.c"
      case 26: // $bb24
        var $414=HEAP[$iftmp_94]; //@line 874 "convert.c"
        var $415=HEAP[$g]; //@line 874 "convert.c"
        var $416=CHECK_OVERFLOW((($414) + ($415))&4294967295, 32); //@line 874 "convert.c"
        HEAP[$g]=$416; //@line 874 "convert.c"
        var $417=HEAP[$g]; //@line 875 "convert.c"
        var $418=HEAP[$adjustG]; //@line 875 "convert.c"
        var $419=($417) >> ($418); //@line 875 "convert.c"
        var $420=((($419)) & 255); //@line 875 "convert.c"
        var $421=HEAP[$adjustG]; //@line 875 "convert.c"
        var $422=CHECK_OVERFLOW((($421) - 1)&4294967295, 32); //@line 875 "convert.c"
        var $423=HEAP[$g]; //@line 875 "convert.c"
        var $424=($423) >> ($422); //@line 875 "convert.c"
        var $425=($424) % 2; //@line 875 "convert.c"
        var $426=((($425)) & 255); //@line 875 "convert.c"
        var $427=CHECK_OVERFLOW((($420) + ($426))&255, 8); //@line 875 "convert.c"
        HEAP[$gc]=$427; //@line 875 "convert.c"
        var $428=HEAP[$image_addr]; //@line 876 "convert.c"
        var $429=CHECK_OVERFLOW(($428+24)&4294967295, 32); //@line 876 "convert.c"
        var $430=HEAP[$429]; //@line 876 "convert.c"
        var $431=CHECK_OVERFLOW(($430+96)&4294967295, 32); //@line 876 "convert.c"
        var $432=CHECK_OVERFLOW(($431+44)&4294967295, 32); //@line 876 "convert.c"
        var $433=HEAP[$432]; //@line 876 "convert.c"
        var $434=HEAP[$i]; //@line 876 "convert.c"
        var $435=HEAP[$w]; //@line 876 "convert.c"
        var $436=(($434)/($435)|0); //@line 876 "convert.c"
        var $437=CHECK_OVERFLOW((($436) + 1)&4294967295, 32); //@line 876 "convert.c"
        var $438=HEAP[$h]; //@line 876 "convert.c"
        var $439=CHECK_OVERFLOW((($438) - ($437))&4294967295, 32); //@line 876 "convert.c"
        var $440=HEAP[$w]; //@line 876 "convert.c"
        var $441=CHECK_OVERFLOW((($439) * ($440))&4294967295, 32); //@line 876 "convert.c"
        var $442=HEAP[$i]; //@line 876 "convert.c"
        var $443=HEAP[$w]; //@line 876 "convert.c"
        var $444=($442) % ($443); //@line 876 "convert.c"
        var $445=CHECK_OVERFLOW((($441) + ($444))&4294967295, 32); //@line 876 "convert.c"
        var $446=CHECK_OVERFLOW(($433+4*$445)&4294967295, 32); //@line 876 "convert.c"
        var $447=HEAP[$446]; //@line 876 "convert.c"
        HEAP[$b]=$447; //@line 876 "convert.c"
        var $448=HEAP[$image_addr]; //@line 877 "convert.c"
        var $449=CHECK_OVERFLOW(($448+24)&4294967295, 32); //@line 877 "convert.c"
        var $450=HEAP[$449]; //@line 877 "convert.c"
        var $451=CHECK_OVERFLOW(($450+96)&4294967295, 32); //@line 877 "convert.c"
        var $452=CHECK_OVERFLOW(($451+32)&4294967295, 32); //@line 877 "convert.c"
        var $453=HEAP[$452]; //@line 877 "convert.c"
        var $454=($453)!=0; //@line 877 "convert.c"
        if ($454) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 877 "convert.c"
      case 27: // $bb25
        var $455=HEAP[$image_addr]; //@line 877 "convert.c"
        var $456=CHECK_OVERFLOW(($455+24)&4294967295, 32); //@line 877 "convert.c"
        var $457=HEAP[$456]; //@line 877 "convert.c"
        var $458=CHECK_OVERFLOW(($457+96)&4294967295, 32); //@line 877 "convert.c"
        var $459=CHECK_OVERFLOW(($458+24)&4294967295, 32); //@line 877 "convert.c"
        var $460=HEAP[$459]; //@line 877 "convert.c"
        var $461=CHECK_OVERFLOW((($460) - 1)&4294967295, 32); //@line 877 "convert.c"
        var $462=1 << ($461); //@line 877 "convert.c"
        HEAP[$iftmp_95]=$462; //@line 877 "convert.c"
        __label__ = 29; break; //@line 877 "convert.c"
      case 28: // $bb26
        HEAP[$iftmp_95]=0; //@line 877 "convert.c"
        __label__ = 29; break; //@line 877 "convert.c"
      case 29: // $bb27
        var $463=HEAP[$iftmp_95]; //@line 877 "convert.c"
        var $464=HEAP[$b]; //@line 877 "convert.c"
        var $465=CHECK_OVERFLOW((($463) + ($464))&4294967295, 32); //@line 877 "convert.c"
        HEAP[$b]=$465; //@line 877 "convert.c"
        var $466=HEAP[$b]; //@line 878 "convert.c"
        var $467=HEAP[$adjustB]; //@line 878 "convert.c"
        var $468=($466) >> ($467); //@line 878 "convert.c"
        var $469=((($468)) & 255); //@line 878 "convert.c"
        var $470=HEAP[$adjustB]; //@line 878 "convert.c"
        var $471=CHECK_OVERFLOW((($470) - 1)&4294967295, 32); //@line 878 "convert.c"
        var $472=HEAP[$b]; //@line 878 "convert.c"
        var $473=($472) >> ($471); //@line 878 "convert.c"
        var $474=($473) % 2; //@line 878 "convert.c"
        var $475=((($474)) & 255); //@line 878 "convert.c"
        var $476=CHECK_OVERFLOW((($469) + ($475))&255, 8); //@line 878 "convert.c"
        HEAP[$bc]=$476; //@line 878 "convert.c"
        var $477=HEAP[$rc]; //@line 880 "convert.c"
        var $478=($477); //@line 880 "convert.c"
        var $479=HEAP[$gc]; //@line 880 "convert.c"
        var $480=($479); //@line 880 "convert.c"
        var $481=HEAP[$bc]; //@line 880 "convert.c"
        var $482=($481); //@line 880 "convert.c"
        var $483=HEAP[$fdest]; //@line 880 "convert.c"
        var $484=_fprintf($483, CHECK_OVERFLOW((__str1773)&4294967295, 32), $482, $480, $478); //@line 880 "convert.c"
        var $485=HEAP[$i]; //@line 882 "convert.c"
        var $486=CHECK_OVERFLOW((($485) + 1)&4294967295, 32); //@line 882 "convert.c"
        var $487=HEAP[$w]; //@line 882 "convert.c"
        var $488=($486) % ($487); //@line 882 "convert.c"
        var $489=($488)==0; //@line 882 "convert.c"
        if ($489) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 882 "convert.c"
      case 30: // $bb28
        var $490=HEAP[$w]; //@line 883 "convert.c"
        var $491=CHECK_OVERFLOW((($490) * 3)&4294967295, 32); //@line 883 "convert.c"
        var $492=($491) & 3; //@line 883 "convert.c"
        var $493=($492)!=0; //@line 883 "convert.c"
        if ($493) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 883 "convert.c"
      case 32: // $bb29
        var $494=HEAP[$w]; //@line 883 "convert.c"
        var $495=CHECK_OVERFLOW((($494) * 3)&4294967295, 32); //@line 883 "convert.c"
        var $496=($495) % 4; //@line 883 "convert.c"
        var $497=CHECK_OVERFLOW((4 - ($496))&4294967295, 32); //@line 883 "convert.c"
        HEAP[$iftmp_96]=$497; //@line 883 "convert.c"
        __label__ = 34; break; //@line 883 "convert.c"
      case 33: // $bb30
        HEAP[$iftmp_96]=0; //@line 883 "convert.c"
        __label__ = 34; break; //@line 883 "convert.c"
      case 34: // $bb31
        var $498=HEAP[$iftmp_96]; //@line 883 "convert.c"
        HEAP[$pad]=$498; //@line 883 "convert.c"
        __label__ = 35; break; //@line 883 "convert.c"
      case 36: // $bb32
        var $499=HEAP[$fdest]; //@line 884 "convert.c"
        var $500=$499; //@line 884 "convert.c"
        var $501=_fputc(0, $500); //@line 884 "convert.c"
        var $502=HEAP[$pad]; //@line 883 "convert.c"
        var $503=CHECK_OVERFLOW((($502) - 1)&4294967295, 32); //@line 883 "convert.c"
        HEAP[$pad]=$503; //@line 883 "convert.c"
        __label__ = 35; break; //@line 883 "convert.c"
      case 35: // $bb33
        var $504=HEAP[$pad]; //@line 883 "convert.c"
        var $505=($504) > 0; //@line 883 "convert.c"
        if ($505) { __label__ = 36; break; } else { __label__ = 31; break; } //@line 883 "convert.c"
      case 31: // $bb34
        var $506=HEAP[$i]; //@line 866 "convert.c"
        var $507=CHECK_OVERFLOW((($506) + 1)&4294967295, 32); //@line 866 "convert.c"
        HEAP[$i]=$507; //@line 866 "convert.c"
        __label__ = 20; break; //@line 866 "convert.c"
      case 20: // $bb35
        var $508=HEAP[$w]; //@line 866 "convert.c"
        var $509=HEAP[$h]; //@line 866 "convert.c"
        var $510=CHECK_OVERFLOW((($508) * ($509))&4294967295, 32); //@line 866 "convert.c"
        var $511=HEAP[$i]; //@line 866 "convert.c"
        var $512=($510) > ($511); //@line 866 "convert.c"
        if ($512) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 866 "convert.c"
      case 38: // $bb36
        var $513=HEAP[$fdest]; //@line 887 "convert.c"
        var $514=_fclose($513); //@line 887 "convert.c"
        __label__ = 39; break; //@line 887 "convert.c"
      case 0: // $bb37
        var $515=HEAP[$outfile_addr]; //@line 894 "convert.c"
        var $516=_fopen($515, CHECK_OVERFLOW((__str561)&4294967295, 32)); //@line 894 "convert.c"
        HEAP[$fdest]=$516; //@line 894 "convert.c"
        var $517=HEAP[$image_addr]; //@line 895 "convert.c"
        var $518=CHECK_OVERFLOW(($517+24)&4294967295, 32); //@line 895 "convert.c"
        var $519=HEAP[$518]; //@line 895 "convert.c"
        var $520=CHECK_OVERFLOW(($519)&4294967295, 32); //@line 895 "convert.c"
        var $521=CHECK_OVERFLOW(($520+8)&4294967295, 32); //@line 895 "convert.c"
        var $522=HEAP[$521]; //@line 895 "convert.c"
        HEAP[$w]=$522; //@line 895 "convert.c"
        var $523=HEAP[$image_addr]; //@line 896 "convert.c"
        var $524=CHECK_OVERFLOW(($523+24)&4294967295, 32); //@line 896 "convert.c"
        var $525=HEAP[$524]; //@line 896 "convert.c"
        var $526=CHECK_OVERFLOW(($525)&4294967295, 32); //@line 896 "convert.c"
        var $527=CHECK_OVERFLOW(($526+12)&4294967295, 32); //@line 896 "convert.c"
        var $528=HEAP[$527]; //@line 896 "convert.c"
        HEAP[$h]=$528; //@line 896 "convert.c"
        var $529=HEAP[$fdest]; //@line 898 "convert.c"
        var $530=$529; //@line 898 "convert.c"
        var $531=_fwrite(CHECK_OVERFLOW((__str1167)&4294967295, 32), 1, 2, $530); //@line 898 "convert.c"
        var $532=HEAP[$w]; //@line 902 "convert.c"
        var $533=($532) % 2; //@line 902 "convert.c"
        var $534=HEAP[$h]; //@line 902 "convert.c"
        var $535=CHECK_OVERFLOW((($533) + ($534))&4294967295, 32); //@line 902 "convert.c"
        var $536=HEAP[$w]; //@line 902 "convert.c"
        var $537=CHECK_OVERFLOW((($535) * ($536))&4294967295, 32); //@line 902 "convert.c"
        var $538=CHECK_OVERFLOW((($537) + 1078)&4294967295, 32); //@line 902 "convert.c"
        var $539=($538) >> 24; //@line 902 "convert.c"
        var $540=((($539)) & 255); //@line 902 "convert.c"
        var $541=($540); //@line 902 "convert.c"
        var $542=HEAP[$w]; //@line 902 "convert.c"
        var $543=($542) % 2; //@line 902 "convert.c"
        var $544=HEAP[$w]; //@line 902 "convert.c"
        var $545=CHECK_OVERFLOW((($543) + ($544))&4294967295, 32); //@line 902 "convert.c"
        var $546=HEAP[$h]; //@line 902 "convert.c"
        var $547=CHECK_OVERFLOW((($545) * ($546))&4294967295, 32); //@line 902 "convert.c"
        var $548=CHECK_OVERFLOW((($547) + 1078)&4294967295, 32); //@line 902 "convert.c"
        var $549=($548) >> 16; //@line 902 "convert.c"
        var $550=((($549)) & 255); //@line 902 "convert.c"
        var $551=($550); //@line 902 "convert.c"
        var $552=HEAP[$w]; //@line 902 "convert.c"
        var $553=($552) % 2; //@line 902 "convert.c"
        var $554=HEAP[$w]; //@line 902 "convert.c"
        var $555=CHECK_OVERFLOW((($553) + ($554))&4294967295, 32); //@line 902 "convert.c"
        var $556=HEAP[$h]; //@line 902 "convert.c"
        var $557=CHECK_OVERFLOW((($555) * ($556))&4294967295, 32); //@line 902 "convert.c"
        var $558=CHECK_OVERFLOW((($557) + 1078)&4294967295, 32); //@line 902 "convert.c"
        var $559=($558) >> 8; //@line 902 "convert.c"
        var $560=((($559)) & 255); //@line 902 "convert.c"
        var $561=($560); //@line 902 "convert.c"
        var $562=HEAP[$w]; //@line 902 "convert.c"
        var $563=($562) % 2; //@line 902 "convert.c"
        var $564=HEAP[$w]; //@line 902 "convert.c"
        var $565=CHECK_OVERFLOW((($563) + ($564))&4294967295, 32); //@line 902 "convert.c"
        var $566=HEAP[$h]; //@line 902 "convert.c"
        var $567=CHECK_OVERFLOW((($565) * ($566))&4294967295, 32); //@line 902 "convert.c"
        var $568=((($567)) & 255); //@line 902 "convert.c"
        var $569=CHECK_OVERFLOW((($568) + 54)&255, 8); //@line 902 "convert.c"
        var $570=($569); //@line 902 "convert.c"
        var $571=HEAP[$fdest]; //@line 902 "convert.c"
        var $572=_fprintf($571, CHECK_OVERFLOW((__str1268)&4294967295, 32), $570, $561, $551, $541); //@line 902 "convert.c"
        var $573=HEAP[$fdest]; //@line 906 "convert.c"
        var $574=_fprintf($573, CHECK_OVERFLOW((__str1268)&4294967295, 32), 0, 0, 0, 0); //@line 906 "convert.c"
        var $575=HEAP[$fdest]; //@line 907 "convert.c"
        var $576=_fprintf($575, CHECK_OVERFLOW((__str1268)&4294967295, 32), 54, 4, 0, 0); //@line 907 "convert.c"
        var $577=HEAP[$fdest]; //@line 913 "convert.c"
        var $578=_fprintf($577, CHECK_OVERFLOW((__str1268)&4294967295, 32), 40, 0, 0, 0); //@line 913 "convert.c"
        var $579=HEAP[$w]; //@line 914 "convert.c"
        var $580=($579) >> 24; //@line 914 "convert.c"
        var $581=((($580)) & 255); //@line 914 "convert.c"
        var $582=($581); //@line 914 "convert.c"
        var $583=HEAP[$w]; //@line 914 "convert.c"
        var $584=($583) >> 16; //@line 914 "convert.c"
        var $585=((($584)) & 255); //@line 914 "convert.c"
        var $586=($585); //@line 914 "convert.c"
        var $587=HEAP[$w]; //@line 914 "convert.c"
        var $588=($587) >> 8; //@line 914 "convert.c"
        var $589=((($588)) & 255); //@line 914 "convert.c"
        var $590=($589); //@line 914 "convert.c"
        var $591=HEAP[$w]; //@line 914 "convert.c"
        var $592=((($591)) & 255); //@line 914 "convert.c"
        var $593=($592); //@line 914 "convert.c"
        var $594=HEAP[$fdest]; //@line 914 "convert.c"
        var $595=_fprintf($594, CHECK_OVERFLOW((__str1268)&4294967295, 32), $593, $590, $586, $582); //@line 914 "convert.c"
        var $596=HEAP[$h]; //@line 918 "convert.c"
        var $597=($596) >> 24; //@line 918 "convert.c"
        var $598=((($597)) & 255); //@line 918 "convert.c"
        var $599=($598); //@line 918 "convert.c"
        var $600=HEAP[$h]; //@line 918 "convert.c"
        var $601=($600) >> 16; //@line 918 "convert.c"
        var $602=((($601)) & 255); //@line 918 "convert.c"
        var $603=($602); //@line 918 "convert.c"
        var $604=HEAP[$h]; //@line 918 "convert.c"
        var $605=($604) >> 8; //@line 918 "convert.c"
        var $606=((($605)) & 255); //@line 918 "convert.c"
        var $607=($606); //@line 918 "convert.c"
        var $608=HEAP[$h]; //@line 918 "convert.c"
        var $609=((($608)) & 255); //@line 918 "convert.c"
        var $610=($609); //@line 918 "convert.c"
        var $611=HEAP[$fdest]; //@line 918 "convert.c"
        var $612=_fprintf($611, CHECK_OVERFLOW((__str1268)&4294967295, 32), $610, $607, $603, $599); //@line 918 "convert.c"
        var $613=HEAP[$fdest]; //@line 922 "convert.c"
        var $614=_fprintf($613, CHECK_OVERFLOW((__str1369)&4294967295, 32), 1, 0); //@line 922 "convert.c"
        var $615=HEAP[$fdest]; //@line 923 "convert.c"
        var $616=_fprintf($615, CHECK_OVERFLOW((__str1369)&4294967295, 32), 8, 0); //@line 923 "convert.c"
        var $617=HEAP[$fdest]; //@line 924 "convert.c"
        var $618=_fprintf($617, CHECK_OVERFLOW((__str1268)&4294967295, 32), 0, 0, 0, 0); //@line 924 "convert.c"
        var $619=HEAP[$w]; //@line 925 "convert.c"
        var $620=($619) % 2; //@line 925 "convert.c"
        var $621=HEAP[$w]; //@line 925 "convert.c"
        var $622=CHECK_OVERFLOW((($620) + ($621))&4294967295, 32); //@line 925 "convert.c"
        var $623=HEAP[$h]; //@line 925 "convert.c"
        var $624=CHECK_OVERFLOW((($622) * ($623))&4294967295, 32); //@line 925 "convert.c"
        var $625=($624) >> 24; //@line 925 "convert.c"
        var $626=((($625)) & 255); //@line 925 "convert.c"
        var $627=($626); //@line 925 "convert.c"
        var $628=HEAP[$w]; //@line 925 "convert.c"
        var $629=($628) % 2; //@line 925 "convert.c"
        var $630=HEAP[$w]; //@line 925 "convert.c"
        var $631=CHECK_OVERFLOW((($629) + ($630))&4294967295, 32); //@line 925 "convert.c"
        var $632=HEAP[$h]; //@line 925 "convert.c"
        var $633=CHECK_OVERFLOW((($631) * ($632))&4294967295, 32); //@line 925 "convert.c"
        var $634=($633) >> 16; //@line 925 "convert.c"
        var $635=((($634)) & 255); //@line 925 "convert.c"
        var $636=($635); //@line 925 "convert.c"
        var $637=HEAP[$w]; //@line 925 "convert.c"
        var $638=($637) % 2; //@line 925 "convert.c"
        var $639=HEAP[$w]; //@line 925 "convert.c"
        var $640=CHECK_OVERFLOW((($638) + ($639))&4294967295, 32); //@line 925 "convert.c"
        var $641=HEAP[$h]; //@line 925 "convert.c"
        var $642=CHECK_OVERFLOW((($640) * ($641))&4294967295, 32); //@line 925 "convert.c"
        var $643=($642) >> 8; //@line 925 "convert.c"
        var $644=((($643)) & 255); //@line 925 "convert.c"
        var $645=($644); //@line 925 "convert.c"
        var $646=HEAP[$w]; //@line 925 "convert.c"
        var $647=($646) % 2; //@line 925 "convert.c"
        var $648=HEAP[$w]; //@line 925 "convert.c"
        var $649=CHECK_OVERFLOW((($647) + ($648))&4294967295, 32); //@line 925 "convert.c"
        var $650=HEAP[$h]; //@line 925 "convert.c"
        var $651=CHECK_OVERFLOW((($649) * ($650))&4294967295, 32); //@line 925 "convert.c"
        var $652=((($651)) & 255); //@line 925 "convert.c"
        var $653=($652); //@line 925 "convert.c"
        var $654=HEAP[$fdest]; //@line 925 "convert.c"
        var $655=_fprintf($654, CHECK_OVERFLOW((__str1268)&4294967295, 32), $653, $645, $636, $627); //@line 925 "convert.c"
        var $656=HEAP[$fdest]; //@line 929 "convert.c"
        var $657=_fprintf($656, CHECK_OVERFLOW((__str1268)&4294967295, 32), 154, 30, 0, 0); //@line 929 "convert.c"
        var $658=HEAP[$fdest]; //@line 930 "convert.c"
        var $659=_fprintf($658, CHECK_OVERFLOW((__str1268)&4294967295, 32), 154, 30, 0, 0); //@line 930 "convert.c"
        var $660=HEAP[$fdest]; //@line 931 "convert.c"
        var $661=_fprintf($660, CHECK_OVERFLOW((__str1268)&4294967295, 32), 0, 1, 0, 0); //@line 931 "convert.c"
        var $662=HEAP[$fdest]; //@line 932 "convert.c"
        var $663=_fprintf($662, CHECK_OVERFLOW((__str1268)&4294967295, 32), 0, 1, 0, 0); //@line 932 "convert.c"
        var $664=HEAP[$image_addr]; //@line 934 "convert.c"
        var $665=CHECK_OVERFLOW(($664+24)&4294967295, 32); //@line 934 "convert.c"
        var $666=HEAP[$665]; //@line 934 "convert.c"
        var $667=CHECK_OVERFLOW(($666)&4294967295, 32); //@line 934 "convert.c"
        var $668=CHECK_OVERFLOW(($667+24)&4294967295, 32); //@line 934 "convert.c"
        var $669=HEAP[$668]; //@line 934 "convert.c"
        var $670=($669) > 8; //@line 934 "convert.c"
        if ($670) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 934 "convert.c"
      case 40: // $bb38
        var $671=HEAP[$image_addr]; //@line 935 "convert.c"
        var $672=CHECK_OVERFLOW(($671+24)&4294967295, 32); //@line 935 "convert.c"
        var $673=HEAP[$672]; //@line 935 "convert.c"
        var $674=CHECK_OVERFLOW(($673)&4294967295, 32); //@line 935 "convert.c"
        var $675=CHECK_OVERFLOW(($674+24)&4294967295, 32); //@line 935 "convert.c"
        var $676=HEAP[$675]; //@line 935 "convert.c"
        var $677=CHECK_OVERFLOW((($676) - 8)&4294967295, 32); //@line 935 "convert.c"
        HEAP[$adjustR]=$677; //@line 935 "convert.c"
        var $678=HEAP[$image_addr]; //@line 936 "convert.c"
        var $679=CHECK_OVERFLOW(($678+24)&4294967295, 32); //@line 936 "convert.c"
        var $680=HEAP[$679]; //@line 936 "convert.c"
        var $681=CHECK_OVERFLOW(($680)&4294967295, 32); //@line 936 "convert.c"
        var $682=CHECK_OVERFLOW(($681+24)&4294967295, 32); //@line 936 "convert.c"
        var $683=HEAP[$682]; //@line 936 "convert.c"
        var $684=_printf(CHECK_OVERFLOW((__str1470)&4294967295, 32), $683); //@line 936 "convert.c"
        __label__ = 42; break; //@line 936 "convert.c"
      case 41: // $bb39
        HEAP[$adjustR]=0; //@line 938 "convert.c"
        __label__ = 42; break; //@line 938 "convert.c"
      case 42: // $bb40
        HEAP[$i]=0; //@line 940 "convert.c"
        __label__ = 43; break; //@line 940 "convert.c"
      case 44: // $bb41
        var $685=HEAP[$fdest]; //@line 941 "convert.c"
        var $686=HEAP[$i]; //@line 941 "convert.c"
        var $687=HEAP[$i]; //@line 941 "convert.c"
        var $688=HEAP[$i]; //@line 941 "convert.c"
        var $689=_fprintf($685, CHECK_OVERFLOW((__str1268)&4294967295, 32), $686, $687, $688, 0); //@line 941 "convert.c"
        var $690=HEAP[$i]; //@line 940 "convert.c"
        var $691=CHECK_OVERFLOW((($690) + 1)&4294967295, 32); //@line 940 "convert.c"
        HEAP[$i]=$691; //@line 940 "convert.c"
        __label__ = 43; break; //@line 940 "convert.c"
      case 43: // $bb42
        var $692=HEAP[$i]; //@line 940 "convert.c"
        var $693=($692) <= 255; //@line 940 "convert.c"
        if ($693) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 940 "convert.c"
      case 45: // $bb43
        HEAP[$i]=0; //@line 944 "convert.c"
        __label__ = 46; break; //@line 944 "convert.c"
      case 57: // $bb44
        var $694=HEAP[$image_addr]; //@line 948 "convert.c"
        var $695=CHECK_OVERFLOW(($694+24)&4294967295, 32); //@line 948 "convert.c"
        var $696=HEAP[$695]; //@line 948 "convert.c"
        var $697=CHECK_OVERFLOW(($696)&4294967295, 32); //@line 948 "convert.c"
        var $698=CHECK_OVERFLOW(($697+44)&4294967295, 32); //@line 948 "convert.c"
        var $699=HEAP[$698]; //@line 948 "convert.c"
        var $700=HEAP[$i]; //@line 948 "convert.c"
        var $701=HEAP[$w]; //@line 948 "convert.c"
        var $702=(($700)/($701)|0); //@line 948 "convert.c"
        var $703=CHECK_OVERFLOW((($702) + 1)&4294967295, 32); //@line 948 "convert.c"
        var $704=HEAP[$h]; //@line 948 "convert.c"
        var $705=CHECK_OVERFLOW((($704) - ($703))&4294967295, 32); //@line 948 "convert.c"
        var $706=HEAP[$w]; //@line 948 "convert.c"
        var $707=CHECK_OVERFLOW((($705) * ($706))&4294967295, 32); //@line 948 "convert.c"
        var $708=HEAP[$i]; //@line 948 "convert.c"
        var $709=HEAP[$w]; //@line 948 "convert.c"
        var $710=($708) % ($709); //@line 948 "convert.c"
        var $711=CHECK_OVERFLOW((($707) + ($710))&4294967295, 32); //@line 948 "convert.c"
        var $712=CHECK_OVERFLOW(($699+4*$711)&4294967295, 32); //@line 948 "convert.c"
        var $713=HEAP[$712]; //@line 948 "convert.c"
        HEAP[$r46]=$713; //@line 948 "convert.c"
        var $714=HEAP[$image_addr]; //@line 949 "convert.c"
        var $715=CHECK_OVERFLOW(($714+24)&4294967295, 32); //@line 949 "convert.c"
        var $716=HEAP[$715]; //@line 949 "convert.c"
        var $717=CHECK_OVERFLOW(($716)&4294967295, 32); //@line 949 "convert.c"
        var $718=CHECK_OVERFLOW(($717+32)&4294967295, 32); //@line 949 "convert.c"
        var $719=HEAP[$718]; //@line 949 "convert.c"
        var $720=($719)!=0; //@line 949 "convert.c"
        if ($720) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 949 "convert.c"
      case 47: // $bb47
        var $721=HEAP[$image_addr]; //@line 949 "convert.c"
        var $722=CHECK_OVERFLOW(($721+24)&4294967295, 32); //@line 949 "convert.c"
        var $723=HEAP[$722]; //@line 949 "convert.c"
        var $724=CHECK_OVERFLOW(($723)&4294967295, 32); //@line 949 "convert.c"
        var $725=CHECK_OVERFLOW(($724+24)&4294967295, 32); //@line 949 "convert.c"
        var $726=HEAP[$725]; //@line 949 "convert.c"
        var $727=CHECK_OVERFLOW((($726) - 1)&4294967295, 32); //@line 949 "convert.c"
        var $728=1 << ($727); //@line 949 "convert.c"
        HEAP[$iftmp_97]=$728; //@line 949 "convert.c"
        __label__ = 49; break; //@line 949 "convert.c"
      case 48: // $bb48
        HEAP[$iftmp_97]=0; //@line 949 "convert.c"
        __label__ = 49; break; //@line 949 "convert.c"
      case 49: // $bb49
        var $729=HEAP[$iftmp_97]; //@line 949 "convert.c"
        var $730=HEAP[$r46]; //@line 949 "convert.c"
        var $731=CHECK_OVERFLOW((($729) + ($730))&4294967295, 32); //@line 949 "convert.c"
        HEAP[$r46]=$731; //@line 949 "convert.c"
        var $732=HEAP[$r46]; //@line 950 "convert.c"
        var $733=HEAP[$adjustR]; //@line 950 "convert.c"
        var $734=($732) >> ($733); //@line 950 "convert.c"
        var $735=((($734)) & 255); //@line 950 "convert.c"
        var $736=HEAP[$adjustR]; //@line 950 "convert.c"
        var $737=CHECK_OVERFLOW((($736) - 1)&4294967295, 32); //@line 950 "convert.c"
        var $738=HEAP[$r46]; //@line 950 "convert.c"
        var $739=($738) >> ($737); //@line 950 "convert.c"
        var $740=($739) % 2; //@line 950 "convert.c"
        var $741=((($740)) & 255); //@line 950 "convert.c"
        var $742=CHECK_OVERFLOW((($735) + ($741))&255, 8); //@line 950 "convert.c"
        HEAP[$rc45]=$742; //@line 950 "convert.c"
        var $743=HEAP[$rc45]; //@line 952 "convert.c"
        var $744=($743); //@line 952 "convert.c"
        var $745=HEAP[$fdest]; //@line 952 "convert.c"
        var $746=$745; //@line 952 "convert.c"
        var $747=_fputc($744, $746); //@line 952 "convert.c"
        var $748=HEAP[$i]; //@line 954 "convert.c"
        var $749=CHECK_OVERFLOW((($748) + 1)&4294967295, 32); //@line 954 "convert.c"
        var $750=HEAP[$w]; //@line 954 "convert.c"
        var $751=($749) % ($750); //@line 954 "convert.c"
        var $752=($751)==0; //@line 954 "convert.c"
        if ($752) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 954 "convert.c"
      case 50: // $bb50
        var $753=HEAP[$w]; //@line 955 "convert.c"
        var $754=($753) & 3; //@line 955 "convert.c"
        var $755=($754)!=0; //@line 955 "convert.c"
        if ($755) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 955 "convert.c"
      case 52: // $bb51
        var $756=HEAP[$w]; //@line 955 "convert.c"
        var $757=($756) % 4; //@line 955 "convert.c"
        var $758=CHECK_OVERFLOW((4 - ($757))&4294967295, 32); //@line 955 "convert.c"
        HEAP[$iftmp_98]=$758; //@line 955 "convert.c"
        __label__ = 54; break; //@line 955 "convert.c"
      case 53: // $bb52
        HEAP[$iftmp_98]=0; //@line 955 "convert.c"
        __label__ = 54; break; //@line 955 "convert.c"
      case 54: // $bb53
        var $759=HEAP[$iftmp_98]; //@line 955 "convert.c"
        HEAP[$pad]=$759; //@line 955 "convert.c"
        __label__ = 55; break; //@line 955 "convert.c"
      case 56: // $bb54
        var $760=HEAP[$fdest]; //@line 956 "convert.c"
        var $761=$760; //@line 956 "convert.c"
        var $762=_fputc(0, $761); //@line 956 "convert.c"
        var $763=HEAP[$pad]; //@line 955 "convert.c"
        var $764=CHECK_OVERFLOW((($763) - 1)&4294967295, 32); //@line 955 "convert.c"
        HEAP[$pad]=$764; //@line 955 "convert.c"
        __label__ = 55; break; //@line 955 "convert.c"
      case 55: // $bb55
        var $765=HEAP[$pad]; //@line 955 "convert.c"
        var $766=($765) > 0; //@line 955 "convert.c"
        if ($766) { __label__ = 56; break; } else { __label__ = 51; break; } //@line 955 "convert.c"
      case 51: // $bb56
        var $767=HEAP[$i]; //@line 944 "convert.c"
        var $768=CHECK_OVERFLOW((($767) + 1)&4294967295, 32); //@line 944 "convert.c"
        HEAP[$i]=$768; //@line 944 "convert.c"
        __label__ = 46; break; //@line 944 "convert.c"
      case 46: // $bb57
        var $769=HEAP[$w]; //@line 944 "convert.c"
        var $770=HEAP[$h]; //@line 944 "convert.c"
        var $771=CHECK_OVERFLOW((($769) * ($770))&4294967295, 32); //@line 944 "convert.c"
        var $772=HEAP[$i]; //@line 944 "convert.c"
        var $773=($771) > ($772); //@line 944 "convert.c"
        if ($773) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 944 "convert.c"
      case 58: // $bb58
        var $774=HEAP[$fdest]; //@line 959 "convert.c"
        var $775=_fclose($774); //@line 959 "convert.c"
        __label__ = 39; break; //@line 959 "convert.c"
      case 39: // $bb59
        HEAP[$0]=0; //@line 962 "convert.c"
        __label__ = 10; break; //@line 962 "convert.c"
      case 10: // $bb60
        var $776=HEAP[$0]; //@line 806 "convert.c"
        HEAP[$retval]=$776; //@line 806 "convert.c"
        __label__ = 59; break; //@line 806 "convert.c"
      case 59: // $return
        var $retval61=HEAP[$retval]; //@line 806 "convert.c"
        STACKTOP = __stackBase__;
        return $retval61; //@line 806 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _readuchar($f) {
    var __stackBase__  = STACKTOP; STACKTOP += 13; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 13);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $f_addr=__stackBase__;
        var $retval=__stackBase__+4;
        var $0=__stackBase__+8;
        var $c1=__stackBase__+12;
        var $_alloca_point_=0;
        HEAP[$f_addr]=$f;
        var $1=HEAP[$f_addr]; //@line 975 "convert.c"
        var $2=_fread($c1, 1, 1, $1); //@line 975 "convert.c"
        var $3=HEAP[$c1]; //@line 976 "convert.c"
        var $4=($3); //@line 976 "convert.c"
        HEAP[$0]=$4; //@line 976 "convert.c"
        var $5=HEAP[$0]; //@line 976 "convert.c"
        HEAP[$retval]=$5; //@line 976 "convert.c"
        __label__ = 0; break; //@line 976 "convert.c"
      case 0: // $return
        var $retval1=HEAP[$retval]; //@line 976 "convert.c"
        var $retval12=((($retval1)) & 255); //@line 976 "convert.c"
        STACKTOP = __stackBase__;
        return $retval12; //@line 976 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _readushort($f, $bigendian) {
    var __stackBase__  = STACKTOP; STACKTOP += 18; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 18);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $f_addr=__stackBase__;
        var $bigendian_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $c1=__stackBase__+16;
        var $c2=__stackBase__+17;
        var $_alloca_point_=0;
        HEAP[$f_addr]=$f;
        HEAP[$bigendian_addr]=$bigendian;
        var $1=HEAP[$f_addr]; //@line 982 "convert.c"
        var $2=_fread($c1, 1, 1, $1); //@line 982 "convert.c"
        var $3=HEAP[$f_addr]; //@line 983 "convert.c"
        var $4=_fread($c2, 1, 1, $3); //@line 983 "convert.c"
        var $5=HEAP[$bigendian_addr]; //@line 984 "convert.c"
        var $6=($5)!=0; //@line 984 "convert.c"
        if ($6) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 984 "convert.c"
      case 0: // $bb
        var $7=HEAP[$c1]; //@line 985 "convert.c"
        var $8=($7); //@line 985 "convert.c"
        var $9=($8) << 8; //@line 985 "convert.c"
        var $10=HEAP[$c2]; //@line 985 "convert.c"
        var $11=($10); //@line 985 "convert.c"
        var $12=CHECK_OVERFLOW((($9) + ($11))&65535, 16); //@line 985 "convert.c"
        var $13=($12); //@line 985 "convert.c"
        HEAP[$0]=$13; //@line 985 "convert.c"
        __label__ = 2; break; //@line 985 "convert.c"
      case 1: // $bb1
        var $14=HEAP[$c2]; //@line 987 "convert.c"
        var $15=($14); //@line 987 "convert.c"
        var $16=($15) << 8; //@line 987 "convert.c"
        var $17=HEAP[$c1]; //@line 987 "convert.c"
        var $18=($17); //@line 987 "convert.c"
        var $19=CHECK_OVERFLOW((($16) + ($18))&65535, 16); //@line 987 "convert.c"
        var $20=($19); //@line 987 "convert.c"
        HEAP[$0]=$20; //@line 987 "convert.c"
        __label__ = 2; break; //@line 987 "convert.c"
      case 2: // $bb2
        var $21=HEAP[$0]; //@line 985 "convert.c"
        HEAP[$retval]=$21; //@line 985 "convert.c"
        __label__ = 3; break; //@line 985 "convert.c"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 985 "convert.c"
        var $retval34=((($retval3)) & 65535); //@line 985 "convert.c"
        STACKTOP = __stackBase__;
        return $retval34; //@line 985 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _readuint($f, $bigendian) {
    var __stackBase__  = STACKTOP; STACKTOP += 20; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 20);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $f_addr=__stackBase__;
        var $bigendian_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $c1=__stackBase__+16;
        var $c2=__stackBase__+17;
        var $c3=__stackBase__+18;
        var $c4=__stackBase__+19;
        var $_alloca_point_=0;
        HEAP[$f_addr]=$f;
        HEAP[$bigendian_addr]=$bigendian;
        var $1=HEAP[$f_addr]; //@line 993 "convert.c"
        var $2=_fread($c1, 1, 1, $1); //@line 993 "convert.c"
        var $3=HEAP[$f_addr]; //@line 994 "convert.c"
        var $4=_fread($c2, 1, 1, $3); //@line 994 "convert.c"
        var $5=HEAP[$f_addr]; //@line 995 "convert.c"
        var $6=_fread($c3, 1, 1, $5); //@line 995 "convert.c"
        var $7=HEAP[$f_addr]; //@line 996 "convert.c"
        var $8=_fread($c4, 1, 1, $7); //@line 996 "convert.c"
        var $9=HEAP[$bigendian_addr]; //@line 997 "convert.c"
        var $10=($9)!=0; //@line 997 "convert.c"
        if ($10) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 997 "convert.c"
      case 0: // $bb
        var $11=HEAP[$c1]; //@line 998 "convert.c"
        var $12=($11); //@line 998 "convert.c"
        var $13=($12) << 24; //@line 998 "convert.c"
        var $14=HEAP[$c2]; //@line 998 "convert.c"
        var $15=($14); //@line 998 "convert.c"
        var $16=($15) << 16; //@line 998 "convert.c"
        var $17=CHECK_OVERFLOW((($13) + ($16))&4294967295, 32); //@line 998 "convert.c"
        var $18=HEAP[$c3]; //@line 998 "convert.c"
        var $19=($18); //@line 998 "convert.c"
        var $20=($19) << 8; //@line 998 "convert.c"
        var $21=CHECK_OVERFLOW((($17) + ($20))&4294967295, 32); //@line 998 "convert.c"
        var $22=HEAP[$c4]; //@line 998 "convert.c"
        var $23=($22); //@line 998 "convert.c"
        var $24=CHECK_OVERFLOW((($21) + ($23))&4294967295, 32); //@line 998 "convert.c"
        HEAP[$0]=$24; //@line 998 "convert.c"
        __label__ = 2; break; //@line 998 "convert.c"
      case 1: // $bb1
        var $25=HEAP[$c4]; //@line 1000 "convert.c"
        var $26=($25); //@line 1000 "convert.c"
        var $27=($26) << 24; //@line 1000 "convert.c"
        var $28=HEAP[$c3]; //@line 1000 "convert.c"
        var $29=($28); //@line 1000 "convert.c"
        var $30=($29) << 16; //@line 1000 "convert.c"
        var $31=CHECK_OVERFLOW((($27) + ($30))&4294967295, 32); //@line 1000 "convert.c"
        var $32=HEAP[$c2]; //@line 1000 "convert.c"
        var $33=($32); //@line 1000 "convert.c"
        var $34=($33) << 8; //@line 1000 "convert.c"
        var $35=CHECK_OVERFLOW((($31) + ($34))&4294967295, 32); //@line 1000 "convert.c"
        var $36=HEAP[$c1]; //@line 1000 "convert.c"
        var $37=($36); //@line 1000 "convert.c"
        var $38=CHECK_OVERFLOW((($35) + ($37))&4294967295, 32); //@line 1000 "convert.c"
        HEAP[$0]=$38; //@line 1000 "convert.c"
        __label__ = 2; break; //@line 1000 "convert.c"
      case 2: // $bb2
        var $39=HEAP[$0]; //@line 998 "convert.c"
        HEAP[$retval]=$39; //@line 998 "convert.c"
        __label__ = 3; break; //@line 998 "convert.c"
      case 3: // $return
        var $retval3=HEAP[$retval]; //@line 998 "convert.c"
        STACKTOP = __stackBase__;
        return $retval3; //@line 998 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _pgxtoimage($filename, $parameters) {
    var __stackBase__  = STACKTOP; STACKTOP += 175; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 175);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $filename_addr=__stackBase__;
        var $parameters_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $iftmp_124=__stackBase__+12;
        var $iftmp_121=__stackBase__+16;
        var $0=__stackBase__+20;
        var $f=__stackBase__+24;
        var $w=__stackBase__+28;
        var $h=__stackBase__+32;
        var $prec=__stackBase__+36;
        var $i=__stackBase__+40;
        var $numcomps=__stackBase__+44;
        var $max=__stackBase__+48;
        var $color_space=__stackBase__+52;
        var $cmptparm=__stackBase__+56;
        var $image=__stackBase__+92;
        var $endian1=__stackBase__+96;
        var $endian2=__stackBase__+97;
        var $sign=__stackBase__+98;
        var $signtmp=__stackBase__+99;
        var $temp=__stackBase__+131;
        var $bigendian=__stackBase__+163;
        var $comp=__stackBase__+167;
        var $v=__stackBase__+171;
        var $_alloca_point_=0;
        HEAP[$filename_addr]=$filename;
        HEAP[$parameters_addr]=$parameters;
        HEAP[$f]=0; //@line 1004 "convert.c"
        HEAP[$image]=0; //@line 1009 "convert.c"
        HEAP[$comp]=0; //@line 1016 "convert.c"
        HEAP[$numcomps]=1; //@line 1018 "convert.c"
        HEAP[$color_space]=2; //@line 1019 "convert.c"
        var $cmptparm1=$cmptparm; //@line 1021 "convert.c"
        _llvm_memset_p0i8_i32($cmptparm1, 0, 36, 1, 0); //@line 1021 "convert.c"
        HEAP[$max]=0; //@line 1023 "convert.c"
        var $1=HEAP[$filename_addr]; //@line 1025 "convert.c"
        var $2=_fopen($1, CHECK_OVERFLOW((__str258)&4294967295, 32)); //@line 1025 "convert.c"
        HEAP[$f]=$2; //@line 1025 "convert.c"
        var $3=HEAP[$f]; //@line 1026 "convert.c"
        var $4=($3)==0; //@line 1026 "convert.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1026 "convert.c"
      case 0: // $bb
        var $5=HEAP[_stderr]; //@line 1027 "convert.c"
        var $6=HEAP[$filename_addr]; //@line 1027 "convert.c"
        var $7=_fprintf($5, CHECK_OVERFLOW((__str1874)&4294967295, 32), $6); //@line 1027 "convert.c"
        HEAP[$0]=0; //@line 1028 "convert.c"
        __label__ = 2; break; //@line 1028 "convert.c"
      case 1: // $bb2
        var $8=HEAP[$f]; //@line 1031 "convert.c"
        var $9=_fseek($8, 0, 0); //@line 1031 "convert.c"
        var $10=HEAP[$f]; //@line 1032 "convert.c"
        var $temp3=$temp; //@line 1032 "convert.c"
        var $signtmp4=$signtmp; //@line 1032 "convert.c"
        var $temp5=$temp; //@line 1032 "convert.c"
        var $temp6=$temp; //@line 1032 "convert.c"
        var $11=___01__isoc99_fscanf_($10, CHECK_OVERFLOW((__str1975)&4294967295, 32), $temp3, $endian1, $endian2, $signtmp4, $prec, $temp5, $w, $temp6, $h); //@line 1032 "convert.c"
        HEAP[$i]=0; //@line 1034 "convert.c"
        HEAP[$sign]=43; //@line 1035 "convert.c"
        __label__ = 3; break; //@line 1035 "convert.c"
      case 6: // $bb7
        var $12=HEAP[$i]; //@line 1037 "convert.c"
        var $13=CHECK_OVERFLOW(($signtmp+$12)&4294967295, 32); //@line 1037 "convert.c"
        var $14=HEAP[$13]; //@line 1037 "convert.c"
        var $15=($14)==45; //@line 1037 "convert.c"
        if ($15) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1037 "convert.c"
      case 4: // $bb8
        HEAP[$sign]=45; //@line 1037 "convert.c"
        __label__ = 5; break; //@line 1037 "convert.c"
      case 5: // $bb9
        var $16=HEAP[$i]; //@line 1038 "convert.c"
        var $17=CHECK_OVERFLOW((($16) + 1)&4294967295, 32); //@line 1038 "convert.c"
        HEAP[$i]=$17; //@line 1038 "convert.c"
        __label__ = 3; break; //@line 1038 "convert.c"
      case 3: // $bb10
        var $18=HEAP[$i]; //@line 1036 "convert.c"
        var $19=CHECK_OVERFLOW(($signtmp+$18)&4294967295, 32); //@line 1036 "convert.c"
        var $20=HEAP[$19]; //@line 1036 "convert.c"
        var $21=($20)!=0; //@line 1036 "convert.c"
        if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1036 "convert.c"
      case 7: // $bb11
        var $22=HEAP[$f]; //@line 1041 "convert.c"
        var $23=_fgetc($22); //@line 1041 "convert.c"
        var $24=HEAP[$endian1]; //@line 1042 "convert.c"
        var $25=($24)!=77; //@line 1042 "convert.c"
        if ($25) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1042 "convert.c"
      case 9: // $bb12
        var $26=HEAP[$endian2]; //@line 1042 "convert.c"
        var $27=($26)!=76; //@line 1042 "convert.c"
        if ($27) { __label__ = 8; break; } else { __label__ = 10; break; } //@line 1042 "convert.c"
      case 10: // $bb13
        HEAP[$bigendian]=1; //@line 1043 "convert.c"
        __label__ = 11; break; //@line 1043 "convert.c"
      case 8: // $bb14
        var $28=HEAP[$endian2]; //@line 1044 "convert.c"
        var $29=($28)!=77; //@line 1044 "convert.c"
        if ($29) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1044 "convert.c"
      case 13: // $bb15
        var $30=HEAP[$endian1]; //@line 1044 "convert.c"
        var $31=($30)!=76; //@line 1044 "convert.c"
        if ($31) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 1044 "convert.c"
      case 14: // $bb16
        HEAP[$bigendian]=0; //@line 1045 "convert.c"
        __label__ = 11; break; //@line 1045 "convert.c"
      case 12: // $bb17
        var $32=HEAP[_stderr]; //@line 1047 "convert.c"
        var $33=$32; //@line 1047 "convert.c"
        var $34=_fwrite(CHECK_OVERFLOW((__str2076)&4294967295, 32), 1, 40, $33); //@line 1047 "convert.c"
        HEAP[$0]=0; //@line 1048 "convert.c"
        __label__ = 2; break; //@line 1048 "convert.c"
      case 11: // $bb18
        var $35=HEAP[$parameters_addr]; //@line 1053 "convert.c"
        var $36=CHECK_OVERFLOW(($35+18180)&4294967295, 32); //@line 1053 "convert.c"
        var $37=HEAP[$36]; //@line 1053 "convert.c"
        var $38=CHECK_OVERFLOW(($cmptparm+16)&4294967295, 32); //@line 1053 "convert.c"
        HEAP[$38]=$37; //@line 1053 "convert.c"
        var $39=HEAP[$parameters_addr]; //@line 1054 "convert.c"
        var $40=CHECK_OVERFLOW(($39+18184)&4294967295, 32); //@line 1054 "convert.c"
        var $41=HEAP[$40]; //@line 1054 "convert.c"
        var $42=CHECK_OVERFLOW(($cmptparm+20)&4294967295, 32); //@line 1054 "convert.c"
        HEAP[$42]=$41; //@line 1054 "convert.c"
        var $43=CHECK_OVERFLOW(($cmptparm+16)&4294967295, 32); //@line 1055 "convert.c"
        var $44=HEAP[$43]; //@line 1055 "convert.c"
        var $45=($44)==0; //@line 1055 "convert.c"
        if ($45) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1055 "convert.c"
      case 15: // $bb19
        var $46=HEAP[$w]; //@line 1055 "convert.c"
        var $47=CHECK_OVERFLOW((($46) - 1)&4294967295, 32); //@line 1055 "convert.c"
        var $48=HEAP[$parameters_addr]; //@line 1055 "convert.c"
        var $49=CHECK_OVERFLOW(($48+18188)&4294967295, 32); //@line 1055 "convert.c"
        var $50=HEAP[$49]; //@line 1055 "convert.c"
        var $51=CHECK_OVERFLOW((($47) * ($50))&4294967295, 32); //@line 1055 "convert.c"
        var $52=CHECK_OVERFLOW((($51) + 1)&4294967295, 32); //@line 1055 "convert.c"
        HEAP[$iftmp_121]=$52; //@line 1055 "convert.c"
        __label__ = 17; break; //@line 1055 "convert.c"
      case 16: // $bb20
        var $53=CHECK_OVERFLOW(($cmptparm+16)&4294967295, 32); //@line 1055 "convert.c"
        var $54=HEAP[$53]; //@line 1055 "convert.c"
        var $55=HEAP[$w]; //@line 1055 "convert.c"
        var $56=CHECK_OVERFLOW((($55) - 1)&4294967295, 32); //@line 1055 "convert.c"
        var $57=HEAP[$parameters_addr]; //@line 1055 "convert.c"
        var $58=CHECK_OVERFLOW(($57+18188)&4294967295, 32); //@line 1055 "convert.c"
        var $59=HEAP[$58]; //@line 1055 "convert.c"
        var $60=CHECK_OVERFLOW((($56) * ($59))&4294967295, 32); //@line 1055 "convert.c"
        var $61=CHECK_OVERFLOW((($54) + ($60))&4294967295, 32); //@line 1055 "convert.c"
        var $62=CHECK_OVERFLOW((($61) + 1)&4294967295, 32); //@line 1055 "convert.c"
        HEAP[$iftmp_121]=$62; //@line 1055 "convert.c"
        __label__ = 17; break; //@line 1055 "convert.c"
      case 17: // $bb21
        var $63=CHECK_OVERFLOW(($cmptparm+8)&4294967295, 32); //@line 1055 "convert.c"
        var $64=HEAP[$iftmp_121]; //@line 1055 "convert.c"
        HEAP[$63]=$64; //@line 1055 "convert.c"
        var $65=CHECK_OVERFLOW(($cmptparm+20)&4294967295, 32); //@line 1056 "convert.c"
        var $66=HEAP[$65]; //@line 1056 "convert.c"
        var $67=($66)==0; //@line 1056 "convert.c"
        if ($67) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1056 "convert.c"
      case 18: // $bb22
        var $68=HEAP[$h]; //@line 1056 "convert.c"
        var $69=CHECK_OVERFLOW((($68) - 1)&4294967295, 32); //@line 1056 "convert.c"
        var $70=HEAP[$parameters_addr]; //@line 1056 "convert.c"
        var $71=CHECK_OVERFLOW(($70+18192)&4294967295, 32); //@line 1056 "convert.c"
        var $72=HEAP[$71]; //@line 1056 "convert.c"
        var $73=CHECK_OVERFLOW((($69) * ($72))&4294967295, 32); //@line 1056 "convert.c"
        var $74=CHECK_OVERFLOW((($73) + 1)&4294967295, 32); //@line 1056 "convert.c"
        HEAP[$iftmp_124]=$74; //@line 1056 "convert.c"
        __label__ = 20; break; //@line 1056 "convert.c"
      case 19: // $bb23
        var $75=CHECK_OVERFLOW(($cmptparm+20)&4294967295, 32); //@line 1056 "convert.c"
        var $76=HEAP[$75]; //@line 1056 "convert.c"
        var $77=HEAP[$h]; //@line 1056 "convert.c"
        var $78=CHECK_OVERFLOW((($77) - 1)&4294967295, 32); //@line 1056 "convert.c"
        var $79=HEAP[$parameters_addr]; //@line 1056 "convert.c"
        var $80=CHECK_OVERFLOW(($79+18192)&4294967295, 32); //@line 1056 "convert.c"
        var $81=HEAP[$80]; //@line 1056 "convert.c"
        var $82=CHECK_OVERFLOW((($78) * ($81))&4294967295, 32); //@line 1056 "convert.c"
        var $83=CHECK_OVERFLOW((($76) + ($82))&4294967295, 32); //@line 1056 "convert.c"
        var $84=CHECK_OVERFLOW((($83) + 1)&4294967295, 32); //@line 1056 "convert.c"
        HEAP[$iftmp_124]=$84; //@line 1056 "convert.c"
        __label__ = 20; break; //@line 1056 "convert.c"
      case 20: // $bb24
        var $85=CHECK_OVERFLOW(($cmptparm+12)&4294967295, 32); //@line 1056 "convert.c"
        var $86=HEAP[$iftmp_124]; //@line 1056 "convert.c"
        HEAP[$85]=$86; //@line 1056 "convert.c"
        var $87=HEAP[$sign]; //@line 1058 "convert.c"
        var $88=($87)==45; //@line 1058 "convert.c"
        if ($88) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1058 "convert.c"
      case 21: // $bb25
        var $89=CHECK_OVERFLOW(($cmptparm+32)&4294967295, 32); //@line 1059 "convert.c"
        HEAP[$89]=1; //@line 1059 "convert.c"
        __label__ = 23; break; //@line 1059 "convert.c"
      case 22: // $bb26
        var $90=CHECK_OVERFLOW(($cmptparm+32)&4294967295, 32); //@line 1061 "convert.c"
        HEAP[$90]=0; //@line 1061 "convert.c"
        __label__ = 23; break; //@line 1061 "convert.c"
      case 23: // $bb27
        var $91=HEAP[$prec]; //@line 1063 "convert.c"
        var $92=CHECK_OVERFLOW(($cmptparm+24)&4294967295, 32); //@line 1063 "convert.c"
        HEAP[$92]=$91; //@line 1063 "convert.c"
        var $93=HEAP[$prec]; //@line 1064 "convert.c"
        var $94=CHECK_OVERFLOW(($cmptparm+28)&4294967295, 32); //@line 1064 "convert.c"
        HEAP[$94]=$93; //@line 1064 "convert.c"
        var $95=HEAP[$parameters_addr]; //@line 1065 "convert.c"
        var $96=CHECK_OVERFLOW(($95+18188)&4294967295, 32); //@line 1065 "convert.c"
        var $97=HEAP[$96]; //@line 1065 "convert.c"
        var $98=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 1065 "convert.c"
        HEAP[$98]=$97; //@line 1065 "convert.c"
        var $99=HEAP[$parameters_addr]; //@line 1066 "convert.c"
        var $100=CHECK_OVERFLOW(($99+18192)&4294967295, 32); //@line 1066 "convert.c"
        var $101=HEAP[$100]; //@line 1066 "convert.c"
        var $102=CHECK_OVERFLOW(($cmptparm+4)&4294967295, 32); //@line 1066 "convert.c"
        HEAP[$102]=$101; //@line 1066 "convert.c"
        var $103=HEAP[$numcomps]; //@line 1069 "convert.c"
        var $104=HEAP[$color_space]; //@line 1069 "convert.c"
        var $105=_opj_image_create($103, $cmptparm, $104); //@line 1069 "convert.c"
        HEAP[$image]=$105; //@line 1069 "convert.c"
        var $106=HEAP[$image]; //@line 1070 "convert.c"
        var $107=($106)==0; //@line 1070 "convert.c"
        if ($107) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1070 "convert.c"
      case 24: // $bb28
        var $108=HEAP[$f]; //@line 1071 "convert.c"
        var $109=_fclose($108); //@line 1071 "convert.c"
        HEAP[$0]=0; //@line 1072 "convert.c"
        __label__ = 2; break; //@line 1072 "convert.c"
      case 25: // $bb29
        var $110=CHECK_OVERFLOW(($cmptparm+16)&4294967295, 32); //@line 1075 "convert.c"
        var $111=HEAP[$110]; //@line 1075 "convert.c"
        var $112=HEAP[$image]; //@line 1075 "convert.c"
        var $113=CHECK_OVERFLOW(($112)&4294967295, 32); //@line 1075 "convert.c"
        HEAP[$113]=$111; //@line 1075 "convert.c"
        var $114=CHECK_OVERFLOW(($cmptparm+16)&4294967295, 32); //@line 1076 "convert.c"
        var $115=HEAP[$114]; //@line 1076 "convert.c"
        var $116=HEAP[$image]; //@line 1076 "convert.c"
        var $117=CHECK_OVERFLOW(($116+4)&4294967295, 32); //@line 1076 "convert.c"
        HEAP[$117]=$115; //@line 1076 "convert.c"
        var $118=CHECK_OVERFLOW(($cmptparm+8)&4294967295, 32); //@line 1077 "convert.c"
        var $119=HEAP[$118]; //@line 1077 "convert.c"
        var $120=HEAP[$image]; //@line 1077 "convert.c"
        var $121=CHECK_OVERFLOW(($120+8)&4294967295, 32); //@line 1077 "convert.c"
        HEAP[$121]=$119; //@line 1077 "convert.c"
        var $122=CHECK_OVERFLOW(($cmptparm+12)&4294967295, 32); //@line 1078 "convert.c"
        var $123=HEAP[$122]; //@line 1078 "convert.c"
        var $124=HEAP[$image]; //@line 1078 "convert.c"
        var $125=CHECK_OVERFLOW(($124+12)&4294967295, 32); //@line 1078 "convert.c"
        HEAP[$125]=$123; //@line 1078 "convert.c"
        var $126=HEAP[$image]; //@line 1082 "convert.c"
        var $127=CHECK_OVERFLOW(($126+24)&4294967295, 32); //@line 1082 "convert.c"
        var $128=HEAP[$127]; //@line 1082 "convert.c"
        var $129=CHECK_OVERFLOW(($128)&4294967295, 32); //@line 1082 "convert.c"
        HEAP[$comp]=$129; //@line 1082 "convert.c"
        HEAP[$i]=0; //@line 1084 "convert.c"
        __label__ = 26; break; //@line 1084 "convert.c"
      case 42: // $bb30
        var $130=HEAP[$comp]; //@line 1086 "convert.c"
        var $131=CHECK_OVERFLOW(($130+24)&4294967295, 32); //@line 1086 "convert.c"
        var $132=HEAP[$131]; //@line 1086 "convert.c"
        var $133=($132) <= 8; //@line 1086 "convert.c"
        if ($133) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1086 "convert.c"
      case 27: // $bb31
        var $134=HEAP[$comp]; //@line 1087 "convert.c"
        var $135=CHECK_OVERFLOW(($134+32)&4294967295, 32); //@line 1087 "convert.c"
        var $136=HEAP[$135]; //@line 1087 "convert.c"
        var $137=($136)==0; //@line 1087 "convert.c"
        if ($137) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 1087 "convert.c"
      case 29: // $bb32
        var $138=HEAP[$f]; //@line 1088 "convert.c"
        var $139=_readuchar($138); //@line 1088 "convert.c"
        var $140=($139); //@line 1088 "convert.c"
        HEAP[$v]=$140; //@line 1088 "convert.c"
        __label__ = 31; break; //@line 1088 "convert.c"
      case 30: // $bb33
        var $141=HEAP[$f]; //@line 1090 "convert.c"
        var $142=_readuchar($141); //@line 1090 "convert.c"
        var $143=($142); //@line 1090 "convert.c"
        HEAP[$v]=$143; //@line 1090 "convert.c"
        __label__ = 31; break; //@line 1090 "convert.c"
      case 31: // $bb34
        __label__ = 32; break; //@line 1090 "convert.c"
      case 28: // $bb35
        var $144=HEAP[$comp]; //@line 1092 "convert.c"
        var $145=CHECK_OVERFLOW(($144+24)&4294967295, 32); //@line 1092 "convert.c"
        var $146=HEAP[$145]; //@line 1092 "convert.c"
        var $147=($146) <= 16; //@line 1092 "convert.c"
        if ($147) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 1092 "convert.c"
      case 33: // $bb36
        var $148=HEAP[$comp]; //@line 1093 "convert.c"
        var $149=CHECK_OVERFLOW(($148+32)&4294967295, 32); //@line 1093 "convert.c"
        var $150=HEAP[$149]; //@line 1093 "convert.c"
        var $151=($150)==0; //@line 1093 "convert.c"
        if ($151) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 1093 "convert.c"
      case 35: // $bb37
        var $152=HEAP[$f]; //@line 1094 "convert.c"
        var $153=HEAP[$bigendian]; //@line 1094 "convert.c"
        var $154=_readushort($152, $153); //@line 1094 "convert.c"
        var $155=($154); //@line 1094 "convert.c"
        HEAP[$v]=$155; //@line 1094 "convert.c"
        __label__ = 37; break; //@line 1094 "convert.c"
      case 36: // $bb38
        var $156=HEAP[$f]; //@line 1096 "convert.c"
        var $157=HEAP[$bigendian]; //@line 1096 "convert.c"
        var $158=_readushort($156, $157); //@line 1096 "convert.c"
        var $159=($158); //@line 1096 "convert.c"
        HEAP[$v]=$159; //@line 1096 "convert.c"
        __label__ = 37; break; //@line 1096 "convert.c"
      case 37: // $bb39
        __label__ = 32; break; //@line 1096 "convert.c"
      case 34: // $bb40
        var $160=HEAP[$comp]; //@line 1099 "convert.c"
        var $161=CHECK_OVERFLOW(($160+32)&4294967295, 32); //@line 1099 "convert.c"
        var $162=HEAP[$161]; //@line 1099 "convert.c"
        var $163=($162)==0; //@line 1099 "convert.c"
        if ($163) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 1099 "convert.c"
      case 38: // $bb41
        var $164=HEAP[$f]; //@line 1100 "convert.c"
        var $165=HEAP[$bigendian]; //@line 1100 "convert.c"
        var $166=_readuint($164, $165); //@line 1100 "convert.c"
        HEAP[$v]=$166; //@line 1100 "convert.c"
        __label__ = 32; break; //@line 1100 "convert.c"
      case 39: // $bb42
        var $167=HEAP[$f]; //@line 1102 "convert.c"
        var $168=HEAP[$bigendian]; //@line 1102 "convert.c"
        var $169=_readuint($167, $168); //@line 1102 "convert.c"
        HEAP[$v]=$169; //@line 1102 "convert.c"
        __label__ = 32; break; //@line 1102 "convert.c"
      case 32: // $bb43
        var $170=HEAP[$v]; //@line 1105 "convert.c"
        var $171=HEAP[$max]; //@line 1105 "convert.c"
        var $172=($170) > ($171); //@line 1105 "convert.c"
        if ($172) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 1105 "convert.c"
      case 40: // $bb44
        var $173=HEAP[$v]; //@line 1106 "convert.c"
        HEAP[$max]=$173; //@line 1106 "convert.c"
        __label__ = 41; break; //@line 1106 "convert.c"
      case 41: // $bb45
        var $174=HEAP[$comp]; //@line 1107 "convert.c"
        var $175=CHECK_OVERFLOW(($174+44)&4294967295, 32); //@line 1107 "convert.c"
        var $176=HEAP[$175]; //@line 1107 "convert.c"
        var $177=HEAP[$i]; //@line 1107 "convert.c"
        var $178=CHECK_OVERFLOW(($176+4*$177)&4294967295, 32); //@line 1107 "convert.c"
        var $179=HEAP[$v]; //@line 1107 "convert.c"
        HEAP[$178]=$179; //@line 1107 "convert.c"
        var $180=HEAP[$i]; //@line 1084 "convert.c"
        var $181=CHECK_OVERFLOW((($180) + 1)&4294967295, 32); //@line 1084 "convert.c"
        HEAP[$i]=$181; //@line 1084 "convert.c"
        __label__ = 26; break; //@line 1084 "convert.c"
      case 26: // $bb46
        var $182=HEAP[$w]; //@line 1084 "convert.c"
        var $183=HEAP[$h]; //@line 1084 "convert.c"
        var $184=CHECK_OVERFLOW((($182) * ($183))&4294967295, 32); //@line 1084 "convert.c"
        var $185=HEAP[$i]; //@line 1084 "convert.c"
        var $186=($184) > ($185); //@line 1084 "convert.c"
        if ($186) { __label__ = 42; break; } else { __label__ = 43; break; } //@line 1084 "convert.c"
      case 43: // $bb47
        var $187=HEAP[$f]; //@line 1109 "convert.c"
        var $188=_fclose($187); //@line 1109 "convert.c"
        var $189=HEAP[$max]; //@line 1110 "convert.c"
        var $190=_int_floorlog293($189); //@line 1110 "convert.c"
        var $191=CHECK_OVERFLOW((($190) + 1)&4294967295, 32); //@line 1110 "convert.c"
        var $192=HEAP[$comp]; //@line 1110 "convert.c"
        var $193=CHECK_OVERFLOW(($192+28)&4294967295, 32); //@line 1110 "convert.c"
        HEAP[$193]=$191; //@line 1110 "convert.c"
        var $194=HEAP[$image]; //@line 1112 "convert.c"
        HEAP[$0]=$194; //@line 1112 "convert.c"
        __label__ = 2; break; //@line 1112 "convert.c"
      case 2: // $bb48
        var $195=HEAP[$0]; //@line 1028 "convert.c"
        HEAP[$retval]=$195; //@line 1028 "convert.c"
        __label__ = 44; break; //@line 1028 "convert.c"
      case 44: // $return
        var $retval49=HEAP[$retval]; //@line 1028 "convert.c"
        STACKTOP = __stackBase__;
        return $retval49; //@line 1028 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _imagetopgx($image, $outfile) {
    var __stackBase__  = STACKTOP; STACKTOP += 329; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 329);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $image_addr=__stackBase__;
        var $outfile_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $iftmp_133=__stackBase__+12;
        var $0=__stackBase__+16;
        var $w=__stackBase__+20;
        var $h=__stackBase__+24;
        var $i=__stackBase__+28;
        var $j=__stackBase__+32;
        var $compno=__stackBase__+36;
        var $fdest=__stackBase__+40;
        var $comp=__stackBase__+44;
        var $bname=__stackBase__+48;
        var $name=__stackBase__+304;
        var $nbytes=__stackBase__+308;
        var $olen=__stackBase__+312;
        var $dotpos=__stackBase__+316;
        var $total=__stackBase__+320;
        var $v=__stackBase__+324;
        var $byte=__stackBase__+328;
        var $_alloca_point_=0;
        HEAP[$image_addr]=$image;
        HEAP[$outfile_addr]=$outfile;
        HEAP[$fdest]=0; //@line 1118 "convert.c"
        HEAP[$compno]=0; //@line 1120 "convert.c"
        __label__ = 0; break; //@line 1120 "convert.c"
      case 27: // $bb
        var $1=HEAP[$image_addr]; //@line 1121 "convert.c"
        var $2=CHECK_OVERFLOW(($1+24)&4294967295, 32); //@line 1121 "convert.c"
        var $3=HEAP[$2]; //@line 1121 "convert.c"
        var $4=HEAP[$compno]; //@line 1121 "convert.c"
        var $5=CHECK_OVERFLOW(($3+48*$4)&4294967295, 32); //@line 1121 "convert.c"
        HEAP[$comp]=$5; //@line 1121 "convert.c"
        var $bname1=$bname; //@line 1123 "convert.c"
        HEAP[$name]=$bname1; //@line 1123 "convert.c"
        HEAP[$nbytes]=0; //@line 1124 "convert.c"
        var $6=HEAP[$outfile_addr]; //@line 1125 "convert.c"
        var $7=_strlen($6); //@line 1125 "convert.c"
        HEAP[$olen]=$7; //@line 1125 "convert.c"
        var $8=HEAP[$olen]; //@line 1126 "convert.c"
        var $9=CHECK_OVERFLOW((($8) - 4)&4294967295, 32); //@line 1126 "convert.c"
        HEAP[$dotpos]=$9; //@line 1126 "convert.c"
        var $10=HEAP[$dotpos]; //@line 1127 "convert.c"
        var $11=CHECK_OVERFLOW((($10) + 6)&4294967295, 32); //@line 1127 "convert.c"
        HEAP[$total]=$11; //@line 1127 "convert.c"
        var $12=HEAP[$outfile_addr]; //@line 1128 "convert.c"
        var $13=HEAP[$dotpos]; //@line 1128 "convert.c"
        var $14=CHECK_OVERFLOW(($12+$13)&4294967295, 32); //@line 1128 "convert.c"
        var $15=HEAP[$14]; //@line 1128 "convert.c"
        var $16=($15)!=46; //@line 1128 "convert.c"
        if ($16) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 1128 "convert.c"
      case 1: // $bb2
        var $17=HEAP[_stderr]; //@line 1130 "convert.c"
        var $18=$17; //@line 1130 "convert.c"
        var $19=_fwrite(CHECK_OVERFLOW((__str2177)&4294967295, 32), 1, 27, $18); //@line 1130 "convert.c"
        HEAP[$0]=1; //@line 1131 "convert.c"
        __label__ = 3; break; //@line 1131 "convert.c"
      case 2: // $bb3
        var $20=HEAP[$total]; //@line 1133 "convert.c"
        var $21=($20) > 256; //@line 1133 "convert.c"
        if ($21) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 1133 "convert.c"
      case 4: // $bb4
        var $22=HEAP[$total]; //@line 1134 "convert.c"
        var $23=CHECK_OVERFLOW((($22) + 1)&4294967295, 32); //@line 1134 "convert.c"
        var $24=_malloc($23); //@line 1134 "convert.c"
        HEAP[$name]=$24; //@line 1134 "convert.c"
        __label__ = 5; break; //@line 1134 "convert.c"
      case 5: // $bb5
        var $25=HEAP[$name]; //@line 1136 "convert.c"
        var $26=HEAP[$outfile_addr]; //@line 1136 "convert.c"
        var $27=HEAP[$dotpos]; //@line 1136 "convert.c"
        var $28=_strncpy($25, $26, $27); //@line 1136 "convert.c"
        var $29=HEAP[$image_addr]; //@line 1137 "convert.c"
        var $30=CHECK_OVERFLOW(($29+16)&4294967295, 32); //@line 1137 "convert.c"
        var $31=HEAP[$30]; //@line 1137 "convert.c"
        var $32=($31) > 1; //@line 1137 "convert.c"
        if ($32) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1137 "convert.c"
      case 6: // $bb6
        var $33=HEAP[$name]; //@line 1138 "convert.c"
        var $34=HEAP[$dotpos]; //@line 1138 "convert.c"
        var $35=CHECK_OVERFLOW(($33+$34)&4294967295, 32); //@line 1138 "convert.c"
        var $36=HEAP[$compno]; //@line 1138 "convert.c"
        var $37=_sprintf($35, CHECK_OVERFLOW((__str2278)&4294967295, 32), $36); //@line 1138 "convert.c"
        __label__ = 8; break; //@line 1138 "convert.c"
      case 7: // $bb7
        var $38=HEAP[$name]; //@line 1140 "convert.c"
        var $39=HEAP[$dotpos]; //@line 1140 "convert.c"
        var $40=CHECK_OVERFLOW(($38+$39)&4294967295, 32); //@line 1140 "convert.c"
        _llvm_memcpy_p0i8_p0i8_i32($40, CHECK_OVERFLOW((__str2379)&4294967295, 32), 5, 1, 0); //@line 1140 "convert.c"
        __label__ = 8; break; //@line 1140 "convert.c"
      case 8: // $bb8
        var $41=HEAP[$name]; //@line 1142 "convert.c"
        var $42=_fopen($41, CHECK_OVERFLOW((__str561)&4294967295, 32)); //@line 1142 "convert.c"
        HEAP[$fdest]=$42; //@line 1142 "convert.c"
        var $43=HEAP[$fdest]; //@line 1143 "convert.c"
        var $44=($43)==0; //@line 1143 "convert.c"
        if ($44) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1143 "convert.c"
      case 9: // $bb9
        var $45=HEAP[_stderr]; //@line 1144 "convert.c"
        var $46=HEAP[$name]; //@line 1144 "convert.c"
        var $47=_fprintf($45, CHECK_OVERFLOW((__str662)&4294967295, 32), $46); //@line 1144 "convert.c"
        HEAP[$0]=1; //@line 1145 "convert.c"
        __label__ = 3; break; //@line 1145 "convert.c"
      case 10: // $bb10
        var $48=HEAP[$total]; //@line 1148 "convert.c"
        var $49=($48) > 256; //@line 1148 "convert.c"
        if ($49) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1148 "convert.c"
      case 11: // $bb11
        var $50=HEAP[$name]; //@line 1149 "convert.c"
        _free($50); //@line 1149 "convert.c"
        __label__ = 12; break; //@line 1149 "convert.c"
      case 12: // $bb12
        var $51=HEAP[$image_addr]; //@line 1152 "convert.c"
        var $52=CHECK_OVERFLOW(($51+24)&4294967295, 32); //@line 1152 "convert.c"
        var $53=HEAP[$52]; //@line 1152 "convert.c"
        var $54=HEAP[$compno]; //@line 1152 "convert.c"
        var $55=CHECK_OVERFLOW(($53+48*$54)&4294967295, 32); //@line 1152 "convert.c"
        var $56=CHECK_OVERFLOW(($55+8)&4294967295, 32); //@line 1152 "convert.c"
        var $57=HEAP[$56]; //@line 1152 "convert.c"
        HEAP[$w]=$57; //@line 1152 "convert.c"
        var $58=HEAP[$image_addr]; //@line 1153 "convert.c"
        var $59=CHECK_OVERFLOW(($58+24)&4294967295, 32); //@line 1153 "convert.c"
        var $60=HEAP[$59]; //@line 1153 "convert.c"
        var $61=HEAP[$compno]; //@line 1153 "convert.c"
        var $62=CHECK_OVERFLOW(($60+48*$61)&4294967295, 32); //@line 1153 "convert.c"
        var $63=CHECK_OVERFLOW(($62+12)&4294967295, 32); //@line 1153 "convert.c"
        var $64=HEAP[$63]; //@line 1153 "convert.c"
        HEAP[$h]=$64; //@line 1153 "convert.c"
        var $65=HEAP[$comp]; //@line 1155 "convert.c"
        var $66=CHECK_OVERFLOW(($65+24)&4294967295, 32); //@line 1155 "convert.c"
        var $67=HEAP[$66]; //@line 1155 "convert.c"
        var $68=HEAP[$comp]; //@line 1155 "convert.c"
        var $69=CHECK_OVERFLOW(($68+32)&4294967295, 32); //@line 1155 "convert.c"
        var $70=HEAP[$69]; //@line 1155 "convert.c"
        var $71=($70)!=0; //@line 1155 "convert.c"
        if ($71) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1155 "convert.c"
      case 13: // $bb13
        HEAP[$iftmp_133]=45; //@line 1155 "convert.c"
        __label__ = 15; break; //@line 1155 "convert.c"
      case 14: // $bb14
        HEAP[$iftmp_133]=43; //@line 1155 "convert.c"
        __label__ = 15; break; //@line 1155 "convert.c"
      case 15: // $bb15
        var $72=HEAP[$fdest]; //@line 1155 "convert.c"
        var $73=HEAP[$iftmp_133]; //@line 1155 "convert.c"
        var $74=HEAP[$w]; //@line 1155 "convert.c"
        var $75=HEAP[$h]; //@line 1155 "convert.c"
        var $76=_fprintf($72, CHECK_OVERFLOW((__str2480)&4294967295, 32), $73, $67, $74, $75); //@line 1155 "convert.c"
        var $77=HEAP[$comp]; //@line 1156 "convert.c"
        var $78=CHECK_OVERFLOW(($77+24)&4294967295, 32); //@line 1156 "convert.c"
        var $79=HEAP[$78]; //@line 1156 "convert.c"
        var $80=($79) <= 8; //@line 1156 "convert.c"
        if ($80) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1156 "convert.c"
      case 16: // $bb16
        HEAP[$nbytes]=1; //@line 1157 "convert.c"
        __label__ = 18; break; //@line 1157 "convert.c"
      case 17: // $bb17
        var $81=HEAP[$comp]; //@line 1158 "convert.c"
        var $82=CHECK_OVERFLOW(($81+24)&4294967295, 32); //@line 1158 "convert.c"
        var $83=HEAP[$82]; //@line 1158 "convert.c"
        var $84=($83) <= 16; //@line 1158 "convert.c"
        if ($84) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1158 "convert.c"
      case 19: // $bb18
        HEAP[$nbytes]=2; //@line 1159 "convert.c"
        __label__ = 18; break; //@line 1159 "convert.c"
      case 20: // $bb19
        HEAP[$nbytes]=4; //@line 1161 "convert.c"
        __label__ = 18; break; //@line 1161 "convert.c"
      case 18: // $bb20
        HEAP[$i]=0; //@line 1163 "convert.c"
        __label__ = 21; break; //@line 1163 "convert.c"
      case 25: // $bb21
        var $85=HEAP[$image_addr]; //@line 1164 "convert.c"
        var $86=CHECK_OVERFLOW(($85+24)&4294967295, 32); //@line 1164 "convert.c"
        var $87=HEAP[$86]; //@line 1164 "convert.c"
        var $88=HEAP[$compno]; //@line 1164 "convert.c"
        var $89=CHECK_OVERFLOW(($87+48*$88)&4294967295, 32); //@line 1164 "convert.c"
        var $90=CHECK_OVERFLOW(($89+44)&4294967295, 32); //@line 1164 "convert.c"
        var $91=HEAP[$90]; //@line 1164 "convert.c"
        var $92=HEAP[$i]; //@line 1164 "convert.c"
        var $93=CHECK_OVERFLOW(($91+4*$92)&4294967295, 32); //@line 1164 "convert.c"
        var $94=HEAP[$93]; //@line 1164 "convert.c"
        HEAP[$v]=$94; //@line 1164 "convert.c"
        var $95=HEAP[$nbytes]; //@line 1165 "convert.c"
        var $96=CHECK_OVERFLOW((($95) - 1)&4294967295, 32); //@line 1165 "convert.c"
        HEAP[$j]=$96; //@line 1165 "convert.c"
        __label__ = 22; break; //@line 1165 "convert.c"
      case 23: // $bb22
        var $97=HEAP[$j]; //@line 1166 "convert.c"
        var $98=CHECK_OVERFLOW((($97) * 8)&4294967295, 32); //@line 1166 "convert.c"
        var $99=HEAP[$v]; //@line 1166 "convert.c"
        var $100=($99) >> ($98); //@line 1166 "convert.c"
        var $101=((($100)) & 255); //@line 1166 "convert.c"
        HEAP[$byte]=$101; //@line 1166 "convert.c"
        var $102=HEAP[$fdest]; //@line 1167 "convert.c"
        var $103=_fwrite($byte, 1, 1, $102); //@line 1167 "convert.c"
        var $104=HEAP[$j]; //@line 1165 "convert.c"
        var $105=CHECK_OVERFLOW((($104) - 1)&4294967295, 32); //@line 1165 "convert.c"
        HEAP[$j]=$105; //@line 1165 "convert.c"
        __label__ = 22; break; //@line 1165 "convert.c"
      case 22: // $bb23
        var $106=HEAP[$j]; //@line 1165 "convert.c"
        var $107=($106) >= 0; //@line 1165 "convert.c"
        if ($107) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1165 "convert.c"
      case 24: // $bb24
        var $108=HEAP[$i]; //@line 1163 "convert.c"
        var $109=CHECK_OVERFLOW((($108) + 1)&4294967295, 32); //@line 1163 "convert.c"
        HEAP[$i]=$109; //@line 1163 "convert.c"
        __label__ = 21; break; //@line 1163 "convert.c"
      case 21: // $bb25
        var $110=HEAP[$w]; //@line 1163 "convert.c"
        var $111=HEAP[$h]; //@line 1163 "convert.c"
        var $112=CHECK_OVERFLOW((($110) * ($111))&4294967295, 32); //@line 1163 "convert.c"
        var $113=HEAP[$i]; //@line 1163 "convert.c"
        var $114=($112) > ($113); //@line 1163 "convert.c"
        if ($114) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1163 "convert.c"
      case 26: // $bb26
        var $115=HEAP[$fdest]; //@line 1170 "convert.c"
        var $116=_fclose($115); //@line 1170 "convert.c"
        var $117=HEAP[$compno]; //@line 1120 "convert.c"
        var $118=CHECK_OVERFLOW((($117) + 1)&4294967295, 32); //@line 1120 "convert.c"
        HEAP[$compno]=$118; //@line 1120 "convert.c"
        __label__ = 0; break; //@line 1120 "convert.c"
      case 0: // $bb27
        var $119=HEAP[$image_addr]; //@line 1120 "convert.c"
        var $120=CHECK_OVERFLOW(($119+16)&4294967295, 32); //@line 1120 "convert.c"
        var $121=HEAP[$120]; //@line 1120 "convert.c"
        var $122=HEAP[$compno]; //@line 1120 "convert.c"
        var $123=($121) > ($122); //@line 1120 "convert.c"
        if ($123) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1120 "convert.c"
      case 28: // $bb28
        HEAP[$0]=0; //@line 1173 "convert.c"
        __label__ = 3; break; //@line 1173 "convert.c"
      case 3: // $bb29
        var $124=HEAP[$0]; //@line 1131 "convert.c"
        HEAP[$retval]=$124; //@line 1131 "convert.c"
        __label__ = 29; break; //@line 1131 "convert.c"
      case 29: // $return
        var $retval30=HEAP[$retval]; //@line 1131 "convert.c"
        STACKTOP = __stackBase__;
        return $retval30; //@line 1131 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _pnmtoimage($filename, $parameters) {
    var __stackBase__  = STACKTOP; STACKTOP += 170; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 170);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $filename_addr=__stackBase__;
        var $parameters_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $0=__stackBase__+12;
        var $subsampling_dx=__stackBase__+16;
        var $subsampling_dy=__stackBase__+20;
        var $f=__stackBase__+24;
        var $i=__stackBase__+28;
        var $compno=__stackBase__+32;
        var $numcomps=__stackBase__+36;
        var $w=__stackBase__+40;
        var $h=__stackBase__+44;
        var $color_space=__stackBase__+48;
        var $cmptparm=__stackBase__+52;
        var $image=__stackBase__+160;
        var $value=__stackBase__+164;
        var $index=__stackBase__+165;
        var $index29=__stackBase__+169;
        var $_alloca_point_=0;
        HEAP[$filename_addr]=$filename;
        HEAP[$parameters_addr]=$parameters;
        var $1=HEAP[$parameters_addr]; //@line 1183 "convert.c"
        var $2=CHECK_OVERFLOW(($1+18188)&4294967295, 32); //@line 1183 "convert.c"
        var $3=HEAP[$2]; //@line 1183 "convert.c"
        HEAP[$subsampling_dx]=$3; //@line 1183 "convert.c"
        var $4=HEAP[$parameters_addr]; //@line 1184 "convert.c"
        var $5=CHECK_OVERFLOW(($4+18192)&4294967295, 32); //@line 1184 "convert.c"
        var $6=HEAP[$5]; //@line 1184 "convert.c"
        HEAP[$subsampling_dy]=$6; //@line 1184 "convert.c"
        HEAP[$f]=0; //@line 1186 "convert.c"
        HEAP[$image]=0; //@line 1190 "convert.c"
        var $7=HEAP[$filename_addr]; //@line 1193 "convert.c"
        var $8=_fopen($7, CHECK_OVERFLOW((__str258)&4294967295, 32)); //@line 1193 "convert.c"
        HEAP[$f]=$8; //@line 1193 "convert.c"
        var $9=HEAP[$f]; //@line 1194 "convert.c"
        var $10=($9)==0; //@line 1194 "convert.c"
        if ($10) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1194 "convert.c"
      case 0: // $bb
        var $11=HEAP[_stderr]; //@line 1195 "convert.c"
        var $12=HEAP[$filename_addr]; //@line 1195 "convert.c"
        var $13=_fprintf($11, CHECK_OVERFLOW((__str359)&4294967295, 32), $12); //@line 1195 "convert.c"
        HEAP[$0]=0; //@line 1196 "convert.c"
        __label__ = 2; break; //@line 1196 "convert.c"
      case 1: // $bb1
        var $14=HEAP[$f]; //@line 1199 "convert.c"
        var $15=_fgetc($14); //@line 1199 "convert.c"
        var $16=($15)!=80; //@line 1199 "convert.c"
        if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1199 "convert.c"
      case 3: // $bb2
        HEAP[$0]=0; //@line 1200 "convert.c"
        __label__ = 2; break; //@line 1200 "convert.c"
      case 4: // $bb3
        var $17=HEAP[$f]; //@line 1201 "convert.c"
        var $18=_fgetc($17); //@line 1201 "convert.c"
        var $19=((($18)) & 255); //@line 1201 "convert.c"
        HEAP[$value]=$19; //@line 1201 "convert.c"
        var $20=HEAP[$value]; //@line 1203 "convert.c"
        var $21=($20); //@line 1203 "convert.c"
        if ($21 == 50) {
          __label__ = 32; break;
        }
        else if ($21 == 51) {
          __label__ = 33; break;
        }
        else if ($21 == 53) {
          __label__ = 32; break;
        }
        else if ($21 == 54) {
          __label__ = 33; break;
        }
        else {
        __label__ = 34; break;
        }
        
      case 32: // $bb4
        HEAP[$numcomps]=1; //@line 1206 "convert.c"
        HEAP[$color_space]=2; //@line 1207 "convert.c"
        __label__ = 5; break; //@line 1207 "convert.c"
      case 33: // $bb5
        HEAP[$numcomps]=3; //@line 1212 "convert.c"
        HEAP[$color_space]=1; //@line 1213 "convert.c"
        __label__ = 5; break; //@line 1213 "convert.c"
      case 34: // $bb6
        var $22=HEAP[$f]; //@line 1217 "convert.c"
        var $23=_fclose($22); //@line 1217 "convert.c"
        HEAP[$0]=0; //@line 1218 "convert.c"
        __label__ = 2; break; //@line 1218 "convert.c"
      case 5: // $bb7
        var $24=HEAP[$f]; //@line 1221 "convert.c"
        var $25=_fgetc($24); //@line 1221 "convert.c"
        __label__ = 6; break; //@line 1221 "convert.c"
      case 7: // $bb8
        var $26=HEAP[$f]; //@line 1224 "convert.c"
        var $27=_fgetc($26); //@line 1224 "convert.c"
        var $28=($27)!=10; //@line 1224 "convert.c"
        if ($28) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 1224 "convert.c"
      case 6: // $bb9
        var $29=HEAP[$f]; //@line 1224 "convert.c"
        var $30=_fgetc($29); //@line 1224 "convert.c"
        var $31=($30)==35; //@line 1224 "convert.c"
        if ($31) { __label__ = 7; break; } else { __label__ = 8; break; } //@line 1224 "convert.c"
      case 8: // $bb10
        var $32=HEAP[$f]; //@line 1226 "convert.c"
        var $33=_fseek($32, -1, 1); //@line 1226 "convert.c"
        var $34=HEAP[$f]; //@line 1227 "convert.c"
        var $35=___01__isoc99_fscanf_($34, CHECK_OVERFLOW((__str2581)&4294967295, 32), $w, $h); //@line 1227 "convert.c"
        var $36=HEAP[$f]; //@line 1228 "convert.c"
        var $37=_fgetc($36); //@line 1228 "convert.c"
        var $38=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 1231 "convert.c"
        var $39=$38; //@line 1231 "convert.c"
        _llvm_memset_p0i8_i32($39, 0, 108, 1, 0); //@line 1231 "convert.c"
        HEAP[$i]=0; //@line 1232 "convert.c"
        __label__ = 9; break; //@line 1232 "convert.c"
      case 10: // $bb11
        var $40=HEAP[$i]; //@line 1233 "convert.c"
        var $41=CHECK_OVERFLOW(($cmptparm+$40*36)&4294967295, 32); //@line 1233 "convert.c"
        var $42=CHECK_OVERFLOW(($41+24)&4294967295, 32); //@line 1233 "convert.c"
        HEAP[$42]=8; //@line 1233 "convert.c"
        var $43=HEAP[$i]; //@line 1234 "convert.c"
        var $44=CHECK_OVERFLOW(($cmptparm+$43*36)&4294967295, 32); //@line 1234 "convert.c"
        var $45=CHECK_OVERFLOW(($44+28)&4294967295, 32); //@line 1234 "convert.c"
        HEAP[$45]=8; //@line 1234 "convert.c"
        var $46=HEAP[$i]; //@line 1235 "convert.c"
        var $47=CHECK_OVERFLOW(($cmptparm+$46*36)&4294967295, 32); //@line 1235 "convert.c"
        var $48=CHECK_OVERFLOW(($47+32)&4294967295, 32); //@line 1235 "convert.c"
        HEAP[$48]=0; //@line 1235 "convert.c"
        var $49=HEAP[$i]; //@line 1236 "convert.c"
        var $50=CHECK_OVERFLOW(($cmptparm+$49*36)&4294967295, 32); //@line 1236 "convert.c"
        var $51=CHECK_OVERFLOW(($50)&4294967295, 32); //@line 1236 "convert.c"
        var $52=HEAP[$subsampling_dx]; //@line 1236 "convert.c"
        HEAP[$51]=$52; //@line 1236 "convert.c"
        var $53=HEAP[$i]; //@line 1237 "convert.c"
        var $54=CHECK_OVERFLOW(($cmptparm+$53*36)&4294967295, 32); //@line 1237 "convert.c"
        var $55=CHECK_OVERFLOW(($54+4)&4294967295, 32); //@line 1237 "convert.c"
        var $56=HEAP[$subsampling_dy]; //@line 1237 "convert.c"
        HEAP[$55]=$56; //@line 1237 "convert.c"
        var $57=HEAP[$i]; //@line 1238 "convert.c"
        var $58=HEAP[$w]; //@line 1238 "convert.c"
        var $59=CHECK_OVERFLOW(($cmptparm+$57*36)&4294967295, 32); //@line 1238 "convert.c"
        var $60=CHECK_OVERFLOW(($59+8)&4294967295, 32); //@line 1238 "convert.c"
        HEAP[$60]=$58; //@line 1238 "convert.c"
        var $61=HEAP[$i]; //@line 1239 "convert.c"
        var $62=HEAP[$h]; //@line 1239 "convert.c"
        var $63=CHECK_OVERFLOW(($cmptparm+$61*36)&4294967295, 32); //@line 1239 "convert.c"
        var $64=CHECK_OVERFLOW(($63+12)&4294967295, 32); //@line 1239 "convert.c"
        HEAP[$64]=$62; //@line 1239 "convert.c"
        var $65=HEAP[$i]; //@line 1232 "convert.c"
        var $66=CHECK_OVERFLOW((($65) + 1)&4294967295, 32); //@line 1232 "convert.c"
        HEAP[$i]=$66; //@line 1232 "convert.c"
        __label__ = 9; break; //@line 1232 "convert.c"
      case 9: // $bb12
        var $67=HEAP[$i]; //@line 1232 "convert.c"
        var $68=HEAP[$numcomps]; //@line 1232 "convert.c"
        var $69=($67) < ($68); //@line 1232 "convert.c"
        if ($69) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 1232 "convert.c"
      case 11: // $bb13
        var $70=HEAP[$numcomps]; //@line 1242 "convert.c"
        var $71=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 1242 "convert.c"
        var $72=HEAP[$color_space]; //@line 1242 "convert.c"
        var $73=_opj_image_create($70, $71, $72); //@line 1242 "convert.c"
        HEAP[$image]=$73; //@line 1242 "convert.c"
        var $74=HEAP[$image]; //@line 1243 "convert.c"
        var $75=($74)==0; //@line 1243 "convert.c"
        if ($75) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 1243 "convert.c"
      case 12: // $bb14
        var $76=HEAP[$f]; //@line 1244 "convert.c"
        var $77=_fclose($76); //@line 1244 "convert.c"
        HEAP[$0]=0; //@line 1245 "convert.c"
        __label__ = 2; break; //@line 1245 "convert.c"
      case 13: // $bb15
        var $78=HEAP[$parameters_addr]; //@line 1249 "convert.c"
        var $79=CHECK_OVERFLOW(($78+18180)&4294967295, 32); //@line 1249 "convert.c"
        var $80=HEAP[$79]; //@line 1249 "convert.c"
        var $81=HEAP[$image]; //@line 1249 "convert.c"
        var $82=CHECK_OVERFLOW(($81)&4294967295, 32); //@line 1249 "convert.c"
        HEAP[$82]=$80; //@line 1249 "convert.c"
        var $83=HEAP[$parameters_addr]; //@line 1250 "convert.c"
        var $84=CHECK_OVERFLOW(($83+18184)&4294967295, 32); //@line 1250 "convert.c"
        var $85=HEAP[$84]; //@line 1250 "convert.c"
        var $86=HEAP[$image]; //@line 1250 "convert.c"
        var $87=CHECK_OVERFLOW(($86+4)&4294967295, 32); //@line 1250 "convert.c"
        HEAP[$87]=$85; //@line 1250 "convert.c"
        var $88=HEAP[$parameters_addr]; //@line 1251 "convert.c"
        var $89=CHECK_OVERFLOW(($88+18180)&4294967295, 32); //@line 1251 "convert.c"
        var $90=HEAP[$89]; //@line 1251 "convert.c"
        var $91=HEAP[$w]; //@line 1251 "convert.c"
        var $92=CHECK_OVERFLOW((($91) - 1)&4294967295, 32); //@line 1251 "convert.c"
        var $93=HEAP[$subsampling_dx]; //@line 1251 "convert.c"
        var $94=CHECK_OVERFLOW((($92) * ($93))&4294967295, 32); //@line 1251 "convert.c"
        var $95=CHECK_OVERFLOW((($90) + ($94))&4294967295, 32); //@line 1251 "convert.c"
        var $96=CHECK_OVERFLOW((($95) + 1)&4294967295, 32); //@line 1251 "convert.c"
        var $97=HEAP[$image]; //@line 1251 "convert.c"
        var $98=CHECK_OVERFLOW(($97+8)&4294967295, 32); //@line 1251 "convert.c"
        HEAP[$98]=$96; //@line 1251 "convert.c"
        var $99=HEAP[$parameters_addr]; //@line 1252 "convert.c"
        var $100=CHECK_OVERFLOW(($99+18184)&4294967295, 32); //@line 1252 "convert.c"
        var $101=HEAP[$100]; //@line 1252 "convert.c"
        var $102=HEAP[$h]; //@line 1252 "convert.c"
        var $103=CHECK_OVERFLOW((($102) - 1)&4294967295, 32); //@line 1252 "convert.c"
        var $104=HEAP[$subsampling_dy]; //@line 1252 "convert.c"
        var $105=CHECK_OVERFLOW((($103) * ($104))&4294967295, 32); //@line 1252 "convert.c"
        var $106=CHECK_OVERFLOW((($101) + ($105))&4294967295, 32); //@line 1252 "convert.c"
        var $107=CHECK_OVERFLOW((($106) + 1)&4294967295, 32); //@line 1252 "convert.c"
        var $108=HEAP[$image]; //@line 1252 "convert.c"
        var $109=CHECK_OVERFLOW(($108+12)&4294967295, 32); //@line 1252 "convert.c"
        HEAP[$109]=$107; //@line 1252 "convert.c"
        var $110=HEAP[$value]; //@line 1256 "convert.c"
        var $111=($110)==50; //@line 1256 "convert.c"
        if ($111) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 1256 "convert.c"
      case 15: // $bb16
        var $112=HEAP[$value]; //@line 1256 "convert.c"
        var $113=($112)==51; //@line 1256 "convert.c"
        if ($113) { __label__ = 14; break; } else { __label__ = 16; break; } //@line 1256 "convert.c"
      case 14: // $bb17
        HEAP[$i]=0; //@line 1257 "convert.c"
        __label__ = 17; break; //@line 1257 "convert.c"
      case 21: // $bb18
        HEAP[$compno]=0; //@line 1258 "convert.c"
        __label__ = 18; break; //@line 1258 "convert.c"
      case 19: // $bb19
        HEAP[$index]=0; //@line 1259 "convert.c"
        var $114=HEAP[$f]; //@line 1260 "convert.c"
        var $115=___01__isoc99_fscanf_($114, CHECK_OVERFLOW((__str2682)&4294967295, 32), $index); //@line 1260 "convert.c"
        var $116=HEAP[$image]; //@line 1262 "convert.c"
        var $117=CHECK_OVERFLOW(($116+24)&4294967295, 32); //@line 1262 "convert.c"
        var $118=HEAP[$117]; //@line 1262 "convert.c"
        var $119=HEAP[$compno]; //@line 1262 "convert.c"
        var $120=CHECK_OVERFLOW(($118+48*$119)&4294967295, 32); //@line 1262 "convert.c"
        var $121=CHECK_OVERFLOW(($120+44)&4294967295, 32); //@line 1262 "convert.c"
        var $122=HEAP[$121]; //@line 1262 "convert.c"
        var $123=HEAP[$index]; //@line 1262 "convert.c"
        var $124=HEAP[$i]; //@line 1262 "convert.c"
        var $125=CHECK_OVERFLOW(($122+4*$124)&4294967295, 32); //@line 1262 "convert.c"
        HEAP[$125]=$123; //@line 1262 "convert.c"
        var $126=HEAP[$compno]; //@line 1258 "convert.c"
        var $127=CHECK_OVERFLOW((($126) + 1)&4294967295, 32); //@line 1258 "convert.c"
        HEAP[$compno]=$127; //@line 1258 "convert.c"
        __label__ = 18; break; //@line 1258 "convert.c"
      case 18: // $bb20
        var $128=HEAP[$compno]; //@line 1258 "convert.c"
        var $129=HEAP[$numcomps]; //@line 1258 "convert.c"
        var $130=($128) < ($129); //@line 1258 "convert.c"
        if ($130) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1258 "convert.c"
      case 20: // $bb21
        var $131=HEAP[$i]; //@line 1257 "convert.c"
        var $132=CHECK_OVERFLOW((($131) + 1)&4294967295, 32); //@line 1257 "convert.c"
        HEAP[$i]=$132; //@line 1257 "convert.c"
        __label__ = 17; break; //@line 1257 "convert.c"
      case 17: // $bb22
        var $133=HEAP[$w]; //@line 1257 "convert.c"
        var $134=HEAP[$h]; //@line 1257 "convert.c"
        var $135=CHECK_OVERFLOW((($133) * ($134))&4294967295, 32); //@line 1257 "convert.c"
        var $136=HEAP[$i]; //@line 1257 "convert.c"
        var $137=($135) > ($136); //@line 1257 "convert.c"
        if ($137) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 1257 "convert.c"
      case 22: // $bb23
        __label__ = 23; break; //@line 1257 "convert.c"
      case 16: // $bb24
        var $138=HEAP[$value]; //@line 1265 "convert.c"
        var $139=($138)==53; //@line 1265 "convert.c"
        if ($139) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 1265 "convert.c"
      case 25: // $bb25
        var $140=HEAP[$value]; //@line 1265 "convert.c"
        var $141=($140)==54; //@line 1265 "convert.c"
        if ($141) { __label__ = 24; break; } else { __label__ = 23; break; } //@line 1265 "convert.c"
      case 24: // $bb26
        HEAP[$i]=0; //@line 1266 "convert.c"
        __label__ = 26; break; //@line 1266 "convert.c"
      case 30: // $bb27
        HEAP[$compno]=0; //@line 1267 "convert.c"
        __label__ = 27; break; //@line 1267 "convert.c"
      case 28: // $bb28
        HEAP[$index29]=0; //@line 1268 "convert.c"
        var $142=HEAP[$f]; //@line 1269 "convert.c"
        var $143=_fread($index29, 1, 1, $142); //@line 1269 "convert.c"
        var $144=HEAP[$image]; //@line 1271 "convert.c"
        var $145=CHECK_OVERFLOW(($144+24)&4294967295, 32); //@line 1271 "convert.c"
        var $146=HEAP[$145]; //@line 1271 "convert.c"
        var $147=HEAP[$compno]; //@line 1271 "convert.c"
        var $148=CHECK_OVERFLOW(($146+48*$147)&4294967295, 32); //@line 1271 "convert.c"
        var $149=CHECK_OVERFLOW(($148+44)&4294967295, 32); //@line 1271 "convert.c"
        var $150=HEAP[$149]; //@line 1271 "convert.c"
        var $151=HEAP[$index29]; //@line 1271 "convert.c"
        var $152=($151); //@line 1271 "convert.c"
        var $153=HEAP[$i]; //@line 1271 "convert.c"
        var $154=CHECK_OVERFLOW(($150+4*$153)&4294967295, 32); //@line 1271 "convert.c"
        HEAP[$154]=$152; //@line 1271 "convert.c"
        var $155=HEAP[$compno]; //@line 1267 "convert.c"
        var $156=CHECK_OVERFLOW((($155) + 1)&4294967295, 32); //@line 1267 "convert.c"
        HEAP[$compno]=$156; //@line 1267 "convert.c"
        __label__ = 27; break; //@line 1267 "convert.c"
      case 27: // $bb30
        var $157=HEAP[$compno]; //@line 1267 "convert.c"
        var $158=HEAP[$numcomps]; //@line 1267 "convert.c"
        var $159=($157) < ($158); //@line 1267 "convert.c"
        if ($159) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 1267 "convert.c"
      case 29: // $bb31
        var $160=HEAP[$i]; //@line 1266 "convert.c"
        var $161=CHECK_OVERFLOW((($160) + 1)&4294967295, 32); //@line 1266 "convert.c"
        HEAP[$i]=$161; //@line 1266 "convert.c"
        __label__ = 26; break; //@line 1266 "convert.c"
      case 26: // $bb32
        var $162=HEAP[$w]; //@line 1266 "convert.c"
        var $163=HEAP[$h]; //@line 1266 "convert.c"
        var $164=CHECK_OVERFLOW((($162) * ($163))&4294967295, 32); //@line 1266 "convert.c"
        var $165=HEAP[$i]; //@line 1266 "convert.c"
        var $166=($164) > ($165); //@line 1266 "convert.c"
        if ($166) { __label__ = 30; break; } else { __label__ = 23; break; } //@line 1266 "convert.c"
      case 23: // $bb33
        var $167=HEAP[$f]; //@line 1276 "convert.c"
        var $168=_fclose($167); //@line 1276 "convert.c"
        var $169=HEAP[$image]; //@line 1278 "convert.c"
        HEAP[$0]=$169; //@line 1278 "convert.c"
        __label__ = 2; break; //@line 1278 "convert.c"
      case 2: // $bb34
        var $170=HEAP[$0]; //@line 1196 "convert.c"
        HEAP[$retval]=$170; //@line 1196 "convert.c"
        __label__ = 31; break; //@line 1196 "convert.c"
      case 31: // $return
        var $retval35=HEAP[$retval]; //@line 1196 "convert.c"
        STACKTOP = __stackBase__;
        return $retval35; //@line 1196 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _imagetopnm($image, $outfile) {
    var __stackBase__  = STACKTOP; STACKTOP += 377; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 377);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $image_addr=__stackBase__;
        var $outfile_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $iftmp_163=__stackBase__+12;
        var $iftmp_162=__stackBase__+16;
        var $iftmp_158=__stackBase__+20;
        var $iftmp_157=__stackBase__+24;
        var $iftmp_156=__stackBase__+28;
        var $iftmp_155=__stackBase__+32;
        var $iftmp_154=__stackBase__+36;
        var $0=__stackBase__+40;
        var $w=__stackBase__+44;
        var $wr=__stackBase__+48;
        var $h=__stackBase__+52;
        var $hr=__stackBase__+56;
        var $max=__stackBase__+60;
        var $i=__stackBase__+64;
        var $compno=__stackBase__+68;
        var $adjustR=__stackBase__+72;
        var $adjustG=__stackBase__+76;
        var $adjustB=__stackBase__+80;
        var $adjustX=__stackBase__+84;
        var $fdest=__stackBase__+88;
        var $S2=__stackBase__+92;
        var $tmp=__stackBase__+93;
        var $r=__stackBase__+97;
        var $g=__stackBase__+101;
        var $b=__stackBase__+105;
        var $rc=__stackBase__+109;
        var $gc=__stackBase__+110;
        var $bc=__stackBase__+111;
        var $ncomp=__stackBase__+112;
        var $name=__stackBase__+116;
        var $l=__stackBase__+372;
        var $lc=__stackBase__+376;
        var $_alloca_point_=0;
        HEAP[$image_addr]=$image;
        HEAP[$outfile_addr]=$outfile;
        HEAP[$fdest]=0; //@line 1285 "convert.c"
        var $1=HEAP[$outfile_addr]; //@line 1287 "convert.c"
        HEAP[$tmp]=$1; //@line 1287 "convert.c"
        __label__ = 0; break; //@line 1287 "convert.c"
      case 1: // $bb
        var $2=HEAP[$tmp]; //@line 1290 "convert.c"
        var $3=CHECK_OVERFLOW(($2+1)&4294967295, 32); //@line 1290 "convert.c"
        HEAP[$tmp]=$3; //@line 1290 "convert.c"
        __label__ = 0; break; //@line 1290 "convert.c"
      case 0: // $bb1
        var $4=HEAP[$tmp]; //@line 1289 "convert.c"
        var $5=HEAP[$4]; //@line 1289 "convert.c"
        var $6=($5)!=0; //@line 1289 "convert.c"
        if ($6) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 1289 "convert.c"
      case 2: // $bb2
        var $7=HEAP[$tmp]; //@line 1292 "convert.c"
        var $8=CHECK_OVERFLOW(($7+-1)&4294967295, 32); //@line 1292 "convert.c"
        HEAP[$tmp]=$8; //@line 1292 "convert.c"
        var $9=HEAP[$tmp]; //@line 1293 "convert.c"
        var $10=CHECK_OVERFLOW(($9+-1)&4294967295, 32); //@line 1293 "convert.c"
        HEAP[$tmp]=$10; //@line 1293 "convert.c"
        var $11=HEAP[$tmp]; //@line 1294 "convert.c"
        var $12=HEAP[$11]; //@line 1294 "convert.c"
        HEAP[$S2]=$12; //@line 1294 "convert.c"
        var $13=HEAP[$image_addr]; //@line 1296 "convert.c"
        var $14=CHECK_OVERFLOW(($13+16)&4294967295, 32); //@line 1296 "convert.c"
        var $15=HEAP[$14]; //@line 1296 "convert.c"
        var $16=($15)!=3; //@line 1296 "convert.c"
        if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1296 "convert.c"
      case 4: // $bb3
        var $17=HEAP[$image_addr]; //@line 1296 "convert.c"
        var $18=CHECK_OVERFLOW(($17+24)&4294967295, 32); //@line 1296 "convert.c"
        var $19=HEAP[$18]; //@line 1296 "convert.c"
        var $20=CHECK_OVERFLOW(($19)&4294967295, 32); //@line 1296 "convert.c"
        var $21=CHECK_OVERFLOW(($20)&4294967295, 32); //@line 1296 "convert.c"
        var $22=HEAP[$21]; //@line 1296 "convert.c"
        var $23=HEAP[$image_addr]; //@line 1296 "convert.c"
        var $24=CHECK_OVERFLOW(($23+24)&4294967295, 32); //@line 1296 "convert.c"
        var $25=HEAP[$24]; //@line 1296 "convert.c"
        var $26=CHECK_OVERFLOW(($25+48)&4294967295, 32); //@line 1296 "convert.c"
        var $27=CHECK_OVERFLOW(($26)&4294967295, 32); //@line 1296 "convert.c"
        var $28=HEAP[$27]; //@line 1296 "convert.c"
        var $29=($22)!=($28); //@line 1296 "convert.c"
        if ($29) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 1296 "convert.c"
      case 5: // $bb4
        var $30=HEAP[$image_addr]; //@line 1296 "convert.c"
        var $31=CHECK_OVERFLOW(($30+24)&4294967295, 32); //@line 1296 "convert.c"
        var $32=HEAP[$31]; //@line 1296 "convert.c"
        var $33=CHECK_OVERFLOW(($32+48)&4294967295, 32); //@line 1296 "convert.c"
        var $34=CHECK_OVERFLOW(($33)&4294967295, 32); //@line 1296 "convert.c"
        var $35=HEAP[$34]; //@line 1296 "convert.c"
        var $36=HEAP[$image_addr]; //@line 1296 "convert.c"
        var $37=CHECK_OVERFLOW(($36+24)&4294967295, 32); //@line 1296 "convert.c"
        var $38=HEAP[$37]; //@line 1296 "convert.c"
        var $39=CHECK_OVERFLOW(($38+96)&4294967295, 32); //@line 1296 "convert.c"
        var $40=CHECK_OVERFLOW(($39)&4294967295, 32); //@line 1296 "convert.c"
        var $41=HEAP[$40]; //@line 1296 "convert.c"
        var $42=($35)!=($41); //@line 1296 "convert.c"
        if ($42) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 1296 "convert.c"
      case 6: // $bb5
        var $43=HEAP[$image_addr]; //@line 1296 "convert.c"
        var $44=CHECK_OVERFLOW(($43+24)&4294967295, 32); //@line 1296 "convert.c"
        var $45=HEAP[$44]; //@line 1296 "convert.c"
        var $46=CHECK_OVERFLOW(($45)&4294967295, 32); //@line 1296 "convert.c"
        var $47=CHECK_OVERFLOW(($46+4)&4294967295, 32); //@line 1296 "convert.c"
        var $48=HEAP[$47]; //@line 1296 "convert.c"
        var $49=HEAP[$image_addr]; //@line 1296 "convert.c"
        var $50=CHECK_OVERFLOW(($49+24)&4294967295, 32); //@line 1296 "convert.c"
        var $51=HEAP[$50]; //@line 1296 "convert.c"
        var $52=CHECK_OVERFLOW(($51+48)&4294967295, 32); //@line 1296 "convert.c"
        var $53=CHECK_OVERFLOW(($52+4)&4294967295, 32); //@line 1296 "convert.c"
        var $54=HEAP[$53]; //@line 1296 "convert.c"
        var $55=($48)!=($54); //@line 1296 "convert.c"
        if ($55) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 1296 "convert.c"
      case 7: // $bb6
        var $56=HEAP[$image_addr]; //@line 1296 "convert.c"
        var $57=CHECK_OVERFLOW(($56+24)&4294967295, 32); //@line 1296 "convert.c"
        var $58=HEAP[$57]; //@line 1296 "convert.c"
        var $59=CHECK_OVERFLOW(($58+48)&4294967295, 32); //@line 1296 "convert.c"
        var $60=CHECK_OVERFLOW(($59+4)&4294967295, 32); //@line 1296 "convert.c"
        var $61=HEAP[$60]; //@line 1296 "convert.c"
        var $62=HEAP[$image_addr]; //@line 1296 "convert.c"
        var $63=CHECK_OVERFLOW(($62+24)&4294967295, 32); //@line 1296 "convert.c"
        var $64=HEAP[$63]; //@line 1296 "convert.c"
        var $65=CHECK_OVERFLOW(($64+96)&4294967295, 32); //@line 1296 "convert.c"
        var $66=CHECK_OVERFLOW(($65+4)&4294967295, 32); //@line 1296 "convert.c"
        var $67=HEAP[$66]; //@line 1296 "convert.c"
        var $68=($61)!=($67); //@line 1296 "convert.c"
        if ($68) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 1296 "convert.c"
      case 8: // $bb7
        var $69=HEAP[$image_addr]; //@line 1296 "convert.c"
        var $70=CHECK_OVERFLOW(($69+24)&4294967295, 32); //@line 1296 "convert.c"
        var $71=HEAP[$70]; //@line 1296 "convert.c"
        var $72=CHECK_OVERFLOW(($71)&4294967295, 32); //@line 1296 "convert.c"
        var $73=CHECK_OVERFLOW(($72+24)&4294967295, 32); //@line 1296 "convert.c"
        var $74=HEAP[$73]; //@line 1296 "convert.c"
        var $75=HEAP[$image_addr]; //@line 1296 "convert.c"
        var $76=CHECK_OVERFLOW(($75+24)&4294967295, 32); //@line 1296 "convert.c"
        var $77=HEAP[$76]; //@line 1296 "convert.c"
        var $78=CHECK_OVERFLOW(($77+48)&4294967295, 32); //@line 1296 "convert.c"
        var $79=CHECK_OVERFLOW(($78+24)&4294967295, 32); //@line 1296 "convert.c"
        var $80=HEAP[$79]; //@line 1296 "convert.c"
        var $81=($74)!=($80); //@line 1296 "convert.c"
        if ($81) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 1296 "convert.c"
      case 9: // $bb8
        var $82=HEAP[$image_addr]; //@line 1296 "convert.c"
        var $83=CHECK_OVERFLOW(($82+24)&4294967295, 32); //@line 1296 "convert.c"
        var $84=HEAP[$83]; //@line 1296 "convert.c"
        var $85=CHECK_OVERFLOW(($84+48)&4294967295, 32); //@line 1296 "convert.c"
        var $86=CHECK_OVERFLOW(($85+24)&4294967295, 32); //@line 1296 "convert.c"
        var $87=HEAP[$86]; //@line 1296 "convert.c"
        var $88=HEAP[$image_addr]; //@line 1296 "convert.c"
        var $89=CHECK_OVERFLOW(($88+24)&4294967295, 32); //@line 1296 "convert.c"
        var $90=HEAP[$89]; //@line 1296 "convert.c"
        var $91=CHECK_OVERFLOW(($90+96)&4294967295, 32); //@line 1296 "convert.c"
        var $92=CHECK_OVERFLOW(($91+24)&4294967295, 32); //@line 1296 "convert.c"
        var $93=HEAP[$92]; //@line 1296 "convert.c"
        var $94=($87)!=($93); //@line 1296 "convert.c"
        if ($94) { __label__ = 3; break; } else { __label__ = 10; break; } //@line 1296 "convert.c"
      case 10: // $bb9
        var $95=HEAP[$S2]; //@line 1296 "convert.c"
        var $96=($95)==103; //@line 1296 "convert.c"
        if ($96) { __label__ = 3; break; } else { __label__ = 11; break; } //@line 1296 "convert.c"
      case 11: // $bb10
        var $97=HEAP[$S2]; //@line 1296 "convert.c"
        var $98=($97)==71; //@line 1296 "convert.c"
        if ($98) { __label__ = 3; break; } else { __label__ = 12; break; } //@line 1296 "convert.c"
      case 12: // $bb11
        var $99=HEAP[$outfile_addr]; //@line 1304 "convert.c"
        var $100=_fopen($99, CHECK_OVERFLOW((__str561)&4294967295, 32)); //@line 1304 "convert.c"
        HEAP[$fdest]=$100; //@line 1304 "convert.c"
        var $101=HEAP[$fdest]; //@line 1305 "convert.c"
        var $102=($101)==0; //@line 1305 "convert.c"
        if ($102) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1305 "convert.c"
      case 13: // $bb12
        var $103=HEAP[_stderr]; //@line 1306 "convert.c"
        var $104=HEAP[$outfile_addr]; //@line 1306 "convert.c"
        var $105=_fprintf($103, CHECK_OVERFLOW((__str662)&4294967295, 32), $104); //@line 1306 "convert.c"
        HEAP[$0]=1; //@line 1307 "convert.c"
        __label__ = 15; break; //@line 1307 "convert.c"
      case 14: // $bb13
        var $106=HEAP[$image_addr]; //@line 1310 "convert.c"
        var $107=CHECK_OVERFLOW(($106+24)&4294967295, 32); //@line 1310 "convert.c"
        var $108=HEAP[$107]; //@line 1310 "convert.c"
        var $109=CHECK_OVERFLOW(($108)&4294967295, 32); //@line 1310 "convert.c"
        var $110=CHECK_OVERFLOW(($109)&4294967295, 32); //@line 1310 "convert.c"
        var $111=HEAP[$110]; //@line 1310 "convert.c"
        var $112=HEAP[$image_addr]; //@line 1310 "convert.c"
        var $113=CHECK_OVERFLOW(($112+8)&4294967295, 32); //@line 1310 "convert.c"
        var $114=HEAP[$113]; //@line 1310 "convert.c"
        var $115=HEAP[$image_addr]; //@line 1310 "convert.c"
        var $116=CHECK_OVERFLOW(($115)&4294967295, 32); //@line 1310 "convert.c"
        var $117=HEAP[$116]; //@line 1310 "convert.c"
        var $118=CHECK_OVERFLOW((($114) - ($117))&4294967295, 32); //@line 1310 "convert.c"
        var $119=_int_ceildiv95($118, $111); //@line 1310 "convert.c"
        HEAP[$w]=$119; //@line 1310 "convert.c"
        var $120=HEAP[$image_addr]; //@line 1311 "convert.c"
        var $121=CHECK_OVERFLOW(($120+24)&4294967295, 32); //@line 1311 "convert.c"
        var $122=HEAP[$121]; //@line 1311 "convert.c"
        var $123=CHECK_OVERFLOW(($122)&4294967295, 32); //@line 1311 "convert.c"
        var $124=CHECK_OVERFLOW(($123+8)&4294967295, 32); //@line 1311 "convert.c"
        var $125=HEAP[$124]; //@line 1311 "convert.c"
        HEAP[$wr]=$125; //@line 1311 "convert.c"
        var $126=HEAP[$image_addr]; //@line 1313 "convert.c"
        var $127=CHECK_OVERFLOW(($126+24)&4294967295, 32); //@line 1313 "convert.c"
        var $128=HEAP[$127]; //@line 1313 "convert.c"
        var $129=CHECK_OVERFLOW(($128)&4294967295, 32); //@line 1313 "convert.c"
        var $130=CHECK_OVERFLOW(($129+4)&4294967295, 32); //@line 1313 "convert.c"
        var $131=HEAP[$130]; //@line 1313 "convert.c"
        var $132=HEAP[$image_addr]; //@line 1313 "convert.c"
        var $133=CHECK_OVERFLOW(($132+12)&4294967295, 32); //@line 1313 "convert.c"
        var $134=HEAP[$133]; //@line 1313 "convert.c"
        var $135=HEAP[$image_addr]; //@line 1313 "convert.c"
        var $136=CHECK_OVERFLOW(($135+4)&4294967295, 32); //@line 1313 "convert.c"
        var $137=HEAP[$136]; //@line 1313 "convert.c"
        var $138=CHECK_OVERFLOW((($134) - ($137))&4294967295, 32); //@line 1313 "convert.c"
        var $139=_int_ceildiv95($138, $131); //@line 1313 "convert.c"
        HEAP[$h]=$139; //@line 1313 "convert.c"
        var $140=HEAP[$image_addr]; //@line 1314 "convert.c"
        var $141=CHECK_OVERFLOW(($140+24)&4294967295, 32); //@line 1314 "convert.c"
        var $142=HEAP[$141]; //@line 1314 "convert.c"
        var $143=CHECK_OVERFLOW(($142)&4294967295, 32); //@line 1314 "convert.c"
        var $144=CHECK_OVERFLOW(($143+12)&4294967295, 32); //@line 1314 "convert.c"
        var $145=HEAP[$144]; //@line 1314 "convert.c"
        HEAP[$hr]=$145; //@line 1314 "convert.c"
        var $146=HEAP[$image_addr]; //@line 1316 "convert.c"
        var $147=CHECK_OVERFLOW(($146+24)&4294967295, 32); //@line 1316 "convert.c"
        var $148=HEAP[$147]; //@line 1316 "convert.c"
        var $149=CHECK_OVERFLOW(($148)&4294967295, 32); //@line 1316 "convert.c"
        var $150=CHECK_OVERFLOW(($149+24)&4294967295, 32); //@line 1316 "convert.c"
        var $151=HEAP[$150]; //@line 1316 "convert.c"
        var $152=($151) <= 8; //@line 1316 "convert.c"
        if ($152) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1316 "convert.c"
      case 16: // $bb14
        var $153=HEAP[$image_addr]; //@line 1316 "convert.c"
        var $154=CHECK_OVERFLOW(($153+24)&4294967295, 32); //@line 1316 "convert.c"
        var $155=HEAP[$154]; //@line 1316 "convert.c"
        var $156=CHECK_OVERFLOW(($155)&4294967295, 32); //@line 1316 "convert.c"
        var $157=CHECK_OVERFLOW(($156+24)&4294967295, 32); //@line 1316 "convert.c"
        var $158=HEAP[$157]; //@line 1316 "convert.c"
        var $159=1 << ($158); //@line 1316 "convert.c"
        var $160=CHECK_OVERFLOW((($159) - 1)&4294967295, 32); //@line 1316 "convert.c"
        HEAP[$iftmp_154]=$160; //@line 1316 "convert.c"
        __label__ = 18; break; //@line 1316 "convert.c"
      case 17: // $bb15
        HEAP[$iftmp_154]=255; //@line 1316 "convert.c"
        __label__ = 18; break; //@line 1316 "convert.c"
      case 18: // $bb16
        var $161=HEAP[$iftmp_154]; //@line 1316 "convert.c"
        HEAP[$max]=$161; //@line 1316 "convert.c"
        var $162=HEAP[$image_addr]; //@line 1318 "convert.c"
        var $163=CHECK_OVERFLOW(($162+24)&4294967295, 32); //@line 1318 "convert.c"
        var $164=HEAP[$163]; //@line 1318 "convert.c"
        var $165=CHECK_OVERFLOW(($164)&4294967295, 32); //@line 1318 "convert.c"
        var $166=HEAP[$image_addr]; //@line 1318 "convert.c"
        var $167=CHECK_OVERFLOW(($166+24)&4294967295, 32); //@line 1318 "convert.c"
        var $168=HEAP[$167]; //@line 1318 "convert.c"
        var $169=CHECK_OVERFLOW(($168)&4294967295, 32); //@line 1318 "convert.c"
        var $170=CHECK_OVERFLOW(($169+40)&4294967295, 32); //@line 1318 "convert.c"
        var $171=HEAP[$170]; //@line 1318 "convert.c"
        var $172=HEAP[$image_addr]; //@line 1318 "convert.c"
        var $173=CHECK_OVERFLOW(($172+24)&4294967295, 32); //@line 1318 "convert.c"
        var $174=HEAP[$173]; //@line 1318 "convert.c"
        var $175=CHECK_OVERFLOW(($174)&4294967295, 32); //@line 1318 "convert.c"
        var $176=CHECK_OVERFLOW(($175+16)&4294967295, 32); //@line 1318 "convert.c"
        var $177=HEAP[$176]; //@line 1318 "convert.c"
        var $178=HEAP[$image_addr]; //@line 1318 "convert.c"
        var $179=CHECK_OVERFLOW(($178+24)&4294967295, 32); //@line 1318 "convert.c"
        var $180=HEAP[$179]; //@line 1318 "convert.c"
        var $181=CHECK_OVERFLOW(($180)&4294967295, 32); //@line 1318 "convert.c"
        var $182=CHECK_OVERFLOW(($181)&4294967295, 32); //@line 1318 "convert.c"
        var $183=HEAP[$182]; //@line 1318 "convert.c"
        var $184=HEAP[$image_addr]; //@line 1318 "convert.c"
        var $185=CHECK_OVERFLOW(($184)&4294967295, 32); //@line 1318 "convert.c"
        var $186=HEAP[$185]; //@line 1318 "convert.c"
        var $187=_int_ceildiv95($186, $183); //@line 1318 "convert.c"
        var $188=CHECK_OVERFLOW((($177) - ($187))&4294967295, 32); //@line 1318 "convert.c"
        var $189=_int_ceildivpow294($188, $171); //@line 1318 "convert.c"
        var $190=CHECK_OVERFLOW(($165+16)&4294967295, 32); //@line 1318 "convert.c"
        HEAP[$190]=$189; //@line 1318 "convert.c"
        var $191=HEAP[$image_addr]; //@line 1319 "convert.c"
        var $192=CHECK_OVERFLOW(($191+24)&4294967295, 32); //@line 1319 "convert.c"
        var $193=HEAP[$192]; //@line 1319 "convert.c"
        var $194=CHECK_OVERFLOW(($193)&4294967295, 32); //@line 1319 "convert.c"
        var $195=HEAP[$image_addr]; //@line 1319 "convert.c"
        var $196=CHECK_OVERFLOW(($195+24)&4294967295, 32); //@line 1319 "convert.c"
        var $197=HEAP[$196]; //@line 1319 "convert.c"
        var $198=CHECK_OVERFLOW(($197)&4294967295, 32); //@line 1319 "convert.c"
        var $199=CHECK_OVERFLOW(($198+40)&4294967295, 32); //@line 1319 "convert.c"
        var $200=HEAP[$199]; //@line 1319 "convert.c"
        var $201=HEAP[$image_addr]; //@line 1319 "convert.c"
        var $202=CHECK_OVERFLOW(($201+24)&4294967295, 32); //@line 1319 "convert.c"
        var $203=HEAP[$202]; //@line 1319 "convert.c"
        var $204=CHECK_OVERFLOW(($203)&4294967295, 32); //@line 1319 "convert.c"
        var $205=CHECK_OVERFLOW(($204+20)&4294967295, 32); //@line 1319 "convert.c"
        var $206=HEAP[$205]; //@line 1319 "convert.c"
        var $207=HEAP[$image_addr]; //@line 1319 "convert.c"
        var $208=CHECK_OVERFLOW(($207+24)&4294967295, 32); //@line 1319 "convert.c"
        var $209=HEAP[$208]; //@line 1319 "convert.c"
        var $210=CHECK_OVERFLOW(($209)&4294967295, 32); //@line 1319 "convert.c"
        var $211=CHECK_OVERFLOW(($210+4)&4294967295, 32); //@line 1319 "convert.c"
        var $212=HEAP[$211]; //@line 1319 "convert.c"
        var $213=HEAP[$image_addr]; //@line 1319 "convert.c"
        var $214=CHECK_OVERFLOW(($213+4)&4294967295, 32); //@line 1319 "convert.c"
        var $215=HEAP[$214]; //@line 1319 "convert.c"
        var $216=_int_ceildiv95($215, $212); //@line 1319 "convert.c"
        var $217=CHECK_OVERFLOW((($206) - ($216))&4294967295, 32); //@line 1319 "convert.c"
        var $218=_int_ceildivpow294($217, $200); //@line 1319 "convert.c"
        var $219=CHECK_OVERFLOW(($194+20)&4294967295, 32); //@line 1319 "convert.c"
        HEAP[$219]=$218; //@line 1319 "convert.c"
        var $220=HEAP[$fdest]; //@line 1321 "convert.c"
        var $221=HEAP[$wr]; //@line 1321 "convert.c"
        var $222=HEAP[$hr]; //@line 1321 "convert.c"
        var $223=HEAP[$max]; //@line 1321 "convert.c"
        var $224=_fprintf($220, CHECK_OVERFLOW((__str2783)&4294967295, 32), $221, $222, $223); //@line 1321 "convert.c"
        var $225=HEAP[$image_addr]; //@line 1323 "convert.c"
        var $226=CHECK_OVERFLOW(($225+24)&4294967295, 32); //@line 1323 "convert.c"
        var $227=HEAP[$226]; //@line 1323 "convert.c"
        var $228=CHECK_OVERFLOW(($227)&4294967295, 32); //@line 1323 "convert.c"
        var $229=CHECK_OVERFLOW(($228+24)&4294967295, 32); //@line 1323 "convert.c"
        var $230=HEAP[$229]; //@line 1323 "convert.c"
        var $231=($230) > 8; //@line 1323 "convert.c"
        if ($231) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 1323 "convert.c"
      case 19: // $bb17
        var $232=HEAP[$image_addr]; //@line 1324 "convert.c"
        var $233=CHECK_OVERFLOW(($232+24)&4294967295, 32); //@line 1324 "convert.c"
        var $234=HEAP[$233]; //@line 1324 "convert.c"
        var $235=CHECK_OVERFLOW(($234)&4294967295, 32); //@line 1324 "convert.c"
        var $236=CHECK_OVERFLOW(($235+24)&4294967295, 32); //@line 1324 "convert.c"
        var $237=HEAP[$236]; //@line 1324 "convert.c"
        var $238=CHECK_OVERFLOW((($237) - 8)&4294967295, 32); //@line 1324 "convert.c"
        HEAP[$adjustR]=$238; //@line 1324 "convert.c"
        var $239=HEAP[$image_addr]; //@line 1325 "convert.c"
        var $240=CHECK_OVERFLOW(($239+24)&4294967295, 32); //@line 1325 "convert.c"
        var $241=HEAP[$240]; //@line 1325 "convert.c"
        var $242=CHECK_OVERFLOW(($241)&4294967295, 32); //@line 1325 "convert.c"
        var $243=CHECK_OVERFLOW(($242+24)&4294967295, 32); //@line 1325 "convert.c"
        var $244=HEAP[$243]; //@line 1325 "convert.c"
        var $245=_printf(CHECK_OVERFLOW((__str2884)&4294967295, 32), $244); //@line 1325 "convert.c"
        __label__ = 21; break; //@line 1325 "convert.c"
      case 20: // $bb18
        HEAP[$adjustR]=0; //@line 1328 "convert.c"
        __label__ = 21; break; //@line 1328 "convert.c"
      case 21: // $bb19
        var $246=HEAP[$image_addr]; //@line 1329 "convert.c"
        var $247=CHECK_OVERFLOW(($246+24)&4294967295, 32); //@line 1329 "convert.c"
        var $248=HEAP[$247]; //@line 1329 "convert.c"
        var $249=CHECK_OVERFLOW(($248+48)&4294967295, 32); //@line 1329 "convert.c"
        var $250=CHECK_OVERFLOW(($249+24)&4294967295, 32); //@line 1329 "convert.c"
        var $251=HEAP[$250]; //@line 1329 "convert.c"
        var $252=($251) > 8; //@line 1329 "convert.c"
        if ($252) { __label__ = 22; break; } else { __label__ = 23; break; } //@line 1329 "convert.c"
      case 22: // $bb20
        var $253=HEAP[$image_addr]; //@line 1330 "convert.c"
        var $254=CHECK_OVERFLOW(($253+24)&4294967295, 32); //@line 1330 "convert.c"
        var $255=HEAP[$254]; //@line 1330 "convert.c"
        var $256=CHECK_OVERFLOW(($255+48)&4294967295, 32); //@line 1330 "convert.c"
        var $257=CHECK_OVERFLOW(($256+24)&4294967295, 32); //@line 1330 "convert.c"
        var $258=HEAP[$257]; //@line 1330 "convert.c"
        var $259=CHECK_OVERFLOW((($258) - 8)&4294967295, 32); //@line 1330 "convert.c"
        HEAP[$adjustG]=$259; //@line 1330 "convert.c"
        var $260=HEAP[$image_addr]; //@line 1331 "convert.c"
        var $261=CHECK_OVERFLOW(($260+24)&4294967295, 32); //@line 1331 "convert.c"
        var $262=HEAP[$261]; //@line 1331 "convert.c"
        var $263=CHECK_OVERFLOW(($262+48)&4294967295, 32); //@line 1331 "convert.c"
        var $264=CHECK_OVERFLOW(($263+24)&4294967295, 32); //@line 1331 "convert.c"
        var $265=HEAP[$264]; //@line 1331 "convert.c"
        var $266=_printf(CHECK_OVERFLOW((__str2985)&4294967295, 32), $265); //@line 1331 "convert.c"
        __label__ = 24; break; //@line 1331 "convert.c"
      case 23: // $bb21
        HEAP[$adjustG]=0; //@line 1334 "convert.c"
        __label__ = 24; break; //@line 1334 "convert.c"
      case 24: // $bb22
        var $267=HEAP[$image_addr]; //@line 1335 "convert.c"
        var $268=CHECK_OVERFLOW(($267+24)&4294967295, 32); //@line 1335 "convert.c"
        var $269=HEAP[$268]; //@line 1335 "convert.c"
        var $270=CHECK_OVERFLOW(($269+96)&4294967295, 32); //@line 1335 "convert.c"
        var $271=CHECK_OVERFLOW(($270+24)&4294967295, 32); //@line 1335 "convert.c"
        var $272=HEAP[$271]; //@line 1335 "convert.c"
        var $273=($272) > 8; //@line 1335 "convert.c"
        if ($273) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 1335 "convert.c"
      case 25: // $bb23
        var $274=HEAP[$image_addr]; //@line 1336 "convert.c"
        var $275=CHECK_OVERFLOW(($274+24)&4294967295, 32); //@line 1336 "convert.c"
        var $276=HEAP[$275]; //@line 1336 "convert.c"
        var $277=CHECK_OVERFLOW(($276+96)&4294967295, 32); //@line 1336 "convert.c"
        var $278=CHECK_OVERFLOW(($277+24)&4294967295, 32); //@line 1336 "convert.c"
        var $279=HEAP[$278]; //@line 1336 "convert.c"
        var $280=CHECK_OVERFLOW((($279) - 8)&4294967295, 32); //@line 1336 "convert.c"
        HEAP[$adjustB]=$280; //@line 1336 "convert.c"
        var $281=HEAP[$image_addr]; //@line 1337 "convert.c"
        var $282=CHECK_OVERFLOW(($281+24)&4294967295, 32); //@line 1337 "convert.c"
        var $283=HEAP[$282]; //@line 1337 "convert.c"
        var $284=CHECK_OVERFLOW(($283+96)&4294967295, 32); //@line 1337 "convert.c"
        var $285=CHECK_OVERFLOW(($284+24)&4294967295, 32); //@line 1337 "convert.c"
        var $286=HEAP[$285]; //@line 1337 "convert.c"
        var $287=_printf(CHECK_OVERFLOW((__str3086)&4294967295, 32), $286); //@line 1337 "convert.c"
        __label__ = 27; break; //@line 1337 "convert.c"
      case 26: // $bb24
        HEAP[$adjustB]=0; //@line 1340 "convert.c"
        __label__ = 27; break; //@line 1340 "convert.c"
      case 27: // $bb25
        HEAP[$i]=0; //@line 1343 "convert.c"
        __label__ = 28; break; //@line 1343 "convert.c"
      case 38: // $bb26
        var $288=HEAP[$image_addr]; //@line 1346 "convert.c"
        var $289=CHECK_OVERFLOW(($288+24)&4294967295, 32); //@line 1346 "convert.c"
        var $290=HEAP[$289]; //@line 1346 "convert.c"
        var $291=CHECK_OVERFLOW(($290)&4294967295, 32); //@line 1346 "convert.c"
        var $292=CHECK_OVERFLOW(($291+44)&4294967295, 32); //@line 1346 "convert.c"
        var $293=HEAP[$292]; //@line 1346 "convert.c"
        var $294=HEAP[$i]; //@line 1346 "convert.c"
        var $295=CHECK_OVERFLOW(($293+4*$294)&4294967295, 32); //@line 1346 "convert.c"
        var $296=HEAP[$295]; //@line 1346 "convert.c"
        HEAP[$r]=$296; //@line 1346 "convert.c"
        var $297=HEAP[$image_addr]; //@line 1347 "convert.c"
        var $298=CHECK_OVERFLOW(($297+24)&4294967295, 32); //@line 1347 "convert.c"
        var $299=HEAP[$298]; //@line 1347 "convert.c"
        var $300=CHECK_OVERFLOW(($299)&4294967295, 32); //@line 1347 "convert.c"
        var $301=CHECK_OVERFLOW(($300+32)&4294967295, 32); //@line 1347 "convert.c"
        var $302=HEAP[$301]; //@line 1347 "convert.c"
        var $303=($302)!=0; //@line 1347 "convert.c"
        if ($303) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 1347 "convert.c"
      case 29: // $bb27
        var $304=HEAP[$image_addr]; //@line 1347 "convert.c"
        var $305=CHECK_OVERFLOW(($304+24)&4294967295, 32); //@line 1347 "convert.c"
        var $306=HEAP[$305]; //@line 1347 "convert.c"
        var $307=CHECK_OVERFLOW(($306)&4294967295, 32); //@line 1347 "convert.c"
        var $308=CHECK_OVERFLOW(($307+24)&4294967295, 32); //@line 1347 "convert.c"
        var $309=HEAP[$308]; //@line 1347 "convert.c"
        var $310=CHECK_OVERFLOW((($309) - 1)&4294967295, 32); //@line 1347 "convert.c"
        var $311=1 << ($310); //@line 1347 "convert.c"
        HEAP[$iftmp_155]=$311; //@line 1347 "convert.c"
        __label__ = 31; break; //@line 1347 "convert.c"
      case 30: // $bb28
        HEAP[$iftmp_155]=0; //@line 1347 "convert.c"
        __label__ = 31; break; //@line 1347 "convert.c"
      case 31: // $bb29
        var $312=HEAP[$iftmp_155]; //@line 1347 "convert.c"
        var $313=HEAP[$r]; //@line 1347 "convert.c"
        var $314=CHECK_OVERFLOW((($312) + ($313))&4294967295, 32); //@line 1347 "convert.c"
        HEAP[$r]=$314; //@line 1347 "convert.c"
        var $315=HEAP[$r]; //@line 1348 "convert.c"
        var $316=HEAP[$adjustR]; //@line 1348 "convert.c"
        var $317=($315) >> ($316); //@line 1348 "convert.c"
        var $318=((($317)) & 255); //@line 1348 "convert.c"
        var $319=HEAP[$adjustR]; //@line 1348 "convert.c"
        var $320=CHECK_OVERFLOW((($319) - 1)&4294967295, 32); //@line 1348 "convert.c"
        var $321=HEAP[$r]; //@line 1348 "convert.c"
        var $322=($321) >> ($320); //@line 1348 "convert.c"
        var $323=($322) % 2; //@line 1348 "convert.c"
        var $324=((($323)) & 255); //@line 1348 "convert.c"
        var $325=CHECK_OVERFLOW((($318) + ($324))&255, 8); //@line 1348 "convert.c"
        HEAP[$rc]=$325; //@line 1348 "convert.c"
        var $326=HEAP[$image_addr]; //@line 1350 "convert.c"
        var $327=CHECK_OVERFLOW(($326+24)&4294967295, 32); //@line 1350 "convert.c"
        var $328=HEAP[$327]; //@line 1350 "convert.c"
        var $329=CHECK_OVERFLOW(($328+48)&4294967295, 32); //@line 1350 "convert.c"
        var $330=CHECK_OVERFLOW(($329+44)&4294967295, 32); //@line 1350 "convert.c"
        var $331=HEAP[$330]; //@line 1350 "convert.c"
        var $332=HEAP[$i]; //@line 1350 "convert.c"
        var $333=CHECK_OVERFLOW(($331+4*$332)&4294967295, 32); //@line 1350 "convert.c"
        var $334=HEAP[$333]; //@line 1350 "convert.c"
        HEAP[$g]=$334; //@line 1350 "convert.c"
        var $335=HEAP[$image_addr]; //@line 1351 "convert.c"
        var $336=CHECK_OVERFLOW(($335+24)&4294967295, 32); //@line 1351 "convert.c"
        var $337=HEAP[$336]; //@line 1351 "convert.c"
        var $338=CHECK_OVERFLOW(($337+48)&4294967295, 32); //@line 1351 "convert.c"
        var $339=CHECK_OVERFLOW(($338+32)&4294967295, 32); //@line 1351 "convert.c"
        var $340=HEAP[$339]; //@line 1351 "convert.c"
        var $341=($340)!=0; //@line 1351 "convert.c"
        if ($341) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 1351 "convert.c"
      case 32: // $bb30
        var $342=HEAP[$image_addr]; //@line 1351 "convert.c"
        var $343=CHECK_OVERFLOW(($342+24)&4294967295, 32); //@line 1351 "convert.c"
        var $344=HEAP[$343]; //@line 1351 "convert.c"
        var $345=CHECK_OVERFLOW(($344+48)&4294967295, 32); //@line 1351 "convert.c"
        var $346=CHECK_OVERFLOW(($345+24)&4294967295, 32); //@line 1351 "convert.c"
        var $347=HEAP[$346]; //@line 1351 "convert.c"
        var $348=CHECK_OVERFLOW((($347) - 1)&4294967295, 32); //@line 1351 "convert.c"
        var $349=1 << ($348); //@line 1351 "convert.c"
        HEAP[$iftmp_156]=$349; //@line 1351 "convert.c"
        __label__ = 34; break; //@line 1351 "convert.c"
      case 33: // $bb31
        HEAP[$iftmp_156]=0; //@line 1351 "convert.c"
        __label__ = 34; break; //@line 1351 "convert.c"
      case 34: // $bb32
        var $350=HEAP[$iftmp_156]; //@line 1351 "convert.c"
        var $351=HEAP[$g]; //@line 1351 "convert.c"
        var $352=CHECK_OVERFLOW((($350) + ($351))&4294967295, 32); //@line 1351 "convert.c"
        HEAP[$g]=$352; //@line 1351 "convert.c"
        var $353=HEAP[$g]; //@line 1352 "convert.c"
        var $354=HEAP[$adjustG]; //@line 1352 "convert.c"
        var $355=($353) >> ($354); //@line 1352 "convert.c"
        var $356=((($355)) & 255); //@line 1352 "convert.c"
        var $357=HEAP[$adjustG]; //@line 1352 "convert.c"
        var $358=CHECK_OVERFLOW((($357) - 1)&4294967295, 32); //@line 1352 "convert.c"
        var $359=HEAP[$g]; //@line 1352 "convert.c"
        var $360=($359) >> ($358); //@line 1352 "convert.c"
        var $361=($360) % 2; //@line 1352 "convert.c"
        var $362=((($361)) & 255); //@line 1352 "convert.c"
        var $363=CHECK_OVERFLOW((($356) + ($362))&255, 8); //@line 1352 "convert.c"
        HEAP[$gc]=$363; //@line 1352 "convert.c"
        var $364=HEAP[$image_addr]; //@line 1354 "convert.c"
        var $365=CHECK_OVERFLOW(($364+24)&4294967295, 32); //@line 1354 "convert.c"
        var $366=HEAP[$365]; //@line 1354 "convert.c"
        var $367=CHECK_OVERFLOW(($366+96)&4294967295, 32); //@line 1354 "convert.c"
        var $368=CHECK_OVERFLOW(($367+44)&4294967295, 32); //@line 1354 "convert.c"
        var $369=HEAP[$368]; //@line 1354 "convert.c"
        var $370=HEAP[$i]; //@line 1354 "convert.c"
        var $371=CHECK_OVERFLOW(($369+4*$370)&4294967295, 32); //@line 1354 "convert.c"
        var $372=HEAP[$371]; //@line 1354 "convert.c"
        HEAP[$b]=$372; //@line 1354 "convert.c"
        var $373=HEAP[$image_addr]; //@line 1355 "convert.c"
        var $374=CHECK_OVERFLOW(($373+24)&4294967295, 32); //@line 1355 "convert.c"
        var $375=HEAP[$374]; //@line 1355 "convert.c"
        var $376=CHECK_OVERFLOW(($375+96)&4294967295, 32); //@line 1355 "convert.c"
        var $377=CHECK_OVERFLOW(($376+32)&4294967295, 32); //@line 1355 "convert.c"
        var $378=HEAP[$377]; //@line 1355 "convert.c"
        var $379=($378)!=0; //@line 1355 "convert.c"
        if ($379) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 1355 "convert.c"
      case 35: // $bb33
        var $380=HEAP[$image_addr]; //@line 1355 "convert.c"
        var $381=CHECK_OVERFLOW(($380+24)&4294967295, 32); //@line 1355 "convert.c"
        var $382=HEAP[$381]; //@line 1355 "convert.c"
        var $383=CHECK_OVERFLOW(($382+96)&4294967295, 32); //@line 1355 "convert.c"
        var $384=CHECK_OVERFLOW(($383+24)&4294967295, 32); //@line 1355 "convert.c"
        var $385=HEAP[$384]; //@line 1355 "convert.c"
        var $386=CHECK_OVERFLOW((($385) - 1)&4294967295, 32); //@line 1355 "convert.c"
        var $387=1 << ($386); //@line 1355 "convert.c"
        HEAP[$iftmp_157]=$387; //@line 1355 "convert.c"
        __label__ = 37; break; //@line 1355 "convert.c"
      case 36: // $bb34
        HEAP[$iftmp_157]=0; //@line 1355 "convert.c"
        __label__ = 37; break; //@line 1355 "convert.c"
      case 37: // $bb35
        var $388=HEAP[$iftmp_157]; //@line 1355 "convert.c"
        var $389=HEAP[$b]; //@line 1355 "convert.c"
        var $390=CHECK_OVERFLOW((($388) + ($389))&4294967295, 32); //@line 1355 "convert.c"
        HEAP[$b]=$390; //@line 1355 "convert.c"
        var $391=HEAP[$b]; //@line 1356 "convert.c"
        var $392=HEAP[$adjustB]; //@line 1356 "convert.c"
        var $393=($391) >> ($392); //@line 1356 "convert.c"
        var $394=((($393)) & 255); //@line 1356 "convert.c"
        var $395=HEAP[$adjustB]; //@line 1356 "convert.c"
        var $396=CHECK_OVERFLOW((($395) - 1)&4294967295, 32); //@line 1356 "convert.c"
        var $397=HEAP[$b]; //@line 1356 "convert.c"
        var $398=($397) >> ($396); //@line 1356 "convert.c"
        var $399=($398) % 2; //@line 1356 "convert.c"
        var $400=((($399)) & 255); //@line 1356 "convert.c"
        var $401=CHECK_OVERFLOW((($394) + ($400))&255, 8); //@line 1356 "convert.c"
        HEAP[$bc]=$401; //@line 1356 "convert.c"
        var $402=HEAP[$bc]; //@line 1358 "convert.c"
        var $403=($402); //@line 1358 "convert.c"
        var $404=HEAP[$gc]; //@line 1358 "convert.c"
        var $405=($404); //@line 1358 "convert.c"
        var $406=HEAP[$rc]; //@line 1358 "convert.c"
        var $407=($406); //@line 1358 "convert.c"
        var $408=HEAP[$fdest]; //@line 1358 "convert.c"
        var $409=_fprintf($408, CHECK_OVERFLOW((__str1773)&4294967295, 32), $407, $405, $403); //@line 1358 "convert.c"
        var $410=HEAP[$i]; //@line 1343 "convert.c"
        var $411=CHECK_OVERFLOW((($410) + 1)&4294967295, 32); //@line 1343 "convert.c"
        HEAP[$i]=$411; //@line 1343 "convert.c"
        __label__ = 28; break; //@line 1343 "convert.c"
      case 28: // $bb36
        var $412=HEAP[$wr]; //@line 1343 "convert.c"
        var $413=HEAP[$hr]; //@line 1343 "convert.c"
        var $414=CHECK_OVERFLOW((($412) * ($413))&4294967295, 32); //@line 1343 "convert.c"
        var $415=HEAP[$i]; //@line 1343 "convert.c"
        var $416=($414) > ($415); //@line 1343 "convert.c"
        if ($416) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 1343 "convert.c"
      case 39: // $bb37
        var $417=HEAP[$fdest]; //@line 1360 "convert.c"
        var $418=_fclose($417); //@line 1360 "convert.c"
        __label__ = 40; break; //@line 1360 "convert.c"
      case 3: // $bb38
        var $419=HEAP[$S2]; //@line 1363 "convert.c"
        var $420=($419)==103; //@line 1363 "convert.c"
        if ($420) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 1363 "convert.c"
      case 42: // $bb39
        var $421=HEAP[$S2]; //@line 1363 "convert.c"
        var $422=($421)==71; //@line 1363 "convert.c"
        if ($422) { __label__ = 41; break; } else { __label__ = 43; break; } //@line 1363 "convert.c"
      case 43: // $bb40
        var $423=HEAP[$image_addr]; //@line 1363 "convert.c"
        var $424=CHECK_OVERFLOW(($423+16)&4294967295, 32); //@line 1363 "convert.c"
        var $425=HEAP[$424]; //@line 1363 "convert.c"
        HEAP[$iftmp_158]=$425; //@line 1363 "convert.c"
        __label__ = 44; break; //@line 1363 "convert.c"
      case 41: // $bb41
        HEAP[$iftmp_158]=1; //@line 1363 "convert.c"
        __label__ = 44; break; //@line 1363 "convert.c"
      case 44: // $bb42
        var $426=HEAP[$iftmp_158]; //@line 1363 "convert.c"
        HEAP[$ncomp]=$426; //@line 1363 "convert.c"
        var $427=HEAP[$image_addr]; //@line 1364 "convert.c"
        var $428=CHECK_OVERFLOW(($427+16)&4294967295, 32); //@line 1364 "convert.c"
        var $429=HEAP[$428]; //@line 1364 "convert.c"
        var $430=HEAP[$ncomp]; //@line 1364 "convert.c"
        var $431=($429) > ($430); //@line 1364 "convert.c"
        if ($431) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 1364 "convert.c"
      case 45: // $bb43
        var $432=HEAP[_stderr]; //@line 1365 "convert.c"
        var $433=$432; //@line 1365 "convert.c"
        var $434=_fwrite(CHECK_OVERFLOW((__str3187)&4294967295, 32), 1, 48, $433); //@line 1365 "convert.c"
        var $435=HEAP[_stderr]; //@line 1366 "convert.c"
        var $436=$435; //@line 1366 "convert.c"
        var $437=_fwrite(CHECK_OVERFLOW((__str3288)&4294967295, 32), 1, 34, $436); //@line 1366 "convert.c"
        __label__ = 46; break; //@line 1366 "convert.c"
      case 46: // $bb44
        HEAP[$compno]=0; //@line 1368 "convert.c"
        __label__ = 47; break; //@line 1368 "convert.c"
      case 65: // $bb45
        var $438=HEAP[$ncomp]; //@line 1370 "convert.c"
        var $439=($438) > 1; //@line 1370 "convert.c"
        if ($439) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 1370 "convert.c"
      case 48: // $bb46
        var $name47=$name; //@line 1371 "convert.c"
        var $440=HEAP[$compno]; //@line 1371 "convert.c"
        var $441=HEAP[$outfile_addr]; //@line 1371 "convert.c"
        var $442=_sprintf($name47, CHECK_OVERFLOW((__str33122)&4294967295, 32), $440, $441); //@line 1371 "convert.c"
        __label__ = 50; break; //@line 1371 "convert.c"
      case 49: // $bb48
        var $name49=$name; //@line 1373 "convert.c"
        var $443=HEAP[$outfile_addr]; //@line 1373 "convert.c"
        var $444=_strcpy($name49, $443); //@line 1373 "convert.c"
        __label__ = 50; break; //@line 1373 "convert.c"
      case 50: // $bb50
        var $name51=$name; //@line 1376 "convert.c"
        var $445=_fopen($name51, CHECK_OVERFLOW((__str561)&4294967295, 32)); //@line 1376 "convert.c"
        HEAP[$fdest]=$445; //@line 1376 "convert.c"
        var $446=HEAP[$fdest]; //@line 1377 "convert.c"
        var $447=($446)==0; //@line 1377 "convert.c"
        if ($447) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 1377 "convert.c"
      case 51: // $bb52
        var $448=HEAP[_stderr]; //@line 1378 "convert.c"
        var $name53=$name; //@line 1378 "convert.c"
        var $449=_fprintf($448, CHECK_OVERFLOW((__str662)&4294967295, 32), $name53); //@line 1378 "convert.c"
        HEAP[$0]=1; //@line 1379 "convert.c"
        __label__ = 15; break; //@line 1379 "convert.c"
      case 52: // $bb54
        var $450=HEAP[$image_addr]; //@line 1382 "convert.c"
        var $451=CHECK_OVERFLOW(($450+24)&4294967295, 32); //@line 1382 "convert.c"
        var $452=HEAP[$451]; //@line 1382 "convert.c"
        var $453=HEAP[$compno]; //@line 1382 "convert.c"
        var $454=CHECK_OVERFLOW(($452+48*$453)&4294967295, 32); //@line 1382 "convert.c"
        var $455=CHECK_OVERFLOW(($454)&4294967295, 32); //@line 1382 "convert.c"
        var $456=HEAP[$455]; //@line 1382 "convert.c"
        var $457=HEAP[$image_addr]; //@line 1382 "convert.c"
        var $458=CHECK_OVERFLOW(($457+8)&4294967295, 32); //@line 1382 "convert.c"
        var $459=HEAP[$458]; //@line 1382 "convert.c"
        var $460=HEAP[$image_addr]; //@line 1382 "convert.c"
        var $461=CHECK_OVERFLOW(($460)&4294967295, 32); //@line 1382 "convert.c"
        var $462=HEAP[$461]; //@line 1382 "convert.c"
        var $463=CHECK_OVERFLOW((($459) - ($462))&4294967295, 32); //@line 1382 "convert.c"
        var $464=_int_ceildiv95($463, $456); //@line 1382 "convert.c"
        HEAP[$w]=$464; //@line 1382 "convert.c"
        var $465=HEAP[$image_addr]; //@line 1383 "convert.c"
        var $466=CHECK_OVERFLOW(($465+24)&4294967295, 32); //@line 1383 "convert.c"
        var $467=HEAP[$466]; //@line 1383 "convert.c"
        var $468=HEAP[$compno]; //@line 1383 "convert.c"
        var $469=CHECK_OVERFLOW(($467+48*$468)&4294967295, 32); //@line 1383 "convert.c"
        var $470=CHECK_OVERFLOW(($469+8)&4294967295, 32); //@line 1383 "convert.c"
        var $471=HEAP[$470]; //@line 1383 "convert.c"
        HEAP[$wr]=$471; //@line 1383 "convert.c"
        var $472=HEAP[$image_addr]; //@line 1385 "convert.c"
        var $473=CHECK_OVERFLOW(($472+24)&4294967295, 32); //@line 1385 "convert.c"
        var $474=HEAP[$473]; //@line 1385 "convert.c"
        var $475=HEAP[$compno]; //@line 1385 "convert.c"
        var $476=CHECK_OVERFLOW(($474+48*$475)&4294967295, 32); //@line 1385 "convert.c"
        var $477=CHECK_OVERFLOW(($476+4)&4294967295, 32); //@line 1385 "convert.c"
        var $478=HEAP[$477]; //@line 1385 "convert.c"
        var $479=HEAP[$image_addr]; //@line 1385 "convert.c"
        var $480=CHECK_OVERFLOW(($479+12)&4294967295, 32); //@line 1385 "convert.c"
        var $481=HEAP[$480]; //@line 1385 "convert.c"
        var $482=HEAP[$image_addr]; //@line 1385 "convert.c"
        var $483=CHECK_OVERFLOW(($482+4)&4294967295, 32); //@line 1385 "convert.c"
        var $484=HEAP[$483]; //@line 1385 "convert.c"
        var $485=CHECK_OVERFLOW((($481) - ($484))&4294967295, 32); //@line 1385 "convert.c"
        var $486=_int_ceildiv95($485, $478); //@line 1385 "convert.c"
        HEAP[$h]=$486; //@line 1385 "convert.c"
        var $487=HEAP[$image_addr]; //@line 1386 "convert.c"
        var $488=CHECK_OVERFLOW(($487+24)&4294967295, 32); //@line 1386 "convert.c"
        var $489=HEAP[$488]; //@line 1386 "convert.c"
        var $490=HEAP[$compno]; //@line 1386 "convert.c"
        var $491=CHECK_OVERFLOW(($489+48*$490)&4294967295, 32); //@line 1386 "convert.c"
        var $492=CHECK_OVERFLOW(($491+12)&4294967295, 32); //@line 1386 "convert.c"
        var $493=HEAP[$492]; //@line 1386 "convert.c"
        HEAP[$hr]=$493; //@line 1386 "convert.c"
        var $494=HEAP[$image_addr]; //@line 1388 "convert.c"
        var $495=CHECK_OVERFLOW(($494+24)&4294967295, 32); //@line 1388 "convert.c"
        var $496=HEAP[$495]; //@line 1388 "convert.c"
        var $497=HEAP[$compno]; //@line 1388 "convert.c"
        var $498=CHECK_OVERFLOW(($496+48*$497)&4294967295, 32); //@line 1388 "convert.c"
        var $499=CHECK_OVERFLOW(($498+24)&4294967295, 32); //@line 1388 "convert.c"
        var $500=HEAP[$499]; //@line 1388 "convert.c"
        var $501=($500) <= 8; //@line 1388 "convert.c"
        if ($501) { __label__ = 53; break; } else { __label__ = 54; break; } //@line 1388 "convert.c"
      case 53: // $bb55
        var $502=HEAP[$image_addr]; //@line 1388 "convert.c"
        var $503=CHECK_OVERFLOW(($502+24)&4294967295, 32); //@line 1388 "convert.c"
        var $504=HEAP[$503]; //@line 1388 "convert.c"
        var $505=HEAP[$compno]; //@line 1388 "convert.c"
        var $506=CHECK_OVERFLOW(($504+48*$505)&4294967295, 32); //@line 1388 "convert.c"
        var $507=CHECK_OVERFLOW(($506+24)&4294967295, 32); //@line 1388 "convert.c"
        var $508=HEAP[$507]; //@line 1388 "convert.c"
        var $509=1 << ($508); //@line 1388 "convert.c"
        var $510=CHECK_OVERFLOW((($509) - 1)&4294967295, 32); //@line 1388 "convert.c"
        HEAP[$iftmp_162]=$510; //@line 1388 "convert.c"
        __label__ = 55; break; //@line 1388 "convert.c"
      case 54: // $bb56
        HEAP[$iftmp_162]=255; //@line 1388 "convert.c"
        __label__ = 55; break; //@line 1388 "convert.c"
      case 55: // $bb57
        var $511=HEAP[$iftmp_162]; //@line 1388 "convert.c"
        HEAP[$max]=$511; //@line 1388 "convert.c"
        var $512=HEAP[$image_addr]; //@line 1390 "convert.c"
        var $513=CHECK_OVERFLOW(($512+24)&4294967295, 32); //@line 1390 "convert.c"
        var $514=HEAP[$513]; //@line 1390 "convert.c"
        var $515=HEAP[$compno]; //@line 1390 "convert.c"
        var $516=CHECK_OVERFLOW(($514+48*$515)&4294967295, 32); //@line 1390 "convert.c"
        var $517=HEAP[$image_addr]; //@line 1390 "convert.c"
        var $518=CHECK_OVERFLOW(($517+24)&4294967295, 32); //@line 1390 "convert.c"
        var $519=HEAP[$518]; //@line 1390 "convert.c"
        var $520=HEAP[$compno]; //@line 1390 "convert.c"
        var $521=CHECK_OVERFLOW(($519+48*$520)&4294967295, 32); //@line 1390 "convert.c"
        var $522=CHECK_OVERFLOW(($521+40)&4294967295, 32); //@line 1390 "convert.c"
        var $523=HEAP[$522]; //@line 1390 "convert.c"
        var $524=HEAP[$image_addr]; //@line 1390 "convert.c"
        var $525=CHECK_OVERFLOW(($524+24)&4294967295, 32); //@line 1390 "convert.c"
        var $526=HEAP[$525]; //@line 1390 "convert.c"
        var $527=HEAP[$compno]; //@line 1390 "convert.c"
        var $528=CHECK_OVERFLOW(($526+48*$527)&4294967295, 32); //@line 1390 "convert.c"
        var $529=CHECK_OVERFLOW(($528+16)&4294967295, 32); //@line 1390 "convert.c"
        var $530=HEAP[$529]; //@line 1390 "convert.c"
        var $531=HEAP[$image_addr]; //@line 1390 "convert.c"
        var $532=CHECK_OVERFLOW(($531+24)&4294967295, 32); //@line 1390 "convert.c"
        var $533=HEAP[$532]; //@line 1390 "convert.c"
        var $534=HEAP[$compno]; //@line 1390 "convert.c"
        var $535=CHECK_OVERFLOW(($533+48*$534)&4294967295, 32); //@line 1390 "convert.c"
        var $536=CHECK_OVERFLOW(($535)&4294967295, 32); //@line 1390 "convert.c"
        var $537=HEAP[$536]; //@line 1390 "convert.c"
        var $538=HEAP[$image_addr]; //@line 1390 "convert.c"
        var $539=CHECK_OVERFLOW(($538)&4294967295, 32); //@line 1390 "convert.c"
        var $540=HEAP[$539]; //@line 1390 "convert.c"
        var $541=_int_ceildiv95($540, $537); //@line 1390 "convert.c"
        var $542=CHECK_OVERFLOW((($530) - ($541))&4294967295, 32); //@line 1390 "convert.c"
        var $543=_int_ceildivpow294($542, $523); //@line 1390 "convert.c"
        var $544=CHECK_OVERFLOW(($516+16)&4294967295, 32); //@line 1390 "convert.c"
        HEAP[$544]=$543; //@line 1390 "convert.c"
        var $545=HEAP[$image_addr]; //@line 1391 "convert.c"
        var $546=CHECK_OVERFLOW(($545+24)&4294967295, 32); //@line 1391 "convert.c"
        var $547=HEAP[$546]; //@line 1391 "convert.c"
        var $548=HEAP[$compno]; //@line 1391 "convert.c"
        var $549=CHECK_OVERFLOW(($547+48*$548)&4294967295, 32); //@line 1391 "convert.c"
        var $550=HEAP[$image_addr]; //@line 1391 "convert.c"
        var $551=CHECK_OVERFLOW(($550+24)&4294967295, 32); //@line 1391 "convert.c"
        var $552=HEAP[$551]; //@line 1391 "convert.c"
        var $553=HEAP[$compno]; //@line 1391 "convert.c"
        var $554=CHECK_OVERFLOW(($552+48*$553)&4294967295, 32); //@line 1391 "convert.c"
        var $555=CHECK_OVERFLOW(($554+40)&4294967295, 32); //@line 1391 "convert.c"
        var $556=HEAP[$555]; //@line 1391 "convert.c"
        var $557=HEAP[$image_addr]; //@line 1391 "convert.c"
        var $558=CHECK_OVERFLOW(($557+24)&4294967295, 32); //@line 1391 "convert.c"
        var $559=HEAP[$558]; //@line 1391 "convert.c"
        var $560=HEAP[$compno]; //@line 1391 "convert.c"
        var $561=CHECK_OVERFLOW(($559+48*$560)&4294967295, 32); //@line 1391 "convert.c"
        var $562=CHECK_OVERFLOW(($561+20)&4294967295, 32); //@line 1391 "convert.c"
        var $563=HEAP[$562]; //@line 1391 "convert.c"
        var $564=HEAP[$image_addr]; //@line 1391 "convert.c"
        var $565=CHECK_OVERFLOW(($564+24)&4294967295, 32); //@line 1391 "convert.c"
        var $566=HEAP[$565]; //@line 1391 "convert.c"
        var $567=HEAP[$compno]; //@line 1391 "convert.c"
        var $568=CHECK_OVERFLOW(($566+48*$567)&4294967295, 32); //@line 1391 "convert.c"
        var $569=CHECK_OVERFLOW(($568+4)&4294967295, 32); //@line 1391 "convert.c"
        var $570=HEAP[$569]; //@line 1391 "convert.c"
        var $571=HEAP[$image_addr]; //@line 1391 "convert.c"
        var $572=CHECK_OVERFLOW(($571+4)&4294967295, 32); //@line 1391 "convert.c"
        var $573=HEAP[$572]; //@line 1391 "convert.c"
        var $574=_int_ceildiv95($573, $570); //@line 1391 "convert.c"
        var $575=CHECK_OVERFLOW((($563) - ($574))&4294967295, 32); //@line 1391 "convert.c"
        var $576=_int_ceildivpow294($575, $556); //@line 1391 "convert.c"
        var $577=CHECK_OVERFLOW(($549+20)&4294967295, 32); //@line 1391 "convert.c"
        HEAP[$577]=$576; //@line 1391 "convert.c"
        var $578=HEAP[$fdest]; //@line 1393 "convert.c"
        var $579=HEAP[$wr]; //@line 1393 "convert.c"
        var $580=HEAP[$hr]; //@line 1393 "convert.c"
        var $581=HEAP[$max]; //@line 1393 "convert.c"
        var $582=_fprintf($578, CHECK_OVERFLOW((__str34123)&4294967295, 32), $579, $580, $581); //@line 1393 "convert.c"
        var $583=HEAP[$image_addr]; //@line 1395 "convert.c"
        var $584=CHECK_OVERFLOW(($583+24)&4294967295, 32); //@line 1395 "convert.c"
        var $585=HEAP[$584]; //@line 1395 "convert.c"
        var $586=HEAP[$compno]; //@line 1395 "convert.c"
        var $587=CHECK_OVERFLOW(($585+48*$586)&4294967295, 32); //@line 1395 "convert.c"
        var $588=CHECK_OVERFLOW(($587+24)&4294967295, 32); //@line 1395 "convert.c"
        var $589=HEAP[$588]; //@line 1395 "convert.c"
        var $590=($589) > 8; //@line 1395 "convert.c"
        if ($590) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 1395 "convert.c"
      case 56: // $bb58
        var $591=HEAP[$image_addr]; //@line 1396 "convert.c"
        var $592=CHECK_OVERFLOW(($591+24)&4294967295, 32); //@line 1396 "convert.c"
        var $593=HEAP[$592]; //@line 1396 "convert.c"
        var $594=CHECK_OVERFLOW(($593)&4294967295, 32); //@line 1396 "convert.c"
        var $595=CHECK_OVERFLOW(($594+24)&4294967295, 32); //@line 1396 "convert.c"
        var $596=HEAP[$595]; //@line 1396 "convert.c"
        var $597=CHECK_OVERFLOW((($596) - 8)&4294967295, 32); //@line 1396 "convert.c"
        HEAP[$adjustX]=$597; //@line 1396 "convert.c"
        var $598=HEAP[$image_addr]; //@line 1397 "convert.c"
        var $599=CHECK_OVERFLOW(($598+24)&4294967295, 32); //@line 1397 "convert.c"
        var $600=HEAP[$599]; //@line 1397 "convert.c"
        var $601=HEAP[$compno]; //@line 1397 "convert.c"
        var $602=CHECK_OVERFLOW(($600+48*$601)&4294967295, 32); //@line 1397 "convert.c"
        var $603=CHECK_OVERFLOW(($602+24)&4294967295, 32); //@line 1397 "convert.c"
        var $604=HEAP[$603]; //@line 1397 "convert.c"
        var $605=HEAP[$compno]; //@line 1397 "convert.c"
        var $606=_printf(CHECK_OVERFLOW((__str35124)&4294967295, 32), $605, $604); //@line 1397 "convert.c"
        __label__ = 58; break; //@line 1397 "convert.c"
      case 57: // $bb59
        HEAP[$adjustX]=0; //@line 1400 "convert.c"
        __label__ = 58; break; //@line 1400 "convert.c"
      case 58: // $bb60
        HEAP[$i]=0; //@line 1402 "convert.c"
        __label__ = 59; break; //@line 1402 "convert.c"
      case 63: // $bb61
        var $607=HEAP[$image_addr]; //@line 1405 "convert.c"
        var $608=CHECK_OVERFLOW(($607+24)&4294967295, 32); //@line 1405 "convert.c"
        var $609=HEAP[$608]; //@line 1405 "convert.c"
        var $610=HEAP[$compno]; //@line 1405 "convert.c"
        var $611=CHECK_OVERFLOW(($609+48*$610)&4294967295, 32); //@line 1405 "convert.c"
        var $612=CHECK_OVERFLOW(($611+44)&4294967295, 32); //@line 1405 "convert.c"
        var $613=HEAP[$612]; //@line 1405 "convert.c"
        var $614=HEAP[$i]; //@line 1405 "convert.c"
        var $615=CHECK_OVERFLOW(($613+4*$614)&4294967295, 32); //@line 1405 "convert.c"
        var $616=HEAP[$615]; //@line 1405 "convert.c"
        HEAP[$l]=$616; //@line 1405 "convert.c"
        var $617=HEAP[$image_addr]; //@line 1406 "convert.c"
        var $618=CHECK_OVERFLOW(($617+24)&4294967295, 32); //@line 1406 "convert.c"
        var $619=HEAP[$618]; //@line 1406 "convert.c"
        var $620=HEAP[$compno]; //@line 1406 "convert.c"
        var $621=CHECK_OVERFLOW(($619+48*$620)&4294967295, 32); //@line 1406 "convert.c"
        var $622=CHECK_OVERFLOW(($621+32)&4294967295, 32); //@line 1406 "convert.c"
        var $623=HEAP[$622]; //@line 1406 "convert.c"
        var $624=($623)!=0; //@line 1406 "convert.c"
        if ($624) { __label__ = 60; break; } else { __label__ = 61; break; } //@line 1406 "convert.c"
      case 60: // $bb62
        var $625=HEAP[$image_addr]; //@line 1406 "convert.c"
        var $626=CHECK_OVERFLOW(($625+24)&4294967295, 32); //@line 1406 "convert.c"
        var $627=HEAP[$626]; //@line 1406 "convert.c"
        var $628=HEAP[$compno]; //@line 1406 "convert.c"
        var $629=CHECK_OVERFLOW(($627+48*$628)&4294967295, 32); //@line 1406 "convert.c"
        var $630=CHECK_OVERFLOW(($629+24)&4294967295, 32); //@line 1406 "convert.c"
        var $631=HEAP[$630]; //@line 1406 "convert.c"
        var $632=CHECK_OVERFLOW((($631) - 1)&4294967295, 32); //@line 1406 "convert.c"
        var $633=1 << ($632); //@line 1406 "convert.c"
        HEAP[$iftmp_163]=$633; //@line 1406 "convert.c"
        __label__ = 62; break; //@line 1406 "convert.c"
      case 61: // $bb63
        HEAP[$iftmp_163]=0; //@line 1406 "convert.c"
        __label__ = 62; break; //@line 1406 "convert.c"
      case 62: // $bb64
        var $634=HEAP[$iftmp_163]; //@line 1406 "convert.c"
        var $635=HEAP[$l]; //@line 1406 "convert.c"
        var $636=CHECK_OVERFLOW((($634) + ($635))&4294967295, 32); //@line 1406 "convert.c"
        HEAP[$l]=$636; //@line 1406 "convert.c"
        var $637=HEAP[$l]; //@line 1407 "convert.c"
        var $638=HEAP[$adjustX]; //@line 1407 "convert.c"
        var $639=($637) >> ($638); //@line 1407 "convert.c"
        var $640=((($639)) & 255); //@line 1407 "convert.c"
        var $641=HEAP[$adjustX]; //@line 1407 "convert.c"
        var $642=CHECK_OVERFLOW((($641) - 1)&4294967295, 32); //@line 1407 "convert.c"
        var $643=HEAP[$l]; //@line 1407 "convert.c"
        var $644=($643) >> ($642); //@line 1407 "convert.c"
        var $645=($644) % 2; //@line 1407 "convert.c"
        var $646=((($645)) & 255); //@line 1407 "convert.c"
        var $647=CHECK_OVERFLOW((($640) + ($646))&255, 8); //@line 1407 "convert.c"
        HEAP[$lc]=$647; //@line 1407 "convert.c"
        var $648=HEAP[$lc]; //@line 1408 "convert.c"
        var $649=($648); //@line 1408 "convert.c"
        var $650=HEAP[$fdest]; //@line 1408 "convert.c"
        var $651=$650; //@line 1408 "convert.c"
        var $652=_fputc($649, $651); //@line 1408 "convert.c"
        var $653=HEAP[$i]; //@line 1402 "convert.c"
        var $654=CHECK_OVERFLOW((($653) + 1)&4294967295, 32); //@line 1402 "convert.c"
        HEAP[$i]=$654; //@line 1402 "convert.c"
        __label__ = 59; break; //@line 1402 "convert.c"
      case 59: // $bb65
        var $655=HEAP[$wr]; //@line 1402 "convert.c"
        var $656=HEAP[$hr]; //@line 1402 "convert.c"
        var $657=CHECK_OVERFLOW((($655) * ($656))&4294967295, 32); //@line 1402 "convert.c"
        var $658=HEAP[$i]; //@line 1402 "convert.c"
        var $659=($657) > ($658); //@line 1402 "convert.c"
        if ($659) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 1402 "convert.c"
      case 64: // $bb66
        var $660=HEAP[$fdest]; //@line 1410 "convert.c"
        var $661=_fclose($660); //@line 1410 "convert.c"
        var $662=HEAP[$compno]; //@line 1368 "convert.c"
        var $663=CHECK_OVERFLOW((($662) + 1)&4294967295, 32); //@line 1368 "convert.c"
        HEAP[$compno]=$663; //@line 1368 "convert.c"
        __label__ = 47; break; //@line 1368 "convert.c"
      case 47: // $bb67
        var $664=HEAP[$compno]; //@line 1368 "convert.c"
        var $665=HEAP[$ncomp]; //@line 1368 "convert.c"
        var $666=($664) < ($665); //@line 1368 "convert.c"
        if ($666) { __label__ = 65; break; } else { __label__ = 40; break; } //@line 1368 "convert.c"
      case 40: // $bb68
        HEAP[$0]=0; //@line 1414 "convert.c"
        __label__ = 15; break; //@line 1414 "convert.c"
      case 15: // $bb69
        var $667=HEAP[$0]; //@line 1307 "convert.c"
        HEAP[$retval]=$667; //@line 1307 "convert.c"
        __label__ = 66; break; //@line 1307 "convert.c"
      case 66: // $return
        var $retval70=HEAP[$retval]; //@line 1307 "convert.c"
        STACKTOP = __stackBase__;
        return $retval70; //@line 1307 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _imagetotif($image, $outfile) {
    var __stackBase__  = STACKTOP; STACKTOP += 196; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 196);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $image_addr=__stackBase__;
        var $outfile_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $iftmp_165=__stackBase__+12;
        var $0=__stackBase__+16;
        var $width=__stackBase__+20;
        var $height=__stackBase__+24;
        var $imgsize=__stackBase__+28;
        var $bps=__stackBase__+32;
        var $index=__stackBase__+36;
        var $adjust=__stackBase__+40;
        var $last_i=__stackBase__+44;
        var $tif=__stackBase__+48;
        var $buf=__stackBase__+52;
        var $strip=__stackBase__+56;
        var $strip_size=__stackBase__+60;
        var $dat8=__stackBase__+64;
        var $i=__stackBase__+68;
        var $ssize=__stackBase__+72;
        var $r=__stackBase__+76;
        var $g=__stackBase__+80;
        var $b=__stackBase__+84;
        var $r22=__stackBase__+88;
        var $g23=__stackBase__+92;
        var $b24=__stackBase__+96;
        var $r35=__stackBase__+100;
        var $g36=__stackBase__+104;
        var $b37=__stackBase__+108;
        var $r1=__stackBase__+112;
        var $g1=__stackBase__+116;
        var $b1=__stackBase__+120;
        var $r47=__stackBase__+124;
        var $g48=__stackBase__+128;
        var $b49=__stackBase__+132;
        var $r150=__stackBase__+136;
        var $g151=__stackBase__+140;
        var $b152=__stackBase__+144;
        var $r72=__stackBase__+148;
        var $g73=__stackBase__+152;
        var $b74=__stackBase__+156;
        var $r82=__stackBase__+160;
        var $g83=__stackBase__+164;
        var $b84=__stackBase__+168;
        var $dat8104=__stackBase__+172;
        var $i105=__stackBase__+176;
        var $r109=__stackBase__+180;
        var $r118=__stackBase__+184;
        var $r1119=__stackBase__+188;
        var $r128=__stackBase__+192;
        var $_alloca_point_=0;
        HEAP[$image_addr]=$image;
        HEAP[$outfile_addr]=$outfile;
        HEAP[$adjust]=0; //@line 1436 "convert.c"
        HEAP[$last_i]=0; //@line 1437 "convert.c"
        var $1=HEAP[$image_addr]; //@line 1443 "convert.c"
        var $2=CHECK_OVERFLOW(($1+16)&4294967295, 32); //@line 1443 "convert.c"
        var $3=HEAP[$2]; //@line 1443 "convert.c"
        var $4=($3)!=3; //@line 1443 "convert.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1443 "convert.c"
      case 1: // $bb
        var $5=HEAP[$image_addr]; //@line 1443 "convert.c"
        var $6=CHECK_OVERFLOW(($5+24)&4294967295, 32); //@line 1443 "convert.c"
        var $7=HEAP[$6]; //@line 1443 "convert.c"
        var $8=CHECK_OVERFLOW(($7)&4294967295, 32); //@line 1443 "convert.c"
        var $9=CHECK_OVERFLOW(($8)&4294967295, 32); //@line 1443 "convert.c"
        var $10=HEAP[$9]; //@line 1443 "convert.c"
        var $11=HEAP[$image_addr]; //@line 1443 "convert.c"
        var $12=CHECK_OVERFLOW(($11+24)&4294967295, 32); //@line 1443 "convert.c"
        var $13=HEAP[$12]; //@line 1443 "convert.c"
        var $14=CHECK_OVERFLOW(($13+48)&4294967295, 32); //@line 1443 "convert.c"
        var $15=CHECK_OVERFLOW(($14)&4294967295, 32); //@line 1443 "convert.c"
        var $16=HEAP[$15]; //@line 1443 "convert.c"
        var $17=($10)!=($16); //@line 1443 "convert.c"
        if ($17) { __label__ = 0; break; } else { __label__ = 2; break; } //@line 1443 "convert.c"
      case 2: // $bb1
        var $18=HEAP[$image_addr]; //@line 1443 "convert.c"
        var $19=CHECK_OVERFLOW(($18+24)&4294967295, 32); //@line 1443 "convert.c"
        var $20=HEAP[$19]; //@line 1443 "convert.c"
        var $21=CHECK_OVERFLOW(($20+48)&4294967295, 32); //@line 1443 "convert.c"
        var $22=CHECK_OVERFLOW(($21)&4294967295, 32); //@line 1443 "convert.c"
        var $23=HEAP[$22]; //@line 1443 "convert.c"
        var $24=HEAP[$image_addr]; //@line 1443 "convert.c"
        var $25=CHECK_OVERFLOW(($24+24)&4294967295, 32); //@line 1443 "convert.c"
        var $26=HEAP[$25]; //@line 1443 "convert.c"
        var $27=CHECK_OVERFLOW(($26+96)&4294967295, 32); //@line 1443 "convert.c"
        var $28=CHECK_OVERFLOW(($27)&4294967295, 32); //@line 1443 "convert.c"
        var $29=HEAP[$28]; //@line 1443 "convert.c"
        var $30=($23)!=($29); //@line 1443 "convert.c"
        if ($30) { __label__ = 0; break; } else { __label__ = 3; break; } //@line 1443 "convert.c"
      case 3: // $bb2
        var $31=HEAP[$image_addr]; //@line 1443 "convert.c"
        var $32=CHECK_OVERFLOW(($31+24)&4294967295, 32); //@line 1443 "convert.c"
        var $33=HEAP[$32]; //@line 1443 "convert.c"
        var $34=CHECK_OVERFLOW(($33)&4294967295, 32); //@line 1443 "convert.c"
        var $35=CHECK_OVERFLOW(($34+4)&4294967295, 32); //@line 1443 "convert.c"
        var $36=HEAP[$35]; //@line 1443 "convert.c"
        var $37=HEAP[$image_addr]; //@line 1443 "convert.c"
        var $38=CHECK_OVERFLOW(($37+24)&4294967295, 32); //@line 1443 "convert.c"
        var $39=HEAP[$38]; //@line 1443 "convert.c"
        var $40=CHECK_OVERFLOW(($39+48)&4294967295, 32); //@line 1443 "convert.c"
        var $41=CHECK_OVERFLOW(($40+4)&4294967295, 32); //@line 1443 "convert.c"
        var $42=HEAP[$41]; //@line 1443 "convert.c"
        var $43=($36)!=($42); //@line 1443 "convert.c"
        if ($43) { __label__ = 0; break; } else { __label__ = 4; break; } //@line 1443 "convert.c"
      case 4: // $bb3
        var $44=HEAP[$image_addr]; //@line 1443 "convert.c"
        var $45=CHECK_OVERFLOW(($44+24)&4294967295, 32); //@line 1443 "convert.c"
        var $46=HEAP[$45]; //@line 1443 "convert.c"
        var $47=CHECK_OVERFLOW(($46+48)&4294967295, 32); //@line 1443 "convert.c"
        var $48=CHECK_OVERFLOW(($47+4)&4294967295, 32); //@line 1443 "convert.c"
        var $49=HEAP[$48]; //@line 1443 "convert.c"
        var $50=HEAP[$image_addr]; //@line 1443 "convert.c"
        var $51=CHECK_OVERFLOW(($50+24)&4294967295, 32); //@line 1443 "convert.c"
        var $52=HEAP[$51]; //@line 1443 "convert.c"
        var $53=CHECK_OVERFLOW(($52+96)&4294967295, 32); //@line 1443 "convert.c"
        var $54=CHECK_OVERFLOW(($53+4)&4294967295, 32); //@line 1443 "convert.c"
        var $55=HEAP[$54]; //@line 1443 "convert.c"
        var $56=($49)!=($55); //@line 1443 "convert.c"
        if ($56) { __label__ = 0; break; } else { __label__ = 5; break; } //@line 1443 "convert.c"
      case 5: // $bb4
        var $57=HEAP[$image_addr]; //@line 1443 "convert.c"
        var $58=CHECK_OVERFLOW(($57+24)&4294967295, 32); //@line 1443 "convert.c"
        var $59=HEAP[$58]; //@line 1443 "convert.c"
        var $60=CHECK_OVERFLOW(($59)&4294967295, 32); //@line 1443 "convert.c"
        var $61=CHECK_OVERFLOW(($60+24)&4294967295, 32); //@line 1443 "convert.c"
        var $62=HEAP[$61]; //@line 1443 "convert.c"
        var $63=HEAP[$image_addr]; //@line 1443 "convert.c"
        var $64=CHECK_OVERFLOW(($63+24)&4294967295, 32); //@line 1443 "convert.c"
        var $65=HEAP[$64]; //@line 1443 "convert.c"
        var $66=CHECK_OVERFLOW(($65+48)&4294967295, 32); //@line 1443 "convert.c"
        var $67=CHECK_OVERFLOW(($66+24)&4294967295, 32); //@line 1443 "convert.c"
        var $68=HEAP[$67]; //@line 1443 "convert.c"
        var $69=($62)!=($68); //@line 1443 "convert.c"
        if ($69) { __label__ = 0; break; } else { __label__ = 6; break; } //@line 1443 "convert.c"
      case 6: // $bb5
        var $70=HEAP[$image_addr]; //@line 1443 "convert.c"
        var $71=CHECK_OVERFLOW(($70+24)&4294967295, 32); //@line 1443 "convert.c"
        var $72=HEAP[$71]; //@line 1443 "convert.c"
        var $73=CHECK_OVERFLOW(($72+48)&4294967295, 32); //@line 1443 "convert.c"
        var $74=CHECK_OVERFLOW(($73+24)&4294967295, 32); //@line 1443 "convert.c"
        var $75=HEAP[$74]; //@line 1443 "convert.c"
        var $76=HEAP[$image_addr]; //@line 1443 "convert.c"
        var $77=CHECK_OVERFLOW(($76+24)&4294967295, 32); //@line 1443 "convert.c"
        var $78=HEAP[$77]; //@line 1443 "convert.c"
        var $79=CHECK_OVERFLOW(($78+96)&4294967295, 32); //@line 1443 "convert.c"
        var $80=CHECK_OVERFLOW(($79+24)&4294967295, 32); //@line 1443 "convert.c"
        var $81=HEAP[$80]; //@line 1443 "convert.c"
        var $82=($75)!=($81); //@line 1443 "convert.c"
        if ($82) { __label__ = 0; break; } else { __label__ = 7; break; } //@line 1443 "convert.c"
      case 7: // $bb6
        var $83=HEAP[$outfile_addr]; //@line 1454 "convert.c"
        var $84=_TIFFOpen($83, CHECK_OVERFLOW((__str561)&4294967295, 32)); //@line 1454 "convert.c"
        HEAP[$tif]=$84; //@line 1454 "convert.c"
        var $85=HEAP[$tif]; //@line 1455 "convert.c"
        var $86=($85)==0; //@line 1455 "convert.c"
        if ($86) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 1455 "convert.c"
      case 8: // $bb7
        var $87=HEAP[_stderr]; //@line 1456 "convert.c"
        var $88=HEAP[$outfile_addr]; //@line 1456 "convert.c"
        var $89=_fprintf($87, CHECK_OVERFLOW((__str662)&4294967295, 32), $88); //@line 1456 "convert.c"
        HEAP[$0]=1; //@line 1457 "convert.c"
        __label__ = 10; break; //@line 1457 "convert.c"
      case 9: // $bb8
        var $90=HEAP[$image_addr]; //@line 1460 "convert.c"
        var $91=CHECK_OVERFLOW(($90+24)&4294967295, 32); //@line 1460 "convert.c"
        var $92=HEAP[$91]; //@line 1460 "convert.c"
        var $93=CHECK_OVERFLOW(($92)&4294967295, 32); //@line 1460 "convert.c"
        var $94=CHECK_OVERFLOW(($93+8)&4294967295, 32); //@line 1460 "convert.c"
        var $95=HEAP[$94]; //@line 1460 "convert.c"
        HEAP[$width]=$95; //@line 1460 "convert.c"
        var $96=HEAP[$image_addr]; //@line 1461 "convert.c"
        var $97=CHECK_OVERFLOW(($96+24)&4294967295, 32); //@line 1461 "convert.c"
        var $98=HEAP[$97]; //@line 1461 "convert.c"
        var $99=CHECK_OVERFLOW(($98)&4294967295, 32); //@line 1461 "convert.c"
        var $100=CHECK_OVERFLOW(($99+12)&4294967295, 32); //@line 1461 "convert.c"
        var $101=HEAP[$100]; //@line 1461 "convert.c"
        HEAP[$height]=$101; //@line 1461 "convert.c"
        var $102=HEAP[$width]; //@line 1462 "convert.c"
        var $103=HEAP[$height]; //@line 1462 "convert.c"
        var $104=CHECK_OVERFLOW((($102) * ($103))&4294967295, 32); //@line 1462 "convert.c"
        HEAP[$imgsize]=$104; //@line 1462 "convert.c"
        var $105=HEAP[$image_addr]; //@line 1463 "convert.c"
        var $106=CHECK_OVERFLOW(($105+24)&4294967295, 32); //@line 1463 "convert.c"
        var $107=HEAP[$106]; //@line 1463 "convert.c"
        var $108=CHECK_OVERFLOW(($107)&4294967295, 32); //@line 1463 "convert.c"
        var $109=CHECK_OVERFLOW(($108+24)&4294967295, 32); //@line 1463 "convert.c"
        var $110=HEAP[$109]; //@line 1463 "convert.c"
        HEAP[$bps]=$110; //@line 1463 "convert.c"
        var $111=HEAP[$tif]; //@line 1465 "convert.c"
        var $112=HEAP[$width]; //@line 1465 "convert.c"
        var $113=_TIFFSetField($111, 256, $112); //@line 1465 "convert.c"
        var $114=HEAP[$tif]; //@line 1466 "convert.c"
        var $115=HEAP[$height]; //@line 1466 "convert.c"
        var $116=_TIFFSetField($114, 257, $115); //@line 1466 "convert.c"
        var $117=HEAP[$tif]; //@line 1467 "convert.c"
        var $118=_TIFFSetField($117, 277, 3); //@line 1467 "convert.c"
        var $119=HEAP[$tif]; //@line 1468 "convert.c"
        var $120=HEAP[$bps]; //@line 1468 "convert.c"
        var $121=_TIFFSetField($119, 258, $120); //@line 1468 "convert.c"
        var $122=HEAP[$tif]; //@line 1469 "convert.c"
        var $123=_TIFFSetField($122, 274, 1); //@line 1469 "convert.c"
        var $124=HEAP[$tif]; //@line 1470 "convert.c"
        var $125=_TIFFSetField($124, 284, 1); //@line 1470 "convert.c"
        var $126=HEAP[$tif]; //@line 1471 "convert.c"
        var $127=_TIFFSetField($126, 262, 2); //@line 1471 "convert.c"
        var $128=HEAP[$tif]; //@line 1472 "convert.c"
        var $129=_TIFFSetField($128, 278, 1); //@line 1472 "convert.c"
        var $130=HEAP[$tif]; //@line 1475 "convert.c"
        var $131=_TIFFStripSize($130); //@line 1475 "convert.c"
        HEAP[$strip_size]=$131; //@line 1475 "convert.c"
        var $132=HEAP[$strip_size]; //@line 1476 "convert.c"
        var $133=__TIFFmalloc($132); //@line 1476 "convert.c"
        HEAP[$buf]=$133; //@line 1476 "convert.c"
        HEAP[$index]=0; //@line 1477 "convert.c"
        var $134=HEAP[$image_addr]; //@line 1478 "convert.c"
        var $135=CHECK_OVERFLOW(($134+24)&4294967295, 32); //@line 1478 "convert.c"
        var $136=HEAP[$135]; //@line 1478 "convert.c"
        var $137=CHECK_OVERFLOW(($136)&4294967295, 32); //@line 1478 "convert.c"
        var $138=CHECK_OVERFLOW(($137+32)&4294967295, 32); //@line 1478 "convert.c"
        var $139=HEAP[$138]; //@line 1478 "convert.c"
        var $140=($139)!=0; //@line 1478 "convert.c"
        if ($140) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1478 "convert.c"
      case 11: // $bb9
        var $141=HEAP[$image_addr]; //@line 1478 "convert.c"
        var $142=CHECK_OVERFLOW(($141+24)&4294967295, 32); //@line 1478 "convert.c"
        var $143=HEAP[$142]; //@line 1478 "convert.c"
        var $144=CHECK_OVERFLOW(($143)&4294967295, 32); //@line 1478 "convert.c"
        var $145=CHECK_OVERFLOW(($144+24)&4294967295, 32); //@line 1478 "convert.c"
        var $146=HEAP[$145]; //@line 1478 "convert.c"
        var $147=CHECK_OVERFLOW((($146) - 1)&4294967295, 32); //@line 1478 "convert.c"
        var $148=1 << ($147); //@line 1478 "convert.c"
        HEAP[$iftmp_165]=$148; //@line 1478 "convert.c"
        __label__ = 13; break; //@line 1478 "convert.c"
      case 12: // $bb10
        HEAP[$iftmp_165]=0; //@line 1478 "convert.c"
        __label__ = 13; break; //@line 1478 "convert.c"
      case 13: // $bb11
        var $149=HEAP[$iftmp_165]; //@line 1478 "convert.c"
        HEAP[$adjust]=$149; //@line 1478 "convert.c"
        HEAP[$strip]=0; //@line 1479 "convert.c"
        __label__ = 14; break; //@line 1479 "convert.c"
      case 76: // $bb12
        var $150=HEAP[$tif]; //@line 1482 "convert.c"
        var $151=_TIFFStripSize($150); //@line 1482 "convert.c"
        HEAP[$ssize]=$151; //@line 1482 "convert.c"
        var $152=HEAP[$buf]; //@line 1483 "convert.c"
        HEAP[$dat8]=$152; //@line 1483 "convert.c"
        var $153=HEAP[$image_addr]; //@line 1484 "convert.c"
        var $154=CHECK_OVERFLOW(($153+24)&4294967295, 32); //@line 1484 "convert.c"
        var $155=HEAP[$154]; //@line 1484 "convert.c"
        var $156=CHECK_OVERFLOW(($155)&4294967295, 32); //@line 1484 "convert.c"
        var $157=CHECK_OVERFLOW(($156+24)&4294967295, 32); //@line 1484 "convert.c"
        var $158=HEAP[$157]; //@line 1484 "convert.c"
        var $159=($158)==8; //@line 1484 "convert.c"
        if ($159) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 1484 "convert.c"
      case 15: // $bb13
        HEAP[$i]=0; //@line 1485 "convert.c"
        __label__ = 17; break; //@line 1485 "convert.c"
      case 22: // $bb14
        HEAP[$r]=0; //@line 1486 "convert.c"
        HEAP[$g]=0; //@line 1486 "convert.c"
        HEAP[$b]=0; //@line 1486 "convert.c"
        var $160=HEAP[$index]; //@line 1487 "convert.c"
        var $161=HEAP[$imgsize]; //@line 1487 "convert.c"
        var $162=($160) < ($161); //@line 1487 "convert.c"
        if ($162) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 1487 "convert.c"
      case 18: // $bb15
        var $163=HEAP[$image_addr]; //@line 1488 "convert.c"
        var $164=CHECK_OVERFLOW(($163+24)&4294967295, 32); //@line 1488 "convert.c"
        var $165=HEAP[$164]; //@line 1488 "convert.c"
        var $166=CHECK_OVERFLOW(($165)&4294967295, 32); //@line 1488 "convert.c"
        var $167=CHECK_OVERFLOW(($166+44)&4294967295, 32); //@line 1488 "convert.c"
        var $168=HEAP[$167]; //@line 1488 "convert.c"
        var $169=HEAP[$index]; //@line 1488 "convert.c"
        var $170=CHECK_OVERFLOW(($168+4*$169)&4294967295, 32); //@line 1488 "convert.c"
        var $171=HEAP[$170]; //@line 1488 "convert.c"
        HEAP[$r]=$171; //@line 1488 "convert.c"
        var $172=HEAP[$image_addr]; //@line 1489 "convert.c"
        var $173=CHECK_OVERFLOW(($172+24)&4294967295, 32); //@line 1489 "convert.c"
        var $174=HEAP[$173]; //@line 1489 "convert.c"
        var $175=CHECK_OVERFLOW(($174+48)&4294967295, 32); //@line 1489 "convert.c"
        var $176=CHECK_OVERFLOW(($175+44)&4294967295, 32); //@line 1489 "convert.c"
        var $177=HEAP[$176]; //@line 1489 "convert.c"
        var $178=HEAP[$index]; //@line 1489 "convert.c"
        var $179=CHECK_OVERFLOW(($177+4*$178)&4294967295, 32); //@line 1489 "convert.c"
        var $180=HEAP[$179]; //@line 1489 "convert.c"
        HEAP[$g]=$180; //@line 1489 "convert.c"
        var $181=HEAP[$image_addr]; //@line 1490 "convert.c"
        var $182=CHECK_OVERFLOW(($181+24)&4294967295, 32); //@line 1490 "convert.c"
        var $183=HEAP[$182]; //@line 1490 "convert.c"
        var $184=CHECK_OVERFLOW(($183+96)&4294967295, 32); //@line 1490 "convert.c"
        var $185=CHECK_OVERFLOW(($184+44)&4294967295, 32); //@line 1490 "convert.c"
        var $186=HEAP[$185]; //@line 1490 "convert.c"
        var $187=HEAP[$index]; //@line 1490 "convert.c"
        var $188=CHECK_OVERFLOW(($186+4*$187)&4294967295, 32); //@line 1490 "convert.c"
        var $189=HEAP[$188]; //@line 1490 "convert.c"
        HEAP[$b]=$189; //@line 1490 "convert.c"
        var $190=HEAP[$image_addr]; //@line 1491 "convert.c"
        var $191=CHECK_OVERFLOW(($190+24)&4294967295, 32); //@line 1491 "convert.c"
        var $192=HEAP[$191]; //@line 1491 "convert.c"
        var $193=CHECK_OVERFLOW(($192)&4294967295, 32); //@line 1491 "convert.c"
        var $194=CHECK_OVERFLOW(($193+32)&4294967295, 32); //@line 1491 "convert.c"
        var $195=HEAP[$194]; //@line 1491 "convert.c"
        var $196=($195)!=0; //@line 1491 "convert.c"
        if ($196) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1491 "convert.c"
      case 20: // $bb16
        var $197=HEAP[$r]; //@line 1492 "convert.c"
        var $198=HEAP[$adjust]; //@line 1492 "convert.c"
        var $199=CHECK_OVERFLOW((($197) + ($198))&4294967295, 32); //@line 1492 "convert.c"
        HEAP[$r]=$199; //@line 1492 "convert.c"
        var $200=HEAP[$g]; //@line 1493 "convert.c"
        var $201=HEAP[$adjust]; //@line 1493 "convert.c"
        var $202=CHECK_OVERFLOW((($200) + ($201))&4294967295, 32); //@line 1493 "convert.c"
        HEAP[$g]=$202; //@line 1493 "convert.c"
        var $203=HEAP[$b]; //@line 1494 "convert.c"
        var $204=HEAP[$adjust]; //@line 1494 "convert.c"
        var $205=CHECK_OVERFLOW((($203) + ($204))&4294967295, 32); //@line 1494 "convert.c"
        HEAP[$b]=$205; //@line 1494 "convert.c"
        __label__ = 21; break; //@line 1494 "convert.c"
      case 21: // $bb17
        var $206=HEAP[$r]; //@line 1496 "convert.c"
        var $207=((($206)) & 255); //@line 1496 "convert.c"
        var $208=HEAP[$dat8]; //@line 1496 "convert.c"
        var $209=HEAP[$i]; //@line 1496 "convert.c"
        var $210=CHECK_OVERFLOW(($208+$209)&4294967295, 32); //@line 1496 "convert.c"
        HEAP[$210]=$207; //@line 1496 "convert.c"
        var $211=HEAP[$i]; //@line 1497 "convert.c"
        var $212=CHECK_OVERFLOW((($211) + 1)&4294967295, 32); //@line 1497 "convert.c"
        var $213=HEAP[$g]; //@line 1497 "convert.c"
        var $214=((($213)) & 255); //@line 1497 "convert.c"
        var $215=HEAP[$dat8]; //@line 1497 "convert.c"
        var $216=CHECK_OVERFLOW(($215+$212)&4294967295, 32); //@line 1497 "convert.c"
        HEAP[$216]=$214; //@line 1497 "convert.c"
        var $217=HEAP[$i]; //@line 1498 "convert.c"
        var $218=CHECK_OVERFLOW((($217) + 2)&4294967295, 32); //@line 1498 "convert.c"
        var $219=HEAP[$b]; //@line 1498 "convert.c"
        var $220=((($219)) & 255); //@line 1498 "convert.c"
        var $221=HEAP[$dat8]; //@line 1498 "convert.c"
        var $222=CHECK_OVERFLOW(($221+$218)&4294967295, 32); //@line 1498 "convert.c"
        HEAP[$222]=$220; //@line 1498 "convert.c"
        var $223=HEAP[$index]; //@line 1499 "convert.c"
        var $224=CHECK_OVERFLOW((($223) + 1)&4294967295, 32); //@line 1499 "convert.c"
        HEAP[$index]=$224; //@line 1499 "convert.c"
        var $225=HEAP[$i]; //@line 1500 "convert.c"
        var $226=CHECK_OVERFLOW((($225) + 3)&4294967295, 32); //@line 1500 "convert.c"
        HEAP[$last_i]=$226; //@line 1500 "convert.c"
        var $227=HEAP[$i]; //@line 1485 "convert.c"
        var $228=CHECK_OVERFLOW((($227) + 3)&4294967295, 32); //@line 1485 "convert.c"
        HEAP[$i]=$228; //@line 1485 "convert.c"
        __label__ = 17; break; //@line 1485 "convert.c"
      case 17: // $bb18
        var $229=HEAP[$ssize]; //@line 1485 "convert.c"
        var $230=CHECK_OVERFLOW((($229) - 2)&4294967295, 32); //@line 1485 "convert.c"
        var $231=HEAP[$i]; //@line 1485 "convert.c"
        var $232=($230) > ($231); //@line 1485 "convert.c"
        if ($232) { __label__ = 22; break; } else { __label__ = 19; break; } //@line 1485 "convert.c"
      case 19: // $bb19
        var $233=HEAP[$last_i]; //@line 1504 "convert.c"
        var $234=HEAP[$ssize]; //@line 1504 "convert.c"
        var $235=($233) < ($234); //@line 1504 "convert.c"
        if ($235) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1504 "convert.c"
      case 23: // $bb20
        var $236=HEAP[$last_i]; //@line 1505 "convert.c"
        HEAP[$i]=$236; //@line 1505 "convert.c"
        __label__ = 25; break; //@line 1505 "convert.c"
      case 31: // $bb21
        HEAP[$r22]=0; //@line 1506 "convert.c"
        HEAP[$g23]=0; //@line 1506 "convert.c"
        HEAP[$b24]=0; //@line 1506 "convert.c"
        var $237=HEAP[$index]; //@line 1507 "convert.c"
        var $238=HEAP[$imgsize]; //@line 1507 "convert.c"
        var $239=($237) < ($238); //@line 1507 "convert.c"
        if ($239) { __label__ = 26; break; } else { __label__ = 24; break; } //@line 1507 "convert.c"
      case 26: // $bb25
        var $240=HEAP[$image_addr]; //@line 1508 "convert.c"
        var $241=CHECK_OVERFLOW(($240+24)&4294967295, 32); //@line 1508 "convert.c"
        var $242=HEAP[$241]; //@line 1508 "convert.c"
        var $243=CHECK_OVERFLOW(($242)&4294967295, 32); //@line 1508 "convert.c"
        var $244=CHECK_OVERFLOW(($243+44)&4294967295, 32); //@line 1508 "convert.c"
        var $245=HEAP[$244]; //@line 1508 "convert.c"
        var $246=HEAP[$index]; //@line 1508 "convert.c"
        var $247=CHECK_OVERFLOW(($245+4*$246)&4294967295, 32); //@line 1508 "convert.c"
        var $248=HEAP[$247]; //@line 1508 "convert.c"
        HEAP[$r22]=$248; //@line 1508 "convert.c"
        var $249=HEAP[$image_addr]; //@line 1509 "convert.c"
        var $250=CHECK_OVERFLOW(($249+24)&4294967295, 32); //@line 1509 "convert.c"
        var $251=HEAP[$250]; //@line 1509 "convert.c"
        var $252=CHECK_OVERFLOW(($251+48)&4294967295, 32); //@line 1509 "convert.c"
        var $253=CHECK_OVERFLOW(($252+44)&4294967295, 32); //@line 1509 "convert.c"
        var $254=HEAP[$253]; //@line 1509 "convert.c"
        var $255=HEAP[$index]; //@line 1509 "convert.c"
        var $256=CHECK_OVERFLOW(($254+4*$255)&4294967295, 32); //@line 1509 "convert.c"
        var $257=HEAP[$256]; //@line 1509 "convert.c"
        HEAP[$g23]=$257; //@line 1509 "convert.c"
        var $258=HEAP[$image_addr]; //@line 1510 "convert.c"
        var $259=CHECK_OVERFLOW(($258+24)&4294967295, 32); //@line 1510 "convert.c"
        var $260=HEAP[$259]; //@line 1510 "convert.c"
        var $261=CHECK_OVERFLOW(($260+96)&4294967295, 32); //@line 1510 "convert.c"
        var $262=CHECK_OVERFLOW(($261+44)&4294967295, 32); //@line 1510 "convert.c"
        var $263=HEAP[$262]; //@line 1510 "convert.c"
        var $264=HEAP[$index]; //@line 1510 "convert.c"
        var $265=CHECK_OVERFLOW(($263+4*$264)&4294967295, 32); //@line 1510 "convert.c"
        var $266=HEAP[$265]; //@line 1510 "convert.c"
        HEAP[$b24]=$266; //@line 1510 "convert.c"
        var $267=HEAP[$image_addr]; //@line 1511 "convert.c"
        var $268=CHECK_OVERFLOW(($267+24)&4294967295, 32); //@line 1511 "convert.c"
        var $269=HEAP[$268]; //@line 1511 "convert.c"
        var $270=CHECK_OVERFLOW(($269)&4294967295, 32); //@line 1511 "convert.c"
        var $271=CHECK_OVERFLOW(($270+32)&4294967295, 32); //@line 1511 "convert.c"
        var $272=HEAP[$271]; //@line 1511 "convert.c"
        var $273=($272)!=0; //@line 1511 "convert.c"
        if ($273) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1511 "convert.c"
      case 27: // $bb26
        var $274=HEAP[$r22]; //@line 1512 "convert.c"
        var $275=HEAP[$adjust]; //@line 1512 "convert.c"
        var $276=CHECK_OVERFLOW((($274) + ($275))&4294967295, 32); //@line 1512 "convert.c"
        HEAP[$r22]=$276; //@line 1512 "convert.c"
        var $277=HEAP[$g23]; //@line 1513 "convert.c"
        var $278=HEAP[$adjust]; //@line 1513 "convert.c"
        var $279=CHECK_OVERFLOW((($277) + ($278))&4294967295, 32); //@line 1513 "convert.c"
        HEAP[$g23]=$279; //@line 1513 "convert.c"
        var $280=HEAP[$b24]; //@line 1514 "convert.c"
        var $281=HEAP[$adjust]; //@line 1514 "convert.c"
        var $282=CHECK_OVERFLOW((($280) + ($281))&4294967295, 32); //@line 1514 "convert.c"
        HEAP[$b24]=$282; //@line 1514 "convert.c"
        __label__ = 28; break; //@line 1514 "convert.c"
      case 28: // $bb27
        var $283=HEAP[$r22]; //@line 1516 "convert.c"
        var $284=((($283)) & 255); //@line 1516 "convert.c"
        var $285=HEAP[$dat8]; //@line 1516 "convert.c"
        var $286=HEAP[$i]; //@line 1516 "convert.c"
        var $287=CHECK_OVERFLOW(($285+$286)&4294967295, 32); //@line 1516 "convert.c"
        HEAP[$287]=$284; //@line 1516 "convert.c"
        var $288=HEAP[$i]; //@line 1517 "convert.c"
        var $289=CHECK_OVERFLOW((($288) + 1)&4294967295, 32); //@line 1517 "convert.c"
        var $290=HEAP[$ssize]; //@line 1517 "convert.c"
        var $291=($289) < ($290); //@line 1517 "convert.c"
        if ($291) { __label__ = 29; break; } else { __label__ = 24; break; } //@line 1517 "convert.c"
      case 29: // $bb28
        var $292=HEAP[$i]; //@line 1517 "convert.c"
        var $293=CHECK_OVERFLOW((($292) + 1)&4294967295, 32); //@line 1517 "convert.c"
        var $294=HEAP[$g23]; //@line 1517 "convert.c"
        var $295=((($294)) & 255); //@line 1517 "convert.c"
        var $296=HEAP[$dat8]; //@line 1517 "convert.c"
        var $297=CHECK_OVERFLOW(($296+$293)&4294967295, 32); //@line 1517 "convert.c"
        HEAP[$297]=$295; //@line 1517 "convert.c"
        var $298=HEAP[$i]; //@line 1518 "convert.c"
        var $299=CHECK_OVERFLOW((($298) + 2)&4294967295, 32); //@line 1518 "convert.c"
        var $300=HEAP[$ssize]; //@line 1518 "convert.c"
        var $301=($299) < ($300); //@line 1518 "convert.c"
        if ($301) { __label__ = 30; break; } else { __label__ = 24; break; } //@line 1518 "convert.c"
      case 30: // $bb29
        var $302=HEAP[$i]; //@line 1518 "convert.c"
        var $303=CHECK_OVERFLOW((($302) + 2)&4294967295, 32); //@line 1518 "convert.c"
        var $304=HEAP[$b24]; //@line 1518 "convert.c"
        var $305=((($304)) & 255); //@line 1518 "convert.c"
        var $306=HEAP[$dat8]; //@line 1518 "convert.c"
        var $307=CHECK_OVERFLOW(($306+$303)&4294967295, 32); //@line 1518 "convert.c"
        HEAP[$307]=$305; //@line 1518 "convert.c"
        var $308=HEAP[$index]; //@line 1519 "convert.c"
        var $309=CHECK_OVERFLOW((($308) + 1)&4294967295, 32); //@line 1519 "convert.c"
        HEAP[$index]=$309; //@line 1519 "convert.c"
        var $310=HEAP[$i]; //@line 1505 "convert.c"
        var $311=CHECK_OVERFLOW((($310) + 3)&4294967295, 32); //@line 1505 "convert.c"
        HEAP[$i]=$311; //@line 1505 "convert.c"
        __label__ = 25; break; //@line 1505 "convert.c"
      case 25: // $bb30
        var $312=HEAP[$i]; //@line 1505 "convert.c"
        var $313=HEAP[$ssize]; //@line 1505 "convert.c"
        var $314=($312) < ($313); //@line 1505 "convert.c"
        if ($314) { __label__ = 31; break; } else { __label__ = 24; break; } //@line 1505 "convert.c"
      case 24: // $bb31
        __label__ = 32; break; //@line 1505 "convert.c"
      case 16: // $bb32
        var $315=HEAP[$image_addr]; //@line 1524 "convert.c"
        var $316=CHECK_OVERFLOW(($315+24)&4294967295, 32); //@line 1524 "convert.c"
        var $317=HEAP[$316]; //@line 1524 "convert.c"
        var $318=CHECK_OVERFLOW(($317)&4294967295, 32); //@line 1524 "convert.c"
        var $319=CHECK_OVERFLOW(($318+24)&4294967295, 32); //@line 1524 "convert.c"
        var $320=HEAP[$319]; //@line 1524 "convert.c"
        var $321=($320)==12; //@line 1524 "convert.c"
        if ($321) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 1524 "convert.c"
      case 33: // $bb33
        HEAP[$i]=0; //@line 1525 "convert.c"
        __label__ = 35; break; //@line 1525 "convert.c"
      case 40: // $bb34
        HEAP[$r35]=0; //@line 1526 "convert.c"
        HEAP[$g36]=0; //@line 1526 "convert.c"
        HEAP[$b37]=0; //@line 1526 "convert.c"
        HEAP[$r1]=0; //@line 1527 "convert.c"
        HEAP[$g1]=0; //@line 1527 "convert.c"
        HEAP[$b1]=0; //@line 1527 "convert.c"
        var $322=HEAP[$index]; //@line 1528 "convert.c"
        var $323=HEAP[$imgsize]; //@line 1528 "convert.c"
        var $324=($322) < ($323); //@line 1528 "convert.c"
        var $325=($324); //@line 1528 "convert.c"
        var $326=HEAP[$index]; //@line 1528 "convert.c"
        var $327=CHECK_OVERFLOW((($326) + 1)&4294967295, 32); //@line 1528 "convert.c"
        var $328=HEAP[$imgsize]; //@line 1528 "convert.c"
        var $329=($327) < ($328); //@line 1528 "convert.c"
        var $330=($329); //@line 1528 "convert.c"
        var $toBool=($325)!=0; //@line 1528 "convert.c"
        var $toBool38=($330)!=0; //@line 1528 "convert.c"
        var $331=($toBool) & ($toBool38); //@line 1528 "convert.c"
        var $332=($331); //@line 1528 "convert.c"
        var $toBool39=($332)!=0; //@line 1528 "convert.c"
        if ($toBool39) { __label__ = 36; break; } else { __label__ = 37; break; } //@line 1528 "convert.c"
      case 36: // $bb40
        var $333=HEAP[$image_addr]; //@line 1529 "convert.c"
        var $334=CHECK_OVERFLOW(($333+24)&4294967295, 32); //@line 1529 "convert.c"
        var $335=HEAP[$334]; //@line 1529 "convert.c"
        var $336=CHECK_OVERFLOW(($335)&4294967295, 32); //@line 1529 "convert.c"
        var $337=CHECK_OVERFLOW(($336+44)&4294967295, 32); //@line 1529 "convert.c"
        var $338=HEAP[$337]; //@line 1529 "convert.c"
        var $339=HEAP[$index]; //@line 1529 "convert.c"
        var $340=CHECK_OVERFLOW(($338+4*$339)&4294967295, 32); //@line 1529 "convert.c"
        var $341=HEAP[$340]; //@line 1529 "convert.c"
        HEAP[$r35]=$341; //@line 1529 "convert.c"
        var $342=HEAP[$image_addr]; //@line 1530 "convert.c"
        var $343=CHECK_OVERFLOW(($342+24)&4294967295, 32); //@line 1530 "convert.c"
        var $344=HEAP[$343]; //@line 1530 "convert.c"
        var $345=CHECK_OVERFLOW(($344+48)&4294967295, 32); //@line 1530 "convert.c"
        var $346=CHECK_OVERFLOW(($345+44)&4294967295, 32); //@line 1530 "convert.c"
        var $347=HEAP[$346]; //@line 1530 "convert.c"
        var $348=HEAP[$index]; //@line 1530 "convert.c"
        var $349=CHECK_OVERFLOW(($347+4*$348)&4294967295, 32); //@line 1530 "convert.c"
        var $350=HEAP[$349]; //@line 1530 "convert.c"
        HEAP[$g36]=$350; //@line 1530 "convert.c"
        var $351=HEAP[$image_addr]; //@line 1531 "convert.c"
        var $352=CHECK_OVERFLOW(($351+24)&4294967295, 32); //@line 1531 "convert.c"
        var $353=HEAP[$352]; //@line 1531 "convert.c"
        var $354=CHECK_OVERFLOW(($353+96)&4294967295, 32); //@line 1531 "convert.c"
        var $355=CHECK_OVERFLOW(($354+44)&4294967295, 32); //@line 1531 "convert.c"
        var $356=HEAP[$355]; //@line 1531 "convert.c"
        var $357=HEAP[$index]; //@line 1531 "convert.c"
        var $358=CHECK_OVERFLOW(($356+4*$357)&4294967295, 32); //@line 1531 "convert.c"
        var $359=HEAP[$358]; //@line 1531 "convert.c"
        HEAP[$b37]=$359; //@line 1531 "convert.c"
        var $360=HEAP[$image_addr]; //@line 1532 "convert.c"
        var $361=CHECK_OVERFLOW(($360+24)&4294967295, 32); //@line 1532 "convert.c"
        var $362=HEAP[$361]; //@line 1532 "convert.c"
        var $363=CHECK_OVERFLOW(($362)&4294967295, 32); //@line 1532 "convert.c"
        var $364=CHECK_OVERFLOW(($363+44)&4294967295, 32); //@line 1532 "convert.c"
        var $365=HEAP[$364]; //@line 1532 "convert.c"
        var $366=HEAP[$index]; //@line 1532 "convert.c"
        var $367=CHECK_OVERFLOW((($366) + 1)&4294967295, 32); //@line 1532 "convert.c"
        var $368=CHECK_OVERFLOW(($365+4*$367)&4294967295, 32); //@line 1532 "convert.c"
        var $369=HEAP[$368]; //@line 1532 "convert.c"
        HEAP[$r1]=$369; //@line 1532 "convert.c"
        var $370=HEAP[$image_addr]; //@line 1533 "convert.c"
        var $371=CHECK_OVERFLOW(($370+24)&4294967295, 32); //@line 1533 "convert.c"
        var $372=HEAP[$371]; //@line 1533 "convert.c"
        var $373=CHECK_OVERFLOW(($372+48)&4294967295, 32); //@line 1533 "convert.c"
        var $374=CHECK_OVERFLOW(($373+44)&4294967295, 32); //@line 1533 "convert.c"
        var $375=HEAP[$374]; //@line 1533 "convert.c"
        var $376=HEAP[$index]; //@line 1533 "convert.c"
        var $377=CHECK_OVERFLOW((($376) + 1)&4294967295, 32); //@line 1533 "convert.c"
        var $378=CHECK_OVERFLOW(($375+4*$377)&4294967295, 32); //@line 1533 "convert.c"
        var $379=HEAP[$378]; //@line 1533 "convert.c"
        HEAP[$g1]=$379; //@line 1533 "convert.c"
        var $380=HEAP[$image_addr]; //@line 1534 "convert.c"
        var $381=CHECK_OVERFLOW(($380+24)&4294967295, 32); //@line 1534 "convert.c"
        var $382=HEAP[$381]; //@line 1534 "convert.c"
        var $383=CHECK_OVERFLOW(($382+96)&4294967295, 32); //@line 1534 "convert.c"
        var $384=CHECK_OVERFLOW(($383+44)&4294967295, 32); //@line 1534 "convert.c"
        var $385=HEAP[$384]; //@line 1534 "convert.c"
        var $386=HEAP[$index]; //@line 1534 "convert.c"
        var $387=CHECK_OVERFLOW((($386) + 1)&4294967295, 32); //@line 1534 "convert.c"
        var $388=CHECK_OVERFLOW(($385+4*$387)&4294967295, 32); //@line 1534 "convert.c"
        var $389=HEAP[$388]; //@line 1534 "convert.c"
        HEAP[$b1]=$389; //@line 1534 "convert.c"
        var $390=HEAP[$image_addr]; //@line 1535 "convert.c"
        var $391=CHECK_OVERFLOW(($390+24)&4294967295, 32); //@line 1535 "convert.c"
        var $392=HEAP[$391]; //@line 1535 "convert.c"
        var $393=CHECK_OVERFLOW(($392)&4294967295, 32); //@line 1535 "convert.c"
        var $394=CHECK_OVERFLOW(($393+32)&4294967295, 32); //@line 1535 "convert.c"
        var $395=HEAP[$394]; //@line 1535 "convert.c"
        var $396=($395)!=0; //@line 1535 "convert.c"
        if ($396) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 1535 "convert.c"
      case 38: // $bb41
        var $397=HEAP[$r35]; //@line 1536 "convert.c"
        var $398=HEAP[$adjust]; //@line 1536 "convert.c"
        var $399=CHECK_OVERFLOW((($397) + ($398))&4294967295, 32); //@line 1536 "convert.c"
        HEAP[$r35]=$399; //@line 1536 "convert.c"
        var $400=HEAP[$g36]; //@line 1537 "convert.c"
        var $401=HEAP[$adjust]; //@line 1537 "convert.c"
        var $402=CHECK_OVERFLOW((($400) + ($401))&4294967295, 32); //@line 1537 "convert.c"
        HEAP[$g36]=$402; //@line 1537 "convert.c"
        var $403=HEAP[$b37]; //@line 1538 "convert.c"
        var $404=HEAP[$adjust]; //@line 1538 "convert.c"
        var $405=CHECK_OVERFLOW((($403) + ($404))&4294967295, 32); //@line 1538 "convert.c"
        HEAP[$b37]=$405; //@line 1538 "convert.c"
        var $406=HEAP[$r1]; //@line 1539 "convert.c"
        var $407=HEAP[$adjust]; //@line 1539 "convert.c"
        var $408=CHECK_OVERFLOW((($406) + ($407))&4294967295, 32); //@line 1539 "convert.c"
        HEAP[$r1]=$408; //@line 1539 "convert.c"
        var $409=HEAP[$g1]; //@line 1540 "convert.c"
        var $410=HEAP[$adjust]; //@line 1540 "convert.c"
        var $411=CHECK_OVERFLOW((($409) + ($410))&4294967295, 32); //@line 1540 "convert.c"
        HEAP[$g1]=$411; //@line 1540 "convert.c"
        var $412=HEAP[$b1]; //@line 1541 "convert.c"
        var $413=HEAP[$adjust]; //@line 1541 "convert.c"
        var $414=CHECK_OVERFLOW((($412) + ($413))&4294967295, 32); //@line 1541 "convert.c"
        HEAP[$b1]=$414; //@line 1541 "convert.c"
        __label__ = 39; break; //@line 1541 "convert.c"
      case 39: // $bb42
        var $415=HEAP[$r35]; //@line 1543 "convert.c"
        var $416=($415) >> 4; //@line 1543 "convert.c"
        var $417=((($416)) & 255); //@line 1543 "convert.c"
        var $418=HEAP[$dat8]; //@line 1543 "convert.c"
        var $419=HEAP[$i]; //@line 1543 "convert.c"
        var $420=CHECK_OVERFLOW(($418+$419)&4294967295, 32); //@line 1543 "convert.c"
        HEAP[$420]=$417; //@line 1543 "convert.c"
        var $421=HEAP[$i]; //@line 1544 "convert.c"
        var $422=CHECK_OVERFLOW((($421) + 1)&4294967295, 32); //@line 1544 "convert.c"
        var $423=HEAP[$r35]; //@line 1544 "convert.c"
        var $424=($423) & 15; //@line 1544 "convert.c"
        var $425=($424) << 4; //@line 1544 "convert.c"
        var $426=((($425)) & 255); //@line 1544 "convert.c"
        var $427=HEAP[$g36]; //@line 1544 "convert.c"
        var $428=($427) >> 8; //@line 1544 "convert.c"
        var $429=((($428)) & 255); //@line 1544 "convert.c"
        var $430=($429) & 15; //@line 1544 "convert.c"
        var $431=($426) | ($430); //@line 1544 "convert.c"
        var $432=HEAP[$dat8]; //@line 1544 "convert.c"
        var $433=CHECK_OVERFLOW(($432+$422)&4294967295, 32); //@line 1544 "convert.c"
        HEAP[$433]=$431; //@line 1544 "convert.c"
        var $434=HEAP[$i]; //@line 1545 "convert.c"
        var $435=CHECK_OVERFLOW((($434) + 2)&4294967295, 32); //@line 1545 "convert.c"
        var $436=HEAP[$g36]; //@line 1545 "convert.c"
        var $437=((($436)) & 255); //@line 1545 "convert.c"
        var $438=HEAP[$dat8]; //@line 1545 "convert.c"
        var $439=CHECK_OVERFLOW(($438+$435)&4294967295, 32); //@line 1545 "convert.c"
        HEAP[$439]=$437; //@line 1545 "convert.c"
        var $440=HEAP[$i]; //@line 1546 "convert.c"
        var $441=CHECK_OVERFLOW((($440) + 3)&4294967295, 32); //@line 1546 "convert.c"
        var $442=HEAP[$b37]; //@line 1546 "convert.c"
        var $443=($442) >> 4; //@line 1546 "convert.c"
        var $444=((($443)) & 255); //@line 1546 "convert.c"
        var $445=HEAP[$dat8]; //@line 1546 "convert.c"
        var $446=CHECK_OVERFLOW(($445+$441)&4294967295, 32); //@line 1546 "convert.c"
        HEAP[$446]=$444; //@line 1546 "convert.c"
        var $447=HEAP[$i]; //@line 1547 "convert.c"
        var $448=CHECK_OVERFLOW((($447) + 4)&4294967295, 32); //@line 1547 "convert.c"
        var $449=HEAP[$b37]; //@line 1547 "convert.c"
        var $450=($449) & 15; //@line 1547 "convert.c"
        var $451=($450) << 4; //@line 1547 "convert.c"
        var $452=((($451)) & 255); //@line 1547 "convert.c"
        var $453=HEAP[$r1]; //@line 1547 "convert.c"
        var $454=($453) >> 8; //@line 1547 "convert.c"
        var $455=((($454)) & 255); //@line 1547 "convert.c"
        var $456=($455) & 15; //@line 1547 "convert.c"
        var $457=($452) | ($456); //@line 1547 "convert.c"
        var $458=HEAP[$dat8]; //@line 1547 "convert.c"
        var $459=CHECK_OVERFLOW(($458+$448)&4294967295, 32); //@line 1547 "convert.c"
        HEAP[$459]=$457; //@line 1547 "convert.c"
        var $460=HEAP[$i]; //@line 1548 "convert.c"
        var $461=CHECK_OVERFLOW((($460) + 5)&4294967295, 32); //@line 1548 "convert.c"
        var $462=HEAP[$r1]; //@line 1548 "convert.c"
        var $463=((($462)) & 255); //@line 1548 "convert.c"
        var $464=HEAP[$dat8]; //@line 1548 "convert.c"
        var $465=CHECK_OVERFLOW(($464+$461)&4294967295, 32); //@line 1548 "convert.c"
        HEAP[$465]=$463; //@line 1548 "convert.c"
        var $466=HEAP[$i]; //@line 1549 "convert.c"
        var $467=CHECK_OVERFLOW((($466) + 6)&4294967295, 32); //@line 1549 "convert.c"
        var $468=HEAP[$g1]; //@line 1549 "convert.c"
        var $469=($468) >> 4; //@line 1549 "convert.c"
        var $470=((($469)) & 255); //@line 1549 "convert.c"
        var $471=HEAP[$dat8]; //@line 1549 "convert.c"
        var $472=CHECK_OVERFLOW(($471+$467)&4294967295, 32); //@line 1549 "convert.c"
        HEAP[$472]=$470; //@line 1549 "convert.c"
        var $473=HEAP[$i]; //@line 1550 "convert.c"
        var $474=CHECK_OVERFLOW((($473) + 7)&4294967295, 32); //@line 1550 "convert.c"
        var $475=HEAP[$g1]; //@line 1550 "convert.c"
        var $476=($475) & 15; //@line 1550 "convert.c"
        var $477=($476) << 4; //@line 1550 "convert.c"
        var $478=((($477)) & 255); //@line 1550 "convert.c"
        var $479=HEAP[$b1]; //@line 1550 "convert.c"
        var $480=($479) >> 8; //@line 1550 "convert.c"
        var $481=((($480)) & 255); //@line 1550 "convert.c"
        var $482=($481) & 15; //@line 1550 "convert.c"
        var $483=($478) | ($482); //@line 1550 "convert.c"
        var $484=HEAP[$dat8]; //@line 1550 "convert.c"
        var $485=CHECK_OVERFLOW(($484+$474)&4294967295, 32); //@line 1550 "convert.c"
        HEAP[$485]=$483; //@line 1550 "convert.c"
        var $486=HEAP[$i]; //@line 1551 "convert.c"
        var $487=CHECK_OVERFLOW((($486) + 8)&4294967295, 32); //@line 1551 "convert.c"
        var $488=HEAP[$b1]; //@line 1551 "convert.c"
        var $489=((($488)) & 255); //@line 1551 "convert.c"
        var $490=HEAP[$dat8]; //@line 1551 "convert.c"
        var $491=CHECK_OVERFLOW(($490+$487)&4294967295, 32); //@line 1551 "convert.c"
        HEAP[$491]=$489; //@line 1551 "convert.c"
        var $492=HEAP[$index]; //@line 1552 "convert.c"
        var $493=CHECK_OVERFLOW((($492) + 2)&4294967295, 32); //@line 1552 "convert.c"
        HEAP[$index]=$493; //@line 1552 "convert.c"
        var $494=HEAP[$i]; //@line 1553 "convert.c"
        var $495=CHECK_OVERFLOW((($494) + 9)&4294967295, 32); //@line 1553 "convert.c"
        HEAP[$last_i]=$495; //@line 1553 "convert.c"
        var $496=HEAP[$i]; //@line 1525 "convert.c"
        var $497=CHECK_OVERFLOW((($496) + 9)&4294967295, 32); //@line 1525 "convert.c"
        HEAP[$i]=$497; //@line 1525 "convert.c"
        __label__ = 35; break; //@line 1525 "convert.c"
      case 35: // $bb43
        var $498=HEAP[$ssize]; //@line 1525 "convert.c"
        var $499=CHECK_OVERFLOW((($498) - 8)&4294967295, 32); //@line 1525 "convert.c"
        var $500=HEAP[$i]; //@line 1525 "convert.c"
        var $501=($499) > ($500); //@line 1525 "convert.c"
        if ($501) { __label__ = 40; break; } else { __label__ = 37; break; } //@line 1525 "convert.c"
      case 37: // $bb44
        var $502=HEAP[$last_i]; //@line 1557 "convert.c"
        var $503=HEAP[$ssize]; //@line 1557 "convert.c"
        var $504=($502) < ($503); //@line 1557 "convert.c"
        if ($504) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 1557 "convert.c"
      case 41: // $bb45
        var $505=HEAP[$last_i]; //@line 1558 "convert.c"
        HEAP[$i]=$505; //@line 1558 "convert.c"
        __label__ = 43; break; //@line 1558 "convert.c"
      case 55: // $bb46
        HEAP[$r47]=0; //@line 1559 "convert.c"
        HEAP[$g48]=0; //@line 1559 "convert.c"
        HEAP[$b49]=0; //@line 1559 "convert.c"
        HEAP[$r150]=0; //@line 1560 "convert.c"
        HEAP[$g151]=0; //@line 1560 "convert.c"
        HEAP[$b152]=0; //@line 1560 "convert.c"
        var $506=HEAP[$index]; //@line 1561 "convert.c"
        var $507=HEAP[$imgsize]; //@line 1561 "convert.c"
        var $508=($506) < ($507); //@line 1561 "convert.c"
        var $509=($508); //@line 1561 "convert.c"
        var $510=HEAP[$index]; //@line 1561 "convert.c"
        var $511=CHECK_OVERFLOW((($510) + 1)&4294967295, 32); //@line 1561 "convert.c"
        var $512=HEAP[$imgsize]; //@line 1561 "convert.c"
        var $513=($511) < ($512); //@line 1561 "convert.c"
        var $514=($513); //@line 1561 "convert.c"
        var $toBool53=($509)!=0; //@line 1561 "convert.c"
        var $toBool54=($514)!=0; //@line 1561 "convert.c"
        var $515=($toBool53) & ($toBool54); //@line 1561 "convert.c"
        var $516=($515); //@line 1561 "convert.c"
        var $toBool55=($516)!=0; //@line 1561 "convert.c"
        if ($toBool55) { __label__ = 44; break; } else { __label__ = 42; break; } //@line 1561 "convert.c"
      case 44: // $bb56
        var $517=HEAP[$image_addr]; //@line 1562 "convert.c"
        var $518=CHECK_OVERFLOW(($517+24)&4294967295, 32); //@line 1562 "convert.c"
        var $519=HEAP[$518]; //@line 1562 "convert.c"
        var $520=CHECK_OVERFLOW(($519)&4294967295, 32); //@line 1562 "convert.c"
        var $521=CHECK_OVERFLOW(($520+44)&4294967295, 32); //@line 1562 "convert.c"
        var $522=HEAP[$521]; //@line 1562 "convert.c"
        var $523=HEAP[$index]; //@line 1562 "convert.c"
        var $524=CHECK_OVERFLOW(($522+4*$523)&4294967295, 32); //@line 1562 "convert.c"
        var $525=HEAP[$524]; //@line 1562 "convert.c"
        HEAP[$r47]=$525; //@line 1562 "convert.c"
        var $526=HEAP[$image_addr]; //@line 1563 "convert.c"
        var $527=CHECK_OVERFLOW(($526+24)&4294967295, 32); //@line 1563 "convert.c"
        var $528=HEAP[$527]; //@line 1563 "convert.c"
        var $529=CHECK_OVERFLOW(($528+48)&4294967295, 32); //@line 1563 "convert.c"
        var $530=CHECK_OVERFLOW(($529+44)&4294967295, 32); //@line 1563 "convert.c"
        var $531=HEAP[$530]; //@line 1563 "convert.c"
        var $532=HEAP[$index]; //@line 1563 "convert.c"
        var $533=CHECK_OVERFLOW(($531+4*$532)&4294967295, 32); //@line 1563 "convert.c"
        var $534=HEAP[$533]; //@line 1563 "convert.c"
        HEAP[$g48]=$534; //@line 1563 "convert.c"
        var $535=HEAP[$image_addr]; //@line 1564 "convert.c"
        var $536=CHECK_OVERFLOW(($535+24)&4294967295, 32); //@line 1564 "convert.c"
        var $537=HEAP[$536]; //@line 1564 "convert.c"
        var $538=CHECK_OVERFLOW(($537+96)&4294967295, 32); //@line 1564 "convert.c"
        var $539=CHECK_OVERFLOW(($538+44)&4294967295, 32); //@line 1564 "convert.c"
        var $540=HEAP[$539]; //@line 1564 "convert.c"
        var $541=HEAP[$index]; //@line 1564 "convert.c"
        var $542=CHECK_OVERFLOW(($540+4*$541)&4294967295, 32); //@line 1564 "convert.c"
        var $543=HEAP[$542]; //@line 1564 "convert.c"
        HEAP[$b49]=$543; //@line 1564 "convert.c"
        var $544=HEAP[$image_addr]; //@line 1565 "convert.c"
        var $545=CHECK_OVERFLOW(($544+24)&4294967295, 32); //@line 1565 "convert.c"
        var $546=HEAP[$545]; //@line 1565 "convert.c"
        var $547=CHECK_OVERFLOW(($546)&4294967295, 32); //@line 1565 "convert.c"
        var $548=CHECK_OVERFLOW(($547+44)&4294967295, 32); //@line 1565 "convert.c"
        var $549=HEAP[$548]; //@line 1565 "convert.c"
        var $550=HEAP[$index]; //@line 1565 "convert.c"
        var $551=CHECK_OVERFLOW((($550) + 1)&4294967295, 32); //@line 1565 "convert.c"
        var $552=CHECK_OVERFLOW(($549+4*$551)&4294967295, 32); //@line 1565 "convert.c"
        var $553=HEAP[$552]; //@line 1565 "convert.c"
        HEAP[$r150]=$553; //@line 1565 "convert.c"
        var $554=HEAP[$image_addr]; //@line 1566 "convert.c"
        var $555=CHECK_OVERFLOW(($554+24)&4294967295, 32); //@line 1566 "convert.c"
        var $556=HEAP[$555]; //@line 1566 "convert.c"
        var $557=CHECK_OVERFLOW(($556+48)&4294967295, 32); //@line 1566 "convert.c"
        var $558=CHECK_OVERFLOW(($557+44)&4294967295, 32); //@line 1566 "convert.c"
        var $559=HEAP[$558]; //@line 1566 "convert.c"
        var $560=HEAP[$index]; //@line 1566 "convert.c"
        var $561=CHECK_OVERFLOW((($560) + 1)&4294967295, 32); //@line 1566 "convert.c"
        var $562=CHECK_OVERFLOW(($559+4*$561)&4294967295, 32); //@line 1566 "convert.c"
        var $563=HEAP[$562]; //@line 1566 "convert.c"
        HEAP[$g151]=$563; //@line 1566 "convert.c"
        var $564=HEAP[$image_addr]; //@line 1567 "convert.c"
        var $565=CHECK_OVERFLOW(($564+24)&4294967295, 32); //@line 1567 "convert.c"
        var $566=HEAP[$565]; //@line 1567 "convert.c"
        var $567=CHECK_OVERFLOW(($566+96)&4294967295, 32); //@line 1567 "convert.c"
        var $568=CHECK_OVERFLOW(($567+44)&4294967295, 32); //@line 1567 "convert.c"
        var $569=HEAP[$568]; //@line 1567 "convert.c"
        var $570=HEAP[$index]; //@line 1567 "convert.c"
        var $571=CHECK_OVERFLOW((($570) + 1)&4294967295, 32); //@line 1567 "convert.c"
        var $572=CHECK_OVERFLOW(($569+4*$571)&4294967295, 32); //@line 1567 "convert.c"
        var $573=HEAP[$572]; //@line 1567 "convert.c"
        HEAP[$b152]=$573; //@line 1567 "convert.c"
        var $574=HEAP[$image_addr]; //@line 1568 "convert.c"
        var $575=CHECK_OVERFLOW(($574+24)&4294967295, 32); //@line 1568 "convert.c"
        var $576=HEAP[$575]; //@line 1568 "convert.c"
        var $577=CHECK_OVERFLOW(($576)&4294967295, 32); //@line 1568 "convert.c"
        var $578=CHECK_OVERFLOW(($577+32)&4294967295, 32); //@line 1568 "convert.c"
        var $579=HEAP[$578]; //@line 1568 "convert.c"
        var $580=($579)!=0; //@line 1568 "convert.c"
        if ($580) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 1568 "convert.c"
      case 45: // $bb57
        var $581=HEAP[$r47]; //@line 1569 "convert.c"
        var $582=HEAP[$adjust]; //@line 1569 "convert.c"
        var $583=CHECK_OVERFLOW((($581) + ($582))&4294967295, 32); //@line 1569 "convert.c"
        HEAP[$r47]=$583; //@line 1569 "convert.c"
        var $584=HEAP[$g48]; //@line 1570 "convert.c"
        var $585=HEAP[$adjust]; //@line 1570 "convert.c"
        var $586=CHECK_OVERFLOW((($584) + ($585))&4294967295, 32); //@line 1570 "convert.c"
        HEAP[$g48]=$586; //@line 1570 "convert.c"
        var $587=HEAP[$b49]; //@line 1571 "convert.c"
        var $588=HEAP[$adjust]; //@line 1571 "convert.c"
        var $589=CHECK_OVERFLOW((($587) + ($588))&4294967295, 32); //@line 1571 "convert.c"
        HEAP[$b49]=$589; //@line 1571 "convert.c"
        var $590=HEAP[$r150]; //@line 1572 "convert.c"
        var $591=HEAP[$adjust]; //@line 1572 "convert.c"
        var $592=CHECK_OVERFLOW((($590) + ($591))&4294967295, 32); //@line 1572 "convert.c"
        HEAP[$r150]=$592; //@line 1572 "convert.c"
        var $593=HEAP[$g151]; //@line 1573 "convert.c"
        var $594=HEAP[$adjust]; //@line 1573 "convert.c"
        var $595=CHECK_OVERFLOW((($593) + ($594))&4294967295, 32); //@line 1573 "convert.c"
        HEAP[$g151]=$595; //@line 1573 "convert.c"
        var $596=HEAP[$b152]; //@line 1574 "convert.c"
        var $597=HEAP[$adjust]; //@line 1574 "convert.c"
        var $598=CHECK_OVERFLOW((($596) + ($597))&4294967295, 32); //@line 1574 "convert.c"
        HEAP[$b152]=$598; //@line 1574 "convert.c"
        __label__ = 46; break; //@line 1574 "convert.c"
      case 46: // $bb58
        var $599=HEAP[$r47]; //@line 1576 "convert.c"
        var $600=($599) >> 4; //@line 1576 "convert.c"
        var $601=((($600)) & 255); //@line 1576 "convert.c"
        var $602=HEAP[$dat8]; //@line 1576 "convert.c"
        var $603=HEAP[$i]; //@line 1576 "convert.c"
        var $604=CHECK_OVERFLOW(($602+$603)&4294967295, 32); //@line 1576 "convert.c"
        HEAP[$604]=$601; //@line 1576 "convert.c"
        var $605=HEAP[$i]; //@line 1577 "convert.c"
        var $606=CHECK_OVERFLOW((($605) + 1)&4294967295, 32); //@line 1577 "convert.c"
        var $607=HEAP[$ssize]; //@line 1577 "convert.c"
        var $608=($606) < ($607); //@line 1577 "convert.c"
        if ($608) { __label__ = 47; break; } else { __label__ = 42; break; } //@line 1577 "convert.c"
      case 47: // $bb59
        var $609=HEAP[$i]; //@line 1577 "convert.c"
        var $610=CHECK_OVERFLOW((($609) + 1)&4294967295, 32); //@line 1577 "convert.c"
        var $611=HEAP[$r47]; //@line 1577 "convert.c"
        var $612=($611) & 15; //@line 1577 "convert.c"
        var $613=($612) << 4; //@line 1577 "convert.c"
        var $614=((($613)) & 255); //@line 1577 "convert.c"
        var $615=HEAP[$g48]; //@line 1577 "convert.c"
        var $616=($615) >> 8; //@line 1577 "convert.c"
        var $617=((($616)) & 255); //@line 1577 "convert.c"
        var $618=($617) & 15; //@line 1577 "convert.c"
        var $619=($614) | ($618); //@line 1577 "convert.c"
        var $620=HEAP[$dat8]; //@line 1577 "convert.c"
        var $621=CHECK_OVERFLOW(($620+$610)&4294967295, 32); //@line 1577 "convert.c"
        HEAP[$621]=$619; //@line 1577 "convert.c"
        var $622=HEAP[$i]; //@line 1578 "convert.c"
        var $623=CHECK_OVERFLOW((($622) + 2)&4294967295, 32); //@line 1578 "convert.c"
        var $624=HEAP[$ssize]; //@line 1578 "convert.c"
        var $625=($623) < ($624); //@line 1578 "convert.c"
        if ($625) { __label__ = 48; break; } else { __label__ = 42; break; } //@line 1578 "convert.c"
      case 48: // $bb60
        var $626=HEAP[$i]; //@line 1578 "convert.c"
        var $627=CHECK_OVERFLOW((($626) + 2)&4294967295, 32); //@line 1578 "convert.c"
        var $628=HEAP[$g48]; //@line 1578 "convert.c"
        var $629=((($628)) & 255); //@line 1578 "convert.c"
        var $630=HEAP[$dat8]; //@line 1578 "convert.c"
        var $631=CHECK_OVERFLOW(($630+$627)&4294967295, 32); //@line 1578 "convert.c"
        HEAP[$631]=$629; //@line 1578 "convert.c"
        var $632=HEAP[$i]; //@line 1579 "convert.c"
        var $633=CHECK_OVERFLOW((($632) + 3)&4294967295, 32); //@line 1579 "convert.c"
        var $634=HEAP[$ssize]; //@line 1579 "convert.c"
        var $635=($633) < ($634); //@line 1579 "convert.c"
        if ($635) { __label__ = 49; break; } else { __label__ = 42; break; } //@line 1579 "convert.c"
      case 49: // $bb61
        var $636=HEAP[$i]; //@line 1579 "convert.c"
        var $637=CHECK_OVERFLOW((($636) + 3)&4294967295, 32); //@line 1579 "convert.c"
        var $638=HEAP[$b49]; //@line 1579 "convert.c"
        var $639=($638) >> 4; //@line 1579 "convert.c"
        var $640=((($639)) & 255); //@line 1579 "convert.c"
        var $641=HEAP[$dat8]; //@line 1579 "convert.c"
        var $642=CHECK_OVERFLOW(($641+$637)&4294967295, 32); //@line 1579 "convert.c"
        HEAP[$642]=$640; //@line 1579 "convert.c"
        var $643=HEAP[$i]; //@line 1580 "convert.c"
        var $644=CHECK_OVERFLOW((($643) + 4)&4294967295, 32); //@line 1580 "convert.c"
        var $645=HEAP[$ssize]; //@line 1580 "convert.c"
        var $646=($644) < ($645); //@line 1580 "convert.c"
        if ($646) { __label__ = 50; break; } else { __label__ = 42; break; } //@line 1580 "convert.c"
      case 50: // $bb62
        var $647=HEAP[$i]; //@line 1580 "convert.c"
        var $648=CHECK_OVERFLOW((($647) + 4)&4294967295, 32); //@line 1580 "convert.c"
        var $649=HEAP[$b49]; //@line 1580 "convert.c"
        var $650=($649) & 15; //@line 1580 "convert.c"
        var $651=($650) << 4; //@line 1580 "convert.c"
        var $652=((($651)) & 255); //@line 1580 "convert.c"
        var $653=HEAP[$r150]; //@line 1580 "convert.c"
        var $654=($653) >> 8; //@line 1580 "convert.c"
        var $655=((($654)) & 255); //@line 1580 "convert.c"
        var $656=($655) & 15; //@line 1580 "convert.c"
        var $657=($652) | ($656); //@line 1580 "convert.c"
        var $658=HEAP[$dat8]; //@line 1580 "convert.c"
        var $659=CHECK_OVERFLOW(($658+$648)&4294967295, 32); //@line 1580 "convert.c"
        HEAP[$659]=$657; //@line 1580 "convert.c"
        var $660=HEAP[$i]; //@line 1581 "convert.c"
        var $661=CHECK_OVERFLOW((($660) + 5)&4294967295, 32); //@line 1581 "convert.c"
        var $662=HEAP[$ssize]; //@line 1581 "convert.c"
        var $663=($661) < ($662); //@line 1581 "convert.c"
        if ($663) { __label__ = 51; break; } else { __label__ = 42; break; } //@line 1581 "convert.c"
      case 51: // $bb63
        var $664=HEAP[$i]; //@line 1581 "convert.c"
        var $665=CHECK_OVERFLOW((($664) + 5)&4294967295, 32); //@line 1581 "convert.c"
        var $666=HEAP[$r150]; //@line 1581 "convert.c"
        var $667=((($666)) & 255); //@line 1581 "convert.c"
        var $668=HEAP[$dat8]; //@line 1581 "convert.c"
        var $669=CHECK_OVERFLOW(($668+$665)&4294967295, 32); //@line 1581 "convert.c"
        HEAP[$669]=$667; //@line 1581 "convert.c"
        var $670=HEAP[$i]; //@line 1582 "convert.c"
        var $671=CHECK_OVERFLOW((($670) + 6)&4294967295, 32); //@line 1582 "convert.c"
        var $672=HEAP[$ssize]; //@line 1582 "convert.c"
        var $673=($671) < ($672); //@line 1582 "convert.c"
        if ($673) { __label__ = 52; break; } else { __label__ = 42; break; } //@line 1582 "convert.c"
      case 52: // $bb64
        var $674=HEAP[$i]; //@line 1582 "convert.c"
        var $675=CHECK_OVERFLOW((($674) + 6)&4294967295, 32); //@line 1582 "convert.c"
        var $676=HEAP[$g151]; //@line 1582 "convert.c"
        var $677=($676) >> 4; //@line 1582 "convert.c"
        var $678=((($677)) & 255); //@line 1582 "convert.c"
        var $679=HEAP[$dat8]; //@line 1582 "convert.c"
        var $680=CHECK_OVERFLOW(($679+$675)&4294967295, 32); //@line 1582 "convert.c"
        HEAP[$680]=$678; //@line 1582 "convert.c"
        var $681=HEAP[$i]; //@line 1583 "convert.c"
        var $682=CHECK_OVERFLOW((($681) + 7)&4294967295, 32); //@line 1583 "convert.c"
        var $683=HEAP[$ssize]; //@line 1583 "convert.c"
        var $684=($682) < ($683); //@line 1583 "convert.c"
        if ($684) { __label__ = 53; break; } else { __label__ = 42; break; } //@line 1583 "convert.c"
      case 53: // $bb65
        var $685=HEAP[$i]; //@line 1583 "convert.c"
        var $686=CHECK_OVERFLOW((($685) + 7)&4294967295, 32); //@line 1583 "convert.c"
        var $687=HEAP[$g151]; //@line 1583 "convert.c"
        var $688=($687) & 15; //@line 1583 "convert.c"
        var $689=($688) << 4; //@line 1583 "convert.c"
        var $690=((($689)) & 255); //@line 1583 "convert.c"
        var $691=HEAP[$b152]; //@line 1583 "convert.c"
        var $692=($691) >> 8; //@line 1583 "convert.c"
        var $693=((($692)) & 255); //@line 1583 "convert.c"
        var $694=($693) & 15; //@line 1583 "convert.c"
        var $695=($690) | ($694); //@line 1583 "convert.c"
        var $696=HEAP[$dat8]; //@line 1583 "convert.c"
        var $697=CHECK_OVERFLOW(($696+$686)&4294967295, 32); //@line 1583 "convert.c"
        HEAP[$697]=$695; //@line 1583 "convert.c"
        var $698=HEAP[$i]; //@line 1584 "convert.c"
        var $699=CHECK_OVERFLOW((($698) + 8)&4294967295, 32); //@line 1584 "convert.c"
        var $700=HEAP[$ssize]; //@line 1584 "convert.c"
        var $701=($699) < ($700); //@line 1584 "convert.c"
        if ($701) { __label__ = 54; break; } else { __label__ = 42; break; } //@line 1584 "convert.c"
      case 54: // $bb66
        var $702=HEAP[$i]; //@line 1584 "convert.c"
        var $703=CHECK_OVERFLOW((($702) + 8)&4294967295, 32); //@line 1584 "convert.c"
        var $704=HEAP[$b152]; //@line 1584 "convert.c"
        var $705=((($704)) & 255); //@line 1584 "convert.c"
        var $706=HEAP[$dat8]; //@line 1584 "convert.c"
        var $707=CHECK_OVERFLOW(($706+$703)&4294967295, 32); //@line 1584 "convert.c"
        HEAP[$707]=$705; //@line 1584 "convert.c"
        var $708=HEAP[$index]; //@line 1585 "convert.c"
        var $709=CHECK_OVERFLOW((($708) + 2)&4294967295, 32); //@line 1585 "convert.c"
        HEAP[$index]=$709; //@line 1585 "convert.c"
        var $710=HEAP[$i]; //@line 1558 "convert.c"
        var $711=CHECK_OVERFLOW((($710) + 9)&4294967295, 32); //@line 1558 "convert.c"
        HEAP[$i]=$711; //@line 1558 "convert.c"
        __label__ = 43; break; //@line 1558 "convert.c"
      case 43: // $bb67
        var $712=HEAP[$i]; //@line 1558 "convert.c"
        var $713=HEAP[$ssize]; //@line 1558 "convert.c"
        var $714=($712) < ($713); //@line 1558 "convert.c"
        if ($714) { __label__ = 55; break; } else { __label__ = 42; break; } //@line 1558 "convert.c"
      case 42: // $bb68
        __label__ = 32; break; //@line 1558 "convert.c"
      case 34: // $bb69
        var $715=HEAP[$image_addr]; //@line 1590 "convert.c"
        var $716=CHECK_OVERFLOW(($715+24)&4294967295, 32); //@line 1590 "convert.c"
        var $717=HEAP[$716]; //@line 1590 "convert.c"
        var $718=CHECK_OVERFLOW(($717)&4294967295, 32); //@line 1590 "convert.c"
        var $719=CHECK_OVERFLOW(($718+24)&4294967295, 32); //@line 1590 "convert.c"
        var $720=HEAP[$719]; //@line 1590 "convert.c"
        var $721=($720)==16; //@line 1590 "convert.c"
        if ($721) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 1590 "convert.c"
      case 56: // $bb70
        HEAP[$i]=0; //@line 1591 "convert.c"
        __label__ = 58; break; //@line 1591 "convert.c"
      case 63: // $bb71
        HEAP[$r72]=0; //@line 1592 "convert.c"
        HEAP[$g73]=0; //@line 1592 "convert.c"
        HEAP[$b74]=0; //@line 1592 "convert.c"
        var $722=HEAP[$index]; //@line 1593 "convert.c"
        var $723=HEAP[$imgsize]; //@line 1593 "convert.c"
        var $724=($722) < ($723); //@line 1593 "convert.c"
        if ($724) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 1593 "convert.c"
      case 59: // $bb75
        var $725=HEAP[$image_addr]; //@line 1594 "convert.c"
        var $726=CHECK_OVERFLOW(($725+24)&4294967295, 32); //@line 1594 "convert.c"
        var $727=HEAP[$726]; //@line 1594 "convert.c"
        var $728=CHECK_OVERFLOW(($727)&4294967295, 32); //@line 1594 "convert.c"
        var $729=CHECK_OVERFLOW(($728+44)&4294967295, 32); //@line 1594 "convert.c"
        var $730=HEAP[$729]; //@line 1594 "convert.c"
        var $731=HEAP[$index]; //@line 1594 "convert.c"
        var $732=CHECK_OVERFLOW(($730+4*$731)&4294967295, 32); //@line 1594 "convert.c"
        var $733=HEAP[$732]; //@line 1594 "convert.c"
        HEAP[$r72]=$733; //@line 1594 "convert.c"
        var $734=HEAP[$image_addr]; //@line 1595 "convert.c"
        var $735=CHECK_OVERFLOW(($734+24)&4294967295, 32); //@line 1595 "convert.c"
        var $736=HEAP[$735]; //@line 1595 "convert.c"
        var $737=CHECK_OVERFLOW(($736+48)&4294967295, 32); //@line 1595 "convert.c"
        var $738=CHECK_OVERFLOW(($737+44)&4294967295, 32); //@line 1595 "convert.c"
        var $739=HEAP[$738]; //@line 1595 "convert.c"
        var $740=HEAP[$index]; //@line 1595 "convert.c"
        var $741=CHECK_OVERFLOW(($739+4*$740)&4294967295, 32); //@line 1595 "convert.c"
        var $742=HEAP[$741]; //@line 1595 "convert.c"
        HEAP[$g73]=$742; //@line 1595 "convert.c"
        var $743=HEAP[$image_addr]; //@line 1596 "convert.c"
        var $744=CHECK_OVERFLOW(($743+24)&4294967295, 32); //@line 1596 "convert.c"
        var $745=HEAP[$744]; //@line 1596 "convert.c"
        var $746=CHECK_OVERFLOW(($745+96)&4294967295, 32); //@line 1596 "convert.c"
        var $747=CHECK_OVERFLOW(($746+44)&4294967295, 32); //@line 1596 "convert.c"
        var $748=HEAP[$747]; //@line 1596 "convert.c"
        var $749=HEAP[$index]; //@line 1596 "convert.c"
        var $750=CHECK_OVERFLOW(($748+4*$749)&4294967295, 32); //@line 1596 "convert.c"
        var $751=HEAP[$750]; //@line 1596 "convert.c"
        HEAP[$b74]=$751; //@line 1596 "convert.c"
        var $752=HEAP[$image_addr]; //@line 1597 "convert.c"
        var $753=CHECK_OVERFLOW(($752+24)&4294967295, 32); //@line 1597 "convert.c"
        var $754=HEAP[$753]; //@line 1597 "convert.c"
        var $755=CHECK_OVERFLOW(($754)&4294967295, 32); //@line 1597 "convert.c"
        var $756=CHECK_OVERFLOW(($755+32)&4294967295, 32); //@line 1597 "convert.c"
        var $757=HEAP[$756]; //@line 1597 "convert.c"
        var $758=($757)!=0; //@line 1597 "convert.c"
        if ($758) { __label__ = 61; break; } else { __label__ = 62; break; } //@line 1597 "convert.c"
      case 61: // $bb76
        var $759=HEAP[$r72]; //@line 1598 "convert.c"
        var $760=HEAP[$adjust]; //@line 1598 "convert.c"
        var $761=CHECK_OVERFLOW((($759) + ($760))&4294967295, 32); //@line 1598 "convert.c"
        HEAP[$r72]=$761; //@line 1598 "convert.c"
        var $762=HEAP[$g73]; //@line 1599 "convert.c"
        var $763=HEAP[$adjust]; //@line 1599 "convert.c"
        var $764=CHECK_OVERFLOW((($762) + ($763))&4294967295, 32); //@line 1599 "convert.c"
        HEAP[$g73]=$764; //@line 1599 "convert.c"
        var $765=HEAP[$b74]; //@line 1600 "convert.c"
        var $766=HEAP[$adjust]; //@line 1600 "convert.c"
        var $767=CHECK_OVERFLOW((($765) + ($766))&4294967295, 32); //@line 1600 "convert.c"
        HEAP[$b74]=$767; //@line 1600 "convert.c"
        __label__ = 62; break; //@line 1600 "convert.c"
      case 62: // $bb77
        var $768=HEAP[$r72]; //@line 1602 "convert.c"
        var $769=((($768)) & 255); //@line 1602 "convert.c"
        var $770=HEAP[$dat8]; //@line 1602 "convert.c"
        var $771=HEAP[$i]; //@line 1602 "convert.c"
        var $772=CHECK_OVERFLOW(($770+$771)&4294967295, 32); //@line 1602 "convert.c"
        HEAP[$772]=$769; //@line 1602 "convert.c"
        var $773=HEAP[$i]; //@line 1603 "convert.c"
        var $774=CHECK_OVERFLOW((($773) + 1)&4294967295, 32); //@line 1603 "convert.c"
        var $775=HEAP[$r72]; //@line 1603 "convert.c"
        var $776=($775) >> 8; //@line 1603 "convert.c"
        var $777=((($776)) & 255); //@line 1603 "convert.c"
        var $778=HEAP[$dat8]; //@line 1603 "convert.c"
        var $779=CHECK_OVERFLOW(($778+$774)&4294967295, 32); //@line 1603 "convert.c"
        HEAP[$779]=$777; //@line 1603 "convert.c"
        var $780=HEAP[$i]; //@line 1604 "convert.c"
        var $781=CHECK_OVERFLOW((($780) + 2)&4294967295, 32); //@line 1604 "convert.c"
        var $782=HEAP[$g73]; //@line 1604 "convert.c"
        var $783=((($782)) & 255); //@line 1604 "convert.c"
        var $784=HEAP[$dat8]; //@line 1604 "convert.c"
        var $785=CHECK_OVERFLOW(($784+$781)&4294967295, 32); //@line 1604 "convert.c"
        HEAP[$785]=$783; //@line 1604 "convert.c"
        var $786=HEAP[$i]; //@line 1605 "convert.c"
        var $787=CHECK_OVERFLOW((($786) + 3)&4294967295, 32); //@line 1605 "convert.c"
        var $788=HEAP[$g73]; //@line 1605 "convert.c"
        var $789=($788) >> 8; //@line 1605 "convert.c"
        var $790=((($789)) & 255); //@line 1605 "convert.c"
        var $791=HEAP[$dat8]; //@line 1605 "convert.c"
        var $792=CHECK_OVERFLOW(($791+$787)&4294967295, 32); //@line 1605 "convert.c"
        HEAP[$792]=$790; //@line 1605 "convert.c"
        var $793=HEAP[$i]; //@line 1606 "convert.c"
        var $794=CHECK_OVERFLOW((($793) + 4)&4294967295, 32); //@line 1606 "convert.c"
        var $795=HEAP[$b74]; //@line 1606 "convert.c"
        var $796=((($795)) & 255); //@line 1606 "convert.c"
        var $797=HEAP[$dat8]; //@line 1606 "convert.c"
        var $798=CHECK_OVERFLOW(($797+$794)&4294967295, 32); //@line 1606 "convert.c"
        HEAP[$798]=$796; //@line 1606 "convert.c"
        var $799=HEAP[$i]; //@line 1607 "convert.c"
        var $800=CHECK_OVERFLOW((($799) + 5)&4294967295, 32); //@line 1607 "convert.c"
        var $801=HEAP[$b74]; //@line 1607 "convert.c"
        var $802=($801) >> 8; //@line 1607 "convert.c"
        var $803=((($802)) & 255); //@line 1607 "convert.c"
        var $804=HEAP[$dat8]; //@line 1607 "convert.c"
        var $805=CHECK_OVERFLOW(($804+$800)&4294967295, 32); //@line 1607 "convert.c"
        HEAP[$805]=$803; //@line 1607 "convert.c"
        var $806=HEAP[$index]; //@line 1608 "convert.c"
        var $807=CHECK_OVERFLOW((($806) + 1)&4294967295, 32); //@line 1608 "convert.c"
        HEAP[$index]=$807; //@line 1608 "convert.c"
        var $808=HEAP[$i]; //@line 1609 "convert.c"
        var $809=CHECK_OVERFLOW((($808) + 6)&4294967295, 32); //@line 1609 "convert.c"
        HEAP[$last_i]=$809; //@line 1609 "convert.c"
        var $810=HEAP[$i]; //@line 1591 "convert.c"
        var $811=CHECK_OVERFLOW((($810) + 6)&4294967295, 32); //@line 1591 "convert.c"
        HEAP[$i]=$811; //@line 1591 "convert.c"
        __label__ = 58; break; //@line 1591 "convert.c"
      case 58: // $bb78
        var $812=HEAP[$ssize]; //@line 1591 "convert.c"
        var $813=CHECK_OVERFLOW((($812) - 5)&4294967295, 32); //@line 1591 "convert.c"
        var $814=HEAP[$i]; //@line 1591 "convert.c"
        var $815=($813) > ($814); //@line 1591 "convert.c"
        if ($815) { __label__ = 63; break; } else { __label__ = 60; break; } //@line 1591 "convert.c"
      case 60: // $bb79
        var $816=HEAP[$last_i]; //@line 1613 "convert.c"
        var $817=HEAP[$ssize]; //@line 1613 "convert.c"
        var $818=($816) < ($817); //@line 1613 "convert.c"
        if ($818) { __label__ = 64; break; } else { __label__ = 65; break; } //@line 1613 "convert.c"
      case 64: // $bb80
        HEAP[$i]=0; //@line 1614 "convert.c"
        __label__ = 66; break; //@line 1614 "convert.c"
      case 75: // $bb81
        HEAP[$r82]=0; //@line 1615 "convert.c"
        HEAP[$g83]=0; //@line 1615 "convert.c"
        HEAP[$b84]=0; //@line 1615 "convert.c"
        var $819=HEAP[$index]; //@line 1616 "convert.c"
        var $820=HEAP[$imgsize]; //@line 1616 "convert.c"
        var $821=($819) < ($820); //@line 1616 "convert.c"
        if ($821) { __label__ = 67; break; } else { __label__ = 65; break; } //@line 1616 "convert.c"
      case 67: // $bb85
        var $822=HEAP[$image_addr]; //@line 1617 "convert.c"
        var $823=CHECK_OVERFLOW(($822+24)&4294967295, 32); //@line 1617 "convert.c"
        var $824=HEAP[$823]; //@line 1617 "convert.c"
        var $825=CHECK_OVERFLOW(($824)&4294967295, 32); //@line 1617 "convert.c"
        var $826=CHECK_OVERFLOW(($825+44)&4294967295, 32); //@line 1617 "convert.c"
        var $827=HEAP[$826]; //@line 1617 "convert.c"
        var $828=HEAP[$index]; //@line 1617 "convert.c"
        var $829=CHECK_OVERFLOW(($827+4*$828)&4294967295, 32); //@line 1617 "convert.c"
        var $830=HEAP[$829]; //@line 1617 "convert.c"
        HEAP[$r82]=$830; //@line 1617 "convert.c"
        var $831=HEAP[$image_addr]; //@line 1618 "convert.c"
        var $832=CHECK_OVERFLOW(($831+24)&4294967295, 32); //@line 1618 "convert.c"
        var $833=HEAP[$832]; //@line 1618 "convert.c"
        var $834=CHECK_OVERFLOW(($833+48)&4294967295, 32); //@line 1618 "convert.c"
        var $835=CHECK_OVERFLOW(($834+44)&4294967295, 32); //@line 1618 "convert.c"
        var $836=HEAP[$835]; //@line 1618 "convert.c"
        var $837=HEAP[$index]; //@line 1618 "convert.c"
        var $838=CHECK_OVERFLOW(($836+4*$837)&4294967295, 32); //@line 1618 "convert.c"
        var $839=HEAP[$838]; //@line 1618 "convert.c"
        HEAP[$g83]=$839; //@line 1618 "convert.c"
        var $840=HEAP[$image_addr]; //@line 1619 "convert.c"
        var $841=CHECK_OVERFLOW(($840+24)&4294967295, 32); //@line 1619 "convert.c"
        var $842=HEAP[$841]; //@line 1619 "convert.c"
        var $843=CHECK_OVERFLOW(($842+96)&4294967295, 32); //@line 1619 "convert.c"
        var $844=CHECK_OVERFLOW(($843+44)&4294967295, 32); //@line 1619 "convert.c"
        var $845=HEAP[$844]; //@line 1619 "convert.c"
        var $846=HEAP[$index]; //@line 1619 "convert.c"
        var $847=CHECK_OVERFLOW(($845+4*$846)&4294967295, 32); //@line 1619 "convert.c"
        var $848=HEAP[$847]; //@line 1619 "convert.c"
        HEAP[$b84]=$848; //@line 1619 "convert.c"
        var $849=HEAP[$image_addr]; //@line 1620 "convert.c"
        var $850=CHECK_OVERFLOW(($849+24)&4294967295, 32); //@line 1620 "convert.c"
        var $851=HEAP[$850]; //@line 1620 "convert.c"
        var $852=CHECK_OVERFLOW(($851)&4294967295, 32); //@line 1620 "convert.c"
        var $853=CHECK_OVERFLOW(($852+32)&4294967295, 32); //@line 1620 "convert.c"
        var $854=HEAP[$853]; //@line 1620 "convert.c"
        var $855=($854)!=0; //@line 1620 "convert.c"
        if ($855) { __label__ = 68; break; } else { __label__ = 69; break; } //@line 1620 "convert.c"
      case 68: // $bb86
        var $856=HEAP[$r82]; //@line 1621 "convert.c"
        var $857=HEAP[$adjust]; //@line 1621 "convert.c"
        var $858=CHECK_OVERFLOW((($856) + ($857))&4294967295, 32); //@line 1621 "convert.c"
        HEAP[$r82]=$858; //@line 1621 "convert.c"
        var $859=HEAP[$g83]; //@line 1622 "convert.c"
        var $860=HEAP[$adjust]; //@line 1622 "convert.c"
        var $861=CHECK_OVERFLOW((($859) + ($860))&4294967295, 32); //@line 1622 "convert.c"
        HEAP[$g83]=$861; //@line 1622 "convert.c"
        var $862=HEAP[$b84]; //@line 1623 "convert.c"
        var $863=HEAP[$adjust]; //@line 1623 "convert.c"
        var $864=CHECK_OVERFLOW((($862) + ($863))&4294967295, 32); //@line 1623 "convert.c"
        HEAP[$b84]=$864; //@line 1623 "convert.c"
        __label__ = 69; break; //@line 1623 "convert.c"
      case 69: // $bb87
        var $865=HEAP[$r82]; //@line 1625 "convert.c"
        var $866=((($865)) & 255); //@line 1625 "convert.c"
        var $867=HEAP[$dat8]; //@line 1625 "convert.c"
        var $868=HEAP[$i]; //@line 1625 "convert.c"
        var $869=CHECK_OVERFLOW(($867+$868)&4294967295, 32); //@line 1625 "convert.c"
        HEAP[$869]=$866; //@line 1625 "convert.c"
        var $870=HEAP[$i]; //@line 1626 "convert.c"
        var $871=CHECK_OVERFLOW((($870) + 1)&4294967295, 32); //@line 1626 "convert.c"
        var $872=HEAP[$ssize]; //@line 1626 "convert.c"
        var $873=($871) < ($872); //@line 1626 "convert.c"
        if ($873) { __label__ = 70; break; } else { __label__ = 65; break; } //@line 1626 "convert.c"
      case 70: // $bb88
        var $874=HEAP[$i]; //@line 1626 "convert.c"
        var $875=CHECK_OVERFLOW((($874) + 1)&4294967295, 32); //@line 1626 "convert.c"
        var $876=HEAP[$r82]; //@line 1626 "convert.c"
        var $877=($876) >> 8; //@line 1626 "convert.c"
        var $878=((($877)) & 255); //@line 1626 "convert.c"
        var $879=HEAP[$dat8]; //@line 1626 "convert.c"
        var $880=CHECK_OVERFLOW(($879+$875)&4294967295, 32); //@line 1626 "convert.c"
        HEAP[$880]=$878; //@line 1626 "convert.c"
        var $881=HEAP[$i]; //@line 1627 "convert.c"
        var $882=CHECK_OVERFLOW((($881) + 2)&4294967295, 32); //@line 1627 "convert.c"
        var $883=HEAP[$ssize]; //@line 1627 "convert.c"
        var $884=($882) < ($883); //@line 1627 "convert.c"
        if ($884) { __label__ = 71; break; } else { __label__ = 65; break; } //@line 1627 "convert.c"
      case 71: // $bb89
        var $885=HEAP[$i]; //@line 1627 "convert.c"
        var $886=CHECK_OVERFLOW((($885) + 2)&4294967295, 32); //@line 1627 "convert.c"
        var $887=HEAP[$g83]; //@line 1627 "convert.c"
        var $888=((($887)) & 255); //@line 1627 "convert.c"
        var $889=HEAP[$dat8]; //@line 1627 "convert.c"
        var $890=CHECK_OVERFLOW(($889+$886)&4294967295, 32); //@line 1627 "convert.c"
        HEAP[$890]=$888; //@line 1627 "convert.c"
        var $891=HEAP[$i]; //@line 1628 "convert.c"
        var $892=CHECK_OVERFLOW((($891) + 3)&4294967295, 32); //@line 1628 "convert.c"
        var $893=HEAP[$ssize]; //@line 1628 "convert.c"
        var $894=($892) < ($893); //@line 1628 "convert.c"
        if ($894) { __label__ = 72; break; } else { __label__ = 65; break; } //@line 1628 "convert.c"
      case 72: // $bb90
        var $895=HEAP[$i]; //@line 1628 "convert.c"
        var $896=CHECK_OVERFLOW((($895) + 3)&4294967295, 32); //@line 1628 "convert.c"
        var $897=HEAP[$g83]; //@line 1628 "convert.c"
        var $898=($897) >> 8; //@line 1628 "convert.c"
        var $899=((($898)) & 255); //@line 1628 "convert.c"
        var $900=HEAP[$dat8]; //@line 1628 "convert.c"
        var $901=CHECK_OVERFLOW(($900+$896)&4294967295, 32); //@line 1628 "convert.c"
        HEAP[$901]=$899; //@line 1628 "convert.c"
        var $902=HEAP[$i]; //@line 1629 "convert.c"
        var $903=CHECK_OVERFLOW((($902) + 4)&4294967295, 32); //@line 1629 "convert.c"
        var $904=HEAP[$ssize]; //@line 1629 "convert.c"
        var $905=($903) < ($904); //@line 1629 "convert.c"
        if ($905) { __label__ = 73; break; } else { __label__ = 65; break; } //@line 1629 "convert.c"
      case 73: // $bb91
        var $906=HEAP[$i]; //@line 1629 "convert.c"
        var $907=CHECK_OVERFLOW((($906) + 4)&4294967295, 32); //@line 1629 "convert.c"
        var $908=HEAP[$b84]; //@line 1629 "convert.c"
        var $909=((($908)) & 255); //@line 1629 "convert.c"
        var $910=HEAP[$dat8]; //@line 1629 "convert.c"
        var $911=CHECK_OVERFLOW(($910+$907)&4294967295, 32); //@line 1629 "convert.c"
        HEAP[$911]=$909; //@line 1629 "convert.c"
        var $912=HEAP[$i]; //@line 1630 "convert.c"
        var $913=CHECK_OVERFLOW((($912) + 5)&4294967295, 32); //@line 1630 "convert.c"
        var $914=HEAP[$ssize]; //@line 1630 "convert.c"
        var $915=($913) < ($914); //@line 1630 "convert.c"
        if ($915) { __label__ = 74; break; } else { __label__ = 65; break; } //@line 1630 "convert.c"
      case 74: // $bb92
        var $916=HEAP[$i]; //@line 1630 "convert.c"
        var $917=CHECK_OVERFLOW((($916) + 5)&4294967295, 32); //@line 1630 "convert.c"
        var $918=HEAP[$b84]; //@line 1630 "convert.c"
        var $919=($918) >> 8; //@line 1630 "convert.c"
        var $920=((($919)) & 255); //@line 1630 "convert.c"
        var $921=HEAP[$dat8]; //@line 1630 "convert.c"
        var $922=CHECK_OVERFLOW(($921+$917)&4294967295, 32); //@line 1630 "convert.c"
        HEAP[$922]=$920; //@line 1630 "convert.c"
        var $923=HEAP[$index]; //@line 1631 "convert.c"
        var $924=CHECK_OVERFLOW((($923) + 1)&4294967295, 32); //@line 1631 "convert.c"
        HEAP[$index]=$924; //@line 1631 "convert.c"
        var $925=HEAP[$i]; //@line 1614 "convert.c"
        var $926=CHECK_OVERFLOW((($925) + 6)&4294967295, 32); //@line 1614 "convert.c"
        HEAP[$i]=$926; //@line 1614 "convert.c"
        __label__ = 66; break; //@line 1614 "convert.c"
      case 66: // $bb93
        var $927=HEAP[$i]; //@line 1614 "convert.c"
        var $928=HEAP[$ssize]; //@line 1614 "convert.c"
        var $929=($927) < ($928); //@line 1614 "convert.c"
        if ($929) { __label__ = 75; break; } else { __label__ = 65; break; } //@line 1614 "convert.c"
      case 65: // $bb94
        __label__ = 32; break; //@line 1614 "convert.c"
      case 57: // $bb95
        var $930=HEAP[$image_addr]; //@line 1637 "convert.c"
        var $931=CHECK_OVERFLOW(($930+24)&4294967295, 32); //@line 1637 "convert.c"
        var $932=HEAP[$931]; //@line 1637 "convert.c"
        var $933=CHECK_OVERFLOW(($932)&4294967295, 32); //@line 1637 "convert.c"
        var $934=CHECK_OVERFLOW(($933+24)&4294967295, 32); //@line 1637 "convert.c"
        var $935=HEAP[$934]; //@line 1637 "convert.c"
        var $936=HEAP[_stderr]; //@line 1637 "convert.c"
        var $937=_fprintf($936, CHECK_OVERFLOW((__str36125)&4294967295, 32), $935); //@line 1637 "convert.c"
        var $938=HEAP[_stderr]; //@line 1638 "convert.c"
        var $939=$938; //@line 1638 "convert.c"
        var $940=_fwrite(CHECK_OVERFLOW((__str37126)&4294967295, 32), 1, 9, $939); //@line 1638 "convert.c"
        HEAP[$0]=1; //@line 1639 "convert.c"
        __label__ = 10; break; //@line 1639 "convert.c"
      case 32: // $bb96
        var $941=HEAP[$tif]; //@line 1641 "convert.c"
        var $942=HEAP[$strip]; //@line 1641 "convert.c"
        var $943=HEAP[$buf]; //@line 1641 "convert.c"
        var $944=HEAP[$strip_size]; //@line 1641 "convert.c"
        var $945=_TIFFWriteEncodedStrip($941, $942, $943, $944); //@line 1641 "convert.c"
        var $946=HEAP[$strip]; //@line 1479 "convert.c"
        var $947=CHECK_OVERFLOW((($946) + 1)&4294967295, 32); //@line 1479 "convert.c"
        HEAP[$strip]=$947; //@line 1479 "convert.c"
        __label__ = 14; break; //@line 1479 "convert.c"
      case 14: // $bb97
        var $948=HEAP[$tif]; //@line 1479 "convert.c"
        var $949=_TIFFNumberOfStrips($948); //@line 1479 "convert.c"
        var $950=HEAP[$strip]; //@line 1479 "convert.c"
        var $951=($949) > ($950); //@line 1479 "convert.c"
        if ($951) { __label__ = 76; break; } else { __label__ = 77; break; } //@line 1479 "convert.c"
      case 77: // $bb98
        var $952=HEAP[$buf]; //@line 1643 "convert.c"
        __TIFFfree($952); //@line 1643 "convert.c"
        var $953=HEAP[$tif]; //@line 1644 "convert.c"
        _TIFFClose($953); //@line 1644 "convert.c"
        __label__ = 78; break; //@line 1644 "convert.c"
      case 0: // $bb99
        var $954=HEAP[$image_addr]; //@line 1645 "convert.c"
        var $955=CHECK_OVERFLOW(($954+16)&4294967295, 32); //@line 1645 "convert.c"
        var $956=HEAP[$955]; //@line 1645 "convert.c"
        var $957=($956)==1; //@line 1645 "convert.c"
        if ($957) { __label__ = 79; break; } else { __label__ = 80; break; } //@line 1645 "convert.c"
      case 79: // $bb100
        var $958=HEAP[$outfile_addr]; //@line 1650 "convert.c"
        var $959=_TIFFOpen($958, CHECK_OVERFLOW((__str561)&4294967295, 32)); //@line 1650 "convert.c"
        HEAP[$tif]=$959; //@line 1650 "convert.c"
        var $960=HEAP[$tif]; //@line 1651 "convert.c"
        var $961=($960)==0; //@line 1651 "convert.c"
        if ($961) { __label__ = 81; break; } else { __label__ = 82; break; } //@line 1651 "convert.c"
      case 81: // $bb101
        var $962=HEAP[_stderr]; //@line 1652 "convert.c"
        var $963=HEAP[$outfile_addr]; //@line 1652 "convert.c"
        var $964=_fprintf($962, CHECK_OVERFLOW((__str662)&4294967295, 32), $963); //@line 1652 "convert.c"
        HEAP[$0]=1; //@line 1653 "convert.c"
        __label__ = 10; break; //@line 1653 "convert.c"
      case 82: // $bb102
        var $965=HEAP[$image_addr]; //@line 1656 "convert.c"
        var $966=CHECK_OVERFLOW(($965+24)&4294967295, 32); //@line 1656 "convert.c"
        var $967=HEAP[$966]; //@line 1656 "convert.c"
        var $968=CHECK_OVERFLOW(($967)&4294967295, 32); //@line 1656 "convert.c"
        var $969=CHECK_OVERFLOW(($968+8)&4294967295, 32); //@line 1656 "convert.c"
        var $970=HEAP[$969]; //@line 1656 "convert.c"
        HEAP[$width]=$970; //@line 1656 "convert.c"
        var $971=HEAP[$image_addr]; //@line 1657 "convert.c"
        var $972=CHECK_OVERFLOW(($971+24)&4294967295, 32); //@line 1657 "convert.c"
        var $973=HEAP[$972]; //@line 1657 "convert.c"
        var $974=CHECK_OVERFLOW(($973)&4294967295, 32); //@line 1657 "convert.c"
        var $975=CHECK_OVERFLOW(($974+12)&4294967295, 32); //@line 1657 "convert.c"
        var $976=HEAP[$975]; //@line 1657 "convert.c"
        HEAP[$height]=$976; //@line 1657 "convert.c"
        var $977=HEAP[$width]; //@line 1658 "convert.c"
        var $978=HEAP[$height]; //@line 1658 "convert.c"
        var $979=CHECK_OVERFLOW((($977) * ($978))&4294967295, 32); //@line 1658 "convert.c"
        HEAP[$imgsize]=$979; //@line 1658 "convert.c"
        var $980=HEAP[$image_addr]; //@line 1659 "convert.c"
        var $981=CHECK_OVERFLOW(($980+24)&4294967295, 32); //@line 1659 "convert.c"
        var $982=HEAP[$981]; //@line 1659 "convert.c"
        var $983=CHECK_OVERFLOW(($982)&4294967295, 32); //@line 1659 "convert.c"
        var $984=CHECK_OVERFLOW(($983+24)&4294967295, 32); //@line 1659 "convert.c"
        var $985=HEAP[$984]; //@line 1659 "convert.c"
        HEAP[$bps]=$985; //@line 1659 "convert.c"
        var $986=HEAP[$tif]; //@line 1662 "convert.c"
        var $987=HEAP[$width]; //@line 1662 "convert.c"
        var $988=_TIFFSetField($986, 256, $987); //@line 1662 "convert.c"
        var $989=HEAP[$tif]; //@line 1663 "convert.c"
        var $990=HEAP[$height]; //@line 1663 "convert.c"
        var $991=_TIFFSetField($989, 257, $990); //@line 1663 "convert.c"
        var $992=HEAP[$tif]; //@line 1664 "convert.c"
        var $993=_TIFFSetField($992, 277, 1); //@line 1664 "convert.c"
        var $994=HEAP[$tif]; //@line 1665 "convert.c"
        var $995=HEAP[$bps]; //@line 1665 "convert.c"
        var $996=_TIFFSetField($994, 258, $995); //@line 1665 "convert.c"
        var $997=HEAP[$tif]; //@line 1666 "convert.c"
        var $998=_TIFFSetField($997, 274, 1); //@line 1666 "convert.c"
        var $999=HEAP[$tif]; //@line 1667 "convert.c"
        var $1000=_TIFFSetField($999, 284, 1); //@line 1667 "convert.c"
        var $1001=HEAP[$tif]; //@line 1668 "convert.c"
        var $1002=_TIFFSetField($1001, 262, 1); //@line 1668 "convert.c"
        var $1003=HEAP[$tif]; //@line 1669 "convert.c"
        var $1004=_TIFFSetField($1003, 278, 1); //@line 1669 "convert.c"
        var $1005=HEAP[$tif]; //@line 1672 "convert.c"
        var $1006=_TIFFStripSize($1005); //@line 1672 "convert.c"
        HEAP[$strip_size]=$1006; //@line 1672 "convert.c"
        var $1007=HEAP[$strip_size]; //@line 1673 "convert.c"
        var $1008=__TIFFmalloc($1007); //@line 1673 "convert.c"
        HEAP[$buf]=$1008; //@line 1673 "convert.c"
        HEAP[$index]=0; //@line 1674 "convert.c"
        HEAP[$strip]=0; //@line 1675 "convert.c"
        __label__ = 83; break; //@line 1675 "convert.c"
      case 109: // $bb103
        var $1009=HEAP[$buf]; //@line 1678 "convert.c"
        HEAP[$dat8104]=$1009; //@line 1678 "convert.c"
        var $1010=HEAP[$image_addr]; //@line 1679 "convert.c"
        var $1011=CHECK_OVERFLOW(($1010+24)&4294967295, 32); //@line 1679 "convert.c"
        var $1012=HEAP[$1011]; //@line 1679 "convert.c"
        var $1013=CHECK_OVERFLOW(($1012)&4294967295, 32); //@line 1679 "convert.c"
        var $1014=CHECK_OVERFLOW(($1013+24)&4294967295, 32); //@line 1679 "convert.c"
        var $1015=HEAP[$1014]; //@line 1679 "convert.c"
        var $1016=($1015)==8; //@line 1679 "convert.c"
        if ($1016) { __label__ = 84; break; } else { __label__ = 85; break; } //@line 1679 "convert.c"
      case 84: // $bb106
        HEAP[$i105]=0; //@line 1680 "convert.c"
        __label__ = 86; break; //@line 1680 "convert.c"
      case 91: // $bb107
        var $1017=HEAP[$index]; //@line 1681 "convert.c"
        var $1018=HEAP[$imgsize]; //@line 1681 "convert.c"
        var $1019=($1017) < ($1018); //@line 1681 "convert.c"
        if ($1019) { __label__ = 87; break; } else { __label__ = 88; break; } //@line 1681 "convert.c"
      case 87: // $bb108
        HEAP[$r109]=0; //@line 1682 "convert.c"
        var $1020=HEAP[$image_addr]; //@line 1683 "convert.c"
        var $1021=CHECK_OVERFLOW(($1020+24)&4294967295, 32); //@line 1683 "convert.c"
        var $1022=HEAP[$1021]; //@line 1683 "convert.c"
        var $1023=CHECK_OVERFLOW(($1022)&4294967295, 32); //@line 1683 "convert.c"
        var $1024=CHECK_OVERFLOW(($1023+44)&4294967295, 32); //@line 1683 "convert.c"
        var $1025=HEAP[$1024]; //@line 1683 "convert.c"
        var $1026=HEAP[$index]; //@line 1683 "convert.c"
        var $1027=CHECK_OVERFLOW(($1025+4*$1026)&4294967295, 32); //@line 1683 "convert.c"
        var $1028=HEAP[$1027]; //@line 1683 "convert.c"
        HEAP[$r109]=$1028; //@line 1683 "convert.c"
        var $1029=HEAP[$image_addr]; //@line 1684 "convert.c"
        var $1030=CHECK_OVERFLOW(($1029+24)&4294967295, 32); //@line 1684 "convert.c"
        var $1031=HEAP[$1030]; //@line 1684 "convert.c"
        var $1032=CHECK_OVERFLOW(($1031)&4294967295, 32); //@line 1684 "convert.c"
        var $1033=CHECK_OVERFLOW(($1032+32)&4294967295, 32); //@line 1684 "convert.c"
        var $1034=HEAP[$1033]; //@line 1684 "convert.c"
        var $1035=($1034)!=0; //@line 1684 "convert.c"
        if ($1035) { __label__ = 89; break; } else { __label__ = 90; break; } //@line 1684 "convert.c"
      case 89: // $bb110
        var $1036=HEAP[$r109]; //@line 1685 "convert.c"
        var $1037=HEAP[$adjust]; //@line 1685 "convert.c"
        var $1038=CHECK_OVERFLOW((($1036) + ($1037))&4294967295, 32); //@line 1685 "convert.c"
        HEAP[$r109]=$1038; //@line 1685 "convert.c"
        __label__ = 90; break; //@line 1685 "convert.c"
      case 90: // $bb111
        var $1039=HEAP[$r109]; //@line 1687 "convert.c"
        var $1040=((($1039)) & 255); //@line 1687 "convert.c"
        var $1041=HEAP[$dat8104]; //@line 1687 "convert.c"
        var $1042=HEAP[$i105]; //@line 1687 "convert.c"
        var $1043=CHECK_OVERFLOW(($1041+$1042)&4294967295, 32); //@line 1687 "convert.c"
        HEAP[$1043]=$1040; //@line 1687 "convert.c"
        var $1044=HEAP[$index]; //@line 1688 "convert.c"
        var $1045=CHECK_OVERFLOW((($1044) + 1)&4294967295, 32); //@line 1688 "convert.c"
        HEAP[$index]=$1045; //@line 1688 "convert.c"
        var $1046=HEAP[$i105]; //@line 1680 "convert.c"
        var $1047=CHECK_OVERFLOW((($1046) + 1)&4294967295, 32); //@line 1680 "convert.c"
        HEAP[$i105]=$1047; //@line 1680 "convert.c"
        __label__ = 86; break; //@line 1680 "convert.c"
      case 86: // $bb112
        var $1048=HEAP[$tif]; //@line 1680 "convert.c"
        var $1049=_TIFFStripSize($1048); //@line 1680 "convert.c"
        var $1050=HEAP[$i105]; //@line 1680 "convert.c"
        var $1051=($1049) > ($1050); //@line 1680 "convert.c"
        if ($1051) { __label__ = 91; break; } else { __label__ = 88; break; } //@line 1680 "convert.c"
      case 88: // $bb113
        __label__ = 92; break; //@line 1680 "convert.c"
      case 85: // $bb114
        var $1052=HEAP[$image_addr]; //@line 1692 "convert.c"
        var $1053=CHECK_OVERFLOW(($1052+24)&4294967295, 32); //@line 1692 "convert.c"
        var $1054=HEAP[$1053]; //@line 1692 "convert.c"
        var $1055=CHECK_OVERFLOW(($1054)&4294967295, 32); //@line 1692 "convert.c"
        var $1056=CHECK_OVERFLOW(($1055+24)&4294967295, 32); //@line 1692 "convert.c"
        var $1057=HEAP[$1056]; //@line 1692 "convert.c"
        var $1058=($1057)==12; //@line 1692 "convert.c"
        if ($1058) { __label__ = 93; break; } else { __label__ = 94; break; } //@line 1692 "convert.c"
      case 93: // $bb115
        HEAP[$i105]=0; //@line 1693 "convert.c"
        __label__ = 95; break; //@line 1693 "convert.c"
      case 100: // $bb116
        var $1059=HEAP[$index]; //@line 1694 "convert.c"
        var $1060=HEAP[$imgsize]; //@line 1694 "convert.c"
        var $1061=($1059) < ($1060); //@line 1694 "convert.c"
        if ($1061) { __label__ = 96; break; } else { __label__ = 97; break; } //@line 1694 "convert.c"
      case 96: // $bb117
        HEAP[$r118]=0; //@line 1695 "convert.c"
        HEAP[$r1119]=0; //@line 1695 "convert.c"
        var $1062=HEAP[$image_addr]; //@line 1696 "convert.c"
        var $1063=CHECK_OVERFLOW(($1062+24)&4294967295, 32); //@line 1696 "convert.c"
        var $1064=HEAP[$1063]; //@line 1696 "convert.c"
        var $1065=CHECK_OVERFLOW(($1064)&4294967295, 32); //@line 1696 "convert.c"
        var $1066=CHECK_OVERFLOW(($1065+44)&4294967295, 32); //@line 1696 "convert.c"
        var $1067=HEAP[$1066]; //@line 1696 "convert.c"
        var $1068=HEAP[$index]; //@line 1696 "convert.c"
        var $1069=CHECK_OVERFLOW(($1067+4*$1068)&4294967295, 32); //@line 1696 "convert.c"
        var $1070=HEAP[$1069]; //@line 1696 "convert.c"
        HEAP[$r118]=$1070; //@line 1696 "convert.c"
        var $1071=HEAP[$image_addr]; //@line 1697 "convert.c"
        var $1072=CHECK_OVERFLOW(($1071+24)&4294967295, 32); //@line 1697 "convert.c"
        var $1073=HEAP[$1072]; //@line 1697 "convert.c"
        var $1074=CHECK_OVERFLOW(($1073)&4294967295, 32); //@line 1697 "convert.c"
        var $1075=CHECK_OVERFLOW(($1074+44)&4294967295, 32); //@line 1697 "convert.c"
        var $1076=HEAP[$1075]; //@line 1697 "convert.c"
        var $1077=HEAP[$index]; //@line 1697 "convert.c"
        var $1078=CHECK_OVERFLOW((($1077) + 1)&4294967295, 32); //@line 1697 "convert.c"
        var $1079=CHECK_OVERFLOW(($1076+4*$1078)&4294967295, 32); //@line 1697 "convert.c"
        var $1080=HEAP[$1079]; //@line 1697 "convert.c"
        HEAP[$r1119]=$1080; //@line 1697 "convert.c"
        var $1081=HEAP[$image_addr]; //@line 1698 "convert.c"
        var $1082=CHECK_OVERFLOW(($1081+24)&4294967295, 32); //@line 1698 "convert.c"
        var $1083=HEAP[$1082]; //@line 1698 "convert.c"
        var $1084=CHECK_OVERFLOW(($1083)&4294967295, 32); //@line 1698 "convert.c"
        var $1085=CHECK_OVERFLOW(($1084+32)&4294967295, 32); //@line 1698 "convert.c"
        var $1086=HEAP[$1085]; //@line 1698 "convert.c"
        var $1087=($1086)!=0; //@line 1698 "convert.c"
        if ($1087) { __label__ = 98; break; } else { __label__ = 99; break; } //@line 1698 "convert.c"
      case 98: // $bb120
        var $1088=HEAP[$r118]; //@line 1699 "convert.c"
        var $1089=HEAP[$adjust]; //@line 1699 "convert.c"
        var $1090=CHECK_OVERFLOW((($1088) + ($1089))&4294967295, 32); //@line 1699 "convert.c"
        HEAP[$r118]=$1090; //@line 1699 "convert.c"
        var $1091=HEAP[$r1119]; //@line 1700 "convert.c"
        var $1092=HEAP[$adjust]; //@line 1700 "convert.c"
        var $1093=CHECK_OVERFLOW((($1091) + ($1092))&4294967295, 32); //@line 1700 "convert.c"
        HEAP[$r1119]=$1093; //@line 1700 "convert.c"
        __label__ = 99; break; //@line 1700 "convert.c"
      case 99: // $bb121
        var $1094=HEAP[$r118]; //@line 1702 "convert.c"
        var $1095=($1094) >> 4; //@line 1702 "convert.c"
        var $1096=((($1095)) & 255); //@line 1702 "convert.c"
        var $1097=HEAP[$dat8104]; //@line 1702 "convert.c"
        var $1098=HEAP[$i105]; //@line 1702 "convert.c"
        var $1099=CHECK_OVERFLOW(($1097+$1098)&4294967295, 32); //@line 1702 "convert.c"
        HEAP[$1099]=$1096; //@line 1702 "convert.c"
        var $1100=HEAP[$i105]; //@line 1703 "convert.c"
        var $1101=CHECK_OVERFLOW((($1100) + 1)&4294967295, 32); //@line 1703 "convert.c"
        var $1102=HEAP[$r118]; //@line 1703 "convert.c"
        var $1103=($1102) & 15; //@line 1703 "convert.c"
        var $1104=($1103) << 4; //@line 1703 "convert.c"
        var $1105=((($1104)) & 255); //@line 1703 "convert.c"
        var $1106=HEAP[$r1119]; //@line 1703 "convert.c"
        var $1107=($1106) >> 8; //@line 1703 "convert.c"
        var $1108=((($1107)) & 255); //@line 1703 "convert.c"
        var $1109=($1108) & 15; //@line 1703 "convert.c"
        var $1110=($1105) | ($1109); //@line 1703 "convert.c"
        var $1111=HEAP[$dat8104]; //@line 1703 "convert.c"
        var $1112=CHECK_OVERFLOW(($1111+$1101)&4294967295, 32); //@line 1703 "convert.c"
        HEAP[$1112]=$1110; //@line 1703 "convert.c"
        var $1113=HEAP[$i105]; //@line 1704 "convert.c"
        var $1114=CHECK_OVERFLOW((($1113) + 2)&4294967295, 32); //@line 1704 "convert.c"
        var $1115=HEAP[$r1119]; //@line 1704 "convert.c"
        var $1116=((($1115)) & 255); //@line 1704 "convert.c"
        var $1117=HEAP[$dat8104]; //@line 1704 "convert.c"
        var $1118=CHECK_OVERFLOW(($1117+$1114)&4294967295, 32); //@line 1704 "convert.c"
        HEAP[$1118]=$1116; //@line 1704 "convert.c"
        var $1119=HEAP[$index]; //@line 1705 "convert.c"
        var $1120=CHECK_OVERFLOW((($1119) + 2)&4294967295, 32); //@line 1705 "convert.c"
        HEAP[$index]=$1120; //@line 1705 "convert.c"
        var $1121=HEAP[$i105]; //@line 1693 "convert.c"
        var $1122=CHECK_OVERFLOW((($1121) + 3)&4294967295, 32); //@line 1693 "convert.c"
        HEAP[$i105]=$1122; //@line 1693 "convert.c"
        __label__ = 95; break; //@line 1693 "convert.c"
      case 95: // $bb122
        var $1123=HEAP[$tif]; //@line 1693 "convert.c"
        var $1124=_TIFFStripSize($1123); //@line 1693 "convert.c"
        var $1125=HEAP[$i105]; //@line 1693 "convert.c"
        var $1126=($1124) > ($1125); //@line 1693 "convert.c"
        if ($1126) { __label__ = 100; break; } else { __label__ = 97; break; } //@line 1693 "convert.c"
      case 97: // $bb123
        __label__ = 92; break; //@line 1693 "convert.c"
      case 94: // $bb124
        var $1127=HEAP[$image_addr]; //@line 1709 "convert.c"
        var $1128=CHECK_OVERFLOW(($1127+24)&4294967295, 32); //@line 1709 "convert.c"
        var $1129=HEAP[$1128]; //@line 1709 "convert.c"
        var $1130=CHECK_OVERFLOW(($1129)&4294967295, 32); //@line 1709 "convert.c"
        var $1131=CHECK_OVERFLOW(($1130+24)&4294967295, 32); //@line 1709 "convert.c"
        var $1132=HEAP[$1131]; //@line 1709 "convert.c"
        var $1133=($1132)==16; //@line 1709 "convert.c"
        if ($1133) { __label__ = 101; break; } else { __label__ = 102; break; } //@line 1709 "convert.c"
      case 101: // $bb125
        HEAP[$i105]=0; //@line 1710 "convert.c"
        __label__ = 103; break; //@line 1710 "convert.c"
      case 108: // $bb126
        var $1134=HEAP[$index]; //@line 1711 "convert.c"
        var $1135=HEAP[$imgsize]; //@line 1711 "convert.c"
        var $1136=($1134) < ($1135); //@line 1711 "convert.c"
        if ($1136) { __label__ = 104; break; } else { __label__ = 105; break; } //@line 1711 "convert.c"
      case 104: // $bb127
        HEAP[$r128]=0; //@line 1712 "convert.c"
        var $1137=HEAP[$image_addr]; //@line 1713 "convert.c"
        var $1138=CHECK_OVERFLOW(($1137+24)&4294967295, 32); //@line 1713 "convert.c"
        var $1139=HEAP[$1138]; //@line 1713 "convert.c"
        var $1140=CHECK_OVERFLOW(($1139)&4294967295, 32); //@line 1713 "convert.c"
        var $1141=CHECK_OVERFLOW(($1140+44)&4294967295, 32); //@line 1713 "convert.c"
        var $1142=HEAP[$1141]; //@line 1713 "convert.c"
        var $1143=HEAP[$index]; //@line 1713 "convert.c"
        var $1144=CHECK_OVERFLOW(($1142+4*$1143)&4294967295, 32); //@line 1713 "convert.c"
        var $1145=HEAP[$1144]; //@line 1713 "convert.c"
        HEAP[$r128]=$1145; //@line 1713 "convert.c"
        var $1146=HEAP[$image_addr]; //@line 1714 "convert.c"
        var $1147=CHECK_OVERFLOW(($1146+24)&4294967295, 32); //@line 1714 "convert.c"
        var $1148=HEAP[$1147]; //@line 1714 "convert.c"
        var $1149=CHECK_OVERFLOW(($1148)&4294967295, 32); //@line 1714 "convert.c"
        var $1150=CHECK_OVERFLOW(($1149+32)&4294967295, 32); //@line 1714 "convert.c"
        var $1151=HEAP[$1150]; //@line 1714 "convert.c"
        var $1152=($1151)!=0; //@line 1714 "convert.c"
        if ($1152) { __label__ = 106; break; } else { __label__ = 107; break; } //@line 1714 "convert.c"
      case 106: // $bb129
        var $1153=HEAP[$r128]; //@line 1715 "convert.c"
        var $1154=HEAP[$adjust]; //@line 1715 "convert.c"
        var $1155=CHECK_OVERFLOW((($1153) + ($1154))&4294967295, 32); //@line 1715 "convert.c"
        HEAP[$r128]=$1155; //@line 1715 "convert.c"
        __label__ = 107; break; //@line 1715 "convert.c"
      case 107: // $bb130
        var $1156=HEAP[$r128]; //@line 1717 "convert.c"
        var $1157=((($1156)) & 255); //@line 1717 "convert.c"
        var $1158=HEAP[$dat8104]; //@line 1717 "convert.c"
        var $1159=HEAP[$i105]; //@line 1717 "convert.c"
        var $1160=CHECK_OVERFLOW(($1158+$1159)&4294967295, 32); //@line 1717 "convert.c"
        HEAP[$1160]=$1157; //@line 1717 "convert.c"
        var $1161=HEAP[$i105]; //@line 1718 "convert.c"
        var $1162=CHECK_OVERFLOW((($1161) + 1)&4294967295, 32); //@line 1718 "convert.c"
        var $1163=HEAP[$r128]; //@line 1718 "convert.c"
        var $1164=($1163) >> 8; //@line 1718 "convert.c"
        var $1165=((($1164)) & 255); //@line 1718 "convert.c"
        var $1166=HEAP[$dat8104]; //@line 1718 "convert.c"
        var $1167=CHECK_OVERFLOW(($1166+$1162)&4294967295, 32); //@line 1718 "convert.c"
        HEAP[$1167]=$1165; //@line 1718 "convert.c"
        var $1168=HEAP[$index]; //@line 1719 "convert.c"
        var $1169=CHECK_OVERFLOW((($1168) + 1)&4294967295, 32); //@line 1719 "convert.c"
        HEAP[$index]=$1169; //@line 1719 "convert.c"
        var $1170=HEAP[$i105]; //@line 1710 "convert.c"
        var $1171=CHECK_OVERFLOW((($1170) + 2)&4294967295, 32); //@line 1710 "convert.c"
        HEAP[$i105]=$1171; //@line 1710 "convert.c"
        __label__ = 103; break; //@line 1710 "convert.c"
      case 103: // $bb131
        var $1172=HEAP[$tif]; //@line 1710 "convert.c"
        var $1173=_TIFFStripSize($1172); //@line 1710 "convert.c"
        var $1174=HEAP[$i105]; //@line 1710 "convert.c"
        var $1175=($1173) > ($1174); //@line 1710 "convert.c"
        if ($1175) { __label__ = 108; break; } else { __label__ = 105; break; } //@line 1710 "convert.c"
      case 105: // $bb132
        __label__ = 92; break; //@line 1710 "convert.c"
      case 102: // $bb133
        var $1176=HEAP[$image_addr]; //@line 1724 "convert.c"
        var $1177=CHECK_OVERFLOW(($1176+24)&4294967295, 32); //@line 1724 "convert.c"
        var $1178=HEAP[$1177]; //@line 1724 "convert.c"
        var $1179=CHECK_OVERFLOW(($1178)&4294967295, 32); //@line 1724 "convert.c"
        var $1180=CHECK_OVERFLOW(($1179+24)&4294967295, 32); //@line 1724 "convert.c"
        var $1181=HEAP[$1180]; //@line 1724 "convert.c"
        var $1182=HEAP[_stderr]; //@line 1724 "convert.c"
        var $1183=_fprintf($1182, CHECK_OVERFLOW((__str38127)&4294967295, 32), $1181); //@line 1724 "convert.c"
        var $1184=HEAP[_stderr]; //@line 1725 "convert.c"
        var $1185=$1184; //@line 1725 "convert.c"
        var $1186=_fwrite(CHECK_OVERFLOW((__str37126)&4294967295, 32), 1, 9, $1185); //@line 1725 "convert.c"
        HEAP[$0]=1; //@line 1726 "convert.c"
        __label__ = 10; break; //@line 1726 "convert.c"
      case 92: // $bb134
        var $1187=HEAP[$tif]; //@line 1728 "convert.c"
        var $1188=HEAP[$strip]; //@line 1728 "convert.c"
        var $1189=HEAP[$buf]; //@line 1728 "convert.c"
        var $1190=HEAP[$strip_size]; //@line 1728 "convert.c"
        var $1191=_TIFFWriteEncodedStrip($1187, $1188, $1189, $1190); //@line 1728 "convert.c"
        var $1192=HEAP[$strip]; //@line 1675 "convert.c"
        var $1193=CHECK_OVERFLOW((($1192) + 1)&4294967295, 32); //@line 1675 "convert.c"
        HEAP[$strip]=$1193; //@line 1675 "convert.c"
        __label__ = 83; break; //@line 1675 "convert.c"
      case 83: // $bb135
        var $1194=HEAP[$tif]; //@line 1675 "convert.c"
        var $1195=_TIFFNumberOfStrips($1194); //@line 1675 "convert.c"
        var $1196=HEAP[$strip]; //@line 1675 "convert.c"
        var $1197=($1195) > ($1196); //@line 1675 "convert.c"
        if ($1197) { __label__ = 109; break; } else { __label__ = 110; break; } //@line 1675 "convert.c"
      case 110: // $bb136
        var $1198=HEAP[$buf]; //@line 1730 "convert.c"
        __TIFFfree($1198); //@line 1730 "convert.c"
        var $1199=HEAP[$tif]; //@line 1731 "convert.c"
        _TIFFClose($1199); //@line 1731 "convert.c"
        __label__ = 78; break; //@line 1731 "convert.c"
      case 80: // $bb137
        var $1200=HEAP[_stderr]; //@line 1733 "convert.c"
        var $1201=$1200; //@line 1733 "convert.c"
        var $1202=_fwrite(CHECK_OVERFLOW((__str3989)&4294967295, 32), 1, 80, $1201); //@line 1733 "convert.c"
        var $1203=HEAP[_stderr]; //@line 1734 "convert.c"
        var $1204=$1203; //@line 1734 "convert.c"
        var $1205=_fwrite(CHECK_OVERFLOW((__str37126)&4294967295, 32), 1, 9, $1204); //@line 1734 "convert.c"
        HEAP[$0]=1; //@line 1735 "convert.c"
        __label__ = 10; break; //@line 1735 "convert.c"
      case 78: // $bb138
        HEAP[$0]=0; //@line 1737 "convert.c"
        __label__ = 10; break; //@line 1737 "convert.c"
      case 10: // $bb139
        var $1206=HEAP[$0]; //@line 1457 "convert.c"
        HEAP[$retval]=$1206; //@line 1457 "convert.c"
        __label__ = 111; break; //@line 1457 "convert.c"
      case 111: // $return
        var $retval140=HEAP[$retval]; //@line 1457 "convert.c"
        STACKTOP = __stackBase__;
        return $retval140; //@line 1457 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _tiftoimage($filename, $parameters) {
    var __stackBase__  = STACKTOP; STACKTOP += 240; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 240);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $filename_addr=__stackBase__;
        var $parameters_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $iftmp_188=__stackBase__+12;
        var $iftmp_187=__stackBase__+16;
        var $iftmp_184=__stackBase__+20;
        var $iftmp_183=__stackBase__+24;
        var $0=__stackBase__+28;
        var $subsampling_dx=__stackBase__+32;
        var $subsampling_dy=__stackBase__+36;
        var $tif=__stackBase__+40;
        var $Info=__stackBase__+44;
        var $buf=__stackBase__+64;
        var $strip=__stackBase__+68;
        var $strip_size=__stackBase__+72;
        var $j=__stackBase__+76;
        var $numcomps=__stackBase__+80;
        var $w=__stackBase__+84;
        var $h=__stackBase__+88;
        var $index=__stackBase__+92;
        var $color_space=__stackBase__+96;
        var $cmptparm=__stackBase__+100;
        var $image=__stackBase__+208;
        var $imgsize=__stackBase__+212;
        var $dat8=__stackBase__+216;
        var $i=__stackBase__+220;
        var $ssize=__stackBase__+224;
        var $dat856=__stackBase__+228;
        var $i57=__stackBase__+232;
        var $ssize58=__stackBase__+236;
        var $_alloca_point_=0;
        HEAP[$filename_addr]=$filename;
        HEAP[$parameters_addr]=$parameters;
        var $1=HEAP[$parameters_addr]; //@line 1742 "convert.c"
        var $2=CHECK_OVERFLOW(($1+18188)&4294967295, 32); //@line 1742 "convert.c"
        var $3=HEAP[$2]; //@line 1742 "convert.c"
        HEAP[$subsampling_dx]=$3; //@line 1742 "convert.c"
        var $4=HEAP[$parameters_addr]; //@line 1743 "convert.c"
        var $5=CHECK_OVERFLOW(($4+18192)&4294967295, 32); //@line 1743 "convert.c"
        var $6=HEAP[$5]; //@line 1743 "convert.c"
        HEAP[$subsampling_dy]=$6; //@line 1743 "convert.c"
        HEAP[$image]=0; //@line 1752 "convert.c"
        HEAP[$imgsize]=0; //@line 1753 "convert.c"
        var $7=HEAP[$filename_addr]; //@line 1755 "convert.c"
        var $8=_TIFFOpen($7, CHECK_OVERFLOW((__str40128)&4294967295, 32)); //@line 1755 "convert.c"
        HEAP[$tif]=$8; //@line 1755 "convert.c"
        var $9=HEAP[$tif]; //@line 1757 "convert.c"
        var $10=($9)==0; //@line 1757 "convert.c"
        if ($10) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1757 "convert.c"
      case 0: // $bb
        var $11=HEAP[_stderr]; //@line 1758 "convert.c"
        var $12=HEAP[$filename_addr]; //@line 1758 "convert.c"
        var $13=_fprintf($11, CHECK_OVERFLOW((__str41129)&4294967295, 32), $12); //@line 1758 "convert.c"
        HEAP[$0]=0; //@line 1759 "convert.c"
        __label__ = 2; break; //@line 1759 "convert.c"
      case 1: // $bb1
        var $14=HEAP[$tif]; //@line 1762 "convert.c"
        var $15=CHECK_OVERFLOW(($Info)&4294967295, 32); //@line 1762 "convert.c"
        var $16=_TIFFGetField($14, 256, $15); //@line 1762 "convert.c"
        var $17=HEAP[$tif]; //@line 1763 "convert.c"
        var $18=CHECK_OVERFLOW(($Info+4)&4294967295, 32); //@line 1763 "convert.c"
        var $19=_TIFFGetField($17, 257, $18); //@line 1763 "convert.c"
        var $20=HEAP[$tif]; //@line 1764 "convert.c"
        var $21=CHECK_OVERFLOW(($Info+12)&4294967295, 32); //@line 1764 "convert.c"
        var $22=_TIFFGetField($20, 258, $21); //@line 1764 "convert.c"
        var $23=HEAP[$tif]; //@line 1765 "convert.c"
        var $24=CHECK_OVERFLOW(($Info+14)&4294967295, 32); //@line 1765 "convert.c"
        var $25=_TIFFGetField($23, 339, $24); //@line 1765 "convert.c"
        var $26=HEAP[$tif]; //@line 1766 "convert.c"
        var $27=CHECK_OVERFLOW(($Info+16)&4294967295, 32); //@line 1766 "convert.c"
        var $28=_TIFFGetField($26, 277, $27); //@line 1766 "convert.c"
        var $29=CHECK_OVERFLOW(($Info+8)&4294967295, 32); //@line 1767 "convert.c"
        HEAP[$29]=0; //@line 1767 "convert.c"
        var $30=HEAP[$tif]; //@line 1768 "convert.c"
        var $31=CHECK_OVERFLOW(($Info+8)&4294967295, 32); //@line 1768 "convert.c"
        var $32=_TIFFGetField($30, 262, $31); //@line 1768 "convert.c"
        var $33=HEAP[$tif]; //@line 1769 "convert.c"
        var $34=CHECK_OVERFLOW(($Info+18)&4294967295, 32); //@line 1769 "convert.c"
        var $35=_TIFFGetField($33, 284, $34); //@line 1769 "convert.c"
        var $36=CHECK_OVERFLOW(($Info)&4294967295, 32); //@line 1770 "convert.c"
        var $37=HEAP[$36]; //@line 1770 "convert.c"
        HEAP[$w]=$37; //@line 1770 "convert.c"
        var $38=CHECK_OVERFLOW(($Info+4)&4294967295, 32); //@line 1771 "convert.c"
        var $39=HEAP[$38]; //@line 1771 "convert.c"
        HEAP[$h]=$39; //@line 1771 "convert.c"
        var $40=CHECK_OVERFLOW(($Info+8)&4294967295, 32); //@line 1773 "convert.c"
        var $41=HEAP[$40]; //@line 1773 "convert.c"
        var $42=($41)==2; //@line 1773 "convert.c"
        if ($42) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1773 "convert.c"
      case 3: // $bb2
        HEAP[$numcomps]=3; //@line 1778 "convert.c"
        HEAP[$color_space]=1; //@line 1779 "convert.c"
        var $43=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 1781 "convert.c"
        var $44=$43; //@line 1781 "convert.c"
        _llvm_memset_p0i8_i32($44, 0, 108, 1, 0); //@line 1781 "convert.c"
        HEAP[$j]=0; //@line 1782 "convert.c"
        __label__ = 5; break; //@line 1782 "convert.c"
      case 9: // $bb3
        var $45=HEAP[$parameters_addr]; //@line 1783 "convert.c"
        var $46=CHECK_OVERFLOW(($45+18676)&4294967295, 32); //@line 1783 "convert.c"
        var $47=HEAP[$46]; //@line 1783 "convert.c"
        var $48=($47)!=0; //@line 1783 "convert.c"
        if ($48) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 1783 "convert.c"
      case 6: // $bb4
        var $49=HEAP[$j]; //@line 1784 "convert.c"
        var $50=CHECK_OVERFLOW(($cmptparm+$49*36)&4294967295, 32); //@line 1784 "convert.c"
        var $51=CHECK_OVERFLOW(($50+24)&4294967295, 32); //@line 1784 "convert.c"
        HEAP[$51]=12; //@line 1784 "convert.c"
        var $52=HEAP[$j]; //@line 1785 "convert.c"
        var $53=CHECK_OVERFLOW(($cmptparm+$52*36)&4294967295, 32); //@line 1785 "convert.c"
        var $54=CHECK_OVERFLOW(($53+28)&4294967295, 32); //@line 1785 "convert.c"
        HEAP[$54]=12; //@line 1785 "convert.c"
        __label__ = 8; break; //@line 1785 "convert.c"
      case 7: // $bb5
        var $55=HEAP[$j]; //@line 1787 "convert.c"
        var $56=CHECK_OVERFLOW(($Info+12)&4294967295, 32); //@line 1787 "convert.c"
        var $57=HEAP[$56]; //@line 1787 "convert.c"
        var $58=($57); //@line 1787 "convert.c"
        var $59=CHECK_OVERFLOW(($cmptparm+$55*36)&4294967295, 32); //@line 1787 "convert.c"
        var $60=CHECK_OVERFLOW(($59+24)&4294967295, 32); //@line 1787 "convert.c"
        HEAP[$60]=$58; //@line 1787 "convert.c"
        var $61=HEAP[$j]; //@line 1788 "convert.c"
        var $62=CHECK_OVERFLOW(($Info+12)&4294967295, 32); //@line 1788 "convert.c"
        var $63=HEAP[$62]; //@line 1788 "convert.c"
        var $64=($63); //@line 1788 "convert.c"
        var $65=CHECK_OVERFLOW(($cmptparm+$61*36)&4294967295, 32); //@line 1788 "convert.c"
        var $66=CHECK_OVERFLOW(($65+28)&4294967295, 32); //@line 1788 "convert.c"
        HEAP[$66]=$64; //@line 1788 "convert.c"
        __label__ = 8; break; //@line 1788 "convert.c"
      case 8: // $bb6
        var $67=HEAP[$j]; //@line 1790 "convert.c"
        var $68=CHECK_OVERFLOW(($cmptparm+$67*36)&4294967295, 32); //@line 1790 "convert.c"
        var $69=CHECK_OVERFLOW(($68+32)&4294967295, 32); //@line 1790 "convert.c"
        HEAP[$69]=0; //@line 1790 "convert.c"
        var $70=HEAP[$j]; //@line 1791 "convert.c"
        var $71=CHECK_OVERFLOW(($cmptparm+$70*36)&4294967295, 32); //@line 1791 "convert.c"
        var $72=CHECK_OVERFLOW(($71)&4294967295, 32); //@line 1791 "convert.c"
        var $73=HEAP[$subsampling_dx]; //@line 1791 "convert.c"
        HEAP[$72]=$73; //@line 1791 "convert.c"
        var $74=HEAP[$j]; //@line 1792 "convert.c"
        var $75=CHECK_OVERFLOW(($cmptparm+$74*36)&4294967295, 32); //@line 1792 "convert.c"
        var $76=CHECK_OVERFLOW(($75+4)&4294967295, 32); //@line 1792 "convert.c"
        var $77=HEAP[$subsampling_dy]; //@line 1792 "convert.c"
        HEAP[$76]=$77; //@line 1792 "convert.c"
        var $78=HEAP[$j]; //@line 1793 "convert.c"
        var $79=CHECK_OVERFLOW(($cmptparm+$78*36)&4294967295, 32); //@line 1793 "convert.c"
        var $80=CHECK_OVERFLOW(($79+8)&4294967295, 32); //@line 1793 "convert.c"
        var $81=HEAP[$w]; //@line 1793 "convert.c"
        HEAP[$80]=$81; //@line 1793 "convert.c"
        var $82=HEAP[$j]; //@line 1794 "convert.c"
        var $83=CHECK_OVERFLOW(($cmptparm+$82*36)&4294967295, 32); //@line 1794 "convert.c"
        var $84=CHECK_OVERFLOW(($83+12)&4294967295, 32); //@line 1794 "convert.c"
        var $85=HEAP[$h]; //@line 1794 "convert.c"
        HEAP[$84]=$85; //@line 1794 "convert.c"
        var $86=HEAP[$j]; //@line 1782 "convert.c"
        var $87=CHECK_OVERFLOW((($86) + 1)&4294967295, 32); //@line 1782 "convert.c"
        HEAP[$j]=$87; //@line 1782 "convert.c"
        __label__ = 5; break; //@line 1782 "convert.c"
      case 5: // $bb7
        var $88=HEAP[$j]; //@line 1782 "convert.c"
        var $89=HEAP[$numcomps]; //@line 1782 "convert.c"
        var $90=($88) < ($89); //@line 1782 "convert.c"
        if ($90) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 1782 "convert.c"
      case 10: // $bb8
        var $91=HEAP[$numcomps]; //@line 1797 "convert.c"
        var $92=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 1797 "convert.c"
        var $93=HEAP[$color_space]; //@line 1797 "convert.c"
        var $94=_opj_image_create($91, $92, $93); //@line 1797 "convert.c"
        HEAP[$image]=$94; //@line 1797 "convert.c"
        var $95=HEAP[$image]; //@line 1798 "convert.c"
        var $96=($95)==0; //@line 1798 "convert.c"
        if ($96) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 1798 "convert.c"
      case 11: // $bb9
        var $97=HEAP[$tif]; //@line 1799 "convert.c"
        _TIFFClose($97); //@line 1799 "convert.c"
        HEAP[$0]=0; //@line 1800 "convert.c"
        __label__ = 2; break; //@line 1800 "convert.c"
      case 12: // $bb10
        var $98=HEAP[$parameters_addr]; //@line 1804 "convert.c"
        var $99=CHECK_OVERFLOW(($98+18180)&4294967295, 32); //@line 1804 "convert.c"
        var $100=HEAP[$99]; //@line 1804 "convert.c"
        var $101=HEAP[$image]; //@line 1804 "convert.c"
        var $102=CHECK_OVERFLOW(($101)&4294967295, 32); //@line 1804 "convert.c"
        HEAP[$102]=$100; //@line 1804 "convert.c"
        var $103=HEAP[$parameters_addr]; //@line 1805 "convert.c"
        var $104=CHECK_OVERFLOW(($103+18184)&4294967295, 32); //@line 1805 "convert.c"
        var $105=HEAP[$104]; //@line 1805 "convert.c"
        var $106=HEAP[$image]; //@line 1805 "convert.c"
        var $107=CHECK_OVERFLOW(($106+4)&4294967295, 32); //@line 1805 "convert.c"
        HEAP[$107]=$105; //@line 1805 "convert.c"
        var $108=HEAP[$image]; //@line 1806 "convert.c"
        var $109=CHECK_OVERFLOW(($108)&4294967295, 32); //@line 1806 "convert.c"
        var $110=HEAP[$109]; //@line 1806 "convert.c"
        var $111=($110)==0; //@line 1806 "convert.c"
        if ($111) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 1806 "convert.c"
      case 13: // $bb11
        var $112=HEAP[$w]; //@line 1806 "convert.c"
        var $113=CHECK_OVERFLOW((($112) - 1)&4294967295, 32); //@line 1806 "convert.c"
        var $114=HEAP[$subsampling_dx]; //@line 1806 "convert.c"
        var $115=CHECK_OVERFLOW((($113) * ($114))&4294967295, 32); //@line 1806 "convert.c"
        var $116=CHECK_OVERFLOW((($115) + 1)&4294967295, 32); //@line 1806 "convert.c"
        HEAP[$iftmp_183]=$116; //@line 1806 "convert.c"
        __label__ = 15; break; //@line 1806 "convert.c"
      case 14: // $bb12
        var $117=HEAP[$image]; //@line 1806 "convert.c"
        var $118=CHECK_OVERFLOW(($117)&4294967295, 32); //@line 1806 "convert.c"
        var $119=HEAP[$118]; //@line 1806 "convert.c"
        var $120=HEAP[$w]; //@line 1806 "convert.c"
        var $121=CHECK_OVERFLOW((($120) - 1)&4294967295, 32); //@line 1806 "convert.c"
        var $122=HEAP[$subsampling_dx]; //@line 1806 "convert.c"
        var $123=CHECK_OVERFLOW((($121) * ($122))&4294967295, 32); //@line 1806 "convert.c"
        var $124=CHECK_OVERFLOW((($119) + ($123))&4294967295, 32); //@line 1806 "convert.c"
        var $125=CHECK_OVERFLOW((($124) + 1)&4294967295, 32); //@line 1806 "convert.c"
        HEAP[$iftmp_183]=$125; //@line 1806 "convert.c"
        __label__ = 15; break; //@line 1806 "convert.c"
      case 15: // $bb13
        var $126=HEAP[$image]; //@line 1806 "convert.c"
        var $127=CHECK_OVERFLOW(($126+8)&4294967295, 32); //@line 1806 "convert.c"
        var $128=HEAP[$iftmp_183]; //@line 1806 "convert.c"
        HEAP[$127]=$128; //@line 1806 "convert.c"
        var $129=HEAP[$image]; //@line 1807 "convert.c"
        var $130=CHECK_OVERFLOW(($129+4)&4294967295, 32); //@line 1807 "convert.c"
        var $131=HEAP[$130]; //@line 1807 "convert.c"
        var $132=($131)==0; //@line 1807 "convert.c"
        if ($132) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 1807 "convert.c"
      case 16: // $bb14
        var $133=HEAP[$h]; //@line 1807 "convert.c"
        var $134=CHECK_OVERFLOW((($133) - 1)&4294967295, 32); //@line 1807 "convert.c"
        var $135=HEAP[$subsampling_dy]; //@line 1807 "convert.c"
        var $136=CHECK_OVERFLOW((($134) * ($135))&4294967295, 32); //@line 1807 "convert.c"
        var $137=CHECK_OVERFLOW((($136) + 1)&4294967295, 32); //@line 1807 "convert.c"
        HEAP[$iftmp_184]=$137; //@line 1807 "convert.c"
        __label__ = 18; break; //@line 1807 "convert.c"
      case 17: // $bb15
        var $138=HEAP[$image]; //@line 1807 "convert.c"
        var $139=CHECK_OVERFLOW(($138+4)&4294967295, 32); //@line 1807 "convert.c"
        var $140=HEAP[$139]; //@line 1807 "convert.c"
        var $141=HEAP[$h]; //@line 1807 "convert.c"
        var $142=CHECK_OVERFLOW((($141) - 1)&4294967295, 32); //@line 1807 "convert.c"
        var $143=HEAP[$subsampling_dy]; //@line 1807 "convert.c"
        var $144=CHECK_OVERFLOW((($142) * ($143))&4294967295, 32); //@line 1807 "convert.c"
        var $145=CHECK_OVERFLOW((($140) + ($144))&4294967295, 32); //@line 1807 "convert.c"
        var $146=CHECK_OVERFLOW((($145) + 1)&4294967295, 32); //@line 1807 "convert.c"
        HEAP[$iftmp_184]=$146; //@line 1807 "convert.c"
        __label__ = 18; break; //@line 1807 "convert.c"
      case 18: // $bb16
        var $147=HEAP[$image]; //@line 1807 "convert.c"
        var $148=CHECK_OVERFLOW(($147+12)&4294967295, 32); //@line 1807 "convert.c"
        var $149=HEAP[$iftmp_184]; //@line 1807 "convert.c"
        HEAP[$148]=$149; //@line 1807 "convert.c"
        var $150=HEAP[$tif]; //@line 1809 "convert.c"
        var $151=_TIFFStripSize($150); //@line 1809 "convert.c"
        var $152=__TIFFmalloc($151); //@line 1809 "convert.c"
        HEAP[$buf]=$152; //@line 1809 "convert.c"
        HEAP[$strip_size]=0; //@line 1810 "convert.c"
        var $153=HEAP[$tif]; //@line 1811 "convert.c"
        var $154=_TIFFStripSize($153); //@line 1811 "convert.c"
        HEAP[$strip_size]=$154; //@line 1811 "convert.c"
        HEAP[$index]=0; //@line 1812 "convert.c"
        var $155=HEAP[$image]; //@line 1813 "convert.c"
        var $156=CHECK_OVERFLOW(($155+24)&4294967295, 32); //@line 1813 "convert.c"
        var $157=HEAP[$156]; //@line 1813 "convert.c"
        var $158=CHECK_OVERFLOW(($157)&4294967295, 32); //@line 1813 "convert.c"
        var $159=CHECK_OVERFLOW(($158+8)&4294967295, 32); //@line 1813 "convert.c"
        var $160=HEAP[$159]; //@line 1813 "convert.c"
        var $161=HEAP[$image]; //@line 1813 "convert.c"
        var $162=CHECK_OVERFLOW(($161+24)&4294967295, 32); //@line 1813 "convert.c"
        var $163=HEAP[$162]; //@line 1813 "convert.c"
        var $164=CHECK_OVERFLOW(($163)&4294967295, 32); //@line 1813 "convert.c"
        var $165=CHECK_OVERFLOW(($164+12)&4294967295, 32); //@line 1813 "convert.c"
        var $166=HEAP[$165]; //@line 1813 "convert.c"
        var $167=CHECK_OVERFLOW((($160) * ($166))&4294967295, 32); //@line 1813 "convert.c"
        HEAP[$imgsize]=$167; //@line 1813 "convert.c"
        HEAP[$strip]=0; //@line 1815 "convert.c"
        __label__ = 19; break; //@line 1815 "convert.c"
      case 43: // $bb17
        var $168=HEAP[$tif]; //@line 1818 "convert.c"
        var $169=HEAP[$strip]; //@line 1818 "convert.c"
        var $170=HEAP[$buf]; //@line 1818 "convert.c"
        var $171=HEAP[$strip_size]; //@line 1818 "convert.c"
        var $172=_TIFFReadEncodedStrip($168, $169, $170, $171); //@line 1818 "convert.c"
        HEAP[$ssize]=$172; //@line 1818 "convert.c"
        var $173=HEAP[$buf]; //@line 1819 "convert.c"
        HEAP[$dat8]=$173; //@line 1819 "convert.c"
        var $174=CHECK_OVERFLOW(($Info+12)&4294967295, 32); //@line 1821 "convert.c"
        var $175=HEAP[$174]; //@line 1821 "convert.c"
        var $176=($175)==12; //@line 1821 "convert.c"
        if ($176) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 1821 "convert.c"
      case 20: // $bb18
        HEAP[$i]=0; //@line 1822 "convert.c"
        __label__ = 22; break; //@line 1822 "convert.c"
      case 25: // $bb19
        var $177=HEAP[$index]; //@line 1823 "convert.c"
        var $178=HEAP[$imgsize]; //@line 1823 "convert.c"
        var $179=($177) < ($178); //@line 1823 "convert.c"
        var $180=($179); //@line 1823 "convert.c"
        var $181=HEAP[$index]; //@line 1823 "convert.c"
        var $182=CHECK_OVERFLOW((($181) + 1)&4294967295, 32); //@line 1823 "convert.c"
        var $183=HEAP[$imgsize]; //@line 1823 "convert.c"
        var $184=($182) < ($183); //@line 1823 "convert.c"
        var $185=($184); //@line 1823 "convert.c"
        var $toBool=($180)!=0; //@line 1823 "convert.c"
        var $toBool20=($185)!=0; //@line 1823 "convert.c"
        var $186=($toBool) & ($toBool20); //@line 1823 "convert.c"
        var $187=($186); //@line 1823 "convert.c"
        var $toBool21=($187)!=0; //@line 1823 "convert.c"
        if ($toBool21) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 1823 "convert.c"
      case 23: // $bb22
        var $188=HEAP[$image]; //@line 1824 "convert.c"
        var $189=CHECK_OVERFLOW(($188+24)&4294967295, 32); //@line 1824 "convert.c"
        var $190=HEAP[$189]; //@line 1824 "convert.c"
        var $191=CHECK_OVERFLOW(($190)&4294967295, 32); //@line 1824 "convert.c"
        var $192=CHECK_OVERFLOW(($191+44)&4294967295, 32); //@line 1824 "convert.c"
        var $193=HEAP[$192]; //@line 1824 "convert.c"
        var $194=HEAP[$dat8]; //@line 1824 "convert.c"
        var $195=HEAP[$i]; //@line 1824 "convert.c"
        var $196=CHECK_OVERFLOW(($194+$195)&4294967295, 32); //@line 1824 "convert.c"
        var $197=HEAP[$196]; //@line 1824 "convert.c"
        var $198=($197); //@line 1824 "convert.c"
        var $199=($198) << 4; //@line 1824 "convert.c"
        var $200=HEAP[$i]; //@line 1824 "convert.c"
        var $201=CHECK_OVERFLOW((($200) + 1)&4294967295, 32); //@line 1824 "convert.c"
        var $202=HEAP[$dat8]; //@line 1824 "convert.c"
        var $203=CHECK_OVERFLOW(($202+$201)&4294967295, 32); //@line 1824 "convert.c"
        var $204=HEAP[$203]; //@line 1824 "convert.c"
        var $205=($204) >>> 4; //@line 1824 "convert.c"
        var $206=($205); //@line 1824 "convert.c"
        var $207=($199) | ($206); //@line 1824 "convert.c"
        var $208=HEAP[$index]; //@line 1824 "convert.c"
        var $209=CHECK_OVERFLOW(($193+4*$208)&4294967295, 32); //@line 1824 "convert.c"
        HEAP[$209]=$207; //@line 1824 "convert.c"
        var $210=HEAP[$image]; //@line 1825 "convert.c"
        var $211=CHECK_OVERFLOW(($210+24)&4294967295, 32); //@line 1825 "convert.c"
        var $212=HEAP[$211]; //@line 1825 "convert.c"
        var $213=CHECK_OVERFLOW(($212+48)&4294967295, 32); //@line 1825 "convert.c"
        var $214=CHECK_OVERFLOW(($213+44)&4294967295, 32); //@line 1825 "convert.c"
        var $215=HEAP[$214]; //@line 1825 "convert.c"
        var $216=HEAP[$i]; //@line 1825 "convert.c"
        var $217=CHECK_OVERFLOW((($216) + 1)&4294967295, 32); //@line 1825 "convert.c"
        var $218=HEAP[$dat8]; //@line 1825 "convert.c"
        var $219=CHECK_OVERFLOW(($218+$217)&4294967295, 32); //@line 1825 "convert.c"
        var $220=HEAP[$219]; //@line 1825 "convert.c"
        var $221=($220); //@line 1825 "convert.c"
        var $222=($221) & 15; //@line 1825 "convert.c"
        var $223=($222) << 8; //@line 1825 "convert.c"
        var $224=HEAP[$i]; //@line 1825 "convert.c"
        var $225=CHECK_OVERFLOW((($224) + 2)&4294967295, 32); //@line 1825 "convert.c"
        var $226=HEAP[$dat8]; //@line 1825 "convert.c"
        var $227=CHECK_OVERFLOW(($226+$225)&4294967295, 32); //@line 1825 "convert.c"
        var $228=HEAP[$227]; //@line 1825 "convert.c"
        var $229=($228); //@line 1825 "convert.c"
        var $230=($223) | ($229); //@line 1825 "convert.c"
        var $231=HEAP[$index]; //@line 1825 "convert.c"
        var $232=CHECK_OVERFLOW(($215+4*$231)&4294967295, 32); //@line 1825 "convert.c"
        HEAP[$232]=$230; //@line 1825 "convert.c"
        var $233=HEAP[$image]; //@line 1826 "convert.c"
        var $234=CHECK_OVERFLOW(($233+24)&4294967295, 32); //@line 1826 "convert.c"
        var $235=HEAP[$234]; //@line 1826 "convert.c"
        var $236=CHECK_OVERFLOW(($235+96)&4294967295, 32); //@line 1826 "convert.c"
        var $237=CHECK_OVERFLOW(($236+44)&4294967295, 32); //@line 1826 "convert.c"
        var $238=HEAP[$237]; //@line 1826 "convert.c"
        var $239=HEAP[$i]; //@line 1826 "convert.c"
        var $240=CHECK_OVERFLOW((($239) + 3)&4294967295, 32); //@line 1826 "convert.c"
        var $241=HEAP[$dat8]; //@line 1826 "convert.c"
        var $242=CHECK_OVERFLOW(($241+$240)&4294967295, 32); //@line 1826 "convert.c"
        var $243=HEAP[$242]; //@line 1826 "convert.c"
        var $244=($243); //@line 1826 "convert.c"
        var $245=($244) << 4; //@line 1826 "convert.c"
        var $246=HEAP[$i]; //@line 1826 "convert.c"
        var $247=CHECK_OVERFLOW((($246) + 4)&4294967295, 32); //@line 1826 "convert.c"
        var $248=HEAP[$dat8]; //@line 1826 "convert.c"
        var $249=CHECK_OVERFLOW(($248+$247)&4294967295, 32); //@line 1826 "convert.c"
        var $250=HEAP[$249]; //@line 1826 "convert.c"
        var $251=($250) >>> 4; //@line 1826 "convert.c"
        var $252=($251); //@line 1826 "convert.c"
        var $253=($245) | ($252); //@line 1826 "convert.c"
        var $254=HEAP[$index]; //@line 1826 "convert.c"
        var $255=CHECK_OVERFLOW(($238+4*$254)&4294967295, 32); //@line 1826 "convert.c"
        HEAP[$255]=$253; //@line 1826 "convert.c"
        var $256=HEAP[$image]; //@line 1827 "convert.c"
        var $257=CHECK_OVERFLOW(($256+24)&4294967295, 32); //@line 1827 "convert.c"
        var $258=HEAP[$257]; //@line 1827 "convert.c"
        var $259=CHECK_OVERFLOW(($258)&4294967295, 32); //@line 1827 "convert.c"
        var $260=CHECK_OVERFLOW(($259+44)&4294967295, 32); //@line 1827 "convert.c"
        var $261=HEAP[$260]; //@line 1827 "convert.c"
        var $262=HEAP[$index]; //@line 1827 "convert.c"
        var $263=CHECK_OVERFLOW((($262) + 1)&4294967295, 32); //@line 1827 "convert.c"
        var $264=HEAP[$i]; //@line 1827 "convert.c"
        var $265=CHECK_OVERFLOW((($264) + 4)&4294967295, 32); //@line 1827 "convert.c"
        var $266=HEAP[$dat8]; //@line 1827 "convert.c"
        var $267=CHECK_OVERFLOW(($266+$265)&4294967295, 32); //@line 1827 "convert.c"
        var $268=HEAP[$267]; //@line 1827 "convert.c"
        var $269=($268); //@line 1827 "convert.c"
        var $270=($269) & 15; //@line 1827 "convert.c"
        var $271=($270) << 8; //@line 1827 "convert.c"
        var $272=HEAP[$i]; //@line 1827 "convert.c"
        var $273=CHECK_OVERFLOW((($272) + 5)&4294967295, 32); //@line 1827 "convert.c"
        var $274=HEAP[$dat8]; //@line 1827 "convert.c"
        var $275=CHECK_OVERFLOW(($274+$273)&4294967295, 32); //@line 1827 "convert.c"
        var $276=HEAP[$275]; //@line 1827 "convert.c"
        var $277=($276); //@line 1827 "convert.c"
        var $278=($271) | ($277); //@line 1827 "convert.c"
        var $279=CHECK_OVERFLOW(($261+4*$263)&4294967295, 32); //@line 1827 "convert.c"
        HEAP[$279]=$278; //@line 1827 "convert.c"
        var $280=HEAP[$image]; //@line 1828 "convert.c"
        var $281=CHECK_OVERFLOW(($280+24)&4294967295, 32); //@line 1828 "convert.c"
        var $282=HEAP[$281]; //@line 1828 "convert.c"
        var $283=CHECK_OVERFLOW(($282+48)&4294967295, 32); //@line 1828 "convert.c"
        var $284=CHECK_OVERFLOW(($283+44)&4294967295, 32); //@line 1828 "convert.c"
        var $285=HEAP[$284]; //@line 1828 "convert.c"
        var $286=HEAP[$index]; //@line 1828 "convert.c"
        var $287=CHECK_OVERFLOW((($286) + 1)&4294967295, 32); //@line 1828 "convert.c"
        var $288=HEAP[$i]; //@line 1828 "convert.c"
        var $289=CHECK_OVERFLOW((($288) + 6)&4294967295, 32); //@line 1828 "convert.c"
        var $290=HEAP[$dat8]; //@line 1828 "convert.c"
        var $291=CHECK_OVERFLOW(($290+$289)&4294967295, 32); //@line 1828 "convert.c"
        var $292=HEAP[$291]; //@line 1828 "convert.c"
        var $293=($292); //@line 1828 "convert.c"
        var $294=($293) << 4; //@line 1828 "convert.c"
        var $295=HEAP[$i]; //@line 1828 "convert.c"
        var $296=CHECK_OVERFLOW((($295) + 7)&4294967295, 32); //@line 1828 "convert.c"
        var $297=HEAP[$dat8]; //@line 1828 "convert.c"
        var $298=CHECK_OVERFLOW(($297+$296)&4294967295, 32); //@line 1828 "convert.c"
        var $299=HEAP[$298]; //@line 1828 "convert.c"
        var $300=($299) >>> 4; //@line 1828 "convert.c"
        var $301=($300); //@line 1828 "convert.c"
        var $302=($294) | ($301); //@line 1828 "convert.c"
        var $303=CHECK_OVERFLOW(($285+4*$287)&4294967295, 32); //@line 1828 "convert.c"
        HEAP[$303]=$302; //@line 1828 "convert.c"
        var $304=HEAP[$image]; //@line 1829 "convert.c"
        var $305=CHECK_OVERFLOW(($304+24)&4294967295, 32); //@line 1829 "convert.c"
        var $306=HEAP[$305]; //@line 1829 "convert.c"
        var $307=CHECK_OVERFLOW(($306+96)&4294967295, 32); //@line 1829 "convert.c"
        var $308=CHECK_OVERFLOW(($307+44)&4294967295, 32); //@line 1829 "convert.c"
        var $309=HEAP[$308]; //@line 1829 "convert.c"
        var $310=HEAP[$index]; //@line 1829 "convert.c"
        var $311=CHECK_OVERFLOW((($310) + 1)&4294967295, 32); //@line 1829 "convert.c"
        var $312=HEAP[$i]; //@line 1829 "convert.c"
        var $313=CHECK_OVERFLOW((($312) + 7)&4294967295, 32); //@line 1829 "convert.c"
        var $314=HEAP[$dat8]; //@line 1829 "convert.c"
        var $315=CHECK_OVERFLOW(($314+$313)&4294967295, 32); //@line 1829 "convert.c"
        var $316=HEAP[$315]; //@line 1829 "convert.c"
        var $317=($316); //@line 1829 "convert.c"
        var $318=($317) & 15; //@line 1829 "convert.c"
        var $319=($318) << 8; //@line 1829 "convert.c"
        var $320=HEAP[$i]; //@line 1829 "convert.c"
        var $321=CHECK_OVERFLOW((($320) + 8)&4294967295, 32); //@line 1829 "convert.c"
        var $322=HEAP[$dat8]; //@line 1829 "convert.c"
        var $323=CHECK_OVERFLOW(($322+$321)&4294967295, 32); //@line 1829 "convert.c"
        var $324=HEAP[$323]; //@line 1829 "convert.c"
        var $325=($324); //@line 1829 "convert.c"
        var $326=($319) | ($325); //@line 1829 "convert.c"
        var $327=CHECK_OVERFLOW(($309+4*$311)&4294967295, 32); //@line 1829 "convert.c"
        HEAP[$327]=$326; //@line 1829 "convert.c"
        var $328=HEAP[$index]; //@line 1830 "convert.c"
        var $329=CHECK_OVERFLOW((($328) + 2)&4294967295, 32); //@line 1830 "convert.c"
        HEAP[$index]=$329; //@line 1830 "convert.c"
        var $330=HEAP[$i]; //@line 1822 "convert.c"
        var $331=CHECK_OVERFLOW((($330) + 9)&4294967295, 32); //@line 1822 "convert.c"
        HEAP[$i]=$331; //@line 1822 "convert.c"
        __label__ = 22; break; //@line 1822 "convert.c"
      case 22: // $bb23
        var $332=HEAP[$i]; //@line 1822 "convert.c"
        var $333=HEAP[$ssize]; //@line 1822 "convert.c"
        var $334=($332) < ($333); //@line 1822 "convert.c"
        if ($334) { __label__ = 25; break; } else { __label__ = 24; break; } //@line 1822 "convert.c"
      case 24: // $bb24
        __label__ = 26; break; //@line 1822 "convert.c"
      case 21: // $bb25
        var $335=CHECK_OVERFLOW(($Info+12)&4294967295, 32); //@line 1835 "convert.c"
        var $336=HEAP[$335]; //@line 1835 "convert.c"
        var $337=($336)==16; //@line 1835 "convert.c"
        if ($337) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 1835 "convert.c"
      case 27: // $bb26
        HEAP[$i]=0; //@line 1836 "convert.c"
        __label__ = 29; break; //@line 1836 "convert.c"
      case 34: // $bb27
        var $338=HEAP[$index]; //@line 1837 "convert.c"
        var $339=HEAP[$imgsize]; //@line 1837 "convert.c"
        var $340=($338) < ($339); //@line 1837 "convert.c"
        if ($340) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 1837 "convert.c"
      case 30: // $bb28
        var $341=HEAP[$image]; //@line 1838 "convert.c"
        var $342=CHECK_OVERFLOW(($341+24)&4294967295, 32); //@line 1838 "convert.c"
        var $343=HEAP[$342]; //@line 1838 "convert.c"
        var $344=CHECK_OVERFLOW(($343)&4294967295, 32); //@line 1838 "convert.c"
        var $345=CHECK_OVERFLOW(($344+44)&4294967295, 32); //@line 1838 "convert.c"
        var $346=HEAP[$345]; //@line 1838 "convert.c"
        var $347=HEAP[$i]; //@line 1838 "convert.c"
        var $348=CHECK_OVERFLOW((($347) + 1)&4294967295, 32); //@line 1838 "convert.c"
        var $349=HEAP[$dat8]; //@line 1838 "convert.c"
        var $350=CHECK_OVERFLOW(($349+$348)&4294967295, 32); //@line 1838 "convert.c"
        var $351=HEAP[$350]; //@line 1838 "convert.c"
        var $352=($351); //@line 1838 "convert.c"
        var $353=($352) << 8; //@line 1838 "convert.c"
        var $354=HEAP[$dat8]; //@line 1838 "convert.c"
        var $355=HEAP[$i]; //@line 1838 "convert.c"
        var $356=CHECK_OVERFLOW(($354+$355)&4294967295, 32); //@line 1838 "convert.c"
        var $357=HEAP[$356]; //@line 1838 "convert.c"
        var $358=($357); //@line 1838 "convert.c"
        var $359=($353) | ($358); //@line 1838 "convert.c"
        var $360=HEAP[$index]; //@line 1838 "convert.c"
        var $361=CHECK_OVERFLOW(($346+4*$360)&4294967295, 32); //@line 1838 "convert.c"
        HEAP[$361]=$359; //@line 1838 "convert.c"
        var $362=HEAP[$image]; //@line 1839 "convert.c"
        var $363=CHECK_OVERFLOW(($362+24)&4294967295, 32); //@line 1839 "convert.c"
        var $364=HEAP[$363]; //@line 1839 "convert.c"
        var $365=CHECK_OVERFLOW(($364+48)&4294967295, 32); //@line 1839 "convert.c"
        var $366=CHECK_OVERFLOW(($365+44)&4294967295, 32); //@line 1839 "convert.c"
        var $367=HEAP[$366]; //@line 1839 "convert.c"
        var $368=HEAP[$i]; //@line 1839 "convert.c"
        var $369=CHECK_OVERFLOW((($368) + 3)&4294967295, 32); //@line 1839 "convert.c"
        var $370=HEAP[$dat8]; //@line 1839 "convert.c"
        var $371=CHECK_OVERFLOW(($370+$369)&4294967295, 32); //@line 1839 "convert.c"
        var $372=HEAP[$371]; //@line 1839 "convert.c"
        var $373=($372); //@line 1839 "convert.c"
        var $374=($373) << 8; //@line 1839 "convert.c"
        var $375=HEAP[$i]; //@line 1839 "convert.c"
        var $376=CHECK_OVERFLOW((($375) + 2)&4294967295, 32); //@line 1839 "convert.c"
        var $377=HEAP[$dat8]; //@line 1839 "convert.c"
        var $378=CHECK_OVERFLOW(($377+$376)&4294967295, 32); //@line 1839 "convert.c"
        var $379=HEAP[$378]; //@line 1839 "convert.c"
        var $380=($379); //@line 1839 "convert.c"
        var $381=($374) | ($380); //@line 1839 "convert.c"
        var $382=HEAP[$index]; //@line 1839 "convert.c"
        var $383=CHECK_OVERFLOW(($367+4*$382)&4294967295, 32); //@line 1839 "convert.c"
        HEAP[$383]=$381; //@line 1839 "convert.c"
        var $384=HEAP[$image]; //@line 1840 "convert.c"
        var $385=CHECK_OVERFLOW(($384+24)&4294967295, 32); //@line 1840 "convert.c"
        var $386=HEAP[$385]; //@line 1840 "convert.c"
        var $387=CHECK_OVERFLOW(($386+96)&4294967295, 32); //@line 1840 "convert.c"
        var $388=CHECK_OVERFLOW(($387+44)&4294967295, 32); //@line 1840 "convert.c"
        var $389=HEAP[$388]; //@line 1840 "convert.c"
        var $390=HEAP[$i]; //@line 1840 "convert.c"
        var $391=CHECK_OVERFLOW((($390) + 5)&4294967295, 32); //@line 1840 "convert.c"
        var $392=HEAP[$dat8]; //@line 1840 "convert.c"
        var $393=CHECK_OVERFLOW(($392+$391)&4294967295, 32); //@line 1840 "convert.c"
        var $394=HEAP[$393]; //@line 1840 "convert.c"
        var $395=($394); //@line 1840 "convert.c"
        var $396=($395) << 8; //@line 1840 "convert.c"
        var $397=HEAP[$i]; //@line 1840 "convert.c"
        var $398=CHECK_OVERFLOW((($397) + 4)&4294967295, 32); //@line 1840 "convert.c"
        var $399=HEAP[$dat8]; //@line 1840 "convert.c"
        var $400=CHECK_OVERFLOW(($399+$398)&4294967295, 32); //@line 1840 "convert.c"
        var $401=HEAP[$400]; //@line 1840 "convert.c"
        var $402=($401); //@line 1840 "convert.c"
        var $403=($396) | ($402); //@line 1840 "convert.c"
        var $404=HEAP[$index]; //@line 1840 "convert.c"
        var $405=CHECK_OVERFLOW(($389+4*$404)&4294967295, 32); //@line 1840 "convert.c"
        HEAP[$405]=$403; //@line 1840 "convert.c"
        var $406=HEAP[$parameters_addr]; //@line 1841 "convert.c"
        var $407=CHECK_OVERFLOW(($406+18676)&4294967295, 32); //@line 1841 "convert.c"
        var $408=HEAP[$407]; //@line 1841 "convert.c"
        var $409=($408)!=0; //@line 1841 "convert.c"
        if ($409) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 1841 "convert.c"
      case 32: // $bb29
        var $410=HEAP[$image]; //@line 1842 "convert.c"
        var $411=CHECK_OVERFLOW(($410+24)&4294967295, 32); //@line 1842 "convert.c"
        var $412=HEAP[$411]; //@line 1842 "convert.c"
        var $413=CHECK_OVERFLOW(($412)&4294967295, 32); //@line 1842 "convert.c"
        var $414=CHECK_OVERFLOW(($413+44)&4294967295, 32); //@line 1842 "convert.c"
        var $415=HEAP[$414]; //@line 1842 "convert.c"
        var $416=HEAP[$image]; //@line 1842 "convert.c"
        var $417=CHECK_OVERFLOW(($416+24)&4294967295, 32); //@line 1842 "convert.c"
        var $418=HEAP[$417]; //@line 1842 "convert.c"
        var $419=CHECK_OVERFLOW(($418)&4294967295, 32); //@line 1842 "convert.c"
        var $420=CHECK_OVERFLOW(($419+44)&4294967295, 32); //@line 1842 "convert.c"
        var $421=HEAP[$420]; //@line 1842 "convert.c"
        var $422=HEAP[$index]; //@line 1842 "convert.c"
        var $423=CHECK_OVERFLOW(($421+4*$422)&4294967295, 32); //@line 1842 "convert.c"
        var $424=HEAP[$423]; //@line 1842 "convert.c"
        var $425=CHECK_OVERFLOW((($424) + 8)&4294967295, 32); //@line 1842 "convert.c"
        var $426=($425) >> 4; //@line 1842 "convert.c"
        var $427=HEAP[$index]; //@line 1842 "convert.c"
        var $428=CHECK_OVERFLOW(($415+4*$427)&4294967295, 32); //@line 1842 "convert.c"
        HEAP[$428]=$426; //@line 1842 "convert.c"
        var $429=HEAP[$image]; //@line 1843 "convert.c"
        var $430=CHECK_OVERFLOW(($429+24)&4294967295, 32); //@line 1843 "convert.c"
        var $431=HEAP[$430]; //@line 1843 "convert.c"
        var $432=CHECK_OVERFLOW(($431+48)&4294967295, 32); //@line 1843 "convert.c"
        var $433=CHECK_OVERFLOW(($432+44)&4294967295, 32); //@line 1843 "convert.c"
        var $434=HEAP[$433]; //@line 1843 "convert.c"
        var $435=HEAP[$image]; //@line 1843 "convert.c"
        var $436=CHECK_OVERFLOW(($435+24)&4294967295, 32); //@line 1843 "convert.c"
        var $437=HEAP[$436]; //@line 1843 "convert.c"
        var $438=CHECK_OVERFLOW(($437+48)&4294967295, 32); //@line 1843 "convert.c"
        var $439=CHECK_OVERFLOW(($438+44)&4294967295, 32); //@line 1843 "convert.c"
        var $440=HEAP[$439]; //@line 1843 "convert.c"
        var $441=HEAP[$index]; //@line 1843 "convert.c"
        var $442=CHECK_OVERFLOW(($440+4*$441)&4294967295, 32); //@line 1843 "convert.c"
        var $443=HEAP[$442]; //@line 1843 "convert.c"
        var $444=CHECK_OVERFLOW((($443) + 8)&4294967295, 32); //@line 1843 "convert.c"
        var $445=($444) >> 4; //@line 1843 "convert.c"
        var $446=HEAP[$index]; //@line 1843 "convert.c"
        var $447=CHECK_OVERFLOW(($434+4*$446)&4294967295, 32); //@line 1843 "convert.c"
        HEAP[$447]=$445; //@line 1843 "convert.c"
        var $448=HEAP[$image]; //@line 1844 "convert.c"
        var $449=CHECK_OVERFLOW(($448+24)&4294967295, 32); //@line 1844 "convert.c"
        var $450=HEAP[$449]; //@line 1844 "convert.c"
        var $451=CHECK_OVERFLOW(($450+96)&4294967295, 32); //@line 1844 "convert.c"
        var $452=CHECK_OVERFLOW(($451+44)&4294967295, 32); //@line 1844 "convert.c"
        var $453=HEAP[$452]; //@line 1844 "convert.c"
        var $454=HEAP[$image]; //@line 1844 "convert.c"
        var $455=CHECK_OVERFLOW(($454+24)&4294967295, 32); //@line 1844 "convert.c"
        var $456=HEAP[$455]; //@line 1844 "convert.c"
        var $457=CHECK_OVERFLOW(($456+96)&4294967295, 32); //@line 1844 "convert.c"
        var $458=CHECK_OVERFLOW(($457+44)&4294967295, 32); //@line 1844 "convert.c"
        var $459=HEAP[$458]; //@line 1844 "convert.c"
        var $460=HEAP[$index]; //@line 1844 "convert.c"
        var $461=CHECK_OVERFLOW(($459+4*$460)&4294967295, 32); //@line 1844 "convert.c"
        var $462=HEAP[$461]; //@line 1844 "convert.c"
        var $463=CHECK_OVERFLOW((($462) + 8)&4294967295, 32); //@line 1844 "convert.c"
        var $464=($463) >> 4; //@line 1844 "convert.c"
        var $465=HEAP[$index]; //@line 1844 "convert.c"
        var $466=CHECK_OVERFLOW(($453+4*$465)&4294967295, 32); //@line 1844 "convert.c"
        HEAP[$466]=$464; //@line 1844 "convert.c"
        __label__ = 33; break; //@line 1844 "convert.c"
      case 33: // $bb30
        var $467=HEAP[$index]; //@line 1846 "convert.c"
        var $468=CHECK_OVERFLOW((($467) + 1)&4294967295, 32); //@line 1846 "convert.c"
        HEAP[$index]=$468; //@line 1846 "convert.c"
        var $469=HEAP[$i]; //@line 1836 "convert.c"
        var $470=CHECK_OVERFLOW((($469) + 6)&4294967295, 32); //@line 1836 "convert.c"
        HEAP[$i]=$470; //@line 1836 "convert.c"
        __label__ = 29; break; //@line 1836 "convert.c"
      case 29: // $bb31
        var $471=HEAP[$i]; //@line 1836 "convert.c"
        var $472=HEAP[$ssize]; //@line 1836 "convert.c"
        var $473=($471) < ($472); //@line 1836 "convert.c"
        if ($473) { __label__ = 34; break; } else { __label__ = 31; break; } //@line 1836 "convert.c"
      case 31: // $bb32
        __label__ = 26; break; //@line 1836 "convert.c"
      case 28: // $bb33
        var $474=CHECK_OVERFLOW(($Info+12)&4294967295, 32); //@line 1851 "convert.c"
        var $475=HEAP[$474]; //@line 1851 "convert.c"
        var $476=($475)==8; //@line 1851 "convert.c"
        if ($476) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 1851 "convert.c"
      case 35: // $bb34
        HEAP[$i]=0; //@line 1852 "convert.c"
        __label__ = 37; break; //@line 1852 "convert.c"
      case 42: // $bb35
        var $477=HEAP[$index]; //@line 1853 "convert.c"
        var $478=HEAP[$imgsize]; //@line 1853 "convert.c"
        var $479=($477) < ($478); //@line 1853 "convert.c"
        if ($479) { __label__ = 38; break; } else { __label__ = 39; break; } //@line 1853 "convert.c"
      case 38: // $bb36
        var $480=HEAP[$image]; //@line 1854 "convert.c"
        var $481=CHECK_OVERFLOW(($480+24)&4294967295, 32); //@line 1854 "convert.c"
        var $482=HEAP[$481]; //@line 1854 "convert.c"
        var $483=CHECK_OVERFLOW(($482)&4294967295, 32); //@line 1854 "convert.c"
        var $484=CHECK_OVERFLOW(($483+44)&4294967295, 32); //@line 1854 "convert.c"
        var $485=HEAP[$484]; //@line 1854 "convert.c"
        var $486=HEAP[$dat8]; //@line 1854 "convert.c"
        var $487=HEAP[$i]; //@line 1854 "convert.c"
        var $488=CHECK_OVERFLOW(($486+$487)&4294967295, 32); //@line 1854 "convert.c"
        var $489=HEAP[$488]; //@line 1854 "convert.c"
        var $490=($489); //@line 1854 "convert.c"
        var $491=HEAP[$index]; //@line 1854 "convert.c"
        var $492=CHECK_OVERFLOW(($485+4*$491)&4294967295, 32); //@line 1854 "convert.c"
        HEAP[$492]=$490; //@line 1854 "convert.c"
        var $493=HEAP[$image]; //@line 1855 "convert.c"
        var $494=CHECK_OVERFLOW(($493+24)&4294967295, 32); //@line 1855 "convert.c"
        var $495=HEAP[$494]; //@line 1855 "convert.c"
        var $496=CHECK_OVERFLOW(($495+48)&4294967295, 32); //@line 1855 "convert.c"
        var $497=CHECK_OVERFLOW(($496+44)&4294967295, 32); //@line 1855 "convert.c"
        var $498=HEAP[$497]; //@line 1855 "convert.c"
        var $499=HEAP[$i]; //@line 1855 "convert.c"
        var $500=CHECK_OVERFLOW((($499) + 1)&4294967295, 32); //@line 1855 "convert.c"
        var $501=HEAP[$dat8]; //@line 1855 "convert.c"
        var $502=CHECK_OVERFLOW(($501+$500)&4294967295, 32); //@line 1855 "convert.c"
        var $503=HEAP[$502]; //@line 1855 "convert.c"
        var $504=($503); //@line 1855 "convert.c"
        var $505=HEAP[$index]; //@line 1855 "convert.c"
        var $506=CHECK_OVERFLOW(($498+4*$505)&4294967295, 32); //@line 1855 "convert.c"
        HEAP[$506]=$504; //@line 1855 "convert.c"
        var $507=HEAP[$image]; //@line 1856 "convert.c"
        var $508=CHECK_OVERFLOW(($507+24)&4294967295, 32); //@line 1856 "convert.c"
        var $509=HEAP[$508]; //@line 1856 "convert.c"
        var $510=CHECK_OVERFLOW(($509+96)&4294967295, 32); //@line 1856 "convert.c"
        var $511=CHECK_OVERFLOW(($510+44)&4294967295, 32); //@line 1856 "convert.c"
        var $512=HEAP[$511]; //@line 1856 "convert.c"
        var $513=HEAP[$i]; //@line 1856 "convert.c"
        var $514=CHECK_OVERFLOW((($513) + 2)&4294967295, 32); //@line 1856 "convert.c"
        var $515=HEAP[$dat8]; //@line 1856 "convert.c"
        var $516=CHECK_OVERFLOW(($515+$514)&4294967295, 32); //@line 1856 "convert.c"
        var $517=HEAP[$516]; //@line 1856 "convert.c"
        var $518=($517); //@line 1856 "convert.c"
        var $519=HEAP[$index]; //@line 1856 "convert.c"
        var $520=CHECK_OVERFLOW(($512+4*$519)&4294967295, 32); //@line 1856 "convert.c"
        HEAP[$520]=$518; //@line 1856 "convert.c"
        var $521=HEAP[$parameters_addr]; //@line 1857 "convert.c"
        var $522=CHECK_OVERFLOW(($521+18676)&4294967295, 32); //@line 1857 "convert.c"
        var $523=HEAP[$522]; //@line 1857 "convert.c"
        var $524=($523)!=0; //@line 1857 "convert.c"
        if ($524) { __label__ = 40; break; } else { __label__ = 41; break; } //@line 1857 "convert.c"
      case 40: // $bb37
        var $525=HEAP[$image]; //@line 1858 "convert.c"
        var $526=CHECK_OVERFLOW(($525+24)&4294967295, 32); //@line 1858 "convert.c"
        var $527=HEAP[$526]; //@line 1858 "convert.c"
        var $528=CHECK_OVERFLOW(($527)&4294967295, 32); //@line 1858 "convert.c"
        var $529=CHECK_OVERFLOW(($528+44)&4294967295, 32); //@line 1858 "convert.c"
        var $530=HEAP[$529]; //@line 1858 "convert.c"
        var $531=HEAP[$image]; //@line 1858 "convert.c"
        var $532=CHECK_OVERFLOW(($531+24)&4294967295, 32); //@line 1858 "convert.c"
        var $533=HEAP[$532]; //@line 1858 "convert.c"
        var $534=CHECK_OVERFLOW(($533)&4294967295, 32); //@line 1858 "convert.c"
        var $535=CHECK_OVERFLOW(($534+44)&4294967295, 32); //@line 1858 "convert.c"
        var $536=HEAP[$535]; //@line 1858 "convert.c"
        var $537=HEAP[$index]; //@line 1858 "convert.c"
        var $538=CHECK_OVERFLOW(($536+4*$537)&4294967295, 32); //@line 1858 "convert.c"
        var $539=HEAP[$538]; //@line 1858 "convert.c"
        var $540=($539) << 4; //@line 1858 "convert.c"
        var $541=HEAP[$index]; //@line 1858 "convert.c"
        var $542=CHECK_OVERFLOW(($530+4*$541)&4294967295, 32); //@line 1858 "convert.c"
        HEAP[$542]=$540; //@line 1858 "convert.c"
        var $543=HEAP[$image]; //@line 1859 "convert.c"
        var $544=CHECK_OVERFLOW(($543+24)&4294967295, 32); //@line 1859 "convert.c"
        var $545=HEAP[$544]; //@line 1859 "convert.c"
        var $546=CHECK_OVERFLOW(($545+48)&4294967295, 32); //@line 1859 "convert.c"
        var $547=CHECK_OVERFLOW(($546+44)&4294967295, 32); //@line 1859 "convert.c"
        var $548=HEAP[$547]; //@line 1859 "convert.c"
        var $549=HEAP[$image]; //@line 1859 "convert.c"
        var $550=CHECK_OVERFLOW(($549+24)&4294967295, 32); //@line 1859 "convert.c"
        var $551=HEAP[$550]; //@line 1859 "convert.c"
        var $552=CHECK_OVERFLOW(($551+48)&4294967295, 32); //@line 1859 "convert.c"
        var $553=CHECK_OVERFLOW(($552+44)&4294967295, 32); //@line 1859 "convert.c"
        var $554=HEAP[$553]; //@line 1859 "convert.c"
        var $555=HEAP[$index]; //@line 1859 "convert.c"
        var $556=CHECK_OVERFLOW(($554+4*$555)&4294967295, 32); //@line 1859 "convert.c"
        var $557=HEAP[$556]; //@line 1859 "convert.c"
        var $558=($557) << 4; //@line 1859 "convert.c"
        var $559=HEAP[$index]; //@line 1859 "convert.c"
        var $560=CHECK_OVERFLOW(($548+4*$559)&4294967295, 32); //@line 1859 "convert.c"
        HEAP[$560]=$558; //@line 1859 "convert.c"
        var $561=HEAP[$image]; //@line 1860 "convert.c"
        var $562=CHECK_OVERFLOW(($561+24)&4294967295, 32); //@line 1860 "convert.c"
        var $563=HEAP[$562]; //@line 1860 "convert.c"
        var $564=CHECK_OVERFLOW(($563+96)&4294967295, 32); //@line 1860 "convert.c"
        var $565=CHECK_OVERFLOW(($564+44)&4294967295, 32); //@line 1860 "convert.c"
        var $566=HEAP[$565]; //@line 1860 "convert.c"
        var $567=HEAP[$image]; //@line 1860 "convert.c"
        var $568=CHECK_OVERFLOW(($567+24)&4294967295, 32); //@line 1860 "convert.c"
        var $569=HEAP[$568]; //@line 1860 "convert.c"
        var $570=CHECK_OVERFLOW(($569+96)&4294967295, 32); //@line 1860 "convert.c"
        var $571=CHECK_OVERFLOW(($570+44)&4294967295, 32); //@line 1860 "convert.c"
        var $572=HEAP[$571]; //@line 1860 "convert.c"
        var $573=HEAP[$index]; //@line 1860 "convert.c"
        var $574=CHECK_OVERFLOW(($572+4*$573)&4294967295, 32); //@line 1860 "convert.c"
        var $575=HEAP[$574]; //@line 1860 "convert.c"
        var $576=($575) << 4; //@line 1860 "convert.c"
        var $577=HEAP[$index]; //@line 1860 "convert.c"
        var $578=CHECK_OVERFLOW(($566+4*$577)&4294967295, 32); //@line 1860 "convert.c"
        HEAP[$578]=$576; //@line 1860 "convert.c"
        __label__ = 41; break; //@line 1860 "convert.c"
      case 41: // $bb38
        var $579=HEAP[$index]; //@line 1862 "convert.c"
        var $580=CHECK_OVERFLOW((($579) + 1)&4294967295, 32); //@line 1862 "convert.c"
        HEAP[$index]=$580; //@line 1862 "convert.c"
        var $581=HEAP[$i]; //@line 1852 "convert.c"
        var $582=CHECK_OVERFLOW((($581) + 3)&4294967295, 32); //@line 1852 "convert.c"
        HEAP[$i]=$582; //@line 1852 "convert.c"
        __label__ = 37; break; //@line 1852 "convert.c"
      case 37: // $bb39
        var $583=HEAP[$i]; //@line 1852 "convert.c"
        var $584=HEAP[$ssize]; //@line 1852 "convert.c"
        var $585=($583) < ($584); //@line 1852 "convert.c"
        if ($585) { __label__ = 42; break; } else { __label__ = 39; break; } //@line 1852 "convert.c"
      case 39: // $bb40
        __label__ = 26; break; //@line 1852 "convert.c"
      case 36: // $bb41
        var $586=CHECK_OVERFLOW(($Info+12)&4294967295, 32); //@line 1868 "convert.c"
        var $587=HEAP[$586]; //@line 1868 "convert.c"
        var $588=($587); //@line 1868 "convert.c"
        var $589=HEAP[_stderr]; //@line 1868 "convert.c"
        var $590=_fprintf($589, CHECK_OVERFLOW((__str38127)&4294967295, 32), $588); //@line 1868 "convert.c"
        var $591=HEAP[_stderr]; //@line 1869 "convert.c"
        var $592=$591; //@line 1869 "convert.c"
        var $593=_fwrite(CHECK_OVERFLOW((__str37126)&4294967295, 32), 1, 9, $592); //@line 1869 "convert.c"
        HEAP[$0]=0; //@line 1870 "convert.c"
        __label__ = 2; break; //@line 1870 "convert.c"
      case 26: // $bb42
        var $594=HEAP[$strip]; //@line 1815 "convert.c"
        var $595=CHECK_OVERFLOW((($594) + 1)&4294967295, 32); //@line 1815 "convert.c"
        HEAP[$strip]=$595; //@line 1815 "convert.c"
        __label__ = 19; break; //@line 1815 "convert.c"
      case 19: // $bb43
        var $596=HEAP[$tif]; //@line 1815 "convert.c"
        var $597=_TIFFNumberOfStrips($596); //@line 1815 "convert.c"
        var $598=HEAP[$strip]; //@line 1815 "convert.c"
        var $599=($597) > ($598); //@line 1815 "convert.c"
        if ($599) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 1815 "convert.c"
      case 44: // $bb44
        var $600=HEAP[$buf]; //@line 1874 "convert.c"
        __TIFFfree($600); //@line 1874 "convert.c"
        var $601=HEAP[$tif]; //@line 1875 "convert.c"
        _TIFFClose($601); //@line 1875 "convert.c"
        __label__ = 45; break; //@line 1875 "convert.c"
      case 4: // $bb45
        var $602=CHECK_OVERFLOW(($Info+8)&4294967295, 32); //@line 1876 "convert.c"
        var $603=HEAP[$602]; //@line 1876 "convert.c"
        var $604=($603)==1; //@line 1876 "convert.c"
        if ($604) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 1876 "convert.c"
      case 46: // $bb46
        HEAP[$numcomps]=1; //@line 1881 "convert.c"
        HEAP[$color_space]=2; //@line 1882 "convert.c"
        var $605=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 1884 "convert.c"
        var $606=$605; //@line 1884 "convert.c"
        _llvm_memset_p0i8_i32($606, 0, 36, 1, 0); //@line 1884 "convert.c"
        var $607=CHECK_OVERFLOW(($Info+12)&4294967295, 32); //@line 1885 "convert.c"
        var $608=HEAP[$607]; //@line 1885 "convert.c"
        var $609=($608); //@line 1885 "convert.c"
        var $610=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 1885 "convert.c"
        var $611=CHECK_OVERFLOW(($610+24)&4294967295, 32); //@line 1885 "convert.c"
        HEAP[$611]=$609; //@line 1885 "convert.c"
        var $612=CHECK_OVERFLOW(($Info+12)&4294967295, 32); //@line 1886 "convert.c"
        var $613=HEAP[$612]; //@line 1886 "convert.c"
        var $614=($613); //@line 1886 "convert.c"
        var $615=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 1886 "convert.c"
        var $616=CHECK_OVERFLOW(($615+28)&4294967295, 32); //@line 1886 "convert.c"
        HEAP[$616]=$614; //@line 1886 "convert.c"
        var $617=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 1887 "convert.c"
        var $618=CHECK_OVERFLOW(($617+32)&4294967295, 32); //@line 1887 "convert.c"
        HEAP[$618]=0; //@line 1887 "convert.c"
        var $619=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 1888 "convert.c"
        var $620=CHECK_OVERFLOW(($619)&4294967295, 32); //@line 1888 "convert.c"
        var $621=HEAP[$subsampling_dx]; //@line 1888 "convert.c"
        HEAP[$620]=$621; //@line 1888 "convert.c"
        var $622=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 1889 "convert.c"
        var $623=CHECK_OVERFLOW(($622+4)&4294967295, 32); //@line 1889 "convert.c"
        var $624=HEAP[$subsampling_dy]; //@line 1889 "convert.c"
        HEAP[$623]=$624; //@line 1889 "convert.c"
        var $625=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 1890 "convert.c"
        var $626=CHECK_OVERFLOW(($625+8)&4294967295, 32); //@line 1890 "convert.c"
        var $627=HEAP[$w]; //@line 1890 "convert.c"
        HEAP[$626]=$627; //@line 1890 "convert.c"
        var $628=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 1891 "convert.c"
        var $629=CHECK_OVERFLOW(($628+12)&4294967295, 32); //@line 1891 "convert.c"
        var $630=HEAP[$h]; //@line 1891 "convert.c"
        HEAP[$629]=$630; //@line 1891 "convert.c"
        var $631=HEAP[$numcomps]; //@line 1894 "convert.c"
        var $632=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 1894 "convert.c"
        var $633=HEAP[$color_space]; //@line 1894 "convert.c"
        var $634=_opj_image_create($631, $632, $633); //@line 1894 "convert.c"
        HEAP[$image]=$634; //@line 1894 "convert.c"
        var $635=HEAP[$image]; //@line 1895 "convert.c"
        var $636=($635)==0; //@line 1895 "convert.c"
        if ($636) { __label__ = 48; break; } else { __label__ = 49; break; } //@line 1895 "convert.c"
      case 48: // $bb47
        var $637=HEAP[$tif]; //@line 1896 "convert.c"
        _TIFFClose($637); //@line 1896 "convert.c"
        HEAP[$0]=0; //@line 1897 "convert.c"
        __label__ = 2; break; //@line 1897 "convert.c"
      case 49: // $bb48
        var $638=HEAP[$parameters_addr]; //@line 1900 "convert.c"
        var $639=CHECK_OVERFLOW(($638+18180)&4294967295, 32); //@line 1900 "convert.c"
        var $640=HEAP[$639]; //@line 1900 "convert.c"
        var $641=HEAP[$image]; //@line 1900 "convert.c"
        var $642=CHECK_OVERFLOW(($641)&4294967295, 32); //@line 1900 "convert.c"
        HEAP[$642]=$640; //@line 1900 "convert.c"
        var $643=HEAP[$parameters_addr]; //@line 1901 "convert.c"
        var $644=CHECK_OVERFLOW(($643+18184)&4294967295, 32); //@line 1901 "convert.c"
        var $645=HEAP[$644]; //@line 1901 "convert.c"
        var $646=HEAP[$image]; //@line 1901 "convert.c"
        var $647=CHECK_OVERFLOW(($646+4)&4294967295, 32); //@line 1901 "convert.c"
        HEAP[$647]=$645; //@line 1901 "convert.c"
        var $648=HEAP[$image]; //@line 1902 "convert.c"
        var $649=CHECK_OVERFLOW(($648)&4294967295, 32); //@line 1902 "convert.c"
        var $650=HEAP[$649]; //@line 1902 "convert.c"
        var $651=($650)==0; //@line 1902 "convert.c"
        if ($651) { __label__ = 50; break; } else { __label__ = 51; break; } //@line 1902 "convert.c"
      case 50: // $bb49
        var $652=HEAP[$w]; //@line 1902 "convert.c"
        var $653=CHECK_OVERFLOW((($652) - 1)&4294967295, 32); //@line 1902 "convert.c"
        var $654=HEAP[$subsampling_dx]; //@line 1902 "convert.c"
        var $655=CHECK_OVERFLOW((($653) * ($654))&4294967295, 32); //@line 1902 "convert.c"
        var $656=CHECK_OVERFLOW((($655) + 1)&4294967295, 32); //@line 1902 "convert.c"
        HEAP[$iftmp_187]=$656; //@line 1902 "convert.c"
        __label__ = 52; break; //@line 1902 "convert.c"
      case 51: // $bb50
        var $657=HEAP[$image]; //@line 1902 "convert.c"
        var $658=CHECK_OVERFLOW(($657)&4294967295, 32); //@line 1902 "convert.c"
        var $659=HEAP[$658]; //@line 1902 "convert.c"
        var $660=HEAP[$w]; //@line 1902 "convert.c"
        var $661=CHECK_OVERFLOW((($660) - 1)&4294967295, 32); //@line 1902 "convert.c"
        var $662=HEAP[$subsampling_dx]; //@line 1902 "convert.c"
        var $663=CHECK_OVERFLOW((($661) * ($662))&4294967295, 32); //@line 1902 "convert.c"
        var $664=CHECK_OVERFLOW((($659) + ($663))&4294967295, 32); //@line 1902 "convert.c"
        var $665=CHECK_OVERFLOW((($664) + 1)&4294967295, 32); //@line 1902 "convert.c"
        HEAP[$iftmp_187]=$665; //@line 1902 "convert.c"
        __label__ = 52; break; //@line 1902 "convert.c"
      case 52: // $bb51
        var $666=HEAP[$image]; //@line 1902 "convert.c"
        var $667=CHECK_OVERFLOW(($666+8)&4294967295, 32); //@line 1902 "convert.c"
        var $668=HEAP[$iftmp_187]; //@line 1902 "convert.c"
        HEAP[$667]=$668; //@line 1902 "convert.c"
        var $669=HEAP[$image]; //@line 1903 "convert.c"
        var $670=CHECK_OVERFLOW(($669+4)&4294967295, 32); //@line 1903 "convert.c"
        var $671=HEAP[$670]; //@line 1903 "convert.c"
        var $672=($671)==0; //@line 1903 "convert.c"
        if ($672) { __label__ = 53; break; } else { __label__ = 54; break; } //@line 1903 "convert.c"
      case 53: // $bb52
        var $673=HEAP[$h]; //@line 1903 "convert.c"
        var $674=CHECK_OVERFLOW((($673) - 1)&4294967295, 32); //@line 1903 "convert.c"
        var $675=HEAP[$subsampling_dy]; //@line 1903 "convert.c"
        var $676=CHECK_OVERFLOW((($674) * ($675))&4294967295, 32); //@line 1903 "convert.c"
        var $677=CHECK_OVERFLOW((($676) + 1)&4294967295, 32); //@line 1903 "convert.c"
        HEAP[$iftmp_188]=$677; //@line 1903 "convert.c"
        __label__ = 55; break; //@line 1903 "convert.c"
      case 54: // $bb53
        var $678=HEAP[$image]; //@line 1903 "convert.c"
        var $679=CHECK_OVERFLOW(($678+4)&4294967295, 32); //@line 1903 "convert.c"
        var $680=HEAP[$679]; //@line 1903 "convert.c"
        var $681=HEAP[$h]; //@line 1903 "convert.c"
        var $682=CHECK_OVERFLOW((($681) - 1)&4294967295, 32); //@line 1903 "convert.c"
        var $683=HEAP[$subsampling_dy]; //@line 1903 "convert.c"
        var $684=CHECK_OVERFLOW((($682) * ($683))&4294967295, 32); //@line 1903 "convert.c"
        var $685=CHECK_OVERFLOW((($680) + ($684))&4294967295, 32); //@line 1903 "convert.c"
        var $686=CHECK_OVERFLOW((($685) + 1)&4294967295, 32); //@line 1903 "convert.c"
        HEAP[$iftmp_188]=$686; //@line 1903 "convert.c"
        __label__ = 55; break; //@line 1903 "convert.c"
      case 55: // $bb54
        var $687=HEAP[$image]; //@line 1903 "convert.c"
        var $688=CHECK_OVERFLOW(($687+12)&4294967295, 32); //@line 1903 "convert.c"
        var $689=HEAP[$iftmp_188]; //@line 1903 "convert.c"
        HEAP[$688]=$689; //@line 1903 "convert.c"
        var $690=HEAP[$tif]; //@line 1905 "convert.c"
        var $691=_TIFFStripSize($690); //@line 1905 "convert.c"
        var $692=__TIFFmalloc($691); //@line 1905 "convert.c"
        HEAP[$buf]=$692; //@line 1905 "convert.c"
        HEAP[$strip_size]=0; //@line 1906 "convert.c"
        var $693=HEAP[$tif]; //@line 1907 "convert.c"
        var $694=_TIFFStripSize($693); //@line 1907 "convert.c"
        HEAP[$strip_size]=$694; //@line 1907 "convert.c"
        HEAP[$index]=0; //@line 1908 "convert.c"
        var $695=HEAP[$image]; //@line 1909 "convert.c"
        var $696=CHECK_OVERFLOW(($695+24)&4294967295, 32); //@line 1909 "convert.c"
        var $697=HEAP[$696]; //@line 1909 "convert.c"
        var $698=CHECK_OVERFLOW(($697)&4294967295, 32); //@line 1909 "convert.c"
        var $699=CHECK_OVERFLOW(($698+8)&4294967295, 32); //@line 1909 "convert.c"
        var $700=HEAP[$699]; //@line 1909 "convert.c"
        var $701=HEAP[$image]; //@line 1909 "convert.c"
        var $702=CHECK_OVERFLOW(($701+24)&4294967295, 32); //@line 1909 "convert.c"
        var $703=HEAP[$702]; //@line 1909 "convert.c"
        var $704=CHECK_OVERFLOW(($703)&4294967295, 32); //@line 1909 "convert.c"
        var $705=CHECK_OVERFLOW(($704+12)&4294967295, 32); //@line 1909 "convert.c"
        var $706=HEAP[$705]; //@line 1909 "convert.c"
        var $707=CHECK_OVERFLOW((($700) * ($706))&4294967295, 32); //@line 1909 "convert.c"
        HEAP[$imgsize]=$707; //@line 1909 "convert.c"
        HEAP[$strip]=0; //@line 1911 "convert.c"
        __label__ = 56; break; //@line 1911 "convert.c"
      case 76: // $bb55
        var $708=HEAP[$tif]; //@line 1914 "convert.c"
        var $709=HEAP[$strip]; //@line 1914 "convert.c"
        var $710=HEAP[$buf]; //@line 1914 "convert.c"
        var $711=HEAP[$strip_size]; //@line 1914 "convert.c"
        var $712=_TIFFReadEncodedStrip($708, $709, $710, $711); //@line 1914 "convert.c"
        HEAP[$ssize58]=$712; //@line 1914 "convert.c"
        var $713=HEAP[$buf]; //@line 1915 "convert.c"
        HEAP[$dat856]=$713; //@line 1915 "convert.c"
        var $714=CHECK_OVERFLOW(($Info+12)&4294967295, 32); //@line 1917 "convert.c"
        var $715=HEAP[$714]; //@line 1917 "convert.c"
        var $716=($715)==12; //@line 1917 "convert.c"
        if ($716) { __label__ = 57; break; } else { __label__ = 58; break; } //@line 1917 "convert.c"
      case 57: // $bb59
        HEAP[$i57]=0; //@line 1918 "convert.c"
        __label__ = 59; break; //@line 1918 "convert.c"
      case 62: // $bb60
        var $717=HEAP[$index]; //@line 1919 "convert.c"
        var $718=HEAP[$imgsize]; //@line 1919 "convert.c"
        var $719=($717) < ($718); //@line 1919 "convert.c"
        if ($719) { __label__ = 60; break; } else { __label__ = 61; break; } //@line 1919 "convert.c"
      case 60: // $bb61
        var $720=HEAP[$image]; //@line 1920 "convert.c"
        var $721=CHECK_OVERFLOW(($720+24)&4294967295, 32); //@line 1920 "convert.c"
        var $722=HEAP[$721]; //@line 1920 "convert.c"
        var $723=CHECK_OVERFLOW(($722)&4294967295, 32); //@line 1920 "convert.c"
        var $724=CHECK_OVERFLOW(($723+44)&4294967295, 32); //@line 1920 "convert.c"
        var $725=HEAP[$724]; //@line 1920 "convert.c"
        var $726=HEAP[$dat856]; //@line 1920 "convert.c"
        var $727=HEAP[$i57]; //@line 1920 "convert.c"
        var $728=CHECK_OVERFLOW(($726+$727)&4294967295, 32); //@line 1920 "convert.c"
        var $729=HEAP[$728]; //@line 1920 "convert.c"
        var $730=($729); //@line 1920 "convert.c"
        var $731=($730) << 4; //@line 1920 "convert.c"
        var $732=HEAP[$i57]; //@line 1920 "convert.c"
        var $733=CHECK_OVERFLOW((($732) + 1)&4294967295, 32); //@line 1920 "convert.c"
        var $734=HEAP[$dat856]; //@line 1920 "convert.c"
        var $735=CHECK_OVERFLOW(($734+$733)&4294967295, 32); //@line 1920 "convert.c"
        var $736=HEAP[$735]; //@line 1920 "convert.c"
        var $737=($736) >>> 4; //@line 1920 "convert.c"
        var $738=($737); //@line 1920 "convert.c"
        var $739=($731) | ($738); //@line 1920 "convert.c"
        var $740=HEAP[$index]; //@line 1920 "convert.c"
        var $741=CHECK_OVERFLOW(($725+4*$740)&4294967295, 32); //@line 1920 "convert.c"
        HEAP[$741]=$739; //@line 1920 "convert.c"
        var $742=HEAP[$image]; //@line 1921 "convert.c"
        var $743=CHECK_OVERFLOW(($742+24)&4294967295, 32); //@line 1921 "convert.c"
        var $744=HEAP[$743]; //@line 1921 "convert.c"
        var $745=CHECK_OVERFLOW(($744)&4294967295, 32); //@line 1921 "convert.c"
        var $746=CHECK_OVERFLOW(($745+44)&4294967295, 32); //@line 1921 "convert.c"
        var $747=HEAP[$746]; //@line 1921 "convert.c"
        var $748=HEAP[$index]; //@line 1921 "convert.c"
        var $749=CHECK_OVERFLOW((($748) + 1)&4294967295, 32); //@line 1921 "convert.c"
        var $750=HEAP[$i57]; //@line 1921 "convert.c"
        var $751=CHECK_OVERFLOW((($750) + 1)&4294967295, 32); //@line 1921 "convert.c"
        var $752=HEAP[$dat856]; //@line 1921 "convert.c"
        var $753=CHECK_OVERFLOW(($752+$751)&4294967295, 32); //@line 1921 "convert.c"
        var $754=HEAP[$753]; //@line 1921 "convert.c"
        var $755=($754); //@line 1921 "convert.c"
        var $756=($755) & 15; //@line 1921 "convert.c"
        var $757=($756) << 8; //@line 1921 "convert.c"
        var $758=HEAP[$i57]; //@line 1921 "convert.c"
        var $759=CHECK_OVERFLOW((($758) + 2)&4294967295, 32); //@line 1921 "convert.c"
        var $760=HEAP[$dat856]; //@line 1921 "convert.c"
        var $761=CHECK_OVERFLOW(($760+$759)&4294967295, 32); //@line 1921 "convert.c"
        var $762=HEAP[$761]; //@line 1921 "convert.c"
        var $763=($762); //@line 1921 "convert.c"
        var $764=($757) | ($763); //@line 1921 "convert.c"
        var $765=CHECK_OVERFLOW(($747+4*$749)&4294967295, 32); //@line 1921 "convert.c"
        HEAP[$765]=$764; //@line 1921 "convert.c"
        var $766=HEAP[$index]; //@line 1922 "convert.c"
        var $767=CHECK_OVERFLOW((($766) + 2)&4294967295, 32); //@line 1922 "convert.c"
        HEAP[$index]=$767; //@line 1922 "convert.c"
        var $768=HEAP[$i57]; //@line 1918 "convert.c"
        var $769=CHECK_OVERFLOW((($768) + 3)&4294967295, 32); //@line 1918 "convert.c"
        HEAP[$i57]=$769; //@line 1918 "convert.c"
        __label__ = 59; break; //@line 1918 "convert.c"
      case 59: // $bb62
        var $770=HEAP[$i57]; //@line 1918 "convert.c"
        var $771=HEAP[$ssize58]; //@line 1918 "convert.c"
        var $772=($770) < ($771); //@line 1918 "convert.c"
        if ($772) { __label__ = 62; break; } else { __label__ = 61; break; } //@line 1918 "convert.c"
      case 61: // $bb63
        __label__ = 63; break; //@line 1918 "convert.c"
      case 58: // $bb64
        var $773=CHECK_OVERFLOW(($Info+12)&4294967295, 32); //@line 1927 "convert.c"
        var $774=HEAP[$773]; //@line 1927 "convert.c"
        var $775=($774)==16; //@line 1927 "convert.c"
        if ($775) { __label__ = 64; break; } else { __label__ = 65; break; } //@line 1927 "convert.c"
      case 64: // $bb65
        HEAP[$i57]=0; //@line 1928 "convert.c"
        __label__ = 66; break; //@line 1928 "convert.c"
      case 69: // $bb66
        var $776=HEAP[$index]; //@line 1929 "convert.c"
        var $777=HEAP[$imgsize]; //@line 1929 "convert.c"
        var $778=($776) < ($777); //@line 1929 "convert.c"
        if ($778) { __label__ = 67; break; } else { __label__ = 68; break; } //@line 1929 "convert.c"
      case 67: // $bb67
        var $779=HEAP[$image]; //@line 1930 "convert.c"
        var $780=CHECK_OVERFLOW(($779+24)&4294967295, 32); //@line 1930 "convert.c"
        var $781=HEAP[$780]; //@line 1930 "convert.c"
        var $782=CHECK_OVERFLOW(($781)&4294967295, 32); //@line 1930 "convert.c"
        var $783=CHECK_OVERFLOW(($782+44)&4294967295, 32); //@line 1930 "convert.c"
        var $784=HEAP[$783]; //@line 1930 "convert.c"
        var $785=HEAP[$i57]; //@line 1930 "convert.c"
        var $786=CHECK_OVERFLOW((($785) + 1)&4294967295, 32); //@line 1930 "convert.c"
        var $787=HEAP[$dat856]; //@line 1930 "convert.c"
        var $788=CHECK_OVERFLOW(($787+$786)&4294967295, 32); //@line 1930 "convert.c"
        var $789=HEAP[$788]; //@line 1930 "convert.c"
        var $790=($789); //@line 1930 "convert.c"
        var $791=($790) << 8; //@line 1930 "convert.c"
        var $792=HEAP[$dat856]; //@line 1930 "convert.c"
        var $793=HEAP[$i57]; //@line 1930 "convert.c"
        var $794=CHECK_OVERFLOW(($792+$793)&4294967295, 32); //@line 1930 "convert.c"
        var $795=HEAP[$794]; //@line 1930 "convert.c"
        var $796=($795); //@line 1930 "convert.c"
        var $797=($791) | ($796); //@line 1930 "convert.c"
        var $798=HEAP[$index]; //@line 1930 "convert.c"
        var $799=CHECK_OVERFLOW(($784+4*$798)&4294967295, 32); //@line 1930 "convert.c"
        HEAP[$799]=$797; //@line 1930 "convert.c"
        var $800=HEAP[$index]; //@line 1931 "convert.c"
        var $801=CHECK_OVERFLOW((($800) + 1)&4294967295, 32); //@line 1931 "convert.c"
        HEAP[$index]=$801; //@line 1931 "convert.c"
        var $802=HEAP[$i57]; //@line 1928 "convert.c"
        var $803=CHECK_OVERFLOW((($802) + 2)&4294967295, 32); //@line 1928 "convert.c"
        HEAP[$i57]=$803; //@line 1928 "convert.c"
        __label__ = 66; break; //@line 1928 "convert.c"
      case 66: // $bb68
        var $804=HEAP[$i57]; //@line 1928 "convert.c"
        var $805=HEAP[$ssize58]; //@line 1928 "convert.c"
        var $806=($804) < ($805); //@line 1928 "convert.c"
        if ($806) { __label__ = 69; break; } else { __label__ = 68; break; } //@line 1928 "convert.c"
      case 68: // $bb69
        __label__ = 63; break; //@line 1928 "convert.c"
      case 65: // $bb70
        var $807=CHECK_OVERFLOW(($Info+12)&4294967295, 32); //@line 1936 "convert.c"
        var $808=HEAP[$807]; //@line 1936 "convert.c"
        var $809=($808)==8; //@line 1936 "convert.c"
        if ($809) { __label__ = 70; break; } else { __label__ = 71; break; } //@line 1936 "convert.c"
      case 70: // $bb71
        HEAP[$i57]=0; //@line 1937 "convert.c"
        __label__ = 72; break; //@line 1937 "convert.c"
      case 75: // $bb72
        var $810=HEAP[$index]; //@line 1938 "convert.c"
        var $811=HEAP[$imgsize]; //@line 1938 "convert.c"
        var $812=($810) < ($811); //@line 1938 "convert.c"
        if ($812) { __label__ = 73; break; } else { __label__ = 74; break; } //@line 1938 "convert.c"
      case 73: // $bb73
        var $813=HEAP[$image]; //@line 1939 "convert.c"
        var $814=CHECK_OVERFLOW(($813+24)&4294967295, 32); //@line 1939 "convert.c"
        var $815=HEAP[$814]; //@line 1939 "convert.c"
        var $816=CHECK_OVERFLOW(($815)&4294967295, 32); //@line 1939 "convert.c"
        var $817=CHECK_OVERFLOW(($816+44)&4294967295, 32); //@line 1939 "convert.c"
        var $818=HEAP[$817]; //@line 1939 "convert.c"
        var $819=HEAP[$dat856]; //@line 1939 "convert.c"
        var $820=HEAP[$i57]; //@line 1939 "convert.c"
        var $821=CHECK_OVERFLOW(($819+$820)&4294967295, 32); //@line 1939 "convert.c"
        var $822=HEAP[$821]; //@line 1939 "convert.c"
        var $823=($822); //@line 1939 "convert.c"
        var $824=HEAP[$index]; //@line 1939 "convert.c"
        var $825=CHECK_OVERFLOW(($818+4*$824)&4294967295, 32); //@line 1939 "convert.c"
        HEAP[$825]=$823; //@line 1939 "convert.c"
        var $826=HEAP[$index]; //@line 1940 "convert.c"
        var $827=CHECK_OVERFLOW((($826) + 1)&4294967295, 32); //@line 1940 "convert.c"
        HEAP[$index]=$827; //@line 1940 "convert.c"
        var $828=HEAP[$i57]; //@line 1937 "convert.c"
        var $829=CHECK_OVERFLOW((($828) + 1)&4294967295, 32); //@line 1937 "convert.c"
        HEAP[$i57]=$829; //@line 1937 "convert.c"
        __label__ = 72; break; //@line 1937 "convert.c"
      case 72: // $bb74
        var $830=HEAP[$i57]; //@line 1937 "convert.c"
        var $831=HEAP[$ssize58]; //@line 1937 "convert.c"
        var $832=($830) < ($831); //@line 1937 "convert.c"
        if ($832) { __label__ = 75; break; } else { __label__ = 74; break; } //@line 1937 "convert.c"
      case 74: // $bb75
        __label__ = 63; break; //@line 1937 "convert.c"
      case 71: // $bb76
        var $833=CHECK_OVERFLOW(($Info+12)&4294967295, 32); //@line 1946 "convert.c"
        var $834=HEAP[$833]; //@line 1946 "convert.c"
        var $835=($834); //@line 1946 "convert.c"
        var $836=HEAP[_stderr]; //@line 1946 "convert.c"
        var $837=_fprintf($836, CHECK_OVERFLOW((__str38127)&4294967295, 32), $835); //@line 1946 "convert.c"
        var $838=HEAP[_stderr]; //@line 1947 "convert.c"
        var $839=$838; //@line 1947 "convert.c"
        var $840=_fwrite(CHECK_OVERFLOW((__str37126)&4294967295, 32), 1, 9, $839); //@line 1947 "convert.c"
        HEAP[$0]=0; //@line 1948 "convert.c"
        __label__ = 2; break; //@line 1948 "convert.c"
      case 63: // $bb77
        var $841=HEAP[$strip]; //@line 1911 "convert.c"
        var $842=CHECK_OVERFLOW((($841) + 1)&4294967295, 32); //@line 1911 "convert.c"
        HEAP[$strip]=$842; //@line 1911 "convert.c"
        __label__ = 56; break; //@line 1911 "convert.c"
      case 56: // $bb78
        var $843=HEAP[$tif]; //@line 1911 "convert.c"
        var $844=_TIFFNumberOfStrips($843); //@line 1911 "convert.c"
        var $845=HEAP[$strip]; //@line 1911 "convert.c"
        var $846=($844) > ($845); //@line 1911 "convert.c"
        if ($846) { __label__ = 76; break; } else { __label__ = 77; break; } //@line 1911 "convert.c"
      case 77: // $bb79
        var $847=HEAP[$buf]; //@line 1952 "convert.c"
        __TIFFfree($847); //@line 1952 "convert.c"
        var $848=HEAP[$tif]; //@line 1953 "convert.c"
        _TIFFClose($848); //@line 1953 "convert.c"
        __label__ = 45; break; //@line 1953 "convert.c"
      case 47: // $bb80
        var $849=HEAP[_stderr]; //@line 1955 "convert.c"
        var $850=$849; //@line 1955 "convert.c"
        var $851=_fwrite(CHECK_OVERFLOW((__str3989)&4294967295, 32), 1, 80, $850); //@line 1955 "convert.c"
        var $852=HEAP[_stderr]; //@line 1956 "convert.c"
        var $853=$852; //@line 1956 "convert.c"
        var $854=_fwrite(CHECK_OVERFLOW((__str37126)&4294967295, 32), 1, 9, $853); //@line 1956 "convert.c"
        HEAP[$0]=0; //@line 1957 "convert.c"
        __label__ = 2; break; //@line 1957 "convert.c"
      case 45: // $bb81
        var $855=HEAP[$image]; //@line 1959 "convert.c"
        HEAP[$0]=$855; //@line 1959 "convert.c"
        __label__ = 2; break; //@line 1959 "convert.c"
      case 2: // $bb82
        var $856=HEAP[$0]; //@line 1759 "convert.c"
        HEAP[$retval]=$856; //@line 1759 "convert.c"
        __label__ = 78; break; //@line 1759 "convert.c"
      case 78: // $return
        var $retval83=HEAP[$retval]; //@line 1759 "convert.c"
        STACKTOP = __stackBase__;
        return $retval83; //@line 1759 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _rawtoimage($filename, $parameters, $raw_cp) {
    var __stackBase__  = STACKTOP; STACKTOP += 78; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 78);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $filename_addr=__stackBase__;
        var $parameters_addr=__stackBase__+4;
        var $raw_cp_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $iftmp_211=__stackBase__+16;
        var $iftmp_203=__stackBase__+20;
        var $0=__stackBase__+24;
        var $subsampling_dx=__stackBase__+28;
        var $subsampling_dy=__stackBase__+32;
        var $f=__stackBase__+36;
        var $i=__stackBase__+40;
        var $compno=__stackBase__+44;
        var $numcomps=__stackBase__+48;
        var $w=__stackBase__+52;
        var $h=__stackBase__+56;
        var $color_space=__stackBase__+60;
        var $cmptparm=__stackBase__+64;
        var $image=__stackBase__+68;
        var $ch=__stackBase__+72;
        var $value=__stackBase__+74;
        var $value23=__stackBase__+75;
        var $temp=__stackBase__+77;
        var $_alloca_point_=0;
        HEAP[$filename_addr]=$filename;
        HEAP[$parameters_addr]=$parameters;
        HEAP[$raw_cp_addr]=$raw_cp;
        var $1=HEAP[$parameters_addr]; //@line 1971 "convert.c"
        var $2=CHECK_OVERFLOW(($1+18188)&4294967295, 32); //@line 1971 "convert.c"
        var $3=HEAP[$2]; //@line 1971 "convert.c"
        HEAP[$subsampling_dx]=$3; //@line 1971 "convert.c"
        var $4=HEAP[$parameters_addr]; //@line 1972 "convert.c"
        var $5=CHECK_OVERFLOW(($4+18192)&4294967295, 32); //@line 1972 "convert.c"
        var $6=HEAP[$5]; //@line 1972 "convert.c"
        HEAP[$subsampling_dy]=$6; //@line 1972 "convert.c"
        HEAP[$f]=0; //@line 1974 "convert.c"
        HEAP[$image]=0; //@line 1978 "convert.c"
        var $7=HEAP[$raw_cp_addr]; //@line 1981 "convert.c"
        var $8=CHECK_OVERFLOW(($7)&4294967295, 32); //@line 1981 "convert.c"
        var $9=HEAP[$8]; //@line 1981 "convert.c"
        var $10=HEAP[$raw_cp_addr]; //@line 1981 "convert.c"
        var $11=CHECK_OVERFLOW(($10+4)&4294967295, 32); //@line 1981 "convert.c"
        var $12=HEAP[$11]; //@line 1981 "convert.c"
        var $13=($9) & ($12); //@line 1981 "convert.c"
        var $14=HEAP[$raw_cp_addr]; //@line 1981 "convert.c"
        var $15=CHECK_OVERFLOW(($14+8)&4294967295, 32); //@line 1981 "convert.c"
        var $16=HEAP[$15]; //@line 1981 "convert.c"
        var $17=($13) & ($16); //@line 1981 "convert.c"
        var $18=HEAP[$raw_cp_addr]; //@line 1981 "convert.c"
        var $19=CHECK_OVERFLOW(($18+12)&4294967295, 32); //@line 1981 "convert.c"
        var $20=HEAP[$19]; //@line 1981 "convert.c"
        var $21=($17) & ($20); //@line 1981 "convert.c"
        var $22=($21)!=0; //@line 1981 "convert.c"
        if ($22) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 1981 "convert.c"
      case 0: // $bb
        var $23=HEAP[_stderr]; //@line 1983 "convert.c"
        var $24=$23; //@line 1983 "convert.c"
        var $25=_fwrite(CHECK_OVERFLOW((__str42130)&4294967295, 32), 1, 37, $24); //@line 1983 "convert.c"
        var $26=HEAP[_stderr]; //@line 1984 "convert.c"
        var $27=$26; //@line 1984 "convert.c"
        var $28=_fwrite(CHECK_OVERFLOW((__str4390)&4294967295, 32), 1, 33, $27); //@line 1984 "convert.c"
        var $29=HEAP[_stderr]; //@line 1985 "convert.c"
        var $30=$29; //@line 1985 "convert.c"
        var $31=_fwrite(CHECK_OVERFLOW((__str44131)&4294967295, 32), 1, 64, $30); //@line 1985 "convert.c"
        var $32=HEAP[_stderr]; //@line 1986 "convert.c"
        var $33=$32; //@line 1986 "convert.c"
        var $34=_fwrite(CHECK_OVERFLOW((__str45132)&4294967295, 32), 1, 50, $33); //@line 1986 "convert.c"
        var $35=HEAP[_stderr]; //@line 1987 "convert.c"
        var $36=$35; //@line 1987 "convert.c"
        var $37=_fwrite(CHECK_OVERFLOW((__str37126)&4294967295, 32), 1, 9, $36); //@line 1987 "convert.c"
        HEAP[$0]=0; //@line 1988 "convert.c"
        __label__ = 2; break; //@line 1988 "convert.c"
      case 1: // $bb1
        var $38=HEAP[$filename_addr]; //@line 1991 "convert.c"
        var $39=_fopen($38, CHECK_OVERFLOW((__str258)&4294967295, 32)); //@line 1991 "convert.c"
        HEAP[$f]=$39; //@line 1991 "convert.c"
        var $40=HEAP[$f]; //@line 1992 "convert.c"
        var $41=($40)==0; //@line 1992 "convert.c"
        if ($41) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 1992 "convert.c"
      case 3: // $bb2
        var $42=HEAP[_stderr]; //@line 1993 "convert.c"
        var $43=HEAP[$filename_addr]; //@line 1993 "convert.c"
        var $44=_fprintf($42, CHECK_OVERFLOW((__str359)&4294967295, 32), $43); //@line 1993 "convert.c"
        var $45=HEAP[_stderr]; //@line 1994 "convert.c"
        var $46=$45; //@line 1994 "convert.c"
        var $47=_fwrite(CHECK_OVERFLOW((__str37126)&4294967295, 32), 1, 9, $46); //@line 1994 "convert.c"
        HEAP[$0]=0; //@line 1995 "convert.c"
        __label__ = 2; break; //@line 1995 "convert.c"
      case 4: // $bb3
        var $48=HEAP[$raw_cp_addr]; //@line 1997 "convert.c"
        var $49=CHECK_OVERFLOW(($48+8)&4294967295, 32); //@line 1997 "convert.c"
        var $50=HEAP[$49]; //@line 1997 "convert.c"
        HEAP[$numcomps]=$50; //@line 1997 "convert.c"
        HEAP[$color_space]=1; //@line 1998 "convert.c"
        var $51=HEAP[$raw_cp_addr]; //@line 1999 "convert.c"
        var $52=CHECK_OVERFLOW(($51)&4294967295, 32); //@line 1999 "convert.c"
        var $53=HEAP[$52]; //@line 1999 "convert.c"
        HEAP[$w]=$53; //@line 1999 "convert.c"
        var $54=HEAP[$raw_cp_addr]; //@line 2000 "convert.c"
        var $55=CHECK_OVERFLOW(($54+4)&4294967295, 32); //@line 2000 "convert.c"
        var $56=HEAP[$55]; //@line 2000 "convert.c"
        HEAP[$h]=$56; //@line 2000 "convert.c"
        var $57=HEAP[$numcomps]; //@line 2001 "convert.c"
        var $58=CHECK_OVERFLOW((($57) * 36)&4294967295, 32); //@line 2001 "convert.c"
        var $59=_malloc($58); //@line 2001 "convert.c"
        var $60=$59; //@line 2001 "convert.c"
        HEAP[$cmptparm]=$60; //@line 2001 "convert.c"
        var $61=HEAP[$numcomps]; //@line 2004 "convert.c"
        var $62=CHECK_OVERFLOW((($61) * 36)&4294967295, 32); //@line 2004 "convert.c"
        var $63=HEAP[$cmptparm]; //@line 2004 "convert.c"
        var $64=CHECK_OVERFLOW(($63)&4294967295, 32); //@line 2004 "convert.c"
        var $65=$64; //@line 2004 "convert.c"
        _llvm_memset_p0i8_i32($65, 0, $62, 1, 0); //@line 2004 "convert.c"
        HEAP[$i]=0; //@line 2005 "convert.c"
        __label__ = 5; break; //@line 2005 "convert.c"
      case 6: // $bb4
        var $66=HEAP[$cmptparm]; //@line 2006 "convert.c"
        var $67=HEAP[$i]; //@line 2006 "convert.c"
        var $68=CHECK_OVERFLOW(($66+36*$67)&4294967295, 32); //@line 2006 "convert.c"
        var $69=HEAP[$raw_cp_addr]; //@line 2006 "convert.c"
        var $70=CHECK_OVERFLOW(($69+12)&4294967295, 32); //@line 2006 "convert.c"
        var $71=HEAP[$70]; //@line 2006 "convert.c"
        var $72=CHECK_OVERFLOW(($68+24)&4294967295, 32); //@line 2006 "convert.c"
        HEAP[$72]=$71; //@line 2006 "convert.c"
        var $73=HEAP[$cmptparm]; //@line 2007 "convert.c"
        var $74=HEAP[$i]; //@line 2007 "convert.c"
        var $75=CHECK_OVERFLOW(($73+36*$74)&4294967295, 32); //@line 2007 "convert.c"
        var $76=HEAP[$raw_cp_addr]; //@line 2007 "convert.c"
        var $77=CHECK_OVERFLOW(($76+12)&4294967295, 32); //@line 2007 "convert.c"
        var $78=HEAP[$77]; //@line 2007 "convert.c"
        var $79=CHECK_OVERFLOW(($75+28)&4294967295, 32); //@line 2007 "convert.c"
        HEAP[$79]=$78; //@line 2007 "convert.c"
        var $80=HEAP[$cmptparm]; //@line 2008 "convert.c"
        var $81=HEAP[$i]; //@line 2008 "convert.c"
        var $82=CHECK_OVERFLOW(($80+36*$81)&4294967295, 32); //@line 2008 "convert.c"
        var $83=HEAP[$raw_cp_addr]; //@line 2008 "convert.c"
        var $84=CHECK_OVERFLOW(($83+16)&4294967295, 32); //@line 2008 "convert.c"
        var $85=HEAP[$84]; //@line 2008 "convert.c"
        var $86=CHECK_OVERFLOW(($82+32)&4294967295, 32); //@line 2008 "convert.c"
        HEAP[$86]=$85; //@line 2008 "convert.c"
        var $87=HEAP[$cmptparm]; //@line 2009 "convert.c"
        var $88=HEAP[$i]; //@line 2009 "convert.c"
        var $89=CHECK_OVERFLOW(($87+36*$88)&4294967295, 32); //@line 2009 "convert.c"
        var $90=CHECK_OVERFLOW(($89)&4294967295, 32); //@line 2009 "convert.c"
        var $91=HEAP[$subsampling_dx]; //@line 2009 "convert.c"
        HEAP[$90]=$91; //@line 2009 "convert.c"
        var $92=HEAP[$cmptparm]; //@line 2010 "convert.c"
        var $93=HEAP[$i]; //@line 2010 "convert.c"
        var $94=CHECK_OVERFLOW(($92+36*$93)&4294967295, 32); //@line 2010 "convert.c"
        var $95=CHECK_OVERFLOW(($94+4)&4294967295, 32); //@line 2010 "convert.c"
        var $96=HEAP[$subsampling_dy]; //@line 2010 "convert.c"
        HEAP[$95]=$96; //@line 2010 "convert.c"
        var $97=HEAP[$cmptparm]; //@line 2011 "convert.c"
        var $98=HEAP[$i]; //@line 2011 "convert.c"
        var $99=CHECK_OVERFLOW(($97+36*$98)&4294967295, 32); //@line 2011 "convert.c"
        var $100=CHECK_OVERFLOW(($99+8)&4294967295, 32); //@line 2011 "convert.c"
        var $101=HEAP[$w]; //@line 2011 "convert.c"
        HEAP[$100]=$101; //@line 2011 "convert.c"
        var $102=HEAP[$cmptparm]; //@line 2012 "convert.c"
        var $103=HEAP[$i]; //@line 2012 "convert.c"
        var $104=CHECK_OVERFLOW(($102+36*$103)&4294967295, 32); //@line 2012 "convert.c"
        var $105=CHECK_OVERFLOW(($104+12)&4294967295, 32); //@line 2012 "convert.c"
        var $106=HEAP[$h]; //@line 2012 "convert.c"
        HEAP[$105]=$106; //@line 2012 "convert.c"
        var $107=HEAP[$i]; //@line 2005 "convert.c"
        var $108=CHECK_OVERFLOW((($107) + 1)&4294967295, 32); //@line 2005 "convert.c"
        HEAP[$i]=$108; //@line 2005 "convert.c"
        __label__ = 5; break; //@line 2005 "convert.c"
      case 5: // $bb5
        var $109=HEAP[$i]; //@line 2005 "convert.c"
        var $110=HEAP[$numcomps]; //@line 2005 "convert.c"
        var $111=($109) < ($110); //@line 2005 "convert.c"
        if ($111) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2005 "convert.c"
      case 7: // $bb6
        var $112=HEAP[$cmptparm]; //@line 2015 "convert.c"
        var $113=CHECK_OVERFLOW(($112)&4294967295, 32); //@line 2015 "convert.c"
        var $114=HEAP[$numcomps]; //@line 2015 "convert.c"
        var $115=HEAP[$color_space]; //@line 2015 "convert.c"
        var $116=_opj_image_create($114, $113, $115); //@line 2015 "convert.c"
        HEAP[$image]=$116; //@line 2015 "convert.c"
        var $117=HEAP[$image]; //@line 2016 "convert.c"
        var $118=($117)==0; //@line 2016 "convert.c"
        if ($118) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 2016 "convert.c"
      case 8: // $bb7
        var $119=HEAP[$f]; //@line 2017 "convert.c"
        var $120=_fclose($119); //@line 2017 "convert.c"
        HEAP[$0]=0; //@line 2018 "convert.c"
        __label__ = 2; break; //@line 2018 "convert.c"
      case 9: // $bb8
        var $121=HEAP[$parameters_addr]; //@line 2021 "convert.c"
        var $122=CHECK_OVERFLOW(($121+18180)&4294967295, 32); //@line 2021 "convert.c"
        var $123=HEAP[$122]; //@line 2021 "convert.c"
        var $124=HEAP[$image]; //@line 2021 "convert.c"
        var $125=CHECK_OVERFLOW(($124)&4294967295, 32); //@line 2021 "convert.c"
        HEAP[$125]=$123; //@line 2021 "convert.c"
        var $126=HEAP[$parameters_addr]; //@line 2022 "convert.c"
        var $127=CHECK_OVERFLOW(($126+18184)&4294967295, 32); //@line 2022 "convert.c"
        var $128=HEAP[$127]; //@line 2022 "convert.c"
        var $129=HEAP[$image]; //@line 2022 "convert.c"
        var $130=CHECK_OVERFLOW(($129+4)&4294967295, 32); //@line 2022 "convert.c"
        HEAP[$130]=$128; //@line 2022 "convert.c"
        var $131=HEAP[$parameters_addr]; //@line 2023 "convert.c"
        var $132=CHECK_OVERFLOW(($131+18180)&4294967295, 32); //@line 2023 "convert.c"
        var $133=HEAP[$132]; //@line 2023 "convert.c"
        var $134=HEAP[$w]; //@line 2023 "convert.c"
        var $135=CHECK_OVERFLOW((($134) - 1)&4294967295, 32); //@line 2023 "convert.c"
        var $136=HEAP[$subsampling_dx]; //@line 2023 "convert.c"
        var $137=CHECK_OVERFLOW((($135) * ($136))&4294967295, 32); //@line 2023 "convert.c"
        var $138=CHECK_OVERFLOW((($133) + ($137))&4294967295, 32); //@line 2023 "convert.c"
        var $139=CHECK_OVERFLOW((($138) + 1)&4294967295, 32); //@line 2023 "convert.c"
        var $140=HEAP[$image]; //@line 2023 "convert.c"
        var $141=CHECK_OVERFLOW(($140+8)&4294967295, 32); //@line 2023 "convert.c"
        HEAP[$141]=$139; //@line 2023 "convert.c"
        var $142=HEAP[$parameters_addr]; //@line 2024 "convert.c"
        var $143=CHECK_OVERFLOW(($142+18184)&4294967295, 32); //@line 2024 "convert.c"
        var $144=HEAP[$143]; //@line 2024 "convert.c"
        var $145=HEAP[$h]; //@line 2024 "convert.c"
        var $146=CHECK_OVERFLOW((($145) - 1)&4294967295, 32); //@line 2024 "convert.c"
        var $147=HEAP[$subsampling_dy]; //@line 2024 "convert.c"
        var $148=CHECK_OVERFLOW((($146) * ($147))&4294967295, 32); //@line 2024 "convert.c"
        var $149=CHECK_OVERFLOW((($144) + ($148))&4294967295, 32); //@line 2024 "convert.c"
        var $150=CHECK_OVERFLOW((($149) + 1)&4294967295, 32); //@line 2024 "convert.c"
        var $151=HEAP[$image]; //@line 2024 "convert.c"
        var $152=CHECK_OVERFLOW(($151+12)&4294967295, 32); //@line 2024 "convert.c"
        HEAP[$152]=$150; //@line 2024 "convert.c"
        var $153=HEAP[$raw_cp_addr]; //@line 2026 "convert.c"
        var $154=CHECK_OVERFLOW(($153+12)&4294967295, 32); //@line 2026 "convert.c"
        var $155=HEAP[$154]; //@line 2026 "convert.c"
        var $156=($155) <= 8; //@line 2026 "convert.c"
        if ($156) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2026 "convert.c"
      case 10: // $bb9
        HEAP[$value]=0; //@line 2028 "convert.c"
        HEAP[$compno]=0; //@line 2029 "convert.c"
        __label__ = 12; break; //@line 2029 "convert.c"
      case 21: // $bb10
        HEAP[$i]=0; //@line 2030 "convert.c"
        __label__ = 13; break; //@line 2030 "convert.c"
      case 19: // $bb11
        var $157=HEAP[$f]; //@line 2031 "convert.c"
        var $158=_fread($value, 1, 1, $157); //@line 2031 "convert.c"
        var $159=($158)==0; //@line 2031 "convert.c"
        if ($159) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 2031 "convert.c"
      case 14: // $bb12
        var $160=HEAP[_stderr]; //@line 2032 "convert.c"
        var $161=$160; //@line 2032 "convert.c"
        var $162=_fwrite(CHECK_OVERFLOW((__str46133)&4294967295, 32), 1, 54, $161); //@line 2032 "convert.c"
        HEAP[$0]=0; //@line 2033 "convert.c"
        __label__ = 2; break; //@line 2033 "convert.c"
      case 15: // $bb13
        var $163=HEAP[$image]; //@line 2035 "convert.c"
        var $164=CHECK_OVERFLOW(($163+24)&4294967295, 32); //@line 2035 "convert.c"
        var $165=HEAP[$164]; //@line 2035 "convert.c"
        var $166=HEAP[$compno]; //@line 2035 "convert.c"
        var $167=CHECK_OVERFLOW(($165+48*$166)&4294967295, 32); //@line 2035 "convert.c"
        var $168=CHECK_OVERFLOW(($167+44)&4294967295, 32); //@line 2035 "convert.c"
        var $169=HEAP[$168]; //@line 2035 "convert.c"
        var $170=HEAP[$raw_cp_addr]; //@line 2035 "convert.c"
        var $171=CHECK_OVERFLOW(($170+16)&4294967295, 32); //@line 2035 "convert.c"
        var $172=HEAP[$171]; //@line 2035 "convert.c"
        var $173=($172)!=0; //@line 2035 "convert.c"
        if ($173) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 2035 "convert.c"
      case 16: // $bb14
        var $174=HEAP[$value]; //@line 2035 "convert.c"
        var $175=($174); //@line 2035 "convert.c"
        HEAP[$iftmp_203]=$175; //@line 2035 "convert.c"
        __label__ = 18; break; //@line 2035 "convert.c"
      case 17: // $bb15
        var $176=HEAP[$value]; //@line 2035 "convert.c"
        var $177=($176); //@line 2035 "convert.c"
        HEAP[$iftmp_203]=$177; //@line 2035 "convert.c"
        __label__ = 18; break; //@line 2035 "convert.c"
      case 18: // $bb16
        var $178=HEAP[$i]; //@line 2035 "convert.c"
        var $179=CHECK_OVERFLOW(($169+4*$178)&4294967295, 32); //@line 2035 "convert.c"
        var $180=HEAP[$iftmp_203]; //@line 2035 "convert.c"
        HEAP[$179]=$180; //@line 2035 "convert.c"
        var $181=HEAP[$i]; //@line 2030 "convert.c"
        var $182=CHECK_OVERFLOW((($181) + 1)&4294967295, 32); //@line 2030 "convert.c"
        HEAP[$i]=$182; //@line 2030 "convert.c"
        __label__ = 13; break; //@line 2030 "convert.c"
      case 13: // $bb17
        var $183=HEAP[$w]; //@line 2030 "convert.c"
        var $184=HEAP[$h]; //@line 2030 "convert.c"
        var $185=CHECK_OVERFLOW((($183) * ($184))&4294967295, 32); //@line 2030 "convert.c"
        var $186=HEAP[$i]; //@line 2030 "convert.c"
        var $187=($185) > ($186); //@line 2030 "convert.c"
        if ($187) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 2030 "convert.c"
      case 20: // $bb18
        var $188=HEAP[$compno]; //@line 2029 "convert.c"
        var $189=CHECK_OVERFLOW((($188) + 1)&4294967295, 32); //@line 2029 "convert.c"
        HEAP[$compno]=$189; //@line 2029 "convert.c"
        __label__ = 12; break; //@line 2029 "convert.c"
      case 12: // $bb19
        var $190=HEAP[$compno]; //@line 2029 "convert.c"
        var $191=HEAP[$numcomps]; //@line 2029 "convert.c"
        var $192=($190) < ($191); //@line 2029 "convert.c"
        if ($192) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 2029 "convert.c"
      case 22: // $bb20
        __label__ = 23; break; //@line 2029 "convert.c"
      case 11: // $bb21
        var $193=HEAP[$raw_cp_addr]; //@line 2039 "convert.c"
        var $194=CHECK_OVERFLOW(($193+12)&4294967295, 32); //@line 2039 "convert.c"
        var $195=HEAP[$194]; //@line 2039 "convert.c"
        var $196=($195) <= 16; //@line 2039 "convert.c"
        if ($196) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 2039 "convert.c"
      case 24: // $bb22
        HEAP[$compno]=0; //@line 2042 "convert.c"
        __label__ = 26; break; //@line 2042 "convert.c"
      case 37: // $bb24
        HEAP[$i]=0; //@line 2043 "convert.c"
        __label__ = 27; break; //@line 2043 "convert.c"
      case 35: // $bb25
        var $197=HEAP[$f]; //@line 2045 "convert.c"
        var $198=_fread($temp, 1, 1, $197); //@line 2045 "convert.c"
        var $199=($198)==0; //@line 2045 "convert.c"
        if ($199) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 2045 "convert.c"
      case 28: // $bb26
        var $200=HEAP[_stderr]; //@line 2046 "convert.c"
        var $201=$200; //@line 2046 "convert.c"
        var $202=_fwrite(CHECK_OVERFLOW((__str46133)&4294967295, 32), 1, 54, $201); //@line 2046 "convert.c"
        HEAP[$0]=0; //@line 2047 "convert.c"
        __label__ = 2; break; //@line 2047 "convert.c"
      case 29: // $bb27
        var $203=HEAP[$temp]; //@line 2049 "convert.c"
        var $204=($203); //@line 2049 "convert.c"
        var $205=($204) << 8; //@line 2049 "convert.c"
        HEAP[$value23]=$205; //@line 2049 "convert.c"
        var $206=HEAP[$f]; //@line 2050 "convert.c"
        var $207=_fread($temp, 1, 1, $206); //@line 2050 "convert.c"
        var $208=($207)==0; //@line 2050 "convert.c"
        if ($208) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 2050 "convert.c"
      case 30: // $bb28
        var $209=HEAP[_stderr]; //@line 2051 "convert.c"
        var $210=$209; //@line 2051 "convert.c"
        var $211=_fwrite(CHECK_OVERFLOW((__str46133)&4294967295, 32), 1, 54, $210); //@line 2051 "convert.c"
        HEAP[$0]=0; //@line 2052 "convert.c"
        __label__ = 2; break; //@line 2052 "convert.c"
      case 31: // $bb29
        var $212=HEAP[$temp]; //@line 2054 "convert.c"
        var $213=($212); //@line 2054 "convert.c"
        var $214=HEAP[$value23]; //@line 2054 "convert.c"
        var $215=CHECK_OVERFLOW((($213) + ($214))&65535, 16); //@line 2054 "convert.c"
        HEAP[$value23]=$215; //@line 2054 "convert.c"
        var $216=HEAP[$image]; //@line 2055 "convert.c"
        var $217=CHECK_OVERFLOW(($216+24)&4294967295, 32); //@line 2055 "convert.c"
        var $218=HEAP[$217]; //@line 2055 "convert.c"
        var $219=HEAP[$compno]; //@line 2055 "convert.c"
        var $220=CHECK_OVERFLOW(($218+48*$219)&4294967295, 32); //@line 2055 "convert.c"
        var $221=CHECK_OVERFLOW(($220+44)&4294967295, 32); //@line 2055 "convert.c"
        var $222=HEAP[$221]; //@line 2055 "convert.c"
        var $223=HEAP[$raw_cp_addr]; //@line 2055 "convert.c"
        var $224=CHECK_OVERFLOW(($223+16)&4294967295, 32); //@line 2055 "convert.c"
        var $225=HEAP[$224]; //@line 2055 "convert.c"
        var $226=($225)!=0; //@line 2055 "convert.c"
        if ($226) { __label__ = 32; break; } else { __label__ = 33; break; } //@line 2055 "convert.c"
      case 32: // $bb30
        var $227=HEAP[$value23]; //@line 2055 "convert.c"
        var $228=($227); //@line 2055 "convert.c"
        HEAP[$iftmp_211]=$228; //@line 2055 "convert.c"
        __label__ = 34; break; //@line 2055 "convert.c"
      case 33: // $bb31
        var $229=HEAP[$value23]; //@line 2055 "convert.c"
        var $230=($229); //@line 2055 "convert.c"
        HEAP[$iftmp_211]=$230; //@line 2055 "convert.c"
        __label__ = 34; break; //@line 2055 "convert.c"
      case 34: // $bb32
        var $231=HEAP[$i]; //@line 2055 "convert.c"
        var $232=CHECK_OVERFLOW(($222+4*$231)&4294967295, 32); //@line 2055 "convert.c"
        var $233=HEAP[$iftmp_211]; //@line 2055 "convert.c"
        HEAP[$232]=$233; //@line 2055 "convert.c"
        var $234=HEAP[$i]; //@line 2043 "convert.c"
        var $235=CHECK_OVERFLOW((($234) + 1)&4294967295, 32); //@line 2043 "convert.c"
        HEAP[$i]=$235; //@line 2043 "convert.c"
        __label__ = 27; break; //@line 2043 "convert.c"
      case 27: // $bb33
        var $236=HEAP[$w]; //@line 2043 "convert.c"
        var $237=HEAP[$h]; //@line 2043 "convert.c"
        var $238=CHECK_OVERFLOW((($236) * ($237))&4294967295, 32); //@line 2043 "convert.c"
        var $239=HEAP[$i]; //@line 2043 "convert.c"
        var $240=($238) > ($239); //@line 2043 "convert.c"
        if ($240) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 2043 "convert.c"
      case 36: // $bb34
        var $241=HEAP[$compno]; //@line 2042 "convert.c"
        var $242=CHECK_OVERFLOW((($241) + 1)&4294967295, 32); //@line 2042 "convert.c"
        HEAP[$compno]=$242; //@line 2042 "convert.c"
        __label__ = 26; break; //@line 2042 "convert.c"
      case 26: // $bb35
        var $243=HEAP[$compno]; //@line 2042 "convert.c"
        var $244=HEAP[$numcomps]; //@line 2042 "convert.c"
        var $245=($243) < ($244); //@line 2042 "convert.c"
        if ($245) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 2042 "convert.c"
      case 38: // $bb36
        __label__ = 23; break; //@line 2042 "convert.c"
      case 25: // $bb37
        var $246=HEAP[_stderr]; //@line 2060 "convert.c"
        var $247=$246; //@line 2060 "convert.c"
        var $248=_fwrite(CHECK_OVERFLOW((__str47134)&4294967295, 32), 1, 74, $247); //@line 2060 "convert.c"
        HEAP[$0]=0; //@line 2061 "convert.c"
        __label__ = 2; break; //@line 2061 "convert.c"
      case 23: // $bb38
        var $ch39=$ch; //@line 2064 "convert.c"
        var $249=HEAP[$f]; //@line 2064 "convert.c"
        var $250=_fread($ch39, 1, 1, $249); //@line 2064 "convert.c"
        var $251=($250)!=0; //@line 2064 "convert.c"
        if ($251) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 2064 "convert.c"
      case 39: // $bb40
        var $252=HEAP[_stderr]; //@line 2065 "convert.c"
        var $253=$252; //@line 2065 "convert.c"
        var $254=_fwrite(CHECK_OVERFLOW((__str48135)&4294967295, 32), 1, 58, $253); //@line 2065 "convert.c"
        __label__ = 40; break; //@line 2065 "convert.c"
      case 40: // $bb41
        var $255=HEAP[$f]; //@line 2067 "convert.c"
        var $256=_fclose($255); //@line 2067 "convert.c"
        var $257=HEAP[$image]; //@line 2069 "convert.c"
        HEAP[$0]=$257; //@line 2069 "convert.c"
        __label__ = 2; break; //@line 2069 "convert.c"
      case 2: // $bb42
        var $258=HEAP[$0]; //@line 1988 "convert.c"
        HEAP[$retval]=$258; //@line 1988 "convert.c"
        __label__ = 41; break; //@line 1988 "convert.c"
      case 41: // $return
        var $retval43=HEAP[$retval]; //@line 1988 "convert.c"
        STACKTOP = __stackBase__;
        return $retval43; //@line 1988 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _imagetoraw($image, $outfile) {
    var __stackBase__  = STACKTOP; STACKTOP += 72; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 72);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $image_addr=__stackBase__;
        var $outfile_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $iftmp_218=__stackBase__+12;
        var $0=__stackBase__+16;
        var $rawFile=__stackBase__+20;
        var $compno=__stackBase__+24;
        var $w=__stackBase__+28;
        var $h=__stackBase__+32;
        var $line=__stackBase__+36;
        var $row=__stackBase__+40;
        var $ptr=__stackBase__+44;
        var $curr=__stackBase__+48;
        var $mask=__stackBase__+49;
        var $curr18=__stackBase__+53;
        var $mask19=__stackBase__+54;
        var $curr29=__stackBase__+58;
        var $mask30=__stackBase__+60;
        var $temp=__stackBase__+64;
        var $curr39=__stackBase__+65;
        var $mask40=__stackBase__+67;
        var $temp43=__stackBase__+71;
        var $_alloca_point_=0;
        HEAP[$image_addr]=$image;
        HEAP[$outfile_addr]=$outfile;
        HEAP[$rawFile]=0; //@line 2074 "convert.c"
        var $1=HEAP[$image_addr]; //@line 2080 "convert.c"
        var $2=CHECK_OVERFLOW(($1+16)&4294967295, 32); //@line 2080 "convert.c"
        var $3=HEAP[$2]; //@line 2080 "convert.c"
        var $4=HEAP[$image_addr]; //@line 2080 "convert.c"
        var $5=CHECK_OVERFLOW(($4+8)&4294967295, 32); //@line 2080 "convert.c"
        var $6=HEAP[$5]; //@line 2080 "convert.c"
        var $7=CHECK_OVERFLOW((($3) * ($6))&4294967295, 32); //@line 2080 "convert.c"
        var $8=HEAP[$image_addr]; //@line 2080 "convert.c"
        var $9=CHECK_OVERFLOW(($8+12)&4294967295, 32); //@line 2080 "convert.c"
        var $10=HEAP[$9]; //@line 2080 "convert.c"
        var $11=CHECK_OVERFLOW((($7) * ($10))&4294967295, 32); //@line 2080 "convert.c"
        var $12=($11)==0; //@line 2080 "convert.c"
        if ($12) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 2080 "convert.c"
      case 0: // $bb
        var $13=HEAP[_stderr]; //@line 2082 "convert.c"
        var $14=$13; //@line 2082 "convert.c"
        var $15=_fwrite(CHECK_OVERFLOW((__str42130)&4294967295, 32), 1, 37, $14); //@line 2082 "convert.c"
        HEAP[$0]=1; //@line 2083 "convert.c"
        __label__ = 2; break; //@line 2083 "convert.c"
      case 1: // $bb1
        var $16=HEAP[$outfile_addr]; //@line 2086 "convert.c"
        var $17=_fopen($16, CHECK_OVERFLOW((__str561)&4294967295, 32)); //@line 2086 "convert.c"
        HEAP[$rawFile]=$17; //@line 2086 "convert.c"
        var $18=HEAP[$rawFile]; //@line 2087 "convert.c"
        var $19=($18)==0; //@line 2087 "convert.c"
        if ($19) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2087 "convert.c"
      case 3: // $bb2
        var $20=HEAP[_stderr]; //@line 2088 "convert.c"
        var $21=HEAP[$outfile_addr]; //@line 2088 "convert.c"
        var $22=_fprintf($20, CHECK_OVERFLOW((__str49136)&4294967295, 32), $21); //@line 2088 "convert.c"
        HEAP[$0]=1; //@line 2089 "convert.c"
        __label__ = 2; break; //@line 2089 "convert.c"
      case 4: // $bb3
        var $23=HEAP[$image_addr]; //@line 2092 "convert.c"
        var $24=CHECK_OVERFLOW(($23+16)&4294967295, 32); //@line 2092 "convert.c"
        var $25=HEAP[$24]; //@line 2092 "convert.c"
        var $26=HEAP[_stdout]; //@line 2092 "convert.c"
        var $27=_fprintf($26, CHECK_OVERFLOW((__str5091)&4294967295, 32), $25); //@line 2092 "convert.c"
        HEAP[$compno]=0; //@line 2094 "convert.c"
        __label__ = 5; break; //@line 2094 "convert.c"
      case 46: // $bb4
        var $28=HEAP[$image_addr]; //@line 2096 "convert.c"
        var $29=CHECK_OVERFLOW(($28+24)&4294967295, 32); //@line 2096 "convert.c"
        var $30=HEAP[$29]; //@line 2096 "convert.c"
        var $31=HEAP[$compno]; //@line 2096 "convert.c"
        var $32=CHECK_OVERFLOW(($30+48*$31)&4294967295, 32); //@line 2096 "convert.c"
        var $33=CHECK_OVERFLOW(($32+32)&4294967295, 32); //@line 2096 "convert.c"
        var $34=HEAP[$33]; //@line 2096 "convert.c"
        var $35=($34)==1; //@line 2096 "convert.c"
        if ($35) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2096 "convert.c"
      case 6: // $bb5
        HEAP[$iftmp_218]=CHECK_OVERFLOW((__str51137)&4294967295, 32); //@line 2096 "convert.c"
        __label__ = 8; break; //@line 2096 "convert.c"
      case 7: // $bb6
        HEAP[$iftmp_218]=CHECK_OVERFLOW((__str52138)&4294967295, 32); //@line 2096 "convert.c"
        __label__ = 8; break; //@line 2096 "convert.c"
      case 8: // $bb7
        var $36=HEAP[$image_addr]; //@line 2096 "convert.c"
        var $37=CHECK_OVERFLOW(($36+24)&4294967295, 32); //@line 2096 "convert.c"
        var $38=HEAP[$37]; //@line 2096 "convert.c"
        var $39=HEAP[$compno]; //@line 2096 "convert.c"
        var $40=CHECK_OVERFLOW(($38+48*$39)&4294967295, 32); //@line 2096 "convert.c"
        var $41=CHECK_OVERFLOW(($40+24)&4294967295, 32); //@line 2096 "convert.c"
        var $42=HEAP[$41]; //@line 2096 "convert.c"
        var $43=HEAP[$image_addr]; //@line 2096 "convert.c"
        var $44=CHECK_OVERFLOW(($43+24)&4294967295, 32); //@line 2096 "convert.c"
        var $45=HEAP[$44]; //@line 2096 "convert.c"
        var $46=HEAP[$compno]; //@line 2096 "convert.c"
        var $47=CHECK_OVERFLOW(($45+48*$46)&4294967295, 32); //@line 2096 "convert.c"
        var $48=CHECK_OVERFLOW(($47+12)&4294967295, 32); //@line 2096 "convert.c"
        var $49=HEAP[$48]; //@line 2096 "convert.c"
        var $50=HEAP[$image_addr]; //@line 2096 "convert.c"
        var $51=CHECK_OVERFLOW(($50+24)&4294967295, 32); //@line 2096 "convert.c"
        var $52=HEAP[$51]; //@line 2096 "convert.c"
        var $53=HEAP[$compno]; //@line 2096 "convert.c"
        var $54=CHECK_OVERFLOW(($52+48*$53)&4294967295, 32); //@line 2096 "convert.c"
        var $55=CHECK_OVERFLOW(($54+8)&4294967295, 32); //@line 2096 "convert.c"
        var $56=HEAP[$55]; //@line 2096 "convert.c"
        var $57=HEAP[_stdout]; //@line 2096 "convert.c"
        var $58=HEAP[$compno]; //@line 2096 "convert.c"
        var $59=HEAP[$iftmp_218]; //@line 2096 "convert.c"
        var $60=_fprintf($57, CHECK_OVERFLOW((__str53139)&4294967295, 32), $58, $56, $49, $42, $59); //@line 2096 "convert.c"
        var $61=HEAP[$image_addr]; //@line 2099 "convert.c"
        var $62=CHECK_OVERFLOW(($61+24)&4294967295, 32); //@line 2099 "convert.c"
        var $63=HEAP[$62]; //@line 2099 "convert.c"
        var $64=HEAP[$compno]; //@line 2099 "convert.c"
        var $65=CHECK_OVERFLOW(($63+48*$64)&4294967295, 32); //@line 2099 "convert.c"
        var $66=CHECK_OVERFLOW(($65+8)&4294967295, 32); //@line 2099 "convert.c"
        var $67=HEAP[$66]; //@line 2099 "convert.c"
        HEAP[$w]=$67; //@line 2099 "convert.c"
        var $68=HEAP[$image_addr]; //@line 2100 "convert.c"
        var $69=CHECK_OVERFLOW(($68+24)&4294967295, 32); //@line 2100 "convert.c"
        var $70=HEAP[$69]; //@line 2100 "convert.c"
        var $71=HEAP[$compno]; //@line 2100 "convert.c"
        var $72=CHECK_OVERFLOW(($70+48*$71)&4294967295, 32); //@line 2100 "convert.c"
        var $73=CHECK_OVERFLOW(($72+12)&4294967295, 32); //@line 2100 "convert.c"
        var $74=HEAP[$73]; //@line 2100 "convert.c"
        HEAP[$h]=$74; //@line 2100 "convert.c"
        var $75=HEAP[$image_addr]; //@line 2102 "convert.c"
        var $76=CHECK_OVERFLOW(($75+24)&4294967295, 32); //@line 2102 "convert.c"
        var $77=HEAP[$76]; //@line 2102 "convert.c"
        var $78=HEAP[$compno]; //@line 2102 "convert.c"
        var $79=CHECK_OVERFLOW(($77+48*$78)&4294967295, 32); //@line 2102 "convert.c"
        var $80=CHECK_OVERFLOW(($79+24)&4294967295, 32); //@line 2102 "convert.c"
        var $81=HEAP[$80]; //@line 2102 "convert.c"
        var $82=($81) <= 8; //@line 2102 "convert.c"
        if ($82) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 2102 "convert.c"
      case 9: // $bb8
        var $83=HEAP[$image_addr]; //@line 2104 "convert.c"
        var $84=CHECK_OVERFLOW(($83+24)&4294967295, 32); //@line 2104 "convert.c"
        var $85=HEAP[$84]; //@line 2104 "convert.c"
        var $86=HEAP[$compno]; //@line 2104 "convert.c"
        var $87=CHECK_OVERFLOW(($85+48*$86)&4294967295, 32); //@line 2104 "convert.c"
        var $88=CHECK_OVERFLOW(($87+32)&4294967295, 32); //@line 2104 "convert.c"
        var $89=HEAP[$88]; //@line 2104 "convert.c"
        var $90=($89)==1; //@line 2104 "convert.c"
        if ($90) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 2104 "convert.c"
      case 11: // $bb9
        var $91=HEAP[$image_addr]; //@line 2107 "convert.c"
        var $92=CHECK_OVERFLOW(($91+24)&4294967295, 32); //@line 2107 "convert.c"
        var $93=HEAP[$92]; //@line 2107 "convert.c"
        var $94=HEAP[$compno]; //@line 2107 "convert.c"
        var $95=CHECK_OVERFLOW(($93+48*$94)&4294967295, 32); //@line 2107 "convert.c"
        var $96=CHECK_OVERFLOW(($95+24)&4294967295, 32); //@line 2107 "convert.c"
        var $97=HEAP[$96]; //@line 2107 "convert.c"
        var $98=1 << ($97); //@line 2107 "convert.c"
        var $99=CHECK_OVERFLOW((($98) - 1)&4294967295, 32); //@line 2107 "convert.c"
        HEAP[$mask]=$99; //@line 2107 "convert.c"
        var $100=HEAP[$image_addr]; //@line 2108 "convert.c"
        var $101=CHECK_OVERFLOW(($100+24)&4294967295, 32); //@line 2108 "convert.c"
        var $102=HEAP[$101]; //@line 2108 "convert.c"
        var $103=HEAP[$compno]; //@line 2108 "convert.c"
        var $104=CHECK_OVERFLOW(($102+48*$103)&4294967295, 32); //@line 2108 "convert.c"
        var $105=CHECK_OVERFLOW(($104+44)&4294967295, 32); //@line 2108 "convert.c"
        var $106=HEAP[$105]; //@line 2108 "convert.c"
        HEAP[$ptr]=$106; //@line 2108 "convert.c"
        HEAP[$line]=0; //@line 2109 "convert.c"
        __label__ = 13; break; //@line 2109 "convert.c"
      case 17: // $bb10
        HEAP[$row]=0; //@line 2110 "convert.c"
        __label__ = 14; break; //@line 2110 "convert.c"
      case 15: // $bb11
        var $107=HEAP[$ptr]; //@line 2111 "convert.c"
        var $108=HEAP[$107]; //@line 2111 "convert.c"
        var $109=((($108)) & 255); //@line 2111 "convert.c"
        var $110=HEAP[$mask]; //@line 2111 "convert.c"
        var $111=((($110)) & 255); //@line 2111 "convert.c"
        var $112=($109) & ($111); //@line 2111 "convert.c"
        HEAP[$curr]=$112; //@line 2111 "convert.c"
        var $113=HEAP[$rawFile]; //@line 2112 "convert.c"
        var $114=_fwrite($curr, 1, 1, $113); //@line 2112 "convert.c"
        var $115=HEAP[$ptr]; //@line 2113 "convert.c"
        var $116=CHECK_OVERFLOW(($115+4)&4294967295, 32); //@line 2113 "convert.c"
        HEAP[$ptr]=$116; //@line 2113 "convert.c"
        var $117=HEAP[$row]; //@line 2110 "convert.c"
        var $118=CHECK_OVERFLOW((($117) + 1)&4294967295, 32); //@line 2110 "convert.c"
        HEAP[$row]=$118; //@line 2110 "convert.c"
        __label__ = 14; break; //@line 2110 "convert.c"
      case 14: // $bb12
        var $119=HEAP[$row]; //@line 2110 "convert.c"
        var $120=HEAP[$w]; //@line 2110 "convert.c"
        var $121=($119) < ($120); //@line 2110 "convert.c"
        if ($121) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 2110 "convert.c"
      case 16: // $bb13
        var $122=HEAP[$line]; //@line 2109 "convert.c"
        var $123=CHECK_OVERFLOW((($122) + 1)&4294967295, 32); //@line 2109 "convert.c"
        HEAP[$line]=$123; //@line 2109 "convert.c"
        __label__ = 13; break; //@line 2109 "convert.c"
      case 13: // $bb14
        var $124=HEAP[$line]; //@line 2109 "convert.c"
        var $125=HEAP[$h]; //@line 2109 "convert.c"
        var $126=($124) < ($125); //@line 2109 "convert.c"
        if ($126) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 2109 "convert.c"
      case 18: // $bb15
        __label__ = 19; break; //@line 2109 "convert.c"
      case 12: // $bb16
        var $127=HEAP[$image_addr]; //@line 2117 "convert.c"
        var $128=CHECK_OVERFLOW(($127+24)&4294967295, 32); //@line 2117 "convert.c"
        var $129=HEAP[$128]; //@line 2117 "convert.c"
        var $130=HEAP[$compno]; //@line 2117 "convert.c"
        var $131=CHECK_OVERFLOW(($129+48*$130)&4294967295, 32); //@line 2117 "convert.c"
        var $132=CHECK_OVERFLOW(($131+32)&4294967295, 32); //@line 2117 "convert.c"
        var $133=HEAP[$132]; //@line 2117 "convert.c"
        var $134=($133)==0; //@line 2117 "convert.c"
        if ($134) { __label__ = 20; break; } else { __label__ = 19; break; } //@line 2117 "convert.c"
      case 20: // $bb17
        var $135=HEAP[$image_addr]; //@line 2120 "convert.c"
        var $136=CHECK_OVERFLOW(($135+24)&4294967295, 32); //@line 2120 "convert.c"
        var $137=HEAP[$136]; //@line 2120 "convert.c"
        var $138=HEAP[$compno]; //@line 2120 "convert.c"
        var $139=CHECK_OVERFLOW(($137+48*$138)&4294967295, 32); //@line 2120 "convert.c"
        var $140=CHECK_OVERFLOW(($139+24)&4294967295, 32); //@line 2120 "convert.c"
        var $141=HEAP[$140]; //@line 2120 "convert.c"
        var $142=1 << ($141); //@line 2120 "convert.c"
        var $143=CHECK_OVERFLOW((($142) - 1)&4294967295, 32); //@line 2120 "convert.c"
        HEAP[$mask19]=$143; //@line 2120 "convert.c"
        var $144=HEAP[$image_addr]; //@line 2121 "convert.c"
        var $145=CHECK_OVERFLOW(($144+24)&4294967295, 32); //@line 2121 "convert.c"
        var $146=HEAP[$145]; //@line 2121 "convert.c"
        var $147=HEAP[$compno]; //@line 2121 "convert.c"
        var $148=CHECK_OVERFLOW(($146+48*$147)&4294967295, 32); //@line 2121 "convert.c"
        var $149=CHECK_OVERFLOW(($148+44)&4294967295, 32); //@line 2121 "convert.c"
        var $150=HEAP[$149]; //@line 2121 "convert.c"
        HEAP[$ptr]=$150; //@line 2121 "convert.c"
        HEAP[$line]=0; //@line 2122 "convert.c"
        __label__ = 21; break; //@line 2122 "convert.c"
      case 25: // $bb20
        HEAP[$row]=0; //@line 2123 "convert.c"
        __label__ = 22; break; //@line 2123 "convert.c"
      case 23: // $bb21
        var $151=HEAP[$ptr]; //@line 2124 "convert.c"
        var $152=HEAP[$151]; //@line 2124 "convert.c"
        var $153=((($152)) & 255); //@line 2124 "convert.c"
        var $154=HEAP[$mask19]; //@line 2124 "convert.c"
        var $155=((($154)) & 255); //@line 2124 "convert.c"
        var $156=($153) & ($155); //@line 2124 "convert.c"
        HEAP[$curr18]=$156; //@line 2124 "convert.c"
        var $157=HEAP[$rawFile]; //@line 2125 "convert.c"
        var $158=_fwrite($curr18, 1, 1, $157); //@line 2125 "convert.c"
        var $159=HEAP[$ptr]; //@line 2126 "convert.c"
        var $160=CHECK_OVERFLOW(($159+4)&4294967295, 32); //@line 2126 "convert.c"
        HEAP[$ptr]=$160; //@line 2126 "convert.c"
        var $161=HEAP[$row]; //@line 2123 "convert.c"
        var $162=CHECK_OVERFLOW((($161) + 1)&4294967295, 32); //@line 2123 "convert.c"
        HEAP[$row]=$162; //@line 2123 "convert.c"
        __label__ = 22; break; //@line 2123 "convert.c"
      case 22: // $bb22
        var $163=HEAP[$row]; //@line 2123 "convert.c"
        var $164=HEAP[$w]; //@line 2123 "convert.c"
        var $165=($163) < ($164); //@line 2123 "convert.c"
        if ($165) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 2123 "convert.c"
      case 24: // $bb23
        var $166=HEAP[$line]; //@line 2122 "convert.c"
        var $167=CHECK_OVERFLOW((($166) + 1)&4294967295, 32); //@line 2122 "convert.c"
        HEAP[$line]=$167; //@line 2122 "convert.c"
        __label__ = 21; break; //@line 2122 "convert.c"
      case 21: // $bb24
        var $168=HEAP[$line]; //@line 2122 "convert.c"
        var $169=HEAP[$h]; //@line 2122 "convert.c"
        var $170=($168) < ($169); //@line 2122 "convert.c"
        if ($170) { __label__ = 25; break; } else { __label__ = 19; break; } //@line 2122 "convert.c"
      case 19: // $bb25
        __label__ = 26; break; //@line 2122 "convert.c"
      case 10: // $bb26
        var $171=HEAP[$image_addr]; //@line 2131 "convert.c"
        var $172=CHECK_OVERFLOW(($171+24)&4294967295, 32); //@line 2131 "convert.c"
        var $173=HEAP[$172]; //@line 2131 "convert.c"
        var $174=HEAP[$compno]; //@line 2131 "convert.c"
        var $175=CHECK_OVERFLOW(($173+48*$174)&4294967295, 32); //@line 2131 "convert.c"
        var $176=CHECK_OVERFLOW(($175+24)&4294967295, 32); //@line 2131 "convert.c"
        var $177=HEAP[$176]; //@line 2131 "convert.c"
        var $178=($177) <= 16; //@line 2131 "convert.c"
        if ($178) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 2131 "convert.c"
      case 27: // $bb27
        var $179=HEAP[$image_addr]; //@line 2133 "convert.c"
        var $180=CHECK_OVERFLOW(($179+24)&4294967295, 32); //@line 2133 "convert.c"
        var $181=HEAP[$180]; //@line 2133 "convert.c"
        var $182=HEAP[$compno]; //@line 2133 "convert.c"
        var $183=CHECK_OVERFLOW(($181+48*$182)&4294967295, 32); //@line 2133 "convert.c"
        var $184=CHECK_OVERFLOW(($183+32)&4294967295, 32); //@line 2133 "convert.c"
        var $185=HEAP[$184]; //@line 2133 "convert.c"
        var $186=($185)==1; //@line 2133 "convert.c"
        if ($186) { __label__ = 29; break; } else { __label__ = 30; break; } //@line 2133 "convert.c"
      case 29: // $bb28
        var $187=HEAP[$image_addr]; //@line 2136 "convert.c"
        var $188=CHECK_OVERFLOW(($187+24)&4294967295, 32); //@line 2136 "convert.c"
        var $189=HEAP[$188]; //@line 2136 "convert.c"
        var $190=HEAP[$compno]; //@line 2136 "convert.c"
        var $191=CHECK_OVERFLOW(($189+48*$190)&4294967295, 32); //@line 2136 "convert.c"
        var $192=CHECK_OVERFLOW(($191+24)&4294967295, 32); //@line 2136 "convert.c"
        var $193=HEAP[$192]; //@line 2136 "convert.c"
        var $194=1 << ($193); //@line 2136 "convert.c"
        var $195=CHECK_OVERFLOW((($194) - 1)&4294967295, 32); //@line 2136 "convert.c"
        HEAP[$mask30]=$195; //@line 2136 "convert.c"
        var $196=HEAP[$image_addr]; //@line 2137 "convert.c"
        var $197=CHECK_OVERFLOW(($196+24)&4294967295, 32); //@line 2137 "convert.c"
        var $198=HEAP[$197]; //@line 2137 "convert.c"
        var $199=HEAP[$compno]; //@line 2137 "convert.c"
        var $200=CHECK_OVERFLOW(($198+48*$199)&4294967295, 32); //@line 2137 "convert.c"
        var $201=CHECK_OVERFLOW(($200+44)&4294967295, 32); //@line 2137 "convert.c"
        var $202=HEAP[$201]; //@line 2137 "convert.c"
        HEAP[$ptr]=$202; //@line 2137 "convert.c"
        HEAP[$line]=0; //@line 2138 "convert.c"
        __label__ = 31; break; //@line 2138 "convert.c"
      case 35: // $bb31
        HEAP[$row]=0; //@line 2139 "convert.c"
        __label__ = 32; break; //@line 2139 "convert.c"
      case 33: // $bb32
        var $203=HEAP[$ptr]; //@line 2141 "convert.c"
        var $204=HEAP[$203]; //@line 2141 "convert.c"
        var $205=((($204)) & 65535); //@line 2141 "convert.c"
        var $206=HEAP[$mask30]; //@line 2141 "convert.c"
        var $207=((($206)) & 65535); //@line 2141 "convert.c"
        var $208=($205) & ($207); //@line 2141 "convert.c"
        HEAP[$curr29]=$208; //@line 2141 "convert.c"
        var $209=HEAP[$curr29]; //@line 2142 "convert.c"
        var $210=($209) >> 8; //@line 2142 "convert.c"
        var $211=((($210)) & 255); //@line 2142 "convert.c"
        HEAP[$temp]=$211; //@line 2142 "convert.c"
        var $212=HEAP[$rawFile]; //@line 2143 "convert.c"
        var $213=_fwrite($temp, 1, 1, $212); //@line 2143 "convert.c"
        var $214=HEAP[$curr29]; //@line 2144 "convert.c"
        var $215=((($214)) & 255); //@line 2144 "convert.c"
        HEAP[$temp]=$215; //@line 2144 "convert.c"
        var $216=HEAP[$rawFile]; //@line 2145 "convert.c"
        var $217=_fwrite($temp, 1, 1, $216); //@line 2145 "convert.c"
        var $218=HEAP[$ptr]; //@line 2146 "convert.c"
        var $219=CHECK_OVERFLOW(($218+4)&4294967295, 32); //@line 2146 "convert.c"
        HEAP[$ptr]=$219; //@line 2146 "convert.c"
        var $220=HEAP[$row]; //@line 2139 "convert.c"
        var $221=CHECK_OVERFLOW((($220) + 1)&4294967295, 32); //@line 2139 "convert.c"
        HEAP[$row]=$221; //@line 2139 "convert.c"
        __label__ = 32; break; //@line 2139 "convert.c"
      case 32: // $bb33
        var $222=HEAP[$row]; //@line 2139 "convert.c"
        var $223=HEAP[$w]; //@line 2139 "convert.c"
        var $224=($222) < ($223); //@line 2139 "convert.c"
        if ($224) { __label__ = 33; break; } else { __label__ = 34; break; } //@line 2139 "convert.c"
      case 34: // $bb34
        var $225=HEAP[$line]; //@line 2138 "convert.c"
        var $226=CHECK_OVERFLOW((($225) + 1)&4294967295, 32); //@line 2138 "convert.c"
        HEAP[$line]=$226; //@line 2138 "convert.c"
        __label__ = 31; break; //@line 2138 "convert.c"
      case 31: // $bb35
        var $227=HEAP[$line]; //@line 2138 "convert.c"
        var $228=HEAP[$h]; //@line 2138 "convert.c"
        var $229=($227) < ($228); //@line 2138 "convert.c"
        if ($229) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 2138 "convert.c"
      case 36: // $bb36
        __label__ = 37; break; //@line 2138 "convert.c"
      case 30: // $bb37
        var $230=HEAP[$image_addr]; //@line 2150 "convert.c"
        var $231=CHECK_OVERFLOW(($230+24)&4294967295, 32); //@line 2150 "convert.c"
        var $232=HEAP[$231]; //@line 2150 "convert.c"
        var $233=HEAP[$compno]; //@line 2150 "convert.c"
        var $234=CHECK_OVERFLOW(($232+48*$233)&4294967295, 32); //@line 2150 "convert.c"
        var $235=CHECK_OVERFLOW(($234+32)&4294967295, 32); //@line 2150 "convert.c"
        var $236=HEAP[$235]; //@line 2150 "convert.c"
        var $237=($236)==0; //@line 2150 "convert.c"
        if ($237) { __label__ = 38; break; } else { __label__ = 37; break; } //@line 2150 "convert.c"
      case 38: // $bb38
        var $238=HEAP[$image_addr]; //@line 2153 "convert.c"
        var $239=CHECK_OVERFLOW(($238+24)&4294967295, 32); //@line 2153 "convert.c"
        var $240=HEAP[$239]; //@line 2153 "convert.c"
        var $241=HEAP[$compno]; //@line 2153 "convert.c"
        var $242=CHECK_OVERFLOW(($240+48*$241)&4294967295, 32); //@line 2153 "convert.c"
        var $243=CHECK_OVERFLOW(($242+24)&4294967295, 32); //@line 2153 "convert.c"
        var $244=HEAP[$243]; //@line 2153 "convert.c"
        var $245=1 << ($244); //@line 2153 "convert.c"
        var $246=CHECK_OVERFLOW((($245) - 1)&4294967295, 32); //@line 2153 "convert.c"
        HEAP[$mask40]=$246; //@line 2153 "convert.c"
        var $247=HEAP[$image_addr]; //@line 2154 "convert.c"
        var $248=CHECK_OVERFLOW(($247+24)&4294967295, 32); //@line 2154 "convert.c"
        var $249=HEAP[$248]; //@line 2154 "convert.c"
        var $250=HEAP[$compno]; //@line 2154 "convert.c"
        var $251=CHECK_OVERFLOW(($249+48*$250)&4294967295, 32); //@line 2154 "convert.c"
        var $252=CHECK_OVERFLOW(($251+44)&4294967295, 32); //@line 2154 "convert.c"
        var $253=HEAP[$252]; //@line 2154 "convert.c"
        HEAP[$ptr]=$253; //@line 2154 "convert.c"
        HEAP[$line]=0; //@line 2155 "convert.c"
        __label__ = 39; break; //@line 2155 "convert.c"
      case 43: // $bb41
        HEAP[$row]=0; //@line 2156 "convert.c"
        __label__ = 40; break; //@line 2156 "convert.c"
      case 41: // $bb42
        var $254=HEAP[$ptr]; //@line 2158 "convert.c"
        var $255=HEAP[$254]; //@line 2158 "convert.c"
        var $256=((($255)) & 65535); //@line 2158 "convert.c"
        var $257=HEAP[$mask40]; //@line 2158 "convert.c"
        var $258=((($257)) & 65535); //@line 2158 "convert.c"
        var $259=($256) & ($258); //@line 2158 "convert.c"
        HEAP[$curr39]=$259; //@line 2158 "convert.c"
        var $260=HEAP[$curr39]; //@line 2159 "convert.c"
        var $261=($260) >>> 8; //@line 2159 "convert.c"
        var $262=((($261)) & 255); //@line 2159 "convert.c"
        HEAP[$temp43]=$262; //@line 2159 "convert.c"
        var $263=HEAP[$rawFile]; //@line 2160 "convert.c"
        var $264=_fwrite($temp43, 1, 1, $263); //@line 2160 "convert.c"
        var $265=HEAP[$curr39]; //@line 2161 "convert.c"
        var $266=((($265)) & 255); //@line 2161 "convert.c"
        HEAP[$temp43]=$266; //@line 2161 "convert.c"
        var $267=HEAP[$rawFile]; //@line 2162 "convert.c"
        var $268=_fwrite($temp43, 1, 1, $267); //@line 2162 "convert.c"
        var $269=HEAP[$ptr]; //@line 2163 "convert.c"
        var $270=CHECK_OVERFLOW(($269+4)&4294967295, 32); //@line 2163 "convert.c"
        HEAP[$ptr]=$270; //@line 2163 "convert.c"
        var $271=HEAP[$row]; //@line 2156 "convert.c"
        var $272=CHECK_OVERFLOW((($271) + 1)&4294967295, 32); //@line 2156 "convert.c"
        HEAP[$row]=$272; //@line 2156 "convert.c"
        __label__ = 40; break; //@line 2156 "convert.c"
      case 40: // $bb44
        var $273=HEAP[$row]; //@line 2156 "convert.c"
        var $274=HEAP[$w]; //@line 2156 "convert.c"
        var $275=($273) < ($274); //@line 2156 "convert.c"
        if ($275) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 2156 "convert.c"
      case 42: // $bb45
        var $276=HEAP[$line]; //@line 2155 "convert.c"
        var $277=CHECK_OVERFLOW((($276) + 1)&4294967295, 32); //@line 2155 "convert.c"
        HEAP[$line]=$277; //@line 2155 "convert.c"
        __label__ = 39; break; //@line 2155 "convert.c"
      case 39: // $bb46
        var $278=HEAP[$line]; //@line 2155 "convert.c"
        var $279=HEAP[$h]; //@line 2155 "convert.c"
        var $280=($278) < ($279); //@line 2155 "convert.c"
        if ($280) { __label__ = 43; break; } else { __label__ = 37; break; } //@line 2155 "convert.c"
      case 37: // $bb47
        __label__ = 26; break; //@line 2155 "convert.c"
      case 28: // $bb48
        var $281=HEAP[$image_addr]; //@line 2168 "convert.c"
        var $282=CHECK_OVERFLOW(($281+24)&4294967295, 32); //@line 2168 "convert.c"
        var $283=HEAP[$282]; //@line 2168 "convert.c"
        var $284=HEAP[$compno]; //@line 2168 "convert.c"
        var $285=CHECK_OVERFLOW(($283+48*$284)&4294967295, 32); //@line 2168 "convert.c"
        var $286=CHECK_OVERFLOW(($285+24)&4294967295, 32); //@line 2168 "convert.c"
        var $287=HEAP[$286]; //@line 2168 "convert.c"
        var $288=($287) <= 32; //@line 2168 "convert.c"
        if ($288) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 2168 "convert.c"
      case 44: // $bb49
        var $289=HEAP[_stderr]; //@line 2170 "convert.c"
        var $290=$289; //@line 2170 "convert.c"
        var $291=_fwrite(CHECK_OVERFLOW((__str54140)&4294967295, 32), 1, 47, $290); //@line 2170 "convert.c"
        HEAP[$0]=1; //@line 2171 "convert.c"
        __label__ = 2; break; //@line 2171 "convert.c"
      case 45: // $bb50
        var $292=HEAP[$image_addr]; //@line 2175 "convert.c"
        var $293=CHECK_OVERFLOW(($292+24)&4294967295, 32); //@line 2175 "convert.c"
        var $294=HEAP[$293]; //@line 2175 "convert.c"
        var $295=HEAP[$compno]; //@line 2175 "convert.c"
        var $296=CHECK_OVERFLOW(($294+48*$295)&4294967295, 32); //@line 2175 "convert.c"
        var $297=CHECK_OVERFLOW(($296+24)&4294967295, 32); //@line 2175 "convert.c"
        var $298=HEAP[$297]; //@line 2175 "convert.c"
        var $299=HEAP[_stderr]; //@line 2175 "convert.c"
        var $300=_fprintf($299, CHECK_OVERFLOW((__str55141)&4294967295, 32), $298); //@line 2175 "convert.c"
        HEAP[$0]=1; //@line 2176 "convert.c"
        __label__ = 2; break; //@line 2176 "convert.c"
      case 26: // $bb51
        var $301=HEAP[$compno]; //@line 2094 "convert.c"
        var $302=CHECK_OVERFLOW((($301) + 1)&4294967295, 32); //@line 2094 "convert.c"
        HEAP[$compno]=$302; //@line 2094 "convert.c"
        __label__ = 5; break; //@line 2094 "convert.c"
      case 5: // $bb52
        var $303=HEAP[$image_addr]; //@line 2094 "convert.c"
        var $304=CHECK_OVERFLOW(($303+16)&4294967295, 32); //@line 2094 "convert.c"
        var $305=HEAP[$304]; //@line 2094 "convert.c"
        var $306=HEAP[$compno]; //@line 2094 "convert.c"
        var $307=($305) > ($306); //@line 2094 "convert.c"
        if ($307) { __label__ = 46; break; } else { __label__ = 47; break; } //@line 2094 "convert.c"
      case 47: // $bb53
        var $308=HEAP[$rawFile]; //@line 2179 "convert.c"
        var $309=_fclose($308); //@line 2179 "convert.c"
        HEAP[$0]=0; //@line 2180 "convert.c"
        __label__ = 2; break; //@line 2180 "convert.c"
      case 2: // $bb54
        var $310=HEAP[$0]; //@line 2083 "convert.c"
        HEAP[$retval]=$310; //@line 2083 "convert.c"
        __label__ = 48; break; //@line 2083 "convert.c"
      case 48: // $return
        var $retval55=HEAP[$retval]; //@line 2083 "convert.c"
        STACKTOP = __stackBase__;
        return $retval55; //@line 2083 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _pngtoimage($read_idf, $params) {
    var __stackBase__  = STACKTOP; STACKTOP += 296; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 296);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $read_idf_addr=__stackBase__;
        var $params_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $iftmp_246=__stackBase__+12;
        var $0=__stackBase__+16;
        var $png=__stackBase__+20;
        var $info=__stackBase__+24;
        var $gamma=__stackBase__+28;
        var $display_exponent=__stackBase__+36;
        var $bit_depth=__stackBase__+44;
        var $interlace_type=__stackBase__+48;
        var $compression_type=__stackBase__+52;
        var $filter_type=__stackBase__+56;
        var $unit=__stackBase__+60;
        var $resx=__stackBase__+64;
        var $resy=__stackBase__+68;
        var $i=__stackBase__+72;
        var $j=__stackBase__+76;
        var $width=__stackBase__+80;
        var $height=__stackBase__+84;
        var $color_type=__stackBase__+88;
        var $has_alpha=__stackBase__+92;
        var $is16=__stackBase__+96;
        var $s=__stackBase__+100;
        var $reader=__stackBase__+104;
        var $rows=__stackBase__+108;
        var $image=__stackBase__+112;
        var $cmptparm=__stackBase__+116;
        var $sub_dx=__stackBase__+260;
        var $sub_dy=__stackBase__+264;
        var $nr_comp=__stackBase__+268;
        var $r=__stackBase__+272;
        var $g=__stackBase__+276;
        var $b=__stackBase__+280;
        var $a=__stackBase__+284;
        var $sigbuf=__stackBase__+288;
        var $_alloca_point_=0;
        HEAP[$read_idf_addr]=$read_idf;
        HEAP[$params_addr]=$params;
        var $1=HEAP[$read_idf_addr]; //@line 2211 "convert.c"
        var $2=_fopen($1, CHECK_OVERFLOW((__str258)&4294967295, 32)); //@line 2211 "convert.c"
        HEAP[$reader]=$2; //@line 2211 "convert.c"
        var $3=HEAP[$reader]; //@line 2211 "convert.c"
        var $4=($3)==0; //@line 2211 "convert.c"
        if ($4) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 2211 "convert.c"
      case 0: // $bb
        var $5=HEAP[_stderr]; //@line 2213 "convert.c"
        var $6=HEAP[$read_idf_addr]; //@line 2213 "convert.c"
        var $7=_fprintf($5, CHECK_OVERFLOW((__str5692)&4294967295, 32), $6); //@line 2213 "convert.c"
        HEAP[$0]=0; //@line 2214 "convert.c"
        __label__ = 2; break; //@line 2214 "convert.c"
      case 1: // $bb1
        HEAP[$image]=0; //@line 2216 "convert.c"
        HEAP[$png]=0; //@line 2216 "convert.c"
        HEAP[$rows]=0; //@line 2216 "convert.c"
        var $sigbuf2=$sigbuf; //@line 2218 "convert.c"
        var $8=HEAP[$reader]; //@line 2218 "convert.c"
        var $9=_fread($sigbuf2, 1, 8, $8); //@line 2218 "convert.c"
        var $10=($9)!=8; //@line 2218 "convert.c"
        if ($10) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2218 "convert.c"
      case 4: // $bb3
        var $sigbuf4=$sigbuf; //@line 2218 "convert.c"
        var $11=_memcmp($sigbuf4, CHECK_OVERFLOW((__str57142)&4294967295, 32), 8); //@line 2218 "convert.c"
        var $12=($11)!=0; //@line 2218 "convert.c"
        if ($12) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 2218 "convert.c"
      case 3: // $bb5
        var $13=HEAP[_stderr]; //@line 2221 "convert.c"
        var $14=HEAP[$read_idf_addr]; //@line 2221 "convert.c"
        var $15=_fprintf($13, CHECK_OVERFLOW((__str58143)&4294967295, 32), $14); //@line 2221 "convert.c"
        __label__ = 6; break; //@line 2221 "convert.c"
      case 5: // $bb6
        HEAP[$display_exponent]=2.2; //@line 2228 "convert.c"
        var $16=_png_create_read_struct(CHECK_OVERFLOW((__str59144)&4294967295, 32), 0, 0, 0); //@line 2230 "convert.c"
        HEAP[$png]=$16; //@line 2230 "convert.c"
        var $17=HEAP[$png]; //@line 2230 "convert.c"
        var $18=($17)==0; //@line 2230 "convert.c"
        if ($18) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 2230 "convert.c"
      case 7: // $bb7
        var $19=HEAP[$png]; //@line 2233 "convert.c"
        var $20=_png_create_info_struct($19); //@line 2233 "convert.c"
        HEAP[$info]=$20; //@line 2233 "convert.c"
        var $21=HEAP[$info]; //@line 2233 "convert.c"
        var $22=($21)==0; //@line 2233 "convert.c"
        if ($22) { __label__ = 6; break; } else { __label__ = 8; break; } //@line 2233 "convert.c"
      case 8: // $bb8
        var $23=HEAP[$png]; //@line 2236 "convert.c"
        var $24=CHECK_OVERFLOW(($23)&4294967295, 32); //@line 2236 "convert.c"
        var $25=CHECK_OVERFLOW(($24)&4294967295, 32); //@line 2236 "convert.c"
        var $26=__setjmp($25); //@line 2236 "convert.c"
        var $27=($26)!=0; //@line 2236 "convert.c"
        if ($27) { __label__ = 6; break; } else { __label__ = 9; break; } //@line 2236 "convert.c"
      case 9: // $bb9
        var $28=HEAP[$png]; //@line 2239 "convert.c"
        var $29=HEAP[$reader]; //@line 2239 "convert.c"
        _png_init_io($28, $29); //@line 2239 "convert.c"
        var $30=HEAP[$png]; //@line 2240 "convert.c"
        _png_set_sig_bytes($30, 8); //@line 2240 "convert.c"
        var $31=HEAP[$info]; //@line 2242 "convert.c"
        var $32=HEAP[$png]; //@line 2242 "convert.c"
        _png_read_info($32, $31); //@line 2242 "convert.c"
        var $33=HEAP[$info]; //@line 2244 "convert.c"
        var $34=HEAP[$png]; //@line 2244 "convert.c"
        var $35=_png_get_IHDR($34, $33, $width, $height, $bit_depth, $color_type, $interlace_type, $compression_type, $filter_type); //@line 2244 "convert.c"
        var $36=($35)==0; //@line 2244 "convert.c"
        if ($36) { __label__ = 6; break; } else { __label__ = 10; break; } //@line 2244 "convert.c"
      case 10: // $bb10
        var $37=HEAP[$color_type]; //@line 2254 "convert.c"
        var $38=($37)==3; //@line 2254 "convert.c"
        if ($38) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 2254 "convert.c"
      case 11: // $bb11
        var $39=HEAP[$png]; //@line 2255 "convert.c"
        _png_set_expand($39); //@line 2255 "convert.c"
        __label__ = 13; break; //@line 2255 "convert.c"
      case 12: // $bb12
        var $40=HEAP[$color_type]; //@line 2257 "convert.c"
        var $41=($40)==0; //@line 2257 "convert.c"
        if ($41) { __label__ = 14; break; } else { __label__ = 13; break; } //@line 2257 "convert.c"
      case 14: // $bb13
        var $42=HEAP[$bit_depth]; //@line 2257 "convert.c"
        var $43=($42) <= 7; //@line 2257 "convert.c"
        if ($43) { __label__ = 15; break; } else { __label__ = 13; break; } //@line 2257 "convert.c"
      case 15: // $bb14
        var $44=HEAP[$png]; //@line 2258 "convert.c"
        _png_set_expand($44); //@line 2258 "convert.c"
        __label__ = 13; break; //@line 2258 "convert.c"
      case 13: // $bb15
        var $45=HEAP[$info]; //@line 2260 "convert.c"
        var $46=HEAP[$png]; //@line 2260 "convert.c"
        var $47=_png_get_valid($46, $45, 16); //@line 2260 "convert.c"
        var $48=($47)!=0; //@line 2260 "convert.c"
        if ($48) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 2260 "convert.c"
      case 16: // $bb16
        var $49=HEAP[$png]; //@line 2261 "convert.c"
        _png_set_expand($49); //@line 2261 "convert.c"
        __label__ = 17; break; //@line 2261 "convert.c"
      case 17: // $bb17
        var $50=HEAP[$bit_depth]; //@line 2263 "convert.c"
        var $51=($50)==16; //@line 2263 "convert.c"
        var $52=($51); //@line 2263 "convert.c"
        HEAP[$is16]=$52; //@line 2263 "convert.c"
        var $53=HEAP[$color_type]; //@line 2267 "convert.c"
        var $54=($53)==0; //@line 2267 "convert.c"
        if ($54) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 2267 "convert.c"
      case 19: // $bb18
        var $55=HEAP[$color_type]; //@line 2267 "convert.c"
        var $56=($55)==4; //@line 2267 "convert.c"
        if ($56) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 2267 "convert.c"
      case 18: // $bb19
        var $57=HEAP[$png]; //@line 2270 "convert.c"
        _png_set_gray_to_rgb($57); //@line 2270 "convert.c"
        var $58=HEAP[$color_type]; //@line 2271 "convert.c"
        var $59=($58)==0; //@line 2271 "convert.c"
        if ($59) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 2271 "convert.c"
      case 21: // $bb20
        HEAP[$iftmp_246]=2; //@line 2271 "convert.c"
        __label__ = 23; break; //@line 2271 "convert.c"
      case 22: // $bb21
        HEAP[$iftmp_246]=6; //@line 2271 "convert.c"
        __label__ = 23; break; //@line 2271 "convert.c"
      case 23: // $bb22
        var $60=HEAP[$iftmp_246]; //@line 2271 "convert.c"
        HEAP[$color_type]=$60; //@line 2271 "convert.c"
        __label__ = 20; break; //@line 2271 "convert.c"
      case 20: // $bb23
        var $61=HEAP[$info]; //@line 2275 "convert.c"
        var $62=HEAP[$png]; //@line 2275 "convert.c"
        var $63=_png_get_gAMA($62, $61, $gamma); //@line 2275 "convert.c"
        var $64=($63)==0; //@line 2275 "convert.c"
        if ($64) { __label__ = 24; break; } else { __label__ = 25; break; } //@line 2275 "convert.c"
      case 24: // $bb24
        HEAP[$gamma]=0.45455; //@line 2276 "convert.c"
        __label__ = 25; break; //@line 2276 "convert.c"
      case 25: // $bb25
        var $65=HEAP[$gamma]; //@line 2278 "convert.c"
        var $66=HEAP[$png]; //@line 2278 "convert.c"
        var $67=HEAP[$display_exponent]; //@line 2278 "convert.c"
        _png_set_gamma($66, $67, $65); //@line 2278 "convert.c"
        var $68=HEAP[$info]; //@line 2280 "convert.c"
        var $69=HEAP[$png]; //@line 2280 "convert.c"
        _png_read_update_info($69, $68); //@line 2280 "convert.c"
        var $70=HEAP[$info]; //@line 2282 "convert.c"
        var $71=HEAP[$png]; //@line 2282 "convert.c"
        var $72=_png_get_pHYs($71, $70, $resx, $resy, $unit); //@line 2282 "convert.c"
        var $73=HEAP[$info]; //@line 2284 "convert.c"
        var $74=HEAP[$png]; //@line 2284 "convert.c"
        var $75=_png_get_color_type($74, $73); //@line 2284 "convert.c"
        var $76=($75); //@line 2284 "convert.c"
        HEAP[$color_type]=$76; //@line 2284 "convert.c"
        var $77=HEAP[$color_type]; //@line 2286 "convert.c"
        var $78=($77)==6; //@line 2286 "convert.c"
        var $79=($78); //@line 2286 "convert.c"
        HEAP[$has_alpha]=$79; //@line 2286 "convert.c"
        var $80=HEAP[$has_alpha]; //@line 2288 "convert.c"
        var $81=CHECK_OVERFLOW((($80) + 3)&4294967295, 32); //@line 2288 "convert.c"
        HEAP[$nr_comp]=$81; //@line 2288 "convert.c"
        var $82=HEAP[$info]; //@line 2290 "convert.c"
        var $83=HEAP[$png]; //@line 2290 "convert.c"
        var $84=_png_get_bit_depth($83, $82); //@line 2290 "convert.c"
        var $85=($84); //@line 2290 "convert.c"
        HEAP[$bit_depth]=$85; //@line 2290 "convert.c"
        var $86=HEAP[$height]; //@line 2292 "convert.c"
        var $87=CHECK_OVERFLOW((($86) + 1)&4294967295, 32); //@line 2292 "convert.c"
        var $88=_calloc($87, 4); //@line 2292 "convert.c"
        var $89=$88; //@line 2292 "convert.c"
        HEAP[$rows]=$89; //@line 2292 "convert.c"
        HEAP[$i]=0; //@line 2293 "convert.c"
        __label__ = 26; break; //@line 2293 "convert.c"
      case 27: // $bb26
        var $90=HEAP[$info]; //@line 2294 "convert.c"
        var $91=HEAP[$png]; //@line 2294 "convert.c"
        var $92=_png_get_rowbytes($91, $90); //@line 2294 "convert.c"
        var $93=_malloc($92); //@line 2294 "convert.c"
        var $94=HEAP[$rows]; //@line 2294 "convert.c"
        var $95=HEAP[$i]; //@line 2294 "convert.c"
        var $96=CHECK_OVERFLOW(($94+4*$95)&4294967295, 32); //@line 2294 "convert.c"
        HEAP[$96]=$93; //@line 2294 "convert.c"
        var $97=HEAP[$i]; //@line 2293 "convert.c"
        var $98=CHECK_OVERFLOW((($97) + 1)&4294967295, 32); //@line 2293 "convert.c"
        HEAP[$i]=$98; //@line 2293 "convert.c"
        __label__ = 26; break; //@line 2293 "convert.c"
      case 26: // $bb27
        var $99=HEAP[$height]; //@line 2293 "convert.c"
        var $100=HEAP[$i]; //@line 2293 "convert.c"
        var $101=($100) < ($99); //@line 2293 "convert.c"
        if ($101) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 2293 "convert.c"
      case 28: // $bb28
        var $102=HEAP[$png]; //@line 2296 "convert.c"
        var $103=HEAP[$rows]; //@line 2296 "convert.c"
        _png_read_image($102, $103); //@line 2296 "convert.c"
        var $cmptparm29=$cmptparm; //@line 2298 "convert.c"
        _llvm_memset_p0i8_i32($cmptparm29, 0, 144, 1, 0); //@line 2298 "convert.c"
        var $104=HEAP[$params_addr]; //@line 2300 "convert.c"
        var $105=CHECK_OVERFLOW(($104+18188)&4294967295, 32); //@line 2300 "convert.c"
        var $106=HEAP[$105]; //@line 2300 "convert.c"
        HEAP[$sub_dx]=$106; //@line 2300 "convert.c"
        var $107=HEAP[$params_addr]; //@line 2300 "convert.c"
        var $108=CHECK_OVERFLOW(($107+18192)&4294967295, 32); //@line 2300 "convert.c"
        var $109=HEAP[$108]; //@line 2300 "convert.c"
        HEAP[$sub_dy]=$109; //@line 2300 "convert.c"
        HEAP[$i]=0; //@line 2302 "convert.c"
        __label__ = 29; break; //@line 2302 "convert.c"
      case 30: // $bb30
        var $110=HEAP[$i]; //@line 2304 "convert.c"
        var $111=HEAP[$bit_depth]; //@line 2304 "convert.c"
        var $112=CHECK_OVERFLOW(($cmptparm+$110*36)&4294967295, 32); //@line 2304 "convert.c"
        var $113=CHECK_OVERFLOW(($112+24)&4294967295, 32); //@line 2304 "convert.c"
        HEAP[$113]=$111; //@line 2304 "convert.c"
        var $114=HEAP[$i]; //@line 2306 "convert.c"
        var $115=HEAP[$bit_depth]; //@line 2306 "convert.c"
        var $116=CHECK_OVERFLOW(($cmptparm+$114*36)&4294967295, 32); //@line 2306 "convert.c"
        var $117=CHECK_OVERFLOW(($116+28)&4294967295, 32); //@line 2306 "convert.c"
        HEAP[$117]=$115; //@line 2306 "convert.c"
        var $118=HEAP[$i]; //@line 2307 "convert.c"
        var $119=CHECK_OVERFLOW(($cmptparm+$118*36)&4294967295, 32); //@line 2307 "convert.c"
        var $120=CHECK_OVERFLOW(($119+32)&4294967295, 32); //@line 2307 "convert.c"
        HEAP[$120]=0; //@line 2307 "convert.c"
        var $121=HEAP[$i]; //@line 2308 "convert.c"
        var $122=CHECK_OVERFLOW(($cmptparm+$121*36)&4294967295, 32); //@line 2308 "convert.c"
        var $123=CHECK_OVERFLOW(($122)&4294967295, 32); //@line 2308 "convert.c"
        var $124=HEAP[$sub_dx]; //@line 2308 "convert.c"
        HEAP[$123]=$124; //@line 2308 "convert.c"
        var $125=HEAP[$i]; //@line 2309 "convert.c"
        var $126=CHECK_OVERFLOW(($cmptparm+$125*36)&4294967295, 32); //@line 2309 "convert.c"
        var $127=CHECK_OVERFLOW(($126+4)&4294967295, 32); //@line 2309 "convert.c"
        var $128=HEAP[$sub_dy]; //@line 2309 "convert.c"
        HEAP[$127]=$128; //@line 2309 "convert.c"
        var $129=HEAP[$i]; //@line 2310 "convert.c"
        var $130=HEAP[$width]; //@line 2310 "convert.c"
        var $131=CHECK_OVERFLOW(($cmptparm+$129*36)&4294967295, 32); //@line 2310 "convert.c"
        var $132=CHECK_OVERFLOW(($131+8)&4294967295, 32); //@line 2310 "convert.c"
        HEAP[$132]=$130; //@line 2310 "convert.c"
        var $133=HEAP[$i]; //@line 2311 "convert.c"
        var $134=HEAP[$height]; //@line 2311 "convert.c"
        var $135=CHECK_OVERFLOW(($cmptparm+$133*36)&4294967295, 32); //@line 2311 "convert.c"
        var $136=CHECK_OVERFLOW(($135+12)&4294967295, 32); //@line 2311 "convert.c"
        HEAP[$136]=$134; //@line 2311 "convert.c"
        var $137=HEAP[$i]; //@line 2302 "convert.c"
        var $138=CHECK_OVERFLOW((($137) + 1)&4294967295, 32); //@line 2302 "convert.c"
        HEAP[$i]=$138; //@line 2302 "convert.c"
        __label__ = 29; break; //@line 2302 "convert.c"
      case 29: // $bb31
        var $139=HEAP[$i]; //@line 2302 "convert.c"
        var $140=HEAP[$nr_comp]; //@line 2302 "convert.c"
        var $141=($139) < ($140); //@line 2302 "convert.c"
        if ($141) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 2302 "convert.c"
      case 31: // $bb32
        var $142=HEAP[$nr_comp]; //@line 2314 "convert.c"
        var $143=CHECK_OVERFLOW(($cmptparm)&4294967295, 32); //@line 2314 "convert.c"
        var $144=_opj_image_create($142, $143, 1); //@line 2314 "convert.c"
        HEAP[$image]=$144; //@line 2314 "convert.c"
        var $145=HEAP[$image]; //@line 2316 "convert.c"
        var $146=($145)==0; //@line 2316 "convert.c"
        if ($146) { __label__ = 6; break; } else { __label__ = 32; break; } //@line 2316 "convert.c"
      case 32: // $bb33
        var $147=HEAP[$params_addr]; //@line 2318 "convert.c"
        var $148=CHECK_OVERFLOW(($147+18180)&4294967295, 32); //@line 2318 "convert.c"
        var $149=HEAP[$148]; //@line 2318 "convert.c"
        var $150=HEAP[$image]; //@line 2318 "convert.c"
        var $151=CHECK_OVERFLOW(($150)&4294967295, 32); //@line 2318 "convert.c"
        HEAP[$151]=$149; //@line 2318 "convert.c"
        var $152=HEAP[$params_addr]; //@line 2319 "convert.c"
        var $153=CHECK_OVERFLOW(($152+18184)&4294967295, 32); //@line 2319 "convert.c"
        var $154=HEAP[$153]; //@line 2319 "convert.c"
        var $155=HEAP[$image]; //@line 2319 "convert.c"
        var $156=CHECK_OVERFLOW(($155+4)&4294967295, 32); //@line 2319 "convert.c"
        HEAP[$156]=$154; //@line 2319 "convert.c"
        var $157=HEAP[$image]; //@line 2320 "convert.c"
        var $158=CHECK_OVERFLOW(($157)&4294967295, 32); //@line 2320 "convert.c"
        var $159=HEAP[$158]; //@line 2320 "convert.c"
        var $160=HEAP[$width]; //@line 2320 "convert.c"
        var $161=CHECK_OVERFLOW((($160) - 1)&4294967295, 32); //@line 2320 "convert.c"
        var $162=HEAP[$sub_dx]; //@line 2320 "convert.c"
        var $163=CHECK_OVERFLOW((($161) * ($162))&4294967295, 32); //@line 2320 "convert.c"
        var $164=CHECK_OVERFLOW((($159) + ($163))&4294967295, 32); //@line 2320 "convert.c"
        var $165=HEAP[$image]; //@line 2320 "convert.c"
        var $166=CHECK_OVERFLOW(($165)&4294967295, 32); //@line 2320 "convert.c"
        var $167=HEAP[$166]; //@line 2320 "convert.c"
        var $168=CHECK_OVERFLOW((($164) + ($167))&4294967295, 32); //@line 2320 "convert.c"
        var $169=CHECK_OVERFLOW((($168) + 1)&4294967295, 32); //@line 2320 "convert.c"
        var $170=HEAP[$image]; //@line 2320 "convert.c"
        var $171=CHECK_OVERFLOW(($170+8)&4294967295, 32); //@line 2320 "convert.c"
        HEAP[$171]=$169; //@line 2320 "convert.c"
        var $172=HEAP[$image]; //@line 2321 "convert.c"
        var $173=CHECK_OVERFLOW(($172+4)&4294967295, 32); //@line 2321 "convert.c"
        var $174=HEAP[$173]; //@line 2321 "convert.c"
        var $175=HEAP[$height]; //@line 2321 "convert.c"
        var $176=CHECK_OVERFLOW((($175) - 1)&4294967295, 32); //@line 2321 "convert.c"
        var $177=HEAP[$sub_dy]; //@line 2321 "convert.c"
        var $178=CHECK_OVERFLOW((($176) * ($177))&4294967295, 32); //@line 2321 "convert.c"
        var $179=CHECK_OVERFLOW((($174) + ($178))&4294967295, 32); //@line 2321 "convert.c"
        var $180=HEAP[$image]; //@line 2321 "convert.c"
        var $181=CHECK_OVERFLOW(($180+4)&4294967295, 32); //@line 2321 "convert.c"
        var $182=HEAP[$181]; //@line 2321 "convert.c"
        var $183=CHECK_OVERFLOW((($179) + ($182))&4294967295, 32); //@line 2321 "convert.c"
        var $184=CHECK_OVERFLOW((($183) + 1)&4294967295, 32); //@line 2321 "convert.c"
        var $185=HEAP[$image]; //@line 2321 "convert.c"
        var $186=CHECK_OVERFLOW(($185+12)&4294967295, 32); //@line 2321 "convert.c"
        HEAP[$186]=$184; //@line 2321 "convert.c"
        var $187=HEAP[$image]; //@line 2323 "convert.c"
        var $188=CHECK_OVERFLOW(($187+24)&4294967295, 32); //@line 2323 "convert.c"
        var $189=HEAP[$188]; //@line 2323 "convert.c"
        var $190=CHECK_OVERFLOW(($189)&4294967295, 32); //@line 2323 "convert.c"
        var $191=CHECK_OVERFLOW(($190+44)&4294967295, 32); //@line 2323 "convert.c"
        var $192=HEAP[$191]; //@line 2323 "convert.c"
        HEAP[$r]=$192; //@line 2323 "convert.c"
        var $193=HEAP[$image]; //@line 2324 "convert.c"
        var $194=CHECK_OVERFLOW(($193+24)&4294967295, 32); //@line 2324 "convert.c"
        var $195=HEAP[$194]; //@line 2324 "convert.c"
        var $196=CHECK_OVERFLOW(($195+48)&4294967295, 32); //@line 2324 "convert.c"
        var $197=CHECK_OVERFLOW(($196+44)&4294967295, 32); //@line 2324 "convert.c"
        var $198=HEAP[$197]; //@line 2324 "convert.c"
        HEAP[$g]=$198; //@line 2324 "convert.c"
        var $199=HEAP[$image]; //@line 2325 "convert.c"
        var $200=CHECK_OVERFLOW(($199+24)&4294967295, 32); //@line 2325 "convert.c"
        var $201=HEAP[$200]; //@line 2325 "convert.c"
        var $202=CHECK_OVERFLOW(($201+96)&4294967295, 32); //@line 2325 "convert.c"
        var $203=CHECK_OVERFLOW(($202+44)&4294967295, 32); //@line 2325 "convert.c"
        var $204=HEAP[$203]; //@line 2325 "convert.c"
        HEAP[$b]=$204; //@line 2325 "convert.c"
        var $205=HEAP[$image]; //@line 2326 "convert.c"
        var $206=CHECK_OVERFLOW(($205+24)&4294967295, 32); //@line 2326 "convert.c"
        var $207=HEAP[$206]; //@line 2326 "convert.c"
        var $208=CHECK_OVERFLOW(($207+144)&4294967295, 32); //@line 2326 "convert.c"
        var $209=CHECK_OVERFLOW(($208+44)&4294967295, 32); //@line 2326 "convert.c"
        var $210=HEAP[$209]; //@line 2326 "convert.c"
        HEAP[$a]=$210; //@line 2326 "convert.c"
        HEAP[$i]=0; //@line 2328 "convert.c"
        __label__ = 33; break; //@line 2328 "convert.c"
      case 43: // $bb34
        var $211=HEAP[$rows]; //@line 2330 "convert.c"
        var $212=HEAP[$i]; //@line 2330 "convert.c"
        var $213=CHECK_OVERFLOW(($211+4*$212)&4294967295, 32); //@line 2330 "convert.c"
        var $214=HEAP[$213]; //@line 2330 "convert.c"
        HEAP[$s]=$214; //@line 2330 "convert.c"
        HEAP[$j]=0; //@line 2332 "convert.c"
        __label__ = 34; break; //@line 2332 "convert.c"
      case 41: // $bb35
        var $215=HEAP[$is16]; //@line 2334 "convert.c"
        var $216=($215)!=0; //@line 2334 "convert.c"
        if ($216) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 2334 "convert.c"
      case 35: // $bb36
        var $217=HEAP[$s]; //@line 2336 "convert.c"
        var $218=CHECK_OVERFLOW(($217)&4294967295, 32); //@line 2336 "convert.c"
        var $219=HEAP[$218]; //@line 2336 "convert.c"
        var $220=($219); //@line 2336 "convert.c"
        var $221=($220) << 8; //@line 2336 "convert.c"
        var $222=HEAP[$s]; //@line 2336 "convert.c"
        var $223=CHECK_OVERFLOW(($222+1)&4294967295, 32); //@line 2336 "convert.c"
        var $224=HEAP[$223]; //@line 2336 "convert.c"
        var $225=($224); //@line 2336 "convert.c"
        var $226=($221) | ($225); //@line 2336 "convert.c"
        var $227=HEAP[$r]; //@line 2336 "convert.c"
        HEAP[$227]=$226; //@line 2336 "convert.c"
        var $228=HEAP[$r]; //@line 2336 "convert.c"
        var $229=CHECK_OVERFLOW(($228+4)&4294967295, 32); //@line 2336 "convert.c"
        HEAP[$r]=$229; //@line 2336 "convert.c"
        var $230=HEAP[$s]; //@line 2336 "convert.c"
        var $231=CHECK_OVERFLOW(($230+2)&4294967295, 32); //@line 2336 "convert.c"
        HEAP[$s]=$231; //@line 2336 "convert.c"
        var $232=HEAP[$s]; //@line 2338 "convert.c"
        var $233=CHECK_OVERFLOW(($232)&4294967295, 32); //@line 2338 "convert.c"
        var $234=HEAP[$233]; //@line 2338 "convert.c"
        var $235=($234); //@line 2338 "convert.c"
        var $236=($235) << 8; //@line 2338 "convert.c"
        var $237=HEAP[$s]; //@line 2338 "convert.c"
        var $238=CHECK_OVERFLOW(($237+1)&4294967295, 32); //@line 2338 "convert.c"
        var $239=HEAP[$238]; //@line 2338 "convert.c"
        var $240=($239); //@line 2338 "convert.c"
        var $241=($236) | ($240); //@line 2338 "convert.c"
        var $242=HEAP[$g]; //@line 2338 "convert.c"
        HEAP[$242]=$241; //@line 2338 "convert.c"
        var $243=HEAP[$g]; //@line 2338 "convert.c"
        var $244=CHECK_OVERFLOW(($243+4)&4294967295, 32); //@line 2338 "convert.c"
        HEAP[$g]=$244; //@line 2338 "convert.c"
        var $245=HEAP[$s]; //@line 2338 "convert.c"
        var $246=CHECK_OVERFLOW(($245+2)&4294967295, 32); //@line 2338 "convert.c"
        HEAP[$s]=$246; //@line 2338 "convert.c"
        var $247=HEAP[$s]; //@line 2340 "convert.c"
        var $248=CHECK_OVERFLOW(($247)&4294967295, 32); //@line 2340 "convert.c"
        var $249=HEAP[$248]; //@line 2340 "convert.c"
        var $250=($249); //@line 2340 "convert.c"
        var $251=($250) << 8; //@line 2340 "convert.c"
        var $252=HEAP[$s]; //@line 2340 "convert.c"
        var $253=CHECK_OVERFLOW(($252+1)&4294967295, 32); //@line 2340 "convert.c"
        var $254=HEAP[$253]; //@line 2340 "convert.c"
        var $255=($254); //@line 2340 "convert.c"
        var $256=($251) | ($255); //@line 2340 "convert.c"
        var $257=HEAP[$b]; //@line 2340 "convert.c"
        HEAP[$257]=$256; //@line 2340 "convert.c"
        var $258=HEAP[$b]; //@line 2340 "convert.c"
        var $259=CHECK_OVERFLOW(($258+4)&4294967295, 32); //@line 2340 "convert.c"
        HEAP[$b]=$259; //@line 2340 "convert.c"
        var $260=HEAP[$s]; //@line 2340 "convert.c"
        var $261=CHECK_OVERFLOW(($260+2)&4294967295, 32); //@line 2340 "convert.c"
        HEAP[$s]=$261; //@line 2340 "convert.c"
        var $262=HEAP[$has_alpha]; //@line 2342 "convert.c"
        var $263=($262)!=0; //@line 2342 "convert.c"
        if ($263) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 2342 "convert.c"
      case 37: // $bb37
        var $264=HEAP[$s]; //@line 2342 "convert.c"
        var $265=CHECK_OVERFLOW(($264)&4294967295, 32); //@line 2342 "convert.c"
        var $266=HEAP[$265]; //@line 2342 "convert.c"
        var $267=($266); //@line 2342 "convert.c"
        var $268=($267) << 8; //@line 2342 "convert.c"
        var $269=HEAP[$s]; //@line 2342 "convert.c"
        var $270=CHECK_OVERFLOW(($269+1)&4294967295, 32); //@line 2342 "convert.c"
        var $271=HEAP[$270]; //@line 2342 "convert.c"
        var $272=($271); //@line 2342 "convert.c"
        var $273=($268) | ($272); //@line 2342 "convert.c"
        var $274=HEAP[$a]; //@line 2342 "convert.c"
        HEAP[$274]=$273; //@line 2342 "convert.c"
        var $275=HEAP[$a]; //@line 2342 "convert.c"
        var $276=CHECK_OVERFLOW(($275+4)&4294967295, 32); //@line 2342 "convert.c"
        HEAP[$a]=$276; //@line 2342 "convert.c"
        var $277=HEAP[$s]; //@line 2342 "convert.c"
        var $278=CHECK_OVERFLOW(($277+2)&4294967295, 32); //@line 2342 "convert.c"
        HEAP[$s]=$278; //@line 2342 "convert.c"
        __label__ = 38; break; //@line 2342 "convert.c"
      case 38: // $bb38
        __label__ = 39; break; //@line 2342 "convert.c"
      case 36: // $bb39
        var $279=HEAP[$s]; //@line 2346 "convert.c"
        var $280=HEAP[$279]; //@line 2346 "convert.c"
        var $281=($280); //@line 2346 "convert.c"
        var $282=HEAP[$r]; //@line 2346 "convert.c"
        HEAP[$282]=$281; //@line 2346 "convert.c"
        var $283=HEAP[$r]; //@line 2346 "convert.c"
        var $284=CHECK_OVERFLOW(($283+4)&4294967295, 32); //@line 2346 "convert.c"
        HEAP[$r]=$284; //@line 2346 "convert.c"
        var $285=HEAP[$s]; //@line 2346 "convert.c"
        var $286=CHECK_OVERFLOW(($285+1)&4294967295, 32); //@line 2346 "convert.c"
        HEAP[$s]=$286; //@line 2346 "convert.c"
        var $287=HEAP[$s]; //@line 2346 "convert.c"
        var $288=HEAP[$287]; //@line 2346 "convert.c"
        var $289=($288); //@line 2346 "convert.c"
        var $290=HEAP[$g]; //@line 2346 "convert.c"
        HEAP[$290]=$289; //@line 2346 "convert.c"
        var $291=HEAP[$g]; //@line 2346 "convert.c"
        var $292=CHECK_OVERFLOW(($291+4)&4294967295, 32); //@line 2346 "convert.c"
        HEAP[$g]=$292; //@line 2346 "convert.c"
        var $293=HEAP[$s]; //@line 2346 "convert.c"
        var $294=CHECK_OVERFLOW(($293+1)&4294967295, 32); //@line 2346 "convert.c"
        HEAP[$s]=$294; //@line 2346 "convert.c"
        var $295=HEAP[$s]; //@line 2346 "convert.c"
        var $296=HEAP[$295]; //@line 2346 "convert.c"
        var $297=($296); //@line 2346 "convert.c"
        var $298=HEAP[$b]; //@line 2346 "convert.c"
        HEAP[$298]=$297; //@line 2346 "convert.c"
        var $299=HEAP[$b]; //@line 2346 "convert.c"
        var $300=CHECK_OVERFLOW(($299+4)&4294967295, 32); //@line 2346 "convert.c"
        HEAP[$b]=$300; //@line 2346 "convert.c"
        var $301=HEAP[$s]; //@line 2346 "convert.c"
        var $302=CHECK_OVERFLOW(($301+1)&4294967295, 32); //@line 2346 "convert.c"
        HEAP[$s]=$302; //@line 2346 "convert.c"
        var $303=HEAP[$has_alpha]; //@line 2348 "convert.c"
        var $304=($303)!=0; //@line 2348 "convert.c"
        if ($304) { __label__ = 40; break; } else { __label__ = 39; break; } //@line 2348 "convert.c"
      case 40: // $bb40
        var $305=HEAP[$s]; //@line 2348 "convert.c"
        var $306=HEAP[$305]; //@line 2348 "convert.c"
        var $307=($306); //@line 2348 "convert.c"
        var $308=HEAP[$a]; //@line 2348 "convert.c"
        HEAP[$308]=$307; //@line 2348 "convert.c"
        var $309=HEAP[$a]; //@line 2348 "convert.c"
        var $310=CHECK_OVERFLOW(($309+4)&4294967295, 32); //@line 2348 "convert.c"
        HEAP[$a]=$310; //@line 2348 "convert.c"
        var $311=HEAP[$s]; //@line 2348 "convert.c"
        var $312=CHECK_OVERFLOW(($311+1)&4294967295, 32); //@line 2348 "convert.c"
        HEAP[$s]=$312; //@line 2348 "convert.c"
        __label__ = 39; break; //@line 2348 "convert.c"
      case 39: // $bb41
        var $313=HEAP[$j]; //@line 2332 "convert.c"
        var $314=CHECK_OVERFLOW((($313) + 1)&4294967295, 32); //@line 2332 "convert.c"
        HEAP[$j]=$314; //@line 2332 "convert.c"
        __label__ = 34; break; //@line 2332 "convert.c"
      case 34: // $bb42
        var $315=HEAP[$width]; //@line 2332 "convert.c"
        var $316=HEAP[$j]; //@line 2332 "convert.c"
        var $317=($316) < ($315); //@line 2332 "convert.c"
        if ($317) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 2332 "convert.c"
      case 42: // $bb43
        var $318=HEAP[$i]; //@line 2328 "convert.c"
        var $319=CHECK_OVERFLOW((($318) + 1)&4294967295, 32); //@line 2328 "convert.c"
        HEAP[$i]=$319; //@line 2328 "convert.c"
        __label__ = 33; break; //@line 2328 "convert.c"
      case 33: // $bb44
        var $320=HEAP[$height]; //@line 2328 "convert.c"
        var $321=HEAP[$i]; //@line 2328 "convert.c"
        var $322=($321) < ($320); //@line 2328 "convert.c"
        if ($322) { __label__ = 43; break; } else { __label__ = 6; break; } //@line 2328 "convert.c"
      case 6: // $fin
        var $323=HEAP[$rows]; //@line 2352 "convert.c"
        var $324=($323)!=0; //@line 2352 "convert.c"
        if ($324) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 2352 "convert.c"
      case 44: // $bb45
        HEAP[$i]=0; //@line 2354 "convert.c"
        __label__ = 46; break; //@line 2354 "convert.c"
      case 47: // $bb46
        var $325=HEAP[$rows]; //@line 2355 "convert.c"
        var $326=HEAP[$i]; //@line 2355 "convert.c"
        var $327=CHECK_OVERFLOW(($325+4*$326)&4294967295, 32); //@line 2355 "convert.c"
        var $328=HEAP[$327]; //@line 2355 "convert.c"
        _free($328); //@line 2355 "convert.c"
        var $329=HEAP[$i]; //@line 2354 "convert.c"
        var $330=CHECK_OVERFLOW((($329) + 1)&4294967295, 32); //@line 2354 "convert.c"
        HEAP[$i]=$330; //@line 2354 "convert.c"
        __label__ = 46; break; //@line 2354 "convert.c"
      case 46: // $bb47
        var $331=HEAP[$height]; //@line 2354 "convert.c"
        var $332=HEAP[$i]; //@line 2354 "convert.c"
        var $333=($332) < ($331); //@line 2354 "convert.c"
        if ($333) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 2354 "convert.c"
      case 48: // $bb48
        var $334=HEAP[$rows]; //@line 2356 "convert.c"
        var $335=$334; //@line 2356 "convert.c"
        _free($335); //@line 2356 "convert.c"
        __label__ = 45; break; //@line 2356 "convert.c"
      case 45: // $bb49
        var $336=HEAP[$png]; //@line 2358 "convert.c"
        var $337=($336)!=0; //@line 2358 "convert.c"
        if ($337) { __label__ = 49; break; } else { __label__ = 50; break; } //@line 2358 "convert.c"
      case 49: // $bb50
        _png_destroy_read_struct($png, $info, 0); //@line 2359 "convert.c"
        __label__ = 50; break; //@line 2359 "convert.c"
      case 50: // $bb51
        var $338=HEAP[$reader]; //@line 2361 "convert.c"
        var $339=_fclose($338); //@line 2361 "convert.c"
        var $340=HEAP[$image]; //@line 2363 "convert.c"
        HEAP[$0]=$340; //@line 2363 "convert.c"
        __label__ = 2; break; //@line 2363 "convert.c"
      case 2: // $bb52
        var $341=HEAP[$0]; //@line 2214 "convert.c"
        HEAP[$retval]=$341; //@line 2214 "convert.c"
        __label__ = 51; break; //@line 2214 "convert.c"
      case 51: // $return
        var $retval53=HEAP[$retval]; //@line 2214 "convert.c"
        STACKTOP = __stackBase__;
        return $retval53; //@line 2214 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _imagetopng($image, $write_idf) {
    var __stackBase__  = STACKTOP; STACKTOP += 151; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 151);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $image_addr=__stackBase__;
        var $write_idf_addr=__stackBase__+4;
        var $retval=__stackBase__+8;
        var $iftmp_316=__stackBase__+12;
        var $iftmp_306=__stackBase__+16;
        var $iftmp_305=__stackBase__+20;
        var $iftmp_304=__stackBase__+24;
        var $0=__stackBase__+28;
        var $writer=__stackBase__+32;
        var $png=__stackBase__+36;
        var $info=__stackBase__+40;
        var $red=__stackBase__+44;
        var $green=__stackBase__+48;
        var $blue=__stackBase__+52;
        var $alpha=__stackBase__+56;
        var $row_buf=__stackBase__+60;
        var $d=__stackBase__+64;
        var $has_alpha=__stackBase__+68;
        var $width=__stackBase__+72;
        var $height=__stackBase__+76;
        var $nr_comp=__stackBase__+80;
        var $color_type=__stackBase__+84;
        var $adjustR=__stackBase__+88;
        var $adjustG=__stackBase__+92;
        var $adjustB=__stackBase__+96;
        var $x=__stackBase__+100;
        var $y=__stackBase__+104;
        var $fails=__stackBase__+108;
        var $is16=__stackBase__+112;
        var $force16=__stackBase__+116;
        var $opj_prec=__stackBase__+120;
        var $prec=__stackBase__+124;
        var $ushift=__stackBase__+128;
        var $dshift=__stackBase__+132;
        var $mask=__stackBase__+136;
        var $sig_bit=__stackBase__+138;
        var $v=__stackBase__+143;
        var $v73=__stackBase__+147;
        var $_alloca_point_=0;
        HEAP[$image_addr]=$image;
        HEAP[$write_idf_addr]=$write_idf;
        HEAP[$mask]=-1; //@line 2377 "convert.c"
        HEAP[$dshift]=0; //@line 2380 "convert.c"
        var $1=HEAP[$dshift]; //@line 2380 "convert.c"
        HEAP[$ushift]=$1; //@line 2380 "convert.c"
        var $2=HEAP[$ushift]; //@line 2380 "convert.c"
        HEAP[$force16]=$2; //@line 2380 "convert.c"
        var $3=HEAP[$force16]; //@line 2380 "convert.c"
        HEAP[$is16]=$3; //@line 2380 "convert.c"
        HEAP[$fails]=1; //@line 2380 "convert.c"
        var $4=HEAP[$image_addr]; //@line 2381 "convert.c"
        var $5=CHECK_OVERFLOW(($4+24)&4294967295, 32); //@line 2381 "convert.c"
        var $6=HEAP[$5]; //@line 2381 "convert.c"
        var $7=CHECK_OVERFLOW(($6)&4294967295, 32); //@line 2381 "convert.c"
        var $8=CHECK_OVERFLOW(($7+24)&4294967295, 32); //@line 2381 "convert.c"
        var $9=HEAP[$8]; //@line 2381 "convert.c"
        HEAP[$opj_prec]=$9; //@line 2381 "convert.c"
        var $10=HEAP[$opj_prec]; //@line 2381 "convert.c"
        HEAP[$prec]=$10; //@line 2381 "convert.c"
        var $11=HEAP[$prec]; //@line 2383 "convert.c"
        var $12=($11) > 8; //@line 2383 "convert.c"
        if ($12) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 2383 "convert.c"
      case 0: // $bb
        var $13=HEAP[$prec]; //@line 2383 "convert.c"
        var $14=($13) <= 15; //@line 2383 "convert.c"
        if ($14) { __label__ = 2; break; } else { __label__ = 1; break; } //@line 2383 "convert.c"
      case 2: // $bb1
        HEAP[$prec]=16; //@line 2385 "convert.c"
        HEAP[$force16]=1; //@line 2385 "convert.c"
        __label__ = 1; break; //@line 2385 "convert.c"
      case 1: // $bb2
        var $15=HEAP[$prec]; //@line 2387 "convert.c"
        var $16=($15)!=1; //@line 2387 "convert.c"
        if ($16) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 2387 "convert.c"
      case 3: // $bb3
        var $17=HEAP[$prec]; //@line 2387 "convert.c"
        var $18=($17)!=2; //@line 2387 "convert.c"
        if ($18) { __label__ = 5; break; } else { __label__ = 4; break; } //@line 2387 "convert.c"
      case 5: // $bb4
        var $19=HEAP[$prec]; //@line 2387 "convert.c"
        var $20=($19)!=4; //@line 2387 "convert.c"
        if ($20) { __label__ = 6; break; } else { __label__ = 4; break; } //@line 2387 "convert.c"
      case 6: // $bb5
        var $21=HEAP[$prec]; //@line 2387 "convert.c"
        var $22=($21)!=8; //@line 2387 "convert.c"
        if ($22) { __label__ = 7; break; } else { __label__ = 4; break; } //@line 2387 "convert.c"
      case 7: // $bb6
        var $23=HEAP[$prec]; //@line 2387 "convert.c"
        var $24=($23)!=16; //@line 2387 "convert.c"
        if ($24) { __label__ = 8; break; } else { __label__ = 4; break; } //@line 2387 "convert.c"
      case 8: // $bb7
        var $25=HEAP[_stderr]; //@line 2389 "convert.c"
        var $26=HEAP[$write_idf_addr]; //@line 2389 "convert.c"
        var $27=HEAP[$prec]; //@line 2389 "convert.c"
        var $28=_fprintf($25, CHECK_OVERFLOW((__str60145)&4294967295, 32), $26, $27); //@line 2389 "convert.c"
        var $29=HEAP[$fails]; //@line 2391 "convert.c"
        HEAP[$0]=$29; //@line 2391 "convert.c"
        __label__ = 9; break; //@line 2391 "convert.c"
      case 4: // $bb8
        var $30=HEAP[$write_idf_addr]; //@line 2393 "convert.c"
        var $31=_fopen($30, CHECK_OVERFLOW((__str561)&4294967295, 32)); //@line 2393 "convert.c"
        HEAP[$writer]=$31; //@line 2393 "convert.c"
        var $32=HEAP[$writer]; //@line 2395 "convert.c"
        var $33=($32)==0; //@line 2395 "convert.c"
        if ($33) { __label__ = 10; break; } else { __label__ = 11; break; } //@line 2395 "convert.c"
      case 10: // $bb9
        var $34=HEAP[$fails]; //@line 2395 "convert.c"
        HEAP[$0]=$34; //@line 2395 "convert.c"
        __label__ = 9; break; //@line 2395 "convert.c"
      case 11: // $bb10
        HEAP[$info]=0; //@line 2397 "convert.c"
        HEAP[$has_alpha]=0; //@line 2397 "convert.c"
        var $35=_png_create_write_struct(CHECK_OVERFLOW((__str59144)&4294967295, 32), 0, 0, 0); //@line 2405 "convert.c"
        HEAP[$png]=$35; //@line 2405 "convert.c"
        var $36=HEAP[$png]; //@line 2409 "convert.c"
        var $37=($36)==0; //@line 2409 "convert.c"
        if ($37) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 2409 "convert.c"
      case 13: // $bb11
        var $38=HEAP[$png]; //@line 2413 "convert.c"
        var $39=_png_create_info_struct($38); //@line 2413 "convert.c"
        HEAP[$info]=$39; //@line 2413 "convert.c"
        var $40=HEAP[$info]; //@line 2415 "convert.c"
        var $41=($40)==0; //@line 2415 "convert.c"
        if ($41) { __label__ = 12; break; } else { __label__ = 14; break; } //@line 2415 "convert.c"
      case 14: // $bb12
        var $42=HEAP[$png]; //@line 2420 "convert.c"
        var $43=CHECK_OVERFLOW(($42)&4294967295, 32); //@line 2420 "convert.c"
        var $44=CHECK_OVERFLOW(($43)&4294967295, 32); //@line 2420 "convert.c"
        var $45=__setjmp($44); //@line 2420 "convert.c"
        var $46=($45)!=0; //@line 2420 "convert.c"
        if ($46) { __label__ = 12; break; } else { __label__ = 15; break; } //@line 2420 "convert.c"
      case 15: // $bb13
        var $47=HEAP[$png]; //@line 2424 "convert.c"
        var $48=HEAP[$writer]; //@line 2424 "convert.c"
        _png_init_io($47, $48); //@line 2424 "convert.c"
        var $49=HEAP[$png]; //@line 2435 "convert.c"
        _png_set_compression_level($49, 9); //@line 2435 "convert.c"
        var $50=HEAP[$prec]; //@line 2437 "convert.c"
        var $51=($50)==16; //@line 2437 "convert.c"
        if ($51) { __label__ = 16; break; } else { __label__ = 17; break; } //@line 2437 "convert.c"
      case 16: // $bb14
        HEAP[$mask]=-1; //@line 2437 "convert.c"
        __label__ = 18; break; //@line 2437 "convert.c"
      case 17: // $bb15
        var $52=HEAP[$prec]; //@line 2439 "convert.c"
        var $53=($52)==8; //@line 2439 "convert.c"
        if ($53) { __label__ = 19; break; } else { __label__ = 20; break; } //@line 2439 "convert.c"
      case 19: // $bb16
        HEAP[$mask]=255; //@line 2439 "convert.c"
        __label__ = 18; break; //@line 2439 "convert.c"
      case 20: // $bb17
        var $54=HEAP[$prec]; //@line 2441 "convert.c"
        var $55=($54)==4; //@line 2441 "convert.c"
        if ($55) { __label__ = 21; break; } else { __label__ = 22; break; } //@line 2441 "convert.c"
      case 21: // $bb18
        HEAP[$mask]=15; //@line 2441 "convert.c"
        __label__ = 18; break; //@line 2441 "convert.c"
      case 22: // $bb19
        var $56=HEAP[$prec]; //@line 2443 "convert.c"
        var $57=($56)==2; //@line 2443 "convert.c"
        if ($57) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 2443 "convert.c"
      case 23: // $bb20
        HEAP[$mask]=3; //@line 2443 "convert.c"
        __label__ = 18; break; //@line 2443 "convert.c"
      case 24: // $bb21
        var $58=HEAP[$prec]; //@line 2445 "convert.c"
        var $59=($58)==1; //@line 2445 "convert.c"
        if ($59) { __label__ = 25; break; } else { __label__ = 18; break; } //@line 2445 "convert.c"
      case 25: // $bb22
        HEAP[$mask]=1; //@line 2445 "convert.c"
        __label__ = 18; break; //@line 2445 "convert.c"
      case 18: // $bb23
        var $60=HEAP[$image_addr]; //@line 2447 "convert.c"
        var $61=CHECK_OVERFLOW(($60+16)&4294967295, 32); //@line 2447 "convert.c"
        var $62=HEAP[$61]; //@line 2447 "convert.c"
        HEAP[$nr_comp]=$62; //@line 2447 "convert.c"
        var $63=HEAP[$nr_comp]; //@line 2449 "convert.c"
        var $64=($63) <= 2; //@line 2449 "convert.c"
        if ($64) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 2449 "convert.c"
      case 27: // $bb24
        var $65=HEAP[$image_addr]; //@line 2449 "convert.c"
        var $66=CHECK_OVERFLOW(($65+24)&4294967295, 32); //@line 2449 "convert.c"
        var $67=HEAP[$66]; //@line 2449 "convert.c"
        var $68=CHECK_OVERFLOW(($67)&4294967295, 32); //@line 2449 "convert.c"
        var $69=CHECK_OVERFLOW(($68)&4294967295, 32); //@line 2449 "convert.c"
        var $70=HEAP[$69]; //@line 2449 "convert.c"
        var $71=HEAP[$image_addr]; //@line 2449 "convert.c"
        var $72=CHECK_OVERFLOW(($71+24)&4294967295, 32); //@line 2449 "convert.c"
        var $73=HEAP[$72]; //@line 2449 "convert.c"
        var $74=CHECK_OVERFLOW(($73+48)&4294967295, 32); //@line 2449 "convert.c"
        var $75=CHECK_OVERFLOW(($74)&4294967295, 32); //@line 2449 "convert.c"
        var $76=HEAP[$75]; //@line 2449 "convert.c"
        var $77=($70)!=($76); //@line 2449 "convert.c"
        if ($77) { __label__ = 26; break; } else { __label__ = 28; break; } //@line 2449 "convert.c"
      case 28: // $bb25
        var $78=HEAP[$image_addr]; //@line 2449 "convert.c"
        var $79=CHECK_OVERFLOW(($78+24)&4294967295, 32); //@line 2449 "convert.c"
        var $80=HEAP[$79]; //@line 2449 "convert.c"
        var $81=CHECK_OVERFLOW(($80+48)&4294967295, 32); //@line 2449 "convert.c"
        var $82=CHECK_OVERFLOW(($81)&4294967295, 32); //@line 2449 "convert.c"
        var $83=HEAP[$82]; //@line 2449 "convert.c"
        var $84=HEAP[$image_addr]; //@line 2449 "convert.c"
        var $85=CHECK_OVERFLOW(($84+24)&4294967295, 32); //@line 2449 "convert.c"
        var $86=HEAP[$85]; //@line 2449 "convert.c"
        var $87=CHECK_OVERFLOW(($86+96)&4294967295, 32); //@line 2449 "convert.c"
        var $88=CHECK_OVERFLOW(($87)&4294967295, 32); //@line 2449 "convert.c"
        var $89=HEAP[$88]; //@line 2449 "convert.c"
        var $90=($83)!=($89); //@line 2449 "convert.c"
        if ($90) { __label__ = 26; break; } else { __label__ = 29; break; } //@line 2449 "convert.c"
      case 29: // $bb26
        var $91=HEAP[$image_addr]; //@line 2449 "convert.c"
        var $92=CHECK_OVERFLOW(($91+24)&4294967295, 32); //@line 2449 "convert.c"
        var $93=HEAP[$92]; //@line 2449 "convert.c"
        var $94=CHECK_OVERFLOW(($93)&4294967295, 32); //@line 2449 "convert.c"
        var $95=CHECK_OVERFLOW(($94+4)&4294967295, 32); //@line 2449 "convert.c"
        var $96=HEAP[$95]; //@line 2449 "convert.c"
        var $97=HEAP[$image_addr]; //@line 2449 "convert.c"
        var $98=CHECK_OVERFLOW(($97+24)&4294967295, 32); //@line 2449 "convert.c"
        var $99=HEAP[$98]; //@line 2449 "convert.c"
        var $100=CHECK_OVERFLOW(($99+48)&4294967295, 32); //@line 2449 "convert.c"
        var $101=CHECK_OVERFLOW(($100+4)&4294967295, 32); //@line 2449 "convert.c"
        var $102=HEAP[$101]; //@line 2449 "convert.c"
        var $103=($96)!=($102); //@line 2449 "convert.c"
        if ($103) { __label__ = 26; break; } else { __label__ = 30; break; } //@line 2449 "convert.c"
      case 30: // $bb27
        var $104=HEAP[$image_addr]; //@line 2449 "convert.c"
        var $105=CHECK_OVERFLOW(($104+24)&4294967295, 32); //@line 2449 "convert.c"
        var $106=HEAP[$105]; //@line 2449 "convert.c"
        var $107=CHECK_OVERFLOW(($106+48)&4294967295, 32); //@line 2449 "convert.c"
        var $108=CHECK_OVERFLOW(($107+4)&4294967295, 32); //@line 2449 "convert.c"
        var $109=HEAP[$108]; //@line 2449 "convert.c"
        var $110=HEAP[$image_addr]; //@line 2449 "convert.c"
        var $111=CHECK_OVERFLOW(($110+24)&4294967295, 32); //@line 2449 "convert.c"
        var $112=HEAP[$111]; //@line 2449 "convert.c"
        var $113=CHECK_OVERFLOW(($112+96)&4294967295, 32); //@line 2449 "convert.c"
        var $114=CHECK_OVERFLOW(($113+4)&4294967295, 32); //@line 2449 "convert.c"
        var $115=HEAP[$114]; //@line 2449 "convert.c"
        var $116=($109)!=($115); //@line 2449 "convert.c"
        if ($116) { __label__ = 26; break; } else { __label__ = 31; break; } //@line 2449 "convert.c"
      case 31: // $bb28
        var $117=HEAP[$image_addr]; //@line 2449 "convert.c"
        var $118=CHECK_OVERFLOW(($117+24)&4294967295, 32); //@line 2449 "convert.c"
        var $119=HEAP[$118]; //@line 2449 "convert.c"
        var $120=CHECK_OVERFLOW(($119)&4294967295, 32); //@line 2449 "convert.c"
        var $121=CHECK_OVERFLOW(($120+24)&4294967295, 32); //@line 2449 "convert.c"
        var $122=HEAP[$121]; //@line 2449 "convert.c"
        var $123=HEAP[$image_addr]; //@line 2449 "convert.c"
        var $124=CHECK_OVERFLOW(($123+24)&4294967295, 32); //@line 2449 "convert.c"
        var $125=HEAP[$124]; //@line 2449 "convert.c"
        var $126=CHECK_OVERFLOW(($125+48)&4294967295, 32); //@line 2449 "convert.c"
        var $127=CHECK_OVERFLOW(($126+24)&4294967295, 32); //@line 2449 "convert.c"
        var $128=HEAP[$127]; //@line 2449 "convert.c"
        var $129=($122)!=($128); //@line 2449 "convert.c"
        if ($129) { __label__ = 26; break; } else { __label__ = 32; break; } //@line 2449 "convert.c"
      case 32: // $bb29
        var $130=HEAP[$image_addr]; //@line 2449 "convert.c"
        var $131=CHECK_OVERFLOW(($130+24)&4294967295, 32); //@line 2449 "convert.c"
        var $132=HEAP[$131]; //@line 2449 "convert.c"
        var $133=CHECK_OVERFLOW(($132+48)&4294967295, 32); //@line 2449 "convert.c"
        var $134=CHECK_OVERFLOW(($133+24)&4294967295, 32); //@line 2449 "convert.c"
        var $135=HEAP[$134]; //@line 2449 "convert.c"
        var $136=HEAP[$image_addr]; //@line 2449 "convert.c"
        var $137=CHECK_OVERFLOW(($136+24)&4294967295, 32); //@line 2449 "convert.c"
        var $138=HEAP[$137]; //@line 2449 "convert.c"
        var $139=CHECK_OVERFLOW(($138+96)&4294967295, 32); //@line 2449 "convert.c"
        var $140=CHECK_OVERFLOW(($139+24)&4294967295, 32); //@line 2449 "convert.c"
        var $141=HEAP[$140]; //@line 2449 "convert.c"
        var $142=($135)!=($141); //@line 2449 "convert.c"
        if ($142) { __label__ = 26; break; } else { __label__ = 33; break; } //@line 2449 "convert.c"
      case 33: // $bb30
        var $143=HEAP[$nr_comp]; //@line 2459 "convert.c"
        var $144=($143) > 3; //@line 2459 "convert.c"
        var $145=($144); //@line 2459 "convert.c"
        HEAP[$has_alpha]=$145; //@line 2459 "convert.c"
        var $146=HEAP[$prec]; //@line 2461 "convert.c"
        var $147=($146)==16; //@line 2461 "convert.c"
        var $148=($147); //@line 2461 "convert.c"
        HEAP[$is16]=$148; //@line 2461 "convert.c"
        var $149=HEAP[$image_addr]; //@line 2463 "convert.c"
        var $150=CHECK_OVERFLOW(($149+24)&4294967295, 32); //@line 2463 "convert.c"
        var $151=HEAP[$150]; //@line 2463 "convert.c"
        var $152=CHECK_OVERFLOW(($151)&4294967295, 32); //@line 2463 "convert.c"
        var $153=CHECK_OVERFLOW(($152+8)&4294967295, 32); //@line 2463 "convert.c"
        var $154=HEAP[$153]; //@line 2463 "convert.c"
        HEAP[$width]=$154; //@line 2463 "convert.c"
        var $155=HEAP[$image_addr]; //@line 2464 "convert.c"
        var $156=CHECK_OVERFLOW(($155+24)&4294967295, 32); //@line 2464 "convert.c"
        var $157=HEAP[$156]; //@line 2464 "convert.c"
        var $158=CHECK_OVERFLOW(($157)&4294967295, 32); //@line 2464 "convert.c"
        var $159=CHECK_OVERFLOW(($158+12)&4294967295, 32); //@line 2464 "convert.c"
        var $160=HEAP[$159]; //@line 2464 "convert.c"
        HEAP[$height]=$160; //@line 2464 "convert.c"
        var $161=HEAP[$image_addr]; //@line 2466 "convert.c"
        var $162=CHECK_OVERFLOW(($161+24)&4294967295, 32); //@line 2466 "convert.c"
        var $163=HEAP[$162]; //@line 2466 "convert.c"
        var $164=CHECK_OVERFLOW(($163)&4294967295, 32); //@line 2466 "convert.c"
        var $165=CHECK_OVERFLOW(($164+44)&4294967295, 32); //@line 2466 "convert.c"
        var $166=HEAP[$165]; //@line 2466 "convert.c"
        HEAP[$red]=$166; //@line 2466 "convert.c"
        var $167=HEAP[$image_addr]; //@line 2467 "convert.c"
        var $168=CHECK_OVERFLOW(($167+24)&4294967295, 32); //@line 2467 "convert.c"
        var $169=HEAP[$168]; //@line 2467 "convert.c"
        var $170=CHECK_OVERFLOW(($169+48)&4294967295, 32); //@line 2467 "convert.c"
        var $171=CHECK_OVERFLOW(($170+44)&4294967295, 32); //@line 2467 "convert.c"
        var $172=HEAP[$171]; //@line 2467 "convert.c"
        HEAP[$green]=$172; //@line 2467 "convert.c"
        var $173=HEAP[$image_addr]; //@line 2468 "convert.c"
        var $174=CHECK_OVERFLOW(($173+24)&4294967295, 32); //@line 2468 "convert.c"
        var $175=HEAP[$174]; //@line 2468 "convert.c"
        var $176=CHECK_OVERFLOW(($175+96)&4294967295, 32); //@line 2468 "convert.c"
        var $177=CHECK_OVERFLOW(($176+44)&4294967295, 32); //@line 2468 "convert.c"
        var $178=HEAP[$177]; //@line 2468 "convert.c"
        HEAP[$blue]=$178; //@line 2468 "convert.c"
        var $179=HEAP[$prec]; //@line 2470 "convert.c"
        var $180=((($179)) & 255); //@line 2470 "convert.c"
        var $181=CHECK_OVERFLOW(($sig_bit+2)&4294967295, 32); //@line 2470 "convert.c"
        HEAP[$181]=$180; //@line 2470 "convert.c"
        var $182=CHECK_OVERFLOW(($sig_bit+2)&4294967295, 32); //@line 2470 "convert.c"
        var $183=HEAP[$182]; //@line 2470 "convert.c"
        var $184=CHECK_OVERFLOW(($sig_bit+1)&4294967295, 32); //@line 2470 "convert.c"
        HEAP[$184]=$183; //@line 2470 "convert.c"
        var $185=CHECK_OVERFLOW(($sig_bit+1)&4294967295, 32); //@line 2470 "convert.c"
        var $186=HEAP[$185]; //@line 2470 "convert.c"
        var $187=CHECK_OVERFLOW(($sig_bit)&4294967295, 32); //@line 2470 "convert.c"
        HEAP[$187]=$186; //@line 2470 "convert.c"
        var $188=HEAP[$has_alpha]; //@line 2472 "convert.c"
        var $189=($188)!=0; //@line 2472 "convert.c"
        if ($189) { __label__ = 34; break; } else { __label__ = 35; break; } //@line 2472 "convert.c"
      case 34: // $bb31
        var $190=HEAP[$prec]; //@line 2474 "convert.c"
        var $191=((($190)) & 255); //@line 2474 "convert.c"
        var $192=CHECK_OVERFLOW(($sig_bit+4)&4294967295, 32); //@line 2474 "convert.c"
        HEAP[$192]=$191; //@line 2474 "convert.c"
        var $193=HEAP[$image_addr]; //@line 2475 "convert.c"
        var $194=CHECK_OVERFLOW(($193+24)&4294967295, 32); //@line 2475 "convert.c"
        var $195=HEAP[$194]; //@line 2475 "convert.c"
        var $196=CHECK_OVERFLOW(($195+144)&4294967295, 32); //@line 2475 "convert.c"
        var $197=CHECK_OVERFLOW(($196+44)&4294967295, 32); //@line 2475 "convert.c"
        var $198=HEAP[$197]; //@line 2475 "convert.c"
        HEAP[$alpha]=$198; //@line 2475 "convert.c"
        HEAP[$color_type]=6; //@line 2476 "convert.c"
        __label__ = 36; break; //@line 2476 "convert.c"
      case 35: // $bb32
        var $199=CHECK_OVERFLOW(($sig_bit+4)&4294967295, 32); //@line 2480 "convert.c"
        HEAP[$199]=0; //@line 2480 "convert.c"
        HEAP[$alpha]=0; //@line 2480 "convert.c"
        HEAP[$color_type]=2; //@line 2481 "convert.c"
        __label__ = 36; break; //@line 2481 "convert.c"
      case 36: // $bb33
        var $200=HEAP[$info]; //@line 2483 "convert.c"
        var $201=HEAP[$png]; //@line 2483 "convert.c"
        _png_set_sBIT($201, $200, $sig_bit); //@line 2483 "convert.c"
        var $202=HEAP[$height]; //@line 2485 "convert.c"
        var $203=HEAP[$width]; //@line 2485 "convert.c"
        var $204=HEAP[$info]; //@line 2485 "convert.c"
        var $205=HEAP[$png]; //@line 2485 "convert.c"
        var $206=HEAP[$prec]; //@line 2485 "convert.c"
        var $207=HEAP[$color_type]; //@line 2485 "convert.c"
        _png_set_IHDR($205, $204, $203, $202, $206, $207, 0, 0, 0); //@line 2485 "convert.c"
        var $208=HEAP[$info]; //@line 2491 "convert.c"
        var $209=HEAP[$png]; //@line 2491 "convert.c"
        _png_write_info($209, $208); //@line 2491 "convert.c"
        var $210=HEAP[$opj_prec]; //@line 2493 "convert.c"
        var $211=($210) <= 7; //@line 2493 "convert.c"
        if ($211) { __label__ = 37; break; } else { __label__ = 38; break; } //@line 2493 "convert.c"
      case 37: // $bb34
        var $212=HEAP[$png]; //@line 2495 "convert.c"
        _png_set_packing($212); //@line 2495 "convert.c"
        __label__ = 38; break; //@line 2495 "convert.c"
      case 38: // $bb35
        var $213=HEAP[$force16]; //@line 2497 "convert.c"
        var $214=($213)!=0; //@line 2497 "convert.c"
        if ($214) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 2497 "convert.c"
      case 39: // $bb36
        var $215=HEAP[$opj_prec]; //@line 2499 "convert.c"
        var $216=CHECK_OVERFLOW((16 - ($215))&4294967295, 32); //@line 2499 "convert.c"
        HEAP[$ushift]=$216; //@line 2499 "convert.c"
        var $217=HEAP[$opj_prec]; //@line 2499 "convert.c"
        var $218=HEAP[$ushift]; //@line 2499 "convert.c"
        var $219=CHECK_OVERFLOW((($217) - ($218))&4294967295, 32); //@line 2499 "convert.c"
        HEAP[$dshift]=$219; //@line 2499 "convert.c"
        __label__ = 40; break; //@line 2499 "convert.c"
      case 40: // $bb37
        var $220=HEAP[$image_addr]; //@line 2501 "convert.c"
        var $221=CHECK_OVERFLOW(($220+24)&4294967295, 32); //@line 2501 "convert.c"
        var $222=HEAP[$221]; //@line 2501 "convert.c"
        var $223=CHECK_OVERFLOW(($222)&4294967295, 32); //@line 2501 "convert.c"
        var $224=CHECK_OVERFLOW(($223+32)&4294967295, 32); //@line 2501 "convert.c"
        var $225=HEAP[$224]; //@line 2501 "convert.c"
        var $226=($225)!=0; //@line 2501 "convert.c"
        if ($226) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 2501 "convert.c"
      case 41: // $bb38
        var $227=HEAP[$image_addr]; //@line 2501 "convert.c"
        var $228=CHECK_OVERFLOW(($227+24)&4294967295, 32); //@line 2501 "convert.c"
        var $229=HEAP[$228]; //@line 2501 "convert.c"
        var $230=CHECK_OVERFLOW(($229)&4294967295, 32); //@line 2501 "convert.c"
        var $231=CHECK_OVERFLOW(($230+24)&4294967295, 32); //@line 2501 "convert.c"
        var $232=HEAP[$231]; //@line 2501 "convert.c"
        var $233=CHECK_OVERFLOW((($232) - 1)&4294967295, 32); //@line 2501 "convert.c"
        var $234=1 << ($233); //@line 2501 "convert.c"
        HEAP[$iftmp_304]=$234; //@line 2501 "convert.c"
        __label__ = 43; break; //@line 2501 "convert.c"
      case 42: // $bb39
        HEAP[$iftmp_304]=0; //@line 2501 "convert.c"
        __label__ = 43; break; //@line 2501 "convert.c"
      case 43: // $bb40
        var $235=HEAP[$iftmp_304]; //@line 2501 "convert.c"
        HEAP[$adjustR]=$235; //@line 2501 "convert.c"
        var $236=HEAP[$image_addr]; //@line 2502 "convert.c"
        var $237=CHECK_OVERFLOW(($236+24)&4294967295, 32); //@line 2502 "convert.c"
        var $238=HEAP[$237]; //@line 2502 "convert.c"
        var $239=CHECK_OVERFLOW(($238+48)&4294967295, 32); //@line 2502 "convert.c"
        var $240=CHECK_OVERFLOW(($239+32)&4294967295, 32); //@line 2502 "convert.c"
        var $241=HEAP[$240]; //@line 2502 "convert.c"
        var $242=($241)!=0; //@line 2502 "convert.c"
        if ($242) { __label__ = 44; break; } else { __label__ = 45; break; } //@line 2502 "convert.c"
      case 44: // $bb41
        var $243=HEAP[$image_addr]; //@line 2502 "convert.c"
        var $244=CHECK_OVERFLOW(($243+24)&4294967295, 32); //@line 2502 "convert.c"
        var $245=HEAP[$244]; //@line 2502 "convert.c"
        var $246=CHECK_OVERFLOW(($245+48)&4294967295, 32); //@line 2502 "convert.c"
        var $247=CHECK_OVERFLOW(($246+24)&4294967295, 32); //@line 2502 "convert.c"
        var $248=HEAP[$247]; //@line 2502 "convert.c"
        var $249=CHECK_OVERFLOW((($248) - 1)&4294967295, 32); //@line 2502 "convert.c"
        var $250=1 << ($249); //@line 2502 "convert.c"
        HEAP[$iftmp_305]=$250; //@line 2502 "convert.c"
        __label__ = 46; break; //@line 2502 "convert.c"
      case 45: // $bb42
        HEAP[$iftmp_305]=0; //@line 2502 "convert.c"
        __label__ = 46; break; //@line 2502 "convert.c"
      case 46: // $bb43
        var $251=HEAP[$iftmp_305]; //@line 2502 "convert.c"
        HEAP[$adjustG]=$251; //@line 2502 "convert.c"
        var $252=HEAP[$image_addr]; //@line 2503 "convert.c"
        var $253=CHECK_OVERFLOW(($252+24)&4294967295, 32); //@line 2503 "convert.c"
        var $254=HEAP[$253]; //@line 2503 "convert.c"
        var $255=CHECK_OVERFLOW(($254+96)&4294967295, 32); //@line 2503 "convert.c"
        var $256=CHECK_OVERFLOW(($255+32)&4294967295, 32); //@line 2503 "convert.c"
        var $257=HEAP[$256]; //@line 2503 "convert.c"
        var $258=($257)!=0; //@line 2503 "convert.c"
        if ($258) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 2503 "convert.c"
      case 47: // $bb44
        var $259=HEAP[$image_addr]; //@line 2503 "convert.c"
        var $260=CHECK_OVERFLOW(($259+24)&4294967295, 32); //@line 2503 "convert.c"
        var $261=HEAP[$260]; //@line 2503 "convert.c"
        var $262=CHECK_OVERFLOW(($261+96)&4294967295, 32); //@line 2503 "convert.c"
        var $263=CHECK_OVERFLOW(($262+24)&4294967295, 32); //@line 2503 "convert.c"
        var $264=HEAP[$263]; //@line 2503 "convert.c"
        var $265=CHECK_OVERFLOW((($264) - 1)&4294967295, 32); //@line 2503 "convert.c"
        var $266=1 << ($265); //@line 2503 "convert.c"
        HEAP[$iftmp_306]=$266; //@line 2503 "convert.c"
        __label__ = 49; break; //@line 2503 "convert.c"
      case 48: // $bb45
        HEAP[$iftmp_306]=0; //@line 2503 "convert.c"
        __label__ = 49; break; //@line 2503 "convert.c"
      case 49: // $bb46
        var $267=HEAP[$iftmp_306]; //@line 2503 "convert.c"
        HEAP[$adjustB]=$267; //@line 2503 "convert.c"
        var $268=HEAP[$width]; //@line 2505 "convert.c"
        var $269=HEAP[$nr_comp]; //@line 2505 "convert.c"
        var $270=CHECK_OVERFLOW((($268) * ($269))&4294967295, 32); //@line 2505 "convert.c"
        var $271=CHECK_OVERFLOW((($270) * 2)&4294967295, 32); //@line 2505 "convert.c"
        var $272=_malloc($271); //@line 2505 "convert.c"
        HEAP[$row_buf]=$272; //@line 2505 "convert.c"
        HEAP[$y]=0; //@line 2507 "convert.c"
        __label__ = 50; break; //@line 2507 "convert.c"
      case 68: // $bb47
        var $273=HEAP[$row_buf]; //@line 2509 "convert.c"
        HEAP[$d]=$273; //@line 2509 "convert.c"
        HEAP[$x]=0; //@line 2511 "convert.c"
        __label__ = 51; break; //@line 2511 "convert.c"
      case 66: // $bb48
        var $274=HEAP[$is16]; //@line 2513 "convert.c"
        var $275=($274)!=0; //@line 2513 "convert.c"
        if ($275) { __label__ = 52; break; } else { __label__ = 53; break; } //@line 2513 "convert.c"
      case 52: // $bb49
        var $276=HEAP[$red]; //@line 2516 "convert.c"
        var $277=HEAP[$276]; //@line 2516 "convert.c"
        var $278=HEAP[$adjustR]; //@line 2516 "convert.c"
        var $279=CHECK_OVERFLOW((($277) + ($278))&4294967295, 32); //@line 2516 "convert.c"
        HEAP[$v]=$279; //@line 2516 "convert.c"
        var $280=HEAP[$red]; //@line 2516 "convert.c"
        var $281=CHECK_OVERFLOW(($280+4)&4294967295, 32); //@line 2516 "convert.c"
        HEAP[$red]=$281; //@line 2516 "convert.c"
        var $282=HEAP[$force16]; //@line 2518 "convert.c"
        var $283=($282)!=0; //@line 2518 "convert.c"
        if ($283) { __label__ = 54; break; } else { __label__ = 55; break; } //@line 2518 "convert.c"
      case 54: // $bb50
        var $284=HEAP[$v]; //@line 2518 "convert.c"
        var $285=HEAP[$ushift]; //@line 2518 "convert.c"
        var $286=($284) << ($285); //@line 2518 "convert.c"
        var $287=HEAP[$v]; //@line 2518 "convert.c"
        var $288=HEAP[$dshift]; //@line 2518 "convert.c"
        var $289=($287) >> ($288); //@line 2518 "convert.c"
        var $290=CHECK_OVERFLOW((($286) + ($289))&4294967295, 32); //@line 2518 "convert.c"
        HEAP[$v]=$290; //@line 2518 "convert.c"
        __label__ = 55; break; //@line 2518 "convert.c"
      case 55: // $bb51
        var $291=HEAP[$v]; //@line 2520 "convert.c"
        var $292=($291) >> 8; //@line 2520 "convert.c"
        var $293=((($292)) & 255); //@line 2520 "convert.c"
        var $294=HEAP[$d]; //@line 2520 "convert.c"
        HEAP[$294]=$293; //@line 2520 "convert.c"
        var $295=HEAP[$d]; //@line 2520 "convert.c"
        var $296=CHECK_OVERFLOW(($295+1)&4294967295, 32); //@line 2520 "convert.c"
        HEAP[$d]=$296; //@line 2520 "convert.c"
        var $297=HEAP[$v]; //@line 2520 "convert.c"
        var $298=((($297)) & 255); //@line 2520 "convert.c"
        var $299=HEAP[$d]; //@line 2520 "convert.c"
        HEAP[$299]=$298; //@line 2520 "convert.c"
        var $300=HEAP[$d]; //@line 2520 "convert.c"
        var $301=CHECK_OVERFLOW(($300+1)&4294967295, 32); //@line 2520 "convert.c"
        HEAP[$d]=$301; //@line 2520 "convert.c"
        var $302=HEAP[$green]; //@line 2522 "convert.c"
        var $303=HEAP[$302]; //@line 2522 "convert.c"
        var $304=HEAP[$adjustG]; //@line 2522 "convert.c"
        var $305=CHECK_OVERFLOW((($303) + ($304))&4294967295, 32); //@line 2522 "convert.c"
        HEAP[$v]=$305; //@line 2522 "convert.c"
        var $306=HEAP[$green]; //@line 2522 "convert.c"
        var $307=CHECK_OVERFLOW(($306+4)&4294967295, 32); //@line 2522 "convert.c"
        HEAP[$green]=$307; //@line 2522 "convert.c"
        var $308=HEAP[$force16]; //@line 2524 "convert.c"
        var $309=($308)!=0; //@line 2524 "convert.c"
        if ($309) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 2524 "convert.c"
      case 56: // $bb52
        var $310=HEAP[$v]; //@line 2524 "convert.c"
        var $311=HEAP[$ushift]; //@line 2524 "convert.c"
        var $312=($310) << ($311); //@line 2524 "convert.c"
        var $313=HEAP[$v]; //@line 2524 "convert.c"
        var $314=HEAP[$dshift]; //@line 2524 "convert.c"
        var $315=($313) >> ($314); //@line 2524 "convert.c"
        var $316=CHECK_OVERFLOW((($312) + ($315))&4294967295, 32); //@line 2524 "convert.c"
        HEAP[$v]=$316; //@line 2524 "convert.c"
        __label__ = 57; break; //@line 2524 "convert.c"
      case 57: // $bb53
        var $317=HEAP[$v]; //@line 2526 "convert.c"
        var $318=($317) >> 8; //@line 2526 "convert.c"
        var $319=((($318)) & 255); //@line 2526 "convert.c"
        var $320=HEAP[$d]; //@line 2526 "convert.c"
        HEAP[$320]=$319; //@line 2526 "convert.c"
        var $321=HEAP[$d]; //@line 2526 "convert.c"
        var $322=CHECK_OVERFLOW(($321+1)&4294967295, 32); //@line 2526 "convert.c"
        HEAP[$d]=$322; //@line 2526 "convert.c"
        var $323=HEAP[$v]; //@line 2526 "convert.c"
        var $324=((($323)) & 255); //@line 2526 "convert.c"
        var $325=HEAP[$d]; //@line 2526 "convert.c"
        HEAP[$325]=$324; //@line 2526 "convert.c"
        var $326=HEAP[$d]; //@line 2526 "convert.c"
        var $327=CHECK_OVERFLOW(($326+1)&4294967295, 32); //@line 2526 "convert.c"
        HEAP[$d]=$327; //@line 2526 "convert.c"
        var $328=HEAP[$blue]; //@line 2528 "convert.c"
        var $329=HEAP[$328]; //@line 2528 "convert.c"
        var $330=HEAP[$adjustB]; //@line 2528 "convert.c"
        var $331=CHECK_OVERFLOW((($329) + ($330))&4294967295, 32); //@line 2528 "convert.c"
        HEAP[$v]=$331; //@line 2528 "convert.c"
        var $332=HEAP[$blue]; //@line 2528 "convert.c"
        var $333=CHECK_OVERFLOW(($332+4)&4294967295, 32); //@line 2528 "convert.c"
        HEAP[$blue]=$333; //@line 2528 "convert.c"
        var $334=HEAP[$force16]; //@line 2530 "convert.c"
        var $335=($334)!=0; //@line 2530 "convert.c"
        if ($335) { __label__ = 58; break; } else { __label__ = 59; break; } //@line 2530 "convert.c"
      case 58: // $bb54
        var $336=HEAP[$v]; //@line 2530 "convert.c"
        var $337=HEAP[$ushift]; //@line 2530 "convert.c"
        var $338=($336) << ($337); //@line 2530 "convert.c"
        var $339=HEAP[$v]; //@line 2530 "convert.c"
        var $340=HEAP[$dshift]; //@line 2530 "convert.c"
        var $341=($339) >> ($340); //@line 2530 "convert.c"
        var $342=CHECK_OVERFLOW((($338) + ($341))&4294967295, 32); //@line 2530 "convert.c"
        HEAP[$v]=$342; //@line 2530 "convert.c"
        __label__ = 59; break; //@line 2530 "convert.c"
      case 59: // $bb55
        var $343=HEAP[$v]; //@line 2532 "convert.c"
        var $344=($343) >> 8; //@line 2532 "convert.c"
        var $345=((($344)) & 255); //@line 2532 "convert.c"
        var $346=HEAP[$d]; //@line 2532 "convert.c"
        HEAP[$346]=$345; //@line 2532 "convert.c"
        var $347=HEAP[$d]; //@line 2532 "convert.c"
        var $348=CHECK_OVERFLOW(($347+1)&4294967295, 32); //@line 2532 "convert.c"
        HEAP[$d]=$348; //@line 2532 "convert.c"
        var $349=HEAP[$v]; //@line 2532 "convert.c"
        var $350=((($349)) & 255); //@line 2532 "convert.c"
        var $351=HEAP[$d]; //@line 2532 "convert.c"
        HEAP[$351]=$350; //@line 2532 "convert.c"
        var $352=HEAP[$d]; //@line 2532 "convert.c"
        var $353=CHECK_OVERFLOW(($352+1)&4294967295, 32); //@line 2532 "convert.c"
        HEAP[$d]=$353; //@line 2532 "convert.c"
        var $354=HEAP[$has_alpha]; //@line 2534 "convert.c"
        var $355=($354)!=0; //@line 2534 "convert.c"
        if ($355) { __label__ = 60; break; } else { __label__ = 61; break; } //@line 2534 "convert.c"
      case 60: // $bb56
        var $356=HEAP[$alpha]; //@line 2536 "convert.c"
        var $357=HEAP[$356]; //@line 2536 "convert.c"
        HEAP[$v]=$357; //@line 2536 "convert.c"
        var $358=HEAP[$alpha]; //@line 2536 "convert.c"
        var $359=CHECK_OVERFLOW(($358+4)&4294967295, 32); //@line 2536 "convert.c"
        HEAP[$alpha]=$359; //@line 2536 "convert.c"
        var $360=HEAP[$force16]; //@line 2538 "convert.c"
        var $361=($360)!=0; //@line 2538 "convert.c"
        if ($361) { __label__ = 62; break; } else { __label__ = 63; break; } //@line 2538 "convert.c"
      case 62: // $bb57
        var $362=HEAP[$v]; //@line 2538 "convert.c"
        var $363=HEAP[$ushift]; //@line 2538 "convert.c"
        var $364=($362) << ($363); //@line 2538 "convert.c"
        var $365=HEAP[$v]; //@line 2538 "convert.c"
        var $366=HEAP[$dshift]; //@line 2538 "convert.c"
        var $367=($365) >> ($366); //@line 2538 "convert.c"
        var $368=CHECK_OVERFLOW((($364) + ($367))&4294967295, 32); //@line 2538 "convert.c"
        HEAP[$v]=$368; //@line 2538 "convert.c"
        __label__ = 63; break; //@line 2538 "convert.c"
      case 63: // $bb58
        var $369=HEAP[$v]; //@line 2540 "convert.c"
        var $370=($369) >> 8; //@line 2540 "convert.c"
        var $371=((($370)) & 255); //@line 2540 "convert.c"
        var $372=HEAP[$d]; //@line 2540 "convert.c"
        HEAP[$372]=$371; //@line 2540 "convert.c"
        var $373=HEAP[$d]; //@line 2540 "convert.c"
        var $374=CHECK_OVERFLOW(($373+1)&4294967295, 32); //@line 2540 "convert.c"
        HEAP[$d]=$374; //@line 2540 "convert.c"
        var $375=HEAP[$v]; //@line 2540 "convert.c"
        var $376=((($375)) & 255); //@line 2540 "convert.c"
        var $377=HEAP[$d]; //@line 2540 "convert.c"
        HEAP[$377]=$376; //@line 2540 "convert.c"
        var $378=HEAP[$d]; //@line 2540 "convert.c"
        var $379=CHECK_OVERFLOW(($378+1)&4294967295, 32); //@line 2540 "convert.c"
        HEAP[$d]=$379; //@line 2540 "convert.c"
        __label__ = 61; break; //@line 2540 "convert.c"
      case 61: // $bb59
        __label__ = 64; break; //@line 2540 "convert.c"
      case 53: // $bb60
        var $380=HEAP[$red]; //@line 2544 "convert.c"
        var $381=HEAP[$380]; //@line 2544 "convert.c"
        var $382=((($381)) & 255); //@line 2544 "convert.c"
        var $383=HEAP[$adjustR]; //@line 2544 "convert.c"
        var $384=((($383)) & 255); //@line 2544 "convert.c"
        var $385=CHECK_OVERFLOW((($382) + ($384))&255, 8); //@line 2544 "convert.c"
        var $386=HEAP[$mask]; //@line 2544 "convert.c"
        var $387=((($386)) & 255); //@line 2544 "convert.c"
        var $388=($385) & ($387); //@line 2544 "convert.c"
        var $389=HEAP[$d]; //@line 2544 "convert.c"
        HEAP[$389]=$388; //@line 2544 "convert.c"
        var $390=HEAP[$d]; //@line 2544 "convert.c"
        var $391=CHECK_OVERFLOW(($390+1)&4294967295, 32); //@line 2544 "convert.c"
        HEAP[$d]=$391; //@line 2544 "convert.c"
        var $392=HEAP[$red]; //@line 2544 "convert.c"
        var $393=CHECK_OVERFLOW(($392+4)&4294967295, 32); //@line 2544 "convert.c"
        HEAP[$red]=$393; //@line 2544 "convert.c"
        var $394=HEAP[$green]; //@line 2545 "convert.c"
        var $395=HEAP[$394]; //@line 2545 "convert.c"
        var $396=((($395)) & 255); //@line 2545 "convert.c"
        var $397=HEAP[$adjustG]; //@line 2545 "convert.c"
        var $398=((($397)) & 255); //@line 2545 "convert.c"
        var $399=CHECK_OVERFLOW((($396) + ($398))&255, 8); //@line 2545 "convert.c"
        var $400=HEAP[$mask]; //@line 2545 "convert.c"
        var $401=((($400)) & 255); //@line 2545 "convert.c"
        var $402=($399) & ($401); //@line 2545 "convert.c"
        var $403=HEAP[$d]; //@line 2545 "convert.c"
        HEAP[$403]=$402; //@line 2545 "convert.c"
        var $404=HEAP[$d]; //@line 2545 "convert.c"
        var $405=CHECK_OVERFLOW(($404+1)&4294967295, 32); //@line 2545 "convert.c"
        HEAP[$d]=$405; //@line 2545 "convert.c"
        var $406=HEAP[$green]; //@line 2545 "convert.c"
        var $407=CHECK_OVERFLOW(($406+4)&4294967295, 32); //@line 2545 "convert.c"
        HEAP[$green]=$407; //@line 2545 "convert.c"
        var $408=HEAP[$blue]; //@line 2546 "convert.c"
        var $409=HEAP[$408]; //@line 2546 "convert.c"
        var $410=((($409)) & 255); //@line 2546 "convert.c"
        var $411=HEAP[$adjustB]; //@line 2546 "convert.c"
        var $412=((($411)) & 255); //@line 2546 "convert.c"
        var $413=CHECK_OVERFLOW((($410) + ($412))&255, 8); //@line 2546 "convert.c"
        var $414=HEAP[$mask]; //@line 2546 "convert.c"
        var $415=((($414)) & 255); //@line 2546 "convert.c"
        var $416=($413) & ($415); //@line 2546 "convert.c"
        var $417=HEAP[$d]; //@line 2546 "convert.c"
        HEAP[$417]=$416; //@line 2546 "convert.c"
        var $418=HEAP[$d]; //@line 2546 "convert.c"
        var $419=CHECK_OVERFLOW(($418+1)&4294967295, 32); //@line 2546 "convert.c"
        HEAP[$d]=$419; //@line 2546 "convert.c"
        var $420=HEAP[$blue]; //@line 2546 "convert.c"
        var $421=CHECK_OVERFLOW(($420+4)&4294967295, 32); //@line 2546 "convert.c"
        HEAP[$blue]=$421; //@line 2546 "convert.c"
        var $422=HEAP[$has_alpha]; //@line 2548 "convert.c"
        var $423=($422)!=0; //@line 2548 "convert.c"
        if ($423) { __label__ = 65; break; } else { __label__ = 64; break; } //@line 2548 "convert.c"
      case 65: // $bb61
        var $424=HEAP[$alpha]; //@line 2550 "convert.c"
        var $425=HEAP[$424]; //@line 2550 "convert.c"
        var $426=((($425)) & 255); //@line 2550 "convert.c"
        var $427=HEAP[$mask]; //@line 2550 "convert.c"
        var $428=((($427)) & 255); //@line 2550 "convert.c"
        var $429=($426) & ($428); //@line 2550 "convert.c"
        var $430=HEAP[$d]; //@line 2550 "convert.c"
        HEAP[$430]=$429; //@line 2550 "convert.c"
        var $431=HEAP[$d]; //@line 2550 "convert.c"
        var $432=CHECK_OVERFLOW(($431+1)&4294967295, 32); //@line 2550 "convert.c"
        HEAP[$d]=$432; //@line 2550 "convert.c"
        var $433=HEAP[$alpha]; //@line 2550 "convert.c"
        var $434=CHECK_OVERFLOW(($433+4)&4294967295, 32); //@line 2550 "convert.c"
        HEAP[$alpha]=$434; //@line 2550 "convert.c"
        __label__ = 64; break; //@line 2550 "convert.c"
      case 64: // $bb62
        var $435=HEAP[$x]; //@line 2511 "convert.c"
        var $436=CHECK_OVERFLOW((($435) + 1)&4294967295, 32); //@line 2511 "convert.c"
        HEAP[$x]=$436; //@line 2511 "convert.c"
        __label__ = 51; break; //@line 2511 "convert.c"
      case 51: // $bb63
        var $437=HEAP[$x]; //@line 2511 "convert.c"
        var $438=HEAP[$width]; //@line 2511 "convert.c"
        var $439=($437) < ($438); //@line 2511 "convert.c"
        if ($439) { __label__ = 66; break; } else { __label__ = 67; break; } //@line 2511 "convert.c"
      case 67: // $bb64
        var $440=HEAP[$png]; //@line 2554 "convert.c"
        var $441=HEAP[$row_buf]; //@line 2554 "convert.c"
        _png_write_row($440, $441); //@line 2554 "convert.c"
        var $442=HEAP[$y]; //@line 2507 "convert.c"
        var $443=CHECK_OVERFLOW((($442) + 1)&4294967295, 32); //@line 2507 "convert.c"
        HEAP[$y]=$443; //@line 2507 "convert.c"
        __label__ = 50; break; //@line 2507 "convert.c"
      case 50: // $bb65
        var $444=HEAP[$y]; //@line 2507 "convert.c"
        var $445=HEAP[$height]; //@line 2507 "convert.c"
        var $446=($444) < ($445); //@line 2507 "convert.c"
        if ($446) { __label__ = 68; break; } else { __label__ = 69; break; } //@line 2507 "convert.c"
      case 69: // $bb66
        var $447=HEAP[$row_buf]; //@line 2557 "convert.c"
        _free($447); //@line 2557 "convert.c"
        __label__ = 70; break; //@line 2557 "convert.c"
      case 26: // $bb67
        var $448=HEAP[$nr_comp]; //@line 2561 "convert.c"
        var $449=($448)==1; //@line 2561 "convert.c"
        if ($449) { __label__ = 71; break; } else { __label__ = 72; break; } //@line 2561 "convert.c"
      case 72: // $bb68
        var $450=HEAP[$nr_comp]; //@line 2561 "convert.c"
        var $451=($450)!=2; //@line 2561 "convert.c"
        if ($451) { __label__ = 73; break; } else { __label__ = 74; break; } //@line 2561 "convert.c"
      case 74: // $bb69
        var $452=HEAP[$image_addr]; //@line 2561 "convert.c"
        var $453=CHECK_OVERFLOW(($452+24)&4294967295, 32); //@line 2561 "convert.c"
        var $454=HEAP[$453]; //@line 2561 "convert.c"
        var $455=CHECK_OVERFLOW(($454)&4294967295, 32); //@line 2561 "convert.c"
        var $456=CHECK_OVERFLOW(($455)&4294967295, 32); //@line 2561 "convert.c"
        var $457=HEAP[$456]; //@line 2561 "convert.c"
        var $458=HEAP[$image_addr]; //@line 2561 "convert.c"
        var $459=CHECK_OVERFLOW(($458+24)&4294967295, 32); //@line 2561 "convert.c"
        var $460=HEAP[$459]; //@line 2561 "convert.c"
        var $461=CHECK_OVERFLOW(($460+48)&4294967295, 32); //@line 2561 "convert.c"
        var $462=CHECK_OVERFLOW(($461)&4294967295, 32); //@line 2561 "convert.c"
        var $463=HEAP[$462]; //@line 2561 "convert.c"
        var $464=($457)!=($463); //@line 2561 "convert.c"
        if ($464) { __label__ = 73; break; } else { __label__ = 75; break; } //@line 2561 "convert.c"
      case 75: // $bb70
        var $465=HEAP[$image_addr]; //@line 2561 "convert.c"
        var $466=CHECK_OVERFLOW(($465+24)&4294967295, 32); //@line 2561 "convert.c"
        var $467=HEAP[$466]; //@line 2561 "convert.c"
        var $468=CHECK_OVERFLOW(($467)&4294967295, 32); //@line 2561 "convert.c"
        var $469=CHECK_OVERFLOW(($468+4)&4294967295, 32); //@line 2561 "convert.c"
        var $470=HEAP[$469]; //@line 2561 "convert.c"
        var $471=HEAP[$image_addr]; //@line 2561 "convert.c"
        var $472=CHECK_OVERFLOW(($471+24)&4294967295, 32); //@line 2561 "convert.c"
        var $473=HEAP[$472]; //@line 2561 "convert.c"
        var $474=CHECK_OVERFLOW(($473+48)&4294967295, 32); //@line 2561 "convert.c"
        var $475=CHECK_OVERFLOW(($474+4)&4294967295, 32); //@line 2561 "convert.c"
        var $476=HEAP[$475]; //@line 2561 "convert.c"
        var $477=($470)!=($476); //@line 2561 "convert.c"
        if ($477) { __label__ = 73; break; } else { __label__ = 76; break; } //@line 2561 "convert.c"
      case 76: // $bb71
        var $478=HEAP[$image_addr]; //@line 2561 "convert.c"
        var $479=CHECK_OVERFLOW(($478+24)&4294967295, 32); //@line 2561 "convert.c"
        var $480=HEAP[$479]; //@line 2561 "convert.c"
        var $481=CHECK_OVERFLOW(($480)&4294967295, 32); //@line 2561 "convert.c"
        var $482=CHECK_OVERFLOW(($481+24)&4294967295, 32); //@line 2561 "convert.c"
        var $483=HEAP[$482]; //@line 2561 "convert.c"
        var $484=HEAP[$image_addr]; //@line 2561 "convert.c"
        var $485=CHECK_OVERFLOW(($484+24)&4294967295, 32); //@line 2561 "convert.c"
        var $486=HEAP[$485]; //@line 2561 "convert.c"
        var $487=CHECK_OVERFLOW(($486+48)&4294967295, 32); //@line 2561 "convert.c"
        var $488=CHECK_OVERFLOW(($487+24)&4294967295, 32); //@line 2561 "convert.c"
        var $489=HEAP[$488]; //@line 2561 "convert.c"
        var $490=($483)==($489); //@line 2561 "convert.c"
        if ($490) { __label__ = 71; break; } else { __label__ = 73; break; } //@line 2561 "convert.c"
      case 71: // $bb72
        var $491=HEAP[$image_addr]; //@line 2569 "convert.c"
        var $492=CHECK_OVERFLOW(($491+24)&4294967295, 32); //@line 2569 "convert.c"
        var $493=HEAP[$492]; //@line 2569 "convert.c"
        var $494=CHECK_OVERFLOW(($493)&4294967295, 32); //@line 2569 "convert.c"
        var $495=CHECK_OVERFLOW(($494+44)&4294967295, 32); //@line 2569 "convert.c"
        var $496=HEAP[$495]; //@line 2569 "convert.c"
        HEAP[$red]=$496; //@line 2569 "convert.c"
        var $497=HEAP[$force16]; //@line 2571 "convert.c"
        var $498=($497)!=0; //@line 2571 "convert.c"
        if ($498) { __label__ = 77; break; } else { __label__ = 78; break; } //@line 2571 "convert.c"
      case 77: // $bb74
        var $499=HEAP[$opj_prec]; //@line 2573 "convert.c"
        var $500=CHECK_OVERFLOW((16 - ($499))&4294967295, 32); //@line 2573 "convert.c"
        HEAP[$ushift]=$500; //@line 2573 "convert.c"
        var $501=HEAP[$opj_prec]; //@line 2573 "convert.c"
        var $502=HEAP[$ushift]; //@line 2573 "convert.c"
        var $503=CHECK_OVERFLOW((($501) - ($502))&4294967295, 32); //@line 2573 "convert.c"
        HEAP[$dshift]=$503; //@line 2573 "convert.c"
        __label__ = 78; break; //@line 2573 "convert.c"
      case 78: // $bb75
        var $504=HEAP[$prec]; //@line 2576 "convert.c"
        var $505=((($504)) & 255); //@line 2576 "convert.c"
        var $506=CHECK_OVERFLOW(($sig_bit+3)&4294967295, 32); //@line 2576 "convert.c"
        HEAP[$506]=$505; //@line 2576 "convert.c"
        var $507=CHECK_OVERFLOW(($sig_bit+4)&4294967295, 32); //@line 2577 "convert.c"
        HEAP[$507]=0; //@line 2577 "convert.c"
        var $508=CHECK_OVERFLOW(($sig_bit+4)&4294967295, 32); //@line 2577 "convert.c"
        var $509=HEAP[$508]; //@line 2577 "convert.c"
        var $510=CHECK_OVERFLOW(($sig_bit+2)&4294967295, 32); //@line 2577 "convert.c"
        HEAP[$510]=$509; //@line 2577 "convert.c"
        var $511=CHECK_OVERFLOW(($sig_bit+2)&4294967295, 32); //@line 2577 "convert.c"
        var $512=HEAP[$511]; //@line 2577 "convert.c"
        var $513=CHECK_OVERFLOW(($sig_bit+1)&4294967295, 32); //@line 2577 "convert.c"
        HEAP[$513]=$512; //@line 2577 "convert.c"
        var $514=CHECK_OVERFLOW(($sig_bit+1)&4294967295, 32); //@line 2577 "convert.c"
        var $515=HEAP[$514]; //@line 2577 "convert.c"
        var $516=CHECK_OVERFLOW(($sig_bit)&4294967295, 32); //@line 2577 "convert.c"
        HEAP[$516]=$515; //@line 2577 "convert.c"
        HEAP[$alpha]=0; //@line 2578 "convert.c"
        HEAP[$color_type]=0; //@line 2579 "convert.c"
        var $517=HEAP[$nr_comp]; //@line 2581 "convert.c"
        var $518=($517)==2; //@line 2581 "convert.c"
        if ($518) { __label__ = 79; break; } else { __label__ = 80; break; } //@line 2581 "convert.c"
      case 79: // $bb76
        HEAP[$has_alpha]=1; //@line 2583 "convert.c"
        var $519=HEAP[$prec]; //@line 2583 "convert.c"
        var $520=((($519)) & 255); //@line 2583 "convert.c"
        var $521=CHECK_OVERFLOW(($sig_bit+4)&4294967295, 32); //@line 2583 "convert.c"
        HEAP[$521]=$520; //@line 2583 "convert.c"
        var $522=HEAP[$image_addr]; //@line 2584 "convert.c"
        var $523=CHECK_OVERFLOW(($522+24)&4294967295, 32); //@line 2584 "convert.c"
        var $524=HEAP[$523]; //@line 2584 "convert.c"
        var $525=CHECK_OVERFLOW(($524+48)&4294967295, 32); //@line 2584 "convert.c"
        var $526=CHECK_OVERFLOW(($525+44)&4294967295, 32); //@line 2584 "convert.c"
        var $527=HEAP[$526]; //@line 2584 "convert.c"
        HEAP[$alpha]=$527; //@line 2584 "convert.c"
        HEAP[$color_type]=4; //@line 2585 "convert.c"
        __label__ = 80; break; //@line 2585 "convert.c"
      case 80: // $bb77
        var $528=HEAP[$image_addr]; //@line 2587 "convert.c"
        var $529=CHECK_OVERFLOW(($528+24)&4294967295, 32); //@line 2587 "convert.c"
        var $530=HEAP[$529]; //@line 2587 "convert.c"
        var $531=CHECK_OVERFLOW(($530)&4294967295, 32); //@line 2587 "convert.c"
        var $532=CHECK_OVERFLOW(($531+8)&4294967295, 32); //@line 2587 "convert.c"
        var $533=HEAP[$532]; //@line 2587 "convert.c"
        HEAP[$width]=$533; //@line 2587 "convert.c"
        var $534=HEAP[$image_addr]; //@line 2588 "convert.c"
        var $535=CHECK_OVERFLOW(($534+24)&4294967295, 32); //@line 2588 "convert.c"
        var $536=HEAP[$535]; //@line 2588 "convert.c"
        var $537=CHECK_OVERFLOW(($536)&4294967295, 32); //@line 2588 "convert.c"
        var $538=CHECK_OVERFLOW(($537+12)&4294967295, 32); //@line 2588 "convert.c"
        var $539=HEAP[$538]; //@line 2588 "convert.c"
        HEAP[$height]=$539; //@line 2588 "convert.c"
        var $540=CHECK_OVERFLOW(($sig_bit+3)&4294967295, 32); //@line 2590 "convert.c"
        var $541=HEAP[$540]; //@line 2590 "convert.c"
        var $542=($541); //@line 2590 "convert.c"
        var $543=HEAP[$height]; //@line 2590 "convert.c"
        var $544=HEAP[$width]; //@line 2590 "convert.c"
        var $545=HEAP[$info]; //@line 2590 "convert.c"
        var $546=HEAP[$png]; //@line 2590 "convert.c"
        var $547=HEAP[$color_type]; //@line 2590 "convert.c"
        _png_set_IHDR($546, $545, $544, $543, $542, $547, 0, 0, 0); //@line 2590 "convert.c"
        var $548=HEAP[$info]; //@line 2595 "convert.c"
        var $549=HEAP[$png]; //@line 2595 "convert.c"
        _png_set_sBIT($549, $548, $sig_bit); //@line 2595 "convert.c"
        var $550=HEAP[$info]; //@line 2597 "convert.c"
        var $551=HEAP[$png]; //@line 2597 "convert.c"
        _png_write_info($551, $550); //@line 2597 "convert.c"
        var $552=HEAP[$image_addr]; //@line 2599 "convert.c"
        var $553=CHECK_OVERFLOW(($552+24)&4294967295, 32); //@line 2599 "convert.c"
        var $554=HEAP[$553]; //@line 2599 "convert.c"
        var $555=CHECK_OVERFLOW(($554)&4294967295, 32); //@line 2599 "convert.c"
        var $556=CHECK_OVERFLOW(($555+32)&4294967295, 32); //@line 2599 "convert.c"
        var $557=HEAP[$556]; //@line 2599 "convert.c"
        var $558=($557)!=0; //@line 2599 "convert.c"
        if ($558) { __label__ = 81; break; } else { __label__ = 82; break; } //@line 2599 "convert.c"
      case 81: // $bb78
        var $559=HEAP[$image_addr]; //@line 2599 "convert.c"
        var $560=CHECK_OVERFLOW(($559+24)&4294967295, 32); //@line 2599 "convert.c"
        var $561=HEAP[$560]; //@line 2599 "convert.c"
        var $562=CHECK_OVERFLOW(($561)&4294967295, 32); //@line 2599 "convert.c"
        var $563=CHECK_OVERFLOW(($562+24)&4294967295, 32); //@line 2599 "convert.c"
        var $564=HEAP[$563]; //@line 2599 "convert.c"
        var $565=CHECK_OVERFLOW((($564) - 1)&4294967295, 32); //@line 2599 "convert.c"
        var $566=1 << ($565); //@line 2599 "convert.c"
        HEAP[$iftmp_316]=$566; //@line 2599 "convert.c"
        __label__ = 83; break; //@line 2599 "convert.c"
      case 82: // $bb79
        HEAP[$iftmp_316]=0; //@line 2599 "convert.c"
        __label__ = 83; break; //@line 2599 "convert.c"
      case 83: // $bb80
        var $567=HEAP[$iftmp_316]; //@line 2599 "convert.c"
        HEAP[$adjustR]=$567; //@line 2599 "convert.c"
        var $568=HEAP[$opj_prec]; //@line 2601 "convert.c"
        var $569=($568) <= 7; //@line 2601 "convert.c"
        if ($569) { __label__ = 84; break; } else { __label__ = 85; break; } //@line 2601 "convert.c"
      case 84: // $bb81
        var $570=HEAP[$png]; //@line 2603 "convert.c"
        _png_set_packing($570); //@line 2603 "convert.c"
        __label__ = 85; break; //@line 2603 "convert.c"
      case 85: // $bb82
        var $571=HEAP[$prec]; //@line 2606 "convert.c"
        var $572=($571) > 8; //@line 2606 "convert.c"
        if ($572) { __label__ = 86; break; } else { __label__ = 87; break; } //@line 2606 "convert.c"
      case 86: // $bb83
        var $573=HEAP[$width]; //@line 2611 "convert.c"
        var $574=HEAP[$nr_comp]; //@line 2611 "convert.c"
        var $575=CHECK_OVERFLOW((($573) * ($574))&4294967295, 32); //@line 2611 "convert.c"
        var $576=CHECK_OVERFLOW((($575) * 2)&4294967295, 32); //@line 2611 "convert.c"
        var $577=_malloc($576); //@line 2611 "convert.c"
        HEAP[$row_buf]=$577; //@line 2611 "convert.c"
        HEAP[$y]=0; //@line 2614 "convert.c"
        __label__ = 88; break; //@line 2614 "convert.c"
      case 98: // $bb84
        var $578=HEAP[$row_buf]; //@line 2616 "convert.c"
        HEAP[$d]=$578; //@line 2616 "convert.c"
        HEAP[$x]=0; //@line 2618 "convert.c"
        __label__ = 89; break; //@line 2618 "convert.c"
      case 96: // $bb85
        var $579=HEAP[$red]; //@line 2620 "convert.c"
        var $580=HEAP[$579]; //@line 2620 "convert.c"
        var $581=HEAP[$adjustR]; //@line 2620 "convert.c"
        var $582=CHECK_OVERFLOW((($580) + ($581))&4294967295, 32); //@line 2620 "convert.c"
        HEAP[$v73]=$582; //@line 2620 "convert.c"
        var $583=HEAP[$red]; //@line 2620 "convert.c"
        var $584=CHECK_OVERFLOW(($583+4)&4294967295, 32); //@line 2620 "convert.c"
        HEAP[$red]=$584; //@line 2620 "convert.c"
        var $585=HEAP[$force16]; //@line 2622 "convert.c"
        var $586=($585)!=0; //@line 2622 "convert.c"
        if ($586) { __label__ = 90; break; } else { __label__ = 91; break; } //@line 2622 "convert.c"
      case 90: // $bb86
        var $587=HEAP[$v73]; //@line 2622 "convert.c"
        var $588=HEAP[$ushift]; //@line 2622 "convert.c"
        var $589=($587) << ($588); //@line 2622 "convert.c"
        var $590=HEAP[$v73]; //@line 2622 "convert.c"
        var $591=HEAP[$dshift]; //@line 2622 "convert.c"
        var $592=($590) >> ($591); //@line 2622 "convert.c"
        var $593=CHECK_OVERFLOW((($589) + ($592))&4294967295, 32); //@line 2622 "convert.c"
        HEAP[$v73]=$593; //@line 2622 "convert.c"
        __label__ = 91; break; //@line 2622 "convert.c"
      case 91: // $bb87
        var $594=HEAP[$v73]; //@line 2624 "convert.c"
        var $595=($594) >> 8; //@line 2624 "convert.c"
        var $596=((($595)) & 255); //@line 2624 "convert.c"
        var $597=HEAP[$d]; //@line 2624 "convert.c"
        HEAP[$597]=$596; //@line 2624 "convert.c"
        var $598=HEAP[$d]; //@line 2624 "convert.c"
        var $599=CHECK_OVERFLOW(($598+1)&4294967295, 32); //@line 2624 "convert.c"
        HEAP[$d]=$599; //@line 2624 "convert.c"
        var $600=HEAP[$v73]; //@line 2624 "convert.c"
        var $601=((($600)) & 255); //@line 2624 "convert.c"
        var $602=HEAP[$d]; //@line 2624 "convert.c"
        HEAP[$602]=$601; //@line 2624 "convert.c"
        var $603=HEAP[$d]; //@line 2624 "convert.c"
        var $604=CHECK_OVERFLOW(($603+1)&4294967295, 32); //@line 2624 "convert.c"
        HEAP[$d]=$604; //@line 2624 "convert.c"
        var $605=HEAP[$has_alpha]; //@line 2626 "convert.c"
        var $606=($605)!=0; //@line 2626 "convert.c"
        if ($606) { __label__ = 92; break; } else { __label__ = 93; break; } //@line 2626 "convert.c"
      case 92: // $bb88
        var $607=HEAP[$alpha]; //@line 2628 "convert.c"
        var $608=HEAP[$607]; //@line 2628 "convert.c"
        HEAP[$v73]=$608; //@line 2628 "convert.c"
        var $609=HEAP[$alpha]; //@line 2628 "convert.c"
        var $610=CHECK_OVERFLOW(($609+4)&4294967295, 32); //@line 2628 "convert.c"
        HEAP[$alpha]=$610; //@line 2628 "convert.c"
        var $611=HEAP[$force16]; //@line 2630 "convert.c"
        var $612=($611)!=0; //@line 2630 "convert.c"
        if ($612) { __label__ = 94; break; } else { __label__ = 95; break; } //@line 2630 "convert.c"
      case 94: // $bb89
        var $613=HEAP[$v73]; //@line 2630 "convert.c"
        var $614=HEAP[$ushift]; //@line 2630 "convert.c"
        var $615=($613) << ($614); //@line 2630 "convert.c"
        var $616=HEAP[$v73]; //@line 2630 "convert.c"
        var $617=HEAP[$dshift]; //@line 2630 "convert.c"
        var $618=($616) >> ($617); //@line 2630 "convert.c"
        var $619=CHECK_OVERFLOW((($615) + ($618))&4294967295, 32); //@line 2630 "convert.c"
        HEAP[$v73]=$619; //@line 2630 "convert.c"
        __label__ = 95; break; //@line 2630 "convert.c"
      case 95: // $bb90
        var $620=HEAP[$v73]; //@line 2632 "convert.c"
        var $621=($620) >> 8; //@line 2632 "convert.c"
        var $622=((($621)) & 255); //@line 2632 "convert.c"
        var $623=HEAP[$d]; //@line 2632 "convert.c"
        HEAP[$623]=$622; //@line 2632 "convert.c"
        var $624=HEAP[$d]; //@line 2632 "convert.c"
        var $625=CHECK_OVERFLOW(($624+1)&4294967295, 32); //@line 2632 "convert.c"
        HEAP[$d]=$625; //@line 2632 "convert.c"
        var $626=HEAP[$v73]; //@line 2632 "convert.c"
        var $627=((($626)) & 255); //@line 2632 "convert.c"
        var $628=HEAP[$d]; //@line 2632 "convert.c"
        HEAP[$628]=$627; //@line 2632 "convert.c"
        var $629=HEAP[$d]; //@line 2632 "convert.c"
        var $630=CHECK_OVERFLOW(($629+1)&4294967295, 32); //@line 2632 "convert.c"
        HEAP[$d]=$630; //@line 2632 "convert.c"
        __label__ = 93; break; //@line 2632 "convert.c"
      case 93: // $bb91
        var $631=HEAP[$x]; //@line 2618 "convert.c"
        var $632=CHECK_OVERFLOW((($631) + 1)&4294967295, 32); //@line 2618 "convert.c"
        HEAP[$x]=$632; //@line 2618 "convert.c"
        __label__ = 89; break; //@line 2618 "convert.c"
      case 89: // $bb92
        var $633=HEAP[$x]; //@line 2618 "convert.c"
        var $634=HEAP[$width]; //@line 2618 "convert.c"
        var $635=($633) < ($634); //@line 2618 "convert.c"
        if ($635) { __label__ = 96; break; } else { __label__ = 97; break; } //@line 2618 "convert.c"
      case 97: // $bb93
        var $636=HEAP[$png]; //@line 2635 "convert.c"
        var $637=HEAP[$row_buf]; //@line 2635 "convert.c"
        _png_write_row($636, $637); //@line 2635 "convert.c"
        var $638=HEAP[$y]; //@line 2614 "convert.c"
        var $639=CHECK_OVERFLOW((($638) + 1)&4294967295, 32); //@line 2614 "convert.c"
        HEAP[$y]=$639; //@line 2614 "convert.c"
        __label__ = 88; break; //@line 2614 "convert.c"
      case 88: // $bb94
        var $640=HEAP[$y]; //@line 2614 "convert.c"
        var $641=HEAP[$height]; //@line 2614 "convert.c"
        var $642=($640) < ($641); //@line 2614 "convert.c"
        if ($642) { __label__ = 98; break; } else { __label__ = 99; break; } //@line 2614 "convert.c"
      case 99: // $bb95
        var $643=HEAP[$row_buf]; //@line 2638 "convert.c"
        _free($643); //@line 2638 "convert.c"
        __label__ = 100; break; //@line 2638 "convert.c"
      case 87: // $bb96
        var $644=HEAP[$nr_comp]; //@line 2642 "convert.c"
        var $645=CHECK_OVERFLOW((($644) * 2)&4294967295, 32); //@line 2642 "convert.c"
        var $646=HEAP[$width]; //@line 2642 "convert.c"
        var $647=_calloc($646, $645); //@line 2642 "convert.c"
        HEAP[$row_buf]=$647; //@line 2642 "convert.c"
        HEAP[$y]=0; //@line 2644 "convert.c"
        __label__ = 101; break; //@line 2644 "convert.c"
      case 107: // $bb97
        var $648=HEAP[$row_buf]; //@line 2646 "convert.c"
        HEAP[$d]=$648; //@line 2646 "convert.c"
        HEAP[$x]=0; //@line 2648 "convert.c"
        __label__ = 102; break; //@line 2648 "convert.c"
      case 105: // $bb98
        var $649=HEAP[$red]; //@line 2650 "convert.c"
        var $650=HEAP[$649]; //@line 2650 "convert.c"
        var $651=((($650)) & 255); //@line 2650 "convert.c"
        var $652=HEAP[$adjustR]; //@line 2650 "convert.c"
        var $653=((($652)) & 255); //@line 2650 "convert.c"
        var $654=CHECK_OVERFLOW((($651) + ($653))&255, 8); //@line 2650 "convert.c"
        var $655=HEAP[$mask]; //@line 2650 "convert.c"
        var $656=((($655)) & 255); //@line 2650 "convert.c"
        var $657=($654) & ($656); //@line 2650 "convert.c"
        var $658=HEAP[$d]; //@line 2650 "convert.c"
        HEAP[$658]=$657; //@line 2650 "convert.c"
        var $659=HEAP[$d]; //@line 2650 "convert.c"
        var $660=CHECK_OVERFLOW(($659+1)&4294967295, 32); //@line 2650 "convert.c"
        HEAP[$d]=$660; //@line 2650 "convert.c"
        var $661=HEAP[$red]; //@line 2650 "convert.c"
        var $662=CHECK_OVERFLOW(($661+4)&4294967295, 32); //@line 2650 "convert.c"
        HEAP[$red]=$662; //@line 2650 "convert.c"
        var $663=HEAP[$has_alpha]; //@line 2652 "convert.c"
        var $664=($663)!=0; //@line 2652 "convert.c"
        if ($664) { __label__ = 103; break; } else { __label__ = 104; break; } //@line 2652 "convert.c"
      case 103: // $bb99
        var $665=HEAP[$alpha]; //@line 2654 "convert.c"
        var $666=HEAP[$665]; //@line 2654 "convert.c"
        var $667=((($666)) & 255); //@line 2654 "convert.c"
        var $668=HEAP[$mask]; //@line 2654 "convert.c"
        var $669=((($668)) & 255); //@line 2654 "convert.c"
        var $670=($667) & ($669); //@line 2654 "convert.c"
        var $671=HEAP[$d]; //@line 2654 "convert.c"
        HEAP[$671]=$670; //@line 2654 "convert.c"
        var $672=HEAP[$d]; //@line 2654 "convert.c"
        var $673=CHECK_OVERFLOW(($672+1)&4294967295, 32); //@line 2654 "convert.c"
        HEAP[$d]=$673; //@line 2654 "convert.c"
        var $674=HEAP[$alpha]; //@line 2654 "convert.c"
        var $675=CHECK_OVERFLOW(($674+4)&4294967295, 32); //@line 2654 "convert.c"
        HEAP[$alpha]=$675; //@line 2654 "convert.c"
        __label__ = 104; break; //@line 2654 "convert.c"
      case 104: // $bb100
        var $676=HEAP[$x]; //@line 2648 "convert.c"
        var $677=CHECK_OVERFLOW((($676) + 1)&4294967295, 32); //@line 2648 "convert.c"
        HEAP[$x]=$677; //@line 2648 "convert.c"
        __label__ = 102; break; //@line 2648 "convert.c"
      case 102: // $bb101
        var $678=HEAP[$x]; //@line 2648 "convert.c"
        var $679=HEAP[$width]; //@line 2648 "convert.c"
        var $680=($678) < ($679); //@line 2648 "convert.c"
        if ($680) { __label__ = 105; break; } else { __label__ = 106; break; } //@line 2648 "convert.c"
      case 106: // $bb102
        var $681=HEAP[$png]; //@line 2658 "convert.c"
        var $682=HEAP[$row_buf]; //@line 2658 "convert.c"
        _png_write_row($681, $682); //@line 2658 "convert.c"
        var $683=HEAP[$y]; //@line 2644 "convert.c"
        var $684=CHECK_OVERFLOW((($683) + 1)&4294967295, 32); //@line 2644 "convert.c"
        HEAP[$y]=$684; //@line 2644 "convert.c"
        __label__ = 101; break; //@line 2644 "convert.c"
      case 101: // $bb103
        var $685=HEAP[$y]; //@line 2644 "convert.c"
        var $686=HEAP[$height]; //@line 2644 "convert.c"
        var $687=($685) < ($686); //@line 2644 "convert.c"
        if ($687) { __label__ = 107; break; } else { __label__ = 108; break; } //@line 2644 "convert.c"
      case 108: // $bb104
        var $688=HEAP[$row_buf]; //@line 2661 "convert.c"
        _free($688); //@line 2661 "convert.c"
        __label__ = 100; break; //@line 2661 "convert.c"
      case 100: // $bb105
        __label__ = 70; break; //@line 2661 "convert.c"
      case 73: // $bb106
        var $689=HEAP[_stderr]; //@line 2666 "convert.c"
        var $690=HEAP[$write_idf_addr]; //@line 2666 "convert.c"
        var $691=_fprintf($689, CHECK_OVERFLOW((__str61146)&4294967295, 32), $690); //@line 2666 "convert.c"
        __label__ = 12; break; //@line 2666 "convert.c"
      case 70: // $bb107
        var $692=HEAP[$info]; //@line 2669 "convert.c"
        var $693=HEAP[$png]; //@line 2669 "convert.c"
        _png_write_end($693, $692); //@line 2669 "convert.c"
        HEAP[$fails]=0; //@line 2671 "convert.c"
        __label__ = 12; break; //@line 2673 "convert.c"
      case 12: // $fin
        var $694=HEAP[$png]; //@line 2675 "convert.c"
        var $695=($694)!=0; //@line 2675 "convert.c"
        if ($695) { __label__ = 109; break; } else { __label__ = 110; break; } //@line 2675 "convert.c"
      case 109: // $bb108
        _png_destroy_write_struct($png, $info); //@line 2677 "convert.c"
        __label__ = 110; break; //@line 2677 "convert.c"
      case 110: // $bb109
        var $696=HEAP[$writer]; //@line 2679 "convert.c"
        var $697=_fclose($696); //@line 2679 "convert.c"
        var $698=HEAP[$fails]; //@line 2681 "convert.c"
        var $699=($698)!=0; //@line 2681 "convert.c"
        if ($699) { __label__ = 111; break; } else { __label__ = 112; break; } //@line 2681 "convert.c"
      case 111: // $bb110
        var $700=HEAP[$write_idf_addr]; //@line 2681 "convert.c"
        var $701=_remove($700); //@line 2681 "convert.c"
        __label__ = 112; break; //@line 2681 "convert.c"
      case 112: // $bb111
        var $702=HEAP[$fails]; //@line 2683 "convert.c"
        HEAP[$0]=$702; //@line 2683 "convert.c"
        __label__ = 9; break; //@line 2683 "convert.c"
      case 9: // $bb112
        var $703=HEAP[$0]; //@line 2391 "convert.c"
        HEAP[$retval]=$703; //@line 2391 "convert.c"
        __label__ = 113; break; //@line 2391 "convert.c"
      case 113: // $return
        var $retval113=HEAP[$retval]; //@line 2391 "convert.c"
        STACKTOP = __stackBase__;
        return $retval113; //@line 2391 "convert.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _sycc_to_rgb($offset, $upb, $y, $cb, $cr, $out_r, $out_g, $out_b) {
    var __stackBase__  = STACKTOP; STACKTOP += 44; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 44);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $offset_addr=__stackBase__;
        var $upb_addr=__stackBase__+4;
        var $y_addr=__stackBase__+8;
        var $cb_addr=__stackBase__+12;
        var $cr_addr=__stackBase__+16;
        var $out_r_addr=__stackBase__+20;
        var $out_g_addr=__stackBase__+24;
        var $out_b_addr=__stackBase__+28;
        var $r=__stackBase__+32;
        var $g=__stackBase__+36;
        var $b=__stackBase__+40;
        var $_alloca_point_=0;
        HEAP[$offset_addr]=$offset;
        HEAP[$upb_addr]=$upb;
        HEAP[$y_addr]=$y;
        HEAP[$cb_addr]=$cb;
        HEAP[$cr_addr]=$cr;
        HEAP[$out_r_addr]=$out_r;
        HEAP[$out_g_addr]=$out_g;
        HEAP[$out_b_addr]=$out_b;
        var $0=HEAP[$cb_addr]; //@line 67 "color.c"
        var $1=HEAP[$offset_addr]; //@line 67 "color.c"
        var $2=CHECK_OVERFLOW((($0) - ($1))&4294967295, 32); //@line 67 "color.c"
        HEAP[$cb_addr]=$2; //@line 67 "color.c"
        var $3=HEAP[$cr_addr]; //@line 67 "color.c"
        var $4=HEAP[$offset_addr]; //@line 67 "color.c"
        var $5=CHECK_OVERFLOW((($3) - ($4))&4294967295, 32); //@line 67 "color.c"
        HEAP[$cr_addr]=$5; //@line 67 "color.c"
        var $6=HEAP[$cr_addr]; //@line 68 "color.c"
        var $7=($6); //@line 68 "color.c"
        var $8=($7); //@line 68 "color.c"
        var $9=($8) * 1.402; //@line 68 "color.c"
        var $10=(($9)|0); //@line 68 "color.c"
        var $11=HEAP[$y_addr]; //@line 68 "color.c"
        var $12=CHECK_OVERFLOW((($10) + ($11))&4294967295, 32); //@line 68 "color.c"
        HEAP[$r]=$12; //@line 68 "color.c"
        var $13=HEAP[$r]; //@line 69 "color.c"
        var $14=($13) < 0; //@line 69 "color.c"
        if ($14) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 69 "color.c"
      case 0: // $bb
        HEAP[$r]=0; //@line 69 "color.c"
        __label__ = 2; break; //@line 69 "color.c"
      case 1: // $bb1
        var $15=HEAP[$r]; //@line 69 "color.c"
        var $16=HEAP[$upb_addr]; //@line 69 "color.c"
        var $17=($15) > ($16); //@line 69 "color.c"
        if ($17) { __label__ = 3; break; } else { __label__ = 2; break; } //@line 69 "color.c"
      case 3: // $bb2
        var $18=HEAP[$upb_addr]; //@line 69 "color.c"
        HEAP[$r]=$18; //@line 69 "color.c"
        __label__ = 2; break; //@line 69 "color.c"
      case 2: // $bb3
        var $19=HEAP[$out_r_addr]; //@line 69 "color.c"
        var $20=HEAP[$r]; //@line 69 "color.c"
        HEAP[$19]=$20; //@line 69 "color.c"
        var $21=HEAP[$cb_addr]; //@line 71 "color.c"
        var $22=($21); //@line 71 "color.c"
        var $23=($22); //@line 71 "color.c"
        var $24=($23) * 0.344; //@line 71 "color.c"
        var $25=HEAP[$cr_addr]; //@line 71 "color.c"
        var $26=($25); //@line 71 "color.c"
        var $27=($26); //@line 71 "color.c"
        var $28=($27) * 0.714; //@line 71 "color.c"
        var $29=($24) + ($28); //@line 71 "color.c"
        var $30=(($29)|0); //@line 71 "color.c"
        var $31=HEAP[$y_addr]; //@line 71 "color.c"
        var $32=CHECK_OVERFLOW((($31) - ($30))&4294967295, 32); //@line 71 "color.c"
        HEAP[$g]=$32; //@line 71 "color.c"
        var $33=HEAP[$g]; //@line 72 "color.c"
        var $34=($33) < 0; //@line 72 "color.c"
        if ($34) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 72 "color.c"
      case 4: // $bb4
        HEAP[$g]=0; //@line 72 "color.c"
        __label__ = 6; break; //@line 72 "color.c"
      case 5: // $bb5
        var $35=HEAP[$g]; //@line 72 "color.c"
        var $36=HEAP[$upb_addr]; //@line 72 "color.c"
        var $37=($35) > ($36); //@line 72 "color.c"
        if ($37) { __label__ = 7; break; } else { __label__ = 6; break; } //@line 72 "color.c"
      case 7: // $bb6
        var $38=HEAP[$upb_addr]; //@line 72 "color.c"
        HEAP[$g]=$38; //@line 72 "color.c"
        __label__ = 6; break; //@line 72 "color.c"
      case 6: // $bb7
        var $39=HEAP[$out_g_addr]; //@line 72 "color.c"
        var $40=HEAP[$g]; //@line 72 "color.c"
        HEAP[$39]=$40; //@line 72 "color.c"
        var $41=HEAP[$cb_addr]; //@line 74 "color.c"
        var $42=($41); //@line 74 "color.c"
        var $43=($42); //@line 74 "color.c"
        var $44=($43) * 1.772; //@line 74 "color.c"
        var $45=(($44)|0); //@line 74 "color.c"
        var $46=HEAP[$y_addr]; //@line 74 "color.c"
        var $47=CHECK_OVERFLOW((($45) + ($46))&4294967295, 32); //@line 74 "color.c"
        HEAP[$b]=$47; //@line 74 "color.c"
        var $48=HEAP[$b]; //@line 75 "color.c"
        var $49=($48) < 0; //@line 75 "color.c"
        if ($49) { __label__ = 8; break; } else { __label__ = 9; break; } //@line 75 "color.c"
      case 8: // $bb8
        HEAP[$b]=0; //@line 75 "color.c"
        __label__ = 10; break; //@line 75 "color.c"
      case 9: // $bb9
        var $50=HEAP[$b]; //@line 75 "color.c"
        var $51=HEAP[$upb_addr]; //@line 75 "color.c"
        var $52=($50) > ($51); //@line 75 "color.c"
        if ($52) { __label__ = 11; break; } else { __label__ = 10; break; } //@line 75 "color.c"
      case 11: // $bb10
        var $53=HEAP[$upb_addr]; //@line 75 "color.c"
        HEAP[$b]=$53; //@line 75 "color.c"
        __label__ = 10; break; //@line 75 "color.c"
      case 10: // $bb11
        var $54=HEAP[$out_b_addr]; //@line 75 "color.c"
        var $55=HEAP[$b]; //@line 75 "color.c"
        HEAP[$54]=$55; //@line 75 "color.c"
        __label__ = 12; break; //@line 76 "color.c"
      case 12: // $return
        STACKTOP = __stackBase__;
        return; //@line 76 "color.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _sycc444_to_rgb($img) {
    var __stackBase__  = STACKTOP; STACKTOP += 64; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 64);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $img_addr=__stackBase__;
        var $d0=__stackBase__+4;
        var $d1=__stackBase__+8;
        var $d2=__stackBase__+12;
        var $r=__stackBase__+16;
        var $g=__stackBase__+20;
        var $b=__stackBase__+24;
        var $y=__stackBase__+28;
        var $cb=__stackBase__+32;
        var $cr=__stackBase__+36;
        var $maxw=__stackBase__+40;
        var $maxh=__stackBase__+44;
        var $max=__stackBase__+48;
        var $i=__stackBase__+52;
        var $offset=__stackBase__+56;
        var $upb=__stackBase__+60;
        var $_alloca_point_=0;
        HEAP[$img_addr]=$img;
        var $0=HEAP[$img_addr]; //@line 84 "color.c"
        var $1=CHECK_OVERFLOW(($0+24)&4294967295, 32); //@line 84 "color.c"
        var $2=HEAP[$1]; //@line 84 "color.c"
        var $3=CHECK_OVERFLOW(($2)&4294967295, 32); //@line 84 "color.c"
        var $4=CHECK_OVERFLOW(($3+24)&4294967295, 32); //@line 84 "color.c"
        var $5=HEAP[$4]; //@line 84 "color.c"
        HEAP[$i]=$5; //@line 84 "color.c"
        var $6=HEAP[$i]; //@line 85 "color.c"
        var $7=CHECK_OVERFLOW((($6) - 1)&4294967295, 32); //@line 85 "color.c"
        var $8=1 << ($7); //@line 85 "color.c"
        HEAP[$offset]=$8; //@line 85 "color.c"
        var $9=HEAP[$i]; //@line 85 "color.c"
        var $10=1 << ($9); //@line 85 "color.c"
        var $11=CHECK_OVERFLOW((($10) - 1)&4294967295, 32); //@line 85 "color.c"
        HEAP[$upb]=$11; //@line 85 "color.c"
        var $12=HEAP[$img_addr]; //@line 87 "color.c"
        var $13=CHECK_OVERFLOW(($12+24)&4294967295, 32); //@line 87 "color.c"
        var $14=HEAP[$13]; //@line 87 "color.c"
        var $15=CHECK_OVERFLOW(($14)&4294967295, 32); //@line 87 "color.c"
        var $16=CHECK_OVERFLOW(($15+8)&4294967295, 32); //@line 87 "color.c"
        var $17=HEAP[$16]; //@line 87 "color.c"
        HEAP[$maxw]=$17; //@line 87 "color.c"
        var $18=HEAP[$img_addr]; //@line 87 "color.c"
        var $19=CHECK_OVERFLOW(($18+24)&4294967295, 32); //@line 87 "color.c"
        var $20=HEAP[$19]; //@line 87 "color.c"
        var $21=CHECK_OVERFLOW(($20)&4294967295, 32); //@line 87 "color.c"
        var $22=CHECK_OVERFLOW(($21+12)&4294967295, 32); //@line 87 "color.c"
        var $23=HEAP[$22]; //@line 87 "color.c"
        HEAP[$maxh]=$23; //@line 87 "color.c"
        var $24=HEAP[$maxw]; //@line 88 "color.c"
        var $25=HEAP[$maxh]; //@line 88 "color.c"
        var $26=CHECK_OVERFLOW((($24) * ($25))&4294967295, 32); //@line 88 "color.c"
        HEAP[$max]=$26; //@line 88 "color.c"
        var $27=HEAP[$img_addr]; //@line 90 "color.c"
        var $28=CHECK_OVERFLOW(($27+24)&4294967295, 32); //@line 90 "color.c"
        var $29=HEAP[$28]; //@line 90 "color.c"
        var $30=CHECK_OVERFLOW(($29)&4294967295, 32); //@line 90 "color.c"
        var $31=CHECK_OVERFLOW(($30+44)&4294967295, 32); //@line 90 "color.c"
        var $32=HEAP[$31]; //@line 90 "color.c"
        HEAP[$y]=$32; //@line 90 "color.c"
        var $33=HEAP[$img_addr]; //@line 91 "color.c"
        var $34=CHECK_OVERFLOW(($33+24)&4294967295, 32); //@line 91 "color.c"
        var $35=HEAP[$34]; //@line 91 "color.c"
        var $36=CHECK_OVERFLOW(($35+48)&4294967295, 32); //@line 91 "color.c"
        var $37=CHECK_OVERFLOW(($36+44)&4294967295, 32); //@line 91 "color.c"
        var $38=HEAP[$37]; //@line 91 "color.c"
        HEAP[$cb]=$38; //@line 91 "color.c"
        var $39=HEAP[$img_addr]; //@line 92 "color.c"
        var $40=CHECK_OVERFLOW(($39+24)&4294967295, 32); //@line 92 "color.c"
        var $41=HEAP[$40]; //@line 92 "color.c"
        var $42=CHECK_OVERFLOW(($41+96)&4294967295, 32); //@line 92 "color.c"
        var $43=CHECK_OVERFLOW(($42+44)&4294967295, 32); //@line 92 "color.c"
        var $44=HEAP[$43]; //@line 92 "color.c"
        HEAP[$cr]=$44; //@line 92 "color.c"
        var $45=HEAP[$max]; //@line 94 "color.c"
        var $46=CHECK_OVERFLOW((($45) * 4)&4294967295, 32); //@line 94 "color.c"
        var $47=_malloc($46); //@line 94 "color.c"
        var $48=$47; //@line 94 "color.c"
        HEAP[$r]=$48; //@line 94 "color.c"
        var $49=HEAP[$r]; //@line 94 "color.c"
        HEAP[$d0]=$49; //@line 94 "color.c"
        var $50=HEAP[$max]; //@line 95 "color.c"
        var $51=CHECK_OVERFLOW((($50) * 4)&4294967295, 32); //@line 95 "color.c"
        var $52=_malloc($51); //@line 95 "color.c"
        var $53=$52; //@line 95 "color.c"
        HEAP[$g]=$53; //@line 95 "color.c"
        var $54=HEAP[$g]; //@line 95 "color.c"
        HEAP[$d1]=$54; //@line 95 "color.c"
        var $55=HEAP[$max]; //@line 96 "color.c"
        var $56=CHECK_OVERFLOW((($55) * 4)&4294967295, 32); //@line 96 "color.c"
        var $57=_malloc($56); //@line 96 "color.c"
        var $58=$57; //@line 96 "color.c"
        HEAP[$b]=$58; //@line 96 "color.c"
        var $59=HEAP[$b]; //@line 96 "color.c"
        HEAP[$d2]=$59; //@line 96 "color.c"
        HEAP[$i]=0; //@line 98 "color.c"
        __label__ = 0; break; //@line 98 "color.c"
      case 1: // $bb
        var $60=HEAP[$cr]; //@line 100 "color.c"
        var $61=HEAP[$60]; //@line 100 "color.c"
        var $62=HEAP[$cb]; //@line 100 "color.c"
        var $63=HEAP[$62]; //@line 100 "color.c"
        var $64=HEAP[$y]; //@line 100 "color.c"
        var $65=HEAP[$64]; //@line 100 "color.c"
        var $66=HEAP[$offset]; //@line 100 "color.c"
        var $67=HEAP[$upb]; //@line 100 "color.c"
        var $68=HEAP[$r]; //@line 100 "color.c"
        var $69=HEAP[$g]; //@line 100 "color.c"
        var $70=HEAP[$b]; //@line 100 "color.c"
        _sycc_to_rgb($66, $67, $65, $63, $61, $68, $69, $70); //@line 100 "color.c"
        var $71=HEAP[$y]; //@line 102 "color.c"
        var $72=CHECK_OVERFLOW(($71+4)&4294967295, 32); //@line 102 "color.c"
        HEAP[$y]=$72; //@line 102 "color.c"
        var $73=HEAP[$cb]; //@line 102 "color.c"
        var $74=CHECK_OVERFLOW(($73+4)&4294967295, 32); //@line 102 "color.c"
        HEAP[$cb]=$74; //@line 102 "color.c"
        var $75=HEAP[$cr]; //@line 102 "color.c"
        var $76=CHECK_OVERFLOW(($75+4)&4294967295, 32); //@line 102 "color.c"
        HEAP[$cr]=$76; //@line 102 "color.c"
        var $77=HEAP[$r]; //@line 102 "color.c"
        var $78=CHECK_OVERFLOW(($77+4)&4294967295, 32); //@line 102 "color.c"
        HEAP[$r]=$78; //@line 102 "color.c"
        var $79=HEAP[$g]; //@line 102 "color.c"
        var $80=CHECK_OVERFLOW(($79+4)&4294967295, 32); //@line 102 "color.c"
        HEAP[$g]=$80; //@line 102 "color.c"
        var $81=HEAP[$b]; //@line 102 "color.c"
        var $82=CHECK_OVERFLOW(($81+4)&4294967295, 32); //@line 102 "color.c"
        HEAP[$b]=$82; //@line 102 "color.c"
        var $83=HEAP[$i]; //@line 98 "color.c"
        var $84=CHECK_OVERFLOW((($83) + 1)&4294967295, 32); //@line 98 "color.c"
        HEAP[$i]=$84; //@line 98 "color.c"
        __label__ = 0; break; //@line 98 "color.c"
      case 0: // $bb1
        var $85=HEAP[$i]; //@line 98 "color.c"
        var $86=HEAP[$max]; //@line 98 "color.c"
        var $87=($85) < ($86); //@line 98 "color.c"
        if ($87) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 98 "color.c"
      case 2: // $bb2
        var $88=HEAP[$img_addr]; //@line 104 "color.c"
        var $89=CHECK_OVERFLOW(($88+24)&4294967295, 32); //@line 104 "color.c"
        var $90=HEAP[$89]; //@line 104 "color.c"
        var $91=CHECK_OVERFLOW(($90)&4294967295, 32); //@line 104 "color.c"
        var $92=CHECK_OVERFLOW(($91+44)&4294967295, 32); //@line 104 "color.c"
        var $93=HEAP[$92]; //@line 104 "color.c"
        var $94=$93; //@line 104 "color.c"
        _free($94); //@line 104 "color.c"
        var $95=HEAP[$img_addr]; //@line 104 "color.c"
        var $96=CHECK_OVERFLOW(($95+24)&4294967295, 32); //@line 104 "color.c"
        var $97=HEAP[$96]; //@line 104 "color.c"
        var $98=CHECK_OVERFLOW(($97)&4294967295, 32); //@line 104 "color.c"
        var $99=CHECK_OVERFLOW(($98+44)&4294967295, 32); //@line 104 "color.c"
        var $100=HEAP[$d0]; //@line 104 "color.c"
        HEAP[$99]=$100; //@line 104 "color.c"
        var $101=HEAP[$img_addr]; //@line 105 "color.c"
        var $102=CHECK_OVERFLOW(($101+24)&4294967295, 32); //@line 105 "color.c"
        var $103=HEAP[$102]; //@line 105 "color.c"
        var $104=CHECK_OVERFLOW(($103+48)&4294967295, 32); //@line 105 "color.c"
        var $105=CHECK_OVERFLOW(($104+44)&4294967295, 32); //@line 105 "color.c"
        var $106=HEAP[$105]; //@line 105 "color.c"
        var $107=$106; //@line 105 "color.c"
        _free($107); //@line 105 "color.c"
        var $108=HEAP[$img_addr]; //@line 105 "color.c"
        var $109=CHECK_OVERFLOW(($108+24)&4294967295, 32); //@line 105 "color.c"
        var $110=HEAP[$109]; //@line 105 "color.c"
        var $111=CHECK_OVERFLOW(($110+48)&4294967295, 32); //@line 105 "color.c"
        var $112=CHECK_OVERFLOW(($111+44)&4294967295, 32); //@line 105 "color.c"
        var $113=HEAP[$d1]; //@line 105 "color.c"
        HEAP[$112]=$113; //@line 105 "color.c"
        var $114=HEAP[$img_addr]; //@line 106 "color.c"
        var $115=CHECK_OVERFLOW(($114+24)&4294967295, 32); //@line 106 "color.c"
        var $116=HEAP[$115]; //@line 106 "color.c"
        var $117=CHECK_OVERFLOW(($116+96)&4294967295, 32); //@line 106 "color.c"
        var $118=CHECK_OVERFLOW(($117+44)&4294967295, 32); //@line 106 "color.c"
        var $119=HEAP[$118]; //@line 106 "color.c"
        var $120=$119; //@line 106 "color.c"
        _free($120); //@line 106 "color.c"
        var $121=HEAP[$img_addr]; //@line 106 "color.c"
        var $122=CHECK_OVERFLOW(($121+24)&4294967295, 32); //@line 106 "color.c"
        var $123=HEAP[$122]; //@line 106 "color.c"
        var $124=CHECK_OVERFLOW(($123+96)&4294967295, 32); //@line 106 "color.c"
        var $125=CHECK_OVERFLOW(($124+44)&4294967295, 32); //@line 106 "color.c"
        var $126=HEAP[$d2]; //@line 106 "color.c"
        HEAP[$125]=$126; //@line 106 "color.c"
        __label__ = 3; break; //@line 108 "color.c"
      case 3: // $return
        STACKTOP = __stackBase__;
        return; //@line 108 "color.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _sycc422_to_rgb($img) {
    var __stackBase__  = STACKTOP; STACKTOP += 68; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 68);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $img_addr=__stackBase__;
        var $d0=__stackBase__+4;
        var $d1=__stackBase__+8;
        var $d2=__stackBase__+12;
        var $r=__stackBase__+16;
        var $g=__stackBase__+20;
        var $b=__stackBase__+24;
        var $y=__stackBase__+28;
        var $cb=__stackBase__+32;
        var $cr=__stackBase__+36;
        var $maxw=__stackBase__+40;
        var $maxh=__stackBase__+44;
        var $max=__stackBase__+48;
        var $offset=__stackBase__+52;
        var $upb=__stackBase__+56;
        var $i=__stackBase__+60;
        var $j=__stackBase__+64;
        var $_alloca_point_=0;
        HEAP[$img_addr]=$img;
        var $0=HEAP[$img_addr]; //@line 117 "color.c"
        var $1=CHECK_OVERFLOW(($0+24)&4294967295, 32); //@line 117 "color.c"
        var $2=HEAP[$1]; //@line 117 "color.c"
        var $3=CHECK_OVERFLOW(($2)&4294967295, 32); //@line 117 "color.c"
        var $4=CHECK_OVERFLOW(($3+24)&4294967295, 32); //@line 117 "color.c"
        var $5=HEAP[$4]; //@line 117 "color.c"
        HEAP[$i]=$5; //@line 117 "color.c"
        var $6=HEAP[$i]; //@line 118 "color.c"
        var $7=CHECK_OVERFLOW((($6) - 1)&4294967295, 32); //@line 118 "color.c"
        var $8=1 << ($7); //@line 118 "color.c"
        HEAP[$offset]=$8; //@line 118 "color.c"
        var $9=HEAP[$i]; //@line 118 "color.c"
        var $10=1 << ($9); //@line 118 "color.c"
        var $11=CHECK_OVERFLOW((($10) - 1)&4294967295, 32); //@line 118 "color.c"
        HEAP[$upb]=$11; //@line 118 "color.c"
        var $12=HEAP[$img_addr]; //@line 120 "color.c"
        var $13=CHECK_OVERFLOW(($12+24)&4294967295, 32); //@line 120 "color.c"
        var $14=HEAP[$13]; //@line 120 "color.c"
        var $15=CHECK_OVERFLOW(($14)&4294967295, 32); //@line 120 "color.c"
        var $16=CHECK_OVERFLOW(($15+8)&4294967295, 32); //@line 120 "color.c"
        var $17=HEAP[$16]; //@line 120 "color.c"
        HEAP[$maxw]=$17; //@line 120 "color.c"
        var $18=HEAP[$img_addr]; //@line 120 "color.c"
        var $19=CHECK_OVERFLOW(($18+24)&4294967295, 32); //@line 120 "color.c"
        var $20=HEAP[$19]; //@line 120 "color.c"
        var $21=CHECK_OVERFLOW(($20)&4294967295, 32); //@line 120 "color.c"
        var $22=CHECK_OVERFLOW(($21+12)&4294967295, 32); //@line 120 "color.c"
        var $23=HEAP[$22]; //@line 120 "color.c"
        HEAP[$maxh]=$23; //@line 120 "color.c"
        var $24=HEAP[$maxw]; //@line 121 "color.c"
        var $25=HEAP[$maxh]; //@line 121 "color.c"
        var $26=CHECK_OVERFLOW((($24) * ($25))&4294967295, 32); //@line 121 "color.c"
        HEAP[$max]=$26; //@line 121 "color.c"
        var $27=HEAP[$img_addr]; //@line 123 "color.c"
        var $28=CHECK_OVERFLOW(($27+24)&4294967295, 32); //@line 123 "color.c"
        var $29=HEAP[$28]; //@line 123 "color.c"
        var $30=CHECK_OVERFLOW(($29)&4294967295, 32); //@line 123 "color.c"
        var $31=CHECK_OVERFLOW(($30+44)&4294967295, 32); //@line 123 "color.c"
        var $32=HEAP[$31]; //@line 123 "color.c"
        HEAP[$y]=$32; //@line 123 "color.c"
        var $33=HEAP[$img_addr]; //@line 124 "color.c"
        var $34=CHECK_OVERFLOW(($33+24)&4294967295, 32); //@line 124 "color.c"
        var $35=HEAP[$34]; //@line 124 "color.c"
        var $36=CHECK_OVERFLOW(($35+48)&4294967295, 32); //@line 124 "color.c"
        var $37=CHECK_OVERFLOW(($36+44)&4294967295, 32); //@line 124 "color.c"
        var $38=HEAP[$37]; //@line 124 "color.c"
        HEAP[$cb]=$38; //@line 124 "color.c"
        var $39=HEAP[$img_addr]; //@line 125 "color.c"
        var $40=CHECK_OVERFLOW(($39+24)&4294967295, 32); //@line 125 "color.c"
        var $41=HEAP[$40]; //@line 125 "color.c"
        var $42=CHECK_OVERFLOW(($41+96)&4294967295, 32); //@line 125 "color.c"
        var $43=CHECK_OVERFLOW(($42+44)&4294967295, 32); //@line 125 "color.c"
        var $44=HEAP[$43]; //@line 125 "color.c"
        HEAP[$cr]=$44; //@line 125 "color.c"
        var $45=HEAP[$max]; //@line 127 "color.c"
        var $46=CHECK_OVERFLOW((($45) * 4)&4294967295, 32); //@line 127 "color.c"
        var $47=_malloc($46); //@line 127 "color.c"
        var $48=$47; //@line 127 "color.c"
        HEAP[$r]=$48; //@line 127 "color.c"
        var $49=HEAP[$r]; //@line 127 "color.c"
        HEAP[$d0]=$49; //@line 127 "color.c"
        var $50=HEAP[$max]; //@line 128 "color.c"
        var $51=CHECK_OVERFLOW((($50) * 4)&4294967295, 32); //@line 128 "color.c"
        var $52=_malloc($51); //@line 128 "color.c"
        var $53=$52; //@line 128 "color.c"
        HEAP[$g]=$53; //@line 128 "color.c"
        var $54=HEAP[$g]; //@line 128 "color.c"
        HEAP[$d1]=$54; //@line 128 "color.c"
        var $55=HEAP[$max]; //@line 129 "color.c"
        var $56=CHECK_OVERFLOW((($55) * 4)&4294967295, 32); //@line 129 "color.c"
        var $57=_malloc($56); //@line 129 "color.c"
        var $58=$57; //@line 129 "color.c"
        HEAP[$b]=$58; //@line 129 "color.c"
        var $59=HEAP[$b]; //@line 129 "color.c"
        HEAP[$d2]=$59; //@line 129 "color.c"
        HEAP[$i]=0; //@line 131 "color.c"
        __label__ = 0; break; //@line 131 "color.c"
      case 4: // $bb
        HEAP[$j]=0; //@line 133 "color.c"
        __label__ = 1; break; //@line 133 "color.c"
      case 2: // $bb1
        var $60=HEAP[$cr]; //@line 135 "color.c"
        var $61=HEAP[$60]; //@line 135 "color.c"
        var $62=HEAP[$cb]; //@line 135 "color.c"
        var $63=HEAP[$62]; //@line 135 "color.c"
        var $64=HEAP[$y]; //@line 135 "color.c"
        var $65=HEAP[$64]; //@line 135 "color.c"
        var $66=HEAP[$offset]; //@line 135 "color.c"
        var $67=HEAP[$upb]; //@line 135 "color.c"
        var $68=HEAP[$r]; //@line 135 "color.c"
        var $69=HEAP[$g]; //@line 135 "color.c"
        var $70=HEAP[$b]; //@line 135 "color.c"
        _sycc_to_rgb($66, $67, $65, $63, $61, $68, $69, $70); //@line 135 "color.c"
        var $71=HEAP[$y]; //@line 137 "color.c"
        var $72=CHECK_OVERFLOW(($71+4)&4294967295, 32); //@line 137 "color.c"
        HEAP[$y]=$72; //@line 137 "color.c"
        var $73=HEAP[$r]; //@line 137 "color.c"
        var $74=CHECK_OVERFLOW(($73+4)&4294967295, 32); //@line 137 "color.c"
        HEAP[$r]=$74; //@line 137 "color.c"
        var $75=HEAP[$g]; //@line 137 "color.c"
        var $76=CHECK_OVERFLOW(($75+4)&4294967295, 32); //@line 137 "color.c"
        HEAP[$g]=$76; //@line 137 "color.c"
        var $77=HEAP[$b]; //@line 137 "color.c"
        var $78=CHECK_OVERFLOW(($77+4)&4294967295, 32); //@line 137 "color.c"
        HEAP[$b]=$78; //@line 137 "color.c"
        var $79=HEAP[$cr]; //@line 139 "color.c"
        var $80=HEAP[$79]; //@line 139 "color.c"
        var $81=HEAP[$cb]; //@line 139 "color.c"
        var $82=HEAP[$81]; //@line 139 "color.c"
        var $83=HEAP[$y]; //@line 139 "color.c"
        var $84=HEAP[$83]; //@line 139 "color.c"
        var $85=HEAP[$offset]; //@line 139 "color.c"
        var $86=HEAP[$upb]; //@line 139 "color.c"
        var $87=HEAP[$r]; //@line 139 "color.c"
        var $88=HEAP[$g]; //@line 139 "color.c"
        var $89=HEAP[$b]; //@line 139 "color.c"
        _sycc_to_rgb($85, $86, $84, $82, $80, $87, $88, $89); //@line 139 "color.c"
        var $90=HEAP[$y]; //@line 141 "color.c"
        var $91=CHECK_OVERFLOW(($90+4)&4294967295, 32); //@line 141 "color.c"
        HEAP[$y]=$91; //@line 141 "color.c"
        var $92=HEAP[$r]; //@line 141 "color.c"
        var $93=CHECK_OVERFLOW(($92+4)&4294967295, 32); //@line 141 "color.c"
        HEAP[$r]=$93; //@line 141 "color.c"
        var $94=HEAP[$g]; //@line 141 "color.c"
        var $95=CHECK_OVERFLOW(($94+4)&4294967295, 32); //@line 141 "color.c"
        HEAP[$g]=$95; //@line 141 "color.c"
        var $96=HEAP[$b]; //@line 141 "color.c"
        var $97=CHECK_OVERFLOW(($96+4)&4294967295, 32); //@line 141 "color.c"
        HEAP[$b]=$97; //@line 141 "color.c"
        var $98=HEAP[$cb]; //@line 141 "color.c"
        var $99=CHECK_OVERFLOW(($98+4)&4294967295, 32); //@line 141 "color.c"
        HEAP[$cb]=$99; //@line 141 "color.c"
        var $100=HEAP[$cr]; //@line 141 "color.c"
        var $101=CHECK_OVERFLOW(($100+4)&4294967295, 32); //@line 141 "color.c"
        HEAP[$cr]=$101; //@line 141 "color.c"
        var $102=HEAP[$j]; //@line 133 "color.c"
        var $103=CHECK_OVERFLOW((($102) + 2)&4294967295, 32); //@line 133 "color.c"
        HEAP[$j]=$103; //@line 133 "color.c"
        __label__ = 1; break; //@line 133 "color.c"
      case 1: // $bb2
        var $104=HEAP[$j]; //@line 133 "color.c"
        var $105=HEAP[$maxw]; //@line 133 "color.c"
        var $106=($104) < ($105); //@line 133 "color.c"
        if ($106) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 133 "color.c"
      case 3: // $bb3
        var $107=HEAP[$i]; //@line 131 "color.c"
        var $108=CHECK_OVERFLOW((($107) + 1)&4294967295, 32); //@line 131 "color.c"
        HEAP[$i]=$108; //@line 131 "color.c"
        __label__ = 0; break; //@line 131 "color.c"
      case 0: // $bb4
        var $109=HEAP[$i]; //@line 131 "color.c"
        var $110=HEAP[$maxh]; //@line 131 "color.c"
        var $111=($109) < ($110); //@line 131 "color.c"
        if ($111) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 131 "color.c"
      case 5: // $bb5
        var $112=HEAP[$img_addr]; //@line 144 "color.c"
        var $113=CHECK_OVERFLOW(($112+24)&4294967295, 32); //@line 144 "color.c"
        var $114=HEAP[$113]; //@line 144 "color.c"
        var $115=CHECK_OVERFLOW(($114)&4294967295, 32); //@line 144 "color.c"
        var $116=CHECK_OVERFLOW(($115+44)&4294967295, 32); //@line 144 "color.c"
        var $117=HEAP[$116]; //@line 144 "color.c"
        var $118=$117; //@line 144 "color.c"
        _free($118); //@line 144 "color.c"
        var $119=HEAP[$img_addr]; //@line 144 "color.c"
        var $120=CHECK_OVERFLOW(($119+24)&4294967295, 32); //@line 144 "color.c"
        var $121=HEAP[$120]; //@line 144 "color.c"
        var $122=CHECK_OVERFLOW(($121)&4294967295, 32); //@line 144 "color.c"
        var $123=CHECK_OVERFLOW(($122+44)&4294967295, 32); //@line 144 "color.c"
        var $124=HEAP[$d0]; //@line 144 "color.c"
        HEAP[$123]=$124; //@line 144 "color.c"
        var $125=HEAP[$img_addr]; //@line 145 "color.c"
        var $126=CHECK_OVERFLOW(($125+24)&4294967295, 32); //@line 145 "color.c"
        var $127=HEAP[$126]; //@line 145 "color.c"
        var $128=CHECK_OVERFLOW(($127+48)&4294967295, 32); //@line 145 "color.c"
        var $129=CHECK_OVERFLOW(($128+44)&4294967295, 32); //@line 145 "color.c"
        var $130=HEAP[$129]; //@line 145 "color.c"
        var $131=$130; //@line 145 "color.c"
        _free($131); //@line 145 "color.c"
        var $132=HEAP[$img_addr]; //@line 145 "color.c"
        var $133=CHECK_OVERFLOW(($132+24)&4294967295, 32); //@line 145 "color.c"
        var $134=HEAP[$133]; //@line 145 "color.c"
        var $135=CHECK_OVERFLOW(($134+48)&4294967295, 32); //@line 145 "color.c"
        var $136=CHECK_OVERFLOW(($135+44)&4294967295, 32); //@line 145 "color.c"
        var $137=HEAP[$d1]; //@line 145 "color.c"
        HEAP[$136]=$137; //@line 145 "color.c"
        var $138=HEAP[$img_addr]; //@line 146 "color.c"
        var $139=CHECK_OVERFLOW(($138+24)&4294967295, 32); //@line 146 "color.c"
        var $140=HEAP[$139]; //@line 146 "color.c"
        var $141=CHECK_OVERFLOW(($140+96)&4294967295, 32); //@line 146 "color.c"
        var $142=CHECK_OVERFLOW(($141+44)&4294967295, 32); //@line 146 "color.c"
        var $143=HEAP[$142]; //@line 146 "color.c"
        var $144=$143; //@line 146 "color.c"
        _free($144); //@line 146 "color.c"
        var $145=HEAP[$img_addr]; //@line 146 "color.c"
        var $146=CHECK_OVERFLOW(($145+24)&4294967295, 32); //@line 146 "color.c"
        var $147=HEAP[$146]; //@line 146 "color.c"
        var $148=CHECK_OVERFLOW(($147+96)&4294967295, 32); //@line 146 "color.c"
        var $149=CHECK_OVERFLOW(($148+44)&4294967295, 32); //@line 146 "color.c"
        var $150=HEAP[$d2]; //@line 146 "color.c"
        HEAP[$149]=$150; //@line 146 "color.c"
        var $151=HEAP[$img_addr]; //@line 148 "color.c"
        var $152=CHECK_OVERFLOW(($151+24)&4294967295, 32); //@line 148 "color.c"
        var $153=HEAP[$152]; //@line 148 "color.c"
        var $154=CHECK_OVERFLOW(($153+48)&4294967295, 32); //@line 148 "color.c"
        var $155=CHECK_OVERFLOW(($154+8)&4294967295, 32); //@line 148 "color.c"
        var $156=HEAP[$maxw]; //@line 148 "color.c"
        HEAP[$155]=$156; //@line 148 "color.c"
        var $157=HEAP[$img_addr]; //@line 148 "color.c"
        var $158=CHECK_OVERFLOW(($157+24)&4294967295, 32); //@line 148 "color.c"
        var $159=HEAP[$158]; //@line 148 "color.c"
        var $160=CHECK_OVERFLOW(($159+48)&4294967295, 32); //@line 148 "color.c"
        var $161=CHECK_OVERFLOW(($160+12)&4294967295, 32); //@line 148 "color.c"
        var $162=HEAP[$maxh]; //@line 148 "color.c"
        HEAP[$161]=$162; //@line 148 "color.c"
        var $163=HEAP[$img_addr]; //@line 149 "color.c"
        var $164=CHECK_OVERFLOW(($163+24)&4294967295, 32); //@line 149 "color.c"
        var $165=HEAP[$164]; //@line 149 "color.c"
        var $166=CHECK_OVERFLOW(($165+96)&4294967295, 32); //@line 149 "color.c"
        var $167=CHECK_OVERFLOW(($166+8)&4294967295, 32); //@line 149 "color.c"
        var $168=HEAP[$maxw]; //@line 149 "color.c"
        HEAP[$167]=$168; //@line 149 "color.c"
        var $169=HEAP[$img_addr]; //@line 149 "color.c"
        var $170=CHECK_OVERFLOW(($169+24)&4294967295, 32); //@line 149 "color.c"
        var $171=HEAP[$170]; //@line 149 "color.c"
        var $172=CHECK_OVERFLOW(($171+96)&4294967295, 32); //@line 149 "color.c"
        var $173=CHECK_OVERFLOW(($172+12)&4294967295, 32); //@line 149 "color.c"
        var $174=HEAP[$maxh]; //@line 149 "color.c"
        HEAP[$173]=$174; //@line 149 "color.c"
        var $175=HEAP[$img_addr]; //@line 150 "color.c"
        var $176=CHECK_OVERFLOW(($175+24)&4294967295, 32); //@line 150 "color.c"
        var $177=HEAP[$176]; //@line 150 "color.c"
        var $178=CHECK_OVERFLOW(($177+48)&4294967295, 32); //@line 150 "color.c"
        var $179=HEAP[$img_addr]; //@line 150 "color.c"
        var $180=CHECK_OVERFLOW(($179+24)&4294967295, 32); //@line 150 "color.c"
        var $181=HEAP[$180]; //@line 150 "color.c"
        var $182=CHECK_OVERFLOW(($181)&4294967295, 32); //@line 150 "color.c"
        var $183=CHECK_OVERFLOW(($182)&4294967295, 32); //@line 150 "color.c"
        var $184=HEAP[$183]; //@line 150 "color.c"
        var $185=CHECK_OVERFLOW(($178)&4294967295, 32); //@line 150 "color.c"
        HEAP[$185]=$184; //@line 150 "color.c"
        var $186=HEAP[$img_addr]; //@line 151 "color.c"
        var $187=CHECK_OVERFLOW(($186+24)&4294967295, 32); //@line 151 "color.c"
        var $188=HEAP[$187]; //@line 151 "color.c"
        var $189=CHECK_OVERFLOW(($188+96)&4294967295, 32); //@line 151 "color.c"
        var $190=HEAP[$img_addr]; //@line 151 "color.c"
        var $191=CHECK_OVERFLOW(($190+24)&4294967295, 32); //@line 151 "color.c"
        var $192=HEAP[$191]; //@line 151 "color.c"
        var $193=CHECK_OVERFLOW(($192)&4294967295, 32); //@line 151 "color.c"
        var $194=CHECK_OVERFLOW(($193)&4294967295, 32); //@line 151 "color.c"
        var $195=HEAP[$194]; //@line 151 "color.c"
        var $196=CHECK_OVERFLOW(($189)&4294967295, 32); //@line 151 "color.c"
        HEAP[$196]=$195; //@line 151 "color.c"
        var $197=HEAP[$img_addr]; //@line 152 "color.c"
        var $198=CHECK_OVERFLOW(($197+24)&4294967295, 32); //@line 152 "color.c"
        var $199=HEAP[$198]; //@line 152 "color.c"
        var $200=CHECK_OVERFLOW(($199+48)&4294967295, 32); //@line 152 "color.c"
        var $201=HEAP[$img_addr]; //@line 152 "color.c"
        var $202=CHECK_OVERFLOW(($201+24)&4294967295, 32); //@line 152 "color.c"
        var $203=HEAP[$202]; //@line 152 "color.c"
        var $204=CHECK_OVERFLOW(($203)&4294967295, 32); //@line 152 "color.c"
        var $205=CHECK_OVERFLOW(($204+4)&4294967295, 32); //@line 152 "color.c"
        var $206=HEAP[$205]; //@line 152 "color.c"
        var $207=CHECK_OVERFLOW(($200+4)&4294967295, 32); //@line 152 "color.c"
        HEAP[$207]=$206; //@line 152 "color.c"
        var $208=HEAP[$img_addr]; //@line 153 "color.c"
        var $209=CHECK_OVERFLOW(($208+24)&4294967295, 32); //@line 153 "color.c"
        var $210=HEAP[$209]; //@line 153 "color.c"
        var $211=CHECK_OVERFLOW(($210+96)&4294967295, 32); //@line 153 "color.c"
        var $212=HEAP[$img_addr]; //@line 153 "color.c"
        var $213=CHECK_OVERFLOW(($212+24)&4294967295, 32); //@line 153 "color.c"
        var $214=HEAP[$213]; //@line 153 "color.c"
        var $215=CHECK_OVERFLOW(($214)&4294967295, 32); //@line 153 "color.c"
        var $216=CHECK_OVERFLOW(($215+4)&4294967295, 32); //@line 153 "color.c"
        var $217=HEAP[$216]; //@line 153 "color.c"
        var $218=CHECK_OVERFLOW(($211+4)&4294967295, 32); //@line 153 "color.c"
        HEAP[$218]=$217; //@line 153 "color.c"
        __label__ = 6; break; //@line 155 "color.c"
      case 6: // $return
        STACKTOP = __stackBase__;
        return; //@line 155 "color.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _sycc420_to_rgb($img) {
    var __stackBase__  = STACKTOP; STACKTOP += 84; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 84);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $img_addr=__stackBase__;
        var $d0=__stackBase__+4;
        var $d1=__stackBase__+8;
        var $d2=__stackBase__+12;
        var $r=__stackBase__+16;
        var $g=__stackBase__+20;
        var $b=__stackBase__+24;
        var $nr=__stackBase__+28;
        var $ng=__stackBase__+32;
        var $nb=__stackBase__+36;
        var $y=__stackBase__+40;
        var $cb=__stackBase__+44;
        var $cr=__stackBase__+48;
        var $ny=__stackBase__+52;
        var $maxw=__stackBase__+56;
        var $maxh=__stackBase__+60;
        var $max=__stackBase__+64;
        var $offset=__stackBase__+68;
        var $upb=__stackBase__+72;
        var $i=__stackBase__+76;
        var $j=__stackBase__+80;
        var $_alloca_point_=0;
        HEAP[$img_addr]=$img;
        var $0=HEAP[$img_addr]; //@line 164 "color.c"
        var $1=CHECK_OVERFLOW(($0+24)&4294967295, 32); //@line 164 "color.c"
        var $2=HEAP[$1]; //@line 164 "color.c"
        var $3=CHECK_OVERFLOW(($2)&4294967295, 32); //@line 164 "color.c"
        var $4=CHECK_OVERFLOW(($3+24)&4294967295, 32); //@line 164 "color.c"
        var $5=HEAP[$4]; //@line 164 "color.c"
        HEAP[$i]=$5; //@line 164 "color.c"
        var $6=HEAP[$i]; //@line 165 "color.c"
        var $7=CHECK_OVERFLOW((($6) - 1)&4294967295, 32); //@line 165 "color.c"
        var $8=1 << ($7); //@line 165 "color.c"
        HEAP[$offset]=$8; //@line 165 "color.c"
        var $9=HEAP[$i]; //@line 165 "color.c"
        var $10=1 << ($9); //@line 165 "color.c"
        var $11=CHECK_OVERFLOW((($10) - 1)&4294967295, 32); //@line 165 "color.c"
        HEAP[$upb]=$11; //@line 165 "color.c"
        var $12=HEAP[$img_addr]; //@line 167 "color.c"
        var $13=CHECK_OVERFLOW(($12+24)&4294967295, 32); //@line 167 "color.c"
        var $14=HEAP[$13]; //@line 167 "color.c"
        var $15=CHECK_OVERFLOW(($14)&4294967295, 32); //@line 167 "color.c"
        var $16=CHECK_OVERFLOW(($15+8)&4294967295, 32); //@line 167 "color.c"
        var $17=HEAP[$16]; //@line 167 "color.c"
        HEAP[$maxw]=$17; //@line 167 "color.c"
        var $18=HEAP[$img_addr]; //@line 167 "color.c"
        var $19=CHECK_OVERFLOW(($18+24)&4294967295, 32); //@line 167 "color.c"
        var $20=HEAP[$19]; //@line 167 "color.c"
        var $21=CHECK_OVERFLOW(($20)&4294967295, 32); //@line 167 "color.c"
        var $22=CHECK_OVERFLOW(($21+12)&4294967295, 32); //@line 167 "color.c"
        var $23=HEAP[$22]; //@line 167 "color.c"
        HEAP[$maxh]=$23; //@line 167 "color.c"
        var $24=HEAP[$maxw]; //@line 168 "color.c"
        var $25=HEAP[$maxh]; //@line 168 "color.c"
        var $26=CHECK_OVERFLOW((($24) * ($25))&4294967295, 32); //@line 168 "color.c"
        HEAP[$max]=$26; //@line 168 "color.c"
        var $27=HEAP[$img_addr]; //@line 170 "color.c"
        var $28=CHECK_OVERFLOW(($27+24)&4294967295, 32); //@line 170 "color.c"
        var $29=HEAP[$28]; //@line 170 "color.c"
        var $30=CHECK_OVERFLOW(($29)&4294967295, 32); //@line 170 "color.c"
        var $31=CHECK_OVERFLOW(($30+44)&4294967295, 32); //@line 170 "color.c"
        var $32=HEAP[$31]; //@line 170 "color.c"
        HEAP[$y]=$32; //@line 170 "color.c"
        var $33=HEAP[$img_addr]; //@line 171 "color.c"
        var $34=CHECK_OVERFLOW(($33+24)&4294967295, 32); //@line 171 "color.c"
        var $35=HEAP[$34]; //@line 171 "color.c"
        var $36=CHECK_OVERFLOW(($35+48)&4294967295, 32); //@line 171 "color.c"
        var $37=CHECK_OVERFLOW(($36+44)&4294967295, 32); //@line 171 "color.c"
        var $38=HEAP[$37]; //@line 171 "color.c"
        HEAP[$cb]=$38; //@line 171 "color.c"
        var $39=HEAP[$img_addr]; //@line 172 "color.c"
        var $40=CHECK_OVERFLOW(($39+24)&4294967295, 32); //@line 172 "color.c"
        var $41=HEAP[$40]; //@line 172 "color.c"
        var $42=CHECK_OVERFLOW(($41+96)&4294967295, 32); //@line 172 "color.c"
        var $43=CHECK_OVERFLOW(($42+44)&4294967295, 32); //@line 172 "color.c"
        var $44=HEAP[$43]; //@line 172 "color.c"
        HEAP[$cr]=$44; //@line 172 "color.c"
        var $45=HEAP[$max]; //@line 174 "color.c"
        var $46=CHECK_OVERFLOW((($45) * 4)&4294967295, 32); //@line 174 "color.c"
        var $47=_malloc($46); //@line 174 "color.c"
        var $48=$47; //@line 174 "color.c"
        HEAP[$r]=$48; //@line 174 "color.c"
        var $49=HEAP[$r]; //@line 174 "color.c"
        HEAP[$d0]=$49; //@line 174 "color.c"
        var $50=HEAP[$max]; //@line 175 "color.c"
        var $51=CHECK_OVERFLOW((($50) * 4)&4294967295, 32); //@line 175 "color.c"
        var $52=_malloc($51); //@line 175 "color.c"
        var $53=$52; //@line 175 "color.c"
        HEAP[$g]=$53; //@line 175 "color.c"
        var $54=HEAP[$g]; //@line 175 "color.c"
        HEAP[$d1]=$54; //@line 175 "color.c"
        var $55=HEAP[$max]; //@line 176 "color.c"
        var $56=CHECK_OVERFLOW((($55) * 4)&4294967295, 32); //@line 176 "color.c"
        var $57=_malloc($56); //@line 176 "color.c"
        var $58=$57; //@line 176 "color.c"
        HEAP[$b]=$58; //@line 176 "color.c"
        var $59=HEAP[$b]; //@line 176 "color.c"
        HEAP[$d2]=$59; //@line 176 "color.c"
        HEAP[$i]=0; //@line 178 "color.c"
        __label__ = 0; break; //@line 178 "color.c"
      case 4: // $bb
        var $60=HEAP[$y]; //@line 180 "color.c"
        var $61=HEAP[$maxw]; //@line 180 "color.c"
        var $62=CHECK_OVERFLOW(($60+4*$61)&4294967295, 32); //@line 180 "color.c"
        HEAP[$ny]=$62; //@line 180 "color.c"
        var $63=HEAP[$r]; //@line 181 "color.c"
        var $64=HEAP[$maxw]; //@line 181 "color.c"
        var $65=CHECK_OVERFLOW(($63+4*$64)&4294967295, 32); //@line 181 "color.c"
        HEAP[$nr]=$65; //@line 181 "color.c"
        var $66=HEAP[$g]; //@line 181 "color.c"
        var $67=HEAP[$maxw]; //@line 181 "color.c"
        var $68=CHECK_OVERFLOW(($66+4*$67)&4294967295, 32); //@line 181 "color.c"
        HEAP[$ng]=$68; //@line 181 "color.c"
        var $69=HEAP[$b]; //@line 181 "color.c"
        var $70=HEAP[$maxw]; //@line 181 "color.c"
        var $71=CHECK_OVERFLOW(($69+4*$70)&4294967295, 32); //@line 181 "color.c"
        HEAP[$nb]=$71; //@line 181 "color.c"
        HEAP[$j]=0; //@line 183 "color.c"
        __label__ = 1; break; //@line 183 "color.c"
      case 2: // $bb1
        var $72=HEAP[$cr]; //@line 185 "color.c"
        var $73=HEAP[$72]; //@line 185 "color.c"
        var $74=HEAP[$cb]; //@line 185 "color.c"
        var $75=HEAP[$74]; //@line 185 "color.c"
        var $76=HEAP[$y]; //@line 185 "color.c"
        var $77=HEAP[$76]; //@line 185 "color.c"
        var $78=HEAP[$offset]; //@line 185 "color.c"
        var $79=HEAP[$upb]; //@line 185 "color.c"
        var $80=HEAP[$r]; //@line 185 "color.c"
        var $81=HEAP[$g]; //@line 185 "color.c"
        var $82=HEAP[$b]; //@line 185 "color.c"
        _sycc_to_rgb($78, $79, $77, $75, $73, $80, $81, $82); //@line 185 "color.c"
        var $83=HEAP[$y]; //@line 187 "color.c"
        var $84=CHECK_OVERFLOW(($83+4)&4294967295, 32); //@line 187 "color.c"
        HEAP[$y]=$84; //@line 187 "color.c"
        var $85=HEAP[$r]; //@line 187 "color.c"
        var $86=CHECK_OVERFLOW(($85+4)&4294967295, 32); //@line 187 "color.c"
        HEAP[$r]=$86; //@line 187 "color.c"
        var $87=HEAP[$g]; //@line 187 "color.c"
        var $88=CHECK_OVERFLOW(($87+4)&4294967295, 32); //@line 187 "color.c"
        HEAP[$g]=$88; //@line 187 "color.c"
        var $89=HEAP[$b]; //@line 187 "color.c"
        var $90=CHECK_OVERFLOW(($89+4)&4294967295, 32); //@line 187 "color.c"
        HEAP[$b]=$90; //@line 187 "color.c"
        var $91=HEAP[$cr]; //@line 189 "color.c"
        var $92=HEAP[$91]; //@line 189 "color.c"
        var $93=HEAP[$cb]; //@line 189 "color.c"
        var $94=HEAP[$93]; //@line 189 "color.c"
        var $95=HEAP[$y]; //@line 189 "color.c"
        var $96=HEAP[$95]; //@line 189 "color.c"
        var $97=HEAP[$offset]; //@line 189 "color.c"
        var $98=HEAP[$upb]; //@line 189 "color.c"
        var $99=HEAP[$r]; //@line 189 "color.c"
        var $100=HEAP[$g]; //@line 189 "color.c"
        var $101=HEAP[$b]; //@line 189 "color.c"
        _sycc_to_rgb($97, $98, $96, $94, $92, $99, $100, $101); //@line 189 "color.c"
        var $102=HEAP[$y]; //@line 191 "color.c"
        var $103=CHECK_OVERFLOW(($102+4)&4294967295, 32); //@line 191 "color.c"
        HEAP[$y]=$103; //@line 191 "color.c"
        var $104=HEAP[$r]; //@line 191 "color.c"
        var $105=CHECK_OVERFLOW(($104+4)&4294967295, 32); //@line 191 "color.c"
        HEAP[$r]=$105; //@line 191 "color.c"
        var $106=HEAP[$g]; //@line 191 "color.c"
        var $107=CHECK_OVERFLOW(($106+4)&4294967295, 32); //@line 191 "color.c"
        HEAP[$g]=$107; //@line 191 "color.c"
        var $108=HEAP[$b]; //@line 191 "color.c"
        var $109=CHECK_OVERFLOW(($108+4)&4294967295, 32); //@line 191 "color.c"
        HEAP[$b]=$109; //@line 191 "color.c"
        var $110=HEAP[$cr]; //@line 193 "color.c"
        var $111=HEAP[$110]; //@line 193 "color.c"
        var $112=HEAP[$cb]; //@line 193 "color.c"
        var $113=HEAP[$112]; //@line 193 "color.c"
        var $114=HEAP[$ny]; //@line 193 "color.c"
        var $115=HEAP[$114]; //@line 193 "color.c"
        var $116=HEAP[$offset]; //@line 193 "color.c"
        var $117=HEAP[$upb]; //@line 193 "color.c"
        var $118=HEAP[$nr]; //@line 193 "color.c"
        var $119=HEAP[$ng]; //@line 193 "color.c"
        var $120=HEAP[$nb]; //@line 193 "color.c"
        _sycc_to_rgb($116, $117, $115, $113, $111, $118, $119, $120); //@line 193 "color.c"
        var $121=HEAP[$ny]; //@line 195 "color.c"
        var $122=CHECK_OVERFLOW(($121+4)&4294967295, 32); //@line 195 "color.c"
        HEAP[$ny]=$122; //@line 195 "color.c"
        var $123=HEAP[$nr]; //@line 195 "color.c"
        var $124=CHECK_OVERFLOW(($123+4)&4294967295, 32); //@line 195 "color.c"
        HEAP[$nr]=$124; //@line 195 "color.c"
        var $125=HEAP[$ng]; //@line 195 "color.c"
        var $126=CHECK_OVERFLOW(($125+4)&4294967295, 32); //@line 195 "color.c"
        HEAP[$ng]=$126; //@line 195 "color.c"
        var $127=HEAP[$nb]; //@line 195 "color.c"
        var $128=CHECK_OVERFLOW(($127+4)&4294967295, 32); //@line 195 "color.c"
        HEAP[$nb]=$128; //@line 195 "color.c"
        var $129=HEAP[$cr]; //@line 197 "color.c"
        var $130=HEAP[$129]; //@line 197 "color.c"
        var $131=HEAP[$cb]; //@line 197 "color.c"
        var $132=HEAP[$131]; //@line 197 "color.c"
        var $133=HEAP[$ny]; //@line 197 "color.c"
        var $134=HEAP[$133]; //@line 197 "color.c"
        var $135=HEAP[$offset]; //@line 197 "color.c"
        var $136=HEAP[$upb]; //@line 197 "color.c"
        var $137=HEAP[$nr]; //@line 197 "color.c"
        var $138=HEAP[$ng]; //@line 197 "color.c"
        var $139=HEAP[$nb]; //@line 197 "color.c"
        _sycc_to_rgb($135, $136, $134, $132, $130, $137, $138, $139); //@line 197 "color.c"
        var $140=HEAP[$ny]; //@line 199 "color.c"
        var $141=CHECK_OVERFLOW(($140+4)&4294967295, 32); //@line 199 "color.c"
        HEAP[$ny]=$141; //@line 199 "color.c"
        var $142=HEAP[$nr]; //@line 199 "color.c"
        var $143=CHECK_OVERFLOW(($142+4)&4294967295, 32); //@line 199 "color.c"
        HEAP[$nr]=$143; //@line 199 "color.c"
        var $144=HEAP[$ng]; //@line 199 "color.c"
        var $145=CHECK_OVERFLOW(($144+4)&4294967295, 32); //@line 199 "color.c"
        HEAP[$ng]=$145; //@line 199 "color.c"
        var $146=HEAP[$nb]; //@line 199 "color.c"
        var $147=CHECK_OVERFLOW(($146+4)&4294967295, 32); //@line 199 "color.c"
        HEAP[$nb]=$147; //@line 199 "color.c"
        var $148=HEAP[$cb]; //@line 199 "color.c"
        var $149=CHECK_OVERFLOW(($148+4)&4294967295, 32); //@line 199 "color.c"
        HEAP[$cb]=$149; //@line 199 "color.c"
        var $150=HEAP[$cr]; //@line 199 "color.c"
        var $151=CHECK_OVERFLOW(($150+4)&4294967295, 32); //@line 199 "color.c"
        HEAP[$cr]=$151; //@line 199 "color.c"
        var $152=HEAP[$j]; //@line 183 "color.c"
        var $153=CHECK_OVERFLOW((($152) + 2)&4294967295, 32); //@line 183 "color.c"
        HEAP[$j]=$153; //@line 183 "color.c"
        __label__ = 1; break; //@line 183 "color.c"
      case 1: // $bb2
        var $154=HEAP[$j]; //@line 183 "color.c"
        var $155=HEAP[$maxw]; //@line 183 "color.c"
        var $156=($154) < ($155); //@line 183 "color.c"
        if ($156) { __label__ = 2; break; } else { __label__ = 3; break; } //@line 183 "color.c"
      case 3: // $bb3
        var $157=HEAP[$y]; //@line 201 "color.c"
        var $158=HEAP[$maxw]; //@line 201 "color.c"
        var $159=CHECK_OVERFLOW(($157+4*$158)&4294967295, 32); //@line 201 "color.c"
        HEAP[$y]=$159; //@line 201 "color.c"
        var $160=HEAP[$r]; //@line 201 "color.c"
        var $161=HEAP[$maxw]; //@line 201 "color.c"
        var $162=CHECK_OVERFLOW(($160+4*$161)&4294967295, 32); //@line 201 "color.c"
        HEAP[$r]=$162; //@line 201 "color.c"
        var $163=HEAP[$g]; //@line 201 "color.c"
        var $164=HEAP[$maxw]; //@line 201 "color.c"
        var $165=CHECK_OVERFLOW(($163+4*$164)&4294967295, 32); //@line 201 "color.c"
        HEAP[$g]=$165; //@line 201 "color.c"
        var $166=HEAP[$b]; //@line 201 "color.c"
        var $167=HEAP[$maxw]; //@line 201 "color.c"
        var $168=CHECK_OVERFLOW(($166+4*$167)&4294967295, 32); //@line 201 "color.c"
        HEAP[$b]=$168; //@line 201 "color.c"
        var $169=HEAP[$i]; //@line 178 "color.c"
        var $170=CHECK_OVERFLOW((($169) + 2)&4294967295, 32); //@line 178 "color.c"
        HEAP[$i]=$170; //@line 178 "color.c"
        __label__ = 0; break; //@line 178 "color.c"
      case 0: // $bb4
        var $171=HEAP[$i]; //@line 178 "color.c"
        var $172=HEAP[$maxh]; //@line 178 "color.c"
        var $173=($171) < ($172); //@line 178 "color.c"
        if ($173) { __label__ = 4; break; } else { __label__ = 5; break; } //@line 178 "color.c"
      case 5: // $bb5
        var $174=HEAP[$img_addr]; //@line 203 "color.c"
        var $175=CHECK_OVERFLOW(($174+24)&4294967295, 32); //@line 203 "color.c"
        var $176=HEAP[$175]; //@line 203 "color.c"
        var $177=CHECK_OVERFLOW(($176)&4294967295, 32); //@line 203 "color.c"
        var $178=CHECK_OVERFLOW(($177+44)&4294967295, 32); //@line 203 "color.c"
        var $179=HEAP[$178]; //@line 203 "color.c"
        var $180=$179; //@line 203 "color.c"
        _free($180); //@line 203 "color.c"
        var $181=HEAP[$img_addr]; //@line 203 "color.c"
        var $182=CHECK_OVERFLOW(($181+24)&4294967295, 32); //@line 203 "color.c"
        var $183=HEAP[$182]; //@line 203 "color.c"
        var $184=CHECK_OVERFLOW(($183)&4294967295, 32); //@line 203 "color.c"
        var $185=CHECK_OVERFLOW(($184+44)&4294967295, 32); //@line 203 "color.c"
        var $186=HEAP[$d0]; //@line 203 "color.c"
        HEAP[$185]=$186; //@line 203 "color.c"
        var $187=HEAP[$img_addr]; //@line 204 "color.c"
        var $188=CHECK_OVERFLOW(($187+24)&4294967295, 32); //@line 204 "color.c"
        var $189=HEAP[$188]; //@line 204 "color.c"
        var $190=CHECK_OVERFLOW(($189+48)&4294967295, 32); //@line 204 "color.c"
        var $191=CHECK_OVERFLOW(($190+44)&4294967295, 32); //@line 204 "color.c"
        var $192=HEAP[$191]; //@line 204 "color.c"
        var $193=$192; //@line 204 "color.c"
        _free($193); //@line 204 "color.c"
        var $194=HEAP[$img_addr]; //@line 204 "color.c"
        var $195=CHECK_OVERFLOW(($194+24)&4294967295, 32); //@line 204 "color.c"
        var $196=HEAP[$195]; //@line 204 "color.c"
        var $197=CHECK_OVERFLOW(($196+48)&4294967295, 32); //@line 204 "color.c"
        var $198=CHECK_OVERFLOW(($197+44)&4294967295, 32); //@line 204 "color.c"
        var $199=HEAP[$d1]; //@line 204 "color.c"
        HEAP[$198]=$199; //@line 204 "color.c"
        var $200=HEAP[$img_addr]; //@line 205 "color.c"
        var $201=CHECK_OVERFLOW(($200+24)&4294967295, 32); //@line 205 "color.c"
        var $202=HEAP[$201]; //@line 205 "color.c"
        var $203=CHECK_OVERFLOW(($202+96)&4294967295, 32); //@line 205 "color.c"
        var $204=CHECK_OVERFLOW(($203+44)&4294967295, 32); //@line 205 "color.c"
        var $205=HEAP[$204]; //@line 205 "color.c"
        var $206=$205; //@line 205 "color.c"
        _free($206); //@line 205 "color.c"
        var $207=HEAP[$img_addr]; //@line 205 "color.c"
        var $208=CHECK_OVERFLOW(($207+24)&4294967295, 32); //@line 205 "color.c"
        var $209=HEAP[$208]; //@line 205 "color.c"
        var $210=CHECK_OVERFLOW(($209+96)&4294967295, 32); //@line 205 "color.c"
        var $211=CHECK_OVERFLOW(($210+44)&4294967295, 32); //@line 205 "color.c"
        var $212=HEAP[$d2]; //@line 205 "color.c"
        HEAP[$211]=$212; //@line 205 "color.c"
        var $213=HEAP[$img_addr]; //@line 207 "color.c"
        var $214=CHECK_OVERFLOW(($213+24)&4294967295, 32); //@line 207 "color.c"
        var $215=HEAP[$214]; //@line 207 "color.c"
        var $216=CHECK_OVERFLOW(($215+48)&4294967295, 32); //@line 207 "color.c"
        var $217=CHECK_OVERFLOW(($216+8)&4294967295, 32); //@line 207 "color.c"
        var $218=HEAP[$maxw]; //@line 207 "color.c"
        HEAP[$217]=$218; //@line 207 "color.c"
        var $219=HEAP[$img_addr]; //@line 207 "color.c"
        var $220=CHECK_OVERFLOW(($219+24)&4294967295, 32); //@line 207 "color.c"
        var $221=HEAP[$220]; //@line 207 "color.c"
        var $222=CHECK_OVERFLOW(($221+48)&4294967295, 32); //@line 207 "color.c"
        var $223=CHECK_OVERFLOW(($222+12)&4294967295, 32); //@line 207 "color.c"
        var $224=HEAP[$maxh]; //@line 207 "color.c"
        HEAP[$223]=$224; //@line 207 "color.c"
        var $225=HEAP[$img_addr]; //@line 208 "color.c"
        var $226=CHECK_OVERFLOW(($225+24)&4294967295, 32); //@line 208 "color.c"
        var $227=HEAP[$226]; //@line 208 "color.c"
        var $228=CHECK_OVERFLOW(($227+96)&4294967295, 32); //@line 208 "color.c"
        var $229=CHECK_OVERFLOW(($228+8)&4294967295, 32); //@line 208 "color.c"
        var $230=HEAP[$maxw]; //@line 208 "color.c"
        HEAP[$229]=$230; //@line 208 "color.c"
        var $231=HEAP[$img_addr]; //@line 208 "color.c"
        var $232=CHECK_OVERFLOW(($231+24)&4294967295, 32); //@line 208 "color.c"
        var $233=HEAP[$232]; //@line 208 "color.c"
        var $234=CHECK_OVERFLOW(($233+96)&4294967295, 32); //@line 208 "color.c"
        var $235=CHECK_OVERFLOW(($234+12)&4294967295, 32); //@line 208 "color.c"
        var $236=HEAP[$maxh]; //@line 208 "color.c"
        HEAP[$235]=$236; //@line 208 "color.c"
        var $237=HEAP[$img_addr]; //@line 209 "color.c"
        var $238=CHECK_OVERFLOW(($237+24)&4294967295, 32); //@line 209 "color.c"
        var $239=HEAP[$238]; //@line 209 "color.c"
        var $240=CHECK_OVERFLOW(($239+48)&4294967295, 32); //@line 209 "color.c"
        var $241=HEAP[$img_addr]; //@line 209 "color.c"
        var $242=CHECK_OVERFLOW(($241+24)&4294967295, 32); //@line 209 "color.c"
        var $243=HEAP[$242]; //@line 209 "color.c"
        var $244=CHECK_OVERFLOW(($243)&4294967295, 32); //@line 209 "color.c"
        var $245=CHECK_OVERFLOW(($244)&4294967295, 32); //@line 209 "color.c"
        var $246=HEAP[$245]; //@line 209 "color.c"
        var $247=CHECK_OVERFLOW(($240)&4294967295, 32); //@line 209 "color.c"
        HEAP[$247]=$246; //@line 209 "color.c"
        var $248=HEAP[$img_addr]; //@line 210 "color.c"
        var $249=CHECK_OVERFLOW(($248+24)&4294967295, 32); //@line 210 "color.c"
        var $250=HEAP[$249]; //@line 210 "color.c"
        var $251=CHECK_OVERFLOW(($250+96)&4294967295, 32); //@line 210 "color.c"
        var $252=HEAP[$img_addr]; //@line 210 "color.c"
        var $253=CHECK_OVERFLOW(($252+24)&4294967295, 32); //@line 210 "color.c"
        var $254=HEAP[$253]; //@line 210 "color.c"
        var $255=CHECK_OVERFLOW(($254)&4294967295, 32); //@line 210 "color.c"
        var $256=CHECK_OVERFLOW(($255)&4294967295, 32); //@line 210 "color.c"
        var $257=HEAP[$256]; //@line 210 "color.c"
        var $258=CHECK_OVERFLOW(($251)&4294967295, 32); //@line 210 "color.c"
        HEAP[$258]=$257; //@line 210 "color.c"
        var $259=HEAP[$img_addr]; //@line 211 "color.c"
        var $260=CHECK_OVERFLOW(($259+24)&4294967295, 32); //@line 211 "color.c"
        var $261=HEAP[$260]; //@line 211 "color.c"
        var $262=CHECK_OVERFLOW(($261+48)&4294967295, 32); //@line 211 "color.c"
        var $263=HEAP[$img_addr]; //@line 211 "color.c"
        var $264=CHECK_OVERFLOW(($263+24)&4294967295, 32); //@line 211 "color.c"
        var $265=HEAP[$264]; //@line 211 "color.c"
        var $266=CHECK_OVERFLOW(($265)&4294967295, 32); //@line 211 "color.c"
        var $267=CHECK_OVERFLOW(($266+4)&4294967295, 32); //@line 211 "color.c"
        var $268=HEAP[$267]; //@line 211 "color.c"
        var $269=CHECK_OVERFLOW(($262+4)&4294967295, 32); //@line 211 "color.c"
        HEAP[$269]=$268; //@line 211 "color.c"
        var $270=HEAP[$img_addr]; //@line 212 "color.c"
        var $271=CHECK_OVERFLOW(($270+24)&4294967295, 32); //@line 212 "color.c"
        var $272=HEAP[$271]; //@line 212 "color.c"
        var $273=CHECK_OVERFLOW(($272+96)&4294967295, 32); //@line 212 "color.c"
        var $274=HEAP[$img_addr]; //@line 212 "color.c"
        var $275=CHECK_OVERFLOW(($274+24)&4294967295, 32); //@line 212 "color.c"
        var $276=HEAP[$275]; //@line 212 "color.c"
        var $277=CHECK_OVERFLOW(($276)&4294967295, 32); //@line 212 "color.c"
        var $278=CHECK_OVERFLOW(($277+4)&4294967295, 32); //@line 212 "color.c"
        var $279=HEAP[$278]; //@line 212 "color.c"
        var $280=CHECK_OVERFLOW(($273+4)&4294967295, 32); //@line 212 "color.c"
        HEAP[$280]=$279; //@line 212 "color.c"
        __label__ = 6; break; //@line 214 "color.c"
      case 6: // $return
        STACKTOP = __stackBase__;
        return; //@line 214 "color.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _color_sycc_to_rgb($img) {
    var __stackBase__  = STACKTOP; STACKTOP += 4; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 4);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $img_addr=__stackBase__;
        var $_alloca_point_=0;
        HEAP[$img_addr]=$img;
        var $0=HEAP[$img_addr]; //@line 218 "color.c"
        var $1=CHECK_OVERFLOW(($0+16)&4294967295, 32); //@line 218 "color.c"
        var $2=HEAP[$1]; //@line 218 "color.c"
        var $3=($2) <= 2; //@line 218 "color.c"
        if ($3) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 218 "color.c"
      case 0: // $bb
        var $4=HEAP[$img_addr]; //@line 220 "color.c"
        var $5=CHECK_OVERFLOW(($4+20)&4294967295, 32); //@line 220 "color.c"
        HEAP[$5]=2; //@line 220 "color.c"
        __label__ = 2; break; //@line 220 "color.c"
      case 1: // $bb1
        var $6=HEAP[$img_addr]; //@line 224 "color.c"
        var $7=CHECK_OVERFLOW(($6+24)&4294967295, 32); //@line 224 "color.c"
        var $8=HEAP[$7]; //@line 224 "color.c"
        var $9=CHECK_OVERFLOW(($8)&4294967295, 32); //@line 224 "color.c"
        var $10=CHECK_OVERFLOW(($9)&4294967295, 32); //@line 224 "color.c"
        var $11=HEAP[$10]; //@line 224 "color.c"
        var $12=($11)!=1; //@line 224 "color.c"
        if ($12) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 224 "color.c"
      case 4: // $bb2
        var $13=HEAP[$img_addr]; //@line 224 "color.c"
        var $14=CHECK_OVERFLOW(($13+24)&4294967295, 32); //@line 224 "color.c"
        var $15=HEAP[$14]; //@line 224 "color.c"
        var $16=CHECK_OVERFLOW(($15+48)&4294967295, 32); //@line 224 "color.c"
        var $17=CHECK_OVERFLOW(($16)&4294967295, 32); //@line 224 "color.c"
        var $18=HEAP[$17]; //@line 224 "color.c"
        var $19=($18)!=2; //@line 224 "color.c"
        if ($19) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 224 "color.c"
      case 5: // $bb3
        var $20=HEAP[$img_addr]; //@line 224 "color.c"
        var $21=CHECK_OVERFLOW(($20+24)&4294967295, 32); //@line 224 "color.c"
        var $22=HEAP[$21]; //@line 224 "color.c"
        var $23=CHECK_OVERFLOW(($22+96)&4294967295, 32); //@line 224 "color.c"
        var $24=CHECK_OVERFLOW(($23)&4294967295, 32); //@line 224 "color.c"
        var $25=HEAP[$24]; //@line 224 "color.c"
        var $26=($25)!=2; //@line 224 "color.c"
        if ($26) { __label__ = 3; break; } else { __label__ = 6; break; } //@line 224 "color.c"
      case 6: // $bb4
        var $27=HEAP[$img_addr]; //@line 224 "color.c"
        var $28=CHECK_OVERFLOW(($27+24)&4294967295, 32); //@line 224 "color.c"
        var $29=HEAP[$28]; //@line 224 "color.c"
        var $30=CHECK_OVERFLOW(($29)&4294967295, 32); //@line 224 "color.c"
        var $31=CHECK_OVERFLOW(($30+4)&4294967295, 32); //@line 224 "color.c"
        var $32=HEAP[$31]; //@line 224 "color.c"
        var $33=($32)!=1; //@line 224 "color.c"
        if ($33) { __label__ = 3; break; } else { __label__ = 7; break; } //@line 224 "color.c"
      case 7: // $bb5
        var $34=HEAP[$img_addr]; //@line 224 "color.c"
        var $35=CHECK_OVERFLOW(($34+24)&4294967295, 32); //@line 224 "color.c"
        var $36=HEAP[$35]; //@line 224 "color.c"
        var $37=CHECK_OVERFLOW(($36+48)&4294967295, 32); //@line 224 "color.c"
        var $38=CHECK_OVERFLOW(($37+4)&4294967295, 32); //@line 224 "color.c"
        var $39=HEAP[$38]; //@line 224 "color.c"
        var $40=($39)!=2; //@line 224 "color.c"
        if ($40) { __label__ = 3; break; } else { __label__ = 8; break; } //@line 224 "color.c"
      case 8: // $bb6
        var $41=HEAP[$img_addr]; //@line 224 "color.c"
        var $42=CHECK_OVERFLOW(($41+24)&4294967295, 32); //@line 224 "color.c"
        var $43=HEAP[$42]; //@line 224 "color.c"
        var $44=CHECK_OVERFLOW(($43+96)&4294967295, 32); //@line 224 "color.c"
        var $45=CHECK_OVERFLOW(($44+4)&4294967295, 32); //@line 224 "color.c"
        var $46=HEAP[$45]; //@line 224 "color.c"
        var $47=($46)!=2; //@line 224 "color.c"
        if ($47) { __label__ = 3; break; } else { __label__ = 9; break; } //@line 224 "color.c"
      case 9: // $bb7
        var $48=HEAP[$img_addr]; //@line 231 "color.c"
        _sycc420_to_rgb($48); //@line 231 "color.c"
        __label__ = 10; break; //@line 231 "color.c"
      case 3: // $bb8
        var $49=HEAP[$img_addr]; //@line 234 "color.c"
        var $50=CHECK_OVERFLOW(($49+24)&4294967295, 32); //@line 234 "color.c"
        var $51=HEAP[$50]; //@line 234 "color.c"
        var $52=CHECK_OVERFLOW(($51)&4294967295, 32); //@line 234 "color.c"
        var $53=CHECK_OVERFLOW(($52)&4294967295, 32); //@line 234 "color.c"
        var $54=HEAP[$53]; //@line 234 "color.c"
        var $55=($54)!=1; //@line 234 "color.c"
        if ($55) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 234 "color.c"
      case 12: // $bb9
        var $56=HEAP[$img_addr]; //@line 234 "color.c"
        var $57=CHECK_OVERFLOW(($56+24)&4294967295, 32); //@line 234 "color.c"
        var $58=HEAP[$57]; //@line 234 "color.c"
        var $59=CHECK_OVERFLOW(($58+48)&4294967295, 32); //@line 234 "color.c"
        var $60=CHECK_OVERFLOW(($59)&4294967295, 32); //@line 234 "color.c"
        var $61=HEAP[$60]; //@line 234 "color.c"
        var $62=($61)!=2; //@line 234 "color.c"
        if ($62) { __label__ = 11; break; } else { __label__ = 13; break; } //@line 234 "color.c"
      case 13: // $bb10
        var $63=HEAP[$img_addr]; //@line 234 "color.c"
        var $64=CHECK_OVERFLOW(($63+24)&4294967295, 32); //@line 234 "color.c"
        var $65=HEAP[$64]; //@line 234 "color.c"
        var $66=CHECK_OVERFLOW(($65+96)&4294967295, 32); //@line 234 "color.c"
        var $67=CHECK_OVERFLOW(($66)&4294967295, 32); //@line 234 "color.c"
        var $68=HEAP[$67]; //@line 234 "color.c"
        var $69=($68)!=2; //@line 234 "color.c"
        if ($69) { __label__ = 11; break; } else { __label__ = 14; break; } //@line 234 "color.c"
      case 14: // $bb11
        var $70=HEAP[$img_addr]; //@line 234 "color.c"
        var $71=CHECK_OVERFLOW(($70+24)&4294967295, 32); //@line 234 "color.c"
        var $72=HEAP[$71]; //@line 234 "color.c"
        var $73=CHECK_OVERFLOW(($72)&4294967295, 32); //@line 234 "color.c"
        var $74=CHECK_OVERFLOW(($73+4)&4294967295, 32); //@line 234 "color.c"
        var $75=HEAP[$74]; //@line 234 "color.c"
        var $76=($75)!=1; //@line 234 "color.c"
        if ($76) { __label__ = 11; break; } else { __label__ = 15; break; } //@line 234 "color.c"
      case 15: // $bb12
        var $77=HEAP[$img_addr]; //@line 234 "color.c"
        var $78=CHECK_OVERFLOW(($77+24)&4294967295, 32); //@line 234 "color.c"
        var $79=HEAP[$78]; //@line 234 "color.c"
        var $80=CHECK_OVERFLOW(($79+48)&4294967295, 32); //@line 234 "color.c"
        var $81=CHECK_OVERFLOW(($80+4)&4294967295, 32); //@line 234 "color.c"
        var $82=HEAP[$81]; //@line 234 "color.c"
        var $83=($82)!=1; //@line 234 "color.c"
        if ($83) { __label__ = 11; break; } else { __label__ = 16; break; } //@line 234 "color.c"
      case 16: // $bb13
        var $84=HEAP[$img_addr]; //@line 234 "color.c"
        var $85=CHECK_OVERFLOW(($84+24)&4294967295, 32); //@line 234 "color.c"
        var $86=HEAP[$85]; //@line 234 "color.c"
        var $87=CHECK_OVERFLOW(($86+96)&4294967295, 32); //@line 234 "color.c"
        var $88=CHECK_OVERFLOW(($87+4)&4294967295, 32); //@line 234 "color.c"
        var $89=HEAP[$88]; //@line 234 "color.c"
        var $90=($89)!=1; //@line 234 "color.c"
        if ($90) { __label__ = 11; break; } else { __label__ = 17; break; } //@line 234 "color.c"
      case 17: // $bb14
        var $91=HEAP[$img_addr]; //@line 241 "color.c"
        _sycc422_to_rgb($91); //@line 241 "color.c"
        __label__ = 10; break; //@line 241 "color.c"
      case 11: // $bb15
        var $92=HEAP[$img_addr]; //@line 244 "color.c"
        var $93=CHECK_OVERFLOW(($92+24)&4294967295, 32); //@line 244 "color.c"
        var $94=HEAP[$93]; //@line 244 "color.c"
        var $95=CHECK_OVERFLOW(($94)&4294967295, 32); //@line 244 "color.c"
        var $96=CHECK_OVERFLOW(($95)&4294967295, 32); //@line 244 "color.c"
        var $97=HEAP[$96]; //@line 244 "color.c"
        var $98=($97)!=1; //@line 244 "color.c"
        if ($98) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 244 "color.c"
      case 19: // $bb16
        var $99=HEAP[$img_addr]; //@line 244 "color.c"
        var $100=CHECK_OVERFLOW(($99+24)&4294967295, 32); //@line 244 "color.c"
        var $101=HEAP[$100]; //@line 244 "color.c"
        var $102=CHECK_OVERFLOW(($101+48)&4294967295, 32); //@line 244 "color.c"
        var $103=CHECK_OVERFLOW(($102)&4294967295, 32); //@line 244 "color.c"
        var $104=HEAP[$103]; //@line 244 "color.c"
        var $105=($104)!=1; //@line 244 "color.c"
        if ($105) { __label__ = 18; break; } else { __label__ = 20; break; } //@line 244 "color.c"
      case 20: // $bb17
        var $106=HEAP[$img_addr]; //@line 244 "color.c"
        var $107=CHECK_OVERFLOW(($106+24)&4294967295, 32); //@line 244 "color.c"
        var $108=HEAP[$107]; //@line 244 "color.c"
        var $109=CHECK_OVERFLOW(($108+96)&4294967295, 32); //@line 244 "color.c"
        var $110=CHECK_OVERFLOW(($109)&4294967295, 32); //@line 244 "color.c"
        var $111=HEAP[$110]; //@line 244 "color.c"
        var $112=($111)!=1; //@line 244 "color.c"
        if ($112) { __label__ = 18; break; } else { __label__ = 21; break; } //@line 244 "color.c"
      case 21: // $bb18
        var $113=HEAP[$img_addr]; //@line 244 "color.c"
        var $114=CHECK_OVERFLOW(($113+24)&4294967295, 32); //@line 244 "color.c"
        var $115=HEAP[$114]; //@line 244 "color.c"
        var $116=CHECK_OVERFLOW(($115)&4294967295, 32); //@line 244 "color.c"
        var $117=CHECK_OVERFLOW(($116+4)&4294967295, 32); //@line 244 "color.c"
        var $118=HEAP[$117]; //@line 244 "color.c"
        var $119=($118)!=1; //@line 244 "color.c"
        if ($119) { __label__ = 18; break; } else { __label__ = 22; break; } //@line 244 "color.c"
      case 22: // $bb19
        var $120=HEAP[$img_addr]; //@line 244 "color.c"
        var $121=CHECK_OVERFLOW(($120+24)&4294967295, 32); //@line 244 "color.c"
        var $122=HEAP[$121]; //@line 244 "color.c"
        var $123=CHECK_OVERFLOW(($122+48)&4294967295, 32); //@line 244 "color.c"
        var $124=CHECK_OVERFLOW(($123+4)&4294967295, 32); //@line 244 "color.c"
        var $125=HEAP[$124]; //@line 244 "color.c"
        var $126=($125)!=1; //@line 244 "color.c"
        if ($126) { __label__ = 18; break; } else { __label__ = 23; break; } //@line 244 "color.c"
      case 23: // $bb20
        var $127=HEAP[$img_addr]; //@line 244 "color.c"
        var $128=CHECK_OVERFLOW(($127+24)&4294967295, 32); //@line 244 "color.c"
        var $129=HEAP[$128]; //@line 244 "color.c"
        var $130=CHECK_OVERFLOW(($129+96)&4294967295, 32); //@line 244 "color.c"
        var $131=CHECK_OVERFLOW(($130+4)&4294967295, 32); //@line 244 "color.c"
        var $132=HEAP[$131]; //@line 244 "color.c"
        var $133=($132)!=1; //@line 244 "color.c"
        if ($133) { __label__ = 18; break; } else { __label__ = 24; break; } //@line 244 "color.c"
      case 24: // $bb21
        var $134=HEAP[$img_addr]; //@line 251 "color.c"
        _sycc444_to_rgb($134); //@line 251 "color.c"
        __label__ = 10; break; //@line 251 "color.c"
      case 18: // $bb22
        var $135=HEAP[_stderr]; //@line 255 "color.c"
        var $136=_fprintf($135, CHECK_OVERFLOW((__str96)&4294967295, 32), CHECK_OVERFLOW((__str197)&4294967295, 32), 256); //@line 255 "color.c"
        __label__ = 2; break; //@line 255 "color.c"
      case 10: // $bb23
        var $137=HEAP[$img_addr]; //@line 259 "color.c"
        var $138=CHECK_OVERFLOW(($137+20)&4294967295, 32); //@line 259 "color.c"
        HEAP[$138]=1; //@line 259 "color.c"
        __label__ = 2; break; //@line 259 "color.c"
      case 2: // $bb24
        __label__ = 25; break; //@line 221 "color.c"
      case 25: // $return
        STACKTOP = __stackBase__;
        return; //@line 221 "color.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _reset_options_reading() {
    ;
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        HEAP[_opterr]=1; //@line 64 "getopt.c"
        HEAP[_optind]=1; //@line 65 "getopt.c"
        __label__ = 0; break; //@line 66 "getopt.c"
      case 0: // $return
        ;
        return; //@line 66 "getopt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _getopt($nargc, $nargv, $ostr) {
    var __stackBase__  = STACKTOP; STACKTOP += 24; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 24);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $nargc_addr=__stackBase__;
        var $nargv_addr=__stackBase__+4;
        var $ostr_addr=__stackBase__+8;
        var $retval=__stackBase__+12;
        var $0=__stackBase__+16;
        var $oli=__stackBase__+20;
        var $_alloca_point_=0;
        HEAP[$nargc_addr]=$nargc;
        HEAP[$nargv_addr]=$nargv;
        HEAP[$ostr_addr]=$ostr;
        var $1=HEAP[_optreset]; //@line 77 "getopt.c"
        var $2=($1)!=0; //@line 77 "getopt.c"
        if ($2) { __label__ = 0; break; } else { __label__ = 1; break; } //@line 77 "getopt.c"
      case 1: // $bb
        var $3=HEAP[_place_2550]; //@line 77 "getopt.c"
        var $4=HEAP[$3]; //@line 77 "getopt.c"
        var $5=($4)==0; //@line 77 "getopt.c"
        if ($5) { __label__ = 0; break; } else { __label__ = 2; break; } //@line 77 "getopt.c"
      case 0: // $bb1
        HEAP[_optreset]=0; //@line 78 "getopt.c"
        var $6=HEAP[_optind]; //@line 79 "getopt.c"
        var $7=HEAP[$nargc_addr]; //@line 79 "getopt.c"
        var $8=($6) >= ($7); //@line 79 "getopt.c"
        if ($8) { __label__ = 3; break; } else { __label__ = 4; break; } //@line 79 "getopt.c"
      case 4: // $bb2
        var $9=HEAP[_optind]; //@line 79 "getopt.c"
        var $10=HEAP[$nargv_addr]; //@line 79 "getopt.c"
        var $11=CHECK_OVERFLOW(($10+4*$9)&4294967295, 32); //@line 79 "getopt.c"
        var $12=HEAP[$11]; //@line 79 "getopt.c"
        HEAP[_place_2550]=$12; //@line 79 "getopt.c"
        var $13=HEAP[_place_2550]; //@line 79 "getopt.c"
        var $14=HEAP[$13]; //@line 79 "getopt.c"
        var $15=($14)!=45; //@line 79 "getopt.c"
        if ($15) { __label__ = 3; break; } else { __label__ = 5; break; } //@line 79 "getopt.c"
      case 3: // $bb3
        HEAP[_place_2550]=CHECK_OVERFLOW((__str98)&4294967295, 32); //@line 80 "getopt.c"
        HEAP[$0]=-1; //@line 81 "getopt.c"
        __label__ = 6; break; //@line 81 "getopt.c"
      case 5: // $bb4
        var $16=HEAP[_place_2550]; //@line 83 "getopt.c"
        var $17=CHECK_OVERFLOW(($16+1)&4294967295, 32); //@line 83 "getopt.c"
        var $18=HEAP[$17]; //@line 83 "getopt.c"
        var $19=($18)!=0; //@line 83 "getopt.c"
        if ($19) { __label__ = 7; break; } else { __label__ = 2; break; } //@line 83 "getopt.c"
      case 7: // $bb5
        var $20=HEAP[_place_2550]; //@line 83 "getopt.c"
        var $21=CHECK_OVERFLOW(($20+1)&4294967295, 32); //@line 83 "getopt.c"
        HEAP[_place_2550]=$21; //@line 83 "getopt.c"
        var $22=HEAP[_place_2550]; //@line 83 "getopt.c"
        var $23=HEAP[$22]; //@line 83 "getopt.c"
        var $24=($23)==45; //@line 83 "getopt.c"
        if ($24) { __label__ = 8; break; } else { __label__ = 2; break; } //@line 83 "getopt.c"
      case 8: // $bb6
        var $25=HEAP[_optind]; //@line 84 "getopt.c"
        var $26=CHECK_OVERFLOW((($25) + 1)&4294967295, 32); //@line 84 "getopt.c"
        HEAP[_optind]=$26; //@line 84 "getopt.c"
        HEAP[_place_2550]=CHECK_OVERFLOW((__str98)&4294967295, 32); //@line 85 "getopt.c"
        HEAP[$0]=-1; //@line 86 "getopt.c"
        __label__ = 6; break; //@line 86 "getopt.c"
      case 2: // $bb7
        var $27=HEAP[_place_2550]; //@line 89 "getopt.c"
        var $28=HEAP[$27]; //@line 89 "getopt.c"
        var $29=($28); //@line 89 "getopt.c"
        HEAP[_optopt]=$29; //@line 89 "getopt.c"
        var $30=HEAP[_optopt]; //@line 89 "getopt.c"
        var $31=($30)==58; //@line 89 "getopt.c"
        var $32=($31); //@line 89 "getopt.c"
        var $33=CHECK_OVERFLOW(($27+1)&4294967295, 32); //@line 89 "getopt.c"
        HEAP[_place_2550]=$33; //@line 89 "getopt.c"
        var $toBool=($32)!=0; //@line 89 "getopt.c"
        if ($toBool) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 89 "getopt.c"
      case 10: // $bb8
        var $34=HEAP[_optopt]; //@line 89 "getopt.c"
        var $35=HEAP[$ostr_addr]; //@line 89 "getopt.c"
        var $36=_strchr($35, $34); //@line 89 "getopt.c"
        HEAP[$oli]=$36; //@line 89 "getopt.c"
        var $37=HEAP[$oli]; //@line 89 "getopt.c"
        var $38=($37)==0; //@line 89 "getopt.c"
        if ($38) { __label__ = 9; break; } else { __label__ = 11; break; } //@line 89 "getopt.c"
      case 9: // $bb9
        var $39=HEAP[_optopt]; //@line 95 "getopt.c"
        var $40=($39)==45; //@line 95 "getopt.c"
        if ($40) { __label__ = 12; break; } else { __label__ = 13; break; } //@line 95 "getopt.c"
      case 12: // $bb10
        HEAP[$0]=-1; //@line 96 "getopt.c"
        __label__ = 6; break; //@line 96 "getopt.c"
      case 13: // $bb11
        var $41=HEAP[_place_2550]; //@line 97 "getopt.c"
        var $42=HEAP[$41]; //@line 97 "getopt.c"
        var $43=($42)==0; //@line 97 "getopt.c"
        if ($43) { __label__ = 14; break; } else { __label__ = 15; break; } //@line 97 "getopt.c"
      case 14: // $bb12
        var $44=HEAP[_optind]; //@line 98 "getopt.c"
        var $45=CHECK_OVERFLOW((($44) + 1)&4294967295, 32); //@line 98 "getopt.c"
        HEAP[_optind]=$45; //@line 98 "getopt.c"
        __label__ = 15; break; //@line 98 "getopt.c"
      case 15: // $bb13
        var $46=HEAP[_opterr]; //@line 99 "getopt.c"
        var $47=($46)!=0; //@line 99 "getopt.c"
        if ($47) { __label__ = 16; break; } else { __label__ = 11; break; } //@line 99 "getopt.c"
      case 16: // $bb14
        var $48=HEAP[$ostr_addr]; //@line 99 "getopt.c"
        var $49=HEAP[$48]; //@line 99 "getopt.c"
        var $50=($49)!=58; //@line 99 "getopt.c"
        if ($50) { __label__ = 17; break; } else { __label__ = 11; break; } //@line 99 "getopt.c"
      case 17: // $bb15
        var $51=HEAP[_optopt]; //@line 100 "getopt.c"
        var $52=HEAP[$nargv_addr]; //@line 100 "getopt.c"
        var $53=CHECK_OVERFLOW(($52)&4294967295, 32); //@line 100 "getopt.c"
        var $54=HEAP[$53]; //@line 100 "getopt.c"
        var $55=HEAP[_stderr]; //@line 100 "getopt.c"
        var $56=_fprintf($55, CHECK_OVERFLOW((__str199)&4294967295, 32), $54, $51); //@line 100 "getopt.c"
        HEAP[$0]=63; //@line 102 "getopt.c"
        __label__ = 6; break; //@line 102 "getopt.c"
      case 11: // $bb16
        var $57=HEAP[$oli]; //@line 105 "getopt.c"
        var $58=CHECK_OVERFLOW(($57+1)&4294967295, 32); //@line 105 "getopt.c"
        HEAP[$oli]=$58; //@line 105 "getopt.c"
        var $59=HEAP[$oli]; //@line 105 "getopt.c"
        var $60=HEAP[$59]; //@line 105 "getopt.c"
        var $61=($60)!=58; //@line 105 "getopt.c"
        if ($61) { __label__ = 18; break; } else { __label__ = 19; break; } //@line 105 "getopt.c"
      case 18: // $bb17
        HEAP[_optarg]=0; //@line 106 "getopt.c"
        var $62=HEAP[_place_2550]; //@line 107 "getopt.c"
        var $63=HEAP[$62]; //@line 107 "getopt.c"
        var $64=($63)==0; //@line 107 "getopt.c"
        if ($64) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 107 "getopt.c"
      case 20: // $bb18
        var $65=HEAP[_optind]; //@line 108 "getopt.c"
        var $66=CHECK_OVERFLOW((($65) + 1)&4294967295, 32); //@line 108 "getopt.c"
        HEAP[_optind]=$66; //@line 108 "getopt.c"
        __label__ = 21; break; //@line 108 "getopt.c"
      case 21: // $bb19
        __label__ = 22; break; //@line 108 "getopt.c"
      case 19: // $bb20
        var $67=HEAP[_place_2550]; //@line 110 "getopt.c"
        var $68=HEAP[$67]; //@line 110 "getopt.c"
        var $69=($68)!=0; //@line 110 "getopt.c"
        if ($69) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 110 "getopt.c"
      case 23: // $bb21
        var $70=HEAP[_place_2550]; //@line 111 "getopt.c"
        HEAP[_optarg]=$70; //@line 111 "getopt.c"
        __label__ = 25; break; //@line 111 "getopt.c"
      case 24: // $bb22
        var $71=HEAP[_optind]; //@line 112 "getopt.c"
        var $72=CHECK_OVERFLOW((($71) + 1)&4294967295, 32); //@line 112 "getopt.c"
        HEAP[_optind]=$72; //@line 112 "getopt.c"
        var $73=HEAP[_optind]; //@line 112 "getopt.c"
        var $74=HEAP[$nargc_addr]; //@line 112 "getopt.c"
        var $75=($73) >= ($74); //@line 112 "getopt.c"
        if ($75) { __label__ = 26; break; } else { __label__ = 27; break; } //@line 112 "getopt.c"
      case 26: // $bb23
        HEAP[_place_2550]=CHECK_OVERFLOW((__str98)&4294967295, 32); //@line 113 "getopt.c"
        var $76=HEAP[$ostr_addr]; //@line 114 "getopt.c"
        var $77=HEAP[$76]; //@line 114 "getopt.c"
        var $78=($77)==58; //@line 114 "getopt.c"
        if ($78) { __label__ = 28; break; } else { __label__ = 29; break; } //@line 114 "getopt.c"
      case 28: // $bb24
        HEAP[$0]=58; //@line 115 "getopt.c"
        __label__ = 6; break; //@line 115 "getopt.c"
      case 29: // $bb25
        var $79=HEAP[_opterr]; //@line 116 "getopt.c"
        var $80=($79)!=0; //@line 116 "getopt.c"
        if ($80) { __label__ = 30; break; } else { __label__ = 31; break; } //@line 116 "getopt.c"
      case 30: // $bb26
        var $81=HEAP[_optopt]; //@line 117 "getopt.c"
        var $82=HEAP[$nargv_addr]; //@line 117 "getopt.c"
        var $83=CHECK_OVERFLOW(($82)&4294967295, 32); //@line 117 "getopt.c"
        var $84=HEAP[$83]; //@line 117 "getopt.c"
        var $85=HEAP[_stderr]; //@line 117 "getopt.c"
        var $86=_fprintf($85, CHECK_OVERFLOW((__str2100)&4294967295, 32), $84, $81); //@line 117 "getopt.c"
        HEAP[$0]=63; //@line 120 "getopt.c"
        __label__ = 6; break; //@line 120 "getopt.c"
      case 31: // $bb27
        __label__ = 25; break; //@line 120 "getopt.c"
      case 27: // $bb28
        var $87=HEAP[_optind]; //@line 123 "getopt.c"
        var $88=HEAP[$nargv_addr]; //@line 123 "getopt.c"
        var $89=CHECK_OVERFLOW(($88+4*$87)&4294967295, 32); //@line 123 "getopt.c"
        var $90=HEAP[$89]; //@line 123 "getopt.c"
        HEAP[_optarg]=$90; //@line 123 "getopt.c"
        __label__ = 25; break; //@line 123 "getopt.c"
      case 25: // $bb29
        HEAP[_place_2550]=CHECK_OVERFLOW((__str98)&4294967295, 32); //@line 124 "getopt.c"
        var $91=HEAP[_optind]; //@line 125 "getopt.c"
        var $92=CHECK_OVERFLOW((($91) + 1)&4294967295, 32); //@line 125 "getopt.c"
        HEAP[_optind]=$92; //@line 125 "getopt.c"
        __label__ = 22; break; //@line 125 "getopt.c"
      case 22: // $bb30
        var $93=HEAP[_optopt]; //@line 127 "getopt.c"
        HEAP[$0]=$93; //@line 127 "getopt.c"
        __label__ = 6; break; //@line 127 "getopt.c"
      case 6: // $bb31
        var $94=HEAP[$0]; //@line 81 "getopt.c"
        HEAP[$retval]=$94; //@line 81 "getopt.c"
        __label__ = 32; break; //@line 81 "getopt.c"
      case 32: // $return
        var $retval32=HEAP[$retval]; //@line 81 "getopt.c"
        STACKTOP = __stackBase__;
        return $retval32; //@line 81 "getopt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  

  function _getopt_long($argc, $argv, $optstring, $longopts, $totlen) {
    var __stackBase__  = STACKTOP; STACKTOP += 49; assert(STACKTOP < STACK_MAX); _memset(__stackBase__, 0, 49);
    var __label__;
    __label__ = -1; 
    while(1) switch(__label__) {
      case -1: // $entry
        var $argc_addr=__stackBase__;
        var $argv_addr=__stackBase__+4;
        var $optstring_addr=__stackBase__+8;
        var $longopts_addr=__stackBase__+12;
        var $totlen_addr=__stackBase__+16;
        var $retval=__stackBase__+20;
        var $0=__stackBase__+24;
        var $tmp=__stackBase__+28;
        var $i=__stackBase__+32;
        var $len=__stackBase__+36;
        var $param=__stackBase__+40;
        var $arg=__stackBase__+41;
        var $o=__stackBase__+45;
        var $_alloca_point_=0;
        HEAP[$argc_addr]=$argc;
        HEAP[$argv_addr]=$argv;
        HEAP[$optstring_addr]=$optstring;
        HEAP[$longopts_addr]=$longopts;
        HEAP[$totlen_addr]=$totlen;
        HEAP[$param]=1; //@line 136 "getopt.c"
        __label__ = 0; break; //@line 138 "getopt.c"
      case 0: // $again
        var $1=HEAP[_optind]; //@line 139 "getopt.c"
        var $2=HEAP[$argc_addr]; //@line 139 "getopt.c"
        var $3=($1) >= ($2); //@line 139 "getopt.c"
        if ($3) { __label__ = 1; break; } else { __label__ = 2; break; } //@line 139 "getopt.c"
      case 2: // $bb
        var $4=HEAP[_optind]; //@line 139 "getopt.c"
        var $5=HEAP[$argv_addr]; //@line 139 "getopt.c"
        var $6=CHECK_OVERFLOW(($5+4*$4)&4294967295, 32); //@line 139 "getopt.c"
        var $7=HEAP[$6]; //@line 139 "getopt.c"
        var $8=($7)==0; //@line 139 "getopt.c"
        if ($8) { __label__ = 1; break; } else { __label__ = 3; break; } //@line 139 "getopt.c"
      case 3: // $bb1
        var $9=HEAP[_optind]; //@line 139 "getopt.c"
        var $10=HEAP[$argv_addr]; //@line 139 "getopt.c"
        var $11=CHECK_OVERFLOW(($10+4*$9)&4294967295, 32); //@line 139 "getopt.c"
        var $12=HEAP[$11]; //@line 139 "getopt.c"
        var $13=HEAP[$12]; //@line 139 "getopt.c"
        var $14=($13)!=45; //@line 139 "getopt.c"
        if ($14) { __label__ = 1; break; } else { __label__ = 4; break; } //@line 139 "getopt.c"
      case 1: // $bb2
        HEAP[$0]=-1; //@line 140 "getopt.c"
        __label__ = 5; break; //@line 140 "getopt.c"
      case 4: // $bb3
        var $15=HEAP[_optind]; //@line 142 "getopt.c"
        var $16=HEAP[$argv_addr]; //@line 142 "getopt.c"
        var $17=CHECK_OVERFLOW(($16+4*$15)&4294967295, 32); //@line 142 "getopt.c"
        var $18=HEAP[$17]; //@line 142 "getopt.c"
        var $19=CHECK_OVERFLOW(($18)&4294967295, 32); //@line 142 "getopt.c"
        var $20=HEAP[$19]; //@line 142 "getopt.c"
        var $21=($20)==45; //@line 142 "getopt.c"
        if ($21) { __label__ = 6; break; } else { __label__ = 7; break; } //@line 142 "getopt.c"
      case 6: // $bb4
        var $22=HEAP[_optind]; //@line 142 "getopt.c"
        var $23=HEAP[$argv_addr]; //@line 142 "getopt.c"
        var $24=CHECK_OVERFLOW(($23+4*$22)&4294967295, 32); //@line 142 "getopt.c"
        var $25=HEAP[$24]; //@line 142 "getopt.c"
        var $26=CHECK_OVERFLOW(($25+1)&4294967295, 32); //@line 142 "getopt.c"
        var $27=HEAP[$26]; //@line 142 "getopt.c"
        var $28=($27)==0; //@line 142 "getopt.c"
        if ($28) { __label__ = 8; break; } else { __label__ = 7; break; } //@line 142 "getopt.c"
      case 8: // $bb5
        var $29=HEAP[$argc_addr]; //@line 143 "getopt.c"
        var $30=CHECK_OVERFLOW((($29) - 1)&4294967295, 32); //@line 143 "getopt.c"
        var $31=HEAP[_optind]; //@line 143 "getopt.c"
        var $32=($30) <= ($31); //@line 143 "getopt.c"
        if ($32) { __label__ = 9; break; } else { __label__ = 10; break; } //@line 143 "getopt.c"
      case 9: // $bb6
        HEAP[$param]=0; //@line 144 "getopt.c"
        __label__ = 7; break; //@line 144 "getopt.c"
      case 10: // $bb7
        var $33=HEAP[_optind]; //@line 147 "getopt.c"
        var $34=CHECK_OVERFLOW((($33) + 1)&4294967295, 32); //@line 147 "getopt.c"
        var $35=HEAP[$argv_addr]; //@line 147 "getopt.c"
        var $36=CHECK_OVERFLOW(($35+4*$34)&4294967295, 32); //@line 147 "getopt.c"
        var $37=HEAP[$36]; //@line 147 "getopt.c"
        var $38=CHECK_OVERFLOW(($37)&4294967295, 32); //@line 147 "getopt.c"
        var $39=HEAP[$38]; //@line 147 "getopt.c"
        var $40=($39)==45; //@line 147 "getopt.c"
        if ($40) { __label__ = 11; break; } else { __label__ = 12; break; } //@line 147 "getopt.c"
      case 11: // $bb8
        HEAP[$param]=0; //@line 148 "getopt.c"
        __label__ = 7; break; //@line 148 "getopt.c"
      case 12: // $bb9
        HEAP[$param]=2; //@line 151 "getopt.c"
        __label__ = 7; break; //@line 151 "getopt.c"
      case 7: // $bb10
        var $41=HEAP[$param]; //@line 156 "getopt.c"
        var $42=($41)==0; //@line 156 "getopt.c"
        if ($42) { __label__ = 13; break; } else { __label__ = 14; break; } //@line 156 "getopt.c"
      case 13: // $bb11
        var $43=HEAP[_optind]; //@line 157 "getopt.c"
        var $44=CHECK_OVERFLOW((($43) + 1)&4294967295, 32); //@line 157 "getopt.c"
        HEAP[_optind]=$44; //@line 157 "getopt.c"
        HEAP[$0]=63; //@line 158 "getopt.c"
        __label__ = 5; break; //@line 158 "getopt.c"
      case 14: // $bb12
        var $45=HEAP[_optind]; //@line 161 "getopt.c"
        var $46=HEAP[$argv_addr]; //@line 161 "getopt.c"
        var $47=CHECK_OVERFLOW(($46+4*$45)&4294967295, 32); //@line 161 "getopt.c"
        var $48=HEAP[$47]; //@line 161 "getopt.c"
        var $49=CHECK_OVERFLOW(($48)&4294967295, 32); //@line 161 "getopt.c"
        var $50=HEAP[$49]; //@line 161 "getopt.c"
        var $51=($50)==45; //@line 161 "getopt.c"
        if ($51) { __label__ = 15; break; } else { __label__ = 16; break; } //@line 161 "getopt.c"
      case 15: // $bb13
        var $52=HEAP[_optind]; //@line 162 "getopt.c"
        var $53=HEAP[$argv_addr]; //@line 162 "getopt.c"
        var $54=CHECK_OVERFLOW(($53+4*$52)&4294967295, 32); //@line 162 "getopt.c"
        var $55=HEAP[$54]; //@line 162 "getopt.c"
        var $56=CHECK_OVERFLOW(($55+1)&4294967295, 32); //@line 162 "getopt.c"
        HEAP[$arg]=$56; //@line 162 "getopt.c"
        var $57=HEAP[$longopts_addr]; //@line 164 "getopt.c"
        HEAP[$o]=$57; //@line 164 "getopt.c"
        HEAP[$len]=16; //@line 165 "getopt.c"
        var $58=HEAP[$param]; //@line 167 "getopt.c"
        var $59=($58) > 1; //@line 167 "getopt.c"
        if ($59) { __label__ = 17; break; } else { __label__ = 18; break; } //@line 167 "getopt.c"
      case 17: // $bb14
        var $60=HEAP[_optind]; //@line 168 "getopt.c"
        var $61=CHECK_OVERFLOW((($60) + 1)&4294967295, 32); //@line 168 "getopt.c"
        var $62=HEAP[$argv_addr]; //@line 168 "getopt.c"
        var $63=CHECK_OVERFLOW(($62+4*$61)&4294967295, 32); //@line 168 "getopt.c"
        var $64=HEAP[$63]; //@line 168 "getopt.c"
        HEAP[$arg]=$64; //@line 168 "getopt.c"
        var $65=HEAP[_optind]; //@line 169 "getopt.c"
        var $66=CHECK_OVERFLOW((($65) + 1)&4294967295, 32); //@line 169 "getopt.c"
        HEAP[_optind]=$66; //@line 169 "getopt.c"
        __label__ = 19; break; //@line 169 "getopt.c"
      case 18: // $bb15
        var $67=HEAP[_optind]; //@line 172 "getopt.c"
        var $68=HEAP[$argv_addr]; //@line 172 "getopt.c"
        var $69=CHECK_OVERFLOW(($68+4*$67)&4294967295, 32); //@line 172 "getopt.c"
        var $70=HEAP[$69]; //@line 172 "getopt.c"
        var $71=CHECK_OVERFLOW(($70+1)&4294967295, 32); //@line 172 "getopt.c"
        HEAP[$arg]=$71; //@line 172 "getopt.c"
        __label__ = 19; break; //@line 172 "getopt.c"
      case 19: // $bb16
        var $72=HEAP[$arg]; //@line 174 "getopt.c"
        var $73=_strlen($72); //@line 174 "getopt.c"
        var $74=($73) > 1; //@line 174 "getopt.c"
        if ($74) { __label__ = 20; break; } else { __label__ = 21; break; } //@line 174 "getopt.c"
      case 20: // $bb17
        HEAP[$i]=0; //@line 175 "getopt.c"
        __label__ = 22; break; //@line 175 "getopt.c"
      case 41: // $bb18
        var $75=HEAP[$o]; //@line 176 "getopt.c"
        var $76=CHECK_OVERFLOW(($75)&4294967295, 32); //@line 176 "getopt.c"
        var $77=HEAP[$76]; //@line 176 "getopt.c"
        var $78=HEAP[$arg]; //@line 176 "getopt.c"
        var $79=_strcmp($77, $78); //@line 176 "getopt.c"
        var $80=($79)==0; //@line 176 "getopt.c"
        if ($80) { __label__ = 23; break; } else { __label__ = 24; break; } //@line 176 "getopt.c"
      case 23: // $bb19
        var $81=HEAP[$o]; //@line 177 "getopt.c"
        var $82=CHECK_OVERFLOW(($81+4)&4294967295, 32); //@line 177 "getopt.c"
        var $83=HEAP[$82]; //@line 177 "getopt.c"
        var $84=($83)==0; //@line 177 "getopt.c"
        if ($84) { __label__ = 25; break; } else { __label__ = 26; break; } //@line 177 "getopt.c"
      case 25: // $bb20
        var $85=HEAP[_optind]; //@line 178 "getopt.c"
        var $86=CHECK_OVERFLOW((($85) + 1)&4294967295, 32); //@line 178 "getopt.c"
        var $87=HEAP[$argv_addr]; //@line 178 "getopt.c"
        var $88=CHECK_OVERFLOW(($87+4*$86)&4294967295, 32); //@line 178 "getopt.c"
        var $89=HEAP[$88]; //@line 178 "getopt.c"
        var $90=($89)!=0; //@line 178 "getopt.c"
        if ($90) { __label__ = 27; break; } else { __label__ = 28; break; } //@line 178 "getopt.c"
      case 27: // $bb21
        var $91=HEAP[_optind]; //@line 178 "getopt.c"
        var $92=CHECK_OVERFLOW((($91) + 1)&4294967295, 32); //@line 178 "getopt.c"
        var $93=HEAP[$argv_addr]; //@line 178 "getopt.c"
        var $94=CHECK_OVERFLOW(($93+4*$92)&4294967295, 32); //@line 178 "getopt.c"
        var $95=HEAP[$94]; //@line 178 "getopt.c"
        var $96=CHECK_OVERFLOW(($95)&4294967295, 32); //@line 178 "getopt.c"
        var $97=HEAP[$96]; //@line 178 "getopt.c"
        var $98=($97)!=45; //@line 178 "getopt.c"
        if ($98) { __label__ = 29; break; } else { __label__ = 28; break; } //@line 178 "getopt.c"
      case 29: // $bb22
        var $99=HEAP[_optind]; //@line 179 "getopt.c"
        var $100=CHECK_OVERFLOW((($99) + 1)&4294967295, 32); //@line 179 "getopt.c"
        var $101=HEAP[$argv_addr]; //@line 179 "getopt.c"
        var $102=CHECK_OVERFLOW(($101+4*$100)&4294967295, 32); //@line 179 "getopt.c"
        var $103=HEAP[$102]; //@line 179 "getopt.c"
        var $104=HEAP[_stderr]; //@line 179 "getopt.c"
        var $105=HEAP[$arg]; //@line 179 "getopt.c"
        var $106=_fprintf($104, CHECK_OVERFLOW((__str3101)&4294967295, 32), $105, $103); //@line 179 "getopt.c"
        var $107=HEAP[_optind]; //@line 180 "getopt.c"
        var $108=CHECK_OVERFLOW((($107) + 1)&4294967295, 32); //@line 180 "getopt.c"
        HEAP[_optind]=$108; //@line 180 "getopt.c"
        __label__ = 28; break; //@line 180 "getopt.c"
      case 28: // $bb23
        __label__ = 30; break; //@line 180 "getopt.c"
      case 26: // $bb24
        var $109=HEAP[_optind]; //@line 183 "getopt.c"
        var $110=CHECK_OVERFLOW((($109) + 1)&4294967295, 32); //@line 183 "getopt.c"
        var $111=HEAP[$argv_addr]; //@line 183 "getopt.c"
        var $112=CHECK_OVERFLOW(($111+4*$110)&4294967295, 32); //@line 183 "getopt.c"
        var $113=HEAP[$112]; //@line 183 "getopt.c"
        HEAP[_optarg]=$113; //@line 183 "getopt.c"
        var $114=HEAP[_optarg]; //@line 184 "getopt.c"
        var $115=($114)!=0; //@line 184 "getopt.c"
        if ($115) { __label__ = 31; break; } else { __label__ = 32; break; } //@line 184 "getopt.c"
      case 31: // $bb25
        var $116=HEAP[_optarg]; //@line 185 "getopt.c"
        var $117=CHECK_OVERFLOW(($116)&4294967295, 32); //@line 185 "getopt.c"
        var $118=HEAP[$117]; //@line 185 "getopt.c"
        var $119=($118)==45; //@line 185 "getopt.c"
        if ($119) { __label__ = 33; break; } else { __label__ = 32; break; } //@line 185 "getopt.c"
      case 33: // $bb26
        var $120=HEAP[_opterr]; //@line 186 "getopt.c"
        var $121=($120)!=0; //@line 186 "getopt.c"
        if ($121) { __label__ = 34; break; } else { __label__ = 32; break; } //@line 186 "getopt.c"
      case 34: // $bb27
        var $122=HEAP[_stderr]; //@line 187 "getopt.c"
        var $123=HEAP[$arg]; //@line 187 "getopt.c"
        var $124=_fprintf($122, CHECK_OVERFLOW((__str4102)&4294967295, 32), $123); //@line 187 "getopt.c"
        HEAP[$0]=63; //@line 188 "getopt.c"
        __label__ = 5; break; //@line 188 "getopt.c"
      case 32: // $bb28
        var $125=HEAP[_optarg]; //@line 192 "getopt.c"
        var $126=($125)==0; //@line 192 "getopt.c"
        if ($126) { __label__ = 35; break; } else { __label__ = 36; break; } //@line 192 "getopt.c"
      case 35: // $bb29
        var $127=HEAP[$o]; //@line 192 "getopt.c"
        var $128=CHECK_OVERFLOW(($127+4)&4294967295, 32); //@line 192 "getopt.c"
        var $129=HEAP[$128]; //@line 192 "getopt.c"
        var $130=($129)==1; //@line 192 "getopt.c"
        if ($130) { __label__ = 37; break; } else { __label__ = 36; break; } //@line 192 "getopt.c"
      case 37: // $bb30
        var $131=HEAP[_opterr]; //@line 193 "getopt.c"
        var $132=($131)!=0; //@line 193 "getopt.c"
        if ($132) { __label__ = 38; break; } else { __label__ = 36; break; } //@line 193 "getopt.c"
      case 38: // $bb31
        var $133=HEAP[_stderr]; //@line 194 "getopt.c"
        var $134=HEAP[$arg]; //@line 194 "getopt.c"
        var $135=_fprintf($133, CHECK_OVERFLOW((__str5103)&4294967295, 32), $134); //@line 194 "getopt.c"
        HEAP[$0]=63; //@line 195 "getopt.c"
        __label__ = 5; break; //@line 195 "getopt.c"
      case 36: // $bb32
        var $136=HEAP[_optind]; //@line 198 "getopt.c"
        var $137=CHECK_OVERFLOW((($136) + 1)&4294967295, 32); //@line 198 "getopt.c"
        HEAP[_optind]=$137; //@line 198 "getopt.c"
        __label__ = 30; break; //@line 198 "getopt.c"
      case 30: // $bb33
        var $138=HEAP[_optind]; //@line 200 "getopt.c"
        var $139=CHECK_OVERFLOW((($138) + 1)&4294967295, 32); //@line 200 "getopt.c"
        HEAP[_optind]=$139; //@line 200 "getopt.c"
        var $140=HEAP[$o]; //@line 201 "getopt.c"
        var $141=CHECK_OVERFLOW(($140+8)&4294967295, 32); //@line 201 "getopt.c"
        var $142=HEAP[$141]; //@line 201 "getopt.c"
        var $143=($142)!=0; //@line 201 "getopt.c"
        if ($143) { __label__ = 39; break; } else { __label__ = 40; break; } //@line 201 "getopt.c"
      case 39: // $bb34
        var $144=HEAP[$o]; //@line 202 "getopt.c"
        var $145=CHECK_OVERFLOW(($144+8)&4294967295, 32); //@line 202 "getopt.c"
        var $146=HEAP[$145]; //@line 202 "getopt.c"
        var $147=HEAP[$o]; //@line 202 "getopt.c"
        var $148=CHECK_OVERFLOW(($147+12)&4294967295, 32); //@line 202 "getopt.c"
        var $149=HEAP[$148]; //@line 202 "getopt.c"
        HEAP[$146]=$149; //@line 202 "getopt.c"
        HEAP[$0]=0; //@line 205 "getopt.c"
        __label__ = 5; break; //@line 205 "getopt.c"
      case 40: // $bb35
        var $150=HEAP[$o]; //@line 204 "getopt.c"
        var $151=CHECK_OVERFLOW(($150+12)&4294967295, 32); //@line 204 "getopt.c"
        var $152=HEAP[$151]; //@line 204 "getopt.c"
        HEAP[$0]=$152; //@line 204 "getopt.c"
        __label__ = 5; break; //@line 204 "getopt.c"
      case 24: // $bb36
        var $153=HEAP[$i]; //@line 175 "getopt.c"
        var $154=HEAP[$len]; //@line 175 "getopt.c"
        var $155=CHECK_OVERFLOW((($153) + ($154))&4294967295, 32); //@line 175 "getopt.c"
        HEAP[$i]=$155; //@line 175 "getopt.c"
        var $156=HEAP[$o]; //@line 175 "getopt.c"
        var $157=CHECK_OVERFLOW(($156+16)&4294967295, 32); //@line 175 "getopt.c"
        HEAP[$o]=$157; //@line 175 "getopt.c"
        __label__ = 22; break; //@line 175 "getopt.c"
      case 22: // $bb37
        var $158=HEAP[$i]; //@line 175 "getopt.c"
        var $159=HEAP[$totlen_addr]; //@line 175 "getopt.c"
        var $160=($158) < ($159); //@line 175 "getopt.c"
        if ($160) { __label__ = 41; break; } else { __label__ = 42; break; } //@line 175 "getopt.c"
      case 42: // $bb38
        var $161=HEAP[_stderr]; //@line 208 "getopt.c"
        var $162=HEAP[$arg]; //@line 208 "getopt.c"
        var $163=_fprintf($161, CHECK_OVERFLOW((__str6104)&4294967295, 32), $162); //@line 208 "getopt.c"
        var $164=HEAP[_optind]; //@line 209 "getopt.c"
        var $165=CHECK_OVERFLOW((($164) + 1)&4294967295, 32); //@line 209 "getopt.c"
        HEAP[_optind]=$165; //@line 209 "getopt.c"
        HEAP[$0]=63; //@line 210 "getopt.c"
        __label__ = 5; break; //@line 210 "getopt.c"
      case 21: // $bb39
        var $166=HEAP[$optstring_addr]; //@line 212 "getopt.c"
        var $167=HEAP[$166]; //@line 212 "getopt.c"
        var $168=($167)==58; //@line 212 "getopt.c"
        if ($168) { __label__ = 43; break; } else { __label__ = 44; break; } //@line 212 "getopt.c"
      case 43: // $bb40
        HEAP[$0]=58; //@line 212 "getopt.c"
        __label__ = 5; break; //@line 212 "getopt.c"
      case 44: // $bb41
        var $169=HEAP[_lastidx_2650]; //@line 213 "getopt.c"
        var $170=HEAP[_optind]; //@line 213 "getopt.c"
        var $171=($169)!=($170); //@line 213 "getopt.c"
        if ($171) { __label__ = 45; break; } else { __label__ = 46; break; } //@line 213 "getopt.c"
      case 45: // $bb42
        var $172=HEAP[_optind]; //@line 214 "getopt.c"
        HEAP[_lastidx_2650]=$172; //@line 214 "getopt.c"
        HEAP[_lastofs_2651]=0; //@line 214 "getopt.c"
        __label__ = 46; break; //@line 214 "getopt.c"
      case 46: // $bb43
        var $173=HEAP[_optind]; //@line 216 "getopt.c"
        var $174=HEAP[$argv_addr]; //@line 216 "getopt.c"
        var $175=CHECK_OVERFLOW(($174+4*$173)&4294967295, 32); //@line 216 "getopt.c"
        var $176=HEAP[$175]; //@line 216 "getopt.c"
        var $177=HEAP[_lastofs_2651]; //@line 216 "getopt.c"
        var $178=CHECK_OVERFLOW((($177) + 1)&4294967295, 32); //@line 216 "getopt.c"
        var $179=CHECK_OVERFLOW(($176+$178)&4294967295, 32); //@line 216 "getopt.c"
        var $180=HEAP[$179]; //@line 216 "getopt.c"
        var $181=($180); //@line 216 "getopt.c"
        HEAP[_optopt]=$181; //@line 216 "getopt.c"
        var $182=HEAP[_optopt]; //@line 217 "getopt.c"
        var $183=HEAP[$optstring_addr]; //@line 217 "getopt.c"
        var $184=_strchr($183, $182); //@line 217 "getopt.c"
        HEAP[$tmp]=$184; //@line 217 "getopt.c"
        var $185=HEAP[$tmp]; //@line 217 "getopt.c"
        var $186=($185)!=0; //@line 217 "getopt.c"
        if ($186) { __label__ = 47; break; } else { __label__ = 48; break; } //@line 217 "getopt.c"
      case 47: // $bb44
        var $187=HEAP[$tmp]; //@line 218 "getopt.c"
        var $188=HEAP[$187]; //@line 218 "getopt.c"
        var $189=($188)==0; //@line 218 "getopt.c"
        if ($189) { __label__ = 49; break; } else { __label__ = 50; break; } //@line 218 "getopt.c"
      case 49: // $bb45
        var $190=HEAP[_optind]; //@line 219 "getopt.c"
        var $191=CHECK_OVERFLOW((($190) + 1)&4294967295, 32); //@line 219 "getopt.c"
        HEAP[_optind]=$191; //@line 219 "getopt.c"
        __label__ = 0; break; //@line 219 "getopt.c"
      case 50: // $bb46
        var $192=HEAP[$tmp]; //@line 222 "getopt.c"
        var $193=CHECK_OVERFLOW(($192+1)&4294967295, 32); //@line 222 "getopt.c"
        var $194=HEAP[$193]; //@line 222 "getopt.c"
        var $195=($194)==58; //@line 222 "getopt.c"
        if ($195) { __label__ = 51; break; } else { __label__ = 52; break; } //@line 222 "getopt.c"
      case 51: // $bb47
        var $196=HEAP[$tmp]; //@line 223 "getopt.c"
        var $197=CHECK_OVERFLOW(($196+2)&4294967295, 32); //@line 223 "getopt.c"
        var $198=HEAP[$197]; //@line 223 "getopt.c"
        var $199=($198)==58; //@line 223 "getopt.c"
        if ($199) { __label__ = 53; break; } else { __label__ = 54; break; } //@line 223 "getopt.c"
      case 54: // $bb48
        var $200=HEAP[_optind]; //@line 223 "getopt.c"
        var $201=HEAP[$argv_addr]; //@line 223 "getopt.c"
        var $202=CHECK_OVERFLOW(($201+4*$200)&4294967295, 32); //@line 223 "getopt.c"
        var $203=HEAP[$202]; //@line 223 "getopt.c"
        var $204=HEAP[_lastofs_2651]; //@line 223 "getopt.c"
        var $205=CHECK_OVERFLOW((($204) + 2)&4294967295, 32); //@line 223 "getopt.c"
        var $206=CHECK_OVERFLOW(($203+$205)&4294967295, 32); //@line 223 "getopt.c"
        var $207=HEAP[$206]; //@line 223 "getopt.c"
        var $208=($207)!=0; //@line 223 "getopt.c"
        if ($208) { __label__ = 53; break; } else { __label__ = 55; break; } //@line 223 "getopt.c"
      case 53: // $bb49
        var $209=HEAP[_optind]; //@line 224 "getopt.c"
        var $210=HEAP[$argv_addr]; //@line 224 "getopt.c"
        var $211=CHECK_OVERFLOW(($210+4*$209)&4294967295, 32); //@line 224 "getopt.c"
        var $212=HEAP[$211]; //@line 224 "getopt.c"
        var $213=HEAP[_lastofs_2651]; //@line 224 "getopt.c"
        var $214=CHECK_OVERFLOW(($212+$213)&4294967295, 32); //@line 224 "getopt.c"
        var $215=CHECK_OVERFLOW(($214+2)&4294967295, 32); //@line 224 "getopt.c"
        HEAP[_optarg]=$215; //@line 224 "getopt.c"
        var $216=HEAP[_optarg]; //@line 224 "getopt.c"
        var $217=HEAP[$216]; //@line 224 "getopt.c"
        var $218=($217)==0; //@line 224 "getopt.c"
        if ($218) { __label__ = 56; break; } else { __label__ = 57; break; } //@line 224 "getopt.c"
      case 56: // $bb50
        HEAP[_optarg]=0; //@line 224 "getopt.c"
        __label__ = 57; break; //@line 224 "getopt.c"
      case 57: // $bb51
        __label__ = 58; break; //@line 224 "getopt.c"
      case 55: // $bb52
        var $219=HEAP[_optind]; //@line 227 "getopt.c"
        var $220=CHECK_OVERFLOW((($219) + 1)&4294967295, 32); //@line 227 "getopt.c"
        var $221=HEAP[$argv_addr]; //@line 227 "getopt.c"
        var $222=CHECK_OVERFLOW(($221+4*$220)&4294967295, 32); //@line 227 "getopt.c"
        var $223=HEAP[$222]; //@line 227 "getopt.c"
        HEAP[_optarg]=$223; //@line 227 "getopt.c"
        var $224=HEAP[_optarg]; //@line 228 "getopt.c"
        var $225=($224)!=0; //@line 228 "getopt.c"
        if ($225) { __label__ = 59; break; } else { __label__ = 60; break; } //@line 228 "getopt.c"
      case 59: // $bb53
        var $226=HEAP[_optarg]; //@line 229 "getopt.c"
        var $227=CHECK_OVERFLOW(($226)&4294967295, 32); //@line 229 "getopt.c"
        var $228=HEAP[$227]; //@line 229 "getopt.c"
        var $229=($228)==45; //@line 229 "getopt.c"
        if ($229) { __label__ = 61; break; } else { __label__ = 60; break; } //@line 229 "getopt.c"
      case 61: // $bb54
        var $230=HEAP[_opterr]; //@line 230 "getopt.c"
        var $231=($230)!=0; //@line 230 "getopt.c"
        if ($231) { __label__ = 62; break; } else { __label__ = 60; break; } //@line 230 "getopt.c"
      case 62: // $bb55
        var $232=HEAP[_stderr]; //@line 231 "getopt.c"
        var $233=HEAP[$arg]; //@line 231 "getopt.c"
        var $234=_fprintf($232, CHECK_OVERFLOW((__str4102)&4294967295, 32), $233); //@line 231 "getopt.c"
        HEAP[$0]=63; //@line 232 "getopt.c"
        __label__ = 5; break; //@line 232 "getopt.c"
      case 60: // $bb56
        var $235=HEAP[_optarg]; //@line 236 "getopt.c"
        var $236=($235)==0; //@line 236 "getopt.c"
        if ($236) { __label__ = 63; break; } else { __label__ = 64; break; } //@line 236 "getopt.c"
      case 63: // $bb57
        var $237=HEAP[_opterr]; //@line 237 "getopt.c"
        var $238=($237)!=0; //@line 237 "getopt.c"
        if ($238) { __label__ = 65; break; } else { __label__ = 64; break; } //@line 237 "getopt.c"
      case 65: // $bb58
        var $239=HEAP[_stderr]; //@line 238 "getopt.c"
        var $240=HEAP[$arg]; //@line 238 "getopt.c"
        var $241=_fprintf($239, CHECK_OVERFLOW((__str4102)&4294967295, 32), $240); //@line 238 "getopt.c"
        HEAP[$0]=63; //@line 239 "getopt.c"
        __label__ = 5; break; //@line 239 "getopt.c"
      case 64: // $bb59
        var $242=HEAP[_optind]; //@line 242 "getopt.c"
        var $243=CHECK_OVERFLOW((($242) + 1)&4294967295, 32); //@line 242 "getopt.c"
        HEAP[_optind]=$243; //@line 242 "getopt.c"
        __label__ = 58; break; //@line 242 "getopt.c"
      case 52: // $bb60
        var $244=HEAP[_lastofs_2651]; //@line 244 "getopt.c"
        var $245=CHECK_OVERFLOW((($244) + 1)&4294967295, 32); //@line 244 "getopt.c"
        HEAP[_lastofs_2651]=$245; //@line 244 "getopt.c"
        var $246=HEAP[_optopt]; //@line 245 "getopt.c"
        HEAP[$0]=$246; //@line 245 "getopt.c"
        __label__ = 5; break; //@line 245 "getopt.c"
      case 58: // $found
        var $247=HEAP[_optind]; //@line 248 "getopt.c"
        var $248=CHECK_OVERFLOW((($247) + 1)&4294967295, 32); //@line 248 "getopt.c"
        HEAP[_optind]=$248; //@line 248 "getopt.c"
        var $249=HEAP[_optopt]; //@line 249 "getopt.c"
        HEAP[$0]=$249; //@line 249 "getopt.c"
        __label__ = 5; break; //@line 249 "getopt.c"
      case 48: // $bb61
        var $250=HEAP[_stderr]; //@line 251 "getopt.c"
        var $251=HEAP[$arg]; //@line 251 "getopt.c"
        var $252=_fprintf($250, CHECK_OVERFLOW((__str6104)&4294967295, 32), $251); //@line 251 "getopt.c"
        var $253=HEAP[_optind]; //@line 252 "getopt.c"
        var $254=CHECK_OVERFLOW((($253) + 1)&4294967295, 32); //@line 252 "getopt.c"
        HEAP[_optind]=$254; //@line 252 "getopt.c"
        HEAP[$0]=63; //@line 253 "getopt.c"
        __label__ = 5; break; //@line 253 "getopt.c"
      case 16: // $bb62
        var $255=HEAP[_stderr]; //@line 258 "getopt.c"
        var $256=$255; //@line 258 "getopt.c"
        var $257=_fwrite(CHECK_OVERFLOW((__str7105)&4294967295, 32), 1, 15, $256); //@line 258 "getopt.c"
        var $258=HEAP[_optind]; //@line 259 "getopt.c"
        var $259=CHECK_OVERFLOW((($258) + 1)&4294967295, 32); //@line 259 "getopt.c"
        HEAP[_optind]=$259; //@line 259 "getopt.c"
        HEAP[$0]=63; //@line 260 "getopt.c"
        __label__ = 5; break; //@line 260 "getopt.c"
      case 5: // $bb63
        var $260=HEAP[$0]; //@line 140 "getopt.c"
        HEAP[$retval]=$260; //@line 140 "getopt.c"
        __label__ = 66; break; //@line 140 "getopt.c"
      case 66: // $return
        var $retval64=HEAP[$retval]; //@line 140 "getopt.c"
        STACKTOP = __stackBase__;
        return $retval64; //@line 140 "getopt.c"
      default: assert(0, "bad label: " + __label__);
    }
  }
  
var FUNCTION_TABLE = [0,0,_error_callback,0,_warning_callback,0,_info_callback,0,_dwt_decode_1,0,_j2k_read_soc,0,_j2k_read_sot,0,_j2k_read_sod,0,_j2k_read_eoc,0,_j2k_read_siz,0,_j2k_read_cod,0,_j2k_read_coc,0,_j2k_read_rgn,0,_j2k_read_qcd,0,_j2k_read_qcc,0,_j2k_read_poc,0,_j2k_read_tlm,0,_j2k_read_plm,0,_j2k_read_plt,0,_j2k_read_ppm,0,_j2k_read_ppt,0,_j2k_read_crg,0,_j2k_read_com,0,_j2k_read_unk,0];

// === Auto-generated postamble setup entry stuff ===

Module.callMain = function callMain(args) {
  var argc = args.length+1;
  function pad() {
    for (var i = 0; i < 4-1; i++) {
      argv.push(0);
    }
  }
  var argv = [Pointer_make(intArrayFromString("/bin/this.program"), null) ];
  pad();
  for (var i = 0; i < argc-1; i = i + 1) {
    argv.push(Pointer_make(intArrayFromString(args[i]), null));
    pad();
  }
  argv.push(0);
  argv = Pointer_make(argv, null);

  _main(argc, argv, 0);
}

function run(args) {
  __initializeRuntime__();

  var globalFuncs = [];


__str=Pointer_make([72,69,76,80,32,102,111,114,32,106,50,107,95,116,111,95,105,109,97,103,101,10,45,45,45,45,10,10,0] /* HELP for j2k_to_imag */, 0, ALLOC_STATIC);
__str1=Pointer_make([45,32,116,104,101,32,45,104,32,111,112,116,105,111,110,32,100,105,115,112,108,97,121,115,32,116,104,105,115,32,104,101,108,112,32,105,110,102,111,114,109,97,116,105,111,110,32,111,110,32,115,99,114,101,101,110,10,10,0] /* - the -h option disp */, 0, ALLOC_STATIC);
__str2=Pointer_make([76,105,115,116,32,111,102,32,112,97,114,97,109,101,116,101,114,115,32,102,111,114,32,116,104,101,32,74,80,69,71,32,50,48,48,48,32,100,101,99,111,100,101,114,58,10,0] /* List of parameters f */, 0, ALLOC_STATIC);
__str3=Pointer_make([32,32,45,73,109,103,68,105,114,32,10,0] /*   -ImgDir \0A\00 */, 0, ALLOC_STATIC);
__str4=Pointer_make([9,73,109,97,103,101,32,102,105,108,101,32,68,105,114,101,99,116,111,114,121,32,112,97,116,104,32,10,0] /* \09Image file Direct */, 0, ALLOC_STATIC);
__str5=Pointer_make([32,32,45,79,117,116,70,111,114,32,10,0] /*   -OutFor \0A\00 */, 0, ALLOC_STATIC);
__str6=Pointer_make([32,32,32,32,82,69,81,85,73,82,69,68,32,111,110,108,121,32,105,102,32,45,73,109,103,68,105,114,32,105,115,32,117,115,101,100,10,0] /*     REQUIRED only if */, 0, ALLOC_STATIC);
__str7=Pointer_make([9,32,32,78,101,101,100,32,116,111,32,115,112,101,99,105,102,121,32,111,110,108,121,32,102,111,114,109,97,116,32,119,105,116,104,111,117,116,32,102,105,108,101,110,97,109,101,32,60,66,77,80,62,32,32,10,0] /* \09  Need to specify */, 0, ALLOC_STATIC);
__str8=Pointer_make([32,32,32,32,67,117,114,114,101,110,116,108,121,32,97,99,99,101,112,116,115,32,80,71,77,44,32,80,80,77,44,32,80,78,77,44,32,80,71,88,44,32,80,78,71,44,32,66,77,80,44,32,84,73,70,44,32,82,65,87,32,97,110,100,32,84,71,65,32,102,111,114,109,97,116,115,10,0] /*     Currently accept */, 0, ALLOC_STATIC);
__str9=Pointer_make([32,32,45,105,32,60,99,111,109,112,114,101,115,115,101,100,32,102,105,108,101,62,10,0] /*   -i <compressed fil */, 0, ALLOC_STATIC);
__str10=Pointer_make([32,32,32,32,82,69,81,85,73,82,69,68,32,111,110,108,121,32,105,102,32,97,110,32,73,110,112,117,116,32,105,109,97,103,101,32,100,105,114,101,99,116,111,114,121,32,110,111,116,32,115,112,101,99,105,102,105,101,100,10,0] /*     REQUIRED only if */, 0, ALLOC_STATIC);
__str11=Pointer_make([32,32,32,32,67,117,114,114,101,110,116,108,121,32,97,99,99,101,112,116,115,32,74,50,75,45,102,105,108,101,115,44,32,74,80,50,45,102,105,108,101,115,32,97,110,100,32,74,80,84,45,102,105,108,101,115,46,32,84,104,101,32,102,105,108,101,32,116,121,112,101,10,0] /*     Currently accept */, 0, ALLOC_STATIC);
__str12=Pointer_make([32,32,32,32,105,115,32,105,100,101,110,116,105,102,105,101,100,32,98,97,115,101,100,32,111,110,32,105,116,115,32,115,117,102,102,105,120,46,10,0] /*     is identified ba */, 0, ALLOC_STATIC);
__str13=Pointer_make([32,32,45,111,32,60,100,101,99,111,109,112,114,101,115,115,101,100,32,102,105,108,101,62,10,0] /*   -o <decompressed f */, 0, ALLOC_STATIC);
__str14=Pointer_make([32,32,32,32,82,69,81,85,73,82,69,68,10,0] /*     REQUIRED\0A\00 */, 0, ALLOC_STATIC);
__str15=Pointer_make([32,32,32,32,67,117,114,114,101,110,116,108,121,32,97,99,99,101,112,116,115,32,80,71,77,44,32,80,80,77,44,32,80,78,77,44,32,80,71,88,44,32,80,78,71,44,32,66,77,80,44,32,84,73,70,44,32,82,65,87,32,97,110,100,32,84,71,65,32,102,105,108,101,115,10,0] /*     Currently accept */, 0, ALLOC_STATIC);
__str16=Pointer_make([32,32,32,32,66,105,110,97,114,121,32,100,97,116,97,32,105,115,32,119,114,105,116,116,101,110,32,116,111,32,116,104,101,32,102,105,108,101,32,40,110,111,116,32,97,115,99,105,105,41,46,32,73,102,32,97,32,80,71,88,10,0] /*     Binary data is w */, 0, ALLOC_STATIC);
__str17=Pointer_make([32,32,32,32,102,105,108,101,110,97,109,101,32,105,115,32,103,105,118,101,110,44,32,116,104,101,114,101,32,119,105,108,108,32,98,101,32,97,115,32,109,97,110,121,32,111,117,116,112,117,116,32,102,105,108,101,115,32,97,115,32,116,104,101,114,101,32,97,114,101,10,0] /*     filename is give */, 0, ALLOC_STATIC);
__str18=Pointer_make([32,32,32,32,99,111,109,112,111,110,101,110,116,115,58,32,97,110,32,105,110,100,105,99,101,32,115,116,97,114,116,105,110,103,32,102,114,111,109,32,48,32,119,105,108,108,32,116,104,101,110,32,98,101,32,97,112,112,101,110,100,101,100,32,116,111,32,116,104,101,10,0] /*     components: an i */, 0, ALLOC_STATIC);
__str19=Pointer_make([32,32,32,32,111,117,116,112,117,116,32,102,105,108,101,110,97,109,101,44,32,106,117,115,116,32,98,101,102,111,114,101,32,116,104,101,32,34,112,103,120,34,32,101,120,116,101,110,115,105,111,110,46,32,73,102,32,97,32,80,71,77,32,102,105,108,101,110,97,109,101,10,0] /*     output filename, */, 0, ALLOC_STATIC);
__str20=Pointer_make([32,32,32,32,105,115,32,103,105,118,101,110,32,97,110,100,32,116,104,101,114,101,32,97,114,101,32,109,111,114,101,32,116,104,97,110,32,111,110,101,32,99,111,109,112,111,110,101,110,116,44,32,111,110,108,121,32,116,104,101,32,102,105,114,115,116,32,99,111,109,112,111,110,101,110,116,10,0] /*     is given and the */, 0, ALLOC_STATIC);
__str21=Pointer_make([32,32,32,32,119,105,108,108,32,98,101,32,119,114,105,116,116,101,110,32,116,111,32,116,104,101,32,102,105,108,101,46,10,0] /*     will be written  */, 0, ALLOC_STATIC);
__str22=Pointer_make([32,32,45,114,32,60,114,101,100,117,99,101,32,102,97,99,116,111,114,62,10,0] /*   -r <reduce factor> */, 0, ALLOC_STATIC);
__str23=Pointer_make([32,32,32,32,83,101,116,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,104,105,103,104,101,115,116,32,114,101,115,111,108,117,116,105,111,110,32,108,101,118,101,108,115,32,116,111,32,98,101,32,100,105,115,99,97,114,100,101,100,46,32,84,104,101,10,0] /*     Set the number o */, 0, ALLOC_STATIC);
__str24=Pointer_make([32,32,32,32,105,109,97,103,101,32,114,101,115,111,108,117,116,105,111,110,32,105,115,32,101,102,102,101,99,116,105,118,101,108,121,32,100,105,118,105,100,101,100,32,98,121,32,50,32,116,111,32,116,104,101,32,112,111,119,101,114,32,111,102,32,116,104,101,10,0] /*     image resolution */, 0, ALLOC_STATIC);
__str25=Pointer_make([32,32,32,32,110,117,109,98,101,114,32,111,102,32,100,105,115,99,97,114,100,101,100,32,108,101,118,101,108,115,46,32,84,104,101,32,114,101,100,117,99,101,32,102,97,99,116,111,114,32,105,115,32,108,105,109,105,116,101,100,32,98,121,32,116,104,101,10,0] /*     number of discar */, 0, ALLOC_STATIC);
__str26=Pointer_make([32,32,32,32,115,109,97,108,108,101,115,116,32,116,111,116,97,108,32,110,117,109,98,101,114,32,111,102,32,100,101,99,111,109,112,111,115,105,116,105,111,110,32,108,101,118,101,108,115,32,97,109,111,110,103,32,116,105,108,101,115,46,10,0] /*     smallest total n */, 0, ALLOC_STATIC);
__str27=Pointer_make([32,32,45,108,32,60,110,117,109,98,101,114,32,111,102,32,113,117,97,108,105,116,121,32,108,97,121,101,114,115,32,116,111,32,100,101,99,111,100,101,62,10,0] /*   -l <number of qual */, 0, ALLOC_STATIC);
__str28=Pointer_make([32,32,32,32,83,101,116,32,116,104,101,32,109,97,120,105,109,117,109,32,110,117,109,98,101,114,32,111,102,32,113,117,97,108,105,116,121,32,108,97,121,101,114,115,32,116,111,32,100,101,99,111,100,101,46,32,73,102,32,116,104,101,114,101,32,97,114,101,10,0] /*     Set the maximum  */, 0, ALLOC_STATIC);
__str29=Pointer_make([32,32,32,32,108,101,115,115,32,113,117,97,108,105,116,121,32,108,97,121,101,114,115,32,116,104,97,110,32,116,104,101,32,115,112,101,99,105,102,105,101,100,32,110,117,109,98,101,114,44,32,97,108,108,32,116,104,101,32,113,117,97,108,105,116,121,32,108,97,121,101,114,115,10,0] /*     less quality lay */, 0, ALLOC_STATIC);
__str30=Pointer_make([32,32,32,32,97,114,101,32,100,101,99,111,100,101,100,46,10,0] /*     are decoded.\0A\ */, 0, ALLOC_STATIC);
__str31=Pointer_make([32,32,45,120,32,32,10,0] /*   -x  \0A\00 */, 0, ALLOC_STATIC);
__str32=Pointer_make([32,32,32,32,67,114,101,97,116,101,32,97,110,32,105,110,100,101,120,32,102,105,108,101,32,42,46,73,100,120,32,40,45,120,32,105,110,100,101,120,95,110,97,109,101,46,73,100,120,41,32,10,0] /*     Create an index  */, 0, ALLOC_STATIC);
__str33=Pointer_make([67,111,117,108,100,32,110,111,116,32,111,112,101,110,32,70,111,108,100,101,114,32,37,115,10,0] /* Could not open Folde */, 0, ALLOC_STATIC);
__str34=Pointer_make([46,0] /* .\00 */, 0, ALLOC_STATIC);
__str35=Pointer_make([46,46,0] /* ..\00 */, 0, ALLOC_STATIC);
__str36=Pointer_make([70,111,108,100,101,114,32,111,112,101,110,101,100,32,115,117,99,99,101,115,115,102,117,108,108,121,10,0] /* Folder opened succes */, 0, ALLOC_STATIC);
_extension_4152=Pointer_make([0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], 0, ALLOC_STATIC);
__str37=Pointer_make([112,103,120,0] /* pgx\00 */, 0, ALLOC_STATIC);
__str38=Pointer_make([112,110,109,0] /* pnm\00 */, 0, ALLOC_STATIC);
__str39=Pointer_make([112,103,109,0] /* pgm\00 */, 0, ALLOC_STATIC);
__str40=Pointer_make([112,112,109,0] /* ppm\00 */, 0, ALLOC_STATIC);
__str41=Pointer_make([98,109,112,0] /* bmp\00 */, 0, ALLOC_STATIC);
__str42=Pointer_make([116,105,102,0] /* tif\00 */, 0, ALLOC_STATIC);
__str43=Pointer_make([114,97,119,0] /* raw\00 */, 0, ALLOC_STATIC);
__str44=Pointer_make([116,103,97,0] /* tga\00 */, 0, ALLOC_STATIC);
__str45=Pointer_make([112,110,103,0] /* png\00 */, 0, ALLOC_STATIC);
__str46=Pointer_make([106,50,107,0] /* j2k\00 */, 0, ALLOC_STATIC);
__str47=Pointer_make([106,112,50,0] /* jp2\00 */, 0, ALLOC_STATIC);
__str48=Pointer_make([106,112,116,0] /* jpt\00 */, 0, ALLOC_STATIC);
__str49=Pointer_make([106,50,99,0] /* j2c\00 */, 0, ALLOC_STATIC);
__str50=Pointer_make([106,112,99,0] /* jpc\00 */, 0, ALLOC_STATIC);
_format_4153=Pointer_make([11, 0, 0, 0, 10, 0, 0, 0, 10, 0, 0, 0, 10, 0, 0, 0, 12, 0, 0, 0, 14, 0, 0, 0, 15, 0, 0, 0, 16, 0, 0, 0, 17, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], 0, ALLOC_STATIC);
__str51=Pointer_make([0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], 0, ALLOC_STATIC);
__str52=Pointer_make([70,105,108,101,32,78,117,109,98,101,114,32,37,100,32,34,37,115,34,10,0] /* File Number %d \22%s */, 0, ALLOC_STATIC);
__str53=Pointer_make([37,115,47,37,115,0] /* %s/%s\00 */, 0, ALLOC_STATIC);
__str54=Pointer_make([46,37,115,0] /* .%s\00 */, 0, ALLOC_STATIC);
__str55=Pointer_make([37,115,47,37,115,46,37,115,0] /* %s/%s.%s\00 */, 0, ALLOC_STATIC);
_C_43_4255=Pointer_make([0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 121, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 79, 0, 0, 0], 0, ALLOC_STATIC);
__str56=Pointer_make([73,109,103,68,105,114,0] /* ImgDir\00 */, 0, ALLOC_STATIC);
__str57=Pointer_make([79,117,116,70,111,114,0] /* OutFor\00 */, 0, ALLOC_STATIC);
__str58=Pointer_make([105,58,111,58,114,58,108,58,120,58,104,0] /* i:o:r:l:x:h\00 */, 0, ALLOC_STATIC);
__str59=Pointer_make([33,33,32,85,110,114,101,99,111,103,110,105,122,101,100,32,102,111,114,109,97,116,32,102,111,114,32,105,110,102,105,108,101,32,58,32,37,115,32,91,97,99,99,101,112,116,32,111,110,108,121,32,42,46,106,50,107,44,32,42,46,106,112,50,44,32,42,46,106,112,99,32,111,114,32,42,46,106,112,116,93,32,33,33,10,10,0] /* !! Unrecognized form */, 0, ALLOC_STATIC);
__str60=Pointer_make([85,110,107,110,111,119,110,32,111,117,116,112,117,116,32,102,111,114,109,97,116,32,105,109,97,103,101,32,37,115,32,91,111,110,108,121,32,42,46,112,110,109,44,32,42,46,112,103,109,44,32,42,46,112,112,109,44,32,42,46,112,103,120,44,32,42,46,98,109,112,44,32,42,46,116,105,102,44,32,42,46,114,97,119,32,111,114,32,42,46,116,103,97,93,33,33,32,10,0] /* Unknown output forma */, 0, ALLOC_STATIC);
__str61=Pointer_make([37,100,0] /* %d\00 */, 0, ALLOC_STATIC);
__str62=Pointer_make([87,65,82,78,73,78,71,32,45,62,32,116,104,105,115,32,111,112,116,105,111,110,32,105,115,32,110,111,116,32,118,97,108,105,100,32,34,45,37,99,32,37,115,34,10,0] /* WARNING -> this opti */, 0, ALLOC_STATIC);
__str63=Pointer_make([69,114,114,111,114,58,32,111,112,116,105,111,110,115,32,45,73,109,103,68,105,114,32,97,110,100,32,45,105,32,99,97,110,110,111,116,32,98,101,32,117,115,101,100,32,116,111,103,101,116,104,101,114,32,33,33,10,0] /* Error: options -ImgD */, 0, ALLOC_STATIC);
__str64=Pointer_make([69,114,114,111,114,58,32,87,104,101,110,32,45,73,109,103,68,105,114,32,105,115,32,117,115,101,100,44,32,45,79,117,116,70,111,114,32,60,70,79,82,77,65,84,62,32,109,117,115,116,32,98,101,32,117,115,101,100,32,33,33,10,0] /* Error: When -ImgDir  */, 0, ALLOC_STATIC);
__str65=Pointer_make([79,110,108,121,32,111,110,101,32,102,111,114,109,97,116,32,97,108,108,111,119,101,100,33,32,86,97,108,105,100,32,102,111,114,109,97,116,32,80,71,77,44,32,80,80,77,44,32,80,78,77,44,32,80,71,88,44,32,66,77,80,44,32,84,73,70,44,32,82,65,87,32,97,110,100,32,84,71,65,33,33,10,0] /* Only one format allo */, 0, ALLOC_STATIC);
__str66=Pointer_make([69,114,114,111,114,58,32,111,112,116,105,111,110,115,32,45,73,109,103,68,105,114,32,97,110,100,32,45,111,32,99,97,110,110,111,116,32,98,101,32,117,115,101,100,32,116,111,103,101,116,104,101,114,32,33,33,10,0] /* Error: options -ImgD */, 0, ALLOC_STATIC);
__str67=Pointer_make([69,120,97,109,112,108,101,58,32,37,115,32,45,105,32,105,109,97,103,101,46,106,50,107,32,45,111,32,105,109,97,103,101,46,112,103,109,10,0] /* Example: %s -i image */, 0, ALLOC_STATIC);
__str68=Pointer_make([32,32,32,32,84,114,121,58,32,37,115,32,45,104,10,0] /*     Try: %s -h\0A\00 */, 0, ALLOC_STATIC);
__str69=Pointer_make([91,69,82,82,79,82,93,32,37,115,0] /* [ERROR] %s\00 */, 0, ALLOC_STATIC);
__str70=Pointer_make([91,87,65,82,78,73,78,71,93,32,37,115,0] /* [WARNING] %s\00 */, 0, ALLOC_STATIC);
__str71=Pointer_make([91,73,78,70,79,93,32,37,115,0] /* [INFO] %s\00 */, 0, ALLOC_STATIC);
__str72=Pointer_make([70,111,108,100,101,114,32,105,115,32,101,109,112,116,121,10,0] /* Folder is empty\0A\0 */, 0, ALLOC_STATIC);
__str73=Pointer_make([115,107,105,112,112,105,110,103,32,102,105,108,101,46,46,46,10,0] /* skipping file...\0A\ */, 0, ALLOC_STATIC);
__str74=Pointer_make([114,98,0] /* rb\00 */, 0, ALLOC_STATIC);
__str75=Pointer_make([69,82,82,79,82,32,45,62,32,102,97,105,108,101,100,32,116,111,32,111,112,101,110,32,37,115,32,102,111,114,32,114,101,97,100,105,110,103,10,0] /* ERROR -> failed to o */, 0, ALLOC_STATIC);
__str76=Pointer_make([69,82,82,79,82,32,45,62,32,106,50,107,95,116,111,95,105,109,97,103,101,58,32,102,97,105,108,101,100,32,116,111,32,100,101,99,111,100,101,32,105,109,97,103,101,33,10,0] /* ERROR -> j2k_to_imag */, 0, ALLOC_STATIC);
__str77=Pointer_make([70,97,105,108,101,100,32,116,111,32,111,117,116,112,117,116,32,105,110,100,101,120,32,102,105,108,101,10,0] /* Failed to output ind */, 0, ALLOC_STATIC);
__str78=Pointer_make([115,107,105,112,112,105,110,103,32,102,105,108,101,46,46,10,0] /* skipping file..\0A\0 */, 0, ALLOC_STATIC);
__str79=Pointer_make([79,117,116,102,105,108,101,32,37,115,32,110,111,116,32,103,101,110,101,114,97,116,101,100,10,0] /* Outfile %s not gener */, 0, ALLOC_STATIC);
__str80=Pointer_make([71,101,110,101,114,97,116,101,100,32,79,117,116,102,105,108,101,32,37,115,10,0] /* Generated Outfile %s */, 0, ALLOC_STATIC);
__str81=Pointer_make([69,114,114,111,114,32,103,101,110,101,114,97,116,105,110,103,32,114,97,119,32,102,105,108,101,46,32,79,117,116,102,105,108,101,32,37,115,32,110,111,116,32,103,101,110,101,114,97,116,101,100,10,0] /* Error generating raw */, 0, ALLOC_STATIC);
__str82=Pointer_make([83,117,99,99,101,115,115,102,117,108,108,121,32,103,101,110,101,114,97,116,101,100,32,79,117,116,102,105,108,101,32,37,115,10,0] /* Successfully generat */, 0, ALLOC_STATIC);
__str83=Pointer_make([69,114,114,111,114,32,103,101,110,101,114,97,116,105,110,103,32,116,103,97,32,102,105,108,101,46,32,79,117,116,102,105,108,101,32,37,115,32,110,111,116,32,103,101,110,101,114,97,116,101,100,10,0] /* Error generating tga */, 0, ALLOC_STATIC);
__str84=Pointer_make([69,114,114,111,114,32,103,101,110,101,114,97,116,105,110,103,32,112,110,103,32,102,105,108,101,46,32,79,117,116,102,105,108,101,32,37,115,32,110,111,116,32,103,101,110,101,114,97,116,101,100,10,0] /* Error generating png */, 0, ALLOC_STATIC);
__str85=Pointer_make([69,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,109,101,109,111,114,121,32,102,111,114,32,99,111,109,112,114,101,115,115,101,100,32,98,105,116,115,116,114,101,97,109,10,0] /* Error allocating mem */, 0, ALLOC_STATIC);
__str186=Pointer_make([119,114,105,116,101,32,101,114,114,111,114,10,0] /* write error\0A\00 */, 0, ALLOC_STATIC);
__str287=Pointer_make([114,101,97,100,32,101,114,114,111,114,58,32,112,97,115,115,101,100,32,116,104,101,32,101,110,100,32,111,102,32,116,104,101,32,99,111,100,101,115,116,114,101,97,109,32,40,115,116,97,114,116,32,61,32,37,100,44,32,99,117,114,114,101,110,116,32,61,32,37,100,44,32,101,110,100,32,61,32,37,100,10,0] /* read error: passed t */, 0, ALLOC_STATIC);
_dwt_alpha=Pointer_make([1.5861343145370483], 0, ALLOC_STATIC);
_dwt_beta=Pointer_make([0.05298011749982834], 0, ALLOC_STATIC);
_dwt_gamma=Pointer_make([-0.8829110860824585], 0, ALLOC_STATIC);
_dwt_delta=Pointer_make([-0.4435068666934967], 0, ALLOC_STATIC);
_K=Pointer_make([1.2301740646362305], 0, ALLOC_STATIC);
_c13318=Pointer_make([1.625732421875], 0, ALLOC_STATIC);
_dwt_norms=Pointer_make([1, 0, 0, 0, 0, 0, 0, 0, 1.5, 0, 0, 0, 0, 0, 0, 0, 2.75, 0, 0, 0, 0, 0, 0, 0, 5.375, 0, 0, 0, 0, 0, 0, 0, 10.68, 0, 0, 0, 0, 0, 0, 0, 21.34, 0, 0, 0, 0, 0, 0, 0, 42.67, 0, 0, 0, 0, 0, 0, 0, 85.33, 0, 0, 0, 0, 0, 0, 0, 170.7, 0, 0, 0, 0, 0, 0, 0, 341.3, 0, 0, 0, 0, 0, 0, 0, 1.038, 0, 0, 0, 0, 0, 0, 0, 1.592, 0, 0, 0, 0, 0, 0, 0, 2.919, 0, 0, 0, 0, 0, 0, 0, 5.703, 0, 0, 0, 0, 0, 0, 0, 11.33, 0, 0, 0, 0, 0, 0, 0, 22.64, 0, 0, 0, 0, 0, 0, 0, 45.25, 0, 0, 0, 0, 0, 0, 0, 90.48, 0, 0, 0, 0, 0, 0, 0, 180.9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1.038, 0, 0, 0, 0, 0, 0, 0, 1.592, 0, 0, 0, 0, 0, 0, 0, 2.919, 0, 0, 0, 0, 0, 0, 0, 5.703, 0, 0, 0, 0, 0, 0, 0, 11.33, 0, 0, 0, 0, 0, 0, 0, 22.64, 0, 0, 0, 0, 0, 0, 0, 45.25, 0, 0, 0, 0, 0, 0, 0, 90.48, 0, 0, 0, 0, 0, 0, 0, 180.9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0.7186, 0, 0, 0, 0, 0, 0, 0, 0.9218, 0, 0, 0, 0, 0, 0, 0, 1.586, 0, 0, 0, 0, 0, 0, 0, 3.043, 0, 0, 0, 0, 0, 0, 0, 6.019, 0, 0, 0, 0, 0, 0, 0, 12.01, 0, 0, 0, 0, 0, 0, 0, 24, 0, 0, 0, 0, 0, 0, 0, 47.97, 0, 0, 0, 0, 0, 0, 0, 95.93, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], 0, ALLOC_STATIC);
_dwt_norms_real=Pointer_make([1, 0, 0, 0, 0, 0, 0, 0, 1.965, 0, 0, 0, 0, 0, 0, 0, 4.177, 0, 0, 0, 0, 0, 0, 0, 8.403, 0, 0, 0, 0, 0, 0, 0, 16.9, 0, 0, 0, 0, 0, 0, 0, 33.84, 0, 0, 0, 0, 0, 0, 0, 67.69, 0, 0, 0, 0, 0, 0, 0, 135.3, 0, 0, 0, 0, 0, 0, 0, 270.6, 0, 0, 0, 0, 0, 0, 0, 540.9, 0, 0, 0, 0, 0, 0, 0, 2.022, 0, 0, 0, 0, 0, 0, 0, 3.989, 0, 0, 0, 0, 0, 0, 0, 8.355, 0, 0, 0, 0, 0, 0, 0, 17.04, 0, 0, 0, 0, 0, 0, 0, 34.27, 0, 0, 0, 0, 0, 0, 0, 68.63, 0, 0, 0, 0, 0, 0, 0, 137.3, 0, 0, 0, 0, 0, 0, 0, 274.6, 0, 0, 0, 0, 0, 0, 0, 549, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2.022, 0, 0, 0, 0, 0, 0, 0, 3.989, 0, 0, 0, 0, 0, 0, 0, 8.355, 0, 0, 0, 0, 0, 0, 0, 17.04, 0, 0, 0, 0, 0, 0, 0, 34.27, 0, 0, 0, 0, 0, 0, 0, 68.63, 0, 0, 0, 0, 0, 0, 0, 137.3, 0, 0, 0, 0, 0, 0, 0, 274.6, 0, 0, 0, 0, 0, 0, 0, 549, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2.08, 0, 0, 0, 0, 0, 0, 0, 3.865, 0, 0, 0, 0, 0, 0, 0, 8.307, 0, 0, 0, 0, 0, 0, 0, 17.18, 0, 0, 0, 0, 0, 0, 0, 34.71, 0, 0, 0, 0, 0, 0, 0, 69.59, 0, 0, 0, 0, 0, 0, 0, 139.3, 0, 0, 0, 0, 0, 0, 0, 278.6, 0, 0, 0, 0, 0, 0, 0, 557.2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], 0, ALLOC_STATIC);
__str388=Pointer_make([48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,0] /* 0123456789ABCDEFGHIJ */, 0, ALLOC_STATIC);
__str589=Pointer_make([85,110,97,98,108,101,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,105,109,97,103,101,46,10,0] /* Unable to allocate m */, 0, ALLOC_STATIC);
_j2k_prog_order_list=Pointer_make([4, 0, 0, 0, 67, 80, 82, 76, 0, 0, 0, 0, 76, 82, 67, 80, 3, 0, 0, 0, 80, 67, 82, 76, 1, 0, 0, 0, 82, 76, 67, 80, 2, 0, 0, 0, 82, 80, 67, 76, -1, 0, 0, 0, 0, 0, 0, 0], 0, ALLOC_STATIC);
__str690=Pointer_make([37,115,58,32,105,110,118,97,108,105,100,32,105,109,97,103,101,32,115,105,122,101,32,40,120,48,58,37,100,44,32,120,49,58,37,100,44,32,121,48,58,37,100,44,32,121,49,58,37,100,41,10,0] /* %s: invalid image si */, 0, ALLOC_STATIC);
__str1791=Pointer_make([69,114,114,111,114,32,100,101,99,111,100,105,110,103,32,99,111,109,112,111,110,101,110,116,32,37,100,46,10,84,104,101,32,110,117,109,98,101,114,32,111,102,32,114,101,115,111,108,117,116,105,111,110,115,32,116,111,32,114,101,109,111,118,101,32,105,115,32,104,105,103,104,101,114,32,116,104,97,110,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,114,101,115,111,108,117,116,105,111,110,115,32,111,102,32,116,104,105,115,32,99,111,109,112,111,110,101,110,116,10,77,111,100,105,102,121,32,116,104,101,32,99,112,95,114,101,100,117,99,101,32,112,97,114,97,109,101,116,101,114,46,10,10,0] /* Error decoding compo */, 0, ALLOC_STATIC);
_j2k_dec_mstab=Pointer_make([65359, 0, 0, 0, 1, 0, 0, 0, 10, 0, 0, 0, 65424, 0, 0, 0, 12, 0, 0, 0, 12, 0, 0, 0, 65427, 0, 0, 0, 16, 0, 0, 0, 14, 0, 0, 0, 65497, 0, 0, 0, 8, 0, 0, 0, 16, 0, 0, 0, 65361, 0, 0, 0, 2, 0, 0, 0, 18, 0, 0, 0, 65362, 0, 0, 0, 20, 0, 0, 0, 20, 0, 0, 0, 65363, 0, 0, 0, 20, 0, 0, 0, 22, 0, 0, 0, 65374, 0, 0, 0, 20, 0, 0, 0, 24, 0, 0, 0, 65372, 0, 0, 0, 20, 0, 0, 0, 26, 0, 0, 0, 65373, 0, 0, 0, 20, 0, 0, 0, 28, 0, 0, 0, 65375, 0, 0, 0, 20, 0, 0, 0, 30, 0, 0, 0, 65365, 0, 0, 0, 4, 0, 0, 0, 32, 0, 0, 0, 65367, 0, 0, 0, 4, 0, 0, 0, 34, 0, 0, 0, 65368, 0, 0, 0, 16, 0, 0, 0, 36, 0, 0, 0, 65376, 0, 0, 0, 4, 0, 0, 0, 38, 0, 0, 0, 65377, 0, 0, 0, 16, 0, 0, 0, 40, 0, 0, 0, 65425, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 65379, 0, 0, 0, 4, 0, 0, 0, 42, 0, 0, 0, 65380, 0, 0, 0, 20, 0, 0, 0, 44, 0, 0, 0, 0, 0, 0, 0, 20, 0, 0, 0, 46, 0, 0, 0], 0, ALLOC_STATIC);
__str2892=Pointer_make([85,110,107,110,111,119,110,32,109,97,114,107,101,114,10,0] /* Unknown marker\0A\00 */, 0, ALLOC_STATIC);
__str3993=Pointer_make([37,46,56,120,58,32,101,120,112,101,99,116,101,100,32,97,32,109,97,114,107,101,114,32,105,110,115,116,101,97,100,32,111,102,32,37,120,10,0] /* %.8x: expected a mar */, 0, ALLOC_STATIC);
__str494=Pointer_make([37,46,56,120,58,32,117,110,101,120,112,101,99,116,101,100,32,109,97,114,107,101,114,32,37,120,10,0] /* %.8x: unexpected mar */, 0, ALLOC_STATIC);
__str510=Pointer_make([77,97,105,110,32,72,101,97,100,101,114,32,100,101,99,111,100,101,100,46,10,0] /* Main Header decoded. */, 0, ALLOC_STATIC);
__str611=Pointer_make([73,110,99,111,109,112,108,101,116,101,32,98,105,116,115,116,114,101,97,109,10,0] /* Incomplete bitstream */, 0, ALLOC_STATIC);
__str795=Pointer_make([91,74,80,84,45,115,116,114,101,97,109,93,32,58,32,69,120,112,101,99,116,105,110,103,32,77,97,105,110,32,104,101,97,100,101,114,32,102,105,114,115,116,32,91,99,108,97,115,115,95,73,100,32,37,100,93,32,33,10,0] /* [JPT-stream] : Expec */, 0, ALLOC_STATIC);
__str896=Pointer_make([91,74,80,84,45,115,116,114,101,97,109,93,32,58,32,69,120,112,101,99,116,105,110,103,32,84,105,108,101,32,105,110,102,111,32,33,10,0] /* [JPT-stream] : Expec */, 0, ALLOC_STATIC);
__str997=Pointer_make([116,105,108,101,32,110,117,109,98,101,114,32,37,100,32,47,32,37,100,10,0] /* tile number %d / %d\ */, 0, ALLOC_STATIC);
_last_5146=Pointer_make([-1], 0, ALLOC_STATIC);
__str1498=Pointer_make([67,97,110,110,111,116,32,104,97,110,100,108,101,32,98,111,120,32,115,105,122,101,115,32,104,105,103,104,101,114,32,116,104,97,110,32,50,94,51,50,10,0] /* Cannot handle box si */, 0, ALLOC_STATIC);
__str115=Pointer_make([69,120,112,101,99,116,101,100,32,73,72,68,82,32,77,97,114,107,101,114,10,0] /* Expected IHDR Marker */, 0, ALLOC_STATIC);
__str216=Pointer_make([69,114,114,111,114,32,119,105,116,104,32,73,72,68,82,32,66,111,120,10,0] /* Error with IHDR Box\ */, 0, ALLOC_STATIC);
__str317=Pointer_make([69,120,112,101,99,116,101,100,32,66,80,67,67,32,77,97,114,107,101,114,10,0] /* Expected BPCC Marker */, 0, ALLOC_STATIC);
__str418=Pointer_make([69,114,114,111,114,32,119,105,116,104,32,66,80,67,67,32,66,111,120,10,0] /* Error with BPCC Box\ */, 0, ALLOC_STATIC);
__str519=Pointer_make([69,114,114,111,114,32,119,105,116,104,32,67,79,76,82,32,98,111,120,32,115,105,122,101,10,0] /* Error with COLR box  */, 0, ALLOC_STATIC);
__str620=Pointer_make([69,114,114,111,114,32,119,105,116,104,32,67,79,76,82,32,66,111,120,10,0] /* Error with COLR Box\ */, 0, ALLOC_STATIC);
__str721=Pointer_make([69,120,112,101,99,116,101,100,32,74,80,50,72,32,77,97,114,107,101,114,10,0] /* Expected JP2H Marker */, 0, ALLOC_STATIC);
__str822=Pointer_make([70,97,105,108,101,100,32,116,111,32,100,101,99,111,100,101,32,106,112,50,32,115,116,114,117,99,116,117,114,101,10,0] /* Failed to decode jp2 */, 0, ALLOC_STATIC);
__str923=Pointer_make([70,97,105,108,101,100,32,116,111,32,100,101,99,111,100,101,32,74,50,75,32,105,109,97,103,101,10,0] /* Failed to decode J2K */, 0, ALLOC_STATIC);
__str1099=Pointer_make([69,120,112,101,99,116,101,100,32,70,84,89,80,32,77,97,114,107,101,114,10,0] /* Expected FTYP Marker */, 0, ALLOC_STATIC);
__str11100=Pointer_make([69,114,114,111,114,32,119,105,116,104,32,70,84,89,80,32,66,111,120,10,0] /* Error with FTYP Box\ */, 0, ALLOC_STATIC);
__str12101=Pointer_make([70,97,105,108,101,100,32,116,111,32,101,110,99,111,100,101,32,105,109,97,103,101,10,0] /* Failed to encode ima */, 0, ALLOC_STATIC);
__str13102=Pointer_make([69,120,112,101,99,116,101,100,32,74,80,32,77,97,114,107,101,114,10,0] /* Expected JP Marker\0 */, 0, ALLOC_STATIC);
__str1424=Pointer_make([69,114,114,111,114,32,119,105,116,104,32,74,80,32,77,97,114,107,101,114,10,0] /* Error with JP Marker */, 0, ALLOC_STATIC);
__str15103=Pointer_make([69,114,114,111,114,32,119,105,116,104,32,74,80,32,66,111,120,32,115,105,122,101,10,0] /* Error with JP Box si */, 0, ALLOC_STATIC);
__str16104=Pointer_make([73,110,118,97,108,105,100,32,110,117,109,98,101,114,32,111,102,32,99,111,109,112,111,110,101,110,116,115,32,115,112,101,99,105,102,105,101,100,32,119,104,105,108,101,32,115,101,116,116,105,110,103,32,117,112,32,74,80,50,32,101,110,99,111,100,101,114,10,0] /* Invalid number of co */, 0, ALLOC_STATIC);
__str25105=Pointer_make([70,111,114,98,105,100,100,101,110,32,118,97,108,117,101,32,101,110,99,111,117,110,116,101,114,32,105,110,32,109,101,115,115,97,103,101,32,104,101,97,100,101,114,32,33,33,10,0] /* Forbidden value enco */, 0, ALLOC_STATIC);
_mct_norms=Pointer_make([1.732, 0, 0, 0, 0, 0, 0, 0, 0.8292, 0, 0, 0, 0, 0, 0, 0, 0.8292, 0, 0, 0, 0, 0, 0, 0], 0, ALLOC_STATIC);
_mct_norms_real=Pointer_make([1.732, 0, 0, 0, 0, 0, 0, 0, 1.805, 0, 0, 0, 0, 0, 0, 0, 1.573, 0, 0, 0, 0, 0, 0, 0], 0, ALLOC_STATIC);
_mqc_states=Pointer_make([22017, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 22017, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 13313, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 13313, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6145, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6145, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2753, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2753, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1313, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1313, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 545, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 545, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 22017, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 22017, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 21505, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 21505, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18433, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18433, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14337, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14337, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12289, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12289, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9217, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9217, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7169, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5633, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5633, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 22017, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 22017, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 21505, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 21505, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 20737, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 20737, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18433, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 18433, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14337, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 14337, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 13313, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 13313, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12289, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 12289, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10241, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 10241, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9217, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9217, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8705, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8705, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7169, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 7169, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6145, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 6145, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5633, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5633, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5121, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5121, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4609, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4609, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4353, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4353, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2753, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2753, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2497, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2497, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2209, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2209, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1313, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1313, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1089, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1089, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 673, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 673, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 545, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 545, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 321, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 321, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 273, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 273, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 133, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 73, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 73, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 37, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 37, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 21, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 21, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 9, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 22017, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 22017, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0], 0, ALLOC_STATIC);
__str29106=Pointer_make([49,46,52,46,48,0] /* 1.4.0\00 */, 0, ALLOC_STATIC);
__str130=Pointer_make([83,101,116,32,105,110,100,101,120,32,116,111,32,78,85,76,76,32,119,104,101,110,32,99,97,108,108,105,110,103,32,116,104,101,32,111,112,106,95,101,110,99,111,100,101,32,102,117,110,99,116,105,111,110,46,10,84,111,32,101,120,116,114,97,99,116,32,116,104,101,32,105,110,100,101,120,44,32,117,115,101,32,116,104,101,32,111,112,106,95,101,110,99,111,100,101,95,119,105,116,104,95,105,110,102,111,40,41,32,102,117,110,99,116,105,111,110,46,10,78,111,32,105,110,100,101,120,32,119,105,108,108,32,98,101,32,103,101,110,101,114,97,116,101,100,32,100,117,114,105,110,103,32,116,104,105,115,32,101,110,99,111,100,105,110,103,10,0] /* Set index to NULL wh */, 0, ALLOC_STATIC);
__str31107=Pointer_make([67,80,82,76,0] /* CPRL\00 */, 0, ALLOC_STATIC);
__str132=Pointer_make([76,82,67,80,0] /* LRCP\00 */, 0, ALLOC_STATIC);
__str233=Pointer_make([80,67,82,76,0] /* PCRL\00 */, 0, ALLOC_STATIC);
__str334=Pointer_make([82,76,67,80,0] /* RLCP\00 */, 0, ALLOC_STATIC);
__str435=Pointer_make([82,80,67,76,0] /* RPCL\00 */, 0, ALLOC_STATIC);
_lut_ctxno_zc=Pointer_make([0,1,1,2,1,2,2,2,1,2,2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,1,1,2,1,2,2,2,1,2,2,2,2,2,2,2,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,1,1,2,1,2,2,2,1,2,2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,3,3,6,3,6,6,8,3,6,6,8,6,8,8,8,1,4,4,7,4,7,7,8,4,7,7,8,7,8,8,8,1,4,4,7,4,7,7,8,4,7,7,8,7,8,8,8,2,5,5,7,5,7,7,8,5,7,7,8,7,8,8,8,1,4,4,7,4,7,7,8,4,7,7,8,7,8,8,8,2,5,5,7,5,7,7,8,5,7,7,8,7,8,8,8,2,5,5,7,5,7,7,8,5,7,7,8,7,8,8,8,2,5,5,7,5,7,7,8,5,7,7,8,7,8,8,8,1,4,4,7,4,7,7,8,4,7,7,8,7,8,8,8,2,5,5,7,5,7,7,8,5,7,7,8,7,8,8,8,2,5,5,7,5,7,7,8,5,7,7,8,7,8,8,8,2,5,5,7,5,7,7,8,5,7,7,8,7,8,8,8,2,5,5,7,5,7,7,8,5,7,7,8,7,8,8,8,2,5,5,7,5,7,7,8,5,7,7,8,7,8,8,8,2,5,5,7,5,7,7,8,5,7,7,8,7,8,8,8,2,5,5,7,5,7,7,8,5,7,7,8,7,8,8,8] /* \00\01\01\02\01\02\0 */, 0, ALLOC_STATIC);
_lut_ctxno_sc=Pointer_make([9,10,12,13,10,10,13,13,12,13,12,13,13,13,13,13,9,10,12,11,10,9,13,12,12,11,12,11,13,12,13,12,9,10,12,11,10,10,11,11,12,13,9,10,13,13,10,10,9,10,12,13,10,9,11,12,12,11,9,10,13,12,10,9,9,10,12,13,10,9,11,12,12,13,12,13,11,12,11,12,9,10,12,11,10,10,11,11,12,11,12,11,11,11,11,11,9,10,12,11,10,9,13,12,12,13,9,10,11,12,10,9,9,10,12,13,10,10,13,13,12,11,9,10,11,11,10,10,9,10,12,13,10,10,13,13,12,11,9,10,11,11,10,10,9,10,12,11,10,9,13,12,12,13,9,10,11,12,10,9,9,10,12,11,10,10,11,11,12,11,12,11,11,11,11,11,9,10,12,13,10,9,11,12,12,13,12,13,11,12,11,12,9,10,12,13,10,9,11,12,12,11,9,10,13,12,10,9,9,10,12,11,10,10,11,11,12,13,9,10,13,13,10,10,9,10,12,11,10,9,13,12,12,11,12,11,13,12,13,12,9,10,12,13,10,10,13,13,12,13,12,13,13,13,13,13] /* \09\0A\0C\0D\0A\0A\0 */, 0, ALLOC_STATIC);
_lut_spb=Pointer_make([0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,1,1,0,0,0,0,0,0,0,0,0,1,1,1,0,0,1,1,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,0,1,1,0,0,0,0,0,0,1,0,0,1,1,1,1,1,1,1,0,0,0,1,0,0,1,1,0,0,0,0,0,0,0,0,1,1,0,0,1,1,0,0,0,1,0,0,0,0,0,0,1,1,0,1,1,1,0,0,0,0,1,1,0,0,1,1,1,1,1,1,1,1,1,1,0,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,0,0,0,0,1,0,0,0,1,1,0,0,1,1,1,0,0,1,0,0,1,1,0,0,1,1,0,1,1,1,1,1,0,0,1,1,1,0,1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1] /* \00\00\00\00\00\00\0 */, 0, ALLOC_STATIC);
_lut_nmsedec_sig=Pointer_make([0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 384, 0, 768, 0, 1152, 0, 1536, 0, 1920, 0, 2304, 0, 2688, 0, 3072, 0, 3456, 0, 3840, 0, 4224, 0, 4608, 0, 4992, 0, 5376, 0, 5760, 0, 6144, 0, 6528, 0, 6912, 0, 7296, 0, 7680, 0, 8064, 0, 8448, 0, 8832, 0, 9216, 0, 9600, 0, 9984, 0, 10368, 0, 10752, 0, 11136, 0, 11520, 0, 11904, 0, 12288, 0, 12672, 0, 13056, 0, 13440, 0, 13824, 0, 14208, 0, 14592, 0, 14976, 0, 15360, 0, 15744, 0, 16128, 0, 16512, 0, 16896, 0, 17280, 0, 17664, 0, 18048, 0, 18432, 0, 18816, 0, 19200, 0, 19584, 0, 19968, 0, 20352, 0, 20736, 0, 21120, 0, 21504, 0, 21888, 0, 22272, 0, 22656, 0, 23040, 0, 23424, 0, 23808, 0, 24192, 0, 24576, 0, 24960, 0, 25344, 0, 25728, 0, 26112, 0, 26496, 0, 26880, 0, 27264, 0, 27648, 0, 28032, 0, 28416, 0, 28800, 0, 29184, 0, 29568, 0, 29952, 0, 30336, 0], 0, ALLOC_STATIC);
_lut_nmsedec_sig0=Pointer_make([0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 0, 128, 0, 128, 0, 128, 0, 256, 0, 256, 0, 256, 0, 384, 0, 384, 0, 512, 0, 512, 0, 640, 0, 640, 0, 768, 0, 768, 0, 896, 0, 1024, 0, 1024, 0, 1152, 0, 1280, 0, 1408, 0, 1408, 0, 1536, 0, 1664, 0, 1792, 0, 1920, 0, 2048, 0, 2176, 0, 2304, 0, 2432, 0, 2560, 0, 2688, 0, 2944, 0, 3072, 0, 3200, 0, 3328, 0, 3584, 0, 3712, 0, 3840, 0, 4096, 0, 4224, 0, 4480, 0, 4608, 0, 4864, 0, 4992, 0, 5248, 0, 5376, 0, 5632, 0, 5888, 0, 6016, 0, 6272, 0, 6528, 0, 6784, 0, 6912, 0, 7168, 0, 7424, 0, 7680, 0, 7936, 0, 8192, 0, 8448, 0, 8704, 0, 8960, 0, 9216, 0, 9472, 0, 9856, 0, 10112, 0, 10368, 0, 10624, 0, 11008, 0, 11264, 0, 11520, 0, 11904, 0, 12160, 0, 12544, 0, 12800, 0, 13184, 0, 13440, 0, 13824, 0, 14080, 0, 14464, 0, 14848, 0, 15104, 0, 15488, 0, 15872, 0, 16256, 0, 16512, 0, 16896, 0, 17280, 0, 17664, 0, 18048, 0, 18432, 0, 18816, 0, 19200, 0, 19584, 0, 19968, 0, 20352, 0, 20864, 0, 21248, 0, 21632, 0, 22016, 0, 22528, 0, 22912, 0, 23296, 0, 23808, 0, 24192, 0, 24704, 0, 25088, 0, 25600, 0, 25984, 0, 26496, 0, 26880, 0, 27392, 0, 27904, 0, 28288, 0, 28800, 0, 29312, 0, 29824, 0, 30208, 0, 30720, 0, 31232, 0, 31744, 0, 32256, 0], 0, ALLOC_STATIC);
_lut_nmsedec_ref=Pointer_make([6144, 0, 6016, 0, 5888, 0, 5760, 0, 5632, 0, 5504, 0, 5376, 0, 5248, 0, 5120, 0, 4992, 0, 4864, 0, 4736, 0, 4608, 0, 4480, 0, 4352, 0, 4224, 0, 4096, 0, 3968, 0, 3840, 0, 3712, 0, 3584, 0, 3456, 0, 3328, 0, 3200, 0, 3072, 0, 2944, 0, 2816, 0, 2688, 0, 2560, 0, 2432, 0, 2304, 0, 2176, 0, 2048, 0, 1920, 0, 1792, 0, 1664, 0, 1536, 0, 1408, 0, 1280, 0, 1152, 0, 1024, 0, 896, 0, 768, 0, 640, 0, 512, 0, 384, 0, 256, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 0, 256, 0, 384, 0, 512, 0, 640, 0, 768, 0, 896, 0, 1024, 0, 1152, 0, 1280, 0, 1408, 0, 1536, 0, 1664, 0, 1792, 0, 1920, 0, 2048, 0, 2176, 0, 2304, 0, 2432, 0, 2560, 0, 2688, 0, 2816, 0, 2944, 0, 3072, 0, 3200, 0, 3328, 0, 3456, 0, 3584, 0, 3712, 0, 3840, 0, 3968, 0, 4096, 0, 4224, 0, 4352, 0, 4480, 0, 4608, 0, 4736, 0, 4864, 0, 4992, 0, 5120, 0, 5248, 0, 5376, 0, 5504, 0, 5632, 0, 5760, 0, 5888, 0, 6016, 0], 0, ALLOC_STATIC);
_lut_nmsedec_ref0=Pointer_make([8192, 0, 7936, 0, 7680, 0, 7424, 0, 7168, 0, 6912, 0, 6784, 0, 6528, 0, 6272, 0, 6016, 0, 5888, 0, 5632, 0, 5376, 0, 5248, 0, 4992, 0, 4864, 0, 4608, 0, 4480, 0, 4224, 0, 4096, 0, 3840, 0, 3712, 0, 3584, 0, 3328, 0, 3200, 0, 3072, 0, 2944, 0, 2688, 0, 2560, 0, 2432, 0, 2304, 0, 2176, 0, 2048, 0, 1920, 0, 1792, 0, 1664, 0, 1536, 0, 1408, 0, 1408, 0, 1280, 0, 1152, 0, 1024, 0, 1024, 0, 896, 0, 768, 0, 768, 0, 640, 0, 640, 0, 512, 0, 512, 0, 384, 0, 384, 0, 256, 0, 256, 0, 256, 0, 128, 0, 128, 0, 128, 0, 128, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 128, 0, 128, 0, 128, 0, 128, 0, 256, 0, 256, 0, 256, 0, 384, 0, 384, 0, 512, 0, 512, 0, 640, 0, 640, 0, 768, 0, 768, 0, 896, 0, 1024, 0, 1024, 0, 1152, 0, 1280, 0, 1408, 0, 1408, 0, 1536, 0, 1664, 0, 1792, 0, 1920, 0, 2048, 0, 2176, 0, 2304, 0, 2432, 0, 2560, 0, 2688, 0, 2944, 0, 3072, 0, 3200, 0, 3328, 0, 3584, 0, 3712, 0, 3840, 0, 4096, 0, 4224, 0, 4480, 0, 4608, 0, 4864, 0, 4992, 0, 5248, 0, 5376, 0, 5632, 0, 5888, 0, 6016, 0, 6272, 0, 6528, 0, 6784, 0, 6912, 0, 7168, 0, 7424, 0, 7680, 0, 7936, 0], 0, ALLOC_STATIC);
_mod_5300=Pointer_make([64, 0, 1088, 0, 32, 0, 544, 0, 128, 0, 2176, 0, 16, 0, 272, 0], 0, ALLOC_STATIC);
__str43108=Pointer_make([69,120,112,101,99,116,101,100,32,83,79,80,32,109,97,114,107,101,114,10,0] /* Expected SOP marker\ */, 0, ALLOC_STATIC);
__str144=Pointer_make([69,114,114,111,114,32,58,32,101,120,112,101,99,116,101,100,32,69,80,72,32,109,97,114,107,101,114,0] /* Error : expected EPH */, 0, ALLOC_STATIC);
__str245=Pointer_make([69,120,112,101,99,116,101,100,32,69,80,72,32,109,97,114,107,101,114,10,0] /* Expected EPH marker\ */, 0, ALLOC_STATIC);
__str346=Pointer_make([69,114,114,111,114,32,105,110,105,116,105,97,108,105,122,105,110,103,32,80,97,99,107,101,116,32,73,116,101,114,97,116,111,114,10,0] /* Error initializing P */, 0, ALLOC_STATIC);
__str50109=Pointer_make([105,109,97,103,101,32,123,10,0] /* image {\0A\00 */, 0, ALLOC_STATIC);
__str151=Pointer_make([32,32,116,119,61,37,100,44,32,116,104,61,37,100,32,120,48,61,37,100,32,120,49,61,37,100,32,121,48,61,37,100,32,121,49,61,37,100,10,0] /*   tw=%d, th=%d x0=%d */, 0, ALLOC_STATIC);
__str252=Pointer_make([32,32,116,105,108,101,32,123,10,0] /*   tile {\0A\00 */, 0, ALLOC_STATIC);
__str353=Pointer_make([32,32,32,32,120,48,61,37,100,44,32,121,48,61,37,100,44,32,120,49,61,37,100,44,32,121,49,61,37,100,44,32,110,117,109,99,111,109,112,115,61,37,100,10,0] /*     x0=%d, y0=%d, x1 */, 0, ALLOC_STATIC);
__str454=Pointer_make([32,32,32,32,116,105,108,101,99,32,123,10,0] /*     tilec {\0A\00 */, 0, ALLOC_STATIC);
__str555=Pointer_make([32,32,32,32,32,32,120,48,61,37,100,44,32,121,48,61,37,100,44,32,120,49,61,37,100,44,32,121,49,61,37,100,44,32,110,117,109,114,101,115,111,108,117,116,105,111,110,115,61,37,100,10,0] /*       x0=%d, y0=%d,  */, 0, ALLOC_STATIC);
__str656=Pointer_make([10,32,32,32,114,101,115,32,123,10,0] /* \0A   res {\0A\00 */, 0, ALLOC_STATIC);
__str757=Pointer_make([32,32,32,32,32,32,32,32,32,32,120,48,61,37,100,44,32,121,48,61,37,100,44,32,120,49,61,37,100,44,32,121,49,61,37,100,44,32,112,119,61,37,100,44,32,112,104,61,37,100,44,32,110,117,109,98,97,110,100,115,61,37,100,10,0] /*           x0=%d, y0= */, 0, ALLOC_STATIC);
__str858=Pointer_make([32,32,32,32,32,32,32,32,98,97,110,100,32,123,10,0] /*         band {\0A\00 */, 0, ALLOC_STATIC);
__str959=Pointer_make([32,32,32,32,32,32,32,32,32,32,120,48,61,37,100,44,32,121,48,61,37,100,44,32,120,49,61,37,100,44,32,121,49,61,37,100,44,32,115,116,101,112,115,105,122,101,61,37,102,44,32,110,117,109,98,112,115,61,37,100,10,0] /*           x0=%d, y0= */, 0, ALLOC_STATIC);
__str1060=Pointer_make([32,32,32,32,32,32,32,32,32,32,112,114,101,99,32,123,10,0] /*           prec {\0A\ */, 0, ALLOC_STATIC);
__str1161=Pointer_make([32,32,32,32,32,32,32,32,32,32,32,32,120,48,61,37,100,44,32,121,48,61,37,100,44,32,120,49,61,37,100,44,32,121,49,61,37,100,44,32,99,119,61,37,100,44,32,99,104,61,37,100,10,0] /*             x0=%d, y */, 0, ALLOC_STATIC);
__str1262=Pointer_make([32,32,32,32,32,32,32,32,32,32,125,10,0] /*           }\0A\00 */, 0, ALLOC_STATIC);
__str1363=Pointer_make([32,32,32,32,32,32,32,32,125,10,0] /*         }\0A\00 */, 0, ALLOC_STATIC);
__str1464=Pointer_make([32,32,32,32,32,32,125,10,0] /*       }\0A\00 */, 0, ALLOC_STATIC);
__str1565=Pointer_make([32,32,32,32,125,10,0] /*     }\0A\00 */, 0, ALLOC_STATIC);
__str1666=Pointer_make([32,32,125,10,0] /*   }\0A\00 */, 0, ALLOC_STATIC);
__str1767=Pointer_make([125,10,0] /* }\0A\00 */, 0, ALLOC_STATIC);
__str18110=Pointer_make([45,32,116,105,108,101,32,101,110,99,111,100,101,100,32,105,110,32,37,102,32,115,10,0] /* - tile encoded in %f */, 0, ALLOC_STATIC);
__str19111=Pointer_make([116,105,108,101,32,37,100,32,111,102,32,37,100,10,0] /* tile %d of %d\0A\00 */, 0, ALLOC_STATIC);
__str20112=Pointer_make([116,99,100,95,100,101,99,111,100,101,58,32,105,110,99,111,109,112,108,101,116,101,32,98,105,115,116,114,101,97,109,10,0] /* tcd_decode: incomple */, 0, ALLOC_STATIC);
__str21113=Pointer_make([45,32,116,105,101,114,115,45,49,32,116,111,111,107,32,37,102,32,115,10,0] /* - tiers-1 took %f s\ */, 0, ALLOC_STATIC);
__str22114=Pointer_make([69,114,114,111,114,32,100,101,99,111,100,105,110,103,32,116,105,108,101,46,32,84,104,101,32,110,117,109,98,101,114,32,111,102,32,114,101,115,111,108,117,116,105,111,110,115,32,116,111,32,114,101,109,111,118,101,32,91,37,100,43,49,93,32,105,115,32,104,105,103,104,101,114,32,116,104,97,110,32,116,104,101,32,110,117,109,98,101,114,32,32,111,102,32,114,101,115,111,108,117,116,105,111,110,115,32,105,110,32,116,104,101,32,111,114,105,103,105,110,97,108,32,99,111,100,101,115,116,114,101,97,109,32,91,37,100,93,10,77,111,100,105,102,121,32,116,104,101,32,99,112,95,114,101,100,117,99,101,32,112,97,114,97,109,101,116,101,114,46,10,0] /* Error decoding tile. */, 0, ALLOC_STATIC);
__str23115=Pointer_make([45,32,100,119,116,32,116,111,111,107,32,37,102,32,115,10,0] /* - dwt took %f s\0A\0 */, 0, ALLOC_STATIC);
__str24116=Pointer_make([45,32,116,105,108,101,32,100,101,99,111,100,101,100,32,105,110,32,37,102,32,115,10,0] /* - tile decoded in %f */, 0, ALLOC_STATIC);
__str26117=Pointer_make([119,0] /* w\00 */, 0, ALLOC_STATIC);
__str127=Pointer_make([102,97,105,108,101,100,32,116,111,32,111,112,101,110,32,105,110,100,101,120,32,102,105,108,101,32,91,37,115,93,32,102,111,114,32,119,114,105,116,105,110,103,10,0] /* failed to open index */, 0, ALLOC_STATIC);
__str228=Pointer_make([37,100,32,37,100,10,0] /* %d %d\0A\00 */, 0, ALLOC_STATIC);
__str329=Pointer_make([37,100,10,0] /* %d\0A\00 */, 0, ALLOC_STATIC);
__str430=Pointer_make([91,37,100,44,37,100,93,32,0] /* [%d,%d] \00 */, 0, ALLOC_STATIC);
__str531=Pointer_make([10,73,78,70,79,32,79,78,32,84,73,76,69,83,10,0] /* \0AINFO ON TILES\0A\ */, 0, ALLOC_STATIC);
__str632=Pointer_make([116,105,108,101,110,111,32,115,116,97,114,116,95,112,111,115,32,32,101,110,100,95,104,100,32,32,101,110,100,95,116,105,108,101,32,32,32,110,98,112,97,114,116,115,0] /* tileno start_pos  en */, 0, ALLOC_STATIC);
__str733=Pointer_make([32,32,32,32,32,32,32,32,32,100,105,115,116,111,0] /*          disto\00 */, 0, ALLOC_STATIC);
__str834=Pointer_make([32,32,32,32,32,110,98,112,105,120,0] /*      nbpix\00 */, 0, ALLOC_STATIC);
__str935=Pointer_make([32,32,100,105,115,116,111,47,110,98,112,105,120,0] /*   disto/nbpix\00 */, 0, ALLOC_STATIC);
__str1036=Pointer_make([37,52,100,32,37,57,100,32,37,57,100,32,37,57,100,32,37,57,100,0] /* %4d %9d %9d %9d %9d\ */, 0, ALLOC_STATIC);
__str1137=Pointer_make([32,37,57,101,0] /*  %9e\00 */, 0, ALLOC_STATIC);
__str1238=Pointer_make([32,37,57,100,0] /*  %9d\00 */, 0, ALLOC_STATIC);
__str1339=Pointer_make([10,84,73,76,69,32,37,100,32,68,69,84,65,73,76,83,10,0] /* \0ATILE %d DETAILS\0 */, 0, ALLOC_STATIC);
__str1440=Pointer_make([112,97,114,116,95,110,98,32,116,105,108,101,110,111,32,32,115,116,97,114,116,95,112,97,99,107,32,110,117,109,95,112,97,99,107,115,32,32,115,116,97,114,116,95,112,111,115,32,101,110,100,95,116,112,104,95,112,111,115,32,32,32,101,110,100,95,112,111,115,10,0] /* part_nb tileno  star */, 0, ALLOC_STATIC);
__str1541=Pointer_make([37,52,100,32,37,57,100,32,32,32,37,57,100,32,37,57,100,32,32,37,57,100,32,37,49,49,100,32,37,57,100,10,0] /* %4d %9d   %9d %9d  % */, 0, ALLOC_STATIC);
__str1642=Pointer_make([76,82,67,80,10,112,97,99,107,95,110,98,32,116,105,108,101,110,111,32,108,97,121,110,111,32,114,101,115,110,111,32,99,111,109,112,110,111,32,112,114,101,99,110,111,32,115,116,97,114,116,95,112,111,115,32,101,110,100,95,112,104,95,112,111,115,32,101,110,100,95,112,111,115,0] /* LRCP\0Apack_nb tilen */, 0, ALLOC_STATIC);
__str1743=Pointer_make([32,100,105,115,116,111,0] /*  disto\00 */, 0, ALLOC_STATIC);
__str1844=Pointer_make([37,52,100,32,37,54,100,32,37,55,100,32,37,53,100,32,37,54,100,32,32,37,54,100,32,32,32,32,37,54,100,32,32,32,32,32,37,54,100,32,37,55,100,0] /* %4d %6d %7d %5d %6d  */, 0, ALLOC_STATIC);
__str1945=Pointer_make([32,37,56,101,0] /*  %8e\00 */, 0, ALLOC_STATIC);
__str2046=Pointer_make([82,76,67,80,10,112,97,99,107,95,110,98,32,116,105,108,101,110,111,32,114,101,115,110,111,32,108,97,121,110,111,32,99,111,109,112,110,111,32,112,114,101,99,110,111,32,115,116,97,114,116,95,112,111,115,32,101,110,100,95,112,104,95,112,111,115,32,101,110,100,95,112,111,115,10,0] /* RLCP\0Apack_nb tilen */, 0, ALLOC_STATIC);
__str2147=Pointer_make([37,52,100,32,37,54,100,32,37,53,100,32,37,55,100,32,37,54,100,32,37,54,100,32,37,57,100,32,32,32,37,57,100,32,37,55,100,0] /* %4d %6d %5d %7d %6d  */, 0, ALLOC_STATIC);
__str2248=Pointer_make([82,80,67,76,10,112,97,99,107,95,110,98,32,116,105,108,101,110,111,32,114,101,115,110,111,32,112,114,101,99,110,111,32,99,111,109,112,110,111,32,108,97,121,110,111,32,115,116,97,114,116,95,112,111,115,32,101,110,100,95,112,104,95,112,111,115,32,101,110,100,95,112,111,115,0] /* RPCL\0Apack_nb tilen */, 0, ALLOC_STATIC);
__str2349=Pointer_make([37,52,100,32,37,54,100,32,37,53,100,32,37,54,100,32,37,54,100,32,37,55,100,32,37,57,100,32,32,32,37,57,100,32,37,55,100,0] /* %4d %6d %5d %6d %6d  */, 0, ALLOC_STATIC);
__str2450=Pointer_make([80,67,82,76,10,112,97,99,107,95,110,98,32,116,105,108,101,110,111,32,112,114,101,99,110,111,32,99,111,109,112,110,111,32,114,101,115,110,111,32,108,97,121,110,111,32,115,116,97,114,116,95,112,111,115,32,101,110,100,95,112,104,95,112,111,115,32,101,110,100,95,112,111,115,0] /* PCRL\0Apack_nb tilen */, 0, ALLOC_STATIC);
__str2551=Pointer_make([37,52,100,32,37,54,100,32,37,54,100,32,37,54,100,32,37,53,100,32,37,55,100,32,37,57,100,32,32,32,37,57,100,32,37,55,100,0] /* %4d %6d %6d %6d %5d  */, 0, ALLOC_STATIC);
__str2652=Pointer_make([67,80,82,76,10,112,97,99,107,95,110,98,32,116,105,108,101,110,111,32,99,111,109,112,110,111,32,112,114,101,99,110,111,32,114,101,115,110,111,32,108,97,121,110,111,32,115,116,97,114,116,95,112,111,115,32,101,110,100,95,112,104,95,112,111,115,32,101,110,100,95,112,111,115,0] /* CPRL\0Apack_nb tilen */, 0, ALLOC_STATIC);
__str27118=Pointer_make([37,56,101,10,0] /* %8e\0A\00 */, 0, ALLOC_STATIC);
__str2853=Pointer_make([37,46,56,101,10,0] /* %.8e\0A\00 */, 0, ALLOC_STATIC);
__str2954=Pointer_make([10,77,65,82,75,69,82,32,76,73,83,84,10,0] /* \0AMARKER LIST\0A\00 */, 0, ALLOC_STATIC);
__str30119=Pointer_make([116,121,112,101,9,115,116,97,114,116,95,112,111,115,32,32,32,32,108,101,110,103,116,104,10,0] /* type\09start_pos     */, 0, ALLOC_STATIC);
__str3155=Pointer_make([37,88,9,37,57,100,32,37,57,100,10,0] /* %X\09%9d %9d\0A\00 */, 0, ALLOC_STATIC);
__str32120=Pointer_make([71,101,110,101,114,97,116,101,100,32,105,110,100,101,120,32,102,105,108,101,32,37,115,10,0] /* Generated index file */, 0, ALLOC_STATIC);
__str56121=Pointer_make([83,111,114,114,121,44,32,99,111,109,112,114,101,115,115,101,100,32,116,103,97,32,102,105,108,101,115,32,97,114,101,32,110,111,116,32,99,117,114,114,101,110,116,108,121,32,115,117,112,112,111,114,116,101,100,46,10,0] /* Sorry, compressed tg */, 0, ALLOC_STATIC);
__str157=Pointer_make([70,105,108,101,32,99,111,110,116,97,105,110,115,32,97,32,112,97,108,101,116,116,101,32,45,32,110,111,116,32,121,101,116,32,115,117,112,112,111,114,116,101,100,46,0] /* File contains a pale */, 0, ALLOC_STATIC);
__str258=Pointer_make([114,98,0] /* rb\00 */, 0, ALLOC_STATIC);
__str359=Pointer_make([70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,37,115,32,102,111,114,32,114,101,97,100,105,110,103,32,33,33,10,0] /* Failed to open %s fo */, 0, ALLOC_STATIC);
__str460=Pointer_make([67,117,114,114,101,110,116,108,121,32,117,110,115,117,112,112,111,114,116,101,100,32,98,105,116,32,100,101,112,116,104,32,58,32,37,115,10,0] /* Currently unsupporte */, 0, ALLOC_STATIC);
__str561=Pointer_make([119,98,0] /* wb\00 */, 0, ALLOC_STATIC);
__str662=Pointer_make([69,82,82,79,82,32,45,62,32,102,97,105,108,101,100,32,116,111,32,111,112,101,110,32,37,115,32,102,111,114,32,119,114,105,116,105,110,103,10,0] /* ERROR -> failed to o */, 0, ALLOC_STATIC);
__str763=Pointer_make([85,110,97,98,108,101,32,116,111,32,99,114,101,97,116,101,32,97,32,116,103,97,32,102,105,108,101,32,119,105,116,104,32,115,117,99,104,32,74,50,75,32,105,109,97,103,101,32,99,104,97,114,97,116,101,114,105,115,116,105,99,115,46,0] /* Unable to create a t */, 0, ALLOC_STATIC);
__str864=Pointer_make([69,114,114,111,114,44,32,110,111,116,32,97,32,66,77,80,32,102,105,108,101,33,10,0] /* Error, not a BMP fil */, 0, ALLOC_STATIC);
__str965=Pointer_make([78,111,32,68,101,108,116,97,32,115,117,112,112,111,114,116,101,100,10,0] /* No Delta supported\0 */, 0, ALLOC_STATIC);
__str1066=Pointer_make([79,116,104,101,114,32,115,121,115,116,101,109,32,116,104,97,110,32,50,52,32,98,105,116,115,47,112,105,120,101,108,115,32,111,114,32,56,32,98,105,116,115,32,40,110,111,32,82,76,69,32,99,111,100,105,110,103,41,32,105,115,32,110,111,116,32,121,101,116,32,105,109,112,108,101,109,101,110,116,101,100,32,91,37,100,93,10,0] /* Other system than 24 */, 0, ALLOC_STATIC);
__str1167=Pointer_make([66,77,0] /* BM\00 */, 0, ALLOC_STATIC);
__str1268=Pointer_make([37,99,37,99,37,99,37,99,0] /* %c%c%c%c\00 */, 0, ALLOC_STATIC);
__str1369=Pointer_make([37,99,37,99,0] /* %c%c\00 */, 0, ALLOC_STATIC);
__str1470=Pointer_make([66,77,80,32,67,79,78,86,69,82,83,73,79,78,58,32,84,114,117,110,99,97,116,105,110,103,32,99,111,109,112,111,110,101,110,116,32,48,32,102,114,111,109,32,37,100,32,98,105,116,115,32,116,111,32,56,32,98,105,116,115,10,0] /* BMP CONVERSION: Trun */, 0, ALLOC_STATIC);
__str1571=Pointer_make([66,77,80,32,67,79,78,86,69,82,83,73,79,78,58,32,84,114,117,110,99,97,116,105,110,103,32,99,111,109,112,111,110,101,110,116,32,49,32,102,114,111,109,32,37,100,32,98,105,116,115,32,116,111,32,56,32,98,105,116,115,10,0] /* BMP CONVERSION: Trun */, 0, ALLOC_STATIC);
__str1672=Pointer_make([66,77,80,32,67,79,78,86,69,82,83,73,79,78,58,32,84,114,117,110,99,97,116,105,110,103,32,99,111,109,112,111,110,101,110,116,32,50,32,102,114,111,109,32,37,100,32,98,105,116,115,32,116,111,32,56,32,98,105,116,115,10,0] /* BMP CONVERSION: Trun */, 0, ALLOC_STATIC);
__str1773=Pointer_make([37,99,37,99,37,99,0] /* %c%c%c\00 */, 0, ALLOC_STATIC);
__str1874=Pointer_make([70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,37,115,32,102,111,114,32,114,101,97,100,105,110,103,32,33,10,0] /* Failed to open %s fo */, 0, ALLOC_STATIC);
__str1975=Pointer_make([80,71,37,91,32,9,93,37,99,37,99,37,91,32,9,43,45,93,37,100,37,91,32,9,93,37,100,37,91,32,9,93,37,100,0] /* PG%[ \09]%c%c%[ \09+ */, 0, ALLOC_STATIC);
__str2076=Pointer_make([66,97,100,32,112,103,120,32,104,101,97,100,101,114,44,32,112,108,101,97,115,101,32,99,104,101,99,107,32,105,110,112,117,116,32,102,105,108,101,10,0] /* Bad pgx header, plea */, 0, ALLOC_STATIC);
__str2177=Pointer_make([69,82,82,79,82,32,45,62,32,73,109,112,111,115,115,105,98,108,101,32,104,97,112,112,101,110,46,0] /* ERROR -> Impossible  */, 0, ALLOC_STATIC);
__str2278=Pointer_make([45,37,100,46,112,103,120,0] /* -%d.pgx\00 */, 0, ALLOC_STATIC);
__str2379=Pointer_make([46,112,103,120,0] /* .pgx\00 */, 0, ALLOC_STATIC);
__str2480=Pointer_make([80,71,32,77,76,32,37,99,32,37,100,32,37,100,32,37,100,10,0] /* PG ML %c %d %d %d\0A */, 0, ALLOC_STATIC);
__str2581=Pointer_make([37,100,32,37,100,10,50,53,53,0] /* %d %d\0A255\00 */, 0, ALLOC_STATIC);
__str2682=Pointer_make([37,117,0] /* %u\00 */, 0, ALLOC_STATIC);
__str2783=Pointer_make([80,54,10,37,100,32,37,100,10,37,100,10,0] /* P6\0A%d %d\0A%d\0A\0 */, 0, ALLOC_STATIC);
__str2884=Pointer_make([80,78,77,32,67,79,78,86,69,82,83,73,79,78,58,32,84,114,117,110,99,97,116,105,110,103,32,99,111,109,112,111,110,101,110,116,32,48,32,102,114,111,109,32,37,100,32,98,105,116,115,32,116,111,32,56,32,98,105,116,115,10,0] /* PNM CONVERSION: Trun */, 0, ALLOC_STATIC);
__str2985=Pointer_make([80,78,77,32,67,79,78,86,69,82,83,73,79,78,58,32,84,114,117,110,99,97,116,105,110,103,32,99,111,109,112,111,110,101,110,116,32,49,32,102,114,111,109,32,37,100,32,98,105,116,115,32,116,111,32,56,32,98,105,116,115,10,0] /* PNM CONVERSION: Trun */, 0, ALLOC_STATIC);
__str3086=Pointer_make([80,78,77,32,67,79,78,86,69,82,83,73,79,78,58,32,84,114,117,110,99,97,116,105,110,103,32,99,111,109,112,111,110,101,110,116,32,50,32,102,114,111,109,32,37,100,32,98,105,116,115,32,116,111,32,56,32,98,105,116,115,10,0] /* PNM CONVERSION: Trun */, 0, ALLOC_STATIC);
__str3187=Pointer_make([87,65,82,78,73,78,71,32,45,62,32,91,80,71,77,32,102,105,108,101,115,93,32,79,110,108,121,32,116,104,101,32,102,105,114,115,116,32,99,111,109,112,111,110,101,110,116,10,0] /* WARNING -> [PGM file */, 0, ALLOC_STATIC);
__str3288=Pointer_make([32,32,32,32,32,32,32,32,32,32,32,105,115,32,119,114,105,116,116,101,110,32,116,111,32,116,104,101,32,102,105,108,101,10,0] /*            is writte */, 0, ALLOC_STATIC);
__str33122=Pointer_make([37,100,46,37,115,0] /* %d.%s\00 */, 0, ALLOC_STATIC);
__str34123=Pointer_make([80,53,10,37,100,32,37,100,10,37,100,10,0] /* P5\0A%d %d\0A%d\0A\0 */, 0, ALLOC_STATIC);
__str35124=Pointer_make([80,78,77,32,67,79,78,86,69,82,83,73,79,78,58,32,84,114,117,110,99,97,116,105,110,103,32,99,111,109,112,111,110,101,110,116,32,37,100,32,102,114,111,109,32,37,100,32,98,105,116,115,32,116,111,32,56,32,98,105,116,115,10,0] /* PNM CONVERSION: Trun */, 0, ALLOC_STATIC);
__str36125=Pointer_make([66,105,116,115,61,37,100,44,32,79,110,108,121,32,56,44,49,50,44,49,54,32,98,105,116,115,32,105,109,112,108,101,109,101,110,116,101,100,10,0] /* Bits=%d, Only 8,12,1 */, 0, ALLOC_STATIC);
__str37126=Pointer_make([65,98,111,114,116,105,110,103,10,0] /* Aborting\0A\00 */, 0, ALLOC_STATIC);
__str38127=Pointer_make([84,73,70,70,32,102,105,108,101,32,99,114,101,97,116,105,111,110,46,32,66,105,116,115,61,37,100,44,32,79,110,108,121,32,56,44,49,50,44,49,54,32,98,105,116,115,32,105,109,112,108,101,109,101,110,116,101,100,10,0] /* TIFF file creation.  */, 0, ALLOC_STATIC);
__str3989=Pointer_make([84,73,70,70,32,102,105,108,101,32,99,114,101,97,116,105,111,110,46,32,66,97,100,32,99,111,108,111,114,32,102,111,114,109,97,116,46,32,79,110,108,121,32,82,71,66,32,38,32,71,114,97,121,115,99,97,108,101,32,104,97,115,32,98,101,101,110,32,105,109,112,108,101,109,101,110,116,101,100,10,0] /* TIFF file creation.  */, 0, ALLOC_STATIC);
__str40128=Pointer_make([114,0] /* r\00 */, 0, ALLOC_STATIC);
__str41129=Pointer_make([70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,37,115,32,102,111,114,32,114,101,97,100,105,110,103,10,0] /* Failed to open %s fo */, 0, ALLOC_STATIC);
__str42130=Pointer_make([10,69,114,114,111,114,58,32,105,110,118,97,108,105,100,32,114,97,119,32,105,109,97,103,101,32,112,97,114,97,109,101,116,101,114,115,10,0] /* \0AError: invalid ra */, 0, ALLOC_STATIC);
__str4390=Pointer_make([80,108,101,97,115,101,32,117,115,101,32,116,104,101,32,70,111,114,109,97,116,32,111,112,116,105,111,110,32,45,70,58,10,0] /* Please use the Forma */, 0, ALLOC_STATIC);
__str44131=Pointer_make([45,70,32,114,97,119,87,105,100,116,104,44,114,97,119,72,101,105,103,104,116,44,114,97,119,67,111,109,112,44,114,97,119,66,105,116,68,101,112,116,104,44,115,47,117,32,40,83,105,103,110,101,100,47,85,110,115,105,103,110,101,100,41,10,0] /* -F rawWidth,rawHeigh */, 0, ALLOC_STATIC);
__str45132=Pointer_make([69,120,97,109,112,108,101,58,32,45,105,32,108,101,110,97,46,114,97,119,32,45,111,32,108,101,110,97,46,106,50,107,32,45,70,32,53,49,50,44,53,49,50,44,51,44,56,44,117,10,0] /* Example: -i lena.raw */, 0, ALLOC_STATIC);
__str46133=Pointer_make([69,114,114,111,114,32,114,101,97,100,105,110,103,32,114,97,119,32,102,105,108,101,46,32,69,110,100,32,111,102,32,102,105,108,101,32,112,114,111,98,97,98,108,121,32,114,101,97,99,104,101,100,46,10,0] /* Error reading raw fi */, 0, ALLOC_STATIC);
__str47134=Pointer_make([79,112,101,110,74,80,69,71,32,99,97,110,110,111,116,32,101,110,99,111,100,101,32,114,97,119,32,99,111,109,112,111,110,101,110,116,115,32,119,105,116,104,32,98,105,116,32,100,101,112,116,104,32,104,105,103,104,101,114,32,116,104,97,110,32,49,54,32,98,105,116,115,46,10,0] /* OpenJPEG cannot enco */, 0, ALLOC_STATIC);
__str48135=Pointer_make([87,97,114,110,105,110,103,46,32,69,110,100,32,111,102,32,114,97,119,32,102,105,108,101,32,110,111,116,32,114,101,97,99,104,101,100,46,46,46,32,112,114,111,99,101,115,115,105,110,103,32,97,110,121,119,97,121,10,0] /* Warning. End of raw  */, 0, ALLOC_STATIC);
__str49136=Pointer_make([70,97,105,108,101,100,32,116,111,32,111,112,101,110,32,37,115,32,102,111,114,32,119,114,105,116,105,110,103,32,33,33,10,0] /* Failed to open %s fo */, 0, ALLOC_STATIC);
__str5091=Pointer_make([82,97,119,32,105,109,97,103,101,32,99,104,97,114,97,99,116,101,114,105,115,116,105,99,115,58,32,37,100,32,99,111,109,112,111,110,101,110,116,115,10,0] /* Raw image characteri */, 0, ALLOC_STATIC);
__str51137=Pointer_make([115,105,103,110,101,100,0] /* signed\00 */, 0, ALLOC_STATIC);
__str52138=Pointer_make([117,110,115,105,103,110,101,100,0] /* unsigned\00 */, 0, ALLOC_STATIC);
__str53139=Pointer_make([67,111,109,112,111,110,101,110,116,32,37,100,32,99,104,97,114,97,99,116,101,114,105,115,116,105,99,115,58,32,37,100,120,37,100,120,37,100,32,37,115,10,0] /* Component %d charact */, 0, ALLOC_STATIC);
__str54140=Pointer_make([77,111,114,101,32,116,104,97,110,32,49,54,32,98,105,116,115,32,112,101,114,32,99,111,109,112,111,110,101,110,116,32,110,111,32,104,97,110,100,108,101,100,32,121,101,116,10,0] /* More than 16 bits pe */, 0, ALLOC_STATIC);
__str55141=Pointer_make([69,114,114,111,114,58,32,105,110,118,97,108,105,100,32,112,114,101,99,105,115,105,111,110,58,32,37,100,10,0] /* Error: invalid preci */, 0, ALLOC_STATIC);
__str5692=Pointer_make([112,110,103,116,111,105,109,97,103,101,58,32,99,97,110,32,110,111,116,32,111,112,101,110,32,37,115,10,0] /* pngtoimage: can not  */, 0, ALLOC_STATIC);
__str57142=Pointer_make([137,80,78,71,13,10,26,10,0] /* \89PNG\0D\0A\1A\0A\0 */, 0, ALLOC_STATIC);
__str58143=Pointer_make([112,110,103,116,111,105,109,97,103,101,58,32,37,115,32,105,115,32,110,111,32,118,97,108,105,100,32,80,78,71,32,102,105,108,101,10,0] /* pngtoimage: %s is no */, 0, ALLOC_STATIC);
__str59144=Pointer_make([49,46,50,46,52,52,0] /* 1.2.44\00 */, 0, ALLOC_STATIC);
__str60145=Pointer_make([105,109,97,103,101,116,111,112,110,103,58,32,99,97,110,32,110,111,116,32,99,114,101,97,116,101,32,37,115,10,9,119,114,111,110,103,32,98,105,116,95,100,101,112,116,104,32,37,100,10,0] /* imagetopng: can not  */, 0, ALLOC_STATIC);
__str61146=Pointer_make([105,109,97,103,101,116,111,112,110,103,58,32,99,97,110,32,110,111,116,32,99,114,101,97,116,101,32,37,115,10,0] /* imagetopng: can not  */, 0, ALLOC_STATIC);
__str96=Pointer_make([37,115,58,37,100,58,99,111,108,111,114,95,115,121,99,99,95,116,111,95,114,103,98,10,9,67,65,78,32,78,79,84,32,67,79,78,86,69,82,84,10,0] /* %s:%d:color_sycc_to_ */, 0, ALLOC_STATIC);
__str197=Pointer_make([47,100,101,118,47,115,104,109,47,116,109,112,47,98,117,105,108,100,105,110,103,47,111,112,101,110,106,112,101,103,47,99,111,109,109,111,110,47,99,111,108,111,114,46,99,0] /* /dev/shm/tmp/buildin */, 0, ALLOC_STATIC);
_opterr=Pointer_make([1], 0, ALLOC_STATIC);
_optind=Pointer_make([1], 0, ALLOC_STATIC);
_optreset=Pointer_make([0], 0, ALLOC_STATIC);
_place_2550=Pointer_make([0], 0, ALLOC_STATIC);
__str98=Pointer_make([0], 0, ALLOC_STATIC);
_optopt=Pointer_make([0], 0, ALLOC_STATIC);
__str199=Pointer_make([37,115,58,32,105,108,108,101,103,97,108,32,111,112,116,105,111,110,32,45,45,32,37,99,10,0] /* %s: illegal option - */, 0, ALLOC_STATIC);
_optarg=Pointer_make([0], 0, ALLOC_STATIC);
__str2100=Pointer_make([37,115,58,32,111,112,116,105,111,110,32,114,101,113,117,105,114,101,115,32,97,110,32,97,114,103,117,109,101,110,116,32,45,45,32,37,99,10,0] /* %s: option requires  */, 0, ALLOC_STATIC);
__str3101=Pointer_make([37,115,58,32,111,112,116,105,111,110,32,100,111,101,115,32,110,111,116,32,114,101,113,117,105,114,101,32,97,110,32,97,114,103,117,109,101,110,116,46,32,73,103,110,111,114,105,110,103,32,37,115,10,0] /* %s: option does not  */, 0, ALLOC_STATIC);
__str4102=Pointer_make([37,115,58,32,111,112,116,105,111,110,32,114,101,113,117,105,114,101,115,32,97,110,32,97,114,103,117,109,101,110,116,10,0] /* %s: option requires  */, 0, ALLOC_STATIC);
__str5103=Pointer_make([37,115,58,32,111,112,116,105,111,110,32,114,101,113,117,105,114,101,115,32,97,110,32,97,114,103,117,109,101,110,116,32,10,0] /* %s: option requires  */, 0, ALLOC_STATIC);
__str6104=Pointer_make([73,110,118,97,108,105,100,32,111,112,116,105,111,110,32,37,115,10,0] /* Invalid option %s\0A */, 0, ALLOC_STATIC);
_lastidx_2650=Pointer_make([0], 0, ALLOC_STATIC);
_lastofs_2651=Pointer_make([0], 0, ALLOC_STATIC);
__str7105=Pointer_make([73,110,118,97,108,105,100,32,111,112,116,105,111,110,10,0] /* Invalid option\0A\00 */, 0, ALLOC_STATIC);
IHEAP[_extension_4152] = CHECK_OVERFLOW((__str37)&4294967295, 32);
IHEAP[_extension_4152+4] = CHECK_OVERFLOW((__str38)&4294967295, 32);
IHEAP[_extension_4152+8] = CHECK_OVERFLOW((__str39)&4294967295, 32);
IHEAP[_extension_4152+12] = CHECK_OVERFLOW((__str40)&4294967295, 32);
IHEAP[_extension_4152+16] = CHECK_OVERFLOW((__str41)&4294967295, 32);
IHEAP[_extension_4152+20] = CHECK_OVERFLOW((__str42)&4294967295, 32);
IHEAP[_extension_4152+24] = CHECK_OVERFLOW((__str43)&4294967295, 32);
IHEAP[_extension_4152+28] = CHECK_OVERFLOW((__str44)&4294967295, 32);
IHEAP[_extension_4152+32] = CHECK_OVERFLOW((__str45)&4294967295, 32);
IHEAP[_extension_4152+36] = CHECK_OVERFLOW((__str46)&4294967295, 32);
IHEAP[_extension_4152+40] = CHECK_OVERFLOW((__str47)&4294967295, 32);
IHEAP[_extension_4152+44] = CHECK_OVERFLOW((__str48)&4294967295, 32);
IHEAP[_extension_4152+48] = CHECK_OVERFLOW((__str49)&4294967295, 32);
IHEAP[_extension_4152+52] = CHECK_OVERFLOW((__str50)&4294967295, 32);
IHEAP[_C_43_4255] = CHECK_OVERFLOW((__str56)&4294967295, 32);
IHEAP[_C_43_4255+16] = CHECK_OVERFLOW((__str57)&4294967295, 32);
IHEAP[_mqc_states+8] = CHECK_OVERFLOW((_mqc_states+32)&4294967295, 32);
IHEAP[_mqc_states+12] = CHECK_OVERFLOW((_mqc_states+48)&4294967295, 32);
IHEAP[_mqc_states+24] = CHECK_OVERFLOW((_mqc_states+48)&4294967295, 32);
IHEAP[_mqc_states+28] = CHECK_OVERFLOW((_mqc_states+32)&4294967295, 32);
IHEAP[_mqc_states+40] = CHECK_OVERFLOW((_mqc_states+64)&4294967295, 32);
IHEAP[_mqc_states+44] = CHECK_OVERFLOW((_mqc_states+192)&4294967295, 32);
IHEAP[_mqc_states+56] = CHECK_OVERFLOW((_mqc_states+80)&4294967295, 32);
IHEAP[_mqc_states+60] = CHECK_OVERFLOW((_mqc_states+208)&4294967295, 32);
IHEAP[_mqc_states+72] = CHECK_OVERFLOW((_mqc_states+96)&4294967295, 32);
IHEAP[_mqc_states+76] = CHECK_OVERFLOW((_mqc_states+288)&4294967295, 32);
IHEAP[_mqc_states+88] = CHECK_OVERFLOW((_mqc_states+112)&4294967295, 32);
IHEAP[_mqc_states+92] = CHECK_OVERFLOW((_mqc_states+304)&4294967295, 32);
IHEAP[_mqc_states+104] = CHECK_OVERFLOW((_mqc_states+128)&4294967295, 32);
IHEAP[_mqc_states+108] = CHECK_OVERFLOW((_mqc_states+384)&4294967295, 32);
IHEAP[_mqc_states+120] = CHECK_OVERFLOW((_mqc_states+144)&4294967295, 32);
IHEAP[_mqc_states+124] = CHECK_OVERFLOW((_mqc_states+400)&4294967295, 32);
IHEAP[_mqc_states+136] = CHECK_OVERFLOW((_mqc_states+160)&4294967295, 32);
IHEAP[_mqc_states+140] = CHECK_OVERFLOW((_mqc_states+928)&4294967295, 32);
IHEAP[_mqc_states+152] = CHECK_OVERFLOW((_mqc_states+176)&4294967295, 32);
IHEAP[_mqc_states+156] = CHECK_OVERFLOW((_mqc_states+944)&4294967295, 32);
IHEAP[_mqc_states+168] = CHECK_OVERFLOW((_mqc_states+1216)&4294967295, 32);
IHEAP[_mqc_states+172] = CHECK_OVERFLOW((_mqc_states+1056)&4294967295, 32);
IHEAP[_mqc_states+184] = CHECK_OVERFLOW((_mqc_states+1232)&4294967295, 32);
IHEAP[_mqc_states+188] = CHECK_OVERFLOW((_mqc_states+1072)&4294967295, 32);
IHEAP[_mqc_states+200] = CHECK_OVERFLOW((_mqc_states+224)&4294967295, 32);
IHEAP[_mqc_states+204] = CHECK_OVERFLOW((_mqc_states+208)&4294967295, 32);
IHEAP[_mqc_states+216] = CHECK_OVERFLOW((_mqc_states+240)&4294967295, 32);
IHEAP[_mqc_states+220] = CHECK_OVERFLOW((_mqc_states+192)&4294967295, 32);
IHEAP[_mqc_states+232] = CHECK_OVERFLOW((_mqc_states+256)&4294967295, 32);
IHEAP[_mqc_states+236] = CHECK_OVERFLOW((_mqc_states+448)&4294967295, 32);
IHEAP[_mqc_states+248] = CHECK_OVERFLOW((_mqc_states+272)&4294967295, 32);
IHEAP[_mqc_states+252] = CHECK_OVERFLOW((_mqc_states+464)&4294967295, 32);
IHEAP[_mqc_states+264] = CHECK_OVERFLOW((_mqc_states+288)&4294967295, 32);
IHEAP[_mqc_states+268] = CHECK_OVERFLOW((_mqc_states+448)&4294967295, 32);
IHEAP[_mqc_states+280] = CHECK_OVERFLOW((_mqc_states+304)&4294967295, 32);
IHEAP[_mqc_states+284] = CHECK_OVERFLOW((_mqc_states+464)&4294967295, 32);
IHEAP[_mqc_states+296] = CHECK_OVERFLOW((_mqc_states+320)&4294967295, 32);
IHEAP[_mqc_states+300] = CHECK_OVERFLOW((_mqc_states+448)&4294967295, 32);
IHEAP[_mqc_states+312] = CHECK_OVERFLOW((_mqc_states+336)&4294967295, 32);
IHEAP[_mqc_states+316] = CHECK_OVERFLOW((_mqc_states+464)&4294967295, 32);
IHEAP[_mqc_states+328] = CHECK_OVERFLOW((_mqc_states+352)&4294967295, 32);
IHEAP[_mqc_states+332] = CHECK_OVERFLOW((_mqc_states+544)&4294967295, 32);
IHEAP[_mqc_states+344] = CHECK_OVERFLOW((_mqc_states+368)&4294967295, 32);
IHEAP[_mqc_states+348] = CHECK_OVERFLOW((_mqc_states+560)&4294967295, 32);
IHEAP[_mqc_states+360] = CHECK_OVERFLOW((_mqc_states+384)&4294967295, 32);
IHEAP[_mqc_states+364] = CHECK_OVERFLOW((_mqc_states+576)&4294967295, 32);
IHEAP[_mqc_states+376] = CHECK_OVERFLOW((_mqc_states+400)&4294967295, 32);
IHEAP[_mqc_states+380] = CHECK_OVERFLOW((_mqc_states+592)&4294967295, 32);
IHEAP[_mqc_states+392] = CHECK_OVERFLOW((_mqc_states+416)&4294967295, 32);
IHEAP[_mqc_states+396] = CHECK_OVERFLOW((_mqc_states+640)&4294967295, 32);
IHEAP[_mqc_states+408] = CHECK_OVERFLOW((_mqc_states+432)&4294967295, 32);
IHEAP[_mqc_states+412] = CHECK_OVERFLOW((_mqc_states+656)&4294967295, 32);
IHEAP[_mqc_states+424] = CHECK_OVERFLOW((_mqc_states+928)&4294967295, 32);
IHEAP[_mqc_states+428] = CHECK_OVERFLOW((_mqc_states+672)&4294967295, 32);
IHEAP[_mqc_states+440] = CHECK_OVERFLOW((_mqc_states+944)&4294967295, 32);
IHEAP[_mqc_states+444] = CHECK_OVERFLOW((_mqc_states+688)&4294967295, 32);
IHEAP[_mqc_states+456] = CHECK_OVERFLOW((_mqc_states+480)&4294967295, 32);
IHEAP[_mqc_states+460] = CHECK_OVERFLOW((_mqc_states+464)&4294967295, 32);
IHEAP[_mqc_states+472] = CHECK_OVERFLOW((_mqc_states+496)&4294967295, 32);
IHEAP[_mqc_states+476] = CHECK_OVERFLOW((_mqc_states+448)&4294967295, 32);
IHEAP[_mqc_states+488] = CHECK_OVERFLOW((_mqc_states+512)&4294967295, 32);
IHEAP[_mqc_states+492] = CHECK_OVERFLOW((_mqc_states+448)&4294967295, 32);
IHEAP[_mqc_states+504] = CHECK_OVERFLOW((_mqc_states+528)&4294967295, 32);
IHEAP[_mqc_states+508] = CHECK_OVERFLOW((_mqc_states+464)&4294967295, 32);
IHEAP[_mqc_states+520] = CHECK_OVERFLOW((_mqc_states+544)&4294967295, 32);
IHEAP[_mqc_states+524] = CHECK_OVERFLOW((_mqc_states+480)&4294967295, 32);
IHEAP[_mqc_states+536] = CHECK_OVERFLOW((_mqc_states+560)&4294967295, 32);
IHEAP[_mqc_states+540] = CHECK_OVERFLOW((_mqc_states+496)&4294967295, 32);
IHEAP[_mqc_states+552] = CHECK_OVERFLOW((_mqc_states+576)&4294967295, 32);
IHEAP[_mqc_states+556] = CHECK_OVERFLOW((_mqc_states+512)&4294967295, 32);
IHEAP[_mqc_states+568] = CHECK_OVERFLOW((_mqc_states+592)&4294967295, 32);
IHEAP[_mqc_states+572] = CHECK_OVERFLOW((_mqc_states+528)&4294967295, 32);
IHEAP[_mqc_states+584] = CHECK_OVERFLOW((_mqc_states+608)&4294967295, 32);
IHEAP[_mqc_states+588] = CHECK_OVERFLOW((_mqc_states+544)&4294967295, 32);
IHEAP[_mqc_states+600] = CHECK_OVERFLOW((_mqc_states+624)&4294967295, 32);
IHEAP[_mqc_states+604] = CHECK_OVERFLOW((_mqc_states+560)&4294967295, 32);
IHEAP[_mqc_states+616] = CHECK_OVERFLOW((_mqc_states+640)&4294967295, 32);
IHEAP[_mqc_states+620] = CHECK_OVERFLOW((_mqc_states+576)&4294967295, 32);
IHEAP[_mqc_states+632] = CHECK_OVERFLOW((_mqc_states+656)&4294967295, 32);
IHEAP[_mqc_states+636] = CHECK_OVERFLOW((_mqc_states+592)&4294967295, 32);
IHEAP[_mqc_states+648] = CHECK_OVERFLOW((_mqc_states+672)&4294967295, 32);
IHEAP[_mqc_states+652] = CHECK_OVERFLOW((_mqc_states+608)&4294967295, 32);
IHEAP[_mqc_states+664] = CHECK_OVERFLOW((_mqc_states+688)&4294967295, 32);
IHEAP[_mqc_states+668] = CHECK_OVERFLOW((_mqc_states+624)&4294967295, 32);
IHEAP[_mqc_states+680] = CHECK_OVERFLOW((_mqc_states+704)&4294967295, 32);
IHEAP[_mqc_states+684] = CHECK_OVERFLOW((_mqc_states+608)&4294967295, 32);
IHEAP[_mqc_states+696] = CHECK_OVERFLOW((_mqc_states+720)&4294967295, 32);
IHEAP[_mqc_states+700] = CHECK_OVERFLOW((_mqc_states+624)&4294967295, 32);
IHEAP[_mqc_states+712] = CHECK_OVERFLOW((_mqc_states+736)&4294967295, 32);
IHEAP[_mqc_states+716] = CHECK_OVERFLOW((_mqc_states+640)&4294967295, 32);
IHEAP[_mqc_states+728] = CHECK_OVERFLOW((_mqc_states+752)&4294967295, 32);
IHEAP[_mqc_states+732] = CHECK_OVERFLOW((_mqc_states+656)&4294967295, 32);
IHEAP[_mqc_states+744] = CHECK_OVERFLOW((_mqc_states+768)&4294967295, 32);
IHEAP[_mqc_states+748] = CHECK_OVERFLOW((_mqc_states+672)&4294967295, 32);
IHEAP[_mqc_states+760] = CHECK_OVERFLOW((_mqc_states+784)&4294967295, 32);
IHEAP[_mqc_states+764] = CHECK_OVERFLOW((_mqc_states+688)&4294967295, 32);
IHEAP[_mqc_states+776] = CHECK_OVERFLOW((_mqc_states+800)&4294967295, 32);
IHEAP[_mqc_states+780] = CHECK_OVERFLOW((_mqc_states+704)&4294967295, 32);
IHEAP[_mqc_states+792] = CHECK_OVERFLOW((_mqc_states+816)&4294967295, 32);
IHEAP[_mqc_states+796] = CHECK_OVERFLOW((_mqc_states+720)&4294967295, 32);
IHEAP[_mqc_states+808] = CHECK_OVERFLOW((_mqc_states+832)&4294967295, 32);
IHEAP[_mqc_states+812] = CHECK_OVERFLOW((_mqc_states+736)&4294967295, 32);
IHEAP[_mqc_states+824] = CHECK_OVERFLOW((_mqc_states+848)&4294967295, 32);
IHEAP[_mqc_states+828] = CHECK_OVERFLOW((_mqc_states+752)&4294967295, 32);
IHEAP[_mqc_states+840] = CHECK_OVERFLOW((_mqc_states+864)&4294967295, 32);
IHEAP[_mqc_states+844] = CHECK_OVERFLOW((_mqc_states+768)&4294967295, 32);
IHEAP[_mqc_states+856] = CHECK_OVERFLOW((_mqc_states+880)&4294967295, 32);
IHEAP[_mqc_states+860] = CHECK_OVERFLOW((_mqc_states+784)&4294967295, 32);
IHEAP[_mqc_states+872] = CHECK_OVERFLOW((_mqc_states+896)&4294967295, 32);
IHEAP[_mqc_states+876] = CHECK_OVERFLOW((_mqc_states+800)&4294967295, 32);
IHEAP[_mqc_states+888] = CHECK_OVERFLOW((_mqc_states+912)&4294967295, 32);
IHEAP[_mqc_states+892] = CHECK_OVERFLOW((_mqc_states+816)&4294967295, 32);
IHEAP[_mqc_states+904] = CHECK_OVERFLOW((_mqc_states+928)&4294967295, 32);
IHEAP[_mqc_states+908] = CHECK_OVERFLOW((_mqc_states+832)&4294967295, 32);
IHEAP[_mqc_states+920] = CHECK_OVERFLOW((_mqc_states+944)&4294967295, 32);
IHEAP[_mqc_states+924] = CHECK_OVERFLOW((_mqc_states+848)&4294967295, 32);
IHEAP[_mqc_states+936] = CHECK_OVERFLOW((_mqc_states+960)&4294967295, 32);
IHEAP[_mqc_states+940] = CHECK_OVERFLOW((_mqc_states+864)&4294967295, 32);
IHEAP[_mqc_states+952] = CHECK_OVERFLOW((_mqc_states+976)&4294967295, 32);
IHEAP[_mqc_states+956] = CHECK_OVERFLOW((_mqc_states+880)&4294967295, 32);
IHEAP[_mqc_states+968] = CHECK_OVERFLOW((_mqc_states+992)&4294967295, 32);
IHEAP[_mqc_states+972] = CHECK_OVERFLOW((_mqc_states+896)&4294967295, 32);
IHEAP[_mqc_states+984] = CHECK_OVERFLOW((_mqc_states+1008)&4294967295, 32);
IHEAP[_mqc_states+988] = CHECK_OVERFLOW((_mqc_states+912)&4294967295, 32);
IHEAP[_mqc_states+1000] = CHECK_OVERFLOW((_mqc_states+1024)&4294967295, 32);
IHEAP[_mqc_states+1004] = CHECK_OVERFLOW((_mqc_states+928)&4294967295, 32);
IHEAP[_mqc_states+1016] = CHECK_OVERFLOW((_mqc_states+1040)&4294967295, 32);
IHEAP[_mqc_states+1020] = CHECK_OVERFLOW((_mqc_states+944)&4294967295, 32);
IHEAP[_mqc_states+1032] = CHECK_OVERFLOW((_mqc_states+1056)&4294967295, 32);
IHEAP[_mqc_states+1036] = CHECK_OVERFLOW((_mqc_states+960)&4294967295, 32);
IHEAP[_mqc_states+1048] = CHECK_OVERFLOW((_mqc_states+1072)&4294967295, 32);
IHEAP[_mqc_states+1052] = CHECK_OVERFLOW((_mqc_states+976)&4294967295, 32);
IHEAP[_mqc_states+1064] = CHECK_OVERFLOW((_mqc_states+1088)&4294967295, 32);
IHEAP[_mqc_states+1068] = CHECK_OVERFLOW((_mqc_states+992)&4294967295, 32);
IHEAP[_mqc_states+1080] = CHECK_OVERFLOW((_mqc_states+1104)&4294967295, 32);
IHEAP[_mqc_states+1084] = CHECK_OVERFLOW((_mqc_states+1008)&4294967295, 32);
IHEAP[_mqc_states+1096] = CHECK_OVERFLOW((_mqc_states+1120)&4294967295, 32);
IHEAP[_mqc_states+1100] = CHECK_OVERFLOW((_mqc_states+1024)&4294967295, 32);
IHEAP[_mqc_states+1112] = CHECK_OVERFLOW((_mqc_states+1136)&4294967295, 32);
IHEAP[_mqc_states+1116] = CHECK_OVERFLOW((_mqc_states+1040)&4294967295, 32);
IHEAP[_mqc_states+1128] = CHECK_OVERFLOW((_mqc_states+1152)&4294967295, 32);
IHEAP[_mqc_states+1132] = CHECK_OVERFLOW((_mqc_states+1056)&4294967295, 32);
IHEAP[_mqc_states+1144] = CHECK_OVERFLOW((_mqc_states+1168)&4294967295, 32);
IHEAP[_mqc_states+1148] = CHECK_OVERFLOW((_mqc_states+1072)&4294967295, 32);
IHEAP[_mqc_states+1160] = CHECK_OVERFLOW((_mqc_states+1184)&4294967295, 32);
IHEAP[_mqc_states+1164] = CHECK_OVERFLOW((_mqc_states+1088)&4294967295, 32);
IHEAP[_mqc_states+1176] = CHECK_OVERFLOW((_mqc_states+1200)&4294967295, 32);
IHEAP[_mqc_states+1180] = CHECK_OVERFLOW((_mqc_states+1104)&4294967295, 32);
IHEAP[_mqc_states+1192] = CHECK_OVERFLOW((_mqc_states+1216)&4294967295, 32);
IHEAP[_mqc_states+1196] = CHECK_OVERFLOW((_mqc_states+1120)&4294967295, 32);
IHEAP[_mqc_states+1208] = CHECK_OVERFLOW((_mqc_states+1232)&4294967295, 32);
IHEAP[_mqc_states+1212] = CHECK_OVERFLOW((_mqc_states+1136)&4294967295, 32);
IHEAP[_mqc_states+1224] = CHECK_OVERFLOW((_mqc_states+1248)&4294967295, 32);
IHEAP[_mqc_states+1228] = CHECK_OVERFLOW((_mqc_states+1152)&4294967295, 32);
IHEAP[_mqc_states+1240] = CHECK_OVERFLOW((_mqc_states+1264)&4294967295, 32);
IHEAP[_mqc_states+1244] = CHECK_OVERFLOW((_mqc_states+1168)&4294967295, 32);
IHEAP[_mqc_states+1256] = CHECK_OVERFLOW((_mqc_states+1280)&4294967295, 32);
IHEAP[_mqc_states+1260] = CHECK_OVERFLOW((_mqc_states+1184)&4294967295, 32);
IHEAP[_mqc_states+1272] = CHECK_OVERFLOW((_mqc_states+1296)&4294967295, 32);
IHEAP[_mqc_states+1276] = CHECK_OVERFLOW((_mqc_states+1200)&4294967295, 32);
IHEAP[_mqc_states+1288] = CHECK_OVERFLOW((_mqc_states+1312)&4294967295, 32);
IHEAP[_mqc_states+1292] = CHECK_OVERFLOW((_mqc_states+1216)&4294967295, 32);
IHEAP[_mqc_states+1304] = CHECK_OVERFLOW((_mqc_states+1328)&4294967295, 32);
IHEAP[_mqc_states+1308] = CHECK_OVERFLOW((_mqc_states+1232)&4294967295, 32);
IHEAP[_mqc_states+1320] = CHECK_OVERFLOW((_mqc_states+1344)&4294967295, 32);
IHEAP[_mqc_states+1324] = CHECK_OVERFLOW((_mqc_states+1248)&4294967295, 32);
IHEAP[_mqc_states+1336] = CHECK_OVERFLOW((_mqc_states+1360)&4294967295, 32);
IHEAP[_mqc_states+1340] = CHECK_OVERFLOW((_mqc_states+1264)&4294967295, 32);
IHEAP[_mqc_states+1352] = CHECK_OVERFLOW((_mqc_states+1376)&4294967295, 32);
IHEAP[_mqc_states+1356] = CHECK_OVERFLOW((_mqc_states+1280)&4294967295, 32);
IHEAP[_mqc_states+1368] = CHECK_OVERFLOW((_mqc_states+1392)&4294967295, 32);
IHEAP[_mqc_states+1372] = CHECK_OVERFLOW((_mqc_states+1296)&4294967295, 32);
IHEAP[_mqc_states+1384] = CHECK_OVERFLOW((_mqc_states+1408)&4294967295, 32);
IHEAP[_mqc_states+1388] = CHECK_OVERFLOW((_mqc_states+1312)&4294967295, 32);
IHEAP[_mqc_states+1400] = CHECK_OVERFLOW((_mqc_states+1424)&4294967295, 32);
IHEAP[_mqc_states+1404] = CHECK_OVERFLOW((_mqc_states+1328)&4294967295, 32);
IHEAP[_mqc_states+1416] = CHECK_OVERFLOW((_mqc_states+1440)&4294967295, 32);
IHEAP[_mqc_states+1420] = CHECK_OVERFLOW((_mqc_states+1344)&4294967295, 32);
IHEAP[_mqc_states+1432] = CHECK_OVERFLOW((_mqc_states+1456)&4294967295, 32);
IHEAP[_mqc_states+1436] = CHECK_OVERFLOW((_mqc_states+1360)&4294967295, 32);
IHEAP[_mqc_states+1448] = CHECK_OVERFLOW((_mqc_states+1440)&4294967295, 32);
IHEAP[_mqc_states+1452] = CHECK_OVERFLOW((_mqc_states+1376)&4294967295, 32);
IHEAP[_mqc_states+1464] = CHECK_OVERFLOW((_mqc_states+1456)&4294967295, 32);
IHEAP[_mqc_states+1468] = CHECK_OVERFLOW((_mqc_states+1392)&4294967295, 32);
IHEAP[_mqc_states+1480] = CHECK_OVERFLOW((_mqc_states+1472)&4294967295, 32);
IHEAP[_mqc_states+1484] = CHECK_OVERFLOW((_mqc_states+1472)&4294967295, 32);
IHEAP[_mqc_states+1496] = CHECK_OVERFLOW((_mqc_states+1488)&4294967295, 32);
IHEAP[_mqc_states+1500] = CHECK_OVERFLOW((_mqc_states+1488)&4294967295, 32);
IHEAP[_place_2550] = CHECK_OVERFLOW((__str98)&4294967295, 32);
_STDIO.init()


  __globalConstructor__();

  if (Module['_main']) {
    Module.callMain(args);
    __shutdownRuntime__();
  }
}
Module['run'] = run;

this._STDIO.prepare('image.j2k', [255, 79, 255, 81, 0, 47, 0, 0, 0, 0, 0, 40, 0, 0, 0, 30, 0, 0, 
0, 0, 0, 0, 0, 0, 0, 0, 0, 40, 0, 0, 0, 30, 0, 0, 0, 0, 0, 0, 
0, 0, 0, 3, 7, 1, 1, 7, 1, 1, 7, 1, 1, 255, 82, 0, 12, 0, 0, 0, 
1, 1, 5, 4, 4, 0, 1, 255, 92, 0, 19, 64, 64, 72, 72, 80, 72, 72, 
80, 72, 72, 80, 72, 72, 80, 72, 72, 80, 255, 100, 0, 37, 0, 1, 
67, 114, 101, 97, 116, 101, 100, 32, 98, 121, 32, 79, 112, 101, 
110, 74, 80, 69, 71, 32, 118, 101, 114, 115, 105, 111, 110, 32, 
49, 46, 52, 46, 48, 255, 144, 0, 10, 0, 0, 0, 0, 9, 250, 0, 1, 
255, 83, 0, 9, 1, 0, 5, 4, 4, 0, 1, 255, 93, 0, 20, 1, 64, 64, 
72, 72, 80, 72, 72, 80, 72, 72, 80, 72, 72, 80, 72, 72, 80, 255, 
83, 0, 9, 2, 0, 5, 4, 4, 0, 1, 255, 93, 0, 20, 2, 64, 64, 72, 
72, 80, 72, 72, 80, 72, 72, 80, 72, 72, 80, 72, 72, 80, 255, 147, 
199, 210, 12, 11, 202, 47, 192, 224, 128, 8, 207, 193, 240, 4, 
10, 171, 192, 248, 192, 199, 216, 5, 7, 210, 8, 8, 0, 112, 1, 
191, 192, 112, 48, 250, 65, 64, 248, 193, 0, 5, 6, 98, 7, 47, 
161, 244, 130, 129, 243, 2, 4, 3, 0, 127, 199, 216, 11, 15, 164, 
60, 31, 48, 64, 3, 195, 216, 158, 207, 11, 203, 206, 224, 185, 
92, 63, 0, 89, 65, 125, 193, 243, 5, 131, 230, 13, 7, 204, 20, 
11, 234, 129, 70, 127, 18, 106, 66, 58, 20, 247, 14, 27, 226, 
87, 239, 195, 233, 11, 15, 164, 52, 62, 192, 80, 13, 167, 243, 
206, 63, 17, 177, 42, 30, 243, 128, 13, 149, 161, 157, 63, 199, 
216, 41, 31, 96, 172, 125, 226, 160, 20, 158, 217, 26, 212, 91, 
91, 185, 93, 217, 48, 81, 111, 18, 181, 14, 219, 72, 147, 83, 
17, 251, 253, 42, 11, 142, 246, 63, 241, 179, 80, 56, 149, 179, 
91, 44, 90, 39, 62, 36, 159, 34, 101, 228, 116, 17, 5, 138, 37, 
9, 144, 84, 62, 156, 199, 103, 83, 99, 196, 149, 46, 111, 193, 
243, 16, 135, 210, 66, 15, 164, 136, 27, 196, 102, 36, 127, 153, 
55, 90, 41, 180, 255, 59, 24, 234, 181, 63, 33, 154, 46, 45, 156, 
101, 102, 126, 199, 179, 0, 25, 93, 9, 12, 223, 33, 210, 206, 
66, 157, 171, 15, 217, 56, 189, 189, 141, 206, 30, 237, 34, 127, 
193, 243, 16, 135, 210, 70, 31, 96, 136, 27, 24, 100, 24, 120, 
100, 59, 105, 104, 12, 234, 124, 53, 113, 56, 63, 32, 237, 112, 
70, 1, 27, 5, 59, 220, 67, 192, 247, 143, 204, 48, 12, 139, 32, 
240, 49, 186, 135, 55, 107, 239, 79, 228, 108, 150, 214, 152, 
13, 79, 127, 207, 189, 34, 125, 232, 16, 251, 15, 0, 21, 252, 
62, 44, 163, 41, 1, 55, 38, 13, 203, 252, 202, 200, 83, 115, 19, 
3, 48, 74, 171, 82, 91, 216, 159, 156, 7, 114, 162, 202, 150, 
48, 96, 210, 179, 125, 55, 174, 82, 173, 101, 79, 55, 164, 4, 
176, 11, 243, 103, 253, 0, 76, 16, 5, 27, 132, 53, 126, 196, 56, 
252, 64, 38, 226, 11, 43, 61, 171, 240, 178, 106, 137, 21, 235, 
229, 126, 192, 74, 243, 118, 247, 23, 197, 221, 137, 98, 210, 
12, 156, 15, 11, 48, 225, 28, 13, 93, 71, 37, 169, 110, 146, 185, 
184, 28, 184, 152, 5, 142, 208, 12, 33, 225, 116, 216, 48, 250, 
209, 88, 86, 255, 108, 82, 44, 61, 189, 89, 245, 35, 64, 46, 51, 
195, 68, 75, 108, 209, 22, 160, 187, 161, 220, 249, 25, 13, 121, 
36, 151, 252, 114, 17, 24, 245, 103, 98, 36, 150, 16, 88, 37, 
71, 113, 135, 100, 73, 191, 48, 77, 182, 152, 238, 51, 118, 168, 
1, 151, 210, 114, 166, 73, 104, 32, 98, 237, 194, 103, 76, 172, 
173, 170, 114, 218, 167, 248, 157, 120, 31, 195, 233, 113, 7, 
204, 202, 31, 97, 176, 29, 28, 210, 132, 187, 230, 17, 79, 182, 
143, 186, 217, 3, 134, 93, 31, 196, 85, 12, 177, 221, 156, 117, 
9, 168, 155, 166, 186, 190, 255, 28, 39, 239, 97, 176, 36, 200, 
132, 245, 31, 98, 42, 124, 30, 84, 21, 104, 162, 214, 209, 199, 
250, 109, 250, 106, 150, 27, 194, 33, 60, 222, 214, 250, 192, 
95, 249, 77, 233, 76, 191, 154, 241, 178, 253, 46, 52, 247, 252, 
115, 70, 30, 26, 233, 133, 229, 179, 41, 124, 48, 247, 152, 124, 
243, 129, 59, 103, 218, 114, 251, 5, 58, 80, 244, 241, 108, 199, 
47, 165, 33, 117, 182, 37, 114, 154, 102, 114, 165, 212, 153, 
230, 146, 215, 245, 58, 202, 118, 159, 165, 97, 76, 83, 153, 222, 
43, 243, 199, 178, 112, 74, 56, 76, 177, 207, 103, 61, 167, 38, 
203, 249, 241, 102, 218, 238, 149, 197, 230, 173, 122, 249, 39, 
195, 233, 107, 31, 97, 156, 31, 75, 32, 43, 39, 158, 185, 135, 
234, 110, 1, 217, 93, 82, 49, 25, 92, 103, 247, 129, 123, 39, 
64, 176, 73, 212, 240, 136, 46, 33, 92, 22, 160, 80, 26, 66, 121, 
159, 17, 224, 2, 152, 152, 61, 68, 114, 229, 82, 197, 23, 154, 
56, 132, 109, 123, 237, 51, 4, 176, 179, 29, 238, 177, 129, 172, 
232, 185, 14, 64, 22, 205, 25, 162, 16, 247, 69, 151, 161, 116, 
65, 251, 101, 141, 161, 39, 123, 62, 198, 225, 135, 139, 77, 135, 
164, 43, 79, 237, 121, 191, 75, 126, 238, 239, 227, 197, 245, 
103, 48, 72, 137, 17, 72, 2, 197, 124, 211, 136, 130, 37, 254, 
137, 59, 51, 21, 16, 125, 233, 47, 119, 41, 208, 194, 27, 227, 
237, 171, 205, 182, 8, 186, 170, 176, 241, 70, 232, 162, 16, 109, 
250, 3, 107, 79, 231, 187, 248, 225, 63, 199, 217, 106, 199, 217, 
110, 195, 236, 180, 64, 28, 81, 199, 225, 73, 49, 107, 105, 55, 
175, 214, 0, 25, 120, 45, 128, 3, 245, 137, 252, 254, 0, 67, 169, 
153, 228, 22, 251, 94, 51, 124, 29, 108, 136, 67, 170, 228, 71, 
48, 120, 27, 8, 218, 66, 90, 64, 79, 211, 130, 180, 111, 10, 148, 
122, 207, 162, 103, 84, 179, 78, 107, 120, 65, 95, 208, 24, 180, 
169, 180, 194, 76, 16, 194, 247, 63, 185, 77, 65, 232, 172, 101, 
200, 152, 17, 160, 223, 91, 202, 43, 52, 62, 84, 119, 27, 57, 
143, 61, 141, 228, 164, 157, 165, 56, 82, 143, 88, 221, 178, 190, 
148, 191, 211, 233, 74, 11, 132, 171, 18, 55, 28, 9, 54, 124, 
105, 214, 75, 218, 8, 208, 0, 37, 135, 205, 237, 167, 9, 215, 
187, 14, 185, 156, 57, 5, 234, 113, 178, 126, 26, 243, 191, 144, 
80, 132, 89, 172, 244, 141, 143, 73, 202, 230, 179, 170, 52, 142, 
238, 29, 174, 18, 106, 55, 163, 226, 53, 44, 157, 200, 255, 94, 
83, 140, 16, 190, 192, 60, 176, 195, 205, 75, 155, 202, 163, 205, 
251, 134, 248, 245, 219, 47, 13, 160, 143, 118, 152, 208, 167, 
6, 229, 255, 101, 84, 76, 91, 27, 204, 152, 236, 168, 55, 135, 
163, 65, 0, 166, 147, 166, 216, 4, 51, 210, 229, 117, 131, 35, 
85, 16, 230, 19, 237, 170, 98, 101, 206, 71, 92, 240, 21, 203, 
66, 43, 238, 201, 22, 64, 27, 74, 107, 146, 51, 3, 18, 120, 151, 
240, 124, 67, 194, 159, 129, 187, 152, 199, 17, 129, 202, 216, 
94, 157, 231, 227, 28, 254, 198, 139, 141, 191, 61, 236, 59, 50, 
9, 174, 89, 241, 201, 184, 117, 26, 54, 119, 141, 152, 195, 111, 
242, 67, 136, 137, 5, 39, 139, 46, 7, 45, 138, 243, 48, 114, 224, 
147, 11, 49, 206, 148, 89, 73, 36, 167, 15, 20, 62, 65, 39, 135, 
188, 241, 231, 23, 33, 247, 119, 124, 193, 43, 199, 33, 185, 127, 
169, 50, 221, 217, 229, 165, 67, 107, 135, 146, 226, 41, 107, 
166, 241, 91, 40, 146, 80, 7, 43, 114, 223, 217, 85, 241, 79, 
143, 224, 159, 53, 40, 135, 29, 79, 32, 96, 42, 255, 71, 160, 
229, 68, 99, 55, 66, 17, 118, 251, 222, 71, 232, 108, 51, 247, 
175, 169, 185, 83, 229, 18, 190, 238, 4, 179, 126, 198, 47, 118, 
14, 205, 28, 194, 92, 125, 137, 0, 79, 113, 46, 179, 136, 229, 
209, 91, 191, 24, 181, 92, 223, 69, 200, 185, 255, 102, 132, 16, 
89, 217, 212, 96, 214, 233, 2, 39, 145, 8, 180, 141, 156, 184, 
217, 210, 75, 251, 192, 186, 159, 20, 58, 74, 209, 213, 35, 81, 
155, 149, 194, 98, 234, 155, 205, 138, 214, 48, 241, 26, 15, 114, 
50, 175, 26, 223, 230, 144, 25, 102, 20, 201, 95, 167, 75, 124, 
102, 230, 17, 216, 225, 235, 238, 167, 220, 43, 109, 134, 26, 
191, 156, 154, 52, 101, 139, 103, 144, 133, 120, 72, 192, 40, 
167, 182, 11, 33, 214, 136, 109, 70, 2, 119, 162, 47, 230, 95, 
29, 139, 103, 196, 179, 89, 187, 228, 247, 5, 218, 23, 91, 93, 
78, 65, 221, 89, 13, 6, 99, 156, 92, 72, 138, 11, 68, 27, 156, 
159, 5, 88, 135, 18, 25, 39, 182, 66, 240, 192, 127, 86, 68, 105, 
25, 28, 100, 147, 129, 97, 118, 119, 210, 204, 196, 55, 41, 106, 
121, 2, 87, 35, 55, 130, 133, 54, 52, 26, 188, 139, 211, 65, 214, 
7, 116, 241, 50, 89, 73, 197, 52, 74, 188, 255, 38, 141, 8, 71, 
98, 83, 157, 111, 62, 215, 248, 137, 175, 102, 107, 6, 90, 72, 
195, 234, 168, 33, 244, 234, 88, 62, 170, 124, 28, 116, 181, 72, 
133, 119, 166, 253, 177, 57, 207, 53, 139, 166, 166, 242, 111, 
209, 49, 143, 176, 128, 162, 52, 88, 8, 112, 211, 1, 246, 110, 
252, 59, 120, 104, 161, 65, 104, 251, 31, 120, 70, 108, 48, 153, 
168, 149, 3, 253, 89, 203, 115, 188, 105, 51, 133, 212, 242, 133, 
254, 234, 56, 76, 42, 229, 96, 47, 148, 33, 101, 186, 249, 141, 
121, 107, 129, 99, 87, 186, 116, 196, 178, 122, 134, 103, 238, 
43, 63, 18, 80, 22, 44, 130, 195, 2, 237, 207, 161, 43, 115, 44, 
139, 232, 83, 9, 92, 136, 2, 249, 81, 17, 124, 53, 8, 222, 131, 
100, 182, 217, 114, 213, 138, 31, 12, 252, 75, 205, 35, 78, 159, 
209, 39, 99, 187, 46, 160, 13, 31, 3, 58, 240, 47, 93, 127, 115, 
70, 248, 253, 65, 53, 169, 85, 153, 19, 64, 97, 179, 17, 219, 
247, 139, 66, 246, 189, 137, 135, 56, 131, 47, 183, 171, 53, 161, 
14, 201, 52, 218, 201, 47, 140, 37, 125, 30, 176, 22, 43, 137, 
143, 29, 213, 0, 197, 110, 194, 1, 76, 82, 170, 176, 247, 53, 
36, 135, 209, 49, 28, 106, 171, 234, 77, 118, 133, 170, 102, 58, 
190, 182, 60, 45, 196, 189, 251, 7, 58, 127, 18, 133, 60, 47, 
195, 193, 2, 253, 168, 102, 205, 40, 3, 156, 154, 125, 88, 163, 
181, 69, 37, 205, 211, 173, 106, 1, 94, 243, 11, 198, 162, 89, 
189, 192, 218, 156, 195, 95, 39, 195, 68, 22, 162, 56, 176, 86, 
107, 42, 129, 19, 211, 112, 181, 147, 198, 94, 140, 75, 93, 10, 
157, 18, 24, 73, 29, 204, 198, 109, 171, 47, 18, 55, 104, 50, 
245, 77, 172, 78, 6, 124, 205, 151, 28, 15, 206, 87, 216, 27, 
22, 73, 20, 229, 189, 232, 149, 19, 149, 148, 30, 143, 75, 145, 
239, 241, 90, 239, 214, 210, 20, 141, 113, 53, 112, 132, 112, 
51, 90, 142, 235, 185, 196, 218, 97, 129, 112, 139, 49, 121, 7, 
207, 252, 141, 163, 198, 66, 157, 64, 212, 5, 34, 13, 243, 209, 
128, 23, 189, 223, 229, 32, 111, 83, 123, 186, 211, 63, 203, 148, 
118, 85, 4, 8, 138, 7, 31, 93, 148, 197, 0, 122, 45, 192, 142, 
30, 207, 250, 178, 193, 199, 28, 99, 45, 23, 54, 180, 15, 197, 
38, 221, 80, 16, 41, 159, 182, 175, 17, 149, 22, 244, 75, 179, 
209, 105, 92, 19, 236, 183, 156, 228, 16, 25, 93, 35, 35, 221, 
8, 209, 232, 174, 208, 220, 255, 92, 72, 77, 204, 205, 102, 232, 
176, 162, 223, 116, 154, 252, 234, 206, 80, 34, 208, 147, 203, 
54, 57, 160, 194, 77, 81, 158, 243, 18, 155, 110, 77, 213, 8, 
23, 218, 59, 26, 195, 234, 165, 97, 244, 234, 40, 62, 170, 96, 
142, 228, 20, 12, 200, 12, 86, 214, 29, 55, 205, 43, 31, 173, 
124, 223, 251, 105, 234, 199, 126, 5, 112, 219, 237, 223, 13, 
231, 150, 159, 253, 93, 129, 41, 122, 23, 210, 139, 199, 15, 79, 
132, 96, 121, 201, 214, 50, 221, 111, 196, 97, 86, 31, 217, 78, 
200, 42, 107, 7, 208, 225, 68, 199, 246, 66, 235, 98, 47, 184, 
30, 34, 147, 59, 57, 194, 171, 65, 246, 170, 199, 64, 234, 237, 
66, 129, 73, 186, 217, 97, 181, 183, 230, 219, 95, 46, 191, 90, 
194, 210, 172, 107, 18, 159, 230, 92, 119, 23, 55, 192, 222, 105, 
71, 144, 167, 28, 169, 195, 133, 215, 217, 133, 185, 221, 203, 
244, 47, 253, 31, 19, 16, 97, 114, 216, 18, 92, 107, 120, 150, 
70, 62, 5, 125, 142, 65, 145, 209, 58, 66, 113, 140, 41, 128, 
19, 97, 96, 119, 136, 148, 55, 185, 167, 122, 206, 12, 5, 80, 
171, 180, 246, 197, 138, 61, 199, 87, 109, 193, 152, 184, 65, 
192, 20, 222, 133, 13, 93, 31, 80, 127, 70, 78, 199, 245, 57, 
212, 176, 186, 187, 105, 100, 216, 77, 48, 0, 45, 92, 9, 25, 1, 
14, 146, 215, 234, 115, 64, 197, 42, 177, 242, 130, 126, 170, 
206, 132, 174, 120, 13, 1, 254, 71, 65, 200, 146, 159, 232, 131, 
13, 109, 52, 22, 252, 60, 110, 245, 7, 24, 104, 222, 192, 179, 
91, 242, 89, 188, 69, 41, 74, 180, 11, 96, 136, 97, 85, 21, 93, 
212, 215, 166, 218, 155, 175, 222, 196, 169, 154, 38, 104, 201, 
191, 248, 24, 143, 176, 11, 209, 105, 199, 206, 224, 143, 71, 
104, 81, 216, 100, 21, 162, 48, 215, 29, 165, 211, 17, 206, 31, 
238, 222, 58, 37, 21, 82, 202, 80, 250, 186, 94, 160, 1, 200, 
105, 120, 25, 79, 140, 77, 74, 201, 131, 67, 242, 120, 98, 182, 
129, 129, 162, 208, 39, 226, 209, 221, 159, 202, 170, 241, 28, 
106, 156, 184, 61, 41, 97, 6, 178, 49, 156, 147, 39, 235, 95, 
217, 202, 73, 236, 46, 85, 239, 173, 211, 125, 239, 60, 105, 224, 
227, 60, 70, 45, 65, 3, 121, 125, 38, 112, 251, 64, 187, 44, 255, 
85, 112, 38, 123, 235, 167, 100, 22, 123, 91, 67, 94, 49, 206, 
19, 204, 4, 67, 215, 213, 137, 95, 241, 31, 145, 139, 153, 15, 
59, 248, 114, 246, 2, 115, 139, 224, 25, 179, 199, 28, 143, 249, 
1, 248, 120, 250, 22, 72, 31, 111, 196, 136, 143, 98, 231, 120, 
204, 197, 152, 223, 228, 2, 214, 193, 160, 179, 105, 150, 73, 
229, 46, 148, 186, 140, 95, 255, 217]);

run(args);

print("Data: " + JSON.stringify(this._STDIO.streams[this._STDIO.filenames['image.raw']].data));





  // {{MODULE_ADDITIONS}}

//  return Module;
//})({}, this.arguments); // Replace parameters as needed


